/*! For license information please see module.js.LICENSE.txt */
define(["@grafana/data","rxjs","@grafana/runtime","lodash","react","@grafana/ui","@emotion/css","moment","redux","react-redux","@emotion/react","react-dom"],((e,t,r,n,o,i,a,l,s,u,c,d)=>(()=>{var p,f,h={8572:(e,t,r)=>{"use strict";r.r(t),r.d(t,{AND:()=>g,AS:()=>f,ASC:()=>c,BY:()=>s,COMPARISON_OPERATORS:()=>O,DESC:()=>u,EQUALS:()=>y,FROM:()=>o,GROUP:()=>a,LIMIT:()=>d,LOGICAL_OPERATORS:()=>m,NOT_EQUALS:()=>b,OR:()=>v,ORDER:()=>l,SCHEMA:()=>h,SELECT:()=>n,STD_OPERATORS:()=>E,WHERE:()=>i,WITH:()=>p,conf:()=>S,language:()=>w});const n="select",o="from",i="where",a="group",l="order",s="by",u="desc",c="asc",d="limit",p="with",f="as",h="schema",g="AND",v="OR",m=[g,v],y="=",b="!=",O=[y,b],E=[...O],S={comments:{lineComment:"--",blockComment:["/*","*/"]},brackets:[["{","}"],["[","]"],["(",")"]],autoClosingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}],surroundingPairs:[{open:"{",close:"}"},{open:"[",close:"]"},{open:"(",close:")"},{open:'"',close:'"'},{open:"'",close:"'"}]},w={defaultToken:"",tokenPostfix:".sql",ignoreCase:!0,brackets:[{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"}],keywords:["ABORT","ABSOLUTE","ACTION","ADA","ADD","AFTER","ALL","ALLOCATE","ALTER","ALWAYS","ANALYZE","AND","ANY","ARE","AS","ASC","ASSERTION","AT","ATTACH","AUTHORIZATION","AUTOINCREMENT","AVG","BACKUP","BEFORE","BEGIN","BETWEEN","BIT","BIT_LENGTH","BOTH","BREAK","BROWSE","BULK","BY","CASCADE","CASCADED","CASE","CAST","CATALOG","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CHECKPOINT","CLOSE","CLUSTERED","COALESCE","COLLATE","COLLATION","COLUMN","COMMIT","COMPUTE","CONFLICT","CONNECT","CONNECTION","CONSTRAINT","CONSTRAINTS","CONTAINS","CONTAINSTABLE","CONTINUE","CONVERT","CORRESPONDING","COUNT","CREATE","CROSS","CURRENT","CURRENT_DATE","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_USER","CURSOR","DATABASE","DATE","DAY","DBCC","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFERRABLE","DEFERRED","DELETE","DENY","DESC","DESCRIBE","DESCRIPTOR","DETACH","DIAGNOSTICS","DISCONNECT","DISK","DISTINCT","DISTRIBUTED","DO","DOMAIN","DOUBLE","DROP","DUMP","EACH","ELSE","END","END-EXEC","ERRLVL","ESCAPE","EXCEPT","EXCEPTION","EXCLUDE","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXPLAIN","EXTERNAL","EXTRACT","FAIL","FALSE","FETCH","FILE","FILLFACTOR","FILTER","FIRST","FLOAT","FOLLOWING","FOR","FOREIGN","FORTRAN","FOUND","FREETEXT","FREETEXTTABLE","FROM","FULL","FUNCTION","GENERATED","GET","GLOB","GLOBAL","GO","GOTO","GRANT","GROUP","GROUPS","HAVING","HOLDLOCK","HOUR","IDENTITY","IDENTITYCOL","IDENTITY_INSERT","IF","IGNORE","IMMEDIATE","IN","INCLUDE","INDEX","INDEXED","INDICATOR","INITIALLY","INNER","INPUT","INSENSITIVE","INSERT","INSTEAD","INT","INTEGER","INTERSECT","INTERVAL","INTO","IS","ISNULL","ISOLATION","JOIN","KEY","KILL","LANGUAGE","LAST","LEADING","LEFT","LEVEL","LIKE","LIMIT","LINENO","LOAD","LOCAL","LOWER","MATCH","MATERIALIZED","MAX","MERGE","MIN","MINUTE","MODULE","MONTH","NAMES","NATIONAL","NATURAL","NCHAR","NEXT","NO","NOCHECK","NONCLUSTERED","NONE","NOT","NOTHING","NOTNULL","NULL","NULLIF","NULLS","NUMERIC","OCTET_LENGTH","OF","OFF","OFFSET","OFFSETS","ON","ONLY","OPEN","OPENDATASOURCE","OPENQUERY","OPENROWSET","OPENXML","OPTION","OR","ORDER","OTHERS","OUTER","OUTPUT","OVER","OVERLAPS","PAD","PARTIAL","PARTITION","PASCAL","PERCENT","PIVOT","PLAN","POSITION","PRAGMA","PRECEDING","PRECISION","PREPARE","PRESERVE","PRIMARY","PRINT","PRIOR","PRIVILEGES","PROC","PROCEDURE","PUBLIC","QUERY","RAISE","RAISERROR","RANGE","READ","READTEXT","REAL","RECONFIGURE","RECURSIVE","REFERENCES","REGEXP","REINDEX","RELATIVE","RELEASE","RENAME","REPLACE","REPLICATION","RESTORE","RESTRICT","RETURN","RETURNING","REVERT","REVOKE","RIGHT","ROLLBACK","ROW","ROWCOUNT","ROWGUIDCOL","ROWS","RULE","SAVE","SAVEPOINT","SCHEMA","SCROLL","SECOND","SECTION","SECURITYAUDIT","SELECT","SEMANTICKEYPHRASETABLE","SEMANTICSIMILARITYDETAILSTABLE","SEMANTICSIMILARITYTABLE","SESSION","SESSION_USER","SET","SETUSER","SHUTDOWN","SIZE","SMALLINT","SOME","SPACE","SQL","SQLCA","SQLCODE","SQLERROR","SQLSTATE","SQLWARNING","STATISTICS","SUBSTRING","SUM","SYSTEM_USER","TABLE","TABLESAMPLE","TEMP","TEMPORARY","TEXTSIZE","THEN","TIES","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TOP","TRAILING","TRAN","TRANSACTION","TRANSLATE","TRANSLATION","TRIGGER","TRIM","TRUE","TRUNCATE","TRY_CONVERT","TSEQUAL","UNBOUNDED","UNION","UNIQUE","UNKNOWN","UNPIVOT","UPDATE","UPDATETEXT","UPPER","USAGE","USE","USER","USING","VACUUM","VALUE","VALUES","VARCHAR","VARYING","VIEW","VIRTUAL","WAITFOR","WHEN","WHENEVER","WHERE","WHILE","WINDOW","WITH","WITHIN GROUP","WITHOUT","WORK","WRITE","WRITETEXT","YEAR","ZONE"],operators:["EXCEPT","INTERSECT","UNION","APPLY","CROSS","FULL","INNER","JOIN","LEFT","OUTER","RIGHT","CONTAINS","FREETEXT","IS","NULL","PIVOT","UNPIVOT","MATCHED"],logicalOperators:["ALL","AND","ANY","BETWEEN","EXISTS","IN","LIKE","NOT","OR","SOME"],comparisonOperators:["<>",">","<",">=","<=","=","!=","&","~","^","%"],builtinFunctions:["AVG","CHECKSUM_AGG","COUNT","COUNT_BIG","GROUPING","GROUPING_ID","MAX","MIN","SUM","STDEV","STDEVP","VAR","VARP","CUME_DIST","FIRST_VALUE","LAG","LAST_VALUE","LEAD","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","COLLATE","COLLATIONPROPERTY","TERTIARY_WEIGHTS","FEDERATION_FILTERING_VALUE","CAST","CONVERT","PARSE","TRY_CAST","TRY_CONVERT","TRY_PARSE","ASYMKEY_ID","ASYMKEYPROPERTY","CERTPROPERTY","CERT_ID","CRYPT_GEN_RANDOM","DECRYPTBYASYMKEY","DECRYPTBYCERT","DECRYPTBYKEY","DECRYPTBYKEYAUTOASYMKEY","DECRYPTBYKEYAUTOCERT","DECRYPTBYPASSPHRASE","ENCRYPTBYASYMKEY","ENCRYPTBYCERT","ENCRYPTBYKEY","ENCRYPTBYPASSPHRASE","HASHBYTES","IS_OBJECTSIGNED","KEY_GUID","KEY_ID","KEY_NAME","SIGNBYASYMKEY","SIGNBYCERT","SYMKEYPROPERTY","VERIFYSIGNEDBYCERT","VERIFYSIGNEDBYASYMKEY","CURSOR_STATUS","DATALENGTH","IDENT_CURRENT","IDENT_INCR","IDENT_SEED","IDENTITY","SQL_VARIANT_PROPERTY","CURRENT_TIMESTAMP","DATEADD","DATEDIFF","DATEFROMPARTS","DATENAME","DATEPART","DATETIME2FROMPARTS","DATETIMEFROMPARTS","DATETIMEOFFSETFROMPARTS","DAY","EOMONTH","GETDATE","GETUTCDATE","ISDATE","MONTH","SMALLDATETIMEFROMPARTS","SWITCHOFFSET","SYSDATETIME","SYSDATETIMEOFFSET","SYSUTCDATETIME","TIMEFROMPARTS","TODATETIMEOFFSET","YEAR","CHOOSE","COALESCE","IIF","NULLIF","ABS","ACOS","ASIN","ATAN","ATN2","CEILING","COS","COT","DEGREES","EXP","FLOOR","LOG","LOG10","PI","POWER","RADIANS","RAND","ROUND","SIGN","SIN","SQRT","SQUARE","TAN","APP_NAME","APPLOCK_MODE","APPLOCK_TEST","ASSEMBLYPROPERTY","COL_LENGTH","COL_NAME","COLUMNPROPERTY","DATABASE_PRINCIPAL_ID","DATABASEPROPERTYEX","DB_ID","DB_NAME","FILE_ID","FILE_IDEX","FILE_NAME","FILEGROUP_ID","FILEGROUP_NAME","FILEGROUPPROPERTY","FILEPROPERTY","FULLTEXTCATALOGPROPERTY","FULLTEXTSERVICEPROPERTY","INDEX_COL","INDEXKEY_PROPERTY","INDEXPROPERTY","OBJECT_DEFINITION","OBJECT_ID","OBJECT_NAME","OBJECT_SCHEMA_NAME","OBJECTPROPERTY","OBJECTPROPERTYEX","ORIGINAL_DB_NAME","PARSENAME","SCHEMA_ID","SCHEMA_NAME","SCOPE_IDENTITY","SERVERPROPERTY","STATS_DATE","TYPE_ID","TYPE_NAME","TYPEPROPERTY","DENSE_RANK","NTILE","RANK","ROW_NUMBER","PUBLISHINGSERVERNAME","OPENDATASOURCE","OPENQUERY","OPENROWSET","OPENXML","CERTENCODED","CERTPRIVATEKEY","CURRENT_USER","HAS_DBACCESS","HAS_PERMS_BY_NAME","IS_MEMBER","IS_ROLEMEMBER","IS_SRVROLEMEMBER","LOGINPROPERTY","ORIGINAL_LOGIN","PERMISSIONS","PWDENCRYPT","PWDCOMPARE","SESSION_USER","SESSIONPROPERTY","SUSER_ID","SUSER_NAME","SUSER_SID","SUSER_SNAME","SYSTEM_USER","USER","USER_ID","USER_NAME","ASCII","CHAR","CHARINDEX","CONCAT","DIFFERENCE","FORMAT","LEFT","LEN","LOWER","LTRIM","NCHAR","PATINDEX","QUOTENAME","REPLACE","REPLICATE","REVERSE","RIGHT","RTRIM","SOUNDEX","SPACE","STR","STUFF","SUBSTRING","UNICODE","UPPER","BINARY_CHECKSUM","CHECKSUM","CONNECTIONPROPERTY","CONTEXT_INFO","CURRENT_REQUEST_ID","ERROR_LINE","ERROR_NUMBER","ERROR_MESSAGE","ERROR_PROCEDURE","ERROR_SEVERITY","ERROR_STATE","FORMATMESSAGE","GETANSINULL","GET_FILESTREAM_TRANSACTION_CONTEXT","HOST_ID","HOST_NAME","ISNULL","ISNUMERIC","MIN_ACTIVE_ROWVERSION","NEWID","NEWSEQUENTIALID","ROWCOUNT_BIG","XACT_STATE","TEXTPTR","TEXTVALID","COLUMNS_UPDATED","EVENTDATA","TRIGGER_NESTLEVEL","UPDATE","CHANGETABLE","CHANGE_TRACKING_CONTEXT","CHANGE_TRACKING_CURRENT_VERSION","CHANGE_TRACKING_IS_COLUMN_IN_MASK","CHANGE_TRACKING_MIN_VALID_VERSION","CONTAINSTABLE","FREETEXTTABLE","SEMANTICKEYPHRASETABLE","SEMANTICSIMILARITYDETAILSTABLE","SEMANTICSIMILARITYTABLE","FILETABLEROOTPATH","GETFILENAMESPACEPATH","GETPATHLOCATOR","PATHNAME","GET_TRANSMISSION_STATUS"],builtinVariables:["@@DATEFIRST","@@DBTS","@@LANGID","@@LANGUAGE","@@LOCK_TIMEOUT","@@MAX_CONNECTIONS","@@MAX_PRECISION","@@NESTLEVEL","@@OPTIONS","@@REMSERVER","@@SERVERNAME","@@SERVICENAME","@@SPID","@@TEXTSIZE","@@VERSION","@@CURSOR_ROWS","@@FETCH_STATUS","@@DATEFIRST","@@PROCID","@@ERROR","@@IDENTITY","@@ROWCOUNT","@@TRANCOUNT","@@CONNECTIONS","@@CPU_BUSY","@@IDLE","@@IO_BUSY","@@PACKET_ERRORS","@@PACK_RECEIVED","@@PACK_SENT","@@TIMETICKS","@@TOTAL_ERRORS","@@TOTAL_READ","@@TOTAL_WRITE"],pseudoColumns:["$ACTION","$IDENTITY","$ROWGUID","$PARTITION"],tokenizer:{root:[{include:"@templateVariables"},{include:"@macros"},{include:"@comments"},{include:"@whitespace"},{include:"@pseudoColumns"},{include:"@numbers"},{include:"@strings"},{include:"@complexIdentifiers"},{include:"@scopes"},{include:"@schemaTable"},[/[;,.]/,"delimiter"],[/[()]/,"@brackets"],[/[\w@#$|<|>|=|!|%|&|+|\|-|*|/|~|^]+/,{cases:{"@operators":"operator","@comparisonOperators":"operator","@logicalOperators":"operator","@builtinVariables":"predefined","@builtinFunctions":"predefined","@keywords":"keyword","@default":"identifier"}}]],templateVariables:[[/\$[a-zA-Z0-9]+/,"variable"]],macros:[[/\$__[a-zA-Z0-9-_]+/,"type"]],schemaTable:[[/(\w+)\./,"identifier"],[/(\w+\.\w+)/,"identifier"]],whitespace:[[/\s+/,"white"]],comments:[[/--+.*/,"comment"],[/\/\*/,{token:"comment.quote",next:"@comment"}]],comment:[[/[^*/]+/,"comment"],[/\*\//,{token:"comment.quote",next:"@pop"}],[/./,"comment"]],pseudoColumns:[[/[$][A-Za-z_][\w@#$]*/,{cases:{"@pseudoColumns":"predefined","@default":"identifier"}}]],numbers:[[/0[xX][0-9a-fA-F]*/,"number"],[/[$][+-]*\d*(\.\d*)?/,"number"],[/((\d+(\.\d*)?)|(\.\d+))([eE][\-+]?\d+)?/,"number"]],strings:[[/N'/,{token:"string",next:"@string"}],[/'/,{token:"string",next:"@string"}]],string:[[/[^']+/,"string"],[/''/,"string"],[/'/,{token:"string",next:"@pop"}]],complexIdentifiers:[[/\[/,{token:"identifier.quote",next:"@bracketedIdentifier"}],[/"/,{token:"identifier.quote",next:"@quotedIdentifier"}]],bracketedIdentifier:[[/[^\]]+/,"identifier"],[/]]/,"identifier"],[/]/,{token:"identifier.quote",next:"@pop"}]],quotedIdentifier:[[/[^"]+/,"identifier"],[/""/,"identifier"],[/"/,{token:"identifier.quote",next:"@pop"}]],scopes:[[/BEGIN\s+(DISTRIBUTED\s+)?TRAN(SACTION)?\b/i,"keyword"],[/BEGIN\s+TRY\b/i,{token:"keyword.try"}],[/END\s+TRY\b/i,{token:"keyword.try"}],[/BEGIN\s+CATCH\b/i,{token:"keyword.catch"}],[/END\s+CATCH\b/i,{token:"keyword.catch"}],[/(BEGIN|CASE)\b/i,{token:"keyword.block"}],[/END\b/i,{token:"keyword.block"}],[/WHEN\b/i,{token:"keyword.choice"}],[/THEN\b/i,{token:"keyword.choice"}]]}}},2863:e=>{var t={animationIterationCount:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridRow:!0,gridColumn:!0,fontWeight:!0,lineClamp:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,fillOpacity:!0,stopOpacity:!0,strokeDashoffset:!0,strokeOpacity:!0,strokeWidth:!0};e.exports=function(e,r){return"number"!=typeof r||t[e]?r:r+"px"}},3523:e=>{var t=function(){"use strict";function e(e,t){return null!=t&&e instanceof t}var t,r,n;try{t=Map}catch(e){t=function(){}}try{r=Set}catch(e){r=function(){}}try{n=Promise}catch(e){n=function(){}}function o(i,l,s,u,c){"object"==typeof l&&(s=l.depth,u=l.prototype,c=l.includeNonEnumerable,l=l.circular);var d=[],p=[],f="undefined"!=typeof Buffer;return void 0===l&&(l=!0),void 0===s&&(s=1/0),function i(s,h){if(null===s)return null;if(0===h)return s;var g,v;if("object"!=typeof s)return s;if(e(s,t))g=new t;else if(e(s,r))g=new r;else if(e(s,n))g=new n((function(e,t){s.then((function(t){e(i(t,h-1))}),(function(e){t(i(e,h-1))}))}));else if(o.__isArray(s))g=[];else if(o.__isRegExp(s))g=new RegExp(s.source,a(s)),s.lastIndex&&(g.lastIndex=s.lastIndex);else if(o.__isDate(s))g=new Date(s.getTime());else{if(f&&Buffer.isBuffer(s))return g=Buffer.allocUnsafe?Buffer.allocUnsafe(s.length):new Buffer(s.length),s.copy(g),g;e(s,Error)?g=Object.create(s):void 0===u?(v=Object.getPrototypeOf(s),g=Object.create(v)):(g=Object.create(u),v=u)}if(l){var m=d.indexOf(s);if(-1!=m)return p[m];d.push(s),p.push(g)}for(var y in e(s,t)&&s.forEach((function(e,t){var r=i(t,h-1),n=i(e,h-1);g.set(r,n)})),e(s,r)&&s.forEach((function(e){var t=i(e,h-1);g.add(t)})),s){var b;v&&(b=Object.getOwnPropertyDescriptor(v,y)),b&&null==b.set||(g[y]=i(s[y],h-1))}if(Object.getOwnPropertySymbols){var O=Object.getOwnPropertySymbols(s);for(y=0;y<O.length;y++){var E=O[y];(!(w=Object.getOwnPropertyDescriptor(s,E))||w.enumerable||c)&&(g[E]=i(s[E],h-1),w.enumerable||Object.defineProperty(g,E,{enumerable:!1}))}}if(c){var S=Object.getOwnPropertyNames(s);for(y=0;y<S.length;y++){var w,T=S[y];(w=Object.getOwnPropertyDescriptor(s,T))&&w.enumerable||(g[T]=i(s[T],h-1),Object.defineProperty(g,T,{enumerable:!1}))}}return g}(i,s)}function i(e){return Object.prototype.toString.call(e)}function a(e){var t="";return e.global&&(t+="g"),e.ignoreCase&&(t+="i"),e.multiline&&(t+="m"),t}return o.clonePrototype=function(e){if(null===e)return null;var t=function(){};return t.prototype=e,new t},o.__objToStr=i,o.__isDate=function(e){return"object"==typeof e&&"[object Date]"===i(e)},o.__isArray=function(e){return"object"==typeof e&&"[object Array]"===i(e)},o.__isRegExp=function(e){return"object"==typeof e&&"[object RegExp]"===i(e)},o.__getRegExpFlags=a,o}();e.exports&&(e.exports=t)},4221:(e,t,r)=>{"use strict";var n=r(1882),o={"text/plain":"Text","text/html":"Url",default:"Text"};e.exports=function(e,t){var r,i,a,l,s,u,c=!1;t||(t={}),r=t.debug||!1;try{if(a=n(),l=document.createRange(),s=document.getSelection(),(u=document.createElement("span")).textContent=e,u.style.all="unset",u.style.position="fixed",u.style.top=0,u.style.clip="rect(0, 0, 0, 0)",u.style.whiteSpace="pre",u.style.webkitUserSelect="text",u.style.MozUserSelect="text",u.style.msUserSelect="text",u.style.userSelect="text",u.addEventListener("copy",(function(n){if(n.stopPropagation(),t.format)if(n.preventDefault(),void 0===n.clipboardData){r&&console.warn("unable to use e.clipboardData"),r&&console.warn("trying IE specific stuff"),window.clipboardData.clearData();var i=o[t.format]||o.default;window.clipboardData.setData(i,e)}else n.clipboardData.clearData(),n.clipboardData.setData(t.format,e);t.onCopy&&(n.preventDefault(),t.onCopy(n.clipboardData))})),document.body.appendChild(u),l.selectNodeContents(u),s.addRange(l),!document.execCommand("copy"))throw new Error("copy command was unsuccessful");c=!0}catch(n){r&&console.error("unable to copy using execCommand: ",n),r&&console.warn("trying IE specific stuff");try{window.clipboardData.setData(t.format||"text",e),t.onCopy&&t.onCopy(window.clipboardData),c=!0}catch(n){r&&console.error("unable to copy using clipboardData: ",n),r&&console.error("falling back to prompt"),i=function(e){var t=(/mac os x/i.test(navigator.userAgent)?"⌘":"Ctrl")+"+C";return e.replace(/#{\s*key\s*}/g,t)}("message"in t?t.message:"Copy to clipboard: #{key}, Enter"),window.prompt(i,e)}}finally{s&&("function"==typeof s.removeRange?s.removeRange(l):s.removeAllRanges()),u&&document.body.removeChild(u),a()}return c}},49:(e,t,r)=>{var n=r(5345),o=r(4882),i={float:"cssFloat"},a=r(2863);function l(e,t,r){var l=i[t];if(void 0===l&&(l=function(e){var t=o(e),r=n(t);return i[t]=i[e]=i[r]=r,r}(t)),l){if(void 0===r)return e.style[l];e.style[l]=a(l,r)}}function s(){2===arguments.length?"string"==typeof arguments[1]?arguments[0].style.cssText=arguments[1]:function(e,t){for(var r in t)t.hasOwnProperty(r)&&l(e,r,t[r])}(arguments[0],arguments[1]):l(arguments[0],arguments[1],arguments[2])}e.exports=s,e.exports.set=s,e.exports.get=function(e,t){return Array.isArray(t)?t.reduce((function(t,r){return t[r]=l(e,r||""),t}),{}):l(e,t||"")}},9083:(e,t,r)=>{var n;!function(){"use strict";var o=!("undefined"==typeof window||!window.document||!window.document.createElement),i={canUseDOM:o,canUseWorkers:"undefined"!=typeof Worker,canUseEventListeners:o&&!(!window.addEventListener&&!window.attachEvent),canUseViewport:o&&!!window.screen};void 0===(n=function(){return i}.call(t,r,t,e))||(e.exports=n)}()},9874:(e,t,r)=>{"use strict";var n=r(300),o={childContextTypes:!0,contextType:!0,contextTypes:!0,defaultProps:!0,displayName:!0,getDefaultProps:!0,getDerivedStateFromError:!0,getDerivedStateFromProps:!0,mixins:!0,propTypes:!0,type:!0},i={name:!0,length:!0,prototype:!0,caller:!0,callee:!0,arguments:!0,arity:!0},a={$$typeof:!0,compare:!0,defaultProps:!0,displayName:!0,propTypes:!0,type:!0},l={};function s(e){return n.isMemo(e)?a:l[e.$$typeof]||o}l[n.ForwardRef]={$$typeof:!0,render:!0,defaultProps:!0,displayName:!0,propTypes:!0},l[n.Memo]=a;var u=Object.defineProperty,c=Object.getOwnPropertyNames,d=Object.getOwnPropertySymbols,p=Object.getOwnPropertyDescriptor,f=Object.getPrototypeOf,h=Object.prototype;e.exports=function e(t,r,n){if("string"!=typeof r){if(h){var o=f(r);o&&o!==h&&e(t,o,n)}var a=c(r);d&&(a=a.concat(d(r)));for(var l=s(t),g=s(r),v=0;v<a.length;++v){var m=a[v];if(!(i[m]||n&&n[m]||g&&g[m]||l&&l[m])){var y=p(r,m);try{u(t,m,y)}catch(e){}}}}return t}},3520:(e,t)=>{"use strict";var r="function"==typeof Symbol&&Symbol.for,n=r?Symbol.for("react.element"):60103,o=r?Symbol.for("react.portal"):60106,i=r?Symbol.for("react.fragment"):60107,a=r?Symbol.for("react.strict_mode"):60108,l=r?Symbol.for("react.profiler"):60114,s=r?Symbol.for("react.provider"):60109,u=r?Symbol.for("react.context"):60110,c=r?Symbol.for("react.async_mode"):60111,d=r?Symbol.for("react.concurrent_mode"):60111,p=r?Symbol.for("react.forward_ref"):60112,f=r?Symbol.for("react.suspense"):60113,h=r?Symbol.for("react.suspense_list"):60120,g=r?Symbol.for("react.memo"):60115,v=r?Symbol.for("react.lazy"):60116,m=r?Symbol.for("react.block"):60121,y=r?Symbol.for("react.fundamental"):60117,b=r?Symbol.for("react.responder"):60118,O=r?Symbol.for("react.scope"):60119;function E(e){if("object"==typeof e&&null!==e){var t=e.$$typeof;switch(t){case n:switch(e=e.type){case c:case d:case i:case l:case a:case f:return e;default:switch(e=e&&e.$$typeof){case u:case p:case v:case g:case s:return e;default:return t}}case o:return t}}}function S(e){return E(e)===d}t.AsyncMode=c,t.ConcurrentMode=d,t.ContextConsumer=u,t.ContextProvider=s,t.Element=n,t.ForwardRef=p,t.Fragment=i,t.Lazy=v,t.Memo=g,t.Portal=o,t.Profiler=l,t.StrictMode=a,t.Suspense=f,t.isAsyncMode=function(e){return S(e)||E(e)===c},t.isConcurrentMode=S,t.isContextConsumer=function(e){return E(e)===u},t.isContextProvider=function(e){return E(e)===s},t.isElement=function(e){return"object"==typeof e&&null!==e&&e.$$typeof===n},t.isForwardRef=function(e){return E(e)===p},t.isFragment=function(e){return E(e)===i},t.isLazy=function(e){return E(e)===v},t.isMemo=function(e){return E(e)===g},t.isPortal=function(e){return E(e)===o},t.isProfiler=function(e){return E(e)===l},t.isStrictMode=function(e){return E(e)===a},t.isSuspense=function(e){return E(e)===f},t.isValidElementType=function(e){return"string"==typeof e||"function"==typeof e||e===i||e===d||e===l||e===a||e===f||e===h||"object"==typeof e&&null!==e&&(e.$$typeof===v||e.$$typeof===g||e.$$typeof===s||e.$$typeof===u||e.$$typeof===p||e.$$typeof===y||e.$$typeof===b||e.$$typeof===O||e.$$typeof===m)},t.typeOf=E},300:(e,t,r)=>{"use strict";e.exports=r(3520)},502:function(e,t,r){var n,o;n=function(){"use strict";Array.isArray||(Array.isArray=function(e){return"[object Array]"===Object.prototype.toString.call(e)});var e={},t={"==":function(e,t){return e==t},"===":function(e,t){return e===t},"!=":function(e,t){return e!=t},"!==":function(e,t){return e!==t},">":function(e,t){return e>t},">=":function(e,t){return e>=t},"<":function(e,t,r){return void 0===r?e<t:e<t&&t<r},"<=":function(e,t,r){return void 0===r?e<=t:e<=t&&t<=r},"!!":function(t){return e.truthy(t)},"!":function(t){return!e.truthy(t)},"%":function(e,t){return e%t},log:function(e){return console.log(e),e},in:function(e,t){return!(!t||void 0===t.indexOf)&&-1!==t.indexOf(e)},cat:function(){return Array.prototype.join.call(arguments,"")},substr:function(e,t,r){if(r<0){var n=String(e).substr(t);return n.substr(0,n.length+r)}return String(e).substr(t,r)},"+":function(){return Array.prototype.reduce.call(arguments,(function(e,t){return parseFloat(e,10)+parseFloat(t,10)}),0)},"*":function(){return Array.prototype.reduce.call(arguments,(function(e,t){return parseFloat(e,10)*parseFloat(t,10)}))},"-":function(e,t){return void 0===t?-e:e-t},"/":function(e,t){return e/t},min:function(){return Math.min.apply(this,arguments)},max:function(){return Math.max.apply(this,arguments)},merge:function(){return Array.prototype.reduce.call(arguments,(function(e,t){return e.concat(t)}),[])},var:function(e,t){var r=void 0===t?null:t,n=this;if(void 0===e||""===e||null===e)return n;for(var o=String(e).split("."),i=0;i<o.length;i++){if(null==n)return r;if(void 0===(n=n[o[i]]))return r}return n},missing:function(){for(var t=[],r=Array.isArray(arguments[0])?arguments[0]:arguments,n=0;n<r.length;n++){var o=r[n],i=e.apply({var:o},this);null!==i&&""!==i||t.push(o)}return t},missing_some:function(t,r){var n=e.apply({missing:r},this);return r.length-n.length>=t?[]:n}};return e.is_logic=function(e){return"object"==typeof e&&null!==e&&!Array.isArray(e)&&1===Object.keys(e).length},e.truthy=function(e){return!(Array.isArray(e)&&0===e.length||!e)},e.get_operator=function(e){return Object.keys(e)[0]},e.get_values=function(t){return t[e.get_operator(t)]},e.apply=function(r,n){if(Array.isArray(r))return r.map((function(t){return e.apply(t,n)}));if(!e.is_logic(r))return r;var o,i,a,l,s,u=e.get_operator(r),c=r[u];if(Array.isArray(c)||(c=[c]),"if"===u||"?:"==u){for(o=0;o<c.length-1;o+=2)if(e.truthy(e.apply(c[o],n)))return e.apply(c[o+1],n);return c.length===o+1?e.apply(c[o],n):null}if("and"===u){for(o=0;o<c.length;o+=1)if(i=e.apply(c[o],n),!e.truthy(i))return i;return i}if("or"===u){for(o=0;o<c.length;o+=1)if(i=e.apply(c[o],n),e.truthy(i))return i;return i}if("filter"===u)return l=e.apply(c[0],n),a=c[1],Array.isArray(l)?l.filter((function(t){return e.truthy(e.apply(a,t))})):[];if("map"===u)return l=e.apply(c[0],n),a=c[1],Array.isArray(l)?l.map((function(t){return e.apply(a,t)})):[];if("reduce"===u)return l=e.apply(c[0],n),a=c[1],s=void 0!==c[2]?c[2]:null,Array.isArray(l)?l.reduce((function(t,r){return e.apply(a,{current:r,accumulator:t})}),s):s;if("all"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!1;for(o=0;o<l.length;o+=1)if(!e.truthy(e.apply(a,l[o])))return!1;return!0}if("none"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!0;for(o=0;o<l.length;o+=1)if(e.truthy(e.apply(a,l[o])))return!1;return!0}if("some"===u){if(l=e.apply(c[0],n),a=c[1],!Array.isArray(l)||!l.length)return!1;for(o=0;o<l.length;o+=1)if(e.truthy(e.apply(a,l[o])))return!0;return!1}if(c=c.map((function(t){return e.apply(t,n)})),t.hasOwnProperty(u)&&"function"==typeof t[u])return t[u].apply(n,c);if(u.indexOf(".")>0){var d=String(u).split("."),p=t;for(o=0;o<d.length;o++){if(!p.hasOwnProperty(d[o]))throw new Error("Unrecognized operation "+u+" (failed at "+d.slice(0,o+1).join(".")+")");p=p[d[o]]}return p.apply(n,c)}throw new Error("Unrecognized operation "+u)},e.uses_data=function(t){var r=[];if(e.is_logic(t)){var n=e.get_operator(t),o=t[n];Array.isArray(o)||(o=[o]),"var"===n?r.push(o[0]):o.forEach((function(t){r.push.apply(r,e.uses_data(t))}))}return function(e){for(var t=[],r=0,n=e.length;r<n;r++)-1===t.indexOf(e[r])&&t.push(e[r]);return t}(r)},e.add_operation=function(e,r){t[e]=r},e.rm_operation=function(e){delete t[e]},e.rule_like=function(t,r){if(r===t)return!0;if("@"===r)return!0;if("number"===r)return"number"==typeof t;if("string"===r)return"string"==typeof t;if("array"===r)return Array.isArray(t)&&!e.is_logic(t);if(e.is_logic(r)){if(e.is_logic(t)){var n=e.get_operator(r),o=e.get_operator(t);if("@"===n||n===o)return e.rule_like(e.get_values(t,!1),e.get_values(r,!1))}return!1}if(Array.isArray(r)){if(Array.isArray(t)){if(r.length!==t.length)return!1;for(var i=0;i<r.length;i+=1)if(!e.rule_like(t[i],r[i]))return!1;return!0}return!1}return!1},e},void 0===(o=n.call(t,r,t,e))||(e.exports=o)},5948:(e,t,r)=>{var n=r(2062)(r(9965),"DataView");e.exports=n},4845:(e,t,r)=>{var n=r(5504),o=r(5270),i=r(7150),a=r(2637),l=r(1077);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},1999:(e,t,r)=>{var n=r(7718),o=r(4272),i=r(5107),a=r(1055),l=r(4647);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},5455:(e,t,r)=>{var n=r(2062)(r(9965),"Map");e.exports=n},1549:(e,t,r)=>{var n=r(6400),o=r(7014),i=r(1793),a=r(6429),l=r(821);function s(e){var t=-1,r=null==e?0:e.length;for(this.clear();++t<r;){var n=e[t];this.set(n[0],n[1])}}s.prototype.clear=n,s.prototype.delete=o,s.prototype.get=i,s.prototype.has=a,s.prototype.set=l,e.exports=s},6420:(e,t,r)=>{var n=r(2062)(r(9965),"Promise");e.exports=n},2833:(e,t,r)=>{var n=r(2062)(r(9965),"Set");e.exports=n},8283:(e,t,r)=>{var n=r(1549),o=r(228),i=r(3683);function a(e){var t=-1,r=null==e?0:e.length;for(this.__data__=new n;++t<r;)this.add(e[t])}a.prototype.add=a.prototype.push=o,a.prototype.has=i,e.exports=a},8545:(e,t,r)=>{var n=r(1999),o=r(5052),i=r(4250),a=r(4773),l=r(6921),s=r(5745);function u(e){var t=this.__data__=new n(e);this.size=t.size}u.prototype.clear=o,u.prototype.delete=i,u.prototype.get=a,u.prototype.has=l,u.prototype.set=s,e.exports=u},2609:(e,t,r)=>{var n=r(9965).Symbol;e.exports=n},3604:(e,t,r)=>{var n=r(9965).Uint8Array;e.exports=n},8143:(e,t,r)=>{var n=r(2062)(r(9965),"WeakMap");e.exports=n},1929:e=>{e.exports=function(e,t,r){switch(r.length){case 0:return e.call(t);case 1:return e.call(t,r[0]);case 2:return e.call(t,r[0],r[1]);case 3:return e.call(t,r[0],r[1],r[2])}return e.apply(t,r)}},6433:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length;++r<n&&!1!==t(e[r],r,e););return e}},9386:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=0,i=[];++r<n;){var a=e[r];t(a,r,e)&&(i[o++]=a)}return i}},6791:(e,t,r)=>{var n=r(2784),o=r(5196),i=r(4913),a=r(4264),l=r(6665),s=r(5087),u=Object.prototype.hasOwnProperty;e.exports=function(e,t){var r=i(e),c=!r&&o(e),d=!r&&!c&&a(e),p=!r&&!c&&!d&&s(e),f=r||c||d||p,h=f?n(e.length,String):[],g=h.length;for(var v in e)!t&&!u.call(e,v)||f&&("length"==v||d&&("offset"==v||"parent"==v)||p&&("buffer"==v||"byteLength"==v||"byteOffset"==v)||l(v,g))||h.push(v);return h}},1428:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length,o=Array(n);++r<n;)o[r]=t(e[r],r,e);return o}},8256:e=>{e.exports=function(e,t){for(var r=-1,n=t.length,o=e.length;++r<n;)e[o+r]=t[r];return e}},9272:e=>{e.exports=function(e,t){for(var r=-1,n=null==e?0:e.length;++r<n;)if(t(e[r],r,e))return!0;return!1}},237:(e,t,r)=>{var n=r(2464),o=r(6424);e.exports=function(e,t,r){(void 0!==r&&!o(e[t],r)||void 0===r&&!(t in e))&&n(e,t,r)}},8131:(e,t,r)=>{var n=r(2464),o=r(6424),i=Object.prototype.hasOwnProperty;e.exports=function(e,t,r){var a=e[t];i.call(e,t)&&o(a,r)&&(void 0!==r||t in e)||n(e,t,r)}},3481:(e,t,r)=>{var n=r(6424);e.exports=function(e,t){for(var r=e.length;r--;)if(n(e[r][0],t))return r;return-1}},4861:(e,t,r)=>{var n=r(4735),o=r(3790);e.exports=function(e,t){return e&&n(t,o(t),e)}},7838:(e,t,r)=>{var n=r(4735),o=r(5961);e.exports=function(e,t){return e&&n(t,o(t),e)}},2464:(e,t,r)=>{var n=r(9611);e.exports=function(e,t,r){"__proto__"==t&&n?n(e,t,{configurable:!0,enumerable:!0,value:r,writable:!0}):e[t]=r}},5725:e=>{e.exports=function(e,t,r){return e==e&&(void 0!==r&&(e=e<=r?e:r),void 0!==t&&(e=e>=t?e:t)),e}},6575:(e,t,r)=>{var n=r(8545),o=r(6433),i=r(8131),a=r(4861),l=r(7838),s=r(8986),u=r(1231),c=r(1711),d=r(1476),p=r(130),f=r(869),h=r(6053),g=r(509),v=r(1343),m=r(1225),y=r(4913),b=r(4264),O=r(146),E=r(7453),S=r(8696),w=r(3790),T=r(5961),x="[object Arguments]",_="[object Function]",C="[object Object]",R={};R[x]=R["[object Array]"]=R["[object ArrayBuffer]"]=R["[object DataView]"]=R["[object Boolean]"]=R["[object Date]"]=R["[object Float32Array]"]=R["[object Float64Array]"]=R["[object Int8Array]"]=R["[object Int16Array]"]=R["[object Int32Array]"]=R["[object Map]"]=R["[object Number]"]=R[C]=R["[object RegExp]"]=R["[object Set]"]=R["[object String]"]=R["[object Symbol]"]=R["[object Uint8Array]"]=R["[object Uint8ClampedArray]"]=R["[object Uint16Array]"]=R["[object Uint32Array]"]=!0,R["[object Error]"]=R[_]=R["[object WeakMap]"]=!1,e.exports=function e(t,r,I,A,j,k){var P,L=1&r,N=2&r,F=4&r;if(I&&(P=j?I(t,A,j,k):I(t)),void 0!==P)return P;if(!E(t))return t;var D=y(t);if(D){if(P=g(t),!L)return u(t,P)}else{var M=h(t),V=M==_||"[object GeneratorFunction]"==M;if(b(t))return s(t,L);if(M==C||M==x||V&&!j){if(P=N||V?{}:m(t),!L)return N?d(t,l(P,t)):c(t,a(P,t))}else{if(!R[M])return j?t:{};P=v(t,M,L)}}k||(k=new n);var U=k.get(t);if(U)return U;k.set(t,P),S(t)?t.forEach((function(n){P.add(e(n,r,I,n,t,k))})):O(t)&&t.forEach((function(n,o){P.set(o,e(n,r,I,o,t,k))}));var B=D?void 0:(F?N?f:p:N?T:w)(t);return o(B||t,(function(n,o){B&&(n=t[o=n]),i(P,o,e(n,r,I,o,t,k))})),P}},3088:(e,t,r)=>{var n=r(7453),o=Object.create,i=function(){function e(){}return function(t){if(!n(t))return{};if(o)return o(t);e.prototype=t;var r=new e;return e.prototype=void 0,r}}();e.exports=i},3323:e=>{e.exports=function(e,t,r,n){for(var o=e.length,i=r+(n?1:-1);n?i--:++i<o;)if(t(e[i],i,e))return i;return-1}},1360:(e,t,r)=>{var n=r(8256),o=r(5043);e.exports=function e(t,r,i,a,l){var s=-1,u=t.length;for(i||(i=o),l||(l=[]);++s<u;){var c=t[s];r>0&&i(c)?r>1?e(c,r-1,i,a,l):n(l,c):a||(l[l.length]=c)}return l}},6057:(e,t,r)=>{var n=r(5845)();e.exports=n},5473:(e,t,r)=>{var n=r(6057),o=r(3790);e.exports=function(e,t){return e&&n(e,t,o)}},2718:(e,t,r)=>{var n=r(2361),o=r(8197);e.exports=function(e,t){for(var r=0,i=(t=n(t,e)).length;null!=e&&r<i;)e=e[o(t[r++])];return r&&r==i?e:void 0}},8359:(e,t,r)=>{var n=r(8256),o=r(4913);e.exports=function(e,t,r){var i=t(e);return o(e)?i:n(i,r(e))}},9048:(e,t,r)=>{var n=r(2609),o=r(2899),i=r(7222),a=n?n.toStringTag:void 0;e.exports=function(e){return null==e?void 0===e?"[object Undefined]":"[object Null]":a&&a in Object(e)?o(e):i(e)}},3613:e=>{e.exports=function(e,t){return null!=e&&t in Object(e)}},9555:(e,t,r)=>{var n=r(3323),o=r(8967),i=r(5951);e.exports=function(e,t,r){return t==t?i(e,t,r):n(e,o,r)}},3070:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return o(e)&&"[object Arguments]"==n(e)}},590:(e,t,r)=>{var n=r(9132),o=r(9466);e.exports=function e(t,r,i,a,l){return t===r||(null==t||null==r||!o(t)&&!o(r)?t!=t&&r!=r:n(t,r,i,a,e,l))}},9132:(e,t,r)=>{var n=r(8545),o=r(4807),i=r(898),a=r(3409),l=r(6053),s=r(4913),u=r(4264),c=r(5087),d="[object Arguments]",p="[object Array]",f="[object Object]",h=Object.prototype.hasOwnProperty;e.exports=function(e,t,r,g,v,m){var y=s(e),b=s(t),O=y?p:l(e),E=b?p:l(t),S=(O=O==d?f:O)==f,w=(E=E==d?f:E)==f,T=O==E;if(T&&u(e)){if(!u(t))return!1;y=!0,S=!1}if(T&&!S)return m||(m=new n),y||c(e)?o(e,t,r,g,v,m):i(e,t,O,r,g,v,m);if(!(1&r)){var x=S&&h.call(e,"__wrapped__"),_=w&&h.call(t,"__wrapped__");if(x||_){var C=x?e.value():e,R=_?t.value():t;return m||(m=new n),v(C,R,r,g,m)}}return!!T&&(m||(m=new n),a(e,t,r,g,v,m))}},2052:(e,t,r)=>{var n=r(6053),o=r(9466);e.exports=function(e){return o(e)&&"[object Map]"==n(e)}},7799:(e,t,r)=>{var n=r(8545),o=r(590);e.exports=function(e,t,r,i){var a=r.length,l=a,s=!i;if(null==e)return!l;for(e=Object(e);a--;){var u=r[a];if(s&&u[2]?u[1]!==e[u[0]]:!(u[0]in e))return!1}for(;++a<l;){var c=(u=r[a])[0],d=e[c],p=u[1];if(s&&u[2]){if(void 0===d&&!(c in e))return!1}else{var f=new n;if(i)var h=i(d,p,c,e,t,f);if(!(void 0===h?o(p,d,3,i,f):h))return!1}}return!0}},8967:e=>{e.exports=function(e){return e!=e}},4363:(e,t,r)=>{var n=r(1866),o=r(3248),i=r(7453),a=r(3761),l=/^\[object .+?Constructor\]$/,s=Function.prototype,u=Object.prototype,c=s.toString,d=u.hasOwnProperty,p=RegExp("^"+c.call(d).replace(/[\\^$.*+?()[\]{}|]/g,"\\$&").replace(/hasOwnProperty|(function).*?(?=\\\()| for .+?(?=\\\])/g,"$1.*?")+"$");e.exports=function(e){return!(!i(e)||o(e))&&(n(e)?p:l).test(a(e))}},5206:(e,t,r)=>{var n=r(6053),o=r(9466);e.exports=function(e){return o(e)&&"[object Set]"==n(e)}},9653:(e,t,r)=>{var n=r(9048),o=r(582),i=r(9466),a={};a["[object Float32Array]"]=a["[object Float64Array]"]=a["[object Int8Array]"]=a["[object Int16Array]"]=a["[object Int32Array]"]=a["[object Uint8Array]"]=a["[object Uint8ClampedArray]"]=a["[object Uint16Array]"]=a["[object Uint32Array]"]=!0,a["[object Arguments]"]=a["[object Array]"]=a["[object ArrayBuffer]"]=a["[object Boolean]"]=a["[object DataView]"]=a["[object Date]"]=a["[object Error]"]=a["[object Function]"]=a["[object Map]"]=a["[object Number]"]=a["[object Object]"]=a["[object RegExp]"]=a["[object Set]"]=a["[object String]"]=a["[object WeakMap]"]=!1,e.exports=function(e){return i(e)&&o(e.length)&&!!a[n(e)]}},3245:(e,t,r)=>{var n=r(8271),o=r(4458),i=r(912),a=r(4913),l=r(6711);e.exports=function(e){return"function"==typeof e?e:null==e?i:"object"==typeof e?a(e)?o(e[0],e[1]):n(e):l(e)}},6504:(e,t,r)=>{var n=r(5735),o=r(9458),i=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return o(e);var t=[];for(var r in Object(e))i.call(e,r)&&"constructor"!=r&&t.push(r);return t}},9399:(e,t,r)=>{var n=r(7453),o=r(5735),i=r(2693),a=Object.prototype.hasOwnProperty;e.exports=function(e){if(!n(e))return i(e);var t=o(e),r=[];for(var l in e)("constructor"!=l||!t&&a.call(e,l))&&r.push(l);return r}},8271:(e,t,r)=>{var n=r(7799),o=r(520),i=r(7405);e.exports=function(e){var t=o(e);return 1==t.length&&t[0][2]?i(t[0][0],t[0][1]):function(r){return r===e||n(r,e,t)}}},4458:(e,t,r)=>{var n=r(590),o=r(5612),i=r(4055),a=r(6394),l=r(2308),s=r(7405),u=r(8197);e.exports=function(e,t){return a(e)&&l(t)?s(u(e),t):function(r){var a=o(r,e);return void 0===a&&a===t?i(r,e):n(t,a,3)}}},9058:(e,t,r)=>{var n=r(8545),o=r(237),i=r(6057),a=r(8120),l=r(7453),s=r(5961),u=r(4302);e.exports=function e(t,r,c,d,p){t!==r&&i(r,(function(i,s){if(p||(p=new n),l(i))a(t,r,s,c,e,d,p);else{var f=d?d(u(t,s),i,s+"",t,r,p):void 0;void 0===f&&(f=i),o(t,s,f)}}),s)}},8120:(e,t,r)=>{var n=r(237),o=r(8986),i=r(7961),a=r(1231),l=r(1225),s=r(5196),u=r(4913),c=r(7965),d=r(4264),p=r(1866),f=r(7453),h=r(5219),g=r(5087),v=r(4302),m=r(5148);e.exports=function(e,t,r,y,b,O,E){var S=v(e,r),w=v(t,r),T=E.get(w);if(T)n(e,r,T);else{var x=O?O(S,w,r+"",e,t,E):void 0,_=void 0===x;if(_){var C=u(w),R=!C&&d(w),I=!C&&!R&&g(w);x=w,C||R||I?u(S)?x=S:c(S)?x=a(S):R?(_=!1,x=o(w,!0)):I?(_=!1,x=i(w,!0)):x=[]:h(w)||s(w)?(x=S,s(S)?x=m(S):f(S)&&!p(S)||(x=l(w))):_=!1}_&&(E.set(w,x),b(x,w,y,O,E),E.delete(w)),n(e,r,x)}}},1:(e,t,r)=>{var n=r(9916),o=r(4055);e.exports=function(e,t){return n(e,t,(function(t,r){return o(e,r)}))}},9916:(e,t,r)=>{var n=r(2718),o=r(3746),i=r(2361);e.exports=function(e,t,r){for(var a=-1,l=t.length,s={};++a<l;){var u=t[a],c=n(e,u);r(c,u)&&o(s,i(u,e),c)}return s}},645:e=>{e.exports=function(e){return function(t){return null==t?void 0:t[e]}}},5319:(e,t,r)=>{var n=r(2718);e.exports=function(e){return function(t){return n(t,e)}}},9383:e=>{var t=Math.ceil,r=Math.max;e.exports=function(e,n,o,i){for(var a=-1,l=r(t((n-e)/(o||1)),0),s=Array(l);l--;)s[i?l:++a]=e,e+=o;return s}},1459:e=>{var t=Math.floor;e.exports=function(e,r){var n="";if(!e||r<1||r>9007199254740991)return n;do{r%2&&(n+=e),(r=t(r/2))&&(e+=e)}while(r);return n}},1110:(e,t,r)=>{var n=r(912),o=r(709),i=r(7281);e.exports=function(e,t){return i(o(e,t,n),e+"")}},3746:(e,t,r)=>{var n=r(8131),o=r(2361),i=r(6665),a=r(7453),l=r(8197);e.exports=function(e,t,r,s){if(!a(e))return e;for(var u=-1,c=(t=o(t,e)).length,d=c-1,p=e;null!=p&&++u<c;){var f=l(t[u]),h=r;if("__proto__"===f||"constructor"===f||"prototype"===f)return e;if(u!=d){var g=p[f];void 0===(h=s?s(g,f,p):void 0)&&(h=a(g)?g:i(t[u+1])?[]:{})}n(p,f,h),p=p[f]}return e}},4450:(e,t,r)=>{var n=r(6534),o=r(9611),i=r(912),a=o?function(e,t){return o(e,"toString",{configurable:!0,enumerable:!1,value:n(t),writable:!0})}:i;e.exports=a},312:e=>{e.exports=function(e,t,r){var n=-1,o=e.length;t<0&&(t=-t>o?0:o+t),(r=r>o?o:r)<0&&(r+=o),o=t>r?0:r-t>>>0,t>>>=0;for(var i=Array(o);++n<o;)i[n]=e[n+t];return i}},2784:e=>{e.exports=function(e,t){for(var r=-1,n=Array(e);++r<e;)n[r]=t(r);return n}},9764:(e,t,r)=>{var n=r(2609),o=r(1428),i=r(4913),a=r(7386),l=n?n.prototype:void 0,s=l?l.toString:void 0;e.exports=function e(t){if("string"==typeof t)return t;if(i(t))return o(t,e)+"";if(a(t))return s?s.call(t):"";var r=t+"";return"0"==r&&1/t==-1/0?"-0":r}},7248:(e,t,r)=>{var n=r(1272),o=/^\s+/;e.exports=function(e){return e?e.slice(0,n(e)+1).replace(o,""):e}},277:e=>{e.exports=function(e){return function(t){return e(t)}}},6744:(e,t,r)=>{var n=r(2361),o=r(8906),i=r(2473),a=r(8197);e.exports=function(e,t){return t=n(t,e),null==(e=i(e,t))||delete e[a(o(t))]}},1282:(e,t,r)=>{var n=r(1428);e.exports=function(e,t){return n(t,(function(t){return e[t]}))}},3840:e=>{e.exports=function(e,t){return e.has(t)}},2361:(e,t,r)=>{var n=r(4913),o=r(6394),i=r(266),a=r(3158);e.exports=function(e,t){return n(e)?e:o(e,t)?[e]:i(a(e))}},7749:(e,t,r)=>{var n=r(3604);e.exports=function(e){var t=new e.constructor(e.byteLength);return new n(t).set(new n(e)),t}},8986:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o?n.Buffer:void 0,l=a?a.allocUnsafe:void 0;e.exports=function(e,t){if(t)return e.slice();var r=e.length,n=l?l(r):new e.constructor(r);return e.copy(n),n}},3081:(e,t,r)=>{var n=r(7749);e.exports=function(e,t){var r=t?n(e.buffer):e.buffer;return new e.constructor(r,e.byteOffset,e.byteLength)}},6945:e=>{var t=/\w*$/;e.exports=function(e){var r=new e.constructor(e.source,t.exec(e));return r.lastIndex=e.lastIndex,r}},6952:(e,t,r)=>{var n=r(2609),o=n?n.prototype:void 0,i=o?o.valueOf:void 0;e.exports=function(e){return i?Object(i.call(e)):{}}},7961:(e,t,r)=>{var n=r(7749);e.exports=function(e,t){var r=t?n(e.buffer):e.buffer;return new e.constructor(r,e.byteOffset,e.length)}},1231:e=>{e.exports=function(e,t){var r=-1,n=e.length;for(t||(t=Array(n));++r<n;)t[r]=e[r];return t}},4735:(e,t,r)=>{var n=r(8131),o=r(2464);e.exports=function(e,t,r,i){var a=!r;r||(r={});for(var l=-1,s=t.length;++l<s;){var u=t[l],c=i?i(r[u],e[u],u,r,e):void 0;void 0===c&&(c=e[u]),a?o(r,u,c):n(r,u,c)}return r}},1711:(e,t,r)=>{var n=r(4735),o=r(6600);e.exports=function(e,t){return n(e,o(e),t)}},1476:(e,t,r)=>{var n=r(4735),o=r(8455);e.exports=function(e,t){return n(e,o(e),t)}},2489:(e,t,r)=>{var n=r(9965)["__core-js_shared__"];e.exports=n},9511:(e,t,r)=>{var n=r(1110),o=r(3632);e.exports=function(e){return n((function(t,r){var n=-1,i=r.length,a=i>1?r[i-1]:void 0,l=i>2?r[2]:void 0;for(a=e.length>3&&"function"==typeof a?(i--,a):void 0,l&&o(r[0],r[1],l)&&(a=i<3?void 0:a,i=1),t=Object(t);++n<i;){var s=r[n];s&&e(t,s,n,a)}return t}))}},5845:e=>{e.exports=function(e){return function(t,r,n){for(var o=-1,i=Object(t),a=n(t),l=a.length;l--;){var s=a[e?l:++o];if(!1===r(i[s],s,i))break}return t}}},8580:(e,t,r)=>{var n=r(9383),o=r(3632),i=r(1144);e.exports=function(e){return function(t,r,a){return a&&"number"!=typeof a&&o(t,r,a)&&(r=a=void 0),t=i(t),void 0===r?(r=t,t=0):r=i(r),a=void 0===a?t<r?1:-1:i(a),n(t,r,a,e)}}},2050:(e,t,r)=>{var n=r(5219);e.exports=function(e){return n(e)?void 0:e}},9611:(e,t,r)=>{var n=r(2062),o=function(){try{var e=n(Object,"defineProperty");return e({},"",{}),e}catch(e){}}();e.exports=o},4807:(e,t,r)=>{var n=r(8283),o=r(9272),i=r(3840);e.exports=function(e,t,r,a,l,s){var u=1&r,c=e.length,d=t.length;if(c!=d&&!(u&&d>c))return!1;var p=s.get(e),f=s.get(t);if(p&&f)return p==t&&f==e;var h=-1,g=!0,v=2&r?new n:void 0;for(s.set(e,t),s.set(t,e);++h<c;){var m=e[h],y=t[h];if(a)var b=u?a(y,m,h,t,e,s):a(m,y,h,e,t,s);if(void 0!==b){if(b)continue;g=!1;break}if(v){if(!o(t,(function(e,t){if(!i(v,t)&&(m===e||l(m,e,r,a,s)))return v.push(t)}))){g=!1;break}}else if(m!==y&&!l(m,y,r,a,s)){g=!1;break}}return s.delete(e),s.delete(t),g}},898:(e,t,r)=>{var n=r(2609),o=r(3604),i=r(6424),a=r(4807),l=r(9885),s=r(6295),u=n?n.prototype:void 0,c=u?u.valueOf:void 0;e.exports=function(e,t,r,n,u,d,p){switch(r){case"[object DataView]":if(e.byteLength!=t.byteLength||e.byteOffset!=t.byteOffset)return!1;e=e.buffer,t=t.buffer;case"[object ArrayBuffer]":return!(e.byteLength!=t.byteLength||!d(new o(e),new o(t)));case"[object Boolean]":case"[object Date]":case"[object Number]":return i(+e,+t);case"[object Error]":return e.name==t.name&&e.message==t.message;case"[object RegExp]":case"[object String]":return e==t+"";case"[object Map]":var f=l;case"[object Set]":var h=1&n;if(f||(f=s),e.size!=t.size&&!h)return!1;var g=p.get(e);if(g)return g==t;n|=2,p.set(e,t);var v=a(f(e),f(t),n,u,d,p);return p.delete(e),v;case"[object Symbol]":if(c)return c.call(e)==c.call(t)}return!1}},3409:(e,t,r)=>{var n=r(130),o=Object.prototype.hasOwnProperty;e.exports=function(e,t,r,i,a,l){var s=1&r,u=n(e),c=u.length;if(c!=n(t).length&&!s)return!1;for(var d=c;d--;){var p=u[d];if(!(s?p in t:o.call(t,p)))return!1}var f=l.get(e),h=l.get(t);if(f&&h)return f==t&&h==e;var g=!0;l.set(e,t),l.set(t,e);for(var v=s;++d<c;){var m=e[p=u[d]],y=t[p];if(i)var b=s?i(y,m,p,t,e,l):i(m,y,p,e,t,l);if(!(void 0===b?m===y||a(m,y,r,i,l):b)){g=!1;break}v||(v="constructor"==p)}if(g&&!v){var O=e.constructor,E=t.constructor;O==E||!("constructor"in e)||!("constructor"in t)||"function"==typeof O&&O instanceof O&&"function"==typeof E&&E instanceof E||(g=!1)}return l.delete(e),l.delete(t),g}},8496:(e,t,r)=>{var n=r(9234),o=r(709),i=r(7281);e.exports=function(e){return i(o(e,void 0,n),e+"")}},6392:(e,t,r)=>{var n="object"==typeof r.g&&r.g&&r.g.Object===Object&&r.g;e.exports=n},130:(e,t,r)=>{var n=r(8359),o=r(6600),i=r(3790);e.exports=function(e){return n(e,i,o)}},869:(e,t,r)=>{var n=r(8359),o=r(8455),i=r(5961);e.exports=function(e){return n(e,i,o)}},3707:(e,t,r)=>{var n=r(9178);e.exports=function(e,t){var r=e.__data__;return n(t)?r["string"==typeof t?"string":"hash"]:r.map}},520:(e,t,r)=>{var n=r(2308),o=r(3790);e.exports=function(e){for(var t=o(e),r=t.length;r--;){var i=t[r],a=e[i];t[r]=[i,a,n(a)]}return t}},2062:(e,t,r)=>{var n=r(4363),o=r(5240);e.exports=function(e,t){var r=o(e,t);return n(r)?r:void 0}},6607:(e,t,r)=>{var n=r(8303)(Object.getPrototypeOf,Object);e.exports=n},2899:(e,t,r)=>{var n=r(2609),o=Object.prototype,i=o.hasOwnProperty,a=o.toString,l=n?n.toStringTag:void 0;e.exports=function(e){var t=i.call(e,l),r=e[l];try{e[l]=void 0;var n=!0}catch(e){}var o=a.call(e);return n&&(t?e[l]=r:delete e[l]),o}},6600:(e,t,r)=>{var n=r(9386),o=r(8721),i=Object.prototype.propertyIsEnumerable,a=Object.getOwnPropertySymbols,l=a?function(e){return null==e?[]:(e=Object(e),n(a(e),(function(t){return i.call(e,t)})))}:o;e.exports=l},8455:(e,t,r)=>{var n=r(8256),o=r(6607),i=r(6600),a=r(8721),l=Object.getOwnPropertySymbols?function(e){for(var t=[];e;)n(t,i(e)),e=o(e);return t}:a;e.exports=l},6053:(e,t,r)=>{var n=r(5948),o=r(5455),i=r(6420),a=r(2833),l=r(8143),s=r(9048),u=r(3761),c="[object Map]",d="[object Promise]",p="[object Set]",f="[object WeakMap]",h="[object DataView]",g=u(n),v=u(o),m=u(i),y=u(a),b=u(l),O=s;(n&&O(new n(new ArrayBuffer(1)))!=h||o&&O(new o)!=c||i&&O(i.resolve())!=d||a&&O(new a)!=p||l&&O(new l)!=f)&&(O=function(e){var t=s(e),r="[object Object]"==t?e.constructor:void 0,n=r?u(r):"";if(n)switch(n){case g:return h;case v:return c;case m:return d;case y:return p;case b:return f}return t}),e.exports=O},5240:e=>{e.exports=function(e,t){return null==e?void 0:e[t]}},1518:(e,t,r)=>{var n=r(2361),o=r(5196),i=r(4913),a=r(6665),l=r(582),s=r(8197);e.exports=function(e,t,r){for(var u=-1,c=(t=n(t,e)).length,d=!1;++u<c;){var p=s(t[u]);if(!(d=null!=e&&r(e,p)))break;e=e[p]}return d||++u!=c?d:!!(c=null==e?0:e.length)&&l(c)&&a(p,c)&&(i(e)||o(e))}},5504:(e,t,r)=>{var n=r(8034);e.exports=function(){this.__data__=n?n(null):{},this.size=0}},5270:e=>{e.exports=function(e){var t=this.has(e)&&delete this.__data__[e];return this.size-=t?1:0,t}},7150:(e,t,r)=>{var n=r(8034),o=Object.prototype.hasOwnProperty;e.exports=function(e){var t=this.__data__;if(n){var r=t[e];return"__lodash_hash_undefined__"===r?void 0:r}return o.call(t,e)?t[e]:void 0}},2637:(e,t,r)=>{var n=r(8034),o=Object.prototype.hasOwnProperty;e.exports=function(e){var t=this.__data__;return n?void 0!==t[e]:o.call(t,e)}},1077:(e,t,r)=>{var n=r(8034);e.exports=function(e,t){var r=this.__data__;return this.size+=this.has(e)?0:1,r[e]=n&&void 0===t?"__lodash_hash_undefined__":t,this}},509:e=>{var t=Object.prototype.hasOwnProperty;e.exports=function(e){var r=e.length,n=new e.constructor(r);return r&&"string"==typeof e[0]&&t.call(e,"index")&&(n.index=e.index,n.input=e.input),n}},1343:(e,t,r)=>{var n=r(7749),o=r(3081),i=r(6945),a=r(6952),l=r(7961);e.exports=function(e,t,r){var s=e.constructor;switch(t){case"[object ArrayBuffer]":return n(e);case"[object Boolean]":case"[object Date]":return new s(+e);case"[object DataView]":return o(e,r);case"[object Float32Array]":case"[object Float64Array]":case"[object Int8Array]":case"[object Int16Array]":case"[object Int32Array]":case"[object Uint8Array]":case"[object Uint8ClampedArray]":case"[object Uint16Array]":case"[object Uint32Array]":return l(e,r);case"[object Map]":case"[object Set]":return new s;case"[object Number]":case"[object String]":return new s(e);case"[object RegExp]":return i(e);case"[object Symbol]":return a(e)}}},1225:(e,t,r)=>{var n=r(3088),o=r(6607),i=r(5735);e.exports=function(e){return"function"!=typeof e.constructor||i(e)?{}:n(o(e))}},5043:(e,t,r)=>{var n=r(2609),o=r(5196),i=r(4913),a=n?n.isConcatSpreadable:void 0;e.exports=function(e){return i(e)||o(e)||!!(a&&e&&e[a])}},6665:e=>{var t=/^(?:0|[1-9]\d*)$/;e.exports=function(e,r){var n=typeof e;return!!(r=null==r?9007199254740991:r)&&("number"==n||"symbol"!=n&&t.test(e))&&e>-1&&e%1==0&&e<r}},3632:(e,t,r)=>{var n=r(6424),o=r(7134),i=r(6665),a=r(7453);e.exports=function(e,t,r){if(!a(r))return!1;var l=typeof t;return!!("number"==l?o(r)&&i(t,r.length):"string"==l&&t in r)&&n(r[t],e)}},6394:(e,t,r)=>{var n=r(4913),o=r(7386),i=/\.|\[(?:[^[\]]*|(["'])(?:(?!\1)[^\\]|\\.)*?\1)\]/,a=/^\w*$/;e.exports=function(e,t){if(n(e))return!1;var r=typeof e;return!("number"!=r&&"symbol"!=r&&"boolean"!=r&&null!=e&&!o(e))||a.test(e)||!i.test(e)||null!=t&&e in Object(t)}},9178:e=>{e.exports=function(e){var t=typeof e;return"string"==t||"number"==t||"symbol"==t||"boolean"==t?"__proto__"!==e:null===e}},3248:(e,t,r)=>{var n,o=r(2489),i=(n=/[^.]+$/.exec(o&&o.keys&&o.keys.IE_PROTO||""))?"Symbol(src)_1."+n:"";e.exports=function(e){return!!i&&i in e}},5735:e=>{var t=Object.prototype;e.exports=function(e){var r=e&&e.constructor;return e===("function"==typeof r&&r.prototype||t)}},2308:(e,t,r)=>{var n=r(7453);e.exports=function(e){return e==e&&!n(e)}},7718:e=>{e.exports=function(){this.__data__=[],this.size=0}},4272:(e,t,r)=>{var n=r(3481),o=Array.prototype.splice;e.exports=function(e){var t=this.__data__,r=n(t,e);return!(r<0||(r==t.length-1?t.pop():o.call(t,r,1),--this.size,0))}},5107:(e,t,r)=>{var n=r(3481);e.exports=function(e){var t=this.__data__,r=n(t,e);return r<0?void 0:t[r][1]}},1055:(e,t,r)=>{var n=r(3481);e.exports=function(e){return n(this.__data__,e)>-1}},4647:(e,t,r)=>{var n=r(3481);e.exports=function(e,t){var r=this.__data__,o=n(r,e);return o<0?(++this.size,r.push([e,t])):r[o][1]=t,this}},6400:(e,t,r)=>{var n=r(4845),o=r(1999),i=r(5455);e.exports=function(){this.size=0,this.__data__={hash:new n,map:new(i||o),string:new n}}},7014:(e,t,r)=>{var n=r(3707);e.exports=function(e){var t=n(this,e).delete(e);return this.size-=t?1:0,t}},1793:(e,t,r)=>{var n=r(3707);e.exports=function(e){return n(this,e).get(e)}},6429:(e,t,r)=>{var n=r(3707);e.exports=function(e){return n(this,e).has(e)}},821:(e,t,r)=>{var n=r(3707);e.exports=function(e,t){var r=n(this,e),o=r.size;return r.set(e,t),this.size+=r.size==o?0:1,this}},9885:e=>{e.exports=function(e){var t=-1,r=Array(e.size);return e.forEach((function(e,n){r[++t]=[n,e]})),r}},7405:e=>{e.exports=function(e,t){return function(r){return null!=r&&r[e]===t&&(void 0!==t||e in Object(r))}}},2848:(e,t,r)=>{var n=r(3272);e.exports=function(e){var t=n(e,(function(e){return 500===r.size&&r.clear(),e})),r=t.cache;return t}},8034:(e,t,r)=>{var n=r(2062)(Object,"create");e.exports=n},9458:(e,t,r)=>{var n=r(8303)(Object.keys,Object);e.exports=n},2693:e=>{e.exports=function(e){var t=[];if(null!=e)for(var r in Object(e))t.push(r);return t}},1977:(e,t,r)=>{e=r.nmd(e);var n=r(6392),o=t&&!t.nodeType&&t,i=o&&e&&!e.nodeType&&e,a=i&&i.exports===o&&n.process,l=function(){try{return i&&i.require&&i.require("util").types||a&&a.binding&&a.binding("util")}catch(e){}}();e.exports=l},7222:e=>{var t=Object.prototype.toString;e.exports=function(e){return t.call(e)}},8303:e=>{e.exports=function(e,t){return function(r){return e(t(r))}}},709:(e,t,r)=>{var n=r(1929),o=Math.max;e.exports=function(e,t,r){return t=o(void 0===t?e.length-1:t,0),function(){for(var i=arguments,a=-1,l=o(i.length-t,0),s=Array(l);++a<l;)s[a]=i[t+a];a=-1;for(var u=Array(t+1);++a<t;)u[a]=i[a];return u[t]=r(s),n(e,this,u)}}},2473:(e,t,r)=>{var n=r(2718),o=r(312);e.exports=function(e,t){return t.length<2?e:n(e,o(t,0,-1))}},9965:(e,t,r)=>{var n=r(6392),o="object"==typeof self&&self&&self.Object===Object&&self,i=n||o||Function("return this")();e.exports=i},4302:e=>{e.exports=function(e,t){if(("constructor"!==t||"function"!=typeof e[t])&&"__proto__"!=t)return e[t]}},228:e=>{e.exports=function(e){return this.__data__.set(e,"__lodash_hash_undefined__"),this}},3683:e=>{e.exports=function(e){return this.__data__.has(e)}},6295:e=>{e.exports=function(e){var t=-1,r=Array(e.size);return e.forEach((function(e){r[++t]=e})),r}},7281:(e,t,r)=>{var n=r(4450),o=r(435)(n);e.exports=o},435:e=>{var t=Date.now;e.exports=function(e){var r=0,n=0;return function(){var o=t(),i=16-(o-n);if(n=o,i>0){if(++r>=800)return arguments[0]}else r=0;return e.apply(void 0,arguments)}}},5052:(e,t,r)=>{var n=r(1999);e.exports=function(){this.__data__=new n,this.size=0}},4250:e=>{e.exports=function(e){var t=this.__data__,r=t.delete(e);return this.size=t.size,r}},4773:e=>{e.exports=function(e){return this.__data__.get(e)}},6921:e=>{e.exports=function(e){return this.__data__.has(e)}},5745:(e,t,r)=>{var n=r(1999),o=r(5455),i=r(1549);e.exports=function(e,t){var r=this.__data__;if(r instanceof n){var a=r.__data__;if(!o||a.length<199)return a.push([e,t]),this.size=++r.size,this;r=this.__data__=new i(a)}return r.set(e,t),this.size=r.size,this}},5951:e=>{e.exports=function(e,t,r){for(var n=r-1,o=e.length;++n<o;)if(e[n]===t)return n;return-1}},266:(e,t,r)=>{var n=r(2848),o=/[^.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|$))/g,i=/\\(\\)?/g,a=n((function(e){var t=[];return 46===e.charCodeAt(0)&&t.push(""),e.replace(o,(function(e,r,n,o){t.push(n?o.replace(i,"$1"):r||e)})),t}));e.exports=a},8197:(e,t,r)=>{var n=r(7386);e.exports=function(e){if("string"==typeof e||n(e))return e;var t=e+"";return"0"==t&&1/e==-1/0?"-0":t}},3761:e=>{var t=Function.prototype.toString;e.exports=function(e){if(null!=e){try{return t.call(e)}catch(e){}try{return e+""}catch(e){}}return""}},1272:e=>{var t=/\s/;e.exports=function(e){for(var r=e.length;r--&&t.test(e.charAt(r)););return r}},6534:e=>{e.exports=function(e){return function(){return e}}},9517:(e,t,r)=>{var n=r(7453),o=r(2220),i=r(3662),a=Math.max,l=Math.min;e.exports=function(e,t,r){var s,u,c,d,p,f,h=0,g=!1,v=!1,m=!0;if("function"!=typeof e)throw new TypeError("Expected a function");function y(t){var r=s,n=u;return s=u=void 0,h=t,d=e.apply(n,r)}function b(e){var r=e-f;return void 0===f||r>=t||r<0||v&&e-h>=c}function O(){var e=o();if(b(e))return E(e);p=setTimeout(O,function(e){var r=t-(e-f);return v?l(r,c-(e-h)):r}(e))}function E(e){return p=void 0,m&&s?y(e):(s=u=void 0,d)}function S(){var e=o(),r=b(e);if(s=arguments,u=this,f=e,r){if(void 0===p)return function(e){return h=e,p=setTimeout(O,t),g?y(e):d}(f);if(v)return clearTimeout(p),p=setTimeout(O,t),y(f)}return void 0===p&&(p=setTimeout(O,t)),d}return t=i(t)||0,n(r)&&(g=!!r.leading,c=(v="maxWait"in r)?a(i(r.maxWait)||0,t):c,m="trailing"in r?!!r.trailing:m),S.cancel=function(){void 0!==p&&clearTimeout(p),h=0,s=f=u=p=void 0},S.flush=function(){return void 0===p?d:E(o())},S}},6424:e=>{e.exports=function(e,t){return e===t||e!=e&&t!=t}},8472:(e,t,r)=>{var n=r(3158),o=/[\\^$.*+?()[\]{}|]/g,i=RegExp(o.source);e.exports=function(e){return(e=n(e))&&i.test(e)?e.replace(o,"\\$&"):e}},9234:(e,t,r)=>{var n=r(1360);e.exports=function(e){return null!=e&&e.length?n(e,1):[]}},5612:(e,t,r)=>{var n=r(2718);e.exports=function(e,t,r){var o=null==e?void 0:n(e,t);return void 0===o?r:o}},4055:(e,t,r)=>{var n=r(3613),o=r(1518);e.exports=function(e,t){return null!=e&&o(e,t,n)}},912:e=>{e.exports=function(e){return e}},1283:(e,t,r)=>{var n=r(9555),o=r(7134),i=r(8951),a=r(5729),l=r(1624),s=Math.max;e.exports=function(e,t,r,u){e=o(e)?e:l(e),r=r&&!u?a(r):0;var c=e.length;return r<0&&(r=s(c+r,0)),i(e)?r<=c&&e.indexOf(t,r)>-1:!!c&&n(e,t,r)>-1}},5196:(e,t,r)=>{var n=r(3070),o=r(9466),i=Object.prototype,a=i.hasOwnProperty,l=i.propertyIsEnumerable,s=n(function(){return arguments}())?n:function(e){return o(e)&&a.call(e,"callee")&&!l.call(e,"callee")};e.exports=s},4913:e=>{var t=Array.isArray;e.exports=t},7134:(e,t,r)=>{var n=r(1866),o=r(582);e.exports=function(e){return null!=e&&o(e.length)&&!n(e)}},7965:(e,t,r)=>{var n=r(7134),o=r(9466);e.exports=function(e){return o(e)&&n(e)}},4264:(e,t,r)=>{e=r.nmd(e);var n=r(9965),o=r(9375),i=t&&!t.nodeType&&t,a=i&&e&&!e.nodeType&&e,l=a&&a.exports===i?n.Buffer:void 0,s=(l?l.isBuffer:void 0)||o;e.exports=s},7969:(e,t,r)=>{var n=r(6504),o=r(6053),i=r(5196),a=r(4913),l=r(7134),s=r(4264),u=r(5735),c=r(5087),d=Object.prototype.hasOwnProperty;e.exports=function(e){if(null==e)return!0;if(l(e)&&(a(e)||"string"==typeof e||"function"==typeof e.splice||s(e)||c(e)||i(e)))return!e.length;var t=o(e);if("[object Map]"==t||"[object Set]"==t)return!e.size;if(u(e))return!n(e).length;for(var r in e)if(d.call(e,r))return!1;return!0}},1866:(e,t,r)=>{var n=r(9048),o=r(7453);e.exports=function(e){if(!o(e))return!1;var t=n(e);return"[object Function]"==t||"[object GeneratorFunction]"==t||"[object AsyncFunction]"==t||"[object Proxy]"==t}},582:e=>{e.exports=function(e){return"number"==typeof e&&e>-1&&e%1==0&&e<=9007199254740991}},146:(e,t,r)=>{var n=r(2052),o=r(277),i=r(1977),a=i&&i.isMap,l=a?o(a):n;e.exports=l},7453:e=>{e.exports=function(e){var t=typeof e;return null!=e&&("object"==t||"function"==t)}},9466:e=>{e.exports=function(e){return null!=e&&"object"==typeof e}},5219:(e,t,r)=>{var n=r(9048),o=r(6607),i=r(9466),a=Function.prototype,l=Object.prototype,s=a.toString,u=l.hasOwnProperty,c=s.call(Object);e.exports=function(e){if(!i(e)||"[object Object]"!=n(e))return!1;var t=o(e);if(null===t)return!0;var r=u.call(t,"constructor")&&t.constructor;return"function"==typeof r&&r instanceof r&&s.call(r)==c}},8696:(e,t,r)=>{var n=r(5206),o=r(277),i=r(1977),a=i&&i.isSet,l=a?o(a):n;e.exports=l},8951:(e,t,r)=>{var n=r(9048),o=r(4913),i=r(9466);e.exports=function(e){return"string"==typeof e||!o(e)&&i(e)&&"[object String]"==n(e)}},7386:(e,t,r)=>{var n=r(9048),o=r(9466);e.exports=function(e){return"symbol"==typeof e||o(e)&&"[object Symbol]"==n(e)}},5087:(e,t,r)=>{var n=r(9653),o=r(277),i=r(1977),a=i&&i.isTypedArray,l=a?o(a):n;e.exports=l},3790:(e,t,r)=>{var n=r(6791),o=r(6504),i=r(7134);e.exports=function(e){return i(e)?n(e):o(e)}},5961:(e,t,r)=>{var n=r(6791),o=r(9399),i=r(7134);e.exports=function(e){return i(e)?n(e,!0):o(e)}},8906:e=>{e.exports=function(e){var t=null==e?0:e.length;return t?e[t-1]:void 0}},1612:(e,t,r)=>{var n=r(2464),o=r(5473),i=r(3245);e.exports=function(e,t){var r={};return t=i(t,3),o(e,(function(e,o,i){n(r,o,t(e,o,i))})),r}},3272:(e,t,r)=>{var n=r(1549);function o(e,t){if("function"!=typeof e||null!=t&&"function"!=typeof t)throw new TypeError("Expected a function");var r=function(){var n=arguments,o=t?t.apply(this,n):n[0],i=r.cache;if(i.has(o))return i.get(o);var a=e.apply(this,n);return r.cache=i.set(o,a)||i,a};return r.cache=new(o.Cache||n),r}o.Cache=n,e.exports=o},4308:(e,t,r)=>{var n=r(9058),o=r(9511)((function(e,t,r){n(e,t,r)}));e.exports=o},2815:(e,t,r)=>{var n=r(9058),o=r(9511)((function(e,t,r,o){n(e,t,r,o)}));e.exports=o},2220:(e,t,r)=>{var n=r(9965);e.exports=function(){return n.Date.now()}},7027:(e,t,r)=>{var n=r(1428),o=r(6575),i=r(6744),a=r(2361),l=r(4735),s=r(2050),u=r(8496),c=r(869),d=u((function(e,t){var r={};if(null==e)return r;var u=!1;t=n(t,(function(t){return t=a(t,e),u||(u=t.length>1),t})),l(e,c(e),r),u&&(r=o(r,7,s));for(var d=t.length;d--;)i(r,t[d]);return r}));e.exports=d},8831:(e,t,r)=>{var n=r(1),o=r(8496)((function(e,t){return null==e?{}:n(e,t)}));e.exports=o},350:(e,t,r)=>{var n=r(1428),o=r(3245),i=r(9916),a=r(869);e.exports=function(e,t){if(null==e)return{};var r=n(a(e),(function(e){return[e]}));return t=o(t),i(e,r,(function(e,r){return t(e,r[0])}))}},6711:(e,t,r)=>{var n=r(645),o=r(5319),i=r(6394),a=r(8197);e.exports=function(e){return i(e)?n(a(e)):o(e)}},2285:(e,t,r)=>{var n=r(8580)();e.exports=n},9901:(e,t,r)=>{var n=r(1459),o=r(3632),i=r(5729),a=r(3158);e.exports=function(e,t,r){return t=(r?o(e,t,r):void 0===t)?1:i(t),n(a(e),t)}},3547:(e,t,r)=>{var n=r(5725),o=r(9764),i=r(5729),a=r(3158);e.exports=function(e,t,r){return e=a(e),r=null==r?0:n(i(r),0,e.length),t=o(t),e.slice(r,r+t.length)==t}},8721:e=>{e.exports=function(){return[]}},9375:e=>{e.exports=function(){return!1}},1144:(e,t,r)=>{var n=r(3662),o=1/0;e.exports=function(e){return e?(e=n(e))===o||e===-1/0?17976931348623157e292*(e<0?-1:1):e==e?e:0:0===e?e:0}},5729:(e,t,r)=>{var n=r(1144);e.exports=function(e){var t=n(e),r=t%1;return t==t?r?t-r:t:0}},3662:(e,t,r)=>{var n=r(7248),o=r(7453),i=r(7386),a=/^[-+]0x[0-9a-f]+$/i,l=/^0b[01]+$/i,s=/^0o[0-7]+$/i,u=parseInt;e.exports=function(e){if("number"==typeof e)return e;if(i(e))return NaN;if(o(e)){var t="function"==typeof e.valueOf?e.valueOf():e;e=o(t)?t+"":t}if("string"!=typeof e)return 0===e?e:+e;e=n(e);var r=l.test(e);return r||s.test(e)?u(e.slice(2),r?2:8):a.test(e)?NaN:+e}},5148:(e,t,r)=>{var n=r(4735),o=r(5961);e.exports=function(e){return n(e,o(e))}},3158:(e,t,r)=>{var n=r(9764);e.exports=function(e){return null==e?"":n(e)}},1624:(e,t,r)=>{var n=r(1282),o=r(3790);e.exports=function(e){return null==e?[]:n(e,o(e))}},3238:function(e){e.exports=function(){"use strict";var e={isEqual:!0,isMatchingKey:!0,isPromise:!0,maxSize:!0,onCacheAdd:!0,onCacheChange:!0,onCacheHit:!0,transformKey:!0},t=Array.prototype.slice;function r(e){var r=e.length;return r?1===r?[e[0]]:2===r?[e[0],e[1]]:3===r?[e[0],e[1],e[2]]:t.call(e,0):[]}function n(e,t){return e===t||e!=e&&t!=t}function o(e,t){var r={};for(var n in e)r[n]=e[n];for(var n in t)r[n]=t[n];return r}var i=function(){function e(e){this.keys=[],this.values=[],this.options=e;var t="function"==typeof e.isMatchingKey;t?this.getKeyIndex=this._getKeyIndexFromMatchingKey:e.maxSize>1?this.getKeyIndex=this._getKeyIndexForMany:this.getKeyIndex=this._getKeyIndexForSingle,this.canTransformKey="function"==typeof e.transformKey,this.shouldCloneArguments=this.canTransformKey||t,this.shouldUpdateOnAdd="function"==typeof e.onCacheAdd,this.shouldUpdateOnChange="function"==typeof e.onCacheChange,this.shouldUpdateOnHit="function"==typeof e.onCacheHit}return Object.defineProperty(e.prototype,"size",{get:function(){return this.keys.length},enumerable:!1,configurable:!0}),Object.defineProperty(e.prototype,"snapshot",{get:function(){return{keys:r(this.keys),size:this.size,values:r(this.values)}},enumerable:!1,configurable:!0}),e.prototype._getKeyIndexFromMatchingKey=function(e){var t=this.options,r=t.isMatchingKey,n=t.maxSize,o=this.keys,i=o.length;if(!i)return-1;if(r(o[0],e))return 0;if(n>1)for(var a=1;a<i;a++)if(r(o[a],e))return a;return-1},e.prototype._getKeyIndexForMany=function(e){var t=this.options.isEqual,r=this.keys,n=r.length;if(!n)return-1;if(1===n)return this._getKeyIndexForSingle(e);var o,i,a=e.length;if(a>1){for(var l=0;l<n;l++)if((o=r[l]).length===a){for(i=0;i<a&&t(o[i],e[i]);i++);if(i===a)return l}}else for(l=0;l<n;l++)if((o=r[l]).length===a&&t(o[0],e[0]))return l;return-1},e.prototype._getKeyIndexForSingle=function(e){var t=this.keys;if(!t.length)return-1;var r=t[0],n=r.length;if(e.length!==n)return-1;var o=this.options.isEqual;if(n>1){for(var i=0;i<n;i++)if(!o(r[i],e[i]))return-1;return 0}return o(r[0],e[0])?0:-1},e.prototype.orderByLru=function(e,t,r){for(var n=this.keys,o=this.values,i=n.length,a=r;a--;)n[a+1]=n[a],o[a+1]=o[a];n[0]=e,o[0]=t;var l=this.options.maxSize;i===l&&r===i?(n.pop(),o.pop()):r>=l&&(n.length=o.length=l)},e.prototype.updateAsyncCache=function(e){var t=this,r=this.options,n=r.onCacheChange,o=r.onCacheHit,i=this.keys[0],a=this.values[0];this.values[0]=a.then((function(r){return t.shouldUpdateOnHit&&o(t,t.options,e),t.shouldUpdateOnChange&&n(t,t.options,e),r}),(function(e){var r=t.getKeyIndex(i);throw-1!==r&&(t.keys.splice(r,1),t.values.splice(r,1)),e}))},e}();return function t(a,l){if(void 0===l&&(l={}),function(e){return"function"==typeof e&&e.isMemoized}(a))return t(a.fn,o(a.options,l));if("function"!=typeof a)throw new TypeError("You must pass a function to `memoize`.");var s=l.isEqual,u=void 0===s?n:s,c=l.isMatchingKey,d=l.isPromise,p=void 0!==d&&d,f=l.maxSize,h=void 0===f?1:f,g=l.onCacheAdd,v=l.onCacheChange,m=l.onCacheHit,y=l.transformKey,b=o({isEqual:u,isMatchingKey:c,isPromise:p,maxSize:h,onCacheAdd:g,onCacheChange:v,onCacheHit:m,transformKey:y},function(t){var r={};for(var n in t)e[n]||(r[n]=t[n]);return r}(l)),O=new i(b),E=O.keys,S=O.values,w=O.canTransformKey,T=O.shouldCloneArguments,x=O.shouldUpdateOnAdd,_=O.shouldUpdateOnChange,C=O.shouldUpdateOnHit,R=function(){var e=T?r(arguments):arguments;w&&(e=y(e));var t=E.length?O.getKeyIndex(e):-1;if(-1!==t)C&&m(O,b,R),t&&(O.orderByLru(E[t],S[t],t),_&&v(O,b,R));else{var n=a.apply(this,arguments),o=T?e:r(arguments);O.orderByLru(o,n,E.length),p&&O.updateAsyncCache(R),x&&g(O,b,R),_&&v(O,b,R)}return S[0]};return R.cache=O,R.fn=a,R.isMemoized=!0,R.options=b,R}}()},9923:function(e){(function(){var t,r,n,o,i,a;"undefined"!=typeof performance&&null!==performance&&performance.now?e.exports=function(){return performance.now()}:"undefined"!=typeof process&&null!==process&&process.hrtime?(e.exports=function(){return(t()-i)/1e6},r=process.hrtime,o=(t=function(){var e;return 1e9*(e=r())[0]+e[1]})(),a=1e9*process.uptime(),i=o-a):Date.now?(e.exports=function(){return Date.now()-n},n=Date.now()):(e.exports=function(){return(new Date).getTime()-n},n=(new Date).getTime())}).call(this)},5345:e=>{var t=null,r=["Webkit","Moz","O","ms"];e.exports=function(e){t||(t=document.createElement("div"));var n=t.style;if(e in n)return e;for(var o=e.charAt(0).toUpperCase()+e.slice(1),i=r.length;i>=0;i--){var a=r[i]+o;if(a in n)return a}return!1}},4790:(e,t,r)=>{"use strict";var n=r(4621);function o(){}function i(){}i.resetWarningCache=o,e.exports=function(){function e(e,t,r,o,i,a){if(a!==n){var l=new Error("Calling PropTypes validators directly is not supported by the `prop-types` package. Use PropTypes.checkPropTypes() to call them. Read more at http://fb.me/use-check-prop-types");throw l.name="Invariant Violation",l}}function t(){return e}e.isRequired=e;var r={array:e,bigint:e,bool:e,func:e,number:e,object:e,string:e,symbol:e,any:e,arrayOf:t,element:e,elementType:e,instanceOf:t,node:e,objectOf:t,oneOf:t,oneOfType:t,shape:t,exact:t,checkPropTypes:i,resetWarningCache:o};return r.PropTypes=r,r}},7028:(e,t,r)=>{e.exports=r(4790)()},4621:e=>{"use strict";e.exports="SECRET_DO_NOT_PASS_THIS_OR_YOU_WILL_BE_FIRED"},8010:(e,t,r)=>{for(var n=r(9923),o="undefined"==typeof window?r.g:window,i=["moz","webkit"],a="AnimationFrame",l=o["request"+a],s=o["cancel"+a]||o["cancelRequest"+a],u=0;!l&&u<i.length;u++)l=o[i[u]+"Request"+a],s=o[i[u]+"Cancel"+a]||o[i[u]+"CancelRequest"+a];if(!l||!s){var c=0,d=0,p=[],f=1e3/60;l=function(e){if(0===p.length){var t=n(),r=Math.max(0,f-(t-c));c=r+t,setTimeout((function(){var e=p.slice(0);p.length=0;for(var t=0;t<e.length;t++)if(!e[t].cancelled)try{e[t].callback(c)}catch(e){setTimeout((function(){throw e}),0)}}),Math.round(r))}return p.push({handle:++d,callback:e,cancelled:!1}),d},s=function(e){for(var t=0;t<p.length;t++)p[t].handle===e&&(p[t].cancelled=!0)}}e.exports=function(e){return l.call(o,e)},e.exports.cancel=function(){s.apply(o,arguments)},e.exports.polyfill=function(e){e||(e=o),e.requestAnimationFrame=l,e.cancelAnimationFrame=s}},5903:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e};t.renderViewDefault=function(e){return i.default.createElement("div",e)},t.renderTrackHorizontalDefault=function(e){var t=e.style,r=a(e,["style"]),o=n({},t,{right:2,bottom:2,left:2,borderRadius:3});return i.default.createElement("div",n({style:o},r))},t.renderTrackVerticalDefault=function(e){var t=e.style,r=a(e,["style"]),o=n({},t,{right:2,bottom:2,top:2,borderRadius:3});return i.default.createElement("div",n({style:o},r))},t.renderThumbHorizontalDefault=function(e){var t=e.style,r=a(e,["style"]),o=n({},t,{cursor:"pointer",borderRadius:"inherit",backgroundColor:"rgba(0,0,0,.2)"});return i.default.createElement("div",n({style:o},r))},t.renderThumbVerticalDefault=function(e){var t=e.style,r=a(e,["style"]),o=n({},t,{cursor:"pointer",borderRadius:"inherit",backgroundColor:"rgba(0,0,0,.2)"});return i.default.createElement("div",n({style:o},r))};var o,i=(o=r(5959))&&o.__esModule?o:{default:o};function a(e,t){var r={};for(var n in e)t.indexOf(n)>=0||Object.prototype.hasOwnProperty.call(e,n)&&(r[n]=e[n]);return r}},3135:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},o=function(){function e(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}return function(t,r,n){return r&&e(t.prototype,r),n&&e(t,n),t}}(),i=r(8010),a=m(i),l=m(r(49)),s=r(5959),u=m(r(7028)),c=m(r(8476)),d=m(r(8963)),p=m(r(5740)),f=m(r(4109)),h=m(r(2766)),g=r(3601),v=r(5903);function m(e){return e&&e.__esModule?e:{default:e}}var y=function(e){function t(e){var r;!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,t);for(var n=arguments.length,o=Array(n>1?n-1:0),i=1;i<n;i++)o[i-1]=arguments[i];var a=function(e,t){if(!e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return!t||"object"!=typeof t&&"function"!=typeof t?e:t}(this,(r=t.__proto__||Object.getPrototypeOf(t)).call.apply(r,[this,e].concat(o)));return a.getScrollLeft=a.getScrollLeft.bind(a),a.getScrollTop=a.getScrollTop.bind(a),a.getScrollWidth=a.getScrollWidth.bind(a),a.getScrollHeight=a.getScrollHeight.bind(a),a.getClientWidth=a.getClientWidth.bind(a),a.getClientHeight=a.getClientHeight.bind(a),a.getValues=a.getValues.bind(a),a.getThumbHorizontalWidth=a.getThumbHorizontalWidth.bind(a),a.getThumbVerticalHeight=a.getThumbVerticalHeight.bind(a),a.getScrollLeftForOffset=a.getScrollLeftForOffset.bind(a),a.getScrollTopForOffset=a.getScrollTopForOffset.bind(a),a.scrollLeft=a.scrollLeft.bind(a),a.scrollTop=a.scrollTop.bind(a),a.scrollToLeft=a.scrollToLeft.bind(a),a.scrollToTop=a.scrollToTop.bind(a),a.scrollToRight=a.scrollToRight.bind(a),a.scrollToBottom=a.scrollToBottom.bind(a),a.handleTrackMouseEnter=a.handleTrackMouseEnter.bind(a),a.handleTrackMouseLeave=a.handleTrackMouseLeave.bind(a),a.handleHorizontalTrackMouseDown=a.handleHorizontalTrackMouseDown.bind(a),a.handleVerticalTrackMouseDown=a.handleVerticalTrackMouseDown.bind(a),a.handleHorizontalThumbMouseDown=a.handleHorizontalThumbMouseDown.bind(a),a.handleVerticalThumbMouseDown=a.handleVerticalThumbMouseDown.bind(a),a.handleWindowResize=a.handleWindowResize.bind(a),a.handleScroll=a.handleScroll.bind(a),a.handleDrag=a.handleDrag.bind(a),a.handleDragEnd=a.handleDragEnd.bind(a),a.state={didMountUniversal:!1},a}return function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function, not "+typeof t);e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,enumerable:!1,writable:!0,configurable:!0}}),t&&(Object.setPrototypeOf?Object.setPrototypeOf(e,t):e.__proto__=t)}(t,e),o(t,[{key:"componentDidMount",value:function(){this.addListeners(),this.update(),this.componentDidMountUniversal()}},{key:"componentDidMountUniversal",value:function(){this.props.universal&&this.setState({didMountUniversal:!0})}},{key:"componentDidUpdate",value:function(){this.update()}},{key:"componentWillUnmount",value:function(){this.removeListeners(),(0,i.cancel)(this.requestFrame),clearTimeout(this.hideTracksTimeout),clearInterval(this.detectScrollingInterval)}},{key:"getScrollLeft",value:function(){return this.view?this.view.scrollLeft:0}},{key:"getScrollTop",value:function(){return this.view?this.view.scrollTop:0}},{key:"getScrollWidth",value:function(){return this.view?this.view.scrollWidth:0}},{key:"getScrollHeight",value:function(){return this.view?this.view.scrollHeight:0}},{key:"getClientWidth",value:function(){return this.view?this.view.clientWidth:0}},{key:"getClientHeight",value:function(){return this.view?this.view.clientHeight:0}},{key:"getValues",value:function(){var e=this.view||{},t=e.scrollLeft,r=void 0===t?0:t,n=e.scrollTop,o=void 0===n?0:n,i=e.scrollWidth,a=void 0===i?0:i,l=e.scrollHeight,s=void 0===l?0:l,u=e.clientWidth,c=void 0===u?0:u,d=e.clientHeight,p=void 0===d?0:d;return{left:r/(a-c)||0,top:o/(s-p)||0,scrollLeft:r,scrollTop:o,scrollWidth:a,scrollHeight:s,clientWidth:c,clientHeight:p}}},{key:"getThumbHorizontalWidth",value:function(){var e=this.props,t=e.thumbSize,r=e.thumbMinSize,n=this.view,o=n.scrollWidth,i=n.clientWidth,a=(0,f.default)(this.trackHorizontal),l=Math.ceil(i/o*a);return a<=l?0:t||Math.max(l,r)}},{key:"getThumbVerticalHeight",value:function(){var e=this.props,t=e.thumbSize,r=e.thumbMinSize,n=this.view,o=n.scrollHeight,i=n.clientHeight,a=(0,h.default)(this.trackVertical),l=Math.ceil(i/o*a);return a<=l?0:t||Math.max(l,r)}},{key:"getScrollLeftForOffset",value:function(e){var t=this.view,r=t.scrollWidth,n=t.clientWidth;return e/((0,f.default)(this.trackHorizontal)-this.getThumbHorizontalWidth())*(r-n)}},{key:"getScrollTopForOffset",value:function(e){var t=this.view,r=t.scrollHeight,n=t.clientHeight;return e/((0,h.default)(this.trackVertical)-this.getThumbVerticalHeight())*(r-n)}},{key:"scrollLeft",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;this.view&&(this.view.scrollLeft=e)}},{key:"scrollTop",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:0;this.view&&(this.view.scrollTop=e)}},{key:"scrollToLeft",value:function(){this.view&&(this.view.scrollLeft=0)}},{key:"scrollToTop",value:function(){this.view&&(this.view.scrollTop=0)}},{key:"scrollToRight",value:function(){this.view&&(this.view.scrollLeft=this.view.scrollWidth)}},{key:"scrollToBottom",value:function(){this.view&&(this.view.scrollTop=this.view.scrollHeight)}},{key:"addListeners",value:function(){if("undefined"!=typeof document&&this.view){var e=this.view,t=this.trackHorizontal,r=this.trackVertical,n=this.thumbHorizontal,o=this.thumbVertical;e.addEventListener("scroll",this.handleScroll),(0,d.default)()&&(t.addEventListener("mouseenter",this.handleTrackMouseEnter),t.addEventListener("mouseleave",this.handleTrackMouseLeave),t.addEventListener("mousedown",this.handleHorizontalTrackMouseDown),r.addEventListener("mouseenter",this.handleTrackMouseEnter),r.addEventListener("mouseleave",this.handleTrackMouseLeave),r.addEventListener("mousedown",this.handleVerticalTrackMouseDown),n.addEventListener("mousedown",this.handleHorizontalThumbMouseDown),o.addEventListener("mousedown",this.handleVerticalThumbMouseDown),window.addEventListener("resize",this.handleWindowResize))}}},{key:"removeListeners",value:function(){if("undefined"!=typeof document&&this.view){var e=this.view,t=this.trackHorizontal,r=this.trackVertical,n=this.thumbHorizontal,o=this.thumbVertical;e.removeEventListener("scroll",this.handleScroll),(0,d.default)()&&(t.removeEventListener("mouseenter",this.handleTrackMouseEnter),t.removeEventListener("mouseleave",this.handleTrackMouseLeave),t.removeEventListener("mousedown",this.handleHorizontalTrackMouseDown),r.removeEventListener("mouseenter",this.handleTrackMouseEnter),r.removeEventListener("mouseleave",this.handleTrackMouseLeave),r.removeEventListener("mousedown",this.handleVerticalTrackMouseDown),n.removeEventListener("mousedown",this.handleHorizontalThumbMouseDown),o.removeEventListener("mousedown",this.handleVerticalThumbMouseDown),window.removeEventListener("resize",this.handleWindowResize),this.teardownDragging())}}},{key:"handleScroll",value:function(e){var t=this,r=this.props,n=r.onScroll,o=r.onScrollFrame;n&&n(e),this.update((function(e){var r=e.scrollLeft,n=e.scrollTop;t.viewScrollLeft=r,t.viewScrollTop=n,o&&o(e)})),this.detectScrolling()}},{key:"handleScrollStart",value:function(){var e=this.props.onScrollStart;e&&e(),this.handleScrollStartAutoHide()}},{key:"handleScrollStartAutoHide",value:function(){this.props.autoHide&&this.showTracks()}},{key:"handleScrollStop",value:function(){var e=this.props.onScrollStop;e&&e(),this.handleScrollStopAutoHide()}},{key:"handleScrollStopAutoHide",value:function(){this.props.autoHide&&this.hideTracks()}},{key:"handleWindowResize",value:function(){(0,d.default)(!1),this.forceUpdate()}},{key:"handleHorizontalTrackMouseDown",value:function(e){e.preventDefault();var t=e.target,r=e.clientX,n=t.getBoundingClientRect().left,o=this.getThumbHorizontalWidth(),i=Math.abs(n-r)-o/2;this.view.scrollLeft=this.getScrollLeftForOffset(i)}},{key:"handleVerticalTrackMouseDown",value:function(e){e.preventDefault();var t=e.target,r=e.clientY,n=t.getBoundingClientRect().top,o=this.getThumbVerticalHeight(),i=Math.abs(n-r)-o/2;this.view.scrollTop=this.getScrollTopForOffset(i)}},{key:"handleHorizontalThumbMouseDown",value:function(e){e.preventDefault(),this.handleDragStart(e);var t=e.target,r=e.clientX,n=t.offsetWidth,o=t.getBoundingClientRect().left;this.prevPageX=n-(r-o)}},{key:"handleVerticalThumbMouseDown",value:function(e){e.preventDefault(),this.handleDragStart(e);var t=e.target,r=e.clientY,n=t.offsetHeight,o=t.getBoundingClientRect().top;this.prevPageY=n-(r-o)}},{key:"setupDragging",value:function(){(0,l.default)(document.body,g.disableSelectStyle),document.addEventListener("mousemove",this.handleDrag),document.addEventListener("mouseup",this.handleDragEnd),document.onselectstart=p.default}},{key:"teardownDragging",value:function(){(0,l.default)(document.body,g.disableSelectStyleReset),document.removeEventListener("mousemove",this.handleDrag),document.removeEventListener("mouseup",this.handleDragEnd),document.onselectstart=void 0}},{key:"handleDragStart",value:function(e){this.dragging=!0,e.stopImmediatePropagation(),this.setupDragging()}},{key:"handleDrag",value:function(e){if(this.prevPageX){var t=e.clientX,r=-this.trackHorizontal.getBoundingClientRect().left+t-(this.getThumbHorizontalWidth()-this.prevPageX);this.view.scrollLeft=this.getScrollLeftForOffset(r)}if(this.prevPageY){var n=e.clientY,o=-this.trackVertical.getBoundingClientRect().top+n-(this.getThumbVerticalHeight()-this.prevPageY);this.view.scrollTop=this.getScrollTopForOffset(o)}return!1}},{key:"handleDragEnd",value:function(){this.dragging=!1,this.prevPageX=this.prevPageY=0,this.teardownDragging(),this.handleDragEndAutoHide()}},{key:"handleDragEndAutoHide",value:function(){this.props.autoHide&&this.hideTracks()}},{key:"handleTrackMouseEnter",value:function(){this.trackMouseOver=!0,this.handleTrackMouseEnterAutoHide()}},{key:"handleTrackMouseEnterAutoHide",value:function(){this.props.autoHide&&this.showTracks()}},{key:"handleTrackMouseLeave",value:function(){this.trackMouseOver=!1,this.handleTrackMouseLeaveAutoHide()}},{key:"handleTrackMouseLeaveAutoHide",value:function(){this.props.autoHide&&this.hideTracks()}},{key:"showTracks",value:function(){clearTimeout(this.hideTracksTimeout),(0,l.default)(this.trackHorizontal,{opacity:1}),(0,l.default)(this.trackVertical,{opacity:1})}},{key:"hideTracks",value:function(){var e=this;if(!this.dragging&&!this.scrolling&&!this.trackMouseOver){var t=this.props.autoHideTimeout;clearTimeout(this.hideTracksTimeout),this.hideTracksTimeout=setTimeout((function(){(0,l.default)(e.trackHorizontal,{opacity:0}),(0,l.default)(e.trackVertical,{opacity:0})}),t)}}},{key:"detectScrolling",value:function(){var e=this;this.scrolling||(this.scrolling=!0,this.handleScrollStart(),this.detectScrollingInterval=setInterval((function(){e.lastViewScrollLeft===e.viewScrollLeft&&e.lastViewScrollTop===e.viewScrollTop&&(clearInterval(e.detectScrollingInterval),e.scrolling=!1,e.handleScrollStop()),e.lastViewScrollLeft=e.viewScrollLeft,e.lastViewScrollTop=e.viewScrollTop}),100))}},{key:"raf",value:function(e){var t=this;this.requestFrame&&a.default.cancel(this.requestFrame),this.requestFrame=(0,a.default)((function(){t.requestFrame=void 0,e()}))}},{key:"update",value:function(e){var t=this;this.raf((function(){return t._update(e)}))}},{key:"_update",value:function(e){var t=this.props,r=t.onUpdate,n=t.hideTracksWhenNotNeeded,o=this.getValues();if((0,d.default)()){var i=o.scrollLeft,a=o.clientWidth,s=o.scrollWidth,u=(0,f.default)(this.trackHorizontal),c=this.getThumbHorizontalWidth(),p={width:c,transform:"translateX("+i/(s-a)*(u-c)+"px)"},g=o.scrollTop,v=o.clientHeight,m=o.scrollHeight,y=(0,h.default)(this.trackVertical),b=this.getThumbVerticalHeight(),O={height:b,transform:"translateY("+g/(m-v)*(y-b)+"px)"};if(n){var E={visibility:s>a?"visible":"hidden"},S={visibility:m>v?"visible":"hidden"};(0,l.default)(this.trackHorizontal,E),(0,l.default)(this.trackVertical,S)}(0,l.default)(this.thumbHorizontal,p),(0,l.default)(this.thumbVertical,O)}r&&r(o),"function"==typeof e&&e(o)}},{key:"render",value:function(){var e=this,t=(0,d.default)(),r=this.props,o=(r.onScroll,r.onScrollFrame,r.onScrollStart,r.onScrollStop,r.onUpdate,r.renderView),i=r.renderTrackHorizontal,a=r.renderTrackVertical,l=r.renderThumbHorizontal,u=r.renderThumbVertical,p=r.tagName,f=(r.hideTracksWhenNotNeeded,r.autoHide),h=(r.autoHideTimeout,r.autoHideDuration),v=(r.thumbSize,r.thumbMinSize,r.universal),m=r.autoHeight,y=r.autoHeightMin,b=r.autoHeightMax,O=r.style,E=r.children,S=function(e,t){var r={};for(var n in e)t.indexOf(n)>=0||Object.prototype.hasOwnProperty.call(e,n)&&(r[n]=e[n]);return r}(r,["onScroll","onScrollFrame","onScrollStart","onScrollStop","onUpdate","renderView","renderTrackHorizontal","renderTrackVertical","renderThumbHorizontal","renderThumbVertical","tagName","hideTracksWhenNotNeeded","autoHide","autoHideTimeout","autoHideDuration","thumbSize","thumbMinSize","universal","autoHeight","autoHeightMin","autoHeightMax","style","children"]),w=this.state.didMountUniversal,T=n({},g.containerStyleDefault,m&&n({},g.containerStyleAutoHeight,{minHeight:y,maxHeight:b}),O),x=n({},g.viewStyleDefault,{marginRight:t?-t:0,marginBottom:t?-t:0},m&&n({},g.viewStyleAutoHeight,{minHeight:(0,c.default)(y)?"calc("+y+" + "+t+"px)":y+t,maxHeight:(0,c.default)(b)?"calc("+b+" + "+t+"px)":b+t}),m&&v&&!w&&{minHeight:y,maxHeight:b},v&&!w&&g.viewStyleUniversalInitial),_={transition:"opacity "+h+"ms",opacity:0},C=n({},g.trackHorizontalStyleDefault,f&&_,(!t||v&&!w)&&{display:"none"}),R=n({},g.trackVerticalStyleDefault,f&&_,(!t||v&&!w)&&{display:"none"});return(0,s.createElement)(p,n({},S,{style:T,ref:function(t){e.container=t}}),[(0,s.cloneElement)(o({style:x}),{key:"view",ref:function(t){e.view=t}},E),(0,s.cloneElement)(i({style:C}),{key:"trackHorizontal",ref:function(t){e.trackHorizontal=t}},(0,s.cloneElement)(l({style:g.thumbHorizontalStyleDefault}),{ref:function(t){e.thumbHorizontal=t}})),(0,s.cloneElement)(a({style:R}),{key:"trackVertical",ref:function(t){e.trackVertical=t}},(0,s.cloneElement)(u({style:g.thumbVerticalStyleDefault}),{ref:function(t){e.thumbVertical=t}}))])}}]),t}(s.Component);t.default=y,y.propTypes={onScroll:u.default.func,onScrollFrame:u.default.func,onScrollStart:u.default.func,onScrollStop:u.default.func,onUpdate:u.default.func,renderView:u.default.func,renderTrackHorizontal:u.default.func,renderTrackVertical:u.default.func,renderThumbHorizontal:u.default.func,renderThumbVertical:u.default.func,tagName:u.default.string,thumbSize:u.default.number,thumbMinSize:u.default.number,hideTracksWhenNotNeeded:u.default.bool,autoHide:u.default.bool,autoHideTimeout:u.default.number,autoHideDuration:u.default.number,autoHeight:u.default.bool,autoHeightMin:u.default.oneOfType([u.default.number,u.default.string]),autoHeightMax:u.default.oneOfType([u.default.number,u.default.string]),universal:u.default.bool,style:u.default.object,children:u.default.node},y.defaultProps={renderView:v.renderViewDefault,renderTrackHorizontal:v.renderTrackHorizontalDefault,renderTrackVertical:v.renderTrackVerticalDefault,renderThumbHorizontal:v.renderThumbHorizontalDefault,renderThumbVertical:v.renderThumbVerticalDefault,tagName:"div",thumbMinSize:30,hideTracksWhenNotNeeded:!1,autoHide:!1,autoHideTimeout:1e3,autoHideDuration:200,autoHeight:!1,autoHeightMin:0,autoHeightMax:200,universal:!1}},3601:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.containerStyleDefault={position:"relative",overflow:"hidden",width:"100%",height:"100%"},t.containerStyleAutoHeight={height:"auto"},t.viewStyleDefault={position:"absolute",top:0,left:0,right:0,bottom:0,overflow:"scroll",WebkitOverflowScrolling:"touch"},t.viewStyleAutoHeight={position:"relative",top:void 0,left:void 0,right:void 0,bottom:void 0},t.viewStyleUniversalInitial={overflow:"hidden",marginRight:0,marginBottom:0},t.trackHorizontalStyleDefault={position:"absolute",height:6},t.trackVerticalStyleDefault={position:"absolute",width:6},t.thumbHorizontalStyleDefault={position:"relative",display:"block",height:"100%"},t.thumbVerticalStyleDefault={position:"relative",display:"block",width:"100%"},t.disableSelectStyle={userSelect:"none"},t.disableSelectStyleReset={userSelect:""}},1332:(e,t,r)=>{"use strict";var n,o=(n=r(3135))&&n.__esModule?n:{default:n};t.Ay=o.default,o.default},2766:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e){var t=e.clientHeight,r=getComputedStyle(e),n=r.paddingTop,o=r.paddingBottom;return t-parseFloat(n)-parseFloat(o)}},4109:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e){var t=e.clientWidth,r=getComputedStyle(e),n=r.paddingLeft,o=r.paddingRight;return t-parseFloat(n)-parseFloat(o)}},8963:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(){if((!(arguments.length>0&&void 0!==arguments[0])||arguments[0])&&!1!==i)return i;if("undefined"!=typeof document){var e=document.createElement("div");(0,o.default)(e,{width:100,height:100,position:"absolute",top:-9999,overflow:"scroll",MsOverflowStyle:"scrollbar"}),document.body.appendChild(e),i=e.offsetWidth-e.clientWidth,document.body.removeChild(e)}else i=0;return i||0};var n,o=(n=r(49))&&n.__esModule?n:{default:n},i=!1},8476:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(e){return"string"==typeof e}},5740:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=function(){return!1}},8641:(e,t,r)=>{"use strict";var n=r(5959);function o(e){for(var t="https://reactjs.org/docs/error-decoder.html?invariant="+e,r=1;r<arguments.length;r++)t+="&args[]="+encodeURIComponent(arguments[r]);return"Minified React error #"+e+"; visit "+t+" for the full message or use the non-minified dev environment for full errors and additional helpful warnings."}var i=Object.prototype.hasOwnProperty,a=/^[:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD][:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\-.0-9\u00B7\u0300-\u036F\u203F-\u2040]*$/,l={},s={};function u(e){return!!i.call(s,e)||!i.call(l,e)&&(a.test(e)?s[e]=!0:(l[e]=!0,!1))}function c(e,t,r,n,o,i,a){this.acceptsBooleans=2===t||3===t||4===t,this.attributeName=n,this.attributeNamespace=o,this.mustUseProperty=r,this.propertyName=e,this.type=t,this.sanitizeURL=i,this.removeEmptyString=a}var d={};"children dangerouslySetInnerHTML defaultValue defaultChecked innerHTML suppressContentEditableWarning suppressHydrationWarning style".split(" ").forEach((function(e){d[e]=new c(e,0,!1,e,null,!1,!1)})),[["acceptCharset","accept-charset"],["className","class"],["htmlFor","for"],["httpEquiv","http-equiv"]].forEach((function(e){var t=e[0];d[t]=new c(t,1,!1,e[1],null,!1,!1)})),["contentEditable","draggable","spellCheck","value"].forEach((function(e){d[e]=new c(e,2,!1,e.toLowerCase(),null,!1,!1)})),["autoReverse","externalResourcesRequired","focusable","preserveAlpha"].forEach((function(e){d[e]=new c(e,2,!1,e,null,!1,!1)})),"allowFullScreen async autoFocus autoPlay controls default defer disabled disablePictureInPicture disableRemotePlayback formNoValidate hidden loop noModule noValidate open playsInline readOnly required reversed scoped seamless itemScope".split(" ").forEach((function(e){d[e]=new c(e,3,!1,e.toLowerCase(),null,!1,!1)})),["checked","multiple","muted","selected"].forEach((function(e){d[e]=new c(e,3,!0,e,null,!1,!1)})),["capture","download"].forEach((function(e){d[e]=new c(e,4,!1,e,null,!1,!1)})),["cols","rows","size","span"].forEach((function(e){d[e]=new c(e,6,!1,e,null,!1,!1)})),["rowSpan","start"].forEach((function(e){d[e]=new c(e,5,!1,e.toLowerCase(),null,!1,!1)}));var p=/[\-:]([a-z])/g;function f(e){return e[1].toUpperCase()}"accent-height alignment-baseline arabic-form baseline-shift cap-height clip-path clip-rule color-interpolation color-interpolation-filters color-profile color-rendering dominant-baseline enable-background fill-opacity fill-rule flood-color flood-opacity font-family font-size font-size-adjust font-stretch font-style font-variant font-weight glyph-name glyph-orientation-horizontal glyph-orientation-vertical horiz-adv-x horiz-origin-x image-rendering letter-spacing lighting-color marker-end marker-mid marker-start overline-position overline-thickness paint-order panose-1 pointer-events rendering-intent shape-rendering stop-color stop-opacity strikethrough-position strikethrough-thickness stroke-dasharray stroke-dashoffset stroke-linecap stroke-linejoin stroke-miterlimit stroke-opacity stroke-width text-anchor text-decoration text-rendering underline-position underline-thickness unicode-bidi unicode-range units-per-em v-alphabetic v-hanging v-ideographic v-mathematical vector-effect vert-adv-y vert-origin-x vert-origin-y word-spacing writing-mode xmlns:xlink x-height".split(" ").forEach((function(e){var t=e.replace(p,f);d[t]=new c(t,1,!1,e,null,!1,!1)})),"xlink:actuate xlink:arcrole xlink:role xlink:show xlink:title xlink:type".split(" ").forEach((function(e){var t=e.replace(p,f);d[t]=new c(t,1,!1,e,"http://www.w3.org/1999/xlink",!1,!1)})),["xml:base","xml:lang","xml:space"].forEach((function(e){var t=e.replace(p,f);d[t]=new c(t,1,!1,e,"http://www.w3.org/XML/1998/namespace",!1,!1)})),["tabIndex","crossOrigin"].forEach((function(e){d[e]=new c(e,1,!1,e.toLowerCase(),null,!1,!1)})),d.xlinkHref=new c("xlinkHref",1,!1,"xlink:href","http://www.w3.org/1999/xlink",!0,!1),["src","href","action","formAction"].forEach((function(e){d[e]=new c(e,1,!1,e.toLowerCase(),null,!0,!0)}));var h={animationIterationCount:!0,aspectRatio:!0,borderImageOutset:!0,borderImageSlice:!0,borderImageWidth:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,columns:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridArea:!0,gridRow:!0,gridRowEnd:!0,gridRowSpan:!0,gridRowStart:!0,gridColumn:!0,gridColumnEnd:!0,gridColumnSpan:!0,gridColumnStart:!0,fontWeight:!0,lineClamp:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,fillOpacity:!0,floodOpacity:!0,stopOpacity:!0,strokeDasharray:!0,strokeDashoffset:!0,strokeMiterlimit:!0,strokeOpacity:!0,strokeWidth:!0},g=["Webkit","ms","Moz","O"];Object.keys(h).forEach((function(e){g.forEach((function(t){t=t+e.charAt(0).toUpperCase()+e.substring(1),h[t]=h[e]}))}));var v=/["'&<>]/;function m(e){if("boolean"==typeof e||"number"==typeof e)return""+e;e=""+e;var t=v.exec(e);if(t){var r,n="",o=0;for(r=t.index;r<e.length;r++){switch(e.charCodeAt(r)){case 34:t="&quot;";break;case 38:t="&amp;";break;case 39:t="&#x27;";break;case 60:t="&lt;";break;case 62:t="&gt;";break;default:continue}o!==r&&(n+=e.substring(o,r)),o=r+1,n+=t}e=o!==r?n+e.substring(o,r):n}return e}var y=/([A-Z])/g,b=/^ms-/,O=Array.isArray;function E(e,t){return{insertionMode:e,selectedValue:t}}var S=new Map;function w(e,t,r){if("object"!=typeof r)throw Error(o(62));for(var n in t=!0,r)if(i.call(r,n)){var a=r[n];if(null!=a&&"boolean"!=typeof a&&""!==a){if(0===n.indexOf("--")){var l=m(n);a=m((""+a).trim())}else{l=n;var s=S.get(l);void 0!==s||(s=m(l.replace(y,"-$1").toLowerCase().replace(b,"-ms-")),S.set(l,s)),l=s,a="number"==typeof a?0===a||i.call(h,n)?""+a:a+"px":m((""+a).trim())}t?(t=!1,e.push(' style="',l,":",a)):e.push(";",l,":",a)}}t||e.push('"')}function T(e,t,r,n){switch(r){case"style":return void w(e,t,n);case"defaultValue":case"defaultChecked":case"innerHTML":case"suppressContentEditableWarning":case"suppressHydrationWarning":return}if(!(2<r.length)||"o"!==r[0]&&"O"!==r[0]||"n"!==r[1]&&"N"!==r[1])if(null!==(t=d.hasOwnProperty(r)?d[r]:null)){switch(typeof n){case"function":case"symbol":return;case"boolean":if(!t.acceptsBooleans)return}switch(r=t.attributeName,t.type){case 3:n&&e.push(" ",r,'=""');break;case 4:!0===n?e.push(" ",r,'=""'):!1!==n&&e.push(" ",r,'="',m(n),'"');break;case 5:isNaN(n)||e.push(" ",r,'="',m(n),'"');break;case 6:!isNaN(n)&&1<=n&&e.push(" ",r,'="',m(n),'"');break;default:t.sanitizeURL&&(n=""+n),e.push(" ",r,'="',m(n),'"')}}else if(u(r)){switch(typeof n){case"function":case"symbol":return;case"boolean":if("data-"!==(t=r.toLowerCase().slice(0,5))&&"aria-"!==t)return}e.push(" ",r,'="',m(n),'"')}}function x(e,t,r){if(null!=t){if(null!=r)throw Error(o(60));if("object"!=typeof t||!("__html"in t))throw Error(o(61));null!=(t=t.__html)&&e.push(""+t)}}function _(e,t,r,n){e.push(I(r));var o,a=r=null;for(o in t)if(i.call(t,o)){var l=t[o];if(null!=l)switch(o){case"children":r=l;break;case"dangerouslySetInnerHTML":a=l;break;default:T(e,n,o,l)}}return e.push(">"),x(e,a,r),"string"==typeof r?(e.push(m(r)),null):r}var C=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,R=new Map;function I(e){var t=R.get(e);if(void 0===t){if(!C.test(e))throw Error(o(65,e));t="<"+e,R.set(e,t)}return t}function A(e,t,r){if(e.push('\x3c!--$?--\x3e<template id="'),null===r)throw Error(o(395));return e.push(r),e.push('"></template>')}var j=/[<\u2028\u2029]/g;function k(e){return JSON.stringify(e).replace(j,(function(e){switch(e){case"<":return"\\u003c";case"\u2028":return"\\u2028";case"\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React")}}))}function P(e,t,r,n){return r.generateStaticMarkup?(e.push(m(t)),!1):(""===t?e=n:(n&&e.push("\x3c!-- --\x3e"),e.push(m(t)),e=!0),e)}var L=Object.assign,N=Symbol.for("react.element"),F=Symbol.for("react.portal"),D=Symbol.for("react.fragment"),M=Symbol.for("react.strict_mode"),V=Symbol.for("react.profiler"),U=Symbol.for("react.provider"),B=Symbol.for("react.context"),z=Symbol.for("react.forward_ref"),W=Symbol.for("react.suspense"),H=Symbol.for("react.suspense_list"),q=Symbol.for("react.memo"),G=Symbol.for("react.lazy"),$=Symbol.for("react.scope"),K=Symbol.for("react.debug_trace_mode"),Y=Symbol.for("react.legacy_hidden"),X=Symbol.for("react.default_value"),Q=Symbol.iterator;function J(e){if(null==e)return null;if("function"==typeof e)return e.displayName||e.name||null;if("string"==typeof e)return e;switch(e){case D:return"Fragment";case F:return"Portal";case V:return"Profiler";case M:return"StrictMode";case W:return"Suspense";case H:return"SuspenseList"}if("object"==typeof e)switch(e.$$typeof){case B:return(e.displayName||"Context")+".Consumer";case U:return(e._context.displayName||"Context")+".Provider";case z:var t=e.render;return(e=e.displayName)||(e=""!==(e=t.displayName||t.name||"")?"ForwardRef("+e+")":"ForwardRef"),e;case q:return null!==(t=e.displayName||null)?t:J(e.type)||"Memo";case G:t=e._payload,e=e._init;try{return J(e(t))}catch(e){}}return null}var Z={};function ee(e,t){if(!(e=e.contextTypes))return Z;var r,n={};for(r in e)n[r]=t[r];return n}var te=null;function re(e,t){if(e!==t){e.context._currentValue2=e.parentValue,e=e.parent;var r=t.parent;if(null===e){if(null!==r)throw Error(o(401))}else{if(null===r)throw Error(o(401));re(e,r)}t.context._currentValue2=t.value}}function ne(e){e.context._currentValue2=e.parentValue,null!==(e=e.parent)&&ne(e)}function oe(e){var t=e.parent;null!==t&&oe(t),e.context._currentValue2=e.value}function ie(e,t){if(e.context._currentValue2=e.parentValue,null===(e=e.parent))throw Error(o(402));e.depth===t.depth?re(e,t):ie(e,t)}function ae(e,t){var r=t.parent;if(null===r)throw Error(o(402));e.depth===r.depth?re(e,r):ae(e,r),t.context._currentValue2=t.value}function le(e){var t=te;t!==e&&(null===t?oe(e):null===e?ne(t):t.depth===e.depth?re(t,e):t.depth>e.depth?ie(t,e):ae(t,e),te=e)}var se={isMounted:function(){return!1},enqueueSetState:function(e,t){null!==(e=e._reactInternals).queue&&e.queue.push(t)},enqueueReplaceState:function(e,t){(e=e._reactInternals).replace=!0,e.queue=[t]},enqueueForceUpdate:function(){}};function ue(e,t,r,n){var o=void 0!==e.state?e.state:null;e.updater=se,e.props=r,e.state=o;var i={queue:[],replace:!1};e._reactInternals=i;var a=t.contextType;if(e.context="object"==typeof a&&null!==a?a._currentValue2:n,"function"==typeof(a=t.getDerivedStateFromProps)&&(o=null==(a=a(r,o))?o:L({},o,a),e.state=o),"function"!=typeof t.getDerivedStateFromProps&&"function"!=typeof e.getSnapshotBeforeUpdate&&("function"==typeof e.UNSAFE_componentWillMount||"function"==typeof e.componentWillMount))if(t=e.state,"function"==typeof e.componentWillMount&&e.componentWillMount(),"function"==typeof e.UNSAFE_componentWillMount&&e.UNSAFE_componentWillMount(),t!==e.state&&se.enqueueReplaceState(e,e.state,null),null!==i.queue&&0<i.queue.length)if(t=i.queue,a=i.replace,i.queue=null,i.replace=!1,a&&1===t.length)e.state=t[0];else{for(i=a?t[0]:e.state,o=!0,a=a?1:0;a<t.length;a++){var l=t[a];null!=(l="function"==typeof l?l.call(e,i,r,n):l)&&(o?(o=!1,i=L({},i,l)):L(i,l))}e.state=i}else i.queue=null}var ce={id:1,overflow:""};function de(e,t,r){var n=e.id;e=e.overflow;var o=32-pe(n)-1;n&=~(1<<o),r+=1;var i=32-pe(t)+o;if(30<i){var a=o-o%5;return i=(n&(1<<a)-1).toString(32),n>>=a,o-=a,{id:1<<32-pe(t)+o|r<<o|n,overflow:i+e}}return{id:1<<i|r<<o|n,overflow:e}}var pe=Math.clz32?Math.clz32:function(e){return 0==(e>>>=0)?32:31-(fe(e)/he|0)|0},fe=Math.log,he=Math.LN2,ge="function"==typeof Object.is?Object.is:function(e,t){return e===t&&(0!==e||1/e==1/t)||e!=e&&t!=t},ve=null,me=null,ye=null,be=null,Oe=!1,Ee=!1,Se=0,we=null,Te=0;function xe(){if(null===ve)throw Error(o(321));return ve}function _e(){if(0<Te)throw Error(o(312));return{memoizedState:null,queue:null,next:null}}function Ce(){return null===be?null===ye?(Oe=!1,ye=be=_e()):(Oe=!0,be=ye):null===be.next?(Oe=!1,be=be.next=_e()):(Oe=!0,be=be.next),be}function Re(){me=ve=null,Ee=!1,ye=null,Te=0,be=we=null}function Ie(e,t){return"function"==typeof t?t(e):t}function Ae(e,t,r){if(ve=xe(),be=Ce(),Oe){var n=be.queue;if(t=n.dispatch,null!==we&&void 0!==(r=we.get(n))){we.delete(n),n=be.memoizedState;do{n=e(n,r.action),r=r.next}while(null!==r);return be.memoizedState=n,[n,t]}return[be.memoizedState,t]}return e=e===Ie?"function"==typeof t?t():t:void 0!==r?r(t):t,be.memoizedState=e,e=(e=be.queue={last:null,dispatch:null}).dispatch=ke.bind(null,ve,e),[be.memoizedState,e]}function je(e,t){if(ve=xe(),t=void 0===t?null:t,null!==(be=Ce())){var r=be.memoizedState;if(null!==r&&null!==t){var n=r[1];e:if(null===n)n=!1;else{for(var o=0;o<n.length&&o<t.length;o++)if(!ge(t[o],n[o])){n=!1;break e}n=!0}if(n)return r[0]}}return e=e(),be.memoizedState=[e,t],e}function ke(e,t,r){if(25<=Te)throw Error(o(301));if(e===ve)if(Ee=!0,e={action:r,next:null},null===we&&(we=new Map),void 0===(r=we.get(t)))we.set(t,e);else{for(t=r;null!==t.next;)t=t.next;t.next=e}}function Pe(){throw Error(o(394))}function Le(){}var Ne={readContext:function(e){return e._currentValue2},useContext:function(e){return xe(),e._currentValue2},useMemo:je,useReducer:Ae,useRef:function(e){ve=xe();var t=(be=Ce()).memoizedState;return null===t?(e={current:e},be.memoizedState=e):t},useState:function(e){return Ae(Ie,e)},useInsertionEffect:Le,useLayoutEffect:function(){},useCallback:function(e,t){return je((function(){return e}),t)},useImperativeHandle:Le,useEffect:Le,useDebugValue:Le,useDeferredValue:function(e){return xe(),e},useTransition:function(){return xe(),[!1,Pe]},useId:function(){var e=me.treeContext,t=e.overflow;e=((e=e.id)&~(1<<32-pe(e)-1)).toString(32)+t;var r=Fe;if(null===r)throw Error(o(404));return t=Se++,e=":"+r.idPrefix+"R"+e,0<t&&(e+="H"+t.toString(32)),e+":"},useMutableSource:function(e,t){return xe(),t(e._source)},useSyncExternalStore:function(e,t,r){if(void 0===r)throw Error(o(407));return r()}},Fe=null,De=n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentDispatcher;function Me(e){return console.error(e),null}function Ve(){}function Ue(e,t,r,n,o,i,a,l){e.allPendingTasks++,null===r?e.pendingRootTasks++:r.pendingTasks++;var s={node:t,ping:function(){var t=e.pingedTasks;t.push(s),1===t.length&&tt(e)},blockedBoundary:r,blockedSegment:n,abortSet:o,legacyContext:i,context:a,treeContext:l};return o.add(s),s}function Be(e,t,r,n,o,i){return{status:0,id:-1,index:t,parentFlushed:!1,chunks:[],children:[],formatContext:n,boundary:r,lastPushedText:o,textEmbedded:i}}function ze(e,t){if(null!=(e=e.onError(t))&&"string"!=typeof e)throw Error('onError returned something with a type other than "string". onError should return a string and may return null or undefined but must not return anything else. It received something of type "'+typeof e+'" instead');return e}function We(e,t){var r=e.onShellError;r(t),(r=e.onFatalError)(t),null!==e.destination?(e.status=2,e.destination.destroy(t)):(e.status=1,e.fatalError=t)}function He(e,t,r,n,o){for(ve={},me=t,Se=0,e=r(n,o);Ee;)Ee=!1,Se=0,Te+=1,be=null,e=r(n,o);return Re(),e}function qe(e,t,r,n){var i=r.render(),a=n.childContextTypes;if(null!=a){var l=t.legacyContext;if("function"!=typeof r.getChildContext)n=l;else{for(var s in r=r.getChildContext())if(!(s in a))throw Error(o(108,J(n)||"Unknown",s));n=L({},l,r)}t.legacyContext=n,Ke(e,t,i),t.legacyContext=l}else Ke(e,t,i)}function Ge(e,t){if(e&&e.defaultProps){for(var r in t=L({},t),e=e.defaultProps)void 0===t[r]&&(t[r]=e[r]);return t}return t}function $e(e,t,r,a,l){if("function"==typeof r)if(r.prototype&&r.prototype.isReactComponent){l=ee(r,t.legacyContext);var s=r.contextType;ue(s=new r(a,"object"==typeof s&&null!==s?s._currentValue2:l),r,a,l),qe(e,t,s,r)}else{l=He(e,t,r,a,s=ee(r,t.legacyContext));var c=0!==Se;if("object"==typeof l&&null!==l&&"function"==typeof l.render&&void 0===l.$$typeof)ue(l,r,a,s),qe(e,t,l,r);else if(c){a=t.treeContext,t.treeContext=de(a,1,0);try{Ke(e,t,l)}finally{t.treeContext=a}}else Ke(e,t,l)}else{if("string"!=typeof r){switch(r){case Y:case K:case M:case V:case D:case H:return void Ke(e,t,a.children);case $:throw Error(o(343));case W:e:{r=t.blockedBoundary,l=t.blockedSegment,s=a.fallback,a=a.children;var d={id:null,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,forceClientRender:!1,completedSegments:[],byteSize:0,fallbackAbortableTasks:c=new Set,errorDigest:null},p=Be(0,l.chunks.length,d,l.formatContext,!1,!1);l.children.push(p),l.lastPushedText=!1;var f=Be(0,0,null,l.formatContext,!1,!1);f.parentFlushed=!0,t.blockedBoundary=d,t.blockedSegment=f;try{if(Xe(e,t,a),e.responseState.generateStaticMarkup||f.lastPushedText&&f.textEmbedded&&f.chunks.push("\x3c!-- --\x3e"),f.status=1,Ze(d,f),0===d.pendingTasks)break e}catch(t){f.status=4,d.forceClientRender=!0,d.errorDigest=ze(e,t)}finally{t.blockedBoundary=r,t.blockedSegment=l}t=Ue(e,s,r,p,c,t.legacyContext,t.context,t.treeContext),e.pingedTasks.push(t)}return}if("object"==typeof r&&null!==r)switch(r.$$typeof){case z:if(a=He(e,t,r.render,a,l),0!==Se){r=t.treeContext,t.treeContext=de(r,1,0);try{Ke(e,t,a)}finally{t.treeContext=r}}else Ke(e,t,a);return;case q:return void $e(e,t,r=r.type,a=Ge(r,a),l);case U:if(l=a.children,r=r._context,a=a.value,s=r._currentValue2,r._currentValue2=a,te=a={parent:c=te,depth:null===c?0:c.depth+1,context:r,parentValue:s,value:a},t.context=a,Ke(e,t,l),null===(e=te))throw Error(o(403));return a=e.parentValue,e.context._currentValue2=a===X?e.context._defaultValue:a,e=te=e.parent,void(t.context=e);case B:return void Ke(e,t,a=(a=a.children)(r._currentValue2));case G:return void $e(e,t,r=(l=r._init)(r._payload),a=Ge(r,a),void 0)}throw Error(o(130,null==r?r:typeof r,""))}switch(s=function(e,t,r,a,l){switch(t){case"select":e.push(I("select"));var s=null,c=null;for(h in r)if(i.call(r,h)){var d=r[h];if(null!=d)switch(h){case"children":s=d;break;case"dangerouslySetInnerHTML":c=d;break;case"defaultValue":case"value":break;default:T(e,a,h,d)}}return e.push(">"),x(e,c,s),s;case"option":c=l.selectedValue,e.push(I("option"));var p=d=null,f=null,h=null;for(s in r)if(i.call(r,s)){var g=r[s];if(null!=g)switch(s){case"children":d=g;break;case"selected":f=g;break;case"dangerouslySetInnerHTML":h=g;break;case"value":p=g;default:T(e,a,s,g)}}if(null!=c)if(r=null!==p?""+p:function(e){var t="";return n.Children.forEach(e,(function(e){null!=e&&(t+=e)})),t}(d),O(c)){for(a=0;a<c.length;a++)if(""+c[a]===r){e.push(' selected=""');break}}else""+c===r&&e.push(' selected=""');else f&&e.push(' selected=""');return e.push(">"),x(e,h,d),d;case"textarea":for(d in e.push(I("textarea")),h=c=s=null,r)if(i.call(r,d)&&null!=(p=r[d]))switch(d){case"children":h=p;break;case"value":s=p;break;case"defaultValue":c=p;break;case"dangerouslySetInnerHTML":throw Error(o(91));default:T(e,a,d,p)}if(null===s&&null!==c&&(s=c),e.push(">"),null!=h){if(null!=s)throw Error(o(92));if(O(h)&&1<h.length)throw Error(o(93));s=""+h}return"string"==typeof s&&"\n"===s[0]&&e.push("\n"),null!==s&&e.push(m(""+s)),null;case"input":for(c in e.push(I("input")),p=h=d=s=null,r)if(i.call(r,c)&&null!=(f=r[c]))switch(c){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,"input"));case"defaultChecked":p=f;break;case"defaultValue":d=f;break;case"checked":h=f;break;case"value":s=f;break;default:T(e,a,c,f)}return null!==h?T(e,a,"checked",h):null!==p&&T(e,a,"checked",p),null!==s?T(e,a,"value",s):null!==d&&T(e,a,"value",d),e.push("/>"),null;case"menuitem":for(var v in e.push(I("menuitem")),r)if(i.call(r,v)&&null!=(s=r[v]))switch(v){case"children":case"dangerouslySetInnerHTML":throw Error(o(400));default:T(e,a,v,s)}return e.push(">"),null;case"title":for(g in e.push(I("title")),s=null,r)if(i.call(r,g)&&null!=(c=r[g]))switch(g){case"children":s=c;break;case"dangerouslySetInnerHTML":throw Error(o(434));default:T(e,a,g,c)}return e.push(">"),s;case"listing":case"pre":for(p in e.push(I(t)),c=s=null,r)if(i.call(r,p)&&null!=(d=r[p]))switch(p){case"children":s=d;break;case"dangerouslySetInnerHTML":c=d;break;default:T(e,a,p,d)}if(e.push(">"),null!=c){if(null!=s)throw Error(o(60));if("object"!=typeof c||!("__html"in c))throw Error(o(61));null!=(r=c.__html)&&("string"==typeof r&&0<r.length&&"\n"===r[0]?e.push("\n",r):e.push(""+r))}return"string"==typeof s&&"\n"===s[0]&&e.push("\n"),s;case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":for(var y in e.push(I(t)),r)if(i.call(r,y)&&null!=(s=r[y]))switch(y){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,t));default:T(e,a,y,s)}return e.push("/>"),null;case"annotation-xml":case"color-profile":case"font-face":case"font-face-src":case"font-face-uri":case"font-face-format":case"font-face-name":case"missing-glyph":return _(e,r,t,a);case"html":return 0===l.insertionMode&&e.push("<!DOCTYPE html>"),_(e,r,t,a);default:if(-1===t.indexOf("-")&&"string"!=typeof r.is)return _(e,r,t,a);for(f in e.push(I(t)),c=s=null,r)if(i.call(r,f)&&null!=(d=r[f]))switch(f){case"children":s=d;break;case"dangerouslySetInnerHTML":c=d;break;case"style":w(e,a,d);break;case"suppressContentEditableWarning":case"suppressHydrationWarning":break;default:u(f)&&"function"!=typeof d&&"symbol"!=typeof d&&e.push(" ",f,'="',m(d),'"')}return e.push(">"),x(e,c,s),s}}((l=t.blockedSegment).chunks,r,a,e.responseState,l.formatContext),l.lastPushedText=!1,c=l.formatContext,l.formatContext=function(e,t,r){switch(t){case"select":return E(1,null!=r.value?r.value:r.defaultValue);case"svg":return E(2,null);case"math":return E(3,null);case"foreignObject":return E(1,null);case"table":return E(4,null);case"thead":case"tbody":case"tfoot":return E(5,null);case"colgroup":return E(7,null);case"tr":return E(6,null)}return 4<=e.insertionMode||0===e.insertionMode?E(1,null):e}(c,r,a),Xe(e,t,s),l.formatContext=c,r){case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"input":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":break;default:l.chunks.push("</",r,">")}l.lastPushedText=!1}}function Ke(e,t,r){if(t.node=r,"object"==typeof r&&null!==r){switch(r.$$typeof){case N:return void $e(e,t,r.type,r.props,r.ref);case F:throw Error(o(257));case G:var n=r._init;return void Ke(e,t,r=n(r._payload))}if(O(r))return void Ye(e,t,r);if((n=null===r||"object"!=typeof r?null:"function"==typeof(n=Q&&r[Q]||r["@@iterator"])?n:null)&&(n=n.call(r))){if(!(r=n.next()).done){var i=[];do{i.push(r.value),r=n.next()}while(!r.done);Ye(e,t,i)}return}throw e=Object.prototype.toString.call(r),Error(o(31,"[object Object]"===e?"object with keys {"+Object.keys(r).join(", ")+"}":e))}"string"==typeof r?(n=t.blockedSegment).lastPushedText=P(t.blockedSegment.chunks,r,e.responseState,n.lastPushedText):"number"==typeof r&&((n=t.blockedSegment).lastPushedText=P(t.blockedSegment.chunks,""+r,e.responseState,n.lastPushedText))}function Ye(e,t,r){for(var n=r.length,o=0;o<n;o++){var i=t.treeContext;t.treeContext=de(i,n,o);try{Xe(e,t,r[o])}finally{t.treeContext=i}}}function Xe(e,t,r){var n=t.blockedSegment.formatContext,o=t.legacyContext,i=t.context;try{return Ke(e,t,r)}catch(s){if(Re(),"object"!=typeof s||null===s||"function"!=typeof s.then)throw t.blockedSegment.formatContext=n,t.legacyContext=o,t.context=i,le(i),s;r=s;var a=t.blockedSegment,l=Be(0,a.chunks.length,null,a.formatContext,a.lastPushedText,!0);a.children.push(l),a.lastPushedText=!1,e=Ue(e,t.node,t.blockedBoundary,l,t.abortSet,t.legacyContext,t.context,t.treeContext).ping,r.then(e,e),t.blockedSegment.formatContext=n,t.legacyContext=o,t.context=i,le(i)}}function Qe(e){var t=e.blockedBoundary;(e=e.blockedSegment).status=3,et(this,t,e)}function Je(e,t,r){var n=e.blockedBoundary;e.blockedSegment.status=3,null===n?(t.allPendingTasks--,2!==t.status&&(t.status=2,null!==t.destination&&t.destination.push(null))):(n.pendingTasks--,n.forceClientRender||(n.forceClientRender=!0,e=void 0===r?Error(o(432)):r,n.errorDigest=t.onError(e),n.parentFlushed&&t.clientRenderedBoundaries.push(n)),n.fallbackAbortableTasks.forEach((function(e){return Je(e,t,r)})),n.fallbackAbortableTasks.clear(),t.allPendingTasks--,0===t.allPendingTasks&&(n=t.onAllReady)())}function Ze(e,t){if(0===t.chunks.length&&1===t.children.length&&null===t.children[0].boundary){var r=t.children[0];r.id=t.id,r.parentFlushed=!0,1===r.status&&Ze(e,r)}else e.completedSegments.push(t)}function et(e,t,r){if(null===t){if(r.parentFlushed){if(null!==e.completedRootSegment)throw Error(o(389));e.completedRootSegment=r}e.pendingRootTasks--,0===e.pendingRootTasks&&(e.onShellError=Ve,(t=e.onShellReady)())}else t.pendingTasks--,t.forceClientRender||(0===t.pendingTasks?(r.parentFlushed&&1===r.status&&Ze(t,r),t.parentFlushed&&e.completedBoundaries.push(t),t.fallbackAbortableTasks.forEach(Qe,e),t.fallbackAbortableTasks.clear()):r.parentFlushed&&1===r.status&&(Ze(t,r),1===t.completedSegments.length&&t.parentFlushed&&e.partialBoundaries.push(t)));e.allPendingTasks--,0===e.allPendingTasks&&(e=e.onAllReady)()}function tt(e){if(2!==e.status){var t=te,r=De.current;De.current=Ne;var n=Fe;Fe=e.responseState;try{var o,i=e.pingedTasks;for(o=0;o<i.length;o++){var a=i[o],l=e,s=a.blockedSegment;if(0===s.status){le(a.context);try{Ke(l,a,a.node),l.responseState.generateStaticMarkup||s.lastPushedText&&s.textEmbedded&&s.chunks.push("\x3c!-- --\x3e"),a.abortSet.delete(a),s.status=1,et(l,a.blockedBoundary,s)}catch(e){if(Re(),"object"==typeof e&&null!==e&&"function"==typeof e.then){var u=a.ping;e.then(u,u)}else{a.abortSet.delete(a),s.status=4;var c=a.blockedBoundary,d=e,p=ze(l,d);null===c?We(l,d):(c.pendingTasks--,c.forceClientRender||(c.forceClientRender=!0,c.errorDigest=p,c.parentFlushed&&l.clientRenderedBoundaries.push(c))),l.allPendingTasks--,0===l.allPendingTasks&&(0,l.onAllReady)()}}}}i.splice(0,o),null!==e.destination&&lt(e,e.destination)}catch(t){ze(e,t),We(e,t)}finally{Fe=n,De.current=r,r===Ne&&le(t)}}}function rt(e,t,r){switch(r.parentFlushed=!0,r.status){case 0:var n=r.id=e.nextSegmentId++;return r.lastPushedText=!1,r.textEmbedded=!1,e=e.responseState,t.push('<template id="'),t.push(e.placeholderPrefix),e=n.toString(16),t.push(e),t.push('"></template>');case 1:r.status=2;var i=!0;n=r.chunks;var a=0;r=r.children;for(var l=0;l<r.length;l++){for(i=r[l];a<i.index;a++)t.push(n[a]);i=nt(e,t,i)}for(;a<n.length-1;a++)t.push(n[a]);return a<n.length&&(i=t.push(n[a])),i;default:throw Error(o(390))}}function nt(e,t,r){var n=r.boundary;if(null===n)return rt(e,t,r);if(n.parentFlushed=!0,n.forceClientRender)return e.responseState.generateStaticMarkup||(n=n.errorDigest,t.push("\x3c!--$!--\x3e"),t.push("<template"),n&&(t.push(' data-dgst="'),n=m(n),t.push(n),t.push('"')),t.push("></template>")),rt(e,t,r),!!e.responseState.generateStaticMarkup||t.push("\x3c!--/$--\x3e");if(0<n.pendingTasks){n.rootSegmentID=e.nextSegmentId++,0<n.completedSegments.length&&e.partialBoundaries.push(n);var i=e.responseState,a=i.nextSuspenseID++;return i=i.boundaryPrefix+a.toString(16),n=n.id=i,A(t,e.responseState,n),rt(e,t,r),t.push("\x3c!--/$--\x3e")}if(n.byteSize>e.progressiveChunkSize)return n.rootSegmentID=e.nextSegmentId++,e.completedBoundaries.push(n),A(t,e.responseState,n.id),rt(e,t,r),t.push("\x3c!--/$--\x3e");if(e.responseState.generateStaticMarkup||t.push("\x3c!--$--\x3e"),1!==(r=n.completedSegments).length)throw Error(o(391));return nt(e,t,r[0]),!!e.responseState.generateStaticMarkup||t.push("\x3c!--/$--\x3e")}function ot(e,t,r){return function(e,t,r,n){switch(r.insertionMode){case 0:case 1:return e.push('<div hidden id="'),e.push(t.segmentPrefix),t=n.toString(16),e.push(t),e.push('">');case 2:return e.push('<svg aria-hidden="true" style="display:none" id="'),e.push(t.segmentPrefix),t=n.toString(16),e.push(t),e.push('">');case 3:return e.push('<math aria-hidden="true" style="display:none" id="'),e.push(t.segmentPrefix),t=n.toString(16),e.push(t),e.push('">');case 4:return e.push('<table hidden id="'),e.push(t.segmentPrefix),t=n.toString(16),e.push(t),e.push('">');case 5:return e.push('<table hidden><tbody id="'),e.push(t.segmentPrefix),t=n.toString(16),e.push(t),e.push('">');case 6:return e.push('<table hidden><tr id="'),e.push(t.segmentPrefix),t=n.toString(16),e.push(t),e.push('">');case 7:return e.push('<table hidden><colgroup id="'),e.push(t.segmentPrefix),t=n.toString(16),e.push(t),e.push('">');default:throw Error(o(397))}}(t,e.responseState,r.formatContext,r.id),nt(e,t,r),function(e,t){switch(t.insertionMode){case 0:case 1:return e.push("</div>");case 2:return e.push("</svg>");case 3:return e.push("</math>");case 4:return e.push("</table>");case 5:return e.push("</tbody></table>");case 6:return e.push("</tr></table>");case 7:return e.push("</colgroup></table>");default:throw Error(o(397))}}(t,r.formatContext)}function it(e,t,r){for(var n=r.completedSegments,i=0;i<n.length;i++)at(e,t,r,n[i]);if(n.length=0,e=e.responseState,n=r.id,r=r.rootSegmentID,t.push(e.startInlineScript),e.sentCompleteBoundaryFunction?t.push('$RC("'):(e.sentCompleteBoundaryFunction=!0,t.push('function $RC(a,b){a=document.getElementById(a);b=document.getElementById(b);b.parentNode.removeChild(b);if(a){a=a.previousSibling;var f=a.parentNode,c=a.nextSibling,e=0;do{if(c&&8===c.nodeType){var d=c.data;if("/$"===d)if(0===e)break;else e--;else"$"!==d&&"$?"!==d&&"$!"!==d||e++}d=c.nextSibling;f.removeChild(c);c=d}while(c);for(;b.firstChild;)f.insertBefore(b.firstChild,c);a.data="$";a._reactRetry&&a._reactRetry()}};$RC("')),null===n)throw Error(o(395));return r=r.toString(16),t.push(n),t.push('","'),t.push(e.segmentPrefix),t.push(r),t.push('")<\/script>')}function at(e,t,r,n){if(2===n.status)return!0;var i=n.id;if(-1===i){if(-1===(n.id=r.rootSegmentID))throw Error(o(392));return ot(e,t,n)}return ot(e,t,n),e=e.responseState,t.push(e.startInlineScript),e.sentCompleteSegmentFunction?t.push('$RS("'):(e.sentCompleteSegmentFunction=!0,t.push('function $RS(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("')),t.push(e.segmentPrefix),i=i.toString(16),t.push(i),t.push('","'),t.push(e.placeholderPrefix),t.push(i),t.push('")<\/script>')}function lt(e,t){try{var r=e.completedRootSegment;if(null!==r&&0===e.pendingRootTasks){nt(e,t,r),e.completedRootSegment=null;var n=e.responseState.bootstrapChunks;for(r=0;r<n.length-1;r++)t.push(n[r]);r<n.length&&t.push(n[r])}var i,a=e.clientRenderedBoundaries;for(i=0;i<a.length;i++){var l=a[i];n=t;var s=e.responseState,u=l.id,c=l.errorDigest,d=l.errorMessage,p=l.errorComponentStack;if(n.push(s.startInlineScript),s.sentClientRenderFunction?n.push('$RX("'):(s.sentClientRenderFunction=!0,n.push('function $RX(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};$RX("')),null===u)throw Error(o(395));if(n.push(u),n.push('"'),c||d||p){n.push(",");var f=k(c||"");n.push(f)}if(d||p){n.push(",");var h=k(d||"");n.push(h)}if(p){n.push(",");var g=k(p);n.push(g)}if(!n.push(")<\/script>"))return e.destination=null,i++,void a.splice(0,i)}a.splice(0,i);var v=e.completedBoundaries;for(i=0;i<v.length;i++)if(!it(e,t,v[i]))return e.destination=null,i++,void v.splice(0,i);v.splice(0,i);var m=e.partialBoundaries;for(i=0;i<m.length;i++){var y=m[i];e:{a=e,l=t;var b=y.completedSegments;for(s=0;s<b.length;s++)if(!at(a,l,y,b[s])){s++,b.splice(0,s);var O=!1;break e}b.splice(0,s),O=!0}if(!O)return e.destination=null,i++,void m.splice(0,i)}m.splice(0,i);var E=e.completedBoundaries;for(i=0;i<E.length;i++)if(!it(e,t,E[i]))return e.destination=null,i++,void E.splice(0,i);E.splice(0,i)}finally{0===e.allPendingTasks&&0===e.pingedTasks.length&&0===e.clientRenderedBoundaries.length&&0===e.completedBoundaries.length&&t.push(null)}}function st(e,t){try{var r=e.abortableTasks;r.forEach((function(r){return Je(r,e,t)})),r.clear(),null!==e.destination&&lt(e,e.destination)}catch(t){ze(e,t),We(e,t)}}function ut(){}function ct(e,t,r,n){var i=!1,a=null,l="",s={push:function(e){return null!==e&&(l+=e),!0},destroy:function(e){i=!0,a=e}},u=!1;if(e=function(e,t,r,n,o,i,a,l,s){var u=[],c=new Set;return(r=Be(t={destination:null,responseState:t,progressiveChunkSize:n,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:c,pingedTasks:u,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],onError:void 0===o?Me:o,onAllReady:Ve,onShellReady:void 0===a?Ve:a,onShellError:Ve,onFatalError:Ve},0,null,r,!1,!1)).parentFlushed=!0,e=Ue(t,e,null,r,c,Z,null,ce),u.push(e),t}(e,function(e,t){return{bootstrapChunks:[],startInlineScript:"<script>",placeholderPrefix:(t=void 0===t?"":t)+"P:",segmentPrefix:t+"S:",boundaryPrefix:t+"B:",idPrefix:t,nextSuspenseID:0,sentCompleteSegmentFunction:!1,sentCompleteBoundaryFunction:!1,sentClientRenderFunction:!1,generateStaticMarkup:e}}(r,t?t.identifierPrefix:void 0),{insertionMode:1,selectedValue:null},1/0,ut,0,(function(){u=!0})),tt(e),st(e,n),1===e.status)e.status=2,s.destroy(e.fatalError);else if(2!==e.status&&null===e.destination){e.destination=s;try{lt(e,s)}catch(t){ze(e,t),We(e,t)}}if(i)throw a;if(!u)throw Error(o(426));return l}t.renderToNodeStream=function(){throw Error(o(207))},t.renderToStaticMarkup=function(e,t){return ct(e,t,!0,'The server used "renderToStaticMarkup" which does not support Suspense. If you intended to have the server wait for the suspended component please switch to "renderToReadableStream" which supports Suspense on the server')},t.renderToStaticNodeStream=function(){throw Error(o(208))},t.renderToString=function(e,t){return ct(e,t,!1,'The server used "renderToString" which does not support Suspense. If you intended for this Suspense boundary to render the fallback content on the server consider throwing an Error somewhere within the Suspense boundary. If you intended to have the server wait for the suspended component please switch to "renderToReadableStream" which supports Suspense on the server')},t.version="18.2.0"},1679:(e,t,r)=>{"use strict";var n=r(5959);function o(e){for(var t="https://reactjs.org/docs/error-decoder.html?invariant="+e,r=1;r<arguments.length;r++)t+="&args[]="+encodeURIComponent(arguments[r]);return"Minified React error #"+e+"; visit "+t+" for the full message or use the non-minified dev environment for full errors and additional helpful warnings."}var i=null,a=0;function l(e,t){if(0!==t.length)if(512<t.length)0<a&&(e.enqueue(new Uint8Array(i.buffer,0,a)),i=new Uint8Array(512),a=0),e.enqueue(t);else{var r=i.length-a;r<t.length&&(0===r?e.enqueue(i):(i.set(t.subarray(0,r),a),e.enqueue(i),t=t.subarray(r)),i=new Uint8Array(512),a=0),i.set(t,a),a+=t.length}}function s(e,t){return l(e,t),!0}function u(e){i&&0<a&&(e.enqueue(new Uint8Array(i.buffer,0,a)),i=null,a=0)}var c=new TextEncoder;function d(e){return c.encode(e)}function p(e){return c.encode(e)}function f(e,t){"function"==typeof e.error?e.error(t):e.close()}var h=Object.prototype.hasOwnProperty,g=/^[:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD][:A-Z_a-z\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u02FF\u0370-\u037D\u037F-\u1FFF\u200C-\u200D\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD\-.0-9\u00B7\u0300-\u036F\u203F-\u2040]*$/,v={},m={};function y(e){return!!h.call(m,e)||!h.call(v,e)&&(g.test(e)?m[e]=!0:(v[e]=!0,!1))}function b(e,t,r,n,o,i,a){this.acceptsBooleans=2===t||3===t||4===t,this.attributeName=n,this.attributeNamespace=o,this.mustUseProperty=r,this.propertyName=e,this.type=t,this.sanitizeURL=i,this.removeEmptyString=a}var O={};"children dangerouslySetInnerHTML defaultValue defaultChecked innerHTML suppressContentEditableWarning suppressHydrationWarning style".split(" ").forEach((function(e){O[e]=new b(e,0,!1,e,null,!1,!1)})),[["acceptCharset","accept-charset"],["className","class"],["htmlFor","for"],["httpEquiv","http-equiv"]].forEach((function(e){var t=e[0];O[t]=new b(t,1,!1,e[1],null,!1,!1)})),["contentEditable","draggable","spellCheck","value"].forEach((function(e){O[e]=new b(e,2,!1,e.toLowerCase(),null,!1,!1)})),["autoReverse","externalResourcesRequired","focusable","preserveAlpha"].forEach((function(e){O[e]=new b(e,2,!1,e,null,!1,!1)})),"allowFullScreen async autoFocus autoPlay controls default defer disabled disablePictureInPicture disableRemotePlayback formNoValidate hidden loop noModule noValidate open playsInline readOnly required reversed scoped seamless itemScope".split(" ").forEach((function(e){O[e]=new b(e,3,!1,e.toLowerCase(),null,!1,!1)})),["checked","multiple","muted","selected"].forEach((function(e){O[e]=new b(e,3,!0,e,null,!1,!1)})),["capture","download"].forEach((function(e){O[e]=new b(e,4,!1,e,null,!1,!1)})),["cols","rows","size","span"].forEach((function(e){O[e]=new b(e,6,!1,e,null,!1,!1)})),["rowSpan","start"].forEach((function(e){O[e]=new b(e,5,!1,e.toLowerCase(),null,!1,!1)}));var E=/[\-:]([a-z])/g;function S(e){return e[1].toUpperCase()}"accent-height alignment-baseline arabic-form baseline-shift cap-height clip-path clip-rule color-interpolation color-interpolation-filters color-profile color-rendering dominant-baseline enable-background fill-opacity fill-rule flood-color flood-opacity font-family font-size font-size-adjust font-stretch font-style font-variant font-weight glyph-name glyph-orientation-horizontal glyph-orientation-vertical horiz-adv-x horiz-origin-x image-rendering letter-spacing lighting-color marker-end marker-mid marker-start overline-position overline-thickness paint-order panose-1 pointer-events rendering-intent shape-rendering stop-color stop-opacity strikethrough-position strikethrough-thickness stroke-dasharray stroke-dashoffset stroke-linecap stroke-linejoin stroke-miterlimit stroke-opacity stroke-width text-anchor text-decoration text-rendering underline-position underline-thickness unicode-bidi unicode-range units-per-em v-alphabetic v-hanging v-ideographic v-mathematical vector-effect vert-adv-y vert-origin-x vert-origin-y word-spacing writing-mode xmlns:xlink x-height".split(" ").forEach((function(e){var t=e.replace(E,S);O[t]=new b(t,1,!1,e,null,!1,!1)})),"xlink:actuate xlink:arcrole xlink:role xlink:show xlink:title xlink:type".split(" ").forEach((function(e){var t=e.replace(E,S);O[t]=new b(t,1,!1,e,"http://www.w3.org/1999/xlink",!1,!1)})),["xml:base","xml:lang","xml:space"].forEach((function(e){var t=e.replace(E,S);O[t]=new b(t,1,!1,e,"http://www.w3.org/XML/1998/namespace",!1,!1)})),["tabIndex","crossOrigin"].forEach((function(e){O[e]=new b(e,1,!1,e.toLowerCase(),null,!1,!1)})),O.xlinkHref=new b("xlinkHref",1,!1,"xlink:href","http://www.w3.org/1999/xlink",!0,!1),["src","href","action","formAction"].forEach((function(e){O[e]=new b(e,1,!1,e.toLowerCase(),null,!0,!0)}));var w={animationIterationCount:!0,aspectRatio:!0,borderImageOutset:!0,borderImageSlice:!0,borderImageWidth:!0,boxFlex:!0,boxFlexGroup:!0,boxOrdinalGroup:!0,columnCount:!0,columns:!0,flex:!0,flexGrow:!0,flexPositive:!0,flexShrink:!0,flexNegative:!0,flexOrder:!0,gridArea:!0,gridRow:!0,gridRowEnd:!0,gridRowSpan:!0,gridRowStart:!0,gridColumn:!0,gridColumnEnd:!0,gridColumnSpan:!0,gridColumnStart:!0,fontWeight:!0,lineClamp:!0,lineHeight:!0,opacity:!0,order:!0,orphans:!0,tabSize:!0,widows:!0,zIndex:!0,zoom:!0,fillOpacity:!0,floodOpacity:!0,stopOpacity:!0,strokeDasharray:!0,strokeDashoffset:!0,strokeMiterlimit:!0,strokeOpacity:!0,strokeWidth:!0},T=["Webkit","ms","Moz","O"];Object.keys(w).forEach((function(e){T.forEach((function(t){t=t+e.charAt(0).toUpperCase()+e.substring(1),w[t]=w[e]}))}));var x=/["'&<>]/;function _(e){if("boolean"==typeof e||"number"==typeof e)return""+e;e=""+e;var t=x.exec(e);if(t){var r,n="",o=0;for(r=t.index;r<e.length;r++){switch(e.charCodeAt(r)){case 34:t="&quot;";break;case 38:t="&amp;";break;case 39:t="&#x27;";break;case 60:t="&lt;";break;case 62:t="&gt;";break;default:continue}o!==r&&(n+=e.substring(o,r)),o=r+1,n+=t}e=o!==r?n+e.substring(o,r):n}return e}var C=/([A-Z])/g,R=/^ms-/,I=Array.isArray,A=p("<script>"),j=p("<\/script>"),k=p('<script src="'),P=p('<script type="module" src="'),L=p('" async=""><\/script>'),N=/(<\/|<)(s)(cript)/gi;function F(e,t,r,n){return t+("s"===r?"\\u0073":"\\u0053")+n}function D(e,t){return{insertionMode:e,selectedValue:t}}var M=p("\x3c!-- --\x3e");function V(e,t,r,n){return""===t?n:(n&&e.push(M),e.push(d(_(t))),!0)}var U=new Map,B=p(' style="'),z=p(":"),W=p(";");function H(e,t,r){if("object"!=typeof r)throw Error(o(62));for(var n in t=!0,r)if(h.call(r,n)){var i=r[n];if(null!=i&&"boolean"!=typeof i&&""!==i){if(0===n.indexOf("--")){var a=d(_(n));i=d(_((""+i).trim()))}else{a=n;var l=U.get(a);void 0!==l||(l=p(_(a.replace(C,"-$1").toLowerCase().replace(R,"-ms-"))),U.set(a,l)),a=l,i="number"==typeof i?0===i||h.call(w,n)?d(""+i):d(i+"px"):d(_((""+i).trim()))}t?(t=!1,e.push(B,a,z,i)):e.push(W,a,z,i)}}t||e.push($)}var q=p(" "),G=p('="'),$=p('"'),K=p('=""');function Y(e,t,r,n){switch(r){case"style":return void H(e,t,n);case"defaultValue":case"defaultChecked":case"innerHTML":case"suppressContentEditableWarning":case"suppressHydrationWarning":return}if(!(2<r.length)||"o"!==r[0]&&"O"!==r[0]||"n"!==r[1]&&"N"!==r[1])if(null!==(t=O.hasOwnProperty(r)?O[r]:null)){switch(typeof n){case"function":case"symbol":return;case"boolean":if(!t.acceptsBooleans)return}switch(r=d(t.attributeName),t.type){case 3:n&&e.push(q,r,K);break;case 4:!0===n?e.push(q,r,K):!1!==n&&e.push(q,r,G,d(_(n)),$);break;case 5:isNaN(n)||e.push(q,r,G,d(_(n)),$);break;case 6:!isNaN(n)&&1<=n&&e.push(q,r,G,d(_(n)),$);break;default:t.sanitizeURL&&(n=""+n),e.push(q,r,G,d(_(n)),$)}}else if(y(r)){switch(typeof n){case"function":case"symbol":return;case"boolean":if("data-"!==(t=r.toLowerCase().slice(0,5))&&"aria-"!==t)return}e.push(q,d(r),G,d(_(n)),$)}}var X=p(">"),Q=p("/>");function J(e,t,r){if(null!=t){if(null!=r)throw Error(o(60));if("object"!=typeof t||!("__html"in t))throw Error(o(61));null!=(t=t.__html)&&e.push(d(""+t))}}var Z=p(' selected=""');function ee(e,t,r,n){e.push(oe(r));var o,i=r=null;for(o in t)if(h.call(t,o)){var a=t[o];if(null!=a)switch(o){case"children":r=a;break;case"dangerouslySetInnerHTML":i=a;break;default:Y(e,n,o,a)}}return e.push(X),J(e,i,r),"string"==typeof r?(e.push(d(_(r))),null):r}var te=p("\n"),re=/^[a-zA-Z][a-zA-Z:_\.\-\d]*$/,ne=new Map;function oe(e){var t=ne.get(e);if(void 0===t){if(!re.test(e))throw Error(o(65,e));t=p("<"+e),ne.set(e,t)}return t}var ie=p("<!DOCTYPE html>");var ae=p("</"),le=p(">"),se=p('<template id="'),ue=p('"></template>'),ce=p("\x3c!--$--\x3e"),de=p('\x3c!--$?--\x3e<template id="'),pe=p('"></template>'),fe=p("\x3c!--$!--\x3e"),he=p("\x3c!--/$--\x3e"),ge=p("<template"),ve=p('"'),me=p(' data-dgst="');p(' data-msg="'),p(' data-stck="');var ye=p("></template>");function be(e,t,r){if(l(e,de),null===r)throw Error(o(395));return l(e,r),s(e,pe)}var Oe=p('<div hidden id="'),Ee=p('">'),Se=p("</div>"),we=p('<svg aria-hidden="true" style="display:none" id="'),Te=p('">'),xe=p("</svg>"),_e=p('<math aria-hidden="true" style="display:none" id="'),Ce=p('">'),Re=p("</math>"),Ie=p('<table hidden id="'),Ae=p('">'),je=p("</table>"),ke=p('<table hidden><tbody id="'),Pe=p('">'),Le=p("</tbody></table>"),Ne=p('<table hidden><tr id="'),Fe=p('">'),De=p("</tr></table>"),Me=p('<table hidden><colgroup id="'),Ve=p('">'),Ue=p("</colgroup></table>"),Be=p('function $RS(a,b){a=document.getElementById(a);b=document.getElementById(b);for(a.parentNode.removeChild(a);a.firstChild;)b.parentNode.insertBefore(a.firstChild,b);b.parentNode.removeChild(b)};$RS("'),ze=p('$RS("'),We=p('","'),He=p('")<\/script>'),qe=p('function $RC(a,b){a=document.getElementById(a);b=document.getElementById(b);b.parentNode.removeChild(b);if(a){a=a.previousSibling;var f=a.parentNode,c=a.nextSibling,e=0;do{if(c&&8===c.nodeType){var d=c.data;if("/$"===d)if(0===e)break;else e--;else"$"!==d&&"$?"!==d&&"$!"!==d||e++}d=c.nextSibling;f.removeChild(c);c=d}while(c);for(;b.firstChild;)f.insertBefore(b.firstChild,c);a.data="$";a._reactRetry&&a._reactRetry()}};$RC("'),Ge=p('$RC("'),$e=p('","'),Ke=p('")<\/script>'),Ye=p('function $RX(b,c,d,e){var a=document.getElementById(b);a&&(b=a.previousSibling,b.data="$!",a=a.dataset,c&&(a.dgst=c),d&&(a.msg=d),e&&(a.stck=e),b._reactRetry&&b._reactRetry())};$RX("'),Xe=p('$RX("'),Qe=p('"'),Je=p(")<\/script>"),Ze=p(","),et=/[<\u2028\u2029]/g;function tt(e){return JSON.stringify(e).replace(et,(function(e){switch(e){case"<":return"\\u003c";case"\u2028":return"\\u2028";case"\u2029":return"\\u2029";default:throw Error("escapeJSStringsForInstructionScripts encountered a match it does not know how to replace. this means the match regex and the replacement characters are no longer in sync. This is a bug in React")}}))}var rt=Object.assign,nt=Symbol.for("react.element"),ot=Symbol.for("react.portal"),it=Symbol.for("react.fragment"),at=Symbol.for("react.strict_mode"),lt=Symbol.for("react.profiler"),st=Symbol.for("react.provider"),ut=Symbol.for("react.context"),ct=Symbol.for("react.forward_ref"),dt=Symbol.for("react.suspense"),pt=Symbol.for("react.suspense_list"),ft=Symbol.for("react.memo"),ht=Symbol.for("react.lazy"),gt=Symbol.for("react.scope"),vt=Symbol.for("react.debug_trace_mode"),mt=Symbol.for("react.legacy_hidden"),yt=Symbol.for("react.default_value"),bt=Symbol.iterator;function Ot(e){if(null==e)return null;if("function"==typeof e)return e.displayName||e.name||null;if("string"==typeof e)return e;switch(e){case it:return"Fragment";case ot:return"Portal";case lt:return"Profiler";case at:return"StrictMode";case dt:return"Suspense";case pt:return"SuspenseList"}if("object"==typeof e)switch(e.$$typeof){case ut:return(e.displayName||"Context")+".Consumer";case st:return(e._context.displayName||"Context")+".Provider";case ct:var t=e.render;return(e=e.displayName)||(e=""!==(e=t.displayName||t.name||"")?"ForwardRef("+e+")":"ForwardRef"),e;case ft:return null!==(t=e.displayName||null)?t:Ot(e.type)||"Memo";case ht:t=e._payload,e=e._init;try{return Ot(e(t))}catch(e){}}return null}var Et={};function St(e,t){if(!(e=e.contextTypes))return Et;var r,n={};for(r in e)n[r]=t[r];return n}var wt=null;function Tt(e,t){if(e!==t){e.context._currentValue=e.parentValue,e=e.parent;var r=t.parent;if(null===e){if(null!==r)throw Error(o(401))}else{if(null===r)throw Error(o(401));Tt(e,r)}t.context._currentValue=t.value}}function xt(e){e.context._currentValue=e.parentValue,null!==(e=e.parent)&&xt(e)}function _t(e){var t=e.parent;null!==t&&_t(t),e.context._currentValue=e.value}function Ct(e,t){if(e.context._currentValue=e.parentValue,null===(e=e.parent))throw Error(o(402));e.depth===t.depth?Tt(e,t):Ct(e,t)}function Rt(e,t){var r=t.parent;if(null===r)throw Error(o(402));e.depth===r.depth?Tt(e,r):Rt(e,r),t.context._currentValue=t.value}function It(e){var t=wt;t!==e&&(null===t?_t(e):null===e?xt(t):t.depth===e.depth?Tt(t,e):t.depth>e.depth?Ct(t,e):Rt(t,e),wt=e)}var At={isMounted:function(){return!1},enqueueSetState:function(e,t){null!==(e=e._reactInternals).queue&&e.queue.push(t)},enqueueReplaceState:function(e,t){(e=e._reactInternals).replace=!0,e.queue=[t]},enqueueForceUpdate:function(){}};function jt(e,t,r,n){var o=void 0!==e.state?e.state:null;e.updater=At,e.props=r,e.state=o;var i={queue:[],replace:!1};e._reactInternals=i;var a=t.contextType;if(e.context="object"==typeof a&&null!==a?a._currentValue:n,"function"==typeof(a=t.getDerivedStateFromProps)&&(o=null==(a=a(r,o))?o:rt({},o,a),e.state=o),"function"!=typeof t.getDerivedStateFromProps&&"function"!=typeof e.getSnapshotBeforeUpdate&&("function"==typeof e.UNSAFE_componentWillMount||"function"==typeof e.componentWillMount))if(t=e.state,"function"==typeof e.componentWillMount&&e.componentWillMount(),"function"==typeof e.UNSAFE_componentWillMount&&e.UNSAFE_componentWillMount(),t!==e.state&&At.enqueueReplaceState(e,e.state,null),null!==i.queue&&0<i.queue.length)if(t=i.queue,a=i.replace,i.queue=null,i.replace=!1,a&&1===t.length)e.state=t[0];else{for(i=a?t[0]:e.state,o=!0,a=a?1:0;a<t.length;a++){var l=t[a];null!=(l="function"==typeof l?l.call(e,i,r,n):l)&&(o?(o=!1,i=rt({},i,l)):rt(i,l))}e.state=i}else i.queue=null}var kt={id:1,overflow:""};function Pt(e,t,r){var n=e.id;e=e.overflow;var o=32-Lt(n)-1;n&=~(1<<o),r+=1;var i=32-Lt(t)+o;if(30<i){var a=o-o%5;return i=(n&(1<<a)-1).toString(32),n>>=a,o-=a,{id:1<<32-Lt(t)+o|r<<o|n,overflow:i+e}}return{id:1<<i|r<<o|n,overflow:e}}var Lt=Math.clz32?Math.clz32:function(e){return 0==(e>>>=0)?32:31-(Nt(e)/Ft|0)|0},Nt=Math.log,Ft=Math.LN2,Dt="function"==typeof Object.is?Object.is:function(e,t){return e===t&&(0!==e||1/e==1/t)||e!=e&&t!=t},Mt=null,Vt=null,Ut=null,Bt=null,zt=!1,Wt=!1,Ht=0,qt=null,Gt=0;function $t(){if(null===Mt)throw Error(o(321));return Mt}function Kt(){if(0<Gt)throw Error(o(312));return{memoizedState:null,queue:null,next:null}}function Yt(){return null===Bt?null===Ut?(zt=!1,Ut=Bt=Kt()):(zt=!0,Bt=Ut):null===Bt.next?(zt=!1,Bt=Bt.next=Kt()):(zt=!0,Bt=Bt.next),Bt}function Xt(){Vt=Mt=null,Wt=!1,Ut=null,Gt=0,Bt=qt=null}function Qt(e,t){return"function"==typeof t?t(e):t}function Jt(e,t,r){if(Mt=$t(),Bt=Yt(),zt){var n=Bt.queue;if(t=n.dispatch,null!==qt&&void 0!==(r=qt.get(n))){qt.delete(n),n=Bt.memoizedState;do{n=e(n,r.action),r=r.next}while(null!==r);return Bt.memoizedState=n,[n,t]}return[Bt.memoizedState,t]}return e=e===Qt?"function"==typeof t?t():t:void 0!==r?r(t):t,Bt.memoizedState=e,e=(e=Bt.queue={last:null,dispatch:null}).dispatch=er.bind(null,Mt,e),[Bt.memoizedState,e]}function Zt(e,t){if(Mt=$t(),t=void 0===t?null:t,null!==(Bt=Yt())){var r=Bt.memoizedState;if(null!==r&&null!==t){var n=r[1];e:if(null===n)n=!1;else{for(var o=0;o<n.length&&o<t.length;o++)if(!Dt(t[o],n[o])){n=!1;break e}n=!0}if(n)return r[0]}}return e=e(),Bt.memoizedState=[e,t],e}function er(e,t,r){if(25<=Gt)throw Error(o(301));if(e===Mt)if(Wt=!0,e={action:r,next:null},null===qt&&(qt=new Map),void 0===(r=qt.get(t)))qt.set(t,e);else{for(t=r;null!==t.next;)t=t.next;t.next=e}}function tr(){throw Error(o(394))}function rr(){}var nr={readContext:function(e){return e._currentValue},useContext:function(e){return $t(),e._currentValue},useMemo:Zt,useReducer:Jt,useRef:function(e){Mt=$t();var t=(Bt=Yt()).memoizedState;return null===t?(e={current:e},Bt.memoizedState=e):t},useState:function(e){return Jt(Qt,e)},useInsertionEffect:rr,useLayoutEffect:function(){},useCallback:function(e,t){return Zt((function(){return e}),t)},useImperativeHandle:rr,useEffect:rr,useDebugValue:rr,useDeferredValue:function(e){return $t(),e},useTransition:function(){return $t(),[!1,tr]},useId:function(){var e=Vt.treeContext,t=e.overflow;e=((e=e.id)&~(1<<32-Lt(e)-1)).toString(32)+t;var r=or;if(null===r)throw Error(o(404));return t=Ht++,e=":"+r.idPrefix+"R"+e,0<t&&(e+="H"+t.toString(32)),e+":"},useMutableSource:function(e,t){return $t(),t(e._source)},useSyncExternalStore:function(e,t,r){if(void 0===r)throw Error(o(407));return r()}},or=null,ir=n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentDispatcher;function ar(e){return console.error(e),null}function lr(){}function sr(e,t,r,n,o,i,a,l){e.allPendingTasks++,null===r?e.pendingRootTasks++:r.pendingTasks++;var s={node:t,ping:function(){var t=e.pingedTasks;t.push(s),1===t.length&&wr(e)},blockedBoundary:r,blockedSegment:n,abortSet:o,legacyContext:i,context:a,treeContext:l};return o.add(s),s}function ur(e,t,r,n,o,i){return{status:0,id:-1,index:t,parentFlushed:!1,chunks:[],children:[],formatContext:n,boundary:r,lastPushedText:o,textEmbedded:i}}function cr(e,t){if(null!=(e=e.onError(t))&&"string"!=typeof e)throw Error('onError returned something with a type other than "string". onError should return a string and may return null or undefined but must not return anything else. It received something of type "'+typeof e+'" instead');return e}function dr(e,t){var r=e.onShellError;r(t),(r=e.onFatalError)(t),null!==e.destination?(e.status=2,f(e.destination,t)):(e.status=1,e.fatalError=t)}function pr(e,t,r,n,o){for(Mt={},Vt=t,Ht=0,e=r(n,o);Wt;)Wt=!1,Ht=0,Gt+=1,Bt=null,e=r(n,o);return Xt(),e}function fr(e,t,r,n){var i=r.render(),a=n.childContextTypes;if(null!=a){var l=t.legacyContext;if("function"!=typeof r.getChildContext)n=l;else{for(var s in r=r.getChildContext())if(!(s in a))throw Error(o(108,Ot(n)||"Unknown",s));n=rt({},l,r)}t.legacyContext=n,vr(e,t,i),t.legacyContext=l}else vr(e,t,i)}function hr(e,t){if(e&&e.defaultProps){for(var r in t=rt({},t),e=e.defaultProps)void 0===t[r]&&(t[r]=e[r]);return t}return t}function gr(e,t,r,i,a){if("function"==typeof r)if(r.prototype&&r.prototype.isReactComponent){a=St(r,t.legacyContext);var l=r.contextType;jt(l=new r(i,"object"==typeof l&&null!==l?l._currentValue:a),r,i,a),fr(e,t,l,r)}else{a=pr(e,t,r,i,l=St(r,t.legacyContext));var s=0!==Ht;if("object"==typeof a&&null!==a&&"function"==typeof a.render&&void 0===a.$$typeof)jt(a,r,i,l),fr(e,t,a,r);else if(s){i=t.treeContext,t.treeContext=Pt(i,1,0);try{vr(e,t,a)}finally{t.treeContext=i}}else vr(e,t,a)}else{if("string"!=typeof r){switch(r){case mt:case vt:case at:case lt:case it:case pt:return void vr(e,t,i.children);case gt:throw Error(o(343));case dt:e:{r=t.blockedBoundary,a=t.blockedSegment,l=i.fallback,i=i.children;var u={id:null,rootSegmentID:-1,parentFlushed:!1,pendingTasks:0,forceClientRender:!1,completedSegments:[],byteSize:0,fallbackAbortableTasks:s=new Set,errorDigest:null},c=ur(0,a.chunks.length,u,a.formatContext,!1,!1);a.children.push(c),a.lastPushedText=!1;var p=ur(0,0,null,a.formatContext,!1,!1);p.parentFlushed=!0,t.blockedBoundary=u,t.blockedSegment=p;try{if(yr(e,t,i),p.lastPushedText&&p.textEmbedded&&p.chunks.push(M),p.status=1,Er(u,p),0===u.pendingTasks)break e}catch(t){p.status=4,u.forceClientRender=!0,u.errorDigest=cr(e,t)}finally{t.blockedBoundary=r,t.blockedSegment=a}t=sr(e,l,r,c,s,t.legacyContext,t.context,t.treeContext),e.pingedTasks.push(t)}return}if("object"==typeof r&&null!==r)switch(r.$$typeof){case ct:if(i=pr(e,t,r.render,i,a),0!==Ht){r=t.treeContext,t.treeContext=Pt(r,1,0);try{vr(e,t,i)}finally{t.treeContext=r}}else vr(e,t,i);return;case ft:return void gr(e,t,r=r.type,i=hr(r,i),a);case st:if(a=i.children,r=r._context,i=i.value,l=r._currentValue,r._currentValue=i,wt=i={parent:s=wt,depth:null===s?0:s.depth+1,context:r,parentValue:l,value:i},t.context=i,vr(e,t,a),null===(e=wt))throw Error(o(403));return i=e.parentValue,e.context._currentValue=i===yt?e.context._defaultValue:i,e=wt=e.parent,void(t.context=e);case ut:return void vr(e,t,i=(i=i.children)(r._currentValue));case ht:return void gr(e,t,r=(a=r._init)(r._payload),i=hr(r,i),void 0)}throw Error(o(130,null==r?r:typeof r,""))}switch(l=function(e,t,r,i,a){switch(t){case"select":e.push(oe("select"));var l=null,s=null;for(f in r)if(h.call(r,f)){var u=r[f];if(null!=u)switch(f){case"children":l=u;break;case"dangerouslySetInnerHTML":s=u;break;case"defaultValue":case"value":break;default:Y(e,i,f,u)}}return e.push(X),J(e,s,l),l;case"option":s=a.selectedValue,e.push(oe("option"));var c=u=null,p=null,f=null;for(l in r)if(h.call(r,l)){var g=r[l];if(null!=g)switch(l){case"children":u=g;break;case"selected":p=g;break;case"dangerouslySetInnerHTML":f=g;break;case"value":c=g;default:Y(e,i,l,g)}}if(null!=s)if(r=null!==c?""+c:function(e){var t="";return n.Children.forEach(e,(function(e){null!=e&&(t+=e)})),t}(u),I(s)){for(i=0;i<s.length;i++)if(""+s[i]===r){e.push(Z);break}}else""+s===r&&e.push(Z);else p&&e.push(Z);return e.push(X),J(e,f,u),u;case"textarea":for(u in e.push(oe("textarea")),f=s=l=null,r)if(h.call(r,u)&&null!=(c=r[u]))switch(u){case"children":f=c;break;case"value":l=c;break;case"defaultValue":s=c;break;case"dangerouslySetInnerHTML":throw Error(o(91));default:Y(e,i,u,c)}if(null===l&&null!==s&&(l=s),e.push(X),null!=f){if(null!=l)throw Error(o(92));if(I(f)&&1<f.length)throw Error(o(93));l=""+f}return"string"==typeof l&&"\n"===l[0]&&e.push(te),null!==l&&e.push(d(_(""+l))),null;case"input":for(s in e.push(oe("input")),c=f=u=l=null,r)if(h.call(r,s)&&null!=(p=r[s]))switch(s){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,"input"));case"defaultChecked":c=p;break;case"defaultValue":u=p;break;case"checked":f=p;break;case"value":l=p;break;default:Y(e,i,s,p)}return null!==f?Y(e,i,"checked",f):null!==c&&Y(e,i,"checked",c),null!==l?Y(e,i,"value",l):null!==u&&Y(e,i,"value",u),e.push(Q),null;case"menuitem":for(var v in e.push(oe("menuitem")),r)if(h.call(r,v)&&null!=(l=r[v]))switch(v){case"children":case"dangerouslySetInnerHTML":throw Error(o(400));default:Y(e,i,v,l)}return e.push(X),null;case"title":for(g in e.push(oe("title")),l=null,r)if(h.call(r,g)&&null!=(s=r[g]))switch(g){case"children":l=s;break;case"dangerouslySetInnerHTML":throw Error(o(434));default:Y(e,i,g,s)}return e.push(X),l;case"listing":case"pre":for(c in e.push(oe(t)),s=l=null,r)if(h.call(r,c)&&null!=(u=r[c]))switch(c){case"children":l=u;break;case"dangerouslySetInnerHTML":s=u;break;default:Y(e,i,c,u)}if(e.push(X),null!=s){if(null!=l)throw Error(o(60));if("object"!=typeof s||!("__html"in s))throw Error(o(61));null!=(r=s.__html)&&("string"==typeof r&&0<r.length&&"\n"===r[0]?e.push(te,d(r)):e.push(d(""+r)))}return"string"==typeof l&&"\n"===l[0]&&e.push(te),l;case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":for(var m in e.push(oe(t)),r)if(h.call(r,m)&&null!=(l=r[m]))switch(m){case"children":case"dangerouslySetInnerHTML":throw Error(o(399,t));default:Y(e,i,m,l)}return e.push(Q),null;case"annotation-xml":case"color-profile":case"font-face":case"font-face-src":case"font-face-uri":case"font-face-format":case"font-face-name":case"missing-glyph":return ee(e,r,t,i);case"html":return 0===a.insertionMode&&e.push(ie),ee(e,r,t,i);default:if(-1===t.indexOf("-")&&"string"!=typeof r.is)return ee(e,r,t,i);for(p in e.push(oe(t)),s=l=null,r)if(h.call(r,p)&&null!=(u=r[p]))switch(p){case"children":l=u;break;case"dangerouslySetInnerHTML":s=u;break;case"style":H(e,i,u);break;case"suppressContentEditableWarning":case"suppressHydrationWarning":break;default:y(p)&&"function"!=typeof u&&"symbol"!=typeof u&&e.push(q,d(p),G,d(_(u)),$)}return e.push(X),J(e,s,l),l}}((a=t.blockedSegment).chunks,r,i,e.responseState,a.formatContext),a.lastPushedText=!1,s=a.formatContext,a.formatContext=function(e,t,r){switch(t){case"select":return D(1,null!=r.value?r.value:r.defaultValue);case"svg":return D(2,null);case"math":return D(3,null);case"foreignObject":return D(1,null);case"table":return D(4,null);case"thead":case"tbody":case"tfoot":return D(5,null);case"colgroup":return D(7,null);case"tr":return D(6,null)}return 4<=e.insertionMode||0===e.insertionMode?D(1,null):e}(s,r,i),yr(e,t,l),a.formatContext=s,r){case"area":case"base":case"br":case"col":case"embed":case"hr":case"img":case"input":case"keygen":case"link":case"meta":case"param":case"source":case"track":case"wbr":break;default:a.chunks.push(ae,d(r),le)}a.lastPushedText=!1}}function vr(e,t,r){if(t.node=r,"object"==typeof r&&null!==r){switch(r.$$typeof){case nt:return void gr(e,t,r.type,r.props,r.ref);case ot:throw Error(o(257));case ht:var n=r._init;return void vr(e,t,r=n(r._payload))}if(I(r))return void mr(e,t,r);if((n=null===r||"object"!=typeof r?null:"function"==typeof(n=bt&&r[bt]||r["@@iterator"])?n:null)&&(n=n.call(r))){if(!(r=n.next()).done){var i=[];do{i.push(r.value),r=n.next()}while(!r.done);mr(e,t,i)}return}throw e=Object.prototype.toString.call(r),Error(o(31,"[object Object]"===e?"object with keys {"+Object.keys(r).join(", ")+"}":e))}"string"==typeof r?(n=t.blockedSegment).lastPushedText=V(t.blockedSegment.chunks,r,e.responseState,n.lastPushedText):"number"==typeof r&&((n=t.blockedSegment).lastPushedText=V(t.blockedSegment.chunks,""+r,e.responseState,n.lastPushedText))}function mr(e,t,r){for(var n=r.length,o=0;o<n;o++){var i=t.treeContext;t.treeContext=Pt(i,n,o);try{yr(e,t,r[o])}finally{t.treeContext=i}}}function yr(e,t,r){var n=t.blockedSegment.formatContext,o=t.legacyContext,i=t.context;try{return vr(e,t,r)}catch(s){if(Xt(),"object"!=typeof s||null===s||"function"!=typeof s.then)throw t.blockedSegment.formatContext=n,t.legacyContext=o,t.context=i,It(i),s;r=s;var a=t.blockedSegment,l=ur(0,a.chunks.length,null,a.formatContext,a.lastPushedText,!0);a.children.push(l),a.lastPushedText=!1,e=sr(e,t.node,t.blockedBoundary,l,t.abortSet,t.legacyContext,t.context,t.treeContext).ping,r.then(e,e),t.blockedSegment.formatContext=n,t.legacyContext=o,t.context=i,It(i)}}function br(e){var t=e.blockedBoundary;(e=e.blockedSegment).status=3,Sr(this,t,e)}function Or(e,t,r){var n=e.blockedBoundary;e.blockedSegment.status=3,null===n?(t.allPendingTasks--,2!==t.status&&(t.status=2,null!==t.destination&&t.destination.close())):(n.pendingTasks--,n.forceClientRender||(n.forceClientRender=!0,e=void 0===r?Error(o(432)):r,n.errorDigest=t.onError(e),n.parentFlushed&&t.clientRenderedBoundaries.push(n)),n.fallbackAbortableTasks.forEach((function(e){return Or(e,t,r)})),n.fallbackAbortableTasks.clear(),t.allPendingTasks--,0===t.allPendingTasks&&(n=t.onAllReady)())}function Er(e,t){if(0===t.chunks.length&&1===t.children.length&&null===t.children[0].boundary){var r=t.children[0];r.id=t.id,r.parentFlushed=!0,1===r.status&&Er(e,r)}else e.completedSegments.push(t)}function Sr(e,t,r){if(null===t){if(r.parentFlushed){if(null!==e.completedRootSegment)throw Error(o(389));e.completedRootSegment=r}e.pendingRootTasks--,0===e.pendingRootTasks&&(e.onShellError=lr,(t=e.onShellReady)())}else t.pendingTasks--,t.forceClientRender||(0===t.pendingTasks?(r.parentFlushed&&1===r.status&&Er(t,r),t.parentFlushed&&e.completedBoundaries.push(t),t.fallbackAbortableTasks.forEach(br,e),t.fallbackAbortableTasks.clear()):r.parentFlushed&&1===r.status&&(Er(t,r),1===t.completedSegments.length&&t.parentFlushed&&e.partialBoundaries.push(t)));e.allPendingTasks--,0===e.allPendingTasks&&(e=e.onAllReady)()}function wr(e){if(2!==e.status){var t=wt,r=ir.current;ir.current=nr;var n=or;or=e.responseState;try{var o,i=e.pingedTasks;for(o=0;o<i.length;o++){var a=i[o],l=e,s=a.blockedSegment;if(0===s.status){It(a.context);try{vr(l,a,a.node),s.lastPushedText&&s.textEmbedded&&s.chunks.push(M),a.abortSet.delete(a),s.status=1,Sr(l,a.blockedBoundary,s)}catch(e){if(Xt(),"object"==typeof e&&null!==e&&"function"==typeof e.then){var u=a.ping;e.then(u,u)}else{a.abortSet.delete(a),s.status=4;var c=a.blockedBoundary,d=e,p=cr(l,d);null===c?dr(l,d):(c.pendingTasks--,c.forceClientRender||(c.forceClientRender=!0,c.errorDigest=p,c.parentFlushed&&l.clientRenderedBoundaries.push(c))),l.allPendingTasks--,0===l.allPendingTasks&&(0,l.onAllReady)()}}}}i.splice(0,o),null!==e.destination&&Ir(e,e.destination)}catch(t){cr(e,t),dr(e,t)}finally{or=n,ir.current=r,r===nr&&It(t)}}}function Tr(e,t,r){switch(r.parentFlushed=!0,r.status){case 0:var n=r.id=e.nextSegmentId++;return r.lastPushedText=!1,r.textEmbedded=!1,e=e.responseState,l(t,se),l(t,e.placeholderPrefix),l(t,e=d(n.toString(16))),s(t,ue);case 1:r.status=2;var i=!0;n=r.chunks;var a=0;r=r.children;for(var u=0;u<r.length;u++){for(i=r[u];a<i.index;a++)l(t,n[a]);i=xr(e,t,i)}for(;a<n.length-1;a++)l(t,n[a]);return a<n.length&&(i=s(t,n[a])),i;default:throw Error(o(390))}}function xr(e,t,r){var n=r.boundary;if(null===n)return Tr(e,t,r);if(n.parentFlushed=!0,n.forceClientRender)n=n.errorDigest,s(t,fe),l(t,ge),n&&(l(t,me),l(t,d(_(n))),l(t,ve)),s(t,ye),Tr(e,t,r);else if(0<n.pendingTasks){n.rootSegmentID=e.nextSegmentId++,0<n.completedSegments.length&&e.partialBoundaries.push(n);var i=e.responseState,a=i.nextSuspenseID++;i=p(i.boundaryPrefix+a.toString(16)),n=n.id=i,be(t,e.responseState,n),Tr(e,t,r)}else if(n.byteSize>e.progressiveChunkSize)n.rootSegmentID=e.nextSegmentId++,e.completedBoundaries.push(n),be(t,e.responseState,n.id),Tr(e,t,r);else{if(s(t,ce),1!==(r=n.completedSegments).length)throw Error(o(391));xr(e,t,r[0])}return s(t,he)}function _r(e,t,r){return function(e,t,r,n){switch(r.insertionMode){case 0:case 1:return l(e,Oe),l(e,t.segmentPrefix),l(e,d(n.toString(16))),s(e,Ee);case 2:return l(e,we),l(e,t.segmentPrefix),l(e,d(n.toString(16))),s(e,Te);case 3:return l(e,_e),l(e,t.segmentPrefix),l(e,d(n.toString(16))),s(e,Ce);case 4:return l(e,Ie),l(e,t.segmentPrefix),l(e,d(n.toString(16))),s(e,Ae);case 5:return l(e,ke),l(e,t.segmentPrefix),l(e,d(n.toString(16))),s(e,Pe);case 6:return l(e,Ne),l(e,t.segmentPrefix),l(e,d(n.toString(16))),s(e,Fe);case 7:return l(e,Me),l(e,t.segmentPrefix),l(e,d(n.toString(16))),s(e,Ve);default:throw Error(o(397))}}(t,e.responseState,r.formatContext,r.id),xr(e,t,r),function(e,t){switch(t.insertionMode){case 0:case 1:return s(e,Se);case 2:return s(e,xe);case 3:return s(e,Re);case 4:return s(e,je);case 5:return s(e,Le);case 6:return s(e,De);case 7:return s(e,Ue);default:throw Error(o(397))}}(t,r.formatContext)}function Cr(e,t,r){for(var n=r.completedSegments,i=0;i<n.length;i++)Rr(e,t,r,n[i]);if(n.length=0,e=e.responseState,n=r.id,r=r.rootSegmentID,l(t,e.startInlineScript),e.sentCompleteBoundaryFunction?l(t,Ge):(e.sentCompleteBoundaryFunction=!0,l(t,qe)),null===n)throw Error(o(395));return r=d(r.toString(16)),l(t,n),l(t,$e),l(t,e.segmentPrefix),l(t,r),s(t,Ke)}function Rr(e,t,r,n){if(2===n.status)return!0;var i=n.id;if(-1===i){if(-1===(n.id=r.rootSegmentID))throw Error(o(392));return _r(e,t,n)}return _r(e,t,n),l(t,(e=e.responseState).startInlineScript),e.sentCompleteSegmentFunction?l(t,ze):(e.sentCompleteSegmentFunction=!0,l(t,Be)),l(t,e.segmentPrefix),l(t,i=d(i.toString(16))),l(t,We),l(t,e.placeholderPrefix),l(t,i),s(t,He)}function Ir(e,t){i=new Uint8Array(512),a=0;try{var r=e.completedRootSegment;if(null!==r&&0===e.pendingRootTasks){xr(e,t,r),e.completedRootSegment=null;var n=e.responseState.bootstrapChunks;for(r=0;r<n.length-1;r++)l(t,n[r]);r<n.length&&s(t,n[r])}var c,p=e.clientRenderedBoundaries;for(c=0;c<p.length;c++){var f=p[c];n=t;var h=e.responseState,g=f.id,v=f.errorDigest,m=f.errorMessage,y=f.errorComponentStack;if(l(n,h.startInlineScript),h.sentClientRenderFunction?l(n,Xe):(h.sentClientRenderFunction=!0,l(n,Ye)),null===g)throw Error(o(395));if(l(n,g),l(n,Qe),(v||m||y)&&(l(n,Ze),l(n,d(tt(v||"")))),(m||y)&&(l(n,Ze),l(n,d(tt(m||"")))),y&&(l(n,Ze),l(n,d(tt(y)))),!s(n,Je))return e.destination=null,c++,void p.splice(0,c)}p.splice(0,c);var b=e.completedBoundaries;for(c=0;c<b.length;c++)if(!Cr(e,t,b[c]))return e.destination=null,c++,void b.splice(0,c);b.splice(0,c),u(t),i=new Uint8Array(512),a=0;var O=e.partialBoundaries;for(c=0;c<O.length;c++){var E=O[c];e:{p=e,f=t;var S=E.completedSegments;for(h=0;h<S.length;h++)if(!Rr(p,f,E,S[h])){h++,S.splice(0,h);var w=!1;break e}S.splice(0,h),w=!0}if(!w)return e.destination=null,c++,void O.splice(0,c)}O.splice(0,c);var T=e.completedBoundaries;for(c=0;c<T.length;c++)if(!Cr(e,t,T[c]))return e.destination=null,c++,void T.splice(0,c);T.splice(0,c)}finally{u(t),0===e.allPendingTasks&&0===e.pingedTasks.length&&0===e.clientRenderedBoundaries.length&&0===e.completedBoundaries.length&&t.close()}}function Ar(e,t){try{var r=e.abortableTasks;r.forEach((function(r){return Or(r,e,t)})),r.clear(),null!==e.destination&&Ir(e,e.destination)}catch(t){cr(e,t),dr(e,t)}}t.renderToReadableStream=function(e,t){return new Promise((function(r,n){var o,i,a=new Promise((function(e,t){i=e,o=t})),l=function(e,t,r,n,o,i,a,l,s){var u=[],c=new Set;return(r=ur(t={destination:null,responseState:t,progressiveChunkSize:void 0===n?12800:n,status:0,fatalError:null,nextSegmentId:0,allPendingTasks:0,pendingRootTasks:0,completedRootSegment:null,abortableTasks:c,pingedTasks:u,clientRenderedBoundaries:[],completedBoundaries:[],partialBoundaries:[],onError:void 0===o?ar:o,onAllReady:void 0===i?lr:i,onShellReady:void 0===a?lr:a,onShellError:void 0===l?lr:l,onFatalError:void 0===s?lr:s},0,null,r,!1,!1)).parentFlushed=!0,e=sr(t,e,null,r,c,Et,null,kt),u.push(e),t}(e,function(e,t,r,n,o){e=void 0===e?"":e,t=void 0===t?A:p('<script nonce="'+_(t)+'">');var i=[];if(void 0!==r&&i.push(t,d((""+r).replace(N,F)),j),void 0!==n)for(r=0;r<n.length;r++)i.push(k,d(_(n[r])),L);if(void 0!==o)for(n=0;n<o.length;n++)i.push(P,d(_(o[n])),L);return{bootstrapChunks:i,startInlineScript:t,placeholderPrefix:p(e+"P:"),segmentPrefix:p(e+"S:"),boundaryPrefix:e+"B:",idPrefix:e,nextSuspenseID:0,sentCompleteSegmentFunction:!1,sentCompleteBoundaryFunction:!1,sentClientRenderFunction:!1}}(t?t.identifierPrefix:void 0,t?t.nonce:void 0,t?t.bootstrapScriptContent:void 0,t?t.bootstrapScripts:void 0,t?t.bootstrapModules:void 0),function(e){return D("http://www.w3.org/2000/svg"===e?2:"http://www.w3.org/1998/Math/MathML"===e?3:0,null)}(t?t.namespaceURI:void 0),t?t.progressiveChunkSize:void 0,t?t.onError:void 0,i,(function(){var e=new ReadableStream({type:"bytes",pull:function(e){if(1===l.status)l.status=2,f(e,l.fatalError);else if(2!==l.status&&null===l.destination){l.destination=e;try{Ir(l,e)}catch(e){cr(l,e),dr(l,e)}}},cancel:function(){Ar(l)}},{highWaterMark:0});e.allReady=a,r(e)}),(function(e){a.catch((function(){})),n(e)}),o);if(t&&t.signal){var s=t.signal,u=function(){Ar(l,s.reason),s.removeEventListener("abort",u)};s.addEventListener("abort",u)}wr(l)}))},t.version="18.2.0"},952:(e,t,r)=>{"use strict";var n,o;n=r(8641),o=r(1679),t.version=n.version,t.renderToString=n.renderToString,t.renderToStaticMarkup=n.renderToStaticMarkup,t.renderToNodeStream=n.renderToNodeStream,t.renderToStaticNodeStream=n.renderToStaticNodeStream,t.renderToReadableStream=o.renderToReadableStream},6563:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.isNavigator=t.isBrowser=t.off=t.on=t.noop=void 0,t.noop=function(){},t.on=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];e&&e.addEventListener&&e.addEventListener.apply(e,t)},t.off=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];e&&e.removeEventListener&&e.removeEventListener.apply(e,t)},t.isBrowser="undefined"!=typeof window,t.isNavigator="undefined"!=typeof navigator},1777:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(5053));t.A=function(e,t){void 0===t&&(t=[]);var r=i.default(e,t,{loading:!0}),n=r[0],a=r[1];return o.useEffect((function(){a()}),[a]),n}},5053:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(4769),o=r(5959),i=n.__importDefault(r(9812));t.default=function(e,t,r){void 0===t&&(t=[]),void 0===r&&(r={loading:!1});var a=o.useRef(0),l=i.default(),s=o.useState(r),u=s[0],c=s[1],d=o.useCallback((function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];var o=++a.current;return u.loading||c((function(e){return n.__assign(n.__assign({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return l()&&o===a.current&&c({value:e,loading:!1}),e}),(function(e){return l()&&o===a.current&&c({error:e,loading:!1}),e}))}),t);return[u,d]}},990:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(1854));t.A=function(e,t,r){void 0===t&&(t=0),void 0===r&&(r=[]);var n=i.default(e,t),a=n[0],l=n[1],s=n[2];return o.useEffect(s,r),[a,l]}},6943:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959),o=r(6563).isBrowser?n.useLayoutEffect:n.useEffect;t.default=o},8145:(e,t,r)=>{"use strict";var n=r(4769),o=r(5959),i=n.__importDefault(r(6943)),a=r(6563),l={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};t.A=a.isBrowser&&void 0!==window.ResizeObserver?function(){var e=o.useState(null),t=e[0],r=e[1],n=o.useState(l),a=n[0],s=n[1],u=o.useMemo((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,r=t.x,n=t.y,o=t.width,i=t.height,a=t.top,l=t.left,u=t.bottom,c=t.right;s({x:r,y:n,width:o,height:i,top:a,left:l,bottom:u,right:c})}}))}),[]);return i.default((function(){if(t)return u.observe(t),function(){u.disconnect()}}),[t]),[r,a]}:function(){return[a.noop,l]}},9812:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959);t.default=function(){var e=n.useRef(!1),t=n.useCallback((function(){return e.current}),[]);return n.useEffect((function(){return e.current=!0,function(){e.current=!1}}),[]),t}},1854:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=r(5959);t.default=function(e,t){void 0===t&&(t=0);var r=n.useRef(!1),o=n.useRef(),i=n.useRef(e),a=n.useCallback((function(){return r.current}),[]),l=n.useCallback((function(){r.current=!1,o.current&&clearTimeout(o.current),o.current=setTimeout((function(){r.current=!0,i.current()}),t)}),[t]),s=n.useCallback((function(){r.current=null,o.current&&clearTimeout(o.current)}),[]);return n.useEffect((function(){i.current=e}),[e]),n.useEffect((function(){return l(),s}),[t]),[a,s,l]}},8044:(e,t,r)=>{"use strict";var n=r(5959),o=Symbol.for("react.element"),i=Symbol.for("react.fragment"),a=Object.prototype.hasOwnProperty,l=n.__SECRET_INTERNALS_DO_NOT_USE_OR_YOU_WILL_BE_FIRED.ReactCurrentOwner,s={key:!0,ref:!0,__self:!0,__source:!0};function u(e,t,r){var n,i={},u=null,c=null;for(n in void 0!==r&&(u=""+r),void 0!==t.key&&(u=""+t.key),void 0!==t.ref&&(c=t.ref),t)a.call(t,n)&&!s.hasOwnProperty(n)&&(i[n]=t[n]);if(e&&e.defaultProps)for(n in t=e.defaultProps)void 0===i[n]&&(i[n]=t[n]);return{$$typeof:o,type:e,key:u,ref:c,props:i,_owner:l.current}}t.Fragment=i,t.jsx=u,t.jsxs=u},9728:(e,t,r)=>{"use strict";e.exports=r(8044)},138:function(e){var t;t=function(){return function(e){var t={};function r(n){if(t[n])return t[n].exports;var o=t[n]={i:n,l:!1,exports:{}};return e[n].call(o.exports,o,o.exports,r),o.l=!0,o.exports}return r.m=e,r.c=t,r.d=function(e,t,n){r.o(e,t)||Object.defineProperty(e,t,{configurable:!1,enumerable:!0,get:n})},r.n=function(e){var t=e&&e.__esModule?function(){return e.default}:function(){return e};return r.d(t,"a",t),t},r.o=function(e,t){return Object.prototype.hasOwnProperty.call(e,t)},r.p="",r(r.s=3)}([function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelNode={create:function(e,t){var r,n={},o=e||"Abstract",i=[],a=null;if(n._type=o,n.getType=function(){return o},n.setType=function(e){o=e},n.getChildren=function(){return i},n.addChild=function(e){if(e){if(!e.setParent)throw{name:"Error",message:"Trying to add a child which is not a node: "+JSON.stringify(e)};e.setParent(n),i.push(e)}},n.getParent=function(){return a},n.setParent=function(e){a=e},n.getContext=function(e){return r||e.activeContext.peek()},n.setContext=function(e){r=e},n.getStartPosition=function(){return t>>16},n.getEndPosition=function(){return 65535&t},n.getValue=function(){throw{name:"MethodNotImplementedException",message:"SpelNode#getValue() must be overridden."}},n.toString=function(){var e="Kind: "+n.getType();e+=", Children: [";for(var t=0,r=n.getChildren().length;t<r;t+=1)e+="{"+n.getChildren()[t]+"}, ";return e+"]"},0===t)throw{name:"Error",message:"Position cannot be 0"};for(var l=arguments.length,s=Array(l>2?l-2:0),u=2;u<l;u++)s[u-2]=arguments[u];return s&&s.forEach((function(e){n.addChild(e)})),n}}},function(e,t,r){"use strict";function n(e){this.elements=e||[]}Object.defineProperty(t,"__esModule",{value:!0}),t.Stack=n,n.prototype.push=function(e){return this.elements.push(e),e},n.prototype.pop=function(){return this.elements.pop()},n.prototype.peek=function(){return this.elements[this.elements.length-1]},n.prototype.empty=function(){return this.elements.length>0},n.prototype.search=function(e){return this.elements.length-this.elements.indexOf(e)}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n={LITERAL_INT:1,LITERAL_LONG:2,LITERAL_HEXINT:3,LITERAL_HEXLONG:4,LITERAL_STRING:5,LITERAL_REAL:6,LITERAL_REAL_FLOAT:7,LPAREN:"(",RPAREN:")",COMMA:",",IDENTIFIER:0,COLON:":",HASH:"#",RSQUARE:"]",LSQUARE:"[",LCURLY:"{",RCURLY:"}",DOT:".",PLUS:"+",STAR:"*",MINUS:"-",SELECT_FIRST:"^[",SELECT_LAST:"$[",QMARK:"?",PROJECT:"![",DIV:"/",GE:">=",GT:">",LE:"<=",LT:"<",EQ:"==",NE:"!=",MOD:"%",NOT:"!",ASSIGN:"=",INSTANCEOF:"instanceof",MATCHES:"matches",BETWEEN:"between",SELECT:"?[",POWER:"^",ELVIS:"?:",SAFE_NAVI:"?.",BEAN_REF:"@",SYMBOLIC_OR:"||",SYMBOLIC_AND:"&&",INC:"++",DEC:"--"};function o(e){this.type=e,this.tokenChars=n[e],this._hasPayload="string"!=typeof n[e],"number"==typeof n[e]&&(this._ordinal=n[e])}for(var i in n)n.hasOwnProperty(i)&&(o[i]=new o(i));o.prototype.toString=function(){return this.type+(0!==this.tokenChars.length?"("+this.tokenChars+")":"")},o.prototype.getLength=function(){return this.tokenChars.length},o.prototype.hasPayload=function(){return this._hasPayload},o.prototype.valueOf=function(e){for(var t in n)if(n.hasOwnProperty(t)&&n[t]===e)return o[t]},o.prototype.ordinal=function(){return this._ordinal},t.TokenKind=o},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardContext=t.SpelExpressionEvaluator=void 0;var n=r(4),o=r(50);t.SpelExpressionEvaluator=n.SpelExpressionEvaluator,t.StandardContext=o.StandardContext},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelExpressionEvaluator=void 0;var n=r(5),o=r(1),i={compile:function(e){var t=(0,n.SpelExpressionParser)().parse(e);return{eval:function(e,r){return function(e,t,r){var n,i=new o.Stack;return t||(t={}),i.push(t),n={rootContext:t,activeContext:i,locals:r},e.getValue(n)}(t,e,r)},_compiledExpression:t}},eval:function(e,t,r){return i.compile(e).eval(t,r)}};t.SpelExpressionEvaluator=i},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.SpelExpressionParser=void 0;var n=r(2),o=r(6),i=r(8),a=r(9),l=r(10),s=r(11),u=r(12),c=r(13),d=r(14),p=r(15),f=r(16),h=r(17),g=r(18),v=r(19),m=r(20),y=r(21),b=r(22),O=r(23),E=r(24),S=r(25),w=r(26),T=r(27),x=r(28),_=r(29),C=r(30),R=r(31),I=r(32),A=r(33),j=r(34),k=r(35),P=r(36),L=r(37),N=r(38),F=r(39),D=r(40),M=r(41),V=r(42),U=r(43),B=r(44),z=r(45),W=r(46),H=r(47),q=r(48),G=r(49);t.SpelExpressionParser=function(){var e,t,r,$,K=new RegExp("[\\p{L}\\p{N}_$]+"),Y=[];function X(){var e=Q();if(Se()){var t=Te();if(t.getKind()===n.TokenKind.ASSIGN){null===e&&(e=s.NullLiteral.create(Ie(t.startPos-1,t.endPos-1))),we();var r=Q();return g.Assign.create(Re(t),e,r)}if(t.getKind()===n.TokenKind.ELVIS){null===e&&(e=s.NullLiteral.create(Ie(t.startPos-1,t.endPos-2))),we();var o=X();return null===o&&(o=s.NullLiteral.create(Ie(t.startPos+1,t.endPos+1))),N.Elvis.create(Re(t),e,o)}if(t.getKind()===n.TokenKind.QMARK){null===e&&(e=s.NullLiteral.create(Ie(t.startPos-1,t.endPos-1))),we();var i=X();me(n.TokenKind.COLON);var a=X();return L.Ternary.create(Re(t),e,i,a)}}return e}function Q(){for(var e=J();Ee("or")||ye(n.TokenKind.SYMBOLIC_OR);){var t=we(),r=J();_e(t,e,r),e=k.OpOr.create(Re(t),e,r)}return e}function J(){for(var e=Z();Ee("and")||ye(n.TokenKind.SYMBOLIC_AND);){var t=we(),r=Z();_e(t,e,r),e=j.OpAnd.create(Re(t),e,r)}return e}function Z(){var e=ee(),t=function(){var e=Te();if(null===e)return null;if(e.isNumericRelationalOperator())return e;if(e.isIdentifier()){var t=e.stringValue();if("instanceof"===t.toLowerCase())return e.asInstanceOfToken();if("matches"===t.toLowerCase())return e.asMatchesToken();if("between"===t.toLowerCase())return e.asBetweenToken()}return null}();if(null!==t){var r=we(),o=ee();_e(r,e,o);var i=t.kind;if(t.isNumericRelationalOperator()){var a=Re(r);return i===n.TokenKind.GT?b.OpGT.create(a,e,o):i===n.TokenKind.LT?E.OpLT.create(a,e,o):i===n.TokenKind.LE?O.OpLE.create(a,e,o):i===n.TokenKind.GE?y.OpGE.create(a,e,o):i===n.TokenKind.EQ?v.OpEQ.create(a,e,o):m.OpNE.create(a,e,o)}return i===n.TokenKind.INSTANCEOF?U.OpInstanceof.create(Re(r),e,o):i===n.TokenKind.MATCHES?P.OpMatches.create(Re(r),e,o):B.OpBetween.create(Re(r),e,o)}return e}function ee(){for(var e=te();Oe(n.TokenKind.PLUS,n.TokenKind.MINUS,n.TokenKind.INC);){var t=we(),r=te();Ce(t,r),t.getKind()===n.TokenKind.PLUS?e=S.OpPlus.create(Re(t),e,r):t.getKind()===n.TokenKind.MINUS&&(e=w.OpMinus.create(Re(t),e,r))}return e}function te(){for(var e=re();Oe(n.TokenKind.STAR,n.TokenKind.DIV,n.TokenKind.MOD);){var t=we(),r=re();_e(t,e,r),e=t.getKind()===n.TokenKind.STAR?T.OpMultiply.create(Re(t),e,r):t.getKind()===n.TokenKind.DIV?x.OpDivide.create(Re(t),e,r):_.OpModulus.create(Re(t),e,r)}return e}function re(){var e,t=ne();if(ye(n.TokenKind.POWER)){e=we();var r=ne();return Ce(e,r),C.OpPower.create(Re(e),t,r)}return null!==t&&Oe(n.TokenKind.INC,n.TokenKind.DEC)?(e=we()).getKind()===n.TokenKind.INC?R.OpInc.create(Re(e),!0,t):I.OpDec.create(Re(e),!0,t):t}function ne(){var e,t;return Oe(n.TokenKind.PLUS,n.TokenKind.MINUS,n.TokenKind.NOT)?(e=we(),t=ne(),e.getKind()===n.TokenKind.NOT?A.OpNot.create(Re(e),t):e.getKind()===n.TokenKind.PLUS?S.OpPlus.create(Re(e),t):w.OpMinus.create(Re(e),t)):Oe(n.TokenKind.INC,n.TokenKind.DEC)?(e=we(),t=ne(),e.getKind()===n.TokenKind.INC?R.OpInc.create(Re(e),!1,t):I.OpDec.create(Re(e),!1,t)):function(){var e=[],t=function(){var e=Te();if(null===e)return!1;if(e.getKind()===n.TokenKind.LITERAL_INT||e.getKind()===n.TokenKind.LITERAL_LONG)ge(a.NumberLiteral.create(parseInt(e.stringValue(),10),Re(e)));else if(e.getKind()===n.TokenKind.LITERAL_REAL||e.getKind()===n.TokenKind.LITERAL_REAL_FLOAT)ge(a.NumberLiteral.create(parseFloat(e.stringValue()),Re(e)));else if(e.getKind()===n.TokenKind.LITERAL_HEXINT||e.getKind()===n.TokenKind.LITERAL_HEXLONG)ge(a.NumberLiteral.create(parseInt(e.stringValue(),16),Re(e)));else if(Ee("true"))ge(i.BooleanLiteral.create(!0,Re(e)));else if(Ee("false"))ge(i.BooleanLiteral.create(!1,Re(e)));else{if(e.getKind()!==n.TokenKind.LITERAL_STRING)return!1;ge(l.StringLiteral.create(e.stringValue(),Re(e)))}return we(),!0}()||function(){if(ye(n.TokenKind.LPAREN)){we();var e=X();return me(n.TokenKind.RPAREN),ge(e),!0}return!1}()||function(){if(ye(n.TokenKind.IDENTIFIER)){var e=Te();if("T"!==e.stringValue())return!1;var t=we();if(ye(n.TokenKind.RSQUARE))return ge(d.PropertyReference.create(t.stringValue(),Re(t))),!0;me(n.TokenKind.LPAREN);for(var r=pe(),o=0;be(n.TokenKind.LSQUARE,!0);)me(n.TokenKind.RSQUARE),o++;return me(n.TokenKind.RPAREN),ge(z.TypeReference.create(Re(e),r,o)),!0}return!1}()||function(){if(ye(n.TokenKind.IDENTIFIER)){var e=Te();return"null"===e.stringValue().toLowerCase()&&(we(),ge(s.NullLiteral.create(Re(e))),!0)}return!1}()||function(){if(Ee("new")){var e=we();if(ye(n.TokenKind.RSQUARE))return ge(d.PropertyReference.create(e.stringValue(),Re(e))),!0;var t=pe(),r=[];if(r.push(t),ye(n.TokenKind.LSQUARE)){for(var o=[];be(n.TokenKind.LSQUARE,!0);)ye(n.TokenKind.RSQUARE)?o.push(null):o.push(X()),me(n.TokenKind.RSQUARE);ue()&&r.push(ve()),ge(G.ConstructorReference.create(Re(e),o,r))}else i=r,ye(n.TokenKind.LPAREN)||xe(Re(Te()),"MISSING_CONSTRUCTOR_ARGS"),le(i),me(n.TokenKind.RPAREN),ge(G.ConstructorReference.create(Re(e),r));return!0}var i;return!1}()||he(!1)||ie()||function(){if(ye(n.TokenKind.BEAN_REF)){var e=we(),t=null,r=null;return ye(n.TokenKind.IDENTIFIER)?r=(t=me(n.TokenKind.IDENTIFIER)).data:ye(n.TokenKind.LITERAL_STRING)?r=(r=(t=me(n.TokenKind.LITERAL_STRING)).stringValue()).substring(1,r.length()-1):xe(e.startPos,"INVALID_BEAN_REFERENCE"),ge(W.BeanReference.create(Re(t),r)),!0}return!1}()||se(!1)||de(!1)||ce()||ue()?ve():null;for(e.push(t);oe();)e.push(ve());return 1===e.length?e[0]:f.CompoundExpression.create(Ie(t.getStartPosition(),e[e.length-1].getEndPosition()),e)}()}function oe(){var e,t,r;return null!==(e=Oe(n.TokenKind.DOT,n.TokenKind.SAFE_NAVI)?(t=we(),he(r=t.getKind()===n.TokenKind.SAFE_NAVI)||ie()||se(r)||de(r)?ve():(null===Te()?xe(t.startPos,"OOD"):xe(t.startPos,"UNEXPECTED_DATA_AFTER_DOT",function(e){return e.getKind().hasPayload()?e.stringValue():e.getKind().toString().toLowerCase()}(Te())),null)):ye(n.TokenKind.LSQUARE)&&ce()?ve():null)&&(ge(e),!0)}function ie(){if(!ye(n.TokenKind.HASH))return!1;var e=we(),t=me(n.TokenKind.IDENTIFIER),r=ae();return null===r?(ge(p.VariableReference.create(t.data,Ie(e.startPos,t.endPos))),!0):(ge(u.FunctionReference.create(t.data,Ie(e.startPos,t.endPos),r)),!0)}function ae(){if(!ye(n.TokenKind.LPAREN))return null;var e=[];return le(e),me(n.TokenKind.RPAREN),e}function le(e){var t,r=Te().startPos;do{we();var o=Te();null===o&&xe(r,"RUN_OUT_OF_ARGUMENTS"),o.getKind()!==n.TokenKind.RPAREN&&e.push(X()),t=Te()}while(null!==t&&t.kind===n.TokenKind.COMMA);null===t&&xe(r,"RUN_OUT_OF_ARGUMENTS")}function se(e){var t=Te();if(!be(n.TokenKind.PROJECT,!0))return!1;var r=X();return me(n.TokenKind.RSQUARE),ge(V.Projection.create(e,Re(t),r)),!0}function ue(){var e=Te(),t=[];if(!be(n.TokenKind.LCURLY,!0))return!1;var r=null,o=Te();if(be(n.TokenKind.RCURLY,!0))r=F.InlineList.create(Ie(e.startPos,o.endPos));else if(be(n.TokenKind.COLON,!0))o=me(n.TokenKind.RCURLY),r=D.InlineMap.create(Ie(e.startPos,o.endPos));else{var i=X();if(ye(n.TokenKind.RCURLY))t.push(i),o=me(n.TokenKind.RCURLY),r=F.InlineList.create(Ie(e.startPos,o.endPos),t);else if(be(n.TokenKind.COMMA,!0)){t.push(i);do{t.push(X())}while(be(n.TokenKind.COMMA,!0));o=me(n.TokenKind.RCURLY),r=F.InlineList.create(Re(e.startPos,o.endPos),t)}else if(be(n.TokenKind.COLON,!0)){var a=[];for(a.push(i),a.push(X());be(n.TokenKind.COMMA,!0);)a.push(X()),me(n.TokenKind.COLON),a.push(X());o=me(n.TokenKind.RCURLY),r=D.InlineMap.create(Ie(e.startPos,o.endPos),a)}else xe(e.startPos,"OOD")}return ge(r),!0}function ce(){var e=Te();if(!be(n.TokenKind.LSQUARE,!0))return!1;var t=X();return me(n.TokenKind.RSQUARE),ge(h.Indexer.create(Re(e),t)),!0}function de(e){var t=Te();if(!function(){if(!Se())return!1;var e=Te();return e.getKind()===n.TokenKind.SELECT||e.getKind()===n.TokenKind.SELECT_FIRST||e.getKind()===n.TokenKind.SELECT_LAST}())return!1;we();var r=X();return null===r&&xe(Re(t),"MISSING_SELECTION_EXPRESSION"),me(n.TokenKind.RSQUARE),t.getKind()===n.TokenKind.SELECT_FIRST?ge(M.Selection.create(e,M.Selection.FIRST,Re(t),r)):t.getKind()===n.TokenKind.SELECT_LAST?ge(M.Selection.create(e,M.Selection.LAST,Re(t),r)):ge(M.Selection.create(e,M.Selection.ALL,Re(t),r)),!0}function pe(){for(var t=[],r=Te();fe(r);)we(),r.kind!==n.TokenKind.DOT&&t.push(H.Identifier.create(r.stringValue(),Re(r))),r=Te();t.length||(null===r&&xe(e.length(),"OOD"),xe(r.startPos,"NOT_EXPECTED_TOKEN","qualified ID",r.getKind().toString().toLowerCase()));var o=Ie(t[0].getStartPosition(),t[t.length-1].getEndPosition());return q.QualifiedIdentifier.create(o,t)}function fe(e){if(null===e||e.kind===n.TokenKind.LITERAL_STRING)return!1;if(e.kind===n.TokenKind.DOT||e.kind===n.TokenKind.IDENTIFIER)return!0;var t=e.stringValue();return t&&t.length&&K.test(t)}function he(e){if(ye(n.TokenKind.IDENTIFIER)){var t=we(),r=ae();return null===r?(ge(d.PropertyReference.create(e,t.stringValue(),Re(t))),!0):(ge(c.MethodReference.create(e,t.stringValue(),Re(t),r)),!0)}return!1}function ge(e){Y.push(e)}function ve(){return Y.pop()}function me(t){var r=we();return null===r&&xe(e.length,"OOD"),r.getKind()!==t&&xe(r.startPos,"NOT_EXPECTED_TOKEN",t.toString().toLowerCase(),r.getKind().toString().toLowerCase()),r}function ye(e){return be(e,!1)}function be(e,t){if(!Se())return!1;var r=Te();return r.getKind()===e?(t&&$++,!0):e===n.TokenKind.IDENTIFIER&&r.getKind().ordinal()>=n.TokenKind.DIV.ordinal()&&r.getKind().ordinal()<=n.TokenKind.NOT.ordinal()&&null!==r.data}function Oe(){if(!Se())return!1;for(var e=Te(),t=Array.prototype.slice.call(arguments),r=0,n=t.length;r<n;r+=1)if(e.getKind()===t[r])return!0;return!1}function Ee(e){if(!Se())return!1;var t=Te();return t.getKind()===n.TokenKind.IDENTIFIER&&t.stringValue().toLowerCase()===e.toLowerCase()}function Se(){return $<t.length}function we(){return $>=r?null:t[$++]}function Te(){return $>=r?null:t[$]}function xe(t,r,n,o){throw n&&(r+="\nExpected: "+n),o&&(r+="\nActual: "+o),{name:"InternalParseException",message:"Error occurred while attempting to parse expression '"+e+"' at position "+t+". Message: "+r}}function _e(e,t,r){!function(e,t){null===t&&xe(e.startPos,"LEFT_OPERAND_PROBLEM")}(e,t),Ce(e,r)}function Ce(e,t){null===t&&xe(e.startPos,"RIGHT_OPERAND_PROBLEM")}function Re(e){return(e.startPos<<16)+e.endPos}function Ie(e,t){return(e<<16)+t}return{setConfiguration:function(e){},parse:function(n,i){try{e=n,t=o.Tokenizer.tokenize(n),r=t.length,$=0,Y=[];var a=X();return Se()&&xe(Te().startPos,"MORE_INPUT",we().toString()),a}catch(e){throw e.message}}}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Tokenizer=void 0;var n=r(7),o=r(2),i=["DIV","EQ","GE","GT","LE","LT","MOD","NE","NOT"],a=[];!function(){var e;for(e="0".charCodeAt(0);e<="9".charCodeAt(0);e+=1)a[e]|=3;for(e="A".charCodeAt(0);e<="F".charCodeAt(0);e+=1)a[e]|=2;for(e="a".charCodeAt(0);e<="f".charCodeAt(0);e+=1)a[e]|=2;for(e="A".charCodeAt(0);e<="Z".charCodeAt(0);e+=1)a[e]|=4;for(e="a".charCodeAt(0);e<="z".charCodeAt(0);e+=1)a[e]|=4}(),t.Tokenizer={tokenize:function(e){var t=e,r=e+"\0",l=r.length,s=0,u=[];function c(){for(var e,i=s,a=!1;!a;)if("'"===(e=r[s+=1])&&("'"===r[s+1]?s+=1:a=!0),0===e.charCodeAt(0))throw{name:"SpelParseException",message:"Non-terminating quoted string in expression ("+t+") at position "+s};s+=1,u.push(new n.Token(o.TokenKind.LITERAL_STRING,m(i,s),i,s))}function d(){for(var e,i=s,a=!1;!a;)if('"'===(e=r[s+=1])&&('"'===r[s+1]?s+=1:a=!0),0===e.charCodeAt(0))throw{name:"SpelParseException",message:"Non-terminating double-quoted string in expression ("+t+") at position "+s};s+=1,u.push(new n.Token(o.TokenKind.LITERAL_STRING,m(i,s),i,s))}function p(e){var n,o,i,a=!1,l=s,u=r[s+1];if(!e||"x"!==u&&"X"!==u){do{s+=1}while(T(r[s]));if("."===(u=r[s])){a=!0,n=s;do{s+=1}while(T(r[s]));if(s===n+1)return void h(m(l,s=n),!1,l,s)}if(o=s,E("L","l")){if(a)throw{name:"SpelParseException",message:"Real cannot be long in expression ("+t+") at position "+s};h(m(l,o),!0,l,o),s+=1}else if(function(e){return"e"===e||"E"===e}(r[s])){a=!0,function(e){return"+"===e||"-"===e}(r[s+=1])&&(s+=1);do{s+=1}while(T(r[s]));i=!1,S(r[s])?(i=!0,o=s+=1):w(r[s])&&(o=s+=1),v(m(l,s),i,l,s)}else i=!1,S(u=r[s])?(a=!0,i=!0,o=s+=1):w(u)&&(a=!0,o=s+=1),a?v(m(l,o),i,l,o):h(m(l,o),!1,l,o)}else{s+=1;do{s+=1}while(_(r[s]));E("L","l")?(g(m(l+2,s),!0,l,s),s+=1):g(m(l+2,s),!1,l,s)}}function f(){var e,t,a,l=s;do{s+=1}while(x(a=r[s])||T(a)||"_"===a||"$"===a);e=m(l,s),(s-l==2||s-l==3)&&(t=e.toUpperCase(),i.indexOf(t)>=0)?function(e,t,r){u.push(new n.Token(e,r,t,t+e.getLength()))}(o.TokenKind.valueOf(t),l,e):u.push(new n.Token(o.TokenKind.IDENTIFIER,e.replace("\0",""),l,s))}function h(e,t,r,i){t?u.push(new n.Token(o.TokenKind.LITERAL_LONG,e,r,i)):u.push(new n.Token(o.TokenKind.LITERAL_INT,e,r,i))}function g(e,r,i,a){if(0===e.length)throw r?{name:"SpelParseException",message:"Not a long in expression ("+t+") at position "+s}:{name:"SpelParseException",message:"Not an int in expression ("+t+") at position "+s};r?u.push(new n.Token(o.TokenKind.LITERAL_HEXLONG,e,i,a)):u.push(new n.Token(o.TokenKind.LITERAL_HEXINT,e,i,a))}function v(e,t,r,i){t?u.push(new n.Token(o.TokenKind.LITERAL_REAL_FLOAT,e,r,i)):u.push(new n.Token(o.TokenKind.LITERAL_REAL,e,r,i))}function m(e,t){return r.substring(e,t)}function y(e){return 2===e.tokenChars.length&&r[s]===e.tokenChars[0]&&r[s+1]===e.tokenChars[1]}function b(e){u.push(new n.Token(e,null,s,s+1)),s+=1}function O(e){u.push(new n.Token(e,null,s,s+2)),s+=2}function E(e,t){var n=r[s];return n===e||n===t}function S(e){return"f"===e||"F"===e}function w(e){return"d"===e||"D"===e}function T(e){return!(e.charCodeAt(0)>255||!(1&a[e.charCodeAt(0)]))}function x(e){return!(e.charCodeAt(0)>255||!(4&a[e.charCodeAt(0)]))}function _(e){return!(e.charCodeAt(0)>255||!(2&a[e.charCodeAt(0)]))}return function(){for(var e;s<l;)if(x(e=r[s]))f();else switch(e){case"+":y(o.TokenKind.INC)?O(o.TokenKind.INC):b(o.TokenKind.PLUS);break;case"_":f();break;case"-":y(o.TokenKind.DEC)?O(o.TokenKind.DEC):b(o.TokenKind.MINUS);break;case":":b(o.TokenKind.COLON);break;case".":b(o.TokenKind.DOT);break;case",":b(o.TokenKind.COMMA);break;case"*":b(o.TokenKind.STAR);break;case"/":b(o.TokenKind.DIV);break;case"%":b(o.TokenKind.MOD);break;case"(":b(o.TokenKind.LPAREN);break;case")":b(o.TokenKind.RPAREN);break;case"[":b(o.TokenKind.LSQUARE);break;case"#":b(o.TokenKind.HASH);break;case"]":b(o.TokenKind.RSQUARE);break;case"{":b(o.TokenKind.LCURLY);break;case"}":b(o.TokenKind.RCURLY);break;case"@":b(o.TokenKind.BEAN_REF);break;case"^":y(o.TokenKind.SELECT_FIRST)?O(o.TokenKind.SELECT_FIRST):b(o.TokenKind.POWER);break;case"!":y(o.TokenKind.NE)?O(o.TokenKind.NE):y(o.TokenKind.PROJECT)?O(o.TokenKind.PROJECT):b(o.TokenKind.NOT);break;case"=":y(o.TokenKind.EQ)?O(o.TokenKind.EQ):b(o.TokenKind.ASSIGN);break;case"&":if(!y(o.TokenKind.SYMBOLIC_AND))throw{name:"SpelParseException",message:"Missing character '&' in expression ("+t+") at position "+s};O(o.TokenKind.SYMBOLIC_AND);break;case"|":if(!y(o.TokenKind.SYMBOLIC_OR))throw{name:"SpelParseException",message:"Missing character '|' in expression ("+t+") at position "+s};O(o.TokenKind.SYMBOLIC_OR);break;case"?":y(o.TokenKind.SELECT)?O(o.TokenKind.SELECT):y(o.TokenKind.ELVIS)?O(o.TokenKind.ELVIS):y(o.TokenKind.SAFE_NAVI)?O(o.TokenKind.SAFE_NAVI):b(o.TokenKind.QMARK);break;case"$":y(o.TokenKind.SELECT_LAST)?O(o.TokenKind.SELECT_LAST):f();break;case">":y(o.TokenKind.GE)?O(o.TokenKind.GE):b(o.TokenKind.GT);break;case"<":y(o.TokenKind.LE)?O(o.TokenKind.LE):b(o.TokenKind.LT);break;case"0":case"1":case"2":case"3":case"4":case"5":case"6":case"7":case"8":case"9":p("0"===e);break;case" ":case"\t":case"\r":case"\n":case"\0":s+=1;break;case"'":c();break;case'"':d();break;case"\\":throw{name:"SpelParseException",message:"Unexpected escape character in expression ("+t+") at position "+s};default:throw{name:"SpelParseException",message:"Cannot handle character '"+e+"' in expression ("+t+") at position "+s}}}(),u}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Token=void 0;var n=r(2);function o(e,t,r,n){this.kind=e,this.startPos=r,this.endPos=n,t&&(this.data=t)}o.prototype.getKind=function(){return this.kind},o.prototype.toString=function(){var e="[";return e+=this.kind.toString(),this.kind.hasPayload()&&(e+=":"+this.data),(e+="]")+"("+this.startPos+","+this.endPos+")"},o.prototype.isIdentifier=function(){return this.kind===n.TokenKind.IDENTIFIER},o.prototype.isNumericRelationalOperator=function(){return this.kind===n.TokenKind.GT||this.kind===n.TokenKind.GE||this.kind===n.TokenKind.LT||this.kind===n.TokenKind.LE||this.kind===n.TokenKind.EQ||this.kind===n.TokenKind.NE},o.prototype.stringValue=function(){return this.data},o.prototype.asInstanceOfToken=function(){return new o(n.TokenKind.INSTANCEOF,this.startPos,this.endPos)},o.prototype.asMatchesToken=function(){return new o(n.TokenKind.MATCHES,this.startPos,this.endPos)},o.prototype.asBetweenToken=function(){return new o(n.TokenKind.BETWEEN,this.startPos,this.endPos)},o.prototype.getStartPosition=function(){return this.startPos},o.prototype.getEndPosition=function(){return this.endPos},t.Token=o},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BooleanLiteral=void 0;var n=r(0);t.BooleanLiteral={create:function(e,t){var r=n.SpelNode.create("boolean",t);return r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NumberLiteral=void 0;var n=r(0);t.NumberLiteral={create:function(e,t){var r=n.SpelNode.create("number",t);return r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StringLiteral=void 0;var n=r(0);t.StringLiteral={create:function(e,t){var r=n.SpelNode.create("string",t);return e=function(e){return("'"===e[0]&&"'"===e[e.length-1]||'"'===e[0]&&'"'===e[e.length-1])&&(e=e.substring(1,e.length-1)),e.replace(/''/g,"'").replace(/""/g,'"')}(e),r.getValue=function(){return e},r.setValue=function(t){return e=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.NullLiteral=void 0;var n=r(0);t.NullLiteral={create:function(e,t){var r=n.SpelNode.create("null",t);return r.getValue=function(){return null},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.FunctionReference=void 0;var n=r(0),o=r(1);t.FunctionReference={create:function(e,t,r){var i=n.SpelNode.create("function",t);return i.getRaw=function(){return{functionName:e,args:r}},i.getValue=function(t){var n=t.locals||{},i=t.rootContext,a=[];if(r.forEach((function(e){var r=t.activeContext;t.activeContext=new o.Stack,t.activeContext.push(t.rootContext),a.push(e.getValue(t)),t.activeContext=r})),n[e])return n[e].apply(i,a);throw{name:"FunctionDoesNotExistException",message:"Function '"+e+"' does not exist."}},i}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MethodReference=void 0;var n=r(0),o=r(1);t.MethodReference={create:function(e,t,r,i){var a=n.SpelNode.create("method",r);return a.getRaw=function(){return{methodName:t,args:i}},a.getValue=function(r){var n,a=r.activeContext.peek(),l=[];if(!a)throw{name:"ContextDoesNotExistException",message:"Attempting to look up property '"+t+"' for an undefined context."};function s(r){if(null==r){if(e)return null;throw{name:"NullPointerException",message:"Method "+t+" does not exist."}}return r}if(i.forEach((function(e){var t=r.activeContext;r.activeContext=new o.Stack,r.activeContext.push(r.rootContext),l.push(e.getValue(r)),r.activeContext=t})),"get"===t.substr(0,3)&&!a[t])return s(a[t.charAt(3).toLowerCase()+t.substring(4)]);if("set"===t.substr(0,3)&&!a[t])return a[t.charAt(3).toLowerCase()+t.substring(4)]=l[0];if(Array.isArray(a)){if("size"===t)return a.length;if("contains"===t)return a.includes(l[0])}return(n=s(a[t]))?n.apply(a,l):null},a}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.PropertyReference=void 0;var n=r(0);t.PropertyReference={create:function(e,t,r){var o=n.SpelNode.create("property",r);return o.getRaw=function(){return t},o.getValue=function(r){var n=r.activeContext.peek();if(!n){if(e)return null;throw{name:"ContextDoesNotExistException",message:"Attempting to look up property '"+t+"' for an undefined context."}}if(void 0===n[t]||null===n[t]){if(e)return null;if("size"===t&&Array.isArray(n))return n.length;throw{name:"NullPointerException",message:"Property '"+t+"' does not exist."}}return n[t]},o.setValue=function(e,r){var n=r.activeContext.peek();if(!n)throw{name:"ContextDoesNotExistException",message:"Attempting to assign property '"+t+"' for an undefined context."};return n[t]=e},o.getName=function(){return t},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.VariableReference=void 0;var n=r(0);t.VariableReference={create:function(e,t){var r=n.SpelNode.create("variable",t);return r.getRaw=function(){return e},r.getValue=function(t){var r=t.activeContext.peek(),n=t.locals;if(!r)throw{name:"ContextDoesNotExistException",message:"Attempting to look up variable '"+e+"' for an undefined context."};return"this"===e?r:"root"===e?t.rootContext:n[e]},r.setValue=function(t,r){return r.locals[e]=t},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CompoundExpression=void 0;var n=r(0);t.CompoundExpression={create:function(e,t){var r=n.SpelNode.create.apply(null,["compound",e].concat(t));function o(e){var t,n=r.getChildren().length;for(t=0;t<n;t+=1)"indexer"===r.getChildren()[t].getType()?e.activeContext.push(e.activeContext.peek()[r.getChildren()[t].getValue(e)]):e.activeContext.push(r.getChildren()[t].getValue(e));return function(){for(t=0;t<n;t+=1)e.activeContext.pop()}}return r.getValue=function(e){var t;if(!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to evaluate compound expression with an undefined context."};var r=o(e);return t=e.activeContext.peek(),r(),t},r.setValue=function(e,t){var n=o(t),i=r.getChildren().length;return t.activeContext.pop(),e=r.getChildren()[i-1].setValue(e,t),t.activeContext.push(null),n(),e},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Indexer=void 0;var n=r(0),o=r(1);t.Indexer={create:function(e,t){var r=n.SpelNode.create.apply(null,["indexer",e].concat(t));return r.getValue=function(e){var t,n,i=e.activeContext,a=r.getChildren().length;if(e.activeContext=new o.Stack,e.activeContext.push(e.rootContext),!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to evaluate compound expression with an undefined context."};for(t=0;t<a;t+=1)e.activeContext.push(r.getChildren()[t].getValue(e));for(n=e.activeContext.peek(),t=0;t<a;t+=1)e.activeContext.pop();return e.activeContext=i,n},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Assign=void 0;var n=r(0);t.Assign={create:function(e,t,r){var o=n.SpelNode.create("assign",e,t,r);return o.getValue=function(e){if(!e.activeContext.peek())throw{name:"ContextDoesNotExistException",message:"Attempting to assign property '"+t.getValue(e)+"' for an undefined context."};return t.setValue(r.getValue(e),e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpEQ=void 0;var n=r(0);t.OpEQ={create:function(e,t,r){var o=n.SpelNode.create("op-eq",e,t,r);return o.getValue=function(e){return t.getValue(e)===r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpNE=void 0;var n=r(0);t.OpNE={create:function(e,t,r){var o=n.SpelNode.create("op-ne",e,t,r);return o.getValue=function(e){return t.getValue(e)!==r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpGE=void 0;var n=r(0);t.OpGE={create:function(e,t,r){var o=n.SpelNode.create("op-ge",e,t,r);return o.getValue=function(e){return t.getValue(e)>=r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpGT=void 0;var n=r(0);t.OpGT={create:function(e,t,r){var o=n.SpelNode.create("op-gt",e,t,r);return o.getValue=function(e){return t.getValue(e)>r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpLE=void 0;var n=r(0);t.OpLE={create:function(e,t,r){var o=n.SpelNode.create("op-le",e,t,r);return o.getValue=function(e){return t.getValue(e)<=r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpLT=void 0;var n=r(0);t.OpLT={create:function(e,t,r){var o=n.SpelNode.create("op-lt",e,t,r);return o.getValue=function(e){return t.getValue(e)<r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpPlus=void 0;var n=r(0);t.OpPlus={create:function(e,t,r){var o=n.SpelNode.create("op-plus",e,t,r);return o.getValue=function(e){return r?t.getValue(e)+r.getValue(e):+t.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMinus=void 0;var n=r(0);t.OpMinus={create:function(e,t,r){var o=n.SpelNode.create("op-minus",e,t,r);return o.getValue=function(e){return r?t.getValue(e)-r.getValue(e):-t.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMultiply=void 0;var n=r(0);t.OpMultiply={create:function(e,t,r){var o=n.SpelNode.create("op-multiply",e,t,r);return o.getValue=function(e){var n=t.getValue(e),o=r.getValue(e);if("number"==typeof n&&"number"==typeof o)return n*o;if("string"==typeof n&&"number"==typeof o){for(var i="",a=0;a<o;a+=1)i+=n;return i}return null},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpDivide=void 0;var n=r(0);t.OpDivide={create:function(e,t,r){var o=n.SpelNode.create("op-divide",e,t,r);return o.getValue=function(e){return t.getValue(e)/r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpModulus=void 0;var n=r(0);t.OpModulus={create:function(e,t,r){var o=n.SpelNode.create("op-modulus",e,t,r);return o.getValue=function(e){return t.getValue(e)%r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpPower=void 0;var n=r(0);t.OpPower={create:function(e,t,r){var o=n.SpelNode.create("op-power",e,t,r);return o.getValue=function(e){return Math.pow(t.getValue(e),r.getValue(e))},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpInc=void 0;var n=r(0);t.OpInc={create:function(e,t,r){var o=n.SpelNode.create("op-inc",e,r);return o.getValue=function(e){var n=r.getValue(e);return r.setValue(n+1,e),t?n:n+1},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpDec=void 0;var n=r(0);t.OpDec={create:function(e,t,r){var o=n.SpelNode.create("op-dec",e,r);return o.getValue=function(e){var n=r.getValue(e);return r.setValue(n-1,e),t?n:n-1},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpNot=void 0;var n=r(0);t.OpNot={create:function(e,t){var r=n.SpelNode.create("op-not",e,t);return r.getValue=function(e){return!t.getValue(e)},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpAnd=void 0;var n=r(0);t.OpAnd={create:function(e,t,r){var o=n.SpelNode.create("op-and",e,t,r);return o.getValue=function(e){return!!t.getValue(e)&&!!r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpOr=void 0;var n=r(0);t.OpOr={create:function(e,t,r){var o=n.SpelNode.create("op-or",e,t,r);return o.getValue=function(e){return!!t.getValue(e)||!!r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpMatches=void 0;var n=r(0);t.OpMatches={create:function(e,t,r){var o=n.SpelNode.create("matches",e,t,r);return o.getValue=function(e){var n=t.getValue(e),o=r.getValue(e);try{return!!new RegExp(o).exec(n)}catch(e){throw{name:"EvaluationException",message:e.toString()}}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Ternary=void 0;var n=r(0);t.Ternary={create:function(e,t,r,o){var i=n.SpelNode.create("ternary",e,t,r,o);return i.getValue=function(e){return t.getValue(e)?r.getValue(e):o.getValue(e)},i}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Elvis=void 0;var n=r(0);t.Elvis={create:function(e,t,r){var o=n.SpelNode.create("elvis",e,t,r);return o.getValue=function(e){return null!==t.getValue(e)?t.getValue(e):r.getValue(e)},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InlineList=void 0;var n=r(0);t.InlineList={create:function(e,t){var r=n.SpelNode.create("list",e),o=[].concat(t||[]);return r.getRaw=function(){return o},r.getValue=function(e){return o.map((function(t){return t.getValue(e)}))},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InlineMap=void 0;var n=r(0);t.InlineMap={create:function(e,t){var r=n.SpelNode.create("map",e),o=[].concat(t||[]);return r.getValue=function(e){var t=!0,r=null,n={};return o.forEach((function(o){t?r="property"===o.getType()?o.getName():o.getValue(e):n[r]=o.getValue(e),t=!t})),n},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Selection=void 0;var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(0);function i(e,t,r){var n;return r.activeContext.push(e),n=t.getValue(r),r.activeContext.pop(),n}t.Selection={create:function(e,t,r,a){var l=o.SpelNode.create("selection",r,a);return l.getValue=function(e){var r=e.activeContext.peek();if(r){if(Array.isArray(r))return function(e,t,r,n){var o=e.filter((function(e){return i(e,r,n)}));switch(t){case"ALL":return o;case"FIRST":return o[0]||null;case"LAST":return o.length?o[o.length-1]:null}}(r,t,a,e);if("object"===(void 0===r?"undefined":n(r)))return function(e,t,r,n){var o,a,l={},s=[],u={};for(a in e)e.hasOwnProperty(a)&&i(o={key:a,value:e[a]},r,n)&&s.push(o);switch(t){case"ALL":return s.forEach((function(e){l[e.key]=e.value})),l;case"FIRST":return s.length?(u[s[0].key]=s[0].value,u):null;case"LAST":return s.length?(u[s[s.length-1].key]=s[s.length-1].value,u):null}s.forEach((function(e){l[e.key]=e.value}))}(r,t,a,e)}return null},l},FIRST:"FIRST",LAST:"LAST",ALL:"ALL"}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Projection=void 0;var n="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},o=r(0);function i(e,t,r){return e.map((function(e){var n;return r.activeContext.push(e),n=t.getValue(r),r.activeContext.pop(),n}))}t.Projection={create:function(e,t,r){var a=o.SpelNode.create("projection",t,r);return a.getValue=function(e){var t,o=e.activeContext.peek(),a=[];if(Array.isArray(o))return i(o,r,e);if("object"===(void 0===o?"undefined":n(o))){for(t in o)o.hasOwnProperty(t)&&a.push(o[t]);return i(a,r,e)}return null},a}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpInstanceof=void 0;var n=r(0);t.OpInstanceof={create:function(e,t,r){var o=n.SpelNode.create("instanceof",e,t,r);return o.getValue=function(e){throw{name:"MethodNotImplementedException",message:"OpInstanceOf: Not implemented"}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.OpBetween=void 0;var n=r(0);t.OpBetween={create:function(e,t,r){var o=n.SpelNode.create("between",e,t,r);return o.getValue=function(e){throw{name:"MethodNotImplementedException",message:"OpBetween: Not implemented"}},o}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.TypeReference=void 0;var n=r(0);t.TypeReference={create:function(e,t,r){return(t=n.SpelNode.create("typeref",e,t)).getValue=function(e){throw{name:"MethodNotImplementedException",message:"TypeReference: Not implemented"}},t}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.BeanReference=void 0;var n=r(0);t.BeanReference={create:function(e,t){var r=n.SpelNode.create("beanref",e);return r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"BeanReference: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Identifier=void 0;var n=r(0);t.Identifier={create:function(e,t){var r=n.SpelNode.create("identifier",t);return r.getRaw=function(){return e},r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"Identifier: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.QualifiedIdentifier=void 0;var n=r(0);t.QualifiedIdentifier={create:function(e,t){var r=n.SpelNode.create.apply(n.SpelNode,["qualifiedidentifier",e].concat(function(e){if(Array.isArray(e)){for(var t=0,r=Array(e.length);t<e.length;t++)r[t]=e[t];return r}return Array.from(e)}(t)));return r.getRaw=function(){return t.map((function(e){return e.getRaw()}))},r.getValue=function(e){throw{name:"MethodNotImplementedException",message:"QualifiedIdentifier: Not implemented"}},r}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ConstructorReference=void 0;var n=r(0),o=r(1);t.ConstructorReference={create:function(e,t,r){var i,a=void 0!==r;a?i=t.length&&t[0]&&"number"===t[0].getType()?t[0].getValue():null:(r=t,t=void 0);var l,s=(l=r,Array.isArray(l)?l:Array.from(l)),u=(s[0],s.slice(1)),c=n.SpelNode.create.apply(n.SpelNode,["constructorref",e].concat(function(e){if(Array.isArray(e)){for(var t=0,r=Array(e.length);t<e.length;t++)r[t]=e[t];return r}return Array.from(e)}(r)));return c.getRaw=function(){return i},c.getValue=function(e){if(a&&u.length<=1){var t=[];return u.forEach((function(r){var n=e.activeContext;e.activeContext=new o.Stack,e.activeContext.push(e.rootContext),t.push(r.getValue(e)),e.activeContext=n})),1===u.length?t[0]:i?new Array(i):[]}throw{name:"MethodNotImplementedException",message:"ConstructorReference: Not implemented"}},c}}},function(e,t,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.StandardContext={create:function(e,t){var r={};return r.authentication=e||{},r.principal=t||{},r.hasRole=function(e){var t=!1;return!!e&&!(!r.authentication&&!Array.isArray(r.authentication.authorities))&&(r.authentication.authorities.forEach((function(r){r.authority.toLowerCase()===e.toLowerCase()&&(t=!0)})),t)},r.hasPermission=function(){var e=Array.prototype.slice.call(arguments);if(1===e.length)return r.hasRole(e[0])},r}}}])},e.exports=t()},9157:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=s(r(1283)),o=s(r(1025)),i=s(r(2520)),a=s(r(9137)),l=s(r(9429));function s(e){return e&&e.__esModule?e:{default:e}}function u(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var c=function(e){return e.replace(/[\t ]+$/,"")},d=function(){function e(t,r,n){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t||{},this.indentation=new i.default(this.cfg.indent),this.inlineBlock=new a.default,this.params=new l.default(this.cfg.params),this.tokenizer=r,this.tokenOverride=n,this.previousReservedWord={},this.tokens=[],this.index=0}var t,r;return t=e,r=[{key:"format",value:function(e){return this.tokens=this.tokenizer.tokenize(e),this.getFormattedQueryFromTokens().trim()}},{key:"getFormattedQueryFromTokens",value:function(){var e=this,t="";return this.tokens.forEach((function(r,n){e.index=n,e.tokenOverride&&(r=e.tokenOverride(r,e.previousReservedWord)||r),r.type===o.default.WHITESPACE||(r.type===o.default.LINE_COMMENT?t=e.formatLineComment(r,t):r.type===o.default.BLOCK_COMMENT?t=e.formatBlockComment(r,t):r.type===o.default.RESERVED_TOP_LEVEL?(t=e.formatTopLevelReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_TOP_LEVEL_NO_INDENT?(t=e.formatTopLevelReservedWordNoIndent(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED_NEWLINE?(t=e.formatNewlineReservedWord(r,t),e.previousReservedWord=r):r.type===o.default.RESERVED?(t=e.formatWithSpaces(r,t),e.previousReservedWord=r):t=r.type===o.default.OPEN_PAREN?e.formatOpeningParentheses(r,t):r.type===o.default.CLOSE_PAREN?e.formatClosingParentheses(r,t):r.type===o.default.PLACEHOLDER?e.formatPlaceholder(r,t):","===r.value?e.formatComma(r,t):":"===r.value?e.formatWithSpaceAfter(r,t):"."===r.value?e.formatWithoutSpaces(r,t):";"===r.value?e.formatQuerySeparator(r,t):e.formatWithSpaces(r,t))})),t}},{key:"formatLineComment",value:function(e,t){return this.addNewline(t+e.value)}},{key:"formatBlockComment",value:function(e,t){return this.addNewline(this.addNewline(t)+this.indentComment(e.value))}},{key:"indentComment",value:function(e){return e.replace(/\n[\t ]*/g,"\n"+this.indentation.getIndent()+" ")}},{key:"formatTopLevelReservedWordNoIndent",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatTopLevelReservedWord",value:function(e,t){return this.indentation.decreaseTopLevel(),t=this.addNewline(t),this.indentation.increaseTopLevel(),t+=this.equalizeWhitespace(this.formatReservedWord(e.value)),this.addNewline(t)}},{key:"formatNewlineReservedWord",value:function(e,t){return this.addNewline(t)+this.equalizeWhitespace(this.formatReservedWord(e.value))+" "}},{key:"equalizeWhitespace",value:function(e){return e.replace(/[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+/g," ")}},{key:"formatOpeningParentheses",value:function(e,t){var r=[o.default.WHITESPACE,o.default.OPEN_PAREN,o.default.LINE_COMMENT];return(0,n.default)(r,this.previousToken().type)||(t=c(t)),t+=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.beginIfPossible(this.tokens,this.index),this.inlineBlock.isActive()||(this.indentation.increaseBlockLevel(),t=this.addNewline(t)),t}},{key:"formatClosingParentheses",value:function(e,t){return e.value=this.cfg.uppercase?e.value.toUpperCase():e.value,this.inlineBlock.isActive()?(this.inlineBlock.end(),this.formatWithSpaceAfter(e,t)):(this.indentation.decreaseBlockLevel(),this.formatWithSpaces(e,this.addNewline(t)))}},{key:"formatPlaceholder",value:function(e,t){return t+this.params.get(e)+" "}},{key:"formatComma",value:function(e,t){return t=c(t)+e.value+" ",this.inlineBlock.isActive()||/^LIMIT$/i.test(this.previousReservedWord.value)?t:this.addNewline(t)}},{key:"formatWithSpaceAfter",value:function(e,t){return c(t)+e.value+" "}},{key:"formatWithoutSpaces",value:function(e,t){return c(t)+e.value}},{key:"formatWithSpaces",value:function(e,t){return t+("reserved"===e.type?this.formatReservedWord(e.value):e.value)+" "}},{key:"formatReservedWord",value:function(e){return this.cfg.uppercase?e.toUpperCase():e}},{key:"formatQuerySeparator",value:function(e,t){return this.indentation.resetIndentation(),c(t)+e.value+"\n".repeat(this.cfg.linesBetweenQueries||1)}},{key:"addNewline",value:function(e){return(e=c(e)).endsWith("\n")||(e+="\n"),e+this.indentation.getIndent()}},{key:"previousToken",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:1;return this.tokens[this.index-e]||{}}}],r&&u(t.prototype,r),e}();t.default=d,e.exports=t.default},2520:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9901)),o=i(r(8906));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l="top-level",s=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.indent=t||"  ",this.indentTypes=[]}var t,r;return t=e,(r=[{key:"getIndent",value:function(){return(0,n.default)(this.indent,this.indentTypes.length)}},{key:"increaseTopLevel",value:function(){this.indentTypes.push(l)}},{key:"increaseBlockLevel",value:function(){this.indentTypes.push("block-level")}},{key:"decreaseTopLevel",value:function(){(0,o.default)(this.indentTypes)===l&&this.indentTypes.pop()}},{key:"decreaseBlockLevel",value:function(){for(;this.indentTypes.length>0&&this.indentTypes.pop()===l;);}},{key:"resetIndentation",value:function(){this.indentTypes=[]}}])&&a(t.prototype,r),e}();t.default=s,e.exports=t.default},9137:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n,o=(n=r(1025))&&n.__esModule?n:{default:n};function i(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var a=function(){function e(){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.level=0}var t,r;return t=e,(r=[{key:"beginIfPossible",value:function(e,t){0===this.level&&this.isInlineBlock(e,t)?this.level=1:this.level>0?this.level++:this.level=0}},{key:"end",value:function(){this.level--}},{key:"isActive",value:function(){return this.level>0}},{key:"isInlineBlock",value:function(e,t){for(var r=0,n=0,i=t;i<e.length;i++){var a=e[i];if((r+=a.value.length)>50)return!1;if(a.type===o.default.OPEN_PAREN)n++;else if(a.type===o.default.CLOSE_PAREN&&0==--n)return!0;if(this.isForbiddenToken(a))return!1}return!1}},{key:"isForbiddenToken",value:function(e){var t=e.type,r=e.value;return t===o.default.RESERVED_TOP_LEVEL||t===o.default.RESERVED_NEWLINE||t===o.default.COMMENT||t===o.default.BLOCK_COMMENT||";"===r}}])&&i(t.prototype,r),e}();t.default=a,e.exports=t.default},9429:(e,t)=>{"use strict";function r(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.params=t,this.index=0}var t,n;return t=e,(n=[{key:"get",value:function(e){var t=e.key,r=e.value;return this.params?t?this.params[t]:this.params[this.index++]:r}}])&&r(t.prototype,n),e}();t.default=n,e.exports=t.default},3202:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(7969)),o=a(r(8472)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function l(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.WHITESPACE_REGEX=/^([\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]+)/,this.NUMBER_REGEX=/^((\x2D[\t-\r \xA0\u1680\u2000-\u200A\u2028\u2029\u202F\u205F\u3000\uFEFF]*)?[0-9]+(\.[0-9]+)?|0x[0-9A-Fa-f]+|0b[01]+)\b/,this.OPERATOR_REGEX=/^(!=|<>|==|<=|>=|!<|!>|\|\||::|\x2D>>|\x2D>|~~\*|~~|!~~\*|!~~|~\*|!~\*|!~|:=|(?:[\0-\t\x0B\f\x0E-\u2027\u202A-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF]))/,this.BLOCK_COMMENT_REGEX=/^(\/\*(?:[\0-\uD7FF\uE000-\uFFFF]|[\uD800-\uDBFF][\uDC00-\uDFFF]|[\uD800-\uDBFF](?![\uDC00-\uDFFF])|(?:[^\uD800-\uDBFF]|^)[\uDC00-\uDFFF])*?(?:\*\/|$))/,this.LINE_COMMENT_REGEX=this.createLineCommentRegex(t.lineCommentTypes),this.RESERVED_TOP_LEVEL_REGEX=this.createReservedWordRegex(t.reservedTopLevelWords),this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX=this.createReservedWordRegex(t.reservedTopLevelWordsNoIndent),this.RESERVED_NEWLINE_REGEX=this.createReservedWordRegex(t.reservedNewlineWords),this.RESERVED_PLAIN_REGEX=this.createReservedWordRegex(t.reservedWords),this.WORD_REGEX=this.createWordRegex(t.specialWordChars),this.STRING_REGEX=this.createStringRegex(t.stringTypes),this.OPEN_PAREN_REGEX=this.createParenRegex(t.openParens),this.CLOSE_PAREN_REGEX=this.createParenRegex(t.closeParens),this.INDEXED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.indexedPlaceholderTypes,"[0-9]*"),this.IDENT_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,"[a-zA-Z0-9._$]+"),this.STRING_NAMED_PLACEHOLDER_REGEX=this.createPlaceholderRegex(t.namedPlaceholderTypes,this.createStringPattern(t.stringTypes))}var t,r;return t=e,r=[{key:"createLineCommentRegex",value:function(e){return new RegExp("^((?:".concat(e.map((function(e){return(0,o.default)(e)})).join("|"),").*?(?:\r\n|\r|\n|$))"),"u")}},{key:"createReservedWordRegex",value:function(e){var t=e.join("|").replace(/ /g,"\\s+");return new RegExp("^(".concat(t,")\\b"),"iu")}},{key:"createWordRegex",value:function(){return new RegExp("^([\\p{Alphabetic}\\p{Mark}\\p{Decimal_Number}\\p{Connector_Punctuation}\\p{Join_Control}".concat((arguments.length>0&&void 0!==arguments[0]?arguments[0]:[]).join(""),"]+)"),"u")}},{key:"createStringRegex",value:function(e){return new RegExp("^("+this.createStringPattern(e)+")","u")}},{key:"createStringPattern",value:function(e){var t={"``":"((`[^`]*($|`))+)","[]":"((\\[[^\\]]*($|\\]))(\\][^\\]]*($|\\]))*)",'""':'(("[^"\\\\]*(?:\\\\.[^"\\\\]*)*("|$))+)',"''":"(('[^'\\\\]*(?:\\\\.[^'\\\\]*)*('|$))+)","N''":"((N'[^N'\\\\]*(?:\\\\.[^N'\\\\]*)*('|$))+)"};return e.map((function(e){return t[e]})).join("|")}},{key:"createParenRegex",value:function(e){var t=this;return new RegExp("^("+e.map((function(e){return t.escapeParen(e)})).join("|")+")","iu")}},{key:"escapeParen",value:function(e){return 1===e.length?(0,o.default)(e):"\\b"+e+"\\b"}},{key:"createPlaceholderRegex",value:function(e,t){if((0,n.default)(e))return!1;var r=e.map(o.default).join("|");return new RegExp("^((?:".concat(r,")(?:").concat(t,"))"),"u")}},{key:"tokenize",value:function(e){if(!e)return[];for(var t,r=[];e.length;)t=this.getNextToken(e,t),e=e.substring(t.value.length),r.push(t);return r}},{key:"getNextToken",value:function(e,t){return this.getWhitespaceToken(e)||this.getCommentToken(e)||this.getStringToken(e)||this.getOpenParenToken(e)||this.getCloseParenToken(e)||this.getPlaceholderToken(e)||this.getNumberToken(e)||this.getReservedWordToken(e,t)||this.getWordToken(e)||this.getOperatorToken(e)}},{key:"getWhitespaceToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WHITESPACE,regex:this.WHITESPACE_REGEX})}},{key:"getCommentToken",value:function(e){return this.getLineCommentToken(e)||this.getBlockCommentToken(e)}},{key:"getLineCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.LINE_COMMENT,regex:this.LINE_COMMENT_REGEX})}},{key:"getBlockCommentToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.BLOCK_COMMENT,regex:this.BLOCK_COMMENT_REGEX})}},{key:"getStringToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.STRING,regex:this.STRING_REGEX})}},{key:"getOpenParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPEN_PAREN,regex:this.OPEN_PAREN_REGEX})}},{key:"getCloseParenToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.CLOSE_PAREN,regex:this.CLOSE_PAREN_REGEX})}},{key:"getPlaceholderToken",value:function(e){return this.getIdentNamedPlaceholderToken(e)||this.getStringNamedPlaceholderToken(e)||this.getIndexedPlaceholderToken(e)}},{key:"getIdentNamedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.IDENT_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getStringNamedPlaceholderToken",value:function(e){var t=this;return this.getPlaceholderTokenWithKey({input:e,regex:this.STRING_NAMED_PLACEHOLDER_REGEX,parseKey:function(e){return t.getEscapedPlaceholderKey({key:e.slice(2,-1),quoteChar:e.slice(-1)})}})}},{key:"getIndexedPlaceholderToken",value:function(e){return this.getPlaceholderTokenWithKey({input:e,regex:this.INDEXED_PLACEHOLDER_REGEX,parseKey:function(e){return e.slice(1)}})}},{key:"getPlaceholderTokenWithKey",value:function(e){var t=e.input,r=e.regex,n=e.parseKey,o=this.getTokenOnFirstMatch({input:t,regex:r,type:i.default.PLACEHOLDER});return o&&(o.key=n(o.value)),o}},{key:"getEscapedPlaceholderKey",value:function(e){var t=e.key,r=e.quoteChar;return t.replace(new RegExp((0,o.default)("\\"+r),"gu"),r)}},{key:"getNumberToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.NUMBER,regex:this.NUMBER_REGEX})}},{key:"getOperatorToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.OPERATOR,regex:this.OPERATOR_REGEX})}},{key:"getReservedWordToken",value:function(e,t){if(!t||!t.value||"."!==t.value)return this.getTopLevelReservedToken(e)||this.getNewlineReservedToken(e)||this.getTopLevelReservedTokenNoIndent(e)||this.getPlainReservedToken(e)}},{key:"getTopLevelReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL,regex:this.RESERVED_TOP_LEVEL_REGEX})}},{key:"getNewlineReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_NEWLINE,regex:this.RESERVED_NEWLINE_REGEX})}},{key:"getTopLevelReservedTokenNoIndent",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED_TOP_LEVEL_NO_INDENT,regex:this.RESERVED_TOP_LEVEL_NO_INDENT_REGEX})}},{key:"getPlainReservedToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.RESERVED,regex:this.RESERVED_PLAIN_REGEX})}},{key:"getWordToken",value:function(e){return this.getTokenOnFirstMatch({input:e,type:i.default.WORD,regex:this.WORD_REGEX})}},{key:"getTokenOnFirstMatch",value:function(e){var t=e.input,r=e.type,n=e.regex,o=t.match(n);if(o)return{type:r,value:o[1]}}}],r&&l(t.prototype,r),e}();t.default=s,e.exports=t.default},1025:(e,t)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0,t.default={WHITESPACE:"whitespace",WORD:"word",STRING:"string",RESERVED:"reserved",RESERVED_TOP_LEVEL:"reserved-top-level",RESERVED_TOP_LEVEL_NO_INDENT:"reserved-top-level-no-indent",RESERVED_NEWLINE:"reserved-newline",OPERATOR:"operator",OPEN_PAREN:"open-paren",CLOSE_PAREN:"close-paren",LINE_COMMENT:"line-comment",BLOCK_COMMENT:"block-comment",NUMBER:"number",PLACEHOLDER:"placeholder"},e.exports=t.default},4377:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ABS","ACTIVATE","ALIAS","ALL","ALLOCATE","ALLOW","ALTER","ANY","ARE","ARRAY","AS","ASC","ASENSITIVE","ASSOCIATE","ASUTIME","ASYMMETRIC","AT","ATOMIC","ATTRIBUTES","AUDIT","AUTHORIZATION","AUX","AUXILIARY","AVG","BEFORE","BEGIN","BETWEEN","BIGINT","BINARY","BLOB","BOOLEAN","BOTH","BUFFERPOOL","BY","CACHE","CALL","CALLED","CAPTURE","CARDINALITY","CASCADED","CASE","CAST","CCSID","CEIL","CEILING","CHAR","CHARACTER","CHARACTER_LENGTH","CHAR_LENGTH","CHECK","CLOB","CLONE","CLOSE","CLUSTER","COALESCE","COLLATE","COLLECT","COLLECTION","COLLID","COLUMN","COMMENT","COMMIT","CONCAT","CONDITION","CONNECT","CONNECTION","CONSTRAINT","CONTAINS","CONTINUE","CONVERT","CORR","CORRESPONDING","COUNT","COUNT_BIG","COVAR_POP","COVAR_SAMP","CREATE","CROSS","CUBE","CUME_DIST","CURRENT","CURRENT_DATE","CURRENT_DEFAULT_TRANSFORM_GROUP","CURRENT_LC_CTYPE","CURRENT_PATH","CURRENT_ROLE","CURRENT_SCHEMA","CURRENT_SERVER","CURRENT_TIME","CURRENT_TIMESTAMP","CURRENT_TIMEZONE","CURRENT_TRANSFORM_GROUP_FOR_TYPE","CURRENT_USER","CURSOR","CYCLE","DATA","DATABASE","DATAPARTITIONNAME","DATAPARTITIONNUM","DATE","DAY","DAYS","DB2GENERAL","DB2GENRL","DB2SQL","DBINFO","DBPARTITIONNAME","DBPARTITIONNUM","DEALLOCATE","DEC","DECIMAL","DECLARE","DEFAULT","DEFAULTS","DEFINITION","DELETE","DENSERANK","DENSE_RANK","DEREF","DESCRIBE","DESCRIPTOR","DETERMINISTIC","DIAGNOSTICS","DISABLE","DISALLOW","DISCONNECT","DISTINCT","DO","DOCUMENT","DOUBLE","DROP","DSSIZE","DYNAMIC","EACH","EDITPROC","ELEMENT","ELSE","ELSEIF","ENABLE","ENCODING","ENCRYPTION","END","END-EXEC","ENDING","ERASE","ESCAPE","EVERY","EXCEPTION","EXCLUDING","EXCLUSIVE","EXEC","EXECUTE","EXISTS","EXIT","EXP","EXPLAIN","EXTENDED","EXTERNAL","EXTRACT","FALSE","FENCED","FETCH","FIELDPROC","FILE","FILTER","FINAL","FIRST","FLOAT","FLOOR","FOR","FOREIGN","FREE","FULL","FUNCTION","FUSION","GENERAL","GENERATED","GET","GLOBAL","GOTO","GRANT","GRAPHIC","GROUP","GROUPING","HANDLER","HASH","HASHED_VALUE","HINT","HOLD","HOUR","HOURS","IDENTITY","IF","IMMEDIATE","IN","INCLUDING","INCLUSIVE","INCREMENT","INDEX","INDICATOR","INDICATORS","INF","INFINITY","INHERIT","INNER","INOUT","INSENSITIVE","INSERT","INT","INTEGER","INTEGRITY","INTERSECTION","INTERVAL","INTO","IS","ISOBID","ISOLATION","ITERATE","JAR","JAVA","KEEP","KEY","LABEL","LANGUAGE","LARGE","LATERAL","LC_CTYPE","LEADING","LEAVE","LEFT","LIKE","LINKTYPE","LN","LOCAL","LOCALDATE","LOCALE","LOCALTIME","LOCALTIMESTAMP","LOCATOR","LOCATORS","LOCK","LOCKMAX","LOCKSIZE","LONG","LOOP","LOWER","MAINTAINED","MATCH","MATERIALIZED","MAX","MAXVALUE","MEMBER","MERGE","METHOD","MICROSECOND","MICROSECONDS","MIN","MINUTE","MINUTES","MINVALUE","MOD","MODE","MODIFIES","MODULE","MONTH","MONTHS","MULTISET","NAN","NATIONAL","NATURAL","NCHAR","NCLOB","NEW","NEW_TABLE","NEXTVAL","NO","NOCACHE","NOCYCLE","NODENAME","NODENUMBER","NOMAXVALUE","NOMINVALUE","NONE","NOORDER","NORMALIZE","NORMALIZED","NOT","NULL","NULLIF","NULLS","NUMERIC","NUMPARTS","OBID","OCTET_LENGTH","OF","OFFSET","OLD","OLD_TABLE","ON","ONLY","OPEN","OPTIMIZATION","OPTIMIZE","OPTION","ORDER","OUT","OUTER","OVER","OVERLAPS","OVERLAY","OVERRIDING","PACKAGE","PADDED","PAGESIZE","PARAMETER","PART","PARTITION","PARTITIONED","PARTITIONING","PARTITIONS","PASSWORD","PATH","PERCENTILE_CONT","PERCENTILE_DISC","PERCENT_RANK","PIECESIZE","PLAN","POSITION","POWER","PRECISION","PREPARE","PREVVAL","PRIMARY","PRIQTY","PRIVILEGES","PROCEDURE","PROGRAM","PSID","PUBLIC","QUERY","QUERYNO","RANGE","RANK","READ","READS","REAL","RECOVERY","RECURSIVE","REF","REFERENCES","REFERENCING","REFRESH","REGR_AVGX","REGR_AVGY","REGR_COUNT","REGR_INTERCEPT","REGR_R2","REGR_SLOPE","REGR_SXX","REGR_SXY","REGR_SYY","RELEASE","RENAME","REPEAT","RESET","RESIGNAL","RESTART","RESTRICT","RESULT","RESULT_SET_LOCATOR","RETURN","RETURNS","REVOKE","RIGHT","ROLE","ROLLBACK","ROLLUP","ROUND_CEILING","ROUND_DOWN","ROUND_FLOOR","ROUND_HALF_DOWN","ROUND_HALF_EVEN","ROUND_HALF_UP","ROUND_UP","ROUTINE","ROW","ROWNUMBER","ROWS","ROWSET","ROW_NUMBER","RRN","RUN","SAVEPOINT","SCHEMA","SCOPE","SCRATCHPAD","SCROLL","SEARCH","SECOND","SECONDS","SECQTY","SECURITY","SENSITIVE","SEQUENCE","SESSION","SESSION_USER","SIGNAL","SIMILAR","SIMPLE","SMALLINT","SNAN","SOME","SOURCE","SPECIFIC","SPECIFICTYPE","SQL","SQLEXCEPTION","SQLID","SQLSTATE","SQLWARNING","SQRT","STACKED","STANDARD","START","STARTING","STATEMENT","STATIC","STATMENT","STAY","STDDEV_POP","STDDEV_SAMP","STOGROUP","STORES","STYLE","SUBMULTISET","SUBSTRING","SUM","SUMMARY","SYMMETRIC","SYNONYM","SYSFUN","SYSIBM","SYSPROC","SYSTEM","SYSTEM_USER","TABLE","TABLESAMPLE","TABLESPACE","THEN","TIME","TIMESTAMP","TIMEZONE_HOUR","TIMEZONE_MINUTE","TO","TRAILING","TRANSACTION","TRANSLATE","TRANSLATION","TREAT","TRIGGER","TRIM","TRUE","TRUNCATE","TYPE","UESCAPE","UNDO","UNIQUE","UNKNOWN","UNNEST","UNTIL","UPPER","USAGE","USER","USING","VALIDPROC","VALUE","VARCHAR","VARIABLE","VARIANT","VARYING","VAR_POP","VAR_SAMP","VCAT","VERSION","VIEW","VOLATILE","VOLUMES","WHEN","WHENEVER","WHILE","WIDTH_BUCKET","WINDOW","WITH","WITHIN","WITHOUT","WLM","WRITE","XMLELEMENT","XMLEXISTS","XMLNAMESPACES","YEAR","YEARS"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INTERSECT","LIMIT","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS JOIN","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``","[]"],openParens:["("],closeParens:[")"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["#","@"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},9445:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ALL","ALTER","ANALYZE","AND","ANY","ARRAY","AS","ASC","BEGIN","BETWEEN","BINARY","BOOLEAN","BREAK","BUCKET","BUILD","BY","CALL","CASE","CAST","CLUSTER","COLLATE","COLLECTION","COMMIT","CONNECT","CONTINUE","CORRELATE","COVER","CREATE","DATABASE","DATASET","DATASTORE","DECLARE","DECREMENT","DELETE","DERIVED","DESC","DESCRIBE","DISTINCT","DO","DROP","EACH","ELEMENT","ELSE","END","EVERY","EXCEPT","EXCLUDE","EXECUTE","EXISTS","EXPLAIN","FALSE","FETCH","FIRST","FLATTEN","FOR","FORCE","FROM","FUNCTION","GRANT","GROUP","GSI","HAVING","IF","IGNORE","ILIKE","IN","INCLUDE","INCREMENT","INDEX","INFER","INLINE","INNER","INSERT","INTERSECT","INTO","IS","JOIN","KEY","KEYS","KEYSPACE","KNOWN","LAST","LEFT","LET","LETTING","LIKE","LIMIT","LSM","MAP","MAPPING","MATCHED","MATERIALIZED","MERGE","MISSING","NAMESPACE","NEST","NOT","NULL","NUMBER","OBJECT","OFFSET","ON","OPTION","OR","ORDER","OUTER","OVER","PARSE","PARTITION","PASSWORD","PATH","POOL","PREPARE","PRIMARY","PRIVATE","PRIVILEGE","PROCEDURE","PUBLIC","RAW","REALM","REDUCE","RENAME","RETURN","RETURNING","REVOKE","RIGHT","ROLE","ROLLBACK","SATISFIES","SCHEMA","SELECT","SELF","SEMI","SET","SHOW","SOME","START","STATISTICS","STRING","SYSTEM","THEN","TO","TRANSACTION","TRIGGER","TRUE","TRUNCATE","UNDER","UNION","UNIQUE","UNKNOWN","UNNEST","UNSET","UPDATE","UPSERT","USE","USER","USING","VALIDATE","VALUE","VALUED","VALUES","VIA","VIEW","WHEN","WHERE","WHILE","WITH","WITHIN","WORK","XOR"],u=["DELETE FROM","EXCEPT ALL","EXCEPT","EXPLAIN DELETE FROM","EXPLAIN UPDATE","EXPLAIN UPSERT","FROM","GROUP BY","HAVING","INFER","INSERT INTO","LET","LIMIT","MERGE","NEST","ORDER BY","PREPARE","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UNNEST","UPDATE","UPSERT","USE KEYS","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"''","``"],openParens:["(","[","{"],closeParens:[")","]","}"],namedPlaceholderTypes:["$"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},7881:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=a(r(9157)),o=a(r(3202)),i=a(r(1025));function a(e){return e&&e.__esModule?e:{default:e}}function l(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var s,u=["A","ACCESSIBLE","AGENT","AGGREGATE","ALL","ALTER","ANY","ARRAY","AS","ASC","AT","ATTRIBUTE","AUTHID","AVG","BETWEEN","BFILE_BASE","BINARY_INTEGER","BINARY","BLOB_BASE","BLOCK","BODY","BOOLEAN","BOTH","BOUND","BREADTH","BULK","BY","BYTE","C","CALL","CALLING","CASCADE","CASE","CHAR_BASE","CHAR","CHARACTER","CHARSET","CHARSETFORM","CHARSETID","CHECK","CLOB_BASE","CLONE","CLOSE","CLUSTER","CLUSTERS","COALESCE","COLAUTH","COLLECT","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPILED","COMPRESS","CONNECT","CONSTANT","CONSTRUCTOR","CONTEXT","CONTINUE","CONVERT","COUNT","CRASH","CREATE","CREDENTIAL","CURRENT","CURRVAL","CURSOR","CUSTOMDATUM","DANGLING","DATA","DATE_BASE","DATE","DAY","DECIMAL","DEFAULT","DEFINE","DELETE","DEPTH","DESC","DETERMINISTIC","DIRECTORY","DISTINCT","DO","DOUBLE","DROP","DURATION","ELEMENT","ELSIF","EMPTY","END","ESCAPE","EXCEPTIONS","EXCLUSIVE","EXECUTE","EXISTS","EXIT","EXTENDS","EXTERNAL","EXTRACT","FALSE","FETCH","FINAL","FIRST","FIXED","FLOAT","FOR","FORALL","FORCE","FROM","FUNCTION","GENERAL","GOTO","GRANT","GROUP","HASH","HEAP","HIDDEN","HOUR","IDENTIFIED","IF","IMMEDIATE","IN","INCLUDING","INDEX","INDEXES","INDICATOR","INDICES","INFINITE","INSTANTIABLE","INT","INTEGER","INTERFACE","INTERVAL","INTO","INVALIDATE","IS","ISOLATION","JAVA","LANGUAGE","LARGE","LEADING","LENGTH","LEVEL","LIBRARY","LIKE","LIKE2","LIKE4","LIKEC","LIMITED","LOCAL","LOCK","LONG","MAP","MAX","MAXLEN","MEMBER","MERGE","MIN","MINUTE","MLSLABEL","MOD","MODE","MONTH","MULTISET","NAME","NAN","NATIONAL","NATIVE","NATURAL","NATURALN","NCHAR","NEW","NEXTVAL","NOCOMPRESS","NOCOPY","NOT","NOWAIT","NULL","NULLIF","NUMBER_BASE","NUMBER","OBJECT","OCICOLL","OCIDATE","OCIDATETIME","OCIDURATION","OCIINTERVAL","OCILOBLOCATOR","OCINUMBER","OCIRAW","OCIREF","OCIREFCURSOR","OCIROWID","OCISTRING","OCITYPE","OF","OLD","ON","ONLY","OPAQUE","OPEN","OPERATOR","OPTION","ORACLE","ORADATA","ORDER","ORGANIZATION","ORLANY","ORLVARY","OTHERS","OUT","OVERLAPS","OVERRIDING","PACKAGE","PARALLEL_ENABLE","PARAMETER","PARAMETERS","PARENT","PARTITION","PASCAL","PCTFREE","PIPE","PIPELINED","PLS_INTEGER","PLUGGABLE","POSITIVE","POSITIVEN","PRAGMA","PRECISION","PRIOR","PRIVATE","PROCEDURE","PUBLIC","RAISE","RANGE","RAW","READ","REAL","RECORD","REF","REFERENCE","RELEASE","RELIES_ON","REM","REMAINDER","RENAME","RESOURCE","RESULT_CACHE","RESULT","RETURN","RETURNING","REVERSE","REVOKE","ROLLBACK","ROW","ROWID","ROWNUM","ROWTYPE","SAMPLE","SAVE","SAVEPOINT","SB1","SB2","SB4","SEARCH","SECOND","SEGMENT","SELF","SEPARATE","SEQUENCE","SERIALIZABLE","SHARE","SHORT","SIZE_T","SIZE","SMALLINT","SOME","SPACE","SPARSE","SQL","SQLCODE","SQLDATA","SQLERRM","SQLNAME","SQLSTATE","STANDARD","START","STATIC","STDDEV","STORED","STRING","STRUCT","STYLE","SUBMULTISET","SUBPARTITION","SUBSTITUTABLE","SUBTYPE","SUCCESSFUL","SUM","SYNONYM","SYSDATE","TABAUTH","TABLE","TDO","THE","THEN","TIME","TIMESTAMP","TIMEZONE_ABBR","TIMEZONE_HOUR","TIMEZONE_MINUTE","TIMEZONE_REGION","TO","TRAILING","TRANSACTION","TRANSACTIONAL","TRIGGER","TRUE","TRUSTED","TYPE","UB1","UB2","UB4","UID","UNDER","UNIQUE","UNPLUG","UNSIGNED","UNTRUSTED","USE","USER","USING","VALIDATE","VALIST","VALUE","VARCHAR","VARCHAR2","VARIABLE","VARIANCE","VARRAY","VARYING","VIEW","VIEWS","VOID","WHENEVER","WHILE","WITH","WORK","WRAPPED","WRITE","YEAR","ZONE"],c=["ADD","ALTER COLUMN","ALTER TABLE","BEGIN","CONNECT BY","DECLARE","DELETE FROM","DELETE","END","EXCEPT","EXCEPTION","FETCH FIRST","FROM","GROUP BY","HAVING","INSERT INTO","INSERT","LIMIT","LOOP","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","START WITH","UPDATE","VALUES","WHERE"],d=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],p=["AND","CROSS APPLY","CROSS JOIN","ELSE","END","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],f=function(e,t){if(e.type===i.default.RESERVED_TOP_LEVEL&&"SET"===e.value&&"BY"===t.value)return e.type=i.default.RESERVED,e},h=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return s||(s=new o.default({reservedWords:u,reservedTopLevelWords:c,reservedNewlineWords:p,reservedTopLevelWordsNoIndent:d,stringTypes:['""',"N''","''","``"],openParens:["(","CASE","BEGIN"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:[":"],lineCommentTypes:["--"],specialWordChars:["_","$","#",".","@"]})),new n.default(this.cfg,s,f).format(e)}}])&&l(t.prototype,r),e}();t.default=h,e.exports=t.default},1432:(e,t,r)=>{"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.default=void 0;var n=i(r(9157)),o=i(r(3202));function i(e){return e&&e.__esModule?e:{default:e}}function a(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,n.key,n)}}var l,s=["ACCESSIBLE","ACTION","AGAINST","AGGREGATE","ALGORITHM","ALL","ALTER","ANALYSE","ANALYZE","AS","ASC","AUTOCOMMIT","AUTO_INCREMENT","BACKUP","BEGIN","BETWEEN","BINLOG","BOTH","CASCADE","CASE","CHANGE","CHANGED","CHARACTER SET","CHARSET","CHECK","CHECKSUM","COLLATE","COLLATION","COLUMN","COLUMNS","COMMENT","COMMIT","COMMITTED","COMPRESSED","CONCURRENT","CONSTRAINT","CONTAINS","CONVERT","CREATE","CROSS","CURRENT_TIMESTAMP","DATABASE","DATABASES","DAY","DAY_HOUR","DAY_MINUTE","DAY_SECOND","DEFAULT","DEFINER","DELAYED","DELETE","DESC","DESCRIBE","DETERMINISTIC","DISTINCT","DISTINCTROW","DIV","DO","DROP","DUMPFILE","DUPLICATE","DYNAMIC","ELSE","ENCLOSED","END","ENGINE","ENGINES","ENGINE_TYPE","ESCAPE","ESCAPED","EVENTS","EXEC","EXECUTE","EXISTS","EXPLAIN","EXTENDED","FAST","FETCH","FIELDS","FILE","FIRST","FIXED","FLUSH","FOR","FORCE","FOREIGN","FULL","FULLTEXT","FUNCTION","GLOBAL","GRANT","GRANTS","GROUP_CONCAT","HEAP","HIGH_PRIORITY","HOSTS","HOUR","HOUR_MINUTE","HOUR_SECOND","IDENTIFIED","IF","IFNULL","IGNORE","IN","INDEX","INDEXES","INFILE","INSERT","INSERT_ID","INSERT_METHOD","INTERVAL","INTO","INVOKER","IS","ISOLATION","KEY","KEYS","KILL","LAST_INSERT_ID","LEADING","LEVEL","LIKE","LINEAR","LINES","LOAD","LOCAL","LOCK","LOCKS","LOGS","LOW_PRIORITY","MARIA","MASTER","MASTER_CONNECT_RETRY","MASTER_HOST","MASTER_LOG_FILE","MATCH","MAX_CONNECTIONS_PER_HOUR","MAX_QUERIES_PER_HOUR","MAX_ROWS","MAX_UPDATES_PER_HOUR","MAX_USER_CONNECTIONS","MEDIUM","MERGE","MINUTE","MINUTE_SECOND","MIN_ROWS","MODE","MODIFY","MONTH","MRG_MYISAM","MYISAM","NAMES","NATURAL","NOT","NOW()","NULL","OFFSET","ON DELETE","ON UPDATE","ON","ONLY","OPEN","OPTIMIZE","OPTION","OPTIONALLY","OUTFILE","PACK_KEYS","PAGE","PARTIAL","PARTITION","PARTITIONS","PASSWORD","PRIMARY","PRIVILEGES","PROCEDURE","PROCESS","PROCESSLIST","PURGE","QUICK","RAID0","RAID_CHUNKS","RAID_CHUNKSIZE","RAID_TYPE","RANGE","READ","READ_ONLY","READ_WRITE","REFERENCES","REGEXP","RELOAD","RENAME","REPAIR","REPEATABLE","REPLACE","REPLICATION","RESET","RESTORE","RESTRICT","RETURN","RETURNS","REVOKE","RLIKE","ROLLBACK","ROW","ROWS","ROW_FORMAT","SECOND","SECURITY","SEPARATOR","SERIALIZABLE","SESSION","SHARE","SHOW","SHUTDOWN","SLAVE","SONAME","SOUNDS","SQL","SQL_AUTO_IS_NULL","SQL_BIG_RESULT","SQL_BIG_SELECTS","SQL_BIG_TABLES","SQL_BUFFER_RESULT","SQL_CACHE","SQL_CALC_FOUND_ROWS","SQL_LOG_BIN","SQL_LOG_OFF","SQL_LOG_UPDATE","SQL_LOW_PRIORITY_UPDATES","SQL_MAX_JOIN_SIZE","SQL_NO_CACHE","SQL_QUOTE_SHOW_CREATE","SQL_SAFE_UPDATES","SQL_SELECT_LIMIT","SQL_SLAVE_SKIP_COUNTER","SQL_SMALL_RESULT","SQL_WARNINGS","START","STARTING","STATUS","STOP","STORAGE","STRAIGHT_JOIN","STRING","STRIPED","SUPER","TABLE","TABLES","TEMPORARY","TERMINATED","THEN","TO","TRAILING","TRANSACTIONAL","TRUE","TRUNCATE","TYPE","TYPES","UNCOMMITTED","UNIQUE","UNLOCK","UNSIGNED","USAGE","USE","USING","VARIABLES","VIEW","WHEN","WITH","WORK","WRITE","YEAR_MONTH"],u=["ADD","AFTER","ALTER COLUMN","ALTER TABLE","DELETE FROM","EXCEPT","FETCH FIRST","FROM","GROUP BY","GO","HAVING","INSERT INTO","INSERT","LIMIT","MODIFY","ORDER BY","SELECT","SET CURRENT SCHEMA","SET SCHEMA","SET","UPDATE","VALUES","WHERE"],c=["INTERSECT","INTERSECT ALL","MINUS","UNION","UNION ALL"],d=["AND","CROSS APPLY","CROSS JOIN","ELSE","INNER JOIN","JOIN","LEFT JOIN","LEFT OUTER JOIN","OR","OUTER APPLY","OUTER JOIN","RIGHT JOIN","RIGHT OUTER JOIN","WHEN","XOR"],p=function(){function e(t){!function(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}(this,e),this.cfg=t}var t,r;return t=e,(r=[{key:"format",value:function(e){return l||(l=new o.default({reservedWords:s,reservedTopLevelWords:u,reservedNewlineWords:d,reservedTopLevelWordsNoIndent:c,stringTypes:['""',"N''","''","``","[]"],openParens:["(","CASE"],closeParens:[")","END"],indexedPlaceholderTypes:["?"],namedPlaceholderTypes:["@",":"],lineCommentTypes:["#","--"]})),new n.default(this.cfg,l).format(e)}}])&&a(t.prototype,r),e}();t.default=p,e.exports=t.default},7409:(e,t,r)=>{"use strict";t.Ay=void 0;var n=l(r(4377)),o=l(r(9445)),i=l(r(7881)),a=l(r(1432));function l(e){return e&&e.__esModule?e:{default:e}}var s={format:function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};switch(t.language){case"db2":return new n.default(t).format(e);case"n1ql":return new o.default(t).format(e);case"pl/sql":return new i.default(t).format(e);case"sql":case void 0:return new a.default(t).format(e);default:throw Error("Unsupported SQL dialect: ".concat(t.language))}}};t.Ay=s},358:(e,t,r)=>{e.exports=r(3231)},3231:(e,t)=>{var r=t,n=/`/g,o=/\./g,i=/[\0\b\t\n\r\x1a\"\'\\]/g,a={"\0":"\\0","\b":"\\b","\t":"\\t","\n":"\\n","\r":"\\r","":"\\Z",'"':'\\"',"'":"\\'","\\":"\\\\"};function l(e){for(var t,r=i.lastIndex=0,n="";t=i.exec(e);)n+=e.slice(r,t.index)+a[t[0]],r=i.lastIndex;return 0===r?"'"+e+"'":r<e.length?"'"+n+e.slice(r)+"'":"'"+n+"'"}function s(e,t){for(e=e.toString();e.length<t;)e="0"+e;return e}r.escapeId=function(e,t){if(Array.isArray(e)){for(var i="",a=0;a<e.length;a++)i+=(0===a?"":", ")+r.escapeId(e[a],t);return i}return t?"`"+String(e).replace(n,"``")+"`":"`"+String(e).replace(n,"``").replace(o,"`.`")+"`"},r.escape=function(e,t,n){if(null==e)return"NULL";switch(typeof e){case"boolean":return e?"true":"false";case"number":return e+"";case"object":return"[object Date]"===Object.prototype.toString.call(e)?r.dateToString(e,n||"local"):Array.isArray(e)?r.arrayToList(e,n):Buffer.isBuffer(e)?r.bufferToString(e):"function"==typeof e.toSqlString?String(e.toSqlString()):t?l(e.toString()):r.objectToValues(e,n);default:return l(e)}},r.arrayToList=function(e,t){for(var n="",o=0;o<e.length;o++){var i=e[o];Array.isArray(i)?n+=(0===o?"":", ")+"("+r.arrayToList(i,t)+")":n+=(0===o?"":", ")+r.escape(i,!0,t)}return n},r.format=function(e,t,n,o){if(null==t)return e;Array.isArray(t)||(t=[t]);for(var i,a=0,l=/\?+/g,s="",u=0;u<t.length&&(i=l.exec(e));){var c=i[0].length;if(!(c>2)){var d=2===c?r.escapeId(t[u]):r.escape(t[u],n,o);s+=e.slice(a,i.index)+d,a=l.lastIndex,u++}}return 0===a?e:a<e.length?s+e.slice(a):s},r.dateToString=function(e,t){var r,n,o,i,a,u,c,d=new Date(e);if(isNaN(d.getTime()))return"NULL";if("local"===t)r=d.getFullYear(),n=d.getMonth()+1,o=d.getDate(),i=d.getHours(),a=d.getMinutes(),u=d.getSeconds(),c=d.getMilliseconds();else{var p=function(e){if("Z"===e)return 0;var t=e.match(/([\+\-\s])(\d\d):?(\d\d)?/);return!!t&&("-"===t[1]?-1:1)*(parseInt(t[2],10)+(t[3]?parseInt(t[3],10):0)/60)*60}(t);!1!==p&&0!==p&&d.setTime(d.getTime()+6e4*p),r=d.getUTCFullYear(),n=d.getUTCMonth()+1,o=d.getUTCDate(),i=d.getUTCHours(),a=d.getUTCMinutes(),u=d.getUTCSeconds(),c=d.getUTCMilliseconds()}return l(s(r,4)+"-"+s(n,2)+"-"+s(o,2)+" "+s(i,2)+":"+s(a,2)+":"+s(u,2)+"."+s(c,3))},r.bufferToString=function(e){return"X"+l(e.toString("hex"))},r.objectToValues=function(e,t){var n="";for(var o in e){var i=e[o];"function"!=typeof i&&(n+=(0===n.length?"":", ")+r.escapeId(o)+" = "+r.escape(i,!0,t))}return n},r.raw=function(e){if("string"!=typeof e)throw new TypeError("argument sql must be a string");return{toSqlString:function(){return e}}}},4882:(e,t,r)=>{var n=r(5534);e.exports=function(e){return n(e).replace(/\s(\w)/g,(function(e,t){return t.toUpperCase()}))}},7188:e=>{e.exports=function(e){return t.test(e)?e.toLowerCase():r.test(e)?(function(e){return e.replace(o,(function(e,t){return t?" "+t:""}))}(e)||e).toLowerCase():n.test(e)?function(e){return e.replace(i,(function(e,t,r){return t+" "+r.toLowerCase().split("").join(" ")}))}(e).toLowerCase():e.toLowerCase()};var t=/\s/,r=/(_|-|\.|:)/,n=/([a-z][A-Z]|[A-Z][a-z])/,o=/[\W_]+(.|$)/g,i=/(.)([A-Z]+)/g},5534:(e,t,r)=>{var n=r(7188);e.exports=function(e){return n(e).replace(/[\W_]+(.|$)/g,(function(e,t){return t?" "+t:""})).trim()}},1882:e=>{e.exports=function(){var e=document.getSelection();if(!e.rangeCount)return function(){};for(var t=document.activeElement,r=[],n=0;n<e.rangeCount;n++)r.push(e.getRangeAt(n));switch(t.tagName.toUpperCase()){case"INPUT":case"TEXTAREA":t.blur();break;default:t=null}return e.removeAllRanges(),function(){"Caret"===e.type&&e.removeAllRanges(),e.rangeCount||r.forEach((function(t){e.addRange(t)})),t&&t.focus()}}},627:e=>{e.exports={area:!0,base:!0,br:!0,col:!0,embed:!0,hr:!0,img:!0,input:!0,link:!0,meta:!0,param:!0,source:!0,track:!0,wbr:!0}},6089:e=>{"use strict";e.exports=a},9089:e=>{"use strict";e.exports=c},7781:t=>{"use strict";t.exports=e},8531:e=>{"use strict";e.exports=r},2007:e=>{"use strict";e.exports=i},3241:e=>{"use strict";e.exports=n},2468:e=>{"use strict";e.exports=l},5959:e=>{"use strict";e.exports=o},8398:e=>{"use strict";e.exports=d},200:e=>{"use strict";e.exports=u},7694:e=>{"use strict";e.exports=s},1269:e=>{"use strict";e.exports=t},8911:(e,t,r)=>{var n=r(5992).default;function o(){"use strict";e.exports=o=function(){return r},e.exports.__esModule=!0,e.exports.default=e.exports;var t,r={},i=Object.prototype,a=i.hasOwnProperty,l=Object.defineProperty||function(e,t,r){e[t]=r.value},s="function"==typeof Symbol?Symbol:{},u=s.iterator||"@@iterator",c=s.asyncIterator||"@@asyncIterator",d=s.toStringTag||"@@toStringTag";function p(e,t,r){return Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}),e[t]}try{p({},"")}catch(t){p=function(e,t,r){return e[t]=r}}function f(e,t,r,n){var o=t&&t.prototype instanceof O?t:O,i=Object.create(o.prototype),a=new P(n||[]);return l(i,"_invoke",{value:I(e,r,a)}),i}function h(e,t,r){try{return{type:"normal",arg:e.call(t,r)}}catch(e){return{type:"throw",arg:e}}}r.wrap=f;var g="suspendedStart",v="suspendedYield",m="executing",y="completed",b={};function O(){}function E(){}function S(){}var w={};p(w,u,(function(){return this}));var T=Object.getPrototypeOf,x=T&&T(T(L([])));x&&x!==i&&a.call(x,u)&&(w=x);var _=S.prototype=O.prototype=Object.create(w);function C(e){["next","throw","return"].forEach((function(t){p(e,t,(function(e){return this._invoke(t,e)}))}))}function R(e,t){function r(o,i,l,s){var u=h(e[o],e,i);if("throw"!==u.type){var c=u.arg,d=c.value;return d&&"object"==n(d)&&a.call(d,"__await")?t.resolve(d.__await).then((function(e){r("next",e,l,s)}),(function(e){r("throw",e,l,s)})):t.resolve(d).then((function(e){c.value=e,l(c)}),(function(e){return r("throw",e,l,s)}))}s(u.arg)}var o;l(this,"_invoke",{value:function(e,n){function i(){return new t((function(t,o){r(e,n,t,o)}))}return o=o?o.then(i,i):i()}})}function I(e,r,n){var o=g;return function(i,a){if(o===m)throw Error("Generator is already running");if(o===y){if("throw"===i)throw a;return{value:t,done:!0}}for(n.method=i,n.arg=a;;){var l=n.delegate;if(l){var s=A(l,n);if(s){if(s===b)continue;return s}}if("next"===n.method)n.sent=n._sent=n.arg;else if("throw"===n.method){if(o===g)throw o=y,n.arg;n.dispatchException(n.arg)}else"return"===n.method&&n.abrupt("return",n.arg);o=m;var u=h(e,r,n);if("normal"===u.type){if(o=n.done?y:v,u.arg===b)continue;return{value:u.arg,done:n.done}}"throw"===u.type&&(o=y,n.method="throw",n.arg=u.arg)}}}function A(e,r){var n=r.method,o=e.iterator[n];if(o===t)return r.delegate=null,"throw"===n&&e.iterator.return&&(r.method="return",r.arg=t,A(e,r),"throw"===r.method)||"return"!==n&&(r.method="throw",r.arg=new TypeError("The iterator does not provide a '"+n+"' method")),b;var i=h(o,e.iterator,r.arg);if("throw"===i.type)return r.method="throw",r.arg=i.arg,r.delegate=null,b;var a=i.arg;return a?a.done?(r[e.resultName]=a.value,r.next=e.nextLoc,"return"!==r.method&&(r.method="next",r.arg=t),r.delegate=null,b):a:(r.method="throw",r.arg=new TypeError("iterator result is not an object"),r.delegate=null,b)}function j(e){var t={tryLoc:e[0]};1 in e&&(t.catchLoc=e[1]),2 in e&&(t.finallyLoc=e[2],t.afterLoc=e[3]),this.tryEntries.push(t)}function k(e){var t=e.completion||{};t.type="normal",delete t.arg,e.completion=t}function P(e){this.tryEntries=[{tryLoc:"root"}],e.forEach(j,this),this.reset(!0)}function L(e){if(e||""===e){var r=e[u];if(r)return r.call(e);if("function"==typeof e.next)return e;if(!isNaN(e.length)){var o=-1,i=function r(){for(;++o<e.length;)if(a.call(e,o))return r.value=e[o],r.done=!1,r;return r.value=t,r.done=!0,r};return i.next=i}}throw new TypeError(n(e)+" is not iterable")}return E.prototype=S,l(_,"constructor",{value:S,configurable:!0}),l(S,"constructor",{value:E,configurable:!0}),E.displayName=p(S,d,"GeneratorFunction"),r.isGeneratorFunction=function(e){var t="function"==typeof e&&e.constructor;return!!t&&(t===E||"GeneratorFunction"===(t.displayName||t.name))},r.mark=function(e){return Object.setPrototypeOf?Object.setPrototypeOf(e,S):(e.__proto__=S,p(e,d,"GeneratorFunction")),e.prototype=Object.create(_),e},r.awrap=function(e){return{__await:e}},C(R.prototype),p(R.prototype,c,(function(){return this})),r.AsyncIterator=R,r.async=function(e,t,n,o,i){void 0===i&&(i=Promise);var a=new R(f(e,t,n,o),i);return r.isGeneratorFunction(t)?a:a.next().then((function(e){return e.done?e.value:a.next()}))},C(_),p(_,d,"Generator"),p(_,u,(function(){return this})),p(_,"toString",(function(){return"[object Generator]"})),r.keys=function(e){var t=Object(e),r=[];for(var n in t)r.push(n);return r.reverse(),function e(){for(;r.length;){var n=r.pop();if(n in t)return e.value=n,e.done=!1,e}return e.done=!0,e}},r.values=L,P.prototype={constructor:P,reset:function(e){if(this.prev=0,this.next=0,this.sent=this._sent=t,this.done=!1,this.delegate=null,this.method="next",this.arg=t,this.tryEntries.forEach(k),!e)for(var r in this)"t"===r.charAt(0)&&a.call(this,r)&&!isNaN(+r.slice(1))&&(this[r]=t)},stop:function(){this.done=!0;var e=this.tryEntries[0].completion;if("throw"===e.type)throw e.arg;return this.rval},dispatchException:function(e){if(this.done)throw e;var r=this;function n(n,o){return l.type="throw",l.arg=e,r.next=n,o&&(r.method="next",r.arg=t),!!o}for(var o=this.tryEntries.length-1;o>=0;--o){var i=this.tryEntries[o],l=i.completion;if("root"===i.tryLoc)return n("end");if(i.tryLoc<=this.prev){var s=a.call(i,"catchLoc"),u=a.call(i,"finallyLoc");if(s&&u){if(this.prev<i.catchLoc)return n(i.catchLoc,!0);if(this.prev<i.finallyLoc)return n(i.finallyLoc)}else if(s){if(this.prev<i.catchLoc)return n(i.catchLoc,!0)}else{if(!u)throw Error("try statement without catch or finally");if(this.prev<i.finallyLoc)return n(i.finallyLoc)}}}},abrupt:function(e,t){for(var r=this.tryEntries.length-1;r>=0;--r){var n=this.tryEntries[r];if(n.tryLoc<=this.prev&&a.call(n,"finallyLoc")&&this.prev<n.finallyLoc){var o=n;break}}o&&("break"===e||"continue"===e)&&o.tryLoc<=t&&t<=o.finallyLoc&&(o=null);var i=o?o.completion:{};return i.type=e,i.arg=t,o?(this.method="next",this.next=o.finallyLoc,b):this.complete(i)},complete:function(e,t){if("throw"===e.type)throw e.arg;return"break"===e.type||"continue"===e.type?this.next=e.arg:"return"===e.type?(this.rval=this.arg=e.arg,this.method="return",this.next="end"):"normal"===e.type&&t&&(this.next=t),b},finish:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.finallyLoc===e)return this.complete(r.completion,r.afterLoc),k(r),b}},catch:function(e){for(var t=this.tryEntries.length-1;t>=0;--t){var r=this.tryEntries[t];if(r.tryLoc===e){var n=r.completion;if("throw"===n.type){var o=n.arg;k(r)}return o}}throw Error("illegal catch attempt")},delegateYield:function(e,r,n){return this.delegate={iterator:L(e),resultName:r,nextLoc:n},"next"===this.method&&(this.arg=t),b}},r}e.exports=o,e.exports.__esModule=!0,e.exports.default=e.exports},5992:e=>{function t(r){return e.exports=t="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},e.exports.__esModule=!0,e.exports.default=e.exports,t(r)}e.exports=t,e.exports.__esModule=!0,e.exports.default=e.exports},6834:(e,t,r)=>{var n=r(8911)();e.exports=n;try{regeneratorRuntime=n}catch(e){"object"==typeof globalThis?globalThis.regeneratorRuntime=n:Function("r","regeneratorRuntime = r")(n)}},2584:(e,t)=>{var r;!function(){"use strict";var n={}.hasOwnProperty;function o(){for(var e="",t=0;t<arguments.length;t++){var r=arguments[t];r&&(e=a(e,i(r)))}return e}function i(e){if("string"==typeof e||"number"==typeof e)return e;if("object"!=typeof e)return"";if(Array.isArray(e))return o.apply(null,e);if(e.toString!==Object.prototype.toString&&!e.toString.toString().includes("[native code]"))return e.toString();var t="";for(var r in e)n.call(e,r)&&e[r]&&(t=a(t,r));return t}function a(e,t){return t?e?e+" "+t:e+t:e}e.exports?(o.default=o,e.exports=o):void 0===(r=function(){return o}.apply(t,[]))||(e.exports=r)}()},4769:(e,t,r)=>{"use strict";r.r(t),r.d(t,{__addDisposableResource:()=>L,__assign:()=>i,__asyncDelegator:()=>x,__asyncGenerator:()=>T,__asyncValues:()=>_,__await:()=>w,__awaiter:()=>h,__classPrivateFieldGet:()=>j,__classPrivateFieldIn:()=>P,__classPrivateFieldSet:()=>k,__createBinding:()=>v,__decorate:()=>l,__disposeResources:()=>F,__esDecorate:()=>u,__exportStar:()=>m,__extends:()=>o,__generator:()=>g,__importDefault:()=>A,__importStar:()=>I,__makeTemplateObject:()=>C,__metadata:()=>f,__param:()=>s,__propKey:()=>d,__read:()=>b,__rest:()=>a,__runInitializers:()=>c,__setFunctionName:()=>p,__spread:()=>O,__spreadArray:()=>S,__spreadArrays:()=>E,__values:()=>y,default:()=>D});var n=function(e,t){return n=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])},n(e,t)};function o(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function r(){this.constructor=e}n(e,t),e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)}var i=function(){return i=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},i.apply(this,arguments)};function a(e,t){var r={};for(var n in e)Object.prototype.hasOwnProperty.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&"function"==typeof Object.getOwnPropertySymbols){var o=0;for(n=Object.getOwnPropertySymbols(e);o<n.length;o++)t.indexOf(n[o])<0&&Object.prototype.propertyIsEnumerable.call(e,n[o])&&(r[n[o]]=e[n[o]])}return r}function l(e,t,r,n){var o,i=arguments.length,a=i<3?t:null===n?n=Object.getOwnPropertyDescriptor(t,r):n;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)a=Reflect.decorate(e,t,r,n);else for(var l=e.length-1;l>=0;l--)(o=e[l])&&(a=(i<3?o(a):i>3?o(t,r,a):o(t,r))||a);return i>3&&a&&Object.defineProperty(t,r,a),a}function s(e,t){return function(r,n){t(r,n,e)}}function u(e,t,r,n,o,i){function a(e){if(void 0!==e&&"function"!=typeof e)throw new TypeError("Function expected");return e}for(var l,s=n.kind,u="getter"===s?"get":"setter"===s?"set":"value",c=!t&&e?n.static?e:e.prototype:null,d=t||(c?Object.getOwnPropertyDescriptor(c,n.name):{}),p=!1,f=r.length-1;f>=0;f--){var h={};for(var g in n)h[g]="access"===g?{}:n[g];for(var g in n.access)h.access[g]=n.access[g];h.addInitializer=function(e){if(p)throw new TypeError("Cannot add initializers after decoration has completed");i.push(a(e||null))};var v=(0,r[f])("accessor"===s?{get:d.get,set:d.set}:d[u],h);if("accessor"===s){if(void 0===v)continue;if(null===v||"object"!=typeof v)throw new TypeError("Object expected");(l=a(v.get))&&(d.get=l),(l=a(v.set))&&(d.set=l),(l=a(v.init))&&o.unshift(l)}else(l=a(v))&&("field"===s?o.unshift(l):d[u]=l)}c&&Object.defineProperty(c,n.name,d),p=!0}function c(e,t,r){for(var n=arguments.length>2,o=0;o<t.length;o++)r=n?t[o].call(e,r):t[o].call(e);return n?r:void 0}function d(e){return"symbol"==typeof e?e:"".concat(e)}function p(e,t,r){return"symbol"==typeof t&&(t=t.description?"[".concat(t.description,"]"):""),Object.defineProperty(e,"name",{configurable:!0,value:r?"".concat(r," ",t):t})}function f(e,t){if("object"==typeof Reflect&&"function"==typeof Reflect.metadata)return Reflect.metadata(e,t)}function h(e,t,r,n){return new(r||(r=Promise))((function(o,i){function a(e){try{s(n.next(e))}catch(e){i(e)}}function l(e){try{s(n.throw(e))}catch(e){i(e)}}function s(e){var t;e.done?o(e.value):(t=e.value,t instanceof r?t:new r((function(e){e(t)}))).then(a,l)}s((n=n.apply(e,t||[])).next())}))}function g(e,t){var r,n,o,i={label:0,sent:function(){if(1&o[0])throw o[1];return o[1]},trys:[],ops:[]},a=Object.create(("function"==typeof Iterator?Iterator:Object).prototype);return a.next=l(0),a.throw=l(1),a.return=l(2),"function"==typeof Symbol&&(a[Symbol.iterator]=function(){return this}),a;function l(l){return function(s){return function(l){if(r)throw new TypeError("Generator is already executing.");for(;a&&(a=0,l[0]&&(i=0)),i;)try{if(r=1,n&&(o=2&l[0]?n.return:l[0]?n.throw||((o=n.return)&&o.call(n),0):n.next)&&!(o=o.call(n,l[1])).done)return o;switch(n=0,o&&(l=[2&l[0],o.value]),l[0]){case 0:case 1:o=l;break;case 4:return i.label++,{value:l[1],done:!1};case 5:i.label++,n=l[1],l=[0];continue;case 7:l=i.ops.pop(),i.trys.pop();continue;default:if(!((o=(o=i.trys).length>0&&o[o.length-1])||6!==l[0]&&2!==l[0])){i=0;continue}if(3===l[0]&&(!o||l[1]>o[0]&&l[1]<o[3])){i.label=l[1];break}if(6===l[0]&&i.label<o[1]){i.label=o[1],o=l;break}if(o&&i.label<o[2]){i.label=o[2],i.ops.push(l);break}o[2]&&i.ops.pop(),i.trys.pop();continue}l=t.call(e,i)}catch(e){l=[6,e],n=0}finally{r=o=0}if(5&l[0])throw l[1];return{value:l[0]?l[1]:void 0,done:!0}}([l,s])}}}var v=Object.create?function(e,t,r,n){void 0===n&&(n=r);var o=Object.getOwnPropertyDescriptor(t,r);o&&!("get"in o?!t.__esModule:o.writable||o.configurable)||(o={enumerable:!0,get:function(){return t[r]}}),Object.defineProperty(e,n,o)}:function(e,t,r,n){void 0===n&&(n=r),e[n]=t[r]};function m(e,t){for(var r in e)"default"===r||Object.prototype.hasOwnProperty.call(t,r)||v(t,e,r)}function y(e){var t="function"==typeof Symbol&&Symbol.iterator,r=t&&e[t],n=0;if(r)return r.call(e);if(e&&"number"==typeof e.length)return{next:function(){return e&&n>=e.length&&(e=void 0),{value:e&&e[n++],done:!e}}};throw new TypeError(t?"Object is not iterable.":"Symbol.iterator is not defined.")}function b(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a}function O(){for(var e=[],t=0;t<arguments.length;t++)e=e.concat(b(arguments[t]));return e}function E(){for(var e=0,t=0,r=arguments.length;t<r;t++)e+=arguments[t].length;var n=Array(e),o=0;for(t=0;t<r;t++)for(var i=arguments[t],a=0,l=i.length;a<l;a++,o++)n[o]=i[a];return n}function S(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))}function w(e){return this instanceof w?(this.v=e,this):new w(e)}function T(e,t,r){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var n,o=r.apply(e,t||[]),i=[];return n=Object.create(("function"==typeof AsyncIterator?AsyncIterator:Object).prototype),a("next"),a("throw"),a("return",(function(e){return function(t){return Promise.resolve(t).then(e,u)}})),n[Symbol.asyncIterator]=function(){return this},n;function a(e,t){o[e]&&(n[e]=function(t){return new Promise((function(r,n){i.push([e,t,r,n])>1||l(e,t)}))},t&&(n[e]=t(n[e])))}function l(e,t){try{(r=o[e](t)).value instanceof w?Promise.resolve(r.value.v).then(s,u):c(i[0][2],r)}catch(e){c(i[0][3],e)}var r}function s(e){l("next",e)}function u(e){l("throw",e)}function c(e,t){e(t),i.shift(),i.length&&l(i[0][0],i[0][1])}}function x(e){var t,r;return t={},n("next"),n("throw",(function(e){throw e})),n("return"),t[Symbol.iterator]=function(){return this},t;function n(n,o){t[n]=e[n]?function(t){return(r=!r)?{value:w(e[n](t)),done:!1}:o?o(t):t}:o}}function _(e){if(!Symbol.asyncIterator)throw new TypeError("Symbol.asyncIterator is not defined.");var t,r=e[Symbol.asyncIterator];return r?r.call(e):(e=y(e),t={},n("next"),n("throw"),n("return"),t[Symbol.asyncIterator]=function(){return this},t);function n(r){t[r]=e[r]&&function(t){return new Promise((function(n,o){!function(e,t,r,n){Promise.resolve(n).then((function(t){e({value:t,done:r})}),t)}(n,o,(t=e[r](t)).done,t.value)}))}}}function C(e,t){return Object.defineProperty?Object.defineProperty(e,"raw",{value:t}):e.raw=t,e}var R=Object.create?function(e,t){Object.defineProperty(e,"default",{enumerable:!0,value:t})}:function(e,t){e.default=t};function I(e){if(e&&e.__esModule)return e;var t={};if(null!=e)for(var r in e)"default"!==r&&Object.prototype.hasOwnProperty.call(e,r)&&v(t,e,r);return R(t,e),t}function A(e){return e&&e.__esModule?e:{default:e}}function j(e,t,r,n){if("a"===r&&!n)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof t?e!==t||!n:!t.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===r?n:"a"===r?n.call(e):n?n.value:t.get(e)}function k(e,t,r,n,o){if("m"===n)throw new TypeError("Private method is not writable");if("a"===n&&!o)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof t?e!==t||!o:!t.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===n?o.call(e,r):o?o.value=r:t.set(e,r),r}function P(e,t){if(null===t||"object"!=typeof t&&"function"!=typeof t)throw new TypeError("Cannot use 'in' operator on non-object");return"function"==typeof e?t===e:e.has(t)}function L(e,t,r){if(null!=t){if("object"!=typeof t&&"function"!=typeof t)throw new TypeError("Object expected.");var n,o;if(r){if(!Symbol.asyncDispose)throw new TypeError("Symbol.asyncDispose is not defined.");n=t[Symbol.asyncDispose]}if(void 0===n){if(!Symbol.dispose)throw new TypeError("Symbol.dispose is not defined.");n=t[Symbol.dispose],r&&(o=n)}if("function"!=typeof n)throw new TypeError("Object not disposable.");o&&(n=function(){try{o.call(this)}catch(e){return Promise.reject(e)}}),e.stack.push({value:t,dispose:n,async:r})}else r&&e.stack.push({async:!0});return t}var N="function"==typeof SuppressedError?SuppressedError:function(e,t,r){var n=new Error(r);return n.name="SuppressedError",n.error=e,n.suppressed=t,n};function F(e){function t(t){e.error=e.hasError?new N(t,e.error,"An error was suppressed during disposal."):t,e.hasError=!0}var r,n=0;return function o(){for(;r=e.stack.pop();)try{if(!r.async&&1===n)return n=0,e.stack.push(r),Promise.resolve().then(o);if(r.dispose){var i=r.dispose.call(r.value);if(r.async)return n|=2,Promise.resolve(i).then(o,(function(e){return t(e),o()}))}else n|=1}catch(e){t(e)}if(1===n)return e.hasError?Promise.reject(e.error):Promise.resolve();if(e.hasError)throw e.error}()}const D={__extends:o,__assign:i,__rest:a,__decorate:l,__param:s,__metadata:f,__awaiter:h,__generator:g,__createBinding:v,__exportStar:m,__values:y,__read:b,__spread:O,__spreadArrays:E,__spreadArray:S,__await:w,__asyncGenerator:T,__asyncDelegator:x,__asyncValues:_,__makeTemplateObject:C,__importStar:I,__importDefault:A,__classPrivateFieldGet:j,__classPrivateFieldSet:k,__classPrivateFieldIn:P,__addDisposableResource:L,__disposeResources:F}}},g={};function v(e){var t=g[e];if(void 0!==t)return t.exports;var r=g[e]={id:e,loaded:!1,exports:{}};return h[e].call(r.exports,r,r.exports,v),r.loaded=!0,r.exports}v.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return v.d(t,{a:t}),t},f=Object.getPrototypeOf?e=>Object.getPrototypeOf(e):e=>e.__proto__,v.t=function(e,t){if(1&t&&(e=this(e)),8&t)return e;if("object"==typeof e&&e){if(4&t&&e.__esModule)return e;if(16&t&&"function"==typeof e.then)return e}var r=Object.create(null);v.r(r);var n={};p=p||[null,f({}),f([]),f(f)];for(var o=2&t&&e;"object"==typeof o&&!~p.indexOf(o);o=f(o))Object.getOwnPropertyNames(o).forEach((t=>n[t]=()=>e[t]));return n.default=()=>e,v.d(r,n),r},v.d=(e,t)=>{for(var r in t)v.o(t,r)&&!v.o(e,r)&&Object.defineProperty(e,r,{enumerable:!0,get:t[r]})},v.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(e){if("object"==typeof window)return window}}(),v.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),v.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},v.nmd=e=>(e.paths=[],e.children||(e.children=[]),e);var m={};return(()=>{"use strict";v.r(m),v.d(m,{plugin:()=>$L});var e={};v.r(e),v.d(e,{applyToJS:()=>Ps,cleanJSX:()=>Fs,deepEqual:()=>Rs,deepFreeze:()=>zs,escapeRegExp:()=>Ls,getFirstDefined:()=>qs,getLogger:()=>Hs,getOpCardinality:()=>Cs,isDirtyJSX:()=>Ds,isImmutable:()=>As,isImmutableList:()=>js,isJSX:()=>Ms,isJsonCompatible:()=>Ws,isJsonLogic:()=>Vs,isObject:()=>Ts,logger:()=>Gs,mergeArraysSmart:()=>Bs,mergeCustomizerNoArrays:()=>Ns,omit:()=>_s,opDefKeysToOmit:()=>ws,shallowCopy:()=>xs,shallowEqual:()=>Is,sleep:()=>Us,toImmutableList:()=>ks,uuid:()=>Os,widgetDefKeysToOmit:()=>Ss});var t={};v.r(t),v.d(t,{getItemInListValues:()=>su,getListValue:()=>fu,getTitleInListValues:()=>uu,getValueInListValues:()=>cu,listValuesToArray:()=>lu,makeCustomListValue:()=>au,mapListValues:()=>du,searchListValue:()=>pu,toListValue:()=>iu});var r={};v.r(r),v.d(r,{_fixImmutableValue:()=>Cu,expandTreePath:()=>hu,expandTreeSubpath:()=>gu,fixEmptyGroupsInTree:()=>bu,fixPathsInTree:()=>yu,getFlatTree:()=>Ou,getItemByPath:()=>vu,getLightTree:()=>wu,getSwitchValues:()=>Tu,getTotalReordableNodesCountInTree:()=>Eu,getTotalRulesCountInTree:()=>Su,hasChildren:()=>_u,immutableToJs:()=>Ps,isEmptyTree:()=>xu,isImmutable:()=>As,jsToImmutable:()=>ku,removeIsLockedInTree:()=>mu,toImmutableList:()=>ks});var n={};v.r(n),v.d(n,{SqlString:()=>dc,mongoEmptyValue:()=>fc,spelEscape:()=>gc,spelFixList:()=>hc,spelFormatConcat:()=>vc,spelImportConcat:()=>mc,sqlEmptyValue:()=>pc,stringifyForDisplay:()=>yc,wrapWithBrackets:()=>bc});var o={};v.r(o),v.d(o,{_loadFromJsonLogic:()=>$u,_loadFromSpel:()=>Kc,getTree:()=>Ru,isImmutableTree:()=>Au,isJsonLogic:()=>Vs,isTree:()=>ju,jsToImmutable:()=>ku,loadFromJsonLogic:()=>Gu,loadFromSpel:()=>$c,loadTree:()=>Iu});var i={};v.r(i),v.d(i,{createListFromArray:()=>Id,createListWithOneElement:()=>Rd,defaultConjunction:()=>wd,defaultGroupConjunction:()=>Sd,defaultGroupProperties:()=>Td,defaultItemProperties:()=>xd,defaultOperatorOptions:()=>Od,defaultRoot:()=>Cd,defaultRule:()=>_d,defaultRuleProperties:()=>Ed,emptyProperties:()=>Ad,getDefaultField:()=>vd,getDefaultFieldSrc:()=>yd,getDefaultOperator:()=>bd,getDefaultSubField:()=>md});var a={};v.r(a),v.d(a,{_validateTree:()=>Af,checkTree:()=>_f,getNewValueForFieldOp:()=>Uf,getTreeBadFields:()=>xf,isValidTree:()=>Tf,sanitizeTree:()=>Rf,translateValidation:()=>bf,validateAndFixTree:()=>If,validateRange:()=>Vf,validateTree:()=>Cf,validateValue:()=>Nf});var l={};v.r(l),v.d(l,{completeFuncValue:()=>zf,getCompatibleArgsOnFuncChange:()=>Yf,setArgValue:()=>$f,setArgValueSrc:()=>Kf,setFunc:()=>Wf,setFuncDefaultArg:()=>qf});var s={};v.r(s),v.d(s,{calculateValueType:()=>eh,completeValue:()=>Oh,filterValueSourcesForField:()=>lh,formatFieldName:()=>ch,getFieldPartsConfigs:()=>nh,getFieldPathLabels:()=>rh,getFirstOperator:()=>Zf,getFuncPathLabels:()=>th,getOneChildOrDescendant:()=>Eh,getOperatorsForField:()=>Jf,getOperatorsForType:()=>Qf,getValueLabel:()=>oh,getValueSourcesForFieldOp:()=>sh,getWidgetForFieldOp:()=>uh,getWidgetsForFieldOp:()=>ah,isEmptyGroupChildren:()=>gh,isEmptyItem:()=>dh,isEmptyRuleGroupExtPropertiesAndChildren:()=>fh,isEmptyRuleProperties:()=>mh,selectTypes:()=>Xf,whatRulePropertiesAreCompleted:()=>yh});var u={};v.r(u),v.d(u,{_getFromConfigCache:()=>Vg,_saveToConfigCache:()=>Ug,_widgetDefKeysToOmit:()=>xg,applyJsonLogic:()=>Ah,cleanJSX:()=>Fs,compileConfig:()=>Yh,compressConfig:()=>$h,configKeys:()=>Dh,createConfigMemo:()=>dg,decompressConfig:()=>Kh,extendConfig:()=>vg,findExtendedConfigInAllMemos:()=>cg,getCommonMemo:()=>ug,getFieldConfig:()=>zg,getFieldId:()=>Mg,getFieldParts:()=>Fg,getFieldPath:()=>Ng,getFieldPathParts:()=>Dg,getFieldRawConfig:()=>Ig,getFieldSrc:()=>Bg,getFieldWidgetConfig:()=>Hg,getFirstField:()=>qg,getFuncArgConfig:()=>Pg,getFuncConfig:()=>kg,getFuncSignature:()=>jg,getOperatorConfig:()=>Wg,isDirtyJSX:()=>Ds,isFieldDescendantOfField:()=>Lg,isJSX:()=>Ms,iterateFields:()=>Cg,iterateFuncs:()=>_g,normalizeField:()=>Ag});var c={};v.r(c),v.d(c,{_mongodbFormat:()=>bv,_spelFormat:()=>Cc,_sqlFormat:()=>jv,elasticSearchFormat:()=>Wv,jsonLogicFormat:()=>rv,mongodbFormat:()=>yv,queryBuilderFormat:()=>Kg,queryString:()=>Nd,spelFormat:()=>_c,sqlFormat:()=>Av});var d={};v.r(d),v.d(d,{fixListValuesGroupOrder:()=>rm,getListValue:()=>fu,listValueToOption:()=>tm,mergeListValues:()=>Jv,optionToListValue:()=>Zv,optionsToListValues:()=>em,simulateAsyncFetch:()=>Qv});var p={};v.r(p),v.d(p,{Autocomplete:()=>d,ConfigUtils:()=>u,DefaultUtils:()=>i,ExportUtils:()=>n,FuncUtils:()=>l,ListUtils:()=>t,OtherUtils:()=>e,RuleUtils:()=>s,TreeUtils:()=>r,Validation:()=>a,checkTree:()=>_f,clone:()=>xh(),compressConfig:()=>$h,decompressConfig:()=>Kh,getSwitchValues:()=>Tu,i18n:()=>Of,isValidTree:()=>Tf,moment:()=>Nu(),sanitizeTree:()=>Rf,uuid:()=>Os,validateAndFixTree:()=>If,validateTree:()=>Cf});var f={};v.r(f),v.d(f,{LINEAR_REGRESSION:()=>lm,LOWER:()=>im,NOW:()=>nm,RELATIVE_DATETIME:()=>om,UPPER:()=>am});var h={};v.r(h),v.d(h,{addCaseGroup:()=>fy,addDefaultCaseGroup:()=>py,addGroup:()=>hy,addRule:()=>cy,moveItem:()=>vy,removeGroup:()=>gy,removeRule:()=>dy,setTree:()=>uy});var g={};v.r(g),v.d(g,{setConjunction:()=>my,setLock:()=>by,setNot:()=>yy});var y={};v.r(y),v.d(y,{setField:()=>Oy,setFieldSrc:()=>Ey,setFuncValue:()=>xy,setOperator:()=>Sy,setOperatorOption:()=>_y,setValue:()=>wy,setValueSrc:()=>Ty});var b={};v.r(b),v.d(b,{bindActionCreators:()=>rb,isUsingLegacyReactDomRender:()=>Jy,liteShouldComponentUpdate:()=>Zy,pureShouldComponentUpdate:()=>eb,useOnPropsChanged:()=>tb});var O={};v.r(O),v.d(O,{FuncWidget:()=>JO,ValueFieldWidget:()=>ew,VanillaBooleanWidget:()=>tw,VanillaButton:()=>mw,VanillaButtonGroup:()=>bw,VanillaConjs:()=>gw,VanillaDateTimeWidget:()=>lw,VanillaDateWidget:()=>ow,VanillaFieldSelect:()=>hw,VanillaIcon:()=>yw,VanillaMultiSelectWidget:()=>uw,VanillaNumberWidget:()=>pw,VanillaProvider:()=>ww,VanillaSelectWidget:()=>dw,VanillaSliderWidget:()=>fw,VanillaSwitch:()=>Ew,VanillaTextAreaWidget:()=>nw,VanillaTextWidget:()=>rw,VanillaTimeWidget:()=>iw,VanillaValueSources:()=>Ow,vanillaConfirm:()=>Sw});var E={};v.r(E),v.d(E,{ProximityOperator:()=>_w});var S,w=v(7781);!function(e){e.Timeseries="time_series",e.Table="table"}(S||(S={}));const T=[{label:"Time series",value:"time_series"},{label:"Table",value:"table"}],x=null!==w.toOption&&void 0!==w.toOption?w.toOption:e=>({label:e,value:e});var _=v(1269);function C(e){return"function"==typeof e}var R,I,A=v(4769),j=(R=function(e){return function(t){e(this),this.message=t?t.length+" errors occurred during unsubscription:\n"+t.map((function(e,t){return t+1+") "+e.toString()})).join("\n  "):"",this.name="UnsubscriptionError",this.errors=t}},I=R((function(e){Error.call(e),e.stack=(new Error).stack})),I.prototype=Object.create(Error.prototype),I.prototype.constructor=I,I);function k(e,t){if(e){var r=e.indexOf(t);0<=r&&e.splice(r,1)}}var P=function(){function e(e){this.initialTeardown=e,this.closed=!1,this._parentage=null,this._finalizers=null}var t;return e.prototype.unsubscribe=function(){var e,t,r,n,o;if(!this.closed){this.closed=!0;var i=this._parentage;if(i)if(this._parentage=null,Array.isArray(i))try{for(var a=(0,A.__values)(i),l=a.next();!l.done;l=a.next())l.value.remove(this)}catch(t){e={error:t}}finally{try{l&&!l.done&&(t=a.return)&&t.call(a)}finally{if(e)throw e.error}}else i.remove(this);var s=this.initialTeardown;if(C(s))try{s()}catch(e){o=e instanceof j?e.errors:[e]}var u=this._finalizers;if(u){this._finalizers=null;try{for(var c=(0,A.__values)(u),d=c.next();!d.done;d=c.next()){var p=d.value;try{L(p)}catch(e){o=null!=o?o:[],e instanceof j?o=(0,A.__spreadArray)((0,A.__spreadArray)([],(0,A.__read)(o)),(0,A.__read)(e.errors)):o.push(e)}}}catch(e){r={error:e}}finally{try{d&&!d.done&&(n=c.return)&&n.call(c)}finally{if(r)throw r.error}}}if(o)throw new j(o)}},e.prototype.add=function(t){var r;if(t&&t!==this)if(this.closed)L(t);else{if(t instanceof e){if(t.closed||t._hasParent(this))return;t._addParent(this)}(this._finalizers=null!==(r=this._finalizers)&&void 0!==r?r:[]).push(t)}},e.prototype._hasParent=function(e){var t=this._parentage;return t===e||Array.isArray(t)&&t.includes(e)},e.prototype._addParent=function(e){var t=this._parentage;this._parentage=Array.isArray(t)?(t.push(e),t):t?[t,e]:e},e.prototype._removeParent=function(e){var t=this._parentage;t===e?this._parentage=null:Array.isArray(t)&&k(t,e)},e.prototype.remove=function(t){var r=this._finalizers;r&&k(r,t),t instanceof e&&t._removeParent(this)},e.EMPTY=((t=new e).closed=!0,t),e}();function L(e){C(e)?e():e.unsubscribe()}P.EMPTY;var N=null,F=null,D=!1,M=!1,V={setTimeout:function(e,t){for(var r=[],n=2;n<arguments.length;n++)r[n-2]=arguments[n];var o=V.delegate;return(null==o?void 0:o.setTimeout)?o.setTimeout.apply(o,(0,A.__spreadArray)([e,t],(0,A.__read)(r))):setTimeout.apply(void 0,(0,A.__spreadArray)([e,t],(0,A.__read)(r)))},clearTimeout:function(e){var t=V.delegate;return((null==t?void 0:t.clearTimeout)||clearTimeout)(e)},delegate:void 0};function U(){}var B=z("C",void 0,void 0);function z(e,t,r){return{kind:e,value:t,error:r}}var W=function(e){function t(t){var r,n=e.call(this)||this;return n.isStopped=!1,t?(n.destination=t,((r=t)instanceof P||r&&"closed"in r&&C(r.remove)&&C(r.add)&&C(r.unsubscribe))&&t.add(n)):n.destination=X,n}return(0,A.__extends)(t,e),t.create=function(e,t,r){return new $(e,t,r)},t.prototype.next=function(e){this.isStopped?Y(function(e){return z("N",e,void 0)}(e),this):this._next(e)},t.prototype.error=function(e){this.isStopped?Y(z("E",void 0,e),this):(this.isStopped=!0,this._error(e))},t.prototype.complete=function(){this.isStopped?Y(B,this):(this.isStopped=!0,this._complete())},t.prototype.unsubscribe=function(){this.closed||(this.isStopped=!0,e.prototype.unsubscribe.call(this),this.destination=null)},t.prototype._next=function(e){this.destination.next(e)},t.prototype._error=function(e){try{this.destination.error(e)}finally{this.unsubscribe()}},t.prototype._complete=function(){try{this.destination.complete()}finally{this.unsubscribe()}},t}(P),H=Function.prototype.bind;function q(e,t){return H.call(e,t)}var G=function(){function e(e){this.partialObserver=e}return e.prototype.next=function(e){var t=this.partialObserver;if(t.next)try{t.next(e)}catch(e){K(e)}},e.prototype.error=function(e){var t=this.partialObserver;if(t.error)try{t.error(e)}catch(e){K(e)}else K(e)},e.prototype.complete=function(){var e=this.partialObserver;if(e.complete)try{e.complete()}catch(e){K(e)}},e}(),$=function(e){function t(t,r,n){var o,i,a=e.call(this)||this;return C(t)||!t?o={next:null!=t?t:void 0,error:null!=r?r:void 0,complete:null!=n?n:void 0}:a&&M?((i=Object.create(t)).unsubscribe=function(){return a.unsubscribe()},o={next:t.next&&q(t.next,i),error:t.error&&q(t.error,i),complete:t.complete&&q(t.complete,i)}):o=t,a.destination=new G(o),a}return(0,A.__extends)(t,e),t}(W);function K(e){D||function(e){V.setTimeout((function(){if(!N)throw e;N(e)}))}(e)}function Y(e,t){var r=F;r&&V.setTimeout((function(){return r(e,t)}))}var X={closed:!0,next:U,error:function(e){throw e},complete:U},Q=function(e){function t(t,r,n,o,i,a){var l=e.call(this,t)||this;return l.onFinalize=i,l.shouldUnsubscribe=a,l._next=r?function(e){try{r(e)}catch(e){t.error(e)}}:e.prototype._next,l._error=o?function(e){try{o(e)}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._error,l._complete=n?function(){try{n()}catch(e){t.error(e)}finally{this.unsubscribe()}}:e.prototype._complete,l}return(0,A.__extends)(t,e),t.prototype.unsubscribe=function(){var t;if(!this.shouldUnsubscribe||this.shouldUnsubscribe()){var r=this.closed;e.prototype.unsubscribe.call(this),!r&&(null===(t=this.onFinalize)||void 0===t||t.call(this))}},t}(W);function J(e,t){return r=function(r,n){var o=0;r.subscribe(new Q(n,(function(r){n.next(e.call(t,r,o++))}),void 0,void 0,void 0))},function(e){if(function(e){return C(null==e?void 0:e.lift)}(e))return e.lift((function(e){try{return r(e,this)}catch(e){this.error(e)}}));throw new TypeError("Unable to lift unknown Observable type")};var r}var Z=(e=>(e[e.Comparison=0]="Comparison",e[e.Logical=1]="Logical",e))(Z||{}),ee=(e=>(e[e.Value=0]="Value",e[e.Filter=1]="Filter",e[e.Group=2]="Group",e[e.Column=3]="Column",e[e.Table=4]="Table",e))(ee||{}),te=(e=>(e.Parenthesis="delimiter.parenthesis.sql",e.Whitespace="white.sql",e.Keyword="keyword.sql",e.Delimiter="delimiter.sql",e.Operator="operator.sql",e.Identifier="identifier.sql",e.IdentifierQuote="identifier.quote.sql",e.Type="type.sql",e.Function="predefined.sql",e.Number="number.sql",e.String="string.sql",e.Variable="variable.sql",e))(te||{}),re=(e=>(e.Unknown="unknown",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.AfterSelectKeyword="afterSelectKeyword",e.AfterSelectArguments="afterSelectArguments",e.AfterSelectFuncFirstArgument="afterSelectFuncFirstArgument",e.SelectAlias="selectAlias",e.AfterFromKeyword="afterFromKeyword",e.AfterTable="afterTable",e.SchemaFuncFirstArgument="schemaFuncFirstArgument",e.SchemaFuncExtraArgument="schemaFuncExtraArgument",e.FromKeyword="fromKeyword",e.AfterFrom="afterFrom",e.WhereKeyword="whereKeyword",e.WhereComparisonOperator="whereComparisonOperator",e.WhereValue="whereValue",e.AfterWhereFunctionArgument="afterWhereFunctionArgument",e.AfterGroupByFunctionArgument="afterGroupByFunctionArgument",e.AfterWhereValue="afterWhereValue",e.AfterGroupByKeywords="afterGroupByKeywords",e.AfterGroupBy="afterGroupBy",e.AfterOrderByKeywords="afterOrderByKeywords",e.AfterOrderByFunction="afterOrderByFunction",e.AfterOrderByDirection="afterOrderByDirection",e.AfterIsOperator="afterIsOperator",e.AfterIsNotOperator="afterIsNotOperator",e.AfterSchema="afterSchema",e))(re||{}),ne=(e=>(e.Schemas="schemas",e.Tables="tables",e.Columns="columns",e.SelectKeyword="selectKeyword",e.WithKeyword="withKeyword",e.FunctionsWithArguments="functionsWithArguments",e.FromKeyword="fromKeyword",e.WhereKeyword="whereKeyword",e.GroupByKeywords="groupByKeywords",e.OrderByKeywords="orderByKeywords",e.FunctionsWithoutArguments="functionsWithoutArguments",e.LimitKeyword="limitKeyword",e.SortOrderDirectionKeyword="sortOrderDirectionKeyword",e.ComparisonOperators="comparisonOperators",e.LogicalOperators="logicalOperators",e.SelectMacro="selectMacro",e.TableMacro="tableMacro",e.FilterMacro="filterMacro",e.GroupMacro="groupMacro",e.BoolValues="boolValues",e.NullValue="nullValue",e.NotKeyword="notKeyword",e.TemplateVariables="templateVariables",e.StarWildCard="starWildCard",e))(ne||{}),oe=(e=>(e.High="a",e.MediumHigh="d",e.Medium="g",e.MediumLow="k",e.Low="q",e))(oe||{}),ie=(e=>(e[e.Method=0]="Method",e[e.Function=1]="Function",e[e.Constructor=2]="Constructor",e[e.Field=3]="Field",e[e.Variable=4]="Variable",e[e.Class=5]="Class",e[e.Struct=6]="Struct",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Event=10]="Event",e[e.Operator=11]="Operator",e[e.Unit=12]="Unit",e[e.Value=13]="Value",e[e.Constant=14]="Constant",e[e.Enum=15]="Enum",e[e.EnumMember=16]="EnumMember",e[e.Keyword=17]="Keyword",e[e.Text=18]="Text",e[e.Color=19]="Color",e[e.File=20]="File",e[e.Reference=21]="Reference",e[e.Customcolor=22]="Customcolor",e[e.Folder=23]="Folder",e[e.TypeParameter=24]="TypeParameter",e[e.User=25]="User",e[e.Issue=26]="Issue",e[e.Snippet=27]="Snippet",e))(ie||{}),ae=(e=>(e[e.KeepWhitespace=1]="KeepWhitespace",e[e.InsertAsSnippet=4]="InsertAsSnippet",e))(ae||{}),le=(e=>(e.Builder="builder",e.Code="code",e))(le||{}),se=v(8531),ue=v(3241);class ce{transformMetricFindResponse(e){const t=[],r=e.fields.find((e=>"__text"===e.name)),n=e.fields.find((e=>"__value"===e.name));if(r&&n)for(let e=0;e<r.values.length;e++)t.push({text:""+r.values[e],value:""+n.values[e]});else for(const r of e.fields)for(const e of r.values)t.push({text:e});return(0,ue.uniqBy)(t,"text")}}var de=v(9728),pe=v(5959),fe=v.t(pe,2),he=v.n(pe);function ge(){var e=(0,pe.useRef)(!1),t=(0,pe.useCallback)((function(){return e.current}),[]);return(0,pe.useEffect)((function(){return e.current=!0,function(){e.current=!1}}),[]),t}function ve(e,t,r){void 0===t&&(t=[]),void 0===r&&(r={loading:!1});var n=(0,pe.useRef)(0),o=ge(),i=(0,pe.useState)(r),a=i[0],l=i[1],s=(0,pe.useCallback)((function(){for(var t=[],r=0;r<arguments.length;r++)t[r]=arguments[r];var i=++n.current;return a.loading||l((function(e){return(0,A.__assign)((0,A.__assign)({},e),{loading:!0})})),e.apply(void 0,t).then((function(e){return o()&&i===n.current&&l({value:e,loading:!1}),e}),(function(e){return o()&&i===n.current&&l({error:e,loading:!1}),e}))}),t);return[a,s]}function me(e,t){void 0===t&&(t=[]);var r=ve(e,t,{loading:!0}),n=r[0],o=r[1];return(0,pe.useEffect)((function(){o()}),[o]),n}var ye,be,Oe=v(2007);!function(e){e.String="string"}(ye||(ye={})),function(e){e.Property="property",e.Operator="operator",e.Or="or",e.And="and",e.GroupBy="groupBy",e.Function="function",e.FunctionParameter="functionParameter"}(be||(be={}));const Ee=e=>{if(!e)return!1;const t=e.some((e=>{var t,r;return(null===(t=e.parameters)||void 0===t?void 0:t.length)||(null===(r=e.parameters)||void 0===r?void 0:r.some((e=>e.name)))})),r=e.some((e=>e.name));return t||r};function Se(e){return{type:be.GroupBy,property:{type:ye.String,name:e}}}function we(e){return{type:be.Function,name:e,parameters:[]}}function Te(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function xe(e){let t=(null==e?void 0:e.editorMode)||le.Builder;var r;void 0===(null==e?void 0:e.editorMode)&&void 0!==(null==e?void 0:e.rawSql)&&(t=le.Code);const n=(o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Te(e,t,r[t])}))}return e}({},e),i=null!=(i={refId:(null==e?void 0:e.refId)||"A",format:void 0!==(null==e?void 0:e.format)?e.format:S.Table,rawSql:(null==e?void 0:e.rawSql)||"",editorMode:t,sql:null!==(r=null==e?void 0:e.sql)&&void 0!==r?r:{columns:[we()],groupBy:[Se()],limit:50}})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o);var o,i;return n}var _e=v(4221),Ce=v.n(_e);const Re=function(){var e=ge(),t=function(e){void 0===e&&(e={});var t=(0,pe.useState)(e),r=t[0],n=t[1];return[r,(0,pe.useCallback)((function(e){n((function(t){return Object.assign({},t,e instanceof Function?e(t):e)}))}),[])]}({value:void 0,error:void 0,noUserInteraction:!0}),r=t[0],n=t[1];return[r,(0,pe.useCallback)((function(t){var r,o;if(e())try{if("string"!=typeof t&&"number"!=typeof t){var i=new Error("Cannot copy typeof "+typeof t+" to clipboard, must be a string");return void n({value:t,error:i,noUserInteraction:!0})}if(""===t)return i=new Error("Cannot copy empty string to clipboard."),void n({value:t,error:i,noUserInteraction:!0});o=t.toString(),r=Ce()(o),n({value:o,error:void 0,noUserInteraction:r})}catch(i){n({value:o,error:i,noUserInteraction:r})}}),[])]},Ie={RadioButton:{container:"data-testid radio-button"},Breadcrumbs:{breadcrumb:e=>`data-testid ${e} breadcrumb`},TimePicker:{openButton:"data-testid TimePicker Open Button",overlayContent:"data-testid TimePicker Overlay Content",fromField:"data-testid Time Range from field",toField:"data-testid Time Range to field",applyTimeRange:"data-testid TimePicker submit button",copyTimeRange:"data-testid TimePicker copy button",pasteTimeRange:"data-testid TimePicker paste button",calendar:{label:"data-testid Time Range calendar",openButton:"data-testid Open time range calendar",closeButton:"data-testid Close time range Calendar"},absoluteTimeRangeTitle:"data-testid-absolute-time-range-narrow"},DataSourcePermissions:{form:()=>'form[name="addPermission"]',roleType:"Role to add new permission to",rolePicker:"Built-in role picker",permissionLevel:"Permission Level"},DateTimePicker:{input:"data-testid date-time-input"},DataSource:{TestData:{QueryTab:{scenarioSelectContainer:"Test Data Query scenario select container",scenarioSelect:"Test Data Query scenario select",max:"TestData max",min:"TestData min",noise:"TestData noise",seriesCount:"TestData series count",spread:"TestData spread",startValue:"TestData start value",drop:"TestData drop values"}},DataSourceHttpSettings:{urlInput:"data-testid Datasource HTTP settings url"},Jaeger:{traceIDInput:"Trace ID"},Prometheus:{configPage:{connectionSettings:"Data source connection URL",manageAlerts:"prometheus-alerts-manager",scrapeInterval:"data-testid scrape interval",queryTimeout:"data-testid query timeout",defaultEditor:"data-testid default editor",disableMetricLookup:"disable-metric-lookup",prometheusType:"data-testid prometheus type",prometheusVersion:"data-testid prometheus version",cacheLevel:"data-testid cache level",incrementalQuerying:"prometheus-incremental-querying",queryOverlapWindow:"data-testid query overlap window",disableRecordingRules:"disable-recording-rules",customQueryParameters:"data-testid custom query parameters",httpMethod:"data-testid http method",exemplarsAddButton:"data-testid Add exemplar config button",internalLinkSwitch:"data-testid Internal link switch",codeModeMetricNamesSuggestionLimit:"data-testid code mode metric names suggestion limit"},queryEditor:{explain:"data-testid prometheus explain switch wrapper",editorToggle:"data-testid QueryEditorModeToggle",options:"data-testid prometheus options",legend:"data-testid prometheus legend wrapper",format:"data-testid prometheus format",step:"prometheus-step",type:"data-testid prometheus type",exemplars:"prometheus-exemplars",builder:{metricSelect:"data-testid metric select",hints:"data-testid prometheus hints",metricsExplorer:"data-testid metrics explorer",queryAdvisor:"data-testid query advisor"},code:{queryField:"data-testid prometheus query field",metricsCountInfo:"data-testid metrics count disclaimer",metricsBrowser:{openButton:"data-testid open metrics browser",selectMetric:"data-testid select a metric",seriesLimit:"data-testid series limit",metricList:"data-testid metric list",labelNamesFilter:"data-testid label names filter",labelValuesFilter:"data-testid label values filter",useQuery:"data-testid use query",useAsRateQuery:"data-testid use as rate query",validateSelector:"data-testid validate selector",clear:"data-testid clear"}}},exemplarMarker:"data-testid Exemplar marker",variableQueryEditor:{queryType:"data-testid query type",labelnames:{metricRegex:"data-testid label names metric regex"},labelValues:{labelSelect:"data-testid label values label select"},metricNames:{metricRegex:"data-testid metric names metric regex"},varQueryResult:"data-testid variable query result",seriesQuery:"data-testid prometheus series query",classicQuery:"data-testid prometheus classic query"},annotations:{minStep:"prometheus-annotation-min-step",title:"data-testid prometheus annotation title",tags:"data-testid prometheus annotation tags",text:"data-testid prometheus annotation text",seriesValueAsTimestamp:"data-testid prometheus annotation series value as timestamp"}}},Menu:{MenuComponent:e=>`${e} menu`,MenuGroup:e=>`${e} menu group`,MenuItem:e=>`${e} menu item`,SubMenu:{container:"data-testid SubMenu container",icon:"data-testid SubMenu icon"}},Panels:{Panel:{title:e=>`data-testid Panel header ${e}`,content:"data-testid panel content",headerItems:e=>`data-testid Panel header item ${e}`,menuItems:e=>`data-testid Panel menu item ${e}`,menu:e=>`data-testid Panel menu ${e}`,containerByTitle:e=>`${e} panel`,headerCornerInfo:e=>`Panel header ${e}`,status:e=>`data-testid Panel status ${e}`,loadingBar:()=>"Panel loading bar",HoverWidget:{container:"data-testid hover-header-container",dragIcon:"data-testid drag-icon"},PanelDataErrorMessage:"data-testid Panel data error message"},Visualization:{Graph:{container:"Graph container",VisualizationTab:{legendSection:"Legend section"},Legend:{legendItemAlias:e=>`gpl alias ${e}`,showLegendSwitch:"gpl show legend"},xAxis:{labels:()=>"div.flot-x-axis > div.flot-tick-label"}},BarGauge:{value:"Bar gauge value",valueV2:"data-testid Bar gauge value"},PieChart:{svgSlice:"data testid Pie Chart Slice"},Text:{container:()=>".markdown-html"},Table:{header:"table header",footer:"table-footer",body:"data-testid table body"}}},VizLegend:{seriesName:e=>`data-testid VizLegend series ${e}`},Drawer:{General:{title:e=>`Drawer title ${e}`,expand:"Drawer expand",contract:"Drawer contract",close:"data-testid Drawer close",rcContentWrapper:()=>".rc-drawer-content-wrapper",subtitle:"data-testid drawer subtitle"},DashboardSaveDrawer:{saveButton:"data-testid Save dashboard drawer button",saveAsButton:"data-testid Save as dashboard drawer button",saveAsTitleInput:"Save dashboard title field"}},PanelEditor:{General:{content:"data-testid Panel editor content"},OptionsPane:{content:"data-testid Panel editor option pane content",select:"Panel editor option pane select",fieldLabel:e=>`${e} field property editor`,fieldInput:e=>`data-testid Panel editor option pane field input ${e}`},DataPane:{content:"data-testid Panel editor data pane content"},applyButton:"data-testid Apply changes and go back to dashboard",toggleVizPicker:"data-testid toggle-viz-picker",toggleVizOptions:"data-testid toggle-viz-options",toggleTableView:"data-testid toggle-table-view",showZoomField:"Map controls Show zoom control field property editor",showAttributionField:"Map controls Show attribution field property editor",showScaleField:"Map controls Show scale field property editor",showMeasureField:"Map controls Show measure tools field property editor",showDebugField:"Map controls Show debug field property editor",measureButton:"show measure tools"},PanelInspector:{Data:{content:"Panel inspector Data content"},Stats:{content:"Panel inspector Stats content"},Json:{content:"data-testid Panel inspector Json content"},Query:{content:"Panel inspector Query content",refreshButton:"Panel inspector Query refresh button",jsonObjectKeys:()=>".json-formatter-key"}},Tab:{title:e=>`data-testid Tab ${e}`,active:()=>'[class*="-activeTabStyle"]'},RefreshPicker:{runButton:"RefreshPicker run button",intervalButton:"RefreshPicker interval button",runButtonV2:"data-testid RefreshPicker run button",intervalButtonV2:"data-testid RefreshPicker interval button"},QueryTab:{content:"Query editor tab content",queryInspectorButton:"Query inspector button",queryHistoryButton:"data-testid query-history-button",addQuery:"data-testid query-tab-add-query",queryGroupTopSection:"data-testid query group top section",addExpression:"data-testid query-tab-add-expression"},QueryHistory:{queryText:"Query text"},QueryEditorRows:{rows:"Query editor row"},QueryEditorRow:{actionButton:e=>`data-testid ${e}`,title:e=>`Query editor row title ${e}`,container:e=>`Query editor row ${e}`},AlertTab:{content:"data-testid Alert editor tab content"},AlertRules:{groupToggle:"data-testid group-collapse-toggle",toggle:"data-testid collapse-toggle",expandedContent:"data-testid expanded-content",previewButton:"data-testid alert-rule preview-button",ruleNameField:"data-testid alert-rule name-field",newFolderButton:"data-testid alert-rule new-folder-button",newFolderNameField:"data-testid alert-rule name-folder-name-field",newFolderNameCreateButton:"data-testid alert-rule name-folder-name-create-button",newEvaluationGroupButton:"data-testid alert-rule new-evaluation-group-button",newEvaluationGroupName:"data-testid alert-rule new-evaluation-group-name",newEvaluationGroupInterval:"data-testid alert-rule new-evaluation-group-interval",newEvaluationGroupCreate:"data-testid alert-rule new-evaluation-group-create-button"},Alert:{alert:e=>`Alert ${e}`,alertV2:e=>`data-testid Alert ${e}`},TransformTab:{content:"data-testid Transform editor tab content",newTransform:e=>`data-testid New transform ${e}`,transformationEditor:e=>`data-testid Transformation editor ${e}`,transformationEditorDebugger:e=>`data-testid Transformation editor debugger ${e}`},Transforms:{card:e=>`data-testid New transform ${e}`,disableTransformationButton:"data-testid Disable transformation button",Reduce:{modeLabel:"data-testid Transform mode label",calculationsLabel:"data-testid Transform calculations label"},SpatialOperations:{actionLabel:"root Action field property editor",locationLabel:"root Location Mode field property editor",location:{autoOption:"Auto location option",coords:{option:"Coords location option",latitudeFieldLabel:"root Latitude field field property editor",longitudeFieldLabel:"root Longitude field field property editor"},geohash:{option:"Geohash location option",geohashFieldLabel:"root Geohash field field property editor"},lookup:{option:"Lookup location option",lookupFieldLabel:"root Lookup field field property editor",gazetteerFieldLabel:"root Gazetteer field property editor"}}},searchInput:"data-testid search transformations",noTransformationsMessage:"data-testid no transformations message",addTransformationButton:"data-testid add transformation button",removeAllTransformationsButton:"data-testid remove all transformations button"},NavBar:{Configuration:{button:"Configuration"},Toggle:{button:"data-testid Toggle menu"},Reporting:{button:"Reporting"}},NavMenu:{Menu:"data-testid navigation mega-menu",item:"data-testid Nav menu item"},NavToolbar:{container:"data-testid Nav toolbar",shareDashboard:"data-testid Share dashboard",markAsFavorite:"data-testid Mark as favorite",editDashboard:{editButton:"data-testid Edit dashboard button",saveButton:"data-testid Save dashboard button",exitButton:"data-testid Exit edit mode button",settingsButton:"data-testid Dashboard settings",addRowButton:"data-testid Add row button",addLibraryPanelButton:"data-testid Add a panel from the panel library button",addVisualizationButton:"data-testid Add new visualization menu item",pastePanelButton:"data-testid Paste panel button",discardChangesButton:"data-testid Discard changes button",discardLibraryPanelButton:"data-testid Discard library panel button",unlinkLibraryPanelButton:"data-testid Unlink library panel button",saveLibraryPanelButton:"data-testid Save library panel button",backToDashboardButton:"data-testid Back to dashboard button"}},PageToolbar:{container:()=>".page-toolbar",item:e=>`${e}`,itemButton:e=>`data-testid ${e}`},QueryEditorToolbarItem:{button:e=>`QueryEditor toolbar item button ${e}`},BackButton:{backArrow:"data-testid Go Back"},OptionsGroup:{group:e=>e?`data-testid Options group ${e}`:"data-testid Options group",toggle:e=>e?`data-testid Options group ${e} toggle`:"data-testid Options group toggle"},PluginVisualization:{item:e=>`Plugin visualization item ${e}`,current:()=>'[class*="-currentVisualizationItem"]'},Select:{option:"data-testid Select option",toggleAllOptions:"data-testid toggle all options",input:()=>'input[id*="time-options-input"]',singleValue:()=>'div[class*="-singleValue"]'},FieldConfigEditor:{content:"Field config editor content"},OverridesConfigEditor:{content:"Field overrides editor content"},FolderPicker:{container:"Folder picker select container",containerV2:"data-testid Folder picker select container",input:"data-testid folder-picker-input"},ReadonlyFolderPicker:{container:"data-testid Readonly folder picker select container"},DataSourcePicker:{container:"data-testid Data source picker select container",input:()=>'input[id="data-source-picker"]',inputV2:"data-testid Select a data source",dataSourceList:"data-testid Data source list dropdown",advancedModal:{dataSourceList:"data-testid Data source list",builtInDataSourceList:"data-testid Built in data source list"}},TimeZonePicker:{container:"Time zone picker select container",containerV2:"data-testid Time zone picker select container",changeTimeSettingsButton:"data-testid Time zone picker Change time settings button"},WeekStartPicker:{container:"Choose starting day of the week",containerV2:"data-testid Choose starting day of the week",placeholder:"Choose starting day of the week"},TraceViewer:{spanBar:"data-testid SpanBar--wrapper"},QueryField:{container:"data-testid Query field"},QueryBuilder:{queryPatterns:"data-testid Query patterns",labelSelect:"data-testid Select label",inputSelect:"data-testid Select label-input",valueSelect:"data-testid Select value",matchOperatorSelect:"data-testid Select match operator"},ValuePicker:{button:e=>`data-testid Value picker button ${e}`,select:e=>`data-testid Value picker select ${e}`},Search:{section:"Search section",sectionV2:"data-testid Search section",items:"Search items",itemsV2:"data-testid Search items",cards:"data-testid Search cards",collapseFolder:e=>`data-testid Collapse folder ${e}`,expandFolder:e=>`data-testid Expand folder ${e}`,dashboardItem:e=>`${Ie.Search.dashboardItems} ${e}`,dashboardCard:e=>`data-testid Search card ${e}`,folderHeader:e=>`data-testid Folder header ${e}`,folderContent:e=>`data-testid Folder content ${e}`,dashboardItems:"data-testid Dashboard search item"},DashboardLinks:{container:"data-testid Dashboard link container",dropDown:"data-testid Dashboard link dropdown",link:"data-testid Dashboard link"},LoadingIndicator:{icon:"data-testid Loading indicator"},CallToActionCard:{button:e=>`Call to action button ${e}`,buttonV2:e=>`data-testid Call to action button ${e}`},DataLinksContextMenu:{singleLink:"data-testid Data link"},CodeEditor:{container:"data-testid Code editor container"},ReactMonacoEditor:{editorLazy:"data-testid ReactMonacoEditor editorLazy"},DashboardImportPage:{textarea:"data-testid-import-dashboard-textarea",submit:"data-testid-load-dashboard"},ImportDashboardForm:{name:"data-testid-import-dashboard-title",submit:"data-testid-import-dashboard-submit"},PanelAlertTabContent:{content:"data-testid Unified alert editor tab content"},VisualizationPreview:{card:e=>`data-testid suggestion-${e}`},ColorSwatch:{name:"data-testid-colorswatch"},DashboardRow:{title:e=>`data-testid dashboard-row-title-${e}`},UserProfile:{profileSaveButton:"data-testid-user-profile-save",preferencesSaveButton:"data-testid-shared-prefs-save",orgsTable:"data-testid-user-orgs-table",sessionsTable:"data-testid-user-sessions-table",extensionPointTabs:"data-testid-extension-point-tabs",extensionPointTab:e=>`data-testid-extension-point-tab-${e}`},FileUpload:{inputField:"data-testid-file-upload-input-field",fileNameSpan:"data-testid-file-upload-file-name"},DebugOverlay:{wrapper:"debug-overlay"},OrgRolePicker:{input:"Role"},AnalyticsToolbarButton:{button:"Dashboard insights"},Variables:{variableOption:"data-testid variable-option",variableLinkWrapper:"data-testid variable-link-wrapper"},Annotations:{annotationsTypeInput:"data-testid annotations-type-input",annotationsChoosePanelInput:"data-testid choose-panels-input",editor:{testButton:"data-testid annotations-test-button",resultContainer:"data-testid annotations-query-result-container"}},Tooltip:{container:"data-testid tooltip"},ReturnToPrevious:{buttonGroup:"data-testid dismissable button group",backButton:"data-testid back",dismissButton:"data-testid dismiss"},SQLQueryEditor:{selectColumn:"data-testid select-column",selectAggregation:"data-testid select-aggregation",selectAlias:"data-testid select-alias",filterConjunction:"data-testid filter-conjunction",filterField:"data-testid filter-field",filterOperator:"data-testid filter-operator",headerTableSelector:"data-testid header-table-selector",headerFilterSwitch:"data-testid header-filter-switch",headerGroupSwitch:"data-testid header-group-switch",headerOrderSwitch:"data-testid header-order-switch",headerPreviewSwitch:"data-testid header-preview-switch"},EntityNotFound:{container:"data-testid entity-not-found"}},Ae={pages:{Login:{url:"/login",username:"data-testid Username input field",password:"data-testid Password input field",submit:"data-testid Login button",skip:"data-testid Skip change password button"},Home:{url:"/"},DataSource:{name:"data-testid Data source settings page name input field",delete:"Data source settings page Delete button",readOnly:"data-testid Data source settings page read only message",saveAndTest:"data-testid Data source settings page Save and Test button",alert:"data-testid Data source settings page Alert"},DataSources:{url:"/datasources",dataSources:e=>`Data source list item ${e}`},EditDataSource:{url:e=>`/datasources/edit/${e}`,settings:"Datasource settings page basic settings"},AddDataSource:{url:"/datasources/new",dataSourcePlugins:e=>`Data source plugin item ${e}`,dataSourcePluginsV2:e=>`Add new data source ${e}`},ConfirmModal:{delete:"data-testid Confirm Modal Danger Button"},AddDashboard:{url:"/dashboard/new",itemButton:e=>`data-testid ${e}`,addNewPanel:"data-testid Add new panel",addNewRow:"data-testid Add new row",addNewPanelLibrary:"data-testid Add new panel from panel library"},Dashboard:{url:e=>`/d/${e}`,DashNav:{nav:"Dashboard navigation",navV2:"data-testid Dashboard navigation",publicDashboardTag:"data-testid public dashboard tag",shareButton:"data-testid share-button",scrollContainer:"data-testid Dashboard canvas scroll container",newShareButton:{container:"data-testid new share button",shareLink:"data-testid new share link-button",arrowMenu:"data-testid new share button arrow menu",menu:{container:"data-testid new share button menu",shareInternally:"data-testid new share button share internally",shareExternally:"data-testid new share button share externally",shareSnapshot:"data-testid new share button share snapshot"}},NewExportButton:{container:"data-testid new export button",arrowMenu:"data-testid new export button arrow menu",Menu:{container:"data-testid new export button menu",exportAsJson:"data-testid new export button export as json"}},playlistControls:{prev:"data-testid playlist previous dashboard button",stop:"data-testid playlist stop dashboard button",next:"data-testid playlist next dashboard button"}},Controls:"data-testid dashboard controls",SubMenu:{submenu:"Dashboard submenu",submenuItem:"data-testid template variable",submenuItemLabels:e=>`data-testid Dashboard template variables submenu Label ${e}`,submenuItemValueDropDownValueLinkTexts:e=>`data-testid Dashboard template variables Variable Value DropDown value link text ${e}`,submenuItemValueDropDownDropDown:"Variable options",submenuItemValueDropDownOptionTexts:e=>`data-testid Dashboard template variables Variable Value DropDown option text ${e}`,Annotations:{annotationsWrapper:"data-testid annotation-wrapper",annotationLabel:e=>`data-testid Dashboard annotations submenu Label ${e}`,annotationToggle:e=>`data-testid Dashboard annotations submenu Toggle ${e}`}},Settings:{Actions:{close:"data-testid dashboard-settings-close"},General:{deleteDashBoard:"data-testid Dashboard settings page delete dashboard button",sectionItems:e=>`Dashboard settings section item ${e}`,saveDashBoard:"Dashboard settings aside actions Save button",saveAsDashBoard:"Dashboard settings aside actions Save As button",timezone:"Time zone picker select container",title:"General"},Annotations:{List:{addAnnotationCTA:Ie.CallToActionCard.button("Add annotation query"),addAnnotationCTAV2:Ie.CallToActionCard.buttonV2("Add annotation query"),annotations:"data-testid list-annotations"},Settings:{name:"data-testid Annotations settings name input"},NewAnnotation:{panelFilterSelect:"data-testid annotations-panel-filter",showInLabel:"data-testid show-in-label",previewInDashboard:"data-testid annotations-preview",delete:"data-testid annotations-delete",apply:"data-testid annotations-apply",enable:"data-testid annotation-enable",hide:"data-testid annotation-hide"}},Variables:{List:{addVariableCTA:Ie.CallToActionCard.button("Add variable"),addVariableCTAV2:Ie.CallToActionCard.buttonV2("Add variable"),newButton:"Variable editor New variable button",table:"Variable editor Table",tableRowNameFields:e=>`Variable editor Table Name field ${e}`,tableRowDefinitionFields:e=>`Variable editor Table Definition field ${e}`,tableRowArrowUpButtons:e=>`Variable editor Table ArrowUp button ${e}`,tableRowArrowDownButtons:e=>`Variable editor Table ArrowDown button ${e}`,tableRowDuplicateButtons:e=>`Variable editor Table Duplicate button ${e}`,tableRowRemoveButtons:e=>`Variable editor Table Remove button ${e}`},Edit:{General:{headerLink:"Variable editor Header link",modeLabelNew:"Variable editor Header mode New",modeLabelEdit:"Variable editor Header mode Edit",generalNameInput:"Variable editor Form Name field",generalNameInputV2:"data-testid Variable editor Form Name field",generalTypeSelect:"Variable editor Form Type select",generalTypeSelectV2:"data-testid Variable editor Form Type select",generalLabelInput:"Variable editor Form Label field",generalLabelInputV2:"data-testid Variable editor Form Label field",generalHideSelect:"Variable editor Form Hide select",generalHideSelectV2:"data-testid Variable editor Form Hide select",selectionOptionsMultiSwitch:"data-testid Variable editor Form Multi switch",selectionOptionsIncludeAllSwitch:"data-testid Variable editor Form IncludeAll switch",selectionOptionsCustomAllInput:"data-testid Variable editor Form IncludeAll field",previewOfValuesOption:"data-testid Variable editor Preview of Values option",submitButton:"data-testid Variable editor Run Query button",applyButton:"data-testid Variable editor Apply button"},QueryVariable:{queryOptionsDataSourceSelect:Ie.DataSourcePicker.inputV2,queryOptionsRefreshSelect:"Variable editor Form Query Refresh select",queryOptionsRefreshSelectV2:"data-testid Variable editor Form Query Refresh select",queryOptionsRegExInput:"Variable editor Form Query RegEx field",queryOptionsRegExInputV2:"data-testid Variable editor Form Query RegEx field",queryOptionsSortSelect:"Variable editor Form Query Sort select",queryOptionsSortSelectV2:"data-testid Variable editor Form Query Sort select",queryOptionsQueryInput:"data-testid Variable editor Form Default Variable Query Editor textarea",valueGroupsTagsEnabledSwitch:"Variable editor Form Query UseTags switch",valueGroupsTagsTagsQueryInput:"Variable editor Form Query TagsQuery field",valueGroupsTagsTagsValuesQueryInput:"Variable editor Form Query TagsValuesQuery field"},ConstantVariable:{constantOptionsQueryInput:"Variable editor Form Constant Query field",constantOptionsQueryInputV2:"data-testid Variable editor Form Constant Query field"},DatasourceVariable:{datasourceSelect:"data-testid datasource variable datasource type"},TextBoxVariable:{textBoxOptionsQueryInput:"Variable editor Form TextBox Query field",textBoxOptionsQueryInputV2:"data-testid Variable editor Form TextBox Query field"},CustomVariable:{customValueInput:"data-testid custom-variable-input"},IntervalVariable:{intervalsValueInput:"data-testid interval variable intervals input",autoEnabledCheckbox:"data-testid interval variable auto value checkbox",stepCountIntervalSelect:"data-testid interval variable step count input",minIntervalInput:"data-testid interval variable mininum interval input"},GroupByVariable:{dataSourceSelect:Ie.DataSourcePicker.inputV2,infoText:"data-testid group by variable info text",modeToggle:"data-testid group by variable mode toggle"},AdHocFiltersVariable:{datasourceSelect:Ie.DataSourcePicker.inputV2,infoText:"data-testid ad-hoc filters variable info text",modeToggle:"data-testid ad-hoc filters variable mode toggle"}}}},Annotations:{marker:"data-testid annotation-marker"},Rows:{Repeated:{ConfigSection:{warningMessage:"data-testid Repeated rows warning message"}}}},Dashboards:{url:"/dashboards",dashboards:e=>`Dashboard search item ${e}`},SaveDashboardAsModal:{newName:"Save dashboard title field",save:"Save dashboard button"},SaveDashboardModal:{save:"Dashboard settings Save Dashboard Modal Save button",saveVariables:"Dashboard settings Save Dashboard Modal Save variables checkbox",saveTimerange:"Dashboard settings Save Dashboard Modal Save timerange checkbox",saveRefresh:"Dashboard settings Save Dashboard Modal Save refresh checkbox"},SharePanelModal:{linkToRenderedImage:"Link to rendered image"},ShareDashboardModal:{PublicDashboard:{WillBePublicCheckbox:"data-testid public dashboard will be public checkbox",LimitedDSCheckbox:"data-testid public dashboard limited datasources checkbox",CostIncreaseCheckbox:"data-testid public dashboard cost may increase checkbox",PauseSwitch:"data-testid public dashboard pause switch",EnableAnnotationsSwitch:"data-testid public dashboard on off switch for annotations",CreateButton:"data-testid public dashboard create button",DeleteButton:"data-testid public dashboard delete button",CopyUrlInput:"data-testid public dashboard copy url input",CopyUrlButton:"data-testid public dashboard copy url button",SettingsDropdown:"data-testid public dashboard settings dropdown",TemplateVariablesWarningAlert:"data-testid public dashboard disabled template variables alert",UnsupportedDataSourcesWarningAlert:"data-testid public dashboard unsupported data sources alert",NoUpsertPermissionsWarningAlert:"data-testid public dashboard no upsert permissions alert",EnableTimeRangeSwitch:"data-testid public dashboard on off switch for time range",EmailSharingConfiguration:{Container:"data-testid email sharing config container",ShareType:"data-testid public dashboard share type",EmailSharingInput:"data-testid public dashboard email sharing input",EmailSharingInviteButton:"data-testid public dashboard email sharing invite button",EmailSharingList:"data-testid public dashboard email sharing list",DeleteEmail:"data-testid public dashboard delete email button",ReshareLink:"data-testid public dashboard reshare link button"}},SnapshotScene:{url:e=>`/dashboard/snapshot/${e}`,PublishSnapshot:"data-testid publish snapshot button",CopyUrlButton:"data-testid snapshot copy url button",CopyUrlInput:"data-testid snapshot copy url input"}},ShareDashboardDrawer:{ShareInternally:{container:"data-testid share internally drawer container",lockTimeRangeSwitch:"data-testid share internally lock time range switch",shortenUrlSwitch:"data-testid share internally shorten url switch",copyUrlButton:"data-testid share internally copy url button"},ShareExternally:{container:"data-testid share externally drawer container",publicAlert:"data-testid public share alert",emailSharingAlert:"data-testid email share alert",shareTypeSelect:"data-testid share externally share type select",Creation:{PublicShare:{createButton:"data-testid public share dashboard create button",cancelButton:"data-testid public share dashboard cancel button"},EmailShare:{createButton:"data-testid email share dashboard create button",cancelButton:"data-testid email share dashboard cancel button"},willBePublicCheckbox:"data-testid share dashboard will be public checkbox"},Configuration:{enableTimeRangeSwitch:"data-testid share externally enable time range switch",enableAnnotationsSwitch:"data-testid share externally enable annotations switch",copyUrlButton:"data-testid share externally copy url button",revokeAccessButton:"data-testid share externally revoke access button",toggleAccessButton:"data-testid share externally pause or resume access button"}},ShareSnapshot:{url:e=>`/dashboard/snapshot/${e}`,container:"data-testid share snapshot drawer container",publishSnapshot:"data-testid share snapshot publish button",copyUrlButton:"data-testid share snapshot copy url button"}},ExportDashboardDrawer:{ExportAsJson:{container:"data-testid export as json drawer container",codeEditor:"data-testid export as json code editor",exportExternallyToggle:"data-testid export as json externally switch",saveToFileButton:"data-testid export as json save to file button",copyToClipboardButton:"data-testid export as json copy to clipboard button",cancelButton:"data-testid export as json cancel button"}},PublicDashboard:{page:"public-dashboard-page",NotAvailable:{container:"public-dashboard-not-available",title:"public-dashboard-title",pausedDescription:"public-dashboard-paused-description"},footer:"public-dashboard-footer"},PublicDashboardScene:{loadingPage:"public-dashboard-scene-loading-page",page:"public-dashboard-scene-page",controls:"public-dashboard-controls"},RequestViewAccess:{form:"request-view-access-form",recipientInput:"request-view-access-recipient-input",submitButton:"request-view-access-submit-button"},PublicDashboardConfirmAccess:{submitButton:"data-testid confirm-access-submit-button"},Explore:{url:"/explore",General:{container:"data-testid Explore",graph:"Explore Graph",table:"Explore Table",scrollView:"data-testid explorer scroll view"},QueryHistory:{container:"data-testid QueryHistory"}},SoloPanel:{url:e=>`/d-solo/${e}`},PluginsList:{page:"Plugins list page",list:"Plugins list",listItem:"Plugins list item",signatureErrorNotice:"data-testid Unsigned plugins notice"},PluginPage:{page:"Plugin page",signatureInfo:"data-testid Plugin signature info",disabledInfo:"data-testid Plugin disabled info"},PlaylistForm:{name:"Playlist name",interval:"Playlist interval",itemDelete:"data-testid playlist-form-delete-item"},BrowseDashboards:{table:{body:"data-testid browse-dashboards-table",row:e=>`data-testid browse dashboards row ${e}`,checkbox:e=>`data-testid ${e} checkbox`},NewFolderForm:{form:"data-testid new folder form",nameInput:"data-testid new-folder-name-input",createButton:"data-testid new-folder-create-button"}},Search:{url:"/?search=openn",FolderView:{url:"/?search=open&layout=folders"}},PublicDashboards:{ListItem:{linkButton:"public-dashboard-link-button",configButton:"public-dashboard-configuration-button",trashcanButton:"public-dashboard-remove-button",pauseSwitch:"data-testid public dashboard pause switch"}},UserListPage:{tabs:{allUsers:"data-testid all-users-tab",orgUsers:"data-testid org-users-tab",anonUserDevices:"data-testid anon-user-devices-tab",publicDashboardsUsers:"data-testid public-dashboards-users-tab",users:"data-testid users-tab"},org:{url:"/org/users"},admin:{url:"/admin/users"},publicDashboards:{container:"data-testid public-dashboards-users-list"},UserListAdminPage:{container:"data-testid user-list-admin-page"},UsersListPage:{container:"data-testid users-list-page"},UserAnonListPage:{container:"data-testid user-anon-list-page"},UsersListPublicDashboardsPage:{container:"data-testid users-list-public-dashboards-page",DashboardsListModal:{listItem:e=>`data-testid dashboards-list-item-${e}`}}},ProfilePage:{url:"/profile"}},components:Ie};var je=v(6089);const ke=({children:e})=>{const t=(0,Oe.useStyles2)(Pe);return he().createElement("div",{className:t.root},e)},Pe=e=>({root:(0,je.css)({display:"flex",flexWrap:"wrap",alignItems:"center",gap:e.spacing(3),minHeight:e.spacing(4)})});var Le=Object.defineProperty,Ne=Object.defineProperties,Fe=Object.getOwnPropertyDescriptors,De=Object.getOwnPropertySymbols,Me=Object.prototype.hasOwnProperty,Ve=Object.prototype.propertyIsEnumerable,Ue=(e,t,r)=>t in e?Le(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Be=(e,t)=>{for(var r in t||(t={}))Me.call(t,r)&&Ue(e,r,t[r]);if(De)for(var r of De(t))Ve.call(t,r)&&Ue(e,r,t[r]);return e},ze=(e,t)=>Ne(e,Fe(t)),We=(e,t)=>{var r={};for(var n in e)Me.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&De)for(var n of De(e))t.indexOf(n)<0&&Ve.call(e,n)&&(r[n]=e[n]);return r};function He(e){var t=e,{label:r}=t,n=We(t,["label"]);const o=(0,Oe.useStyles2)($e),[i]=(0,pe.useState)((()=>Math.random().toString(16).slice(2))),a={SelectContainer:qe,ValueContainer:Ge,SingleValue:Ge};return he().createElement("div",{className:o.root},r&&he().createElement("label",{className:o.label,htmlFor:i},r,":"," "),he().createElement(Oe.Select,ze(Be({openMenuOnFocus:!0,inputId:i},n),{components:a})))}const qe=e=>{const{children:t}=e,r=(0,Oe.useStyles2)($e);return he().createElement(Oe.SelectContainer,ze(Be({},e),{className:(0,je.cx)(e.className,r.container)}),t)},Ge=e=>{const{className:t,children:r}=e,n=(0,Oe.useStyles2)($e);return he().createElement("div",{className:(0,je.cx)(t,n.valueContainer)},r)},$e=e=>({root:(0,je.css)({display:"flex",fontSize:12,alignItems:"center"}),label:(0,je.css)({color:e.colors.text.secondary,whiteSpace:"nowrap"}),container:(0,je.css)({background:"none",borderColor:"transparent"}),valueContainer:(0,je.css)({display:"flex",alignItems:"center",flex:"initial",color:e.colors.text.secondary,fontSize:12})}),Ke=({grow:e,shrink:t})=>he().createElement("div",{style:{display:"block",flexGrow:e,flexShrink:t}});var Ye=Object.getOwnPropertySymbols,Xe=Object.prototype.hasOwnProperty,Qe=Object.prototype.propertyIsEnumerable;const Je=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)Xe.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&Ye)for(var n of Ye(e))t.indexOf(n)<0&&Qe.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);const o=(0,Oe.useStyles2)((0,pe.useCallback)((e=>Ze(e,n)),[n]));return he().createElement("div",{className:o.root},r)},Ze=(e,t)=>{var r,n,o;return{root:(0,je.css)({display:"flex",flexDirection:null!=(r=t.direction)?r:"row",flexWrap:null==(n=t.wrap)||n?"wrap":void 0,alignItems:t.alignItems,gap:e.spacing(null!=(o=t.gap)?o:2),flexGrow:t.flexGrow})}},et=({children:e})=>{const t=(0,Oe.useStyles2)(tt);return he().createElement("div",{className:t.root},he().createElement(Je,{gap:2},e))},tt=e=>({root:(0,je.css)({padding:e.spacing(1),backgroundColor:e.colors.background.secondary,borderRadius:e.shape.borderRadius(1)})}),rt=({v:e=0,h:t=0,layout:r="block"})=>{const n=(0,Oe.useStyles2)((0,pe.useCallback)((n=>nt(n,{v:e,h:t,layout:r})),[e,t,r]));return he().createElement("span",{className:(0,je.cx)(n.wrapper)})},nt=(e,t)=>{var r,n;return{wrapper:(0,je.css)([{paddingRight:e.spacing(null!=(r=t.h)?r:0),paddingBottom:e.spacing(null!=(n=t.v)?n:0)},"inline"===t.layout&&{display:"inline-block"},"block"===t.layout&&{display:"block"}])}};var ot=Object.defineProperty,it=Object.getOwnPropertySymbols,at=Object.prototype.hasOwnProperty,lt=Object.prototype.propertyIsEnumerable,st=(e,t,r)=>t in e?ot(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const ut=e=>{var t;const r=e,{label:n,optional:o,tooltip:i,tooltipInteractive:a,children:l,width:s}=r,u=((e,t)=>{var r={};for(var n in e)at.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&it)for(var n of it(e))t.indexOf(n)<0&&lt.call(e,n)&&(r[n]=e[n]);return r})(r,["label","optional","tooltip","tooltipInteractive","children","width"]),c=(0,Oe.useStyles2)((0,pe.useCallback)((e=>ct(e,s)),[s])),d=(null==u?void 0:u.htmlFor)||(null==(t=Oe.ReactUtils)?void 0:t.getChildId(l)),p=he().createElement(he().Fragment,null,he().createElement("label",{className:c.label,htmlFor:d},n,o&&he().createElement("span",{className:c.optional}," - optional"),i&&he().createElement(Oe.Tooltip,{placement:"top",content:i,theme:"info",interactive:a},he().createElement(Oe.Icon,{tabIndex:0,name:"info-circle",size:"sm",className:c.icon}))),he().createElement(rt,{v:.5}));return he().createElement("div",{className:c.root},he().createElement(Oe.Field,((e,t)=>{for(var r in t||(t={}))at.call(t,r)&&st(e,r,t[r]);if(it)for(var r of it(t))lt.call(t,r)&&st(e,r,t[r]);return e})({className:c.field,label:p},u),l))},ct=(e,t)=>({root:(0,je.css)({minWidth:e.spacing(null!=t?t:0)}),label:(0,je.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),optional:(0,je.css)({fontStyle:"italic",color:e.colors.text.secondary}),field:(0,je.css)({marginBottom:0}),icon:(0,je.css)({color:e.colors.text.secondary,marginLeft:e.spacing(1),":hover":{color:e.colors.text.primary}})});function dt({isOpen:e,onCancel:t,onDiscard:r,onCopy:n}){const o=(0,pe.useRef)(null),i=(0,Oe.useStyles2)(pt);return(0,pe.useEffect)((()=>{var t;e&&(null===(t=o.current)||void 0===t||t.focus())}),[e]),(0,de.jsxs)(Oe.Modal,{title:(0,de.jsxs)("div",{className:i.modalHeaderTitle,children:[(0,de.jsx)(Oe.Icon,{name:"exclamation-triangle",size:"lg"}),(0,de.jsx)("span",{className:i.titleText,children:"Warning"})]}),onDismiss:t,isOpen:e,children:[(0,de.jsx)("p",{children:"Builder mode does not display changes made in code. The query builder will display the last changes you made in builder mode."}),(0,de.jsx)("p",{children:"Do you want to copy your code to the clipboard?"}),(0,de.jsxs)(Oe.Modal.ButtonRow,{children:[(0,de.jsx)(Oe.Button,{type:"button",variant:"secondary",onClick:t,fill:"outline",children:"Cancel"}),(0,de.jsx)(Oe.Button,{variant:"destructive",type:"button",onClick:r,ref:o,children:"Discard code and switch"}),(0,de.jsx)(Oe.Button,{variant:"primary",onClick:n,children:"Copy code and switch"})]})]})}const pt=e=>({titleText:(0,je.css)({paddingLeft:e.spacing(2)}),modalHeaderTitle:(0,je.css)({fontSize:e.typography.size.lg,float:"left",paddingTop:e.spacing(1),margin:e.spacing(0,2)})}),ft=()=>!!se.config.featureToggles.sqlDatasourceDatabaseSelection;function ht(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function gt(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){ht(i,n,o,a,l,"next",e)}function l(e){ht(i,n,o,a,l,"throw",e)}a(void 0)}))}}const vt=({dataset:e,db:t,dialect:r,onChange:n,inputId:o,preconfiguredDataset:i})=>{const a=!!i||"postgres"===r,l=me(gt((function*(){return ft()&&a?(n(x(i)),[x(i)]):(e&&n(x(e)),(yield t.datasets()).map(x))})),[]);return(0,pe.useEffect)((()=>{ft()||(e?l.value&&void 0===l.value.find((t=>t.value===e))&&l.value.length>0&&n(l.value[0]):l.value&&l.value[0]&&n(l.value[0]))}),[l.value,n,e]),(0,de.jsx)(Oe.Select,{"aria-label":"Dataset selector",inputId:o,value:e,options:l.value,onChange:n,disabled:l.loading,isLoading:l.loading,menuShouldPortal:!0})};function mt(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function yt(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){mt(i,n,o,a,l,"next",e)}function l(e){mt(i,n,o,a,l,"throw",e)}a(void 0)}))}}const bt=({db:e,dataset:t,table:r,className:n,onChange:o,inputId:i})=>{const a=me(yt((function*(){return t?(yield e.tables(t)).map(w.toOption):[]})),[t]);return(0,de.jsx)(Oe.Select,{className:n,disabled:a.loading,"aria-label":"Table selector",inputId:i,"data-testid":Ae.components.SQLQueryEditor.headerTableSelector,value:r,options:a.value,onChange:o,isLoading:a.loading,menuShouldPortal:!0,placeholder:a.loading?"Loading tables":"Select table"})};function Ot(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Et(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Ot(e,t,r[t])}))}return e}function St(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const wt=[{label:"Builder",value:le.Builder},{label:"Code",value:le.Code}];function Tt({db:e,dialect:t,isQueryRunnable:r,onChange:n,onQueryRowChange:o,onRunQuery:i,preconfiguredDataset:a,query:l,queryRowFilter:s}){const{editorMode:u}=l,[c,d]=Re(),[p,f]=(0,pe.useState)(!1),h=e.toRawSql,g=(0,pe.useId)(),v=(0,pe.useCallback)((e=>{var t;e===le.Code&&(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,selectedEditorMode:le.Code}),u!==le.Code?n(St(Et({},l),{editorMode:e})):f(!0)}),[u,n,l]);return(0,de.jsxs)(de.Fragment,{children:[(0,de.jsxs)(ke,{children:[(0,de.jsx)(He,{label:"Format",value:l.format,placeholder:"Select format",menuShouldPortal:!0,onChange:e=>{var t;const r=St(Et({},l),{format:void 0!==e.value?e.value:S.Table});(0,se.reportInteraction)("grafana_sql_format_changed",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,selectedFormat:r.format}),n(r)},options:T}),u===le.Builder&&(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(Oe.InlineSwitch,{id:`sql-filter-${g}`,label:"Filter","data-testid":Ae.components.SQLQueryEditor.headerFilterSwitch,transparent:!0,showLabel:!0,value:s.filter,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_filter_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(St(Et({},s),{filter:e.target.checked})))}}),(0,de.jsx)(Oe.InlineSwitch,{id:`sql-group-${g}`,label:"Group","data-testid":Ae.components.SQLQueryEditor.headerGroupSwitch,transparent:!0,showLabel:!0,value:s.group,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_group_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(St(Et({},s),{group:e.target.checked})))}}),(0,de.jsx)(Oe.InlineSwitch,{id:`sql-order-${g}`,label:"Order","data-testid":Ae.components.SQLQueryEditor.headerOrderSwitch,transparent:!0,showLabel:!0,value:s.order,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_order_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(St(Et({},s),{order:e.target.checked})))}}),(0,de.jsx)(Oe.InlineSwitch,{id:`sql-preview-${g}`,label:"Preview","data-testid":Ae.components.SQLQueryEditor.headerPreviewSwitch,transparent:!0,showLabel:!0,value:s.preview,onChange:e=>{var t;e.target instanceof HTMLInputElement&&((0,se.reportInteraction)("grafana_sql_preview_toggled",{datasource:null===(t=l.datasource)||void 0===t?void 0:t.type,displayed:e.target.checked}),o(St(Et({},s),{preview:e.target.checked})))}})]}),(0,de.jsx)(Ke,{grow:1}),r?(0,de.jsx)(Oe.Button,{icon:"play",variant:"primary",size:"sm",onClick:()=>i(),children:"Run query"}):(0,de.jsx)(Oe.Tooltip,{theme:"error",content:(0,de.jsxs)(de.Fragment,{children:["Your query is invalid. Check below for details. ",(0,de.jsx)("br",{}),"However, you can still run this query."]}),placement:"top",children:(0,de.jsx)(Oe.Button,{icon:"exclamation-triangle",variant:"secondary",size:"sm",onClick:()=>i(),children:"Run query"})}),(0,de.jsx)(Oe.RadioButtonGroup,{options:wt,size:"sm",value:u,onChange:v}),(0,de.jsx)(dt,{isOpen:p,onCopy:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:le.Builder,type:"copy"}),f(!1),d(l.rawSql),n(St(Et({},l),{rawSql:h(l),editorMode:le.Builder}))},onDiscard:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:le.Builder,type:"discard"}),f(!1),n(St(Et({},l),{rawSql:h(l),editorMode:le.Builder}))},onCancel:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_mode_changed",{datasource:null===(e=l.datasource)||void 0===e?void 0:e.type,selectedEditorMode:le.Builder,type:"cancel"}),f(!1)}})]}),u===le.Builder&&(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(Oe.Space,{v:.5}),(0,de.jsxs)(et,{children:["influx"!==t&&!(!ft()&&"postgres"===t)&&(0,de.jsx)(ut,{label:"Dataset",width:25,children:(0,de.jsx)(vt,{db:e,inputId:`sql-dataset-${g}`,dataset:l.dataset,dialect:t,preconfiguredDataset:a,onChange:e=>{if(e.value===l.dataset)return;const t=St(Et({},l),{dataset:e.value,table:void 0,sql:void 0,rawSql:""});n(t)}})}),(0,de.jsx)(ut,{label:"Table",width:25,children:(0,de.jsx)(bt,{db:e,inputId:`sql-tableselect-${g}`,dataset:l.dataset||a,table:l.table,onChange:e=>{if(e.value===l.table)return;const t=St(Et({},l),{table:e.value,sql:void 0,rawSql:""});n(t)}})})]})]})]})}var xt=function(){},_t="undefined"!=typeof window;const Ct=_t?pe.useLayoutEffect:pe.useEffect;var Rt={x:0,y:0,width:0,height:0,top:0,left:0,bottom:0,right:0};const It=_t&&void 0!==window.ResizeObserver?function(){var e=(0,pe.useState)(null),t=e[0],r=e[1],n=(0,pe.useState)(Rt),o=n[0],i=n[1],a=(0,pe.useMemo)((function(){return new window.ResizeObserver((function(e){if(e[0]){var t=e[0].contentRect,r=t.x,n=t.y,o=t.width,a=t.height,l=t.top,s=t.left,u=t.bottom,c=t.right;i({x:r,y:n,width:o,height:a,top:l,left:s,bottom:u,right:c})}}))}),[]);return Ct((function(){if(t)return a.observe(t),function(){a.disconnect()}}),[t]),[r,o]}:function(){return[xt,Rt]};let At;At="undefined"!=typeof window?window:"undefined"!=typeof self?self:v.g;let jt=null,kt=null;const Pt=At.clearTimeout,Lt=At.setTimeout,Nt=At.cancelAnimationFrame||At.mozCancelAnimationFrame||At.webkitCancelAnimationFrame,Ft=At.requestAnimationFrame||At.mozRequestAnimationFrame||At.webkitRequestAnimationFrame;null==Nt||null==Ft?(jt=Pt,kt=function(e){return Lt(e,20)}):(jt=function([e,t]){Nt(e),Pt(t)},kt=function(e){const t=Ft((function(){Pt(r),e()})),r=Lt((function(){Nt(t),e()}),20);return[t,r]});class Dt extends pe.Component{constructor(...e){super(...e),this.state={height:this.props.defaultHeight||0,scaledHeight:this.props.defaultHeight||0,scaledWidth:this.props.defaultWidth||0,width:this.props.defaultWidth||0},this._autoSizer=null,this._detectElementResize=null,this._parentNode=null,this._resizeObserver=null,this._timeoutId=null,this._onResize=()=>{this._timeoutId=null;const{disableHeight:e,disableWidth:t,onResize:r}=this.props;if(this._parentNode){const n=window.getComputedStyle(this._parentNode)||{},o=parseFloat(n.paddingLeft||"0"),i=parseFloat(n.paddingRight||"0"),a=parseFloat(n.paddingTop||"0"),l=parseFloat(n.paddingBottom||"0"),s=this._parentNode.getBoundingClientRect(),u=s.height-a-l,c=s.width-o-i,d=this._parentNode.offsetHeight-a-l,p=this._parentNode.offsetWidth-o-i;(e||this.state.height===d&&this.state.scaledHeight===u)&&(t||this.state.width===p&&this.state.scaledWidth===c)||(this.setState({height:d,width:p,scaledHeight:u,scaledWidth:c}),"function"==typeof r&&r({height:d,scaledHeight:u,scaledWidth:c,width:p}))}},this._setRef=e=>{this._autoSizer=e}}componentDidMount(){const{nonce:e}=this.props,t=this._autoSizer?this._autoSizer.parentNode:null;if(null!=t&&t.ownerDocument&&t.ownerDocument.defaultView&&t instanceof t.ownerDocument.defaultView.HTMLElement){this._parentNode=t;const r=t.ownerDocument.defaultView.ResizeObserver;null!=r?(this._resizeObserver=new r((()=>{this._timeoutId=setTimeout(this._onResize,0)})),this._resizeObserver.observe(t)):(this._detectElementResize=function(e){let t,r,n,o,i,a,l;const s="undefined"!=typeof document&&document.attachEvent;if(!s){a=function(e){const t=e.__resizeTriggers__,r=t.firstElementChild,n=t.lastElementChild,o=r.firstElementChild;n.scrollLeft=n.scrollWidth,n.scrollTop=n.scrollHeight,o.style.width=r.offsetWidth+1+"px",o.style.height=r.offsetHeight+1+"px",r.scrollLeft=r.scrollWidth,r.scrollTop=r.scrollHeight},i=function(e){return e.offsetWidth!==e.__resizeLast__.width||e.offsetHeight!==e.__resizeLast__.height},l=function(e){if(e.target.className&&"function"==typeof e.target.className.indexOf&&e.target.className.indexOf("contract-trigger")<0&&e.target.className.indexOf("expand-trigger")<0)return;const t=this;a(this),this.__resizeRAF__&&jt(this.__resizeRAF__),this.__resizeRAF__=kt((function(){i(t)&&(t.__resizeLast__.width=t.offsetWidth,t.__resizeLast__.height=t.offsetHeight,t.__resizeListeners__.forEach((function(r){r.call(t,e)})))}))};let e=!1,s="";n="animationstart";const u="Webkit Moz O ms".split(" ");let c="webkitAnimationStart animationstart oAnimationStart MSAnimationStart".split(" "),d="";{const t=document.createElement("fakeelement");if(void 0!==t.style.animationName&&(e=!0),!1===e)for(let r=0;r<u.length;r++)if(void 0!==t.style[u[r]+"AnimationName"]){d=u[r],s="-"+d.toLowerCase()+"-",n=c[r],e=!0;break}}r="resizeanim",t="@"+s+"keyframes "+r+" { from { opacity: 0; } to { opacity: 0; } } ",o=s+"animation: 1ms "+r+"; "}return{addResizeListener:function(i,u){if(s)i.attachEvent("onresize",u);else{if(!i.__resizeTriggers__){const s=i.ownerDocument,u=At.getComputedStyle(i);u&&"static"===u.position&&(i.style.position="relative"),function(r){if(!r.getElementById("detectElementResize")){const n=(t||"")+".resize-triggers { "+(o||"")+'visibility: hidden; opacity: 0; } .resize-triggers, .resize-triggers > div, .contract-trigger:before { content: " "; display: block; position: absolute; top: 0; left: 0; height: 100%; width: 100%; overflow: hidden; z-index: -1; } .resize-triggers > div { background: #eee; overflow: auto; } .contract-trigger:before { width: 200%; height: 200%; }',i=r.head||r.getElementsByTagName("head")[0],a=r.createElement("style");a.id="detectElementResize",a.type="text/css",null!=e&&a.setAttribute("nonce",e),a.styleSheet?a.styleSheet.cssText=n:a.appendChild(r.createTextNode(n)),i.appendChild(a)}}(s),i.__resizeLast__={},i.__resizeListeners__=[],(i.__resizeTriggers__=s.createElement("div")).className="resize-triggers";const c=s.createElement("div");c.className="expand-trigger",c.appendChild(s.createElement("div"));const d=s.createElement("div");d.className="contract-trigger",i.__resizeTriggers__.appendChild(c),i.__resizeTriggers__.appendChild(d),i.appendChild(i.__resizeTriggers__),a(i),i.addEventListener("scroll",l,!0),n&&(i.__resizeTriggers__.__animationListener__=function(e){e.animationName===r&&a(i)},i.__resizeTriggers__.addEventListener(n,i.__resizeTriggers__.__animationListener__))}i.__resizeListeners__.push(u)}},removeResizeListener:function(e,t){if(s)e.detachEvent("onresize",t);else if(e.__resizeListeners__.splice(e.__resizeListeners__.indexOf(t),1),!e.__resizeListeners__.length){e.removeEventListener("scroll",l,!0),e.__resizeTriggers__.__animationListener__&&(e.__resizeTriggers__.removeEventListener(n,e.__resizeTriggers__.__animationListener__),e.__resizeTriggers__.__animationListener__=null);try{e.__resizeTriggers__=!e.removeChild(e.__resizeTriggers__)}catch(e){}}}}}(e),this._detectElementResize.addResizeListener(t,this._onResize)),this._onResize()}}componentWillUnmount(){this._parentNode&&(this._detectElementResize&&this._detectElementResize.removeResizeListener(this._parentNode,this._onResize),null!==this._timeoutId&&clearTimeout(this._timeoutId),this._resizeObserver&&this._resizeObserver.disconnect())}render(){const{children:e,defaultHeight:t,defaultWidth:r,disableHeight:n=!1,disableWidth:o=!1,doNotBailOutOnEmptyChildren:i=!1,nonce:a,onResize:l,style:s={},tagName:u="div",...c}=this.props,{height:d,scaledHeight:p,scaledWidth:f,width:h}=this.state,g={overflow:"visible"},v={};let m=!1;return n||(0===d&&(m=!0),g.height=0,v.height=d,v.scaledHeight=p),o||(0===h&&(m=!0),g.width=0,v.width=h,v.scaledWidth=f),i&&(m=!1),(0,pe.createElement)(u,{ref:this._setRef,style:{...g,...s},...c},!m&&e(v))}}var Mt=Object.defineProperty,Vt=Object.getOwnPropertySymbols,Ut=Object.prototype.hasOwnProperty,Bt=Object.prototype.propertyIsEnumerable,zt=(e,t,r)=>t in e?Mt(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const Wt=(e,t,r={})=>{const n=((e,t)=>{for(var r in t||(t={}))Ut.call(t,r)&&zt(e,r,t[r]);if(Vt)for(var r of Vt(t))Bt.call(t,r)&&zt(e,r,t[r]);return e})({label:e,insertText:e,kind:ie.Field,sortText:oe.Medium,range:t},r);return n};var Ht=Object.defineProperty,qt=Object.defineProperties,Gt=Object.getOwnPropertyDescriptors,$t=Object.getOwnPropertySymbols,Kt=Object.prototype.hasOwnProperty,Yt=Object.prototype.propertyIsEnumerable,Xt=(e,t,r)=>t in e?Ht(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Qt=(e,t)=>{for(var r in t||(t={}))Kt.call(t,r)&&Xt(e,r,t[r]);if($t)for(var r of $t(t))Yt.call(t,r)&&Xt(e,r,t[r]);return e},Jt=(e,t)=>qt(e,Gt(t));const Zt=()=>[{id:re.SelectKeyword,name:re.SelectKeyword,kind:[ne.SelectKeyword]},{id:re.WithKeyword,name:re.WithKeyword,kind:[ne.WithKeyword]},{id:re.AfterSelectKeyword,name:re.AfterSelectKeyword,kind:[ne.StarWildCard,ne.FunctionsWithArguments,ne.Columns,ne.SelectMacro]},{id:re.AfterSelectFuncFirstArgument,name:re.AfterSelectFuncFirstArgument,kind:[ne.Columns]},{id:re.AfterGroupByFunctionArgument,name:re.AfterGroupByFunctionArgument,kind:[ne.Columns]},{id:re.AfterWhereFunctionArgument,name:re.AfterWhereFunctionArgument,kind:[ne.Columns]},{id:re.AfterSelectArguments,name:re.AfterSelectArguments,kind:[ne.Columns]},{id:re.AfterFromKeyword,name:re.AfterFromKeyword,kind:[ne.Schemas,ne.Tables,ne.TableMacro]},{id:re.AfterSchema,name:re.AfterSchema,kind:[ne.Tables,ne.TableMacro]},{id:re.SelectAlias,name:re.SelectAlias,kind:[ne.Columns,ne.FunctionsWithArguments]},{id:re.FromKeyword,name:re.FromKeyword,kind:[ne.FromKeyword]},{id:re.AfterFrom,name:re.AfterFrom,kind:[ne.WhereKeyword,ne.GroupByKeywords,ne.OrderByKeywords,ne.LimitKeyword]},{id:re.AfterTable,name:re.AfterTable,kind:[ne.WhereKeyword,ne.GroupByKeywords,ne.OrderByKeywords,ne.LimitKeyword]},{id:re.WhereKeyword,name:re.WhereKeyword,kind:[ne.Columns,ne.FilterMacro,ne.TemplateVariables]},{id:re.WhereComparisonOperator,name:re.WhereComparisonOperator,kind:[ne.ComparisonOperators]},{id:re.WhereValue,name:re.WhereValue,kind:[ne.FilterMacro,ne.TemplateVariables]},{id:re.AfterWhereValue,name:re.AfterWhereValue,kind:[ne.LogicalOperators,ne.GroupByKeywords,ne.OrderByKeywords,ne.LimitKeyword,ne.Columns,ne.TemplateVariables]},{id:re.AfterGroupByKeywords,name:re.AfterGroupByKeywords,kind:[ne.GroupMacro,ne.Columns]},{id:re.AfterGroupBy,name:re.AfterGroupBy,kind:[ne.OrderByKeywords,ne.LimitKeyword]},{id:re.AfterOrderByKeywords,name:re.AfterOrderByKeywords,kind:[ne.Columns]},{id:re.AfterOrderByFunction,name:re.AfterOrderByFunction,kind:[ne.SortOrderDirectionKeyword,ne.LimitKeyword]},{id:re.AfterOrderByDirection,name:re.AfterOrderByDirection,kind:[ne.LimitKeyword]},{id:re.AfterIsOperator,name:re.AfterOrderByDirection,kind:[ne.NotKeyword,ne.NullValue,ne.BoolValues]},{id:re.AfterIsNotOperator,name:re.AfterOrderByDirection,kind:[ne.NullValue,ne.BoolValues]}];class er{constructor(e,t,r,n,o){this.type=e,this.value=t,this.range=r,this.previous=n,this.next=o}isKeyword(){return this.type===te.Keyword}isWhiteSpace(){return this.type===te.Whitespace}isParenthesis(){return this.type===te.Parenthesis}isIdentifier(){return this.type===te.Identifier}isString(){return this.type===te.String}isNumber(){return this.type===te.Number}isDoubleQuotedString(){return this.type===te.Type}isVariable(){return this.type===te.Variable}isFunction(){return this.type===te.Function}isOperator(){return this.type===te.Operator}isTemplateVariable(){return this.type===te.Variable}is(e,t){const r=this.type===e;return void 0!==t?r&&tr(e,this,t):r}getPreviousNonWhiteSpaceToken(){let e=this.previous;for(;null!=e;){if(!e.isWhiteSpace())return e;e=e.previous}return null}getPreviousOfType(e,t){let r=this.previous;for(;null!=r;){const n=r.type===e;if(void 0!==t?n&&tr(e,r,t):n)return r;r=r.previous}return null}getPreviousUntil(e,t,r){let n=[],o=this.previous;for(;null!=o;){if(t.some((e=>e===(null==o?void 0:o.type)))){o=o.previous;continue}const i=o.type===e;if(void 0!==r?i&&tr(e,o,r):i)return n;o.isWhiteSpace()||n.push(o),o=o.previous}return n}getNextUntil(e,t,r){let n=[],o=this.next;for(;null!=o;){if(t.some((e=>e===(null==o?void 0:o.type)))){o=o.next;continue}const i=o.type===e;if(void 0!==r?i&&tr(e,o,r):i)return n;o.isWhiteSpace()||n.push(o),o=o.next}return n}getPreviousKeyword(){let e=this.previous;for(;null!=e;){if(e.isKeyword())return e;e=e.previous}return null}getNextNonWhiteSpaceToken(){let e=this.next;for(;null!=e;){if(!e.isWhiteSpace())return e;e=e.next}return null}getNextOfType(e,t){let r=this.next;for(;null!=r;){const n=r.type===e;if(void 0!==t?n&&tr(e,r,t):n)return r;r=r.next}return null}}function tr(e,t,r){return e===te.Keyword||e===te.Operator?t.value.toLowerCase()===r.toString().toLowerCase():t.value===r}var rr=v(8572);const nr=e=>{var t;const r=(e=>{const t=(e=>{var t;return null!=(t=null==e?void 0:e.getPreviousOfType(te.Keyword,rr.SELECT))?t:null})(e);return null==t?void 0:t.getNextOfType(te.Keyword,rr.FROM)})(e),n=null==r?void 0:r.getNextNonWhiteSpaceToken();return(null==n?void 0:n.isVariable())||(null==n?void 0:n.isKeyword())&&(null==(t=n.next)?void 0:t.is(te.Parenthesis,"("))?null:n},or=e=>{const t=null==e?void 0:e.value.split(".");return 1===(null==t?void 0:t.length)?{table:t[0]}:2===(null==t?void 0:t.length)?{schema:t[0],table:t[1]}:null},ir={id:"editor.action.triggerSuggest",title:""};var ar,lr=new Uint8Array(16);function sr(){if(!ar&&!(ar="undefined"!=typeof crypto&&crypto.getRandomValues&&crypto.getRandomValues.bind(crypto)||"undefined"!=typeof msCrypto&&"function"==typeof msCrypto.getRandomValues&&msCrypto.getRandomValues.bind(msCrypto)))throw new Error("crypto.getRandomValues() not supported. See https://github.com/uuidjs/uuid#getrandomvalues-not-supported");return ar(lr)}const ur=/^(?:[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}|00000000-0000-0000-0000-000000000000)$/i;for(var cr=[],dr=0;dr<256;++dr)cr.push((dr+256).toString(16).substr(1));const pr=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=(cr[e[t+0]]+cr[e[t+1]]+cr[e[t+2]]+cr[e[t+3]]+"-"+cr[e[t+4]]+cr[e[t+5]]+"-"+cr[e[t+6]]+cr[e[t+7]]+"-"+cr[e[t+8]]+cr[e[t+9]]+"-"+cr[e[t+10]]+cr[e[t+11]]+cr[e[t+12]]+cr[e[t+13]]+cr[e[t+14]]+cr[e[t+15]]).toLowerCase();if(!function(e){return"string"==typeof e&&ur.test(e)}(r))throw TypeError("Stringified UUID is invalid");return r},fr=function(e,t,r){var n=(e=e||{}).random||(e.rng||sr)();if(n[6]=15&n[6]|64,n[8]=63&n[8]|128,t){r=r||0;for(var o=0;o<16;++o)t[r+o]=n[o];return t}return pr(n)},hr=(e,t,r)=>()=>[{id:ne.SelectKeyword,name:ne.SelectKeyword,suggestions:(e,t)=>Promise.resolve([{label:"SELECT <column>",insertText:"SELECT $0",insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,command:ir,sortText:oe.Medium},{label:"SELECT <column> FROM <table>",insertText:"SELECT $2 FROM $1",insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,command:ir,sortText:oe.Medium}])},{id:ne.TemplateVariables,name:ne.TemplateVariables,suggestions:(e,t)=>{const r=(0,se.getTemplateSrv)();return r?Promise.resolve(r.getVariables().map((e=>{const t=`$${e.name}`,n=r.replace(t);return{label:t,detail:`(Template Variable) ${n}`,kind:ie.Snippet,documentation:`(Template Variable) ${n}`,insertText:`\\$${e.name} `,insertTextRules:ae.InsertAsSnippet,command:ir,sortText:oe.Low}}))):Promise.resolve([])}},{id:ne.SelectMacro,name:ne.SelectMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Value||e.type===ee.Column)).map(gr)])},{id:ne.TableMacro,name:ne.TableMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Table)).map(gr)])},{id:ne.GroupMacro,name:ne.GroupMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Group)).map(gr)])},{id:ne.FilterMacro,name:ne.FilterMacro,suggestions:(e,t)=>Promise.resolve([...r.list().filter((e=>e.type===ee.Filter)).map(gr)])},{id:ne.WithKeyword,name:ne.WithKeyword,suggestions:(e,t)=>Promise.resolve([{label:"WITH <alias> AS ( ... )",insertText:"WITH $1  AS ( $2 )",insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,command:ir,sortText:oe.Medium}])},{id:ne.StarWildCard,name:ne.StarWildCard,suggestions:(e,t)=>Promise.resolve([{label:"*",insertText:"* $0",insertTextRules:ae.InsertAsSnippet,kind:ie.Field,command:ir,sortText:oe.High}])},{id:ne.FunctionsWithArguments,name:ne.FunctionsWithArguments,suggestions:(t,r)=>Promise.resolve([...e.list().map((e=>({label:e.name,insertText:`${e.name}($0)`,documentation:e.description,insertTextRules:ae.InsertAsSnippet,kind:ie.Function,command:ir,sortText:oe.MediumLow})))])},{id:ne.FunctionsWithoutArguments,name:ne.FunctionsWithoutArguments,suggestions:(t,r)=>Promise.resolve([...e.list().map((e=>({label:e.name,insertText:`${e.name}()`,documentation:e.description,insertTextRules:ae.InsertAsSnippet,kind:ie.Function,command:ir,sortText:oe.MediumHigh})))])},{id:ne.FromKeyword,name:ne.FromKeyword,suggestions:(e,t)=>Promise.resolve([{label:"FROM",insertText:"FROM $0",command:ir,insertTextRules:ae.InsertAsSnippet,kind:ie.Keyword}])},{id:ne.Schemas,name:ne.Schemas,suggestions:(e,t)=>Promise.resolve([])},{id:ne.Tables,name:ne.Tables,suggestions:(e,t)=>Promise.resolve([])},{id:ne.Columns,name:ne.Columns,suggestions:(e,t)=>Promise.resolve([])},{id:ne.LogicalOperators,name:ne.LogicalOperators,suggestions:(e,r)=>Promise.resolve(t.list().filter((e=>e.type===Z.Logical)).map((e=>({label:e.operator,insertText:`${e.operator} `,documentation:e.description,command:ir,sortText:oe.MediumHigh,kind:ie.Operator}))))},{id:ne.WhereKeyword,name:ne.WhereKeyword,suggestions:(e,t)=>Promise.resolve([{label:"WHERE",insertText:"WHERE ",command:ir,sortText:oe.MediumHigh,kind:ie.Keyword}])},{id:ne.ComparisonOperators,name:ne.ComparisonOperators,suggestions:(e,r)=>Promise.resolve([...t.list().filter((e=>e.type===Z.Comparison)).map((e=>({label:e.operator,insertText:`${e.operator} `,documentation:e.description,command:ir,sortText:oe.MediumHigh,kind:ie.Operator}))),{label:"IN (...)",insertText:"IN ( $0 )",command:ir,sortText:oe.Medium,kind:ie.Operator,insertTextRules:ae.InsertAsSnippet},{label:"NOT IN (...)",insertText:"NOT IN ( $0 )",command:ir,sortText:oe.Medium,kind:ie.Operator,insertTextRules:ae.InsertAsSnippet},{label:"IS",insertText:"IS",command:ir,sortText:oe.Medium,kind:ie.Operator},{label:"IS NOT",insertText:"IS NOT",command:ir,sortText:oe.Medium,kind:ie.Operator}])},{id:ne.GroupByKeywords,name:ne.GroupByKeywords,suggestions:(e,t)=>Promise.resolve([{label:"GROUP BY",insertText:"GROUP BY ",command:ir,sortText:oe.MediumHigh,kind:ie.Keyword}])},{id:ne.OrderByKeywords,name:ne.OrderByKeywords,suggestions:(e,t)=>Promise.resolve([{label:"ORDER BY",insertText:"ORDER BY ",command:ir,sortText:oe.Medium,kind:ie.Keyword},{label:"ORDER BY(ascending)",insertText:"ORDER BY $1 ASC ",command:ir,sortText:oe.MediumLow,kind:ie.Snippet,insertTextRules:ae.InsertAsSnippet},{label:"ORDER BY(descending)",insertText:"ORDER BY $1 DESC",command:ir,sortText:oe.MediumLow,kind:ie.Snippet,insertTextRules:ae.InsertAsSnippet}])},{id:ne.LimitKeyword,name:ne.LimitKeyword,suggestions:(e,t)=>Promise.resolve([{label:"LIMIT",insertText:"LIMIT ",command:ir,sortText:oe.MediumLow,kind:ie.Keyword}])},{id:ne.SortOrderDirectionKeyword,name:ne.SortOrderDirectionKeyword,suggestions:(e,t)=>Promise.resolve([rr.ASC,rr.DESC].map((e=>({label:e,insertText:`${e} `,command:ir,kind:ie.Keyword}))))},{id:ne.NotKeyword,name:ne.NotKeyword,suggestions:()=>Promise.resolve([{label:"NOT",insertText:"NOT",command:ir,kind:ie.Keyword,sortText:oe.High}])},{id:ne.BoolValues,name:ne.BoolValues,suggestions:()=>Promise.resolve(["TRUE","FALSE"].map((e=>({label:e,insertText:`${e}`,command:ir,kind:ie.Keyword,sortText:oe.Medium}))))},{id:ne.NullValue,name:ne.NullValue,suggestions:()=>Promise.resolve(["NULL"].map((e=>({label:e,insertText:`${e}`,command:ir,kind:ie.Keyword,sortText:oe.Low}))))}];function gr(e){return{label:e.name,insertText:`${"\\"+e.text}${t=e.args,t?"(".concat(t.map(((e,t)=>`\${${t}:${e}}`)).join(", ")).concat(")"):"()"} `,insertTextRules:ae.InsertAsSnippet,kind:ie.Snippet,documentation:e.description,command:ir};var t}function vr(){return[{id:re.SelectKeyword,name:re.SelectKeyword,resolve:(e,t,r,n)=>Boolean(null===e||e.isWhiteSpace()&&null===e.previous||e.is(te.Keyword,rr.SELECT)||e.is(te.Keyword,rr.SELECT)&&null===e.previous||n||e.isIdentifier()&&(n||null===(null==e?void 0:e.previous))||e.isIdentifier()&&rr.SELECT.startsWith(e.value.toLowerCase()))},{id:re.WithKeyword,name:re.WithKeyword,resolve:(e,t,r,n)=>Boolean(null===e||e.isWhiteSpace()&&null===e.previous||e.is(te.Keyword,rr.WITH)&&null===e.previous||e.isIdentifier()&&rr.WITH.toLowerCase().startsWith(e.value.toLowerCase()))},{id:re.AfterSelectKeyword,name:re.AfterSelectKeyword,resolve:(e,t,r,n)=>Boolean((null==r?void 0:r.value.toLowerCase())===rr.SELECT)},{id:re.AfterSelectArguments,name:re.AfterSelectArguments,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===rr.SELECT&&","===(null==r?void 0:r.value))},{id:re.AfterSelectFuncFirstArgument,name:re.AfterSelectFuncFirstArgument,resolve:(e,t,r,n)=>Boolean(((null==t?void 0:t.value.toLowerCase())===rr.SELECT||(null==t?void 0:t.value.toLowerCase())===rr.AS)&&((null==r?void 0:r.is(te.Parenthesis,"("))||(null==e?void 0:e.is(te.Parenthesis,"()"))))},{id:re.AfterWhereFunctionArgument,name:re.AfterWhereFunctionArgument,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.is(te.Keyword,rr.WHERE))&&((null==r?void 0:r.is(te.Parenthesis,"("))||(null==e?void 0:e.is(te.Parenthesis,"()"))))},{id:re.AfterGroupBy,name:re.AfterGroupBy,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(te.Keyword,rr.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,rr.GROUP))&&((null==r?void 0:r.isIdentifier())||(null==r?void 0:r.isDoubleQuotedString())||(null==r?void 0:r.is(te.Parenthesis,")"))||(null==r?void 0:r.is(te.Parenthesis,"()"))))}},{id:re.SelectAlias,name:re.SelectAlias,resolve:(e,t,r,n)=>","===(null==r?void 0:r.value)&&(null==t?void 0:t.value.toLowerCase())===rr.AS},{id:re.FromKeyword,name:re.FromKeyword,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===rr.SELECT&&","!==(null==r?void 0:r.value)||((null==e?void 0:e.isKeyword())||(null==e?void 0:e.isIdentifier()))&&rr.FROM.toLowerCase().startsWith(e.value.toLowerCase()))},{id:re.AfterFromKeyword,name:re.AfterFromKeyword,resolve:(e,t,r,n)=>Boolean(!(null==e?void 0:e.value.includes("."))&&(null==r?void 0:r.value.toLowerCase())===rr.FROM)},{id:re.AfterSchema,name:re.AfterSchema,resolve:(e,t,r,n)=>((null==e?void 0:e.isWhiteSpace())&&(null==e?void 0:e.next)&&(r=(e=null==e?void 0:e.previous).getPreviousNonWhiteSpaceToken()),Boolean((null==e?void 0:e.isIdentifier())&&(null==e?void 0:e.value.endsWith("."))&&(null==r?void 0:r.value.toLowerCase())===rr.FROM))},{id:re.AfterFrom,name:re.AfterFrom,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===rr.FROM&&(null==r?void 0:r.isDoubleQuotedString())||(null==t?void 0:t.value.toLowerCase())===rr.FROM&&(null==r?void 0:r.isIdentifier())||(null==t?void 0:t.value.toLowerCase())===rr.FROM&&(null==r?void 0:r.isVariable()))},{id:re.AfterTable,name:re.AfterTable,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===rr.FROM&&((null==r?void 0:r.isVariable())||""!==(null==r?void 0:r.value)&&(null==r?void 0:r.value.toLowerCase())!==rr.FROM))},{id:re.WhereKeyword,name:re.WhereKeyword,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===rr.WHERE&&((null==r?void 0:r.isKeyword())||(null==r?void 0:r.is(te.Parenthesis,"("))||(null==r?void 0:r.is(te.Operator,rr.AND))))},{id:re.WhereComparisonOperator,name:re.WhereComparisonOperator,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.value.toLowerCase())===rr.WHERE&&!(null==(o=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:o.isOperator())&&!(null==e?void 0:e.is(te.Delimiter,"."))&&!(null==e?void 0:e.isParenthesis())&&((null==r?void 0:r.isIdentifier())||(null==r?void 0:r.isDoubleQuotedString())))}},{id:re.WhereValue,name:re.WhereValue,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.value.toLowerCase())===rr.WHERE&&(null==r?void 0:r.isOperator()))},{id:re.AfterWhereValue,name:re.AfterWhereValue,resolve:(e,t,r,n)=>{var o,i,a;return Boolean((null==t?void 0:t.value.toLowerCase())===rr.WHERE&&((null==r?void 0:r.is(te.Operator,"and"))||(null==r?void 0:r.is(te.Operator,"or"))||(null==r?void 0:r.isString())||(null==r?void 0:r.isNumber())||(null==r?void 0:r.is(te.Parenthesis,")"))||(null==r?void 0:r.is(te.Parenthesis,"()"))||(null==r?void 0:r.isTemplateVariable())||(null==r?void 0:r.is(te.IdentifierQuote))&&(null==(o=r.getPreviousNonWhiteSpaceToken())?void 0:o.is(te.Identifier))&&(null==(a=null==(i=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:i.getPreviousNonWhiteSpaceToken())?void 0:a.is(te.IdentifierQuote))))}},{id:re.AfterGroupByKeywords,name:re.AfterGroupByKeywords,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(te.Keyword,rr.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,rr.GROUP))&&((null==r?void 0:r.is(te.Keyword,rr.BY))||(null==r?void 0:r.is(te.Delimiter,","))))}},{id:re.AfterGroupByFunctionArgument,name:re.AfterGroupByFunctionArgument,resolve:(e,t,r,n)=>{var o;return Boolean((null==t?void 0:t.is(te.Keyword,rr.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,rr.GROUP))&&((null==r?void 0:r.is(te.Parenthesis,"("))||(null==e?void 0:e.is(te.Parenthesis,"()"))))}},{id:re.AfterOrderByKeywords,name:re.AfterOrderByKeywords,resolve:(e,t,r,n)=>{var o;return Boolean((null==r?void 0:r.is(te.Keyword,rr.BY))&&(null==(o=null==r?void 0:r.getPreviousKeyword())?void 0:o.is(te.Keyword,rr.ORDER)))}},{id:re.AfterOrderByFunction,name:re.AfterOrderByFunction,resolve:(e,t,r,n)=>{var o,i;return Boolean((null==t?void 0:t.is(te.Keyword,rr.BY))&&(null==(o=null==t?void 0:t.getPreviousKeyword())?void 0:o.is(te.Keyword,rr.ORDER))&&(null==r?void 0:r.is(te.Parenthesis))&&(null==(i=null==r?void 0:r.getPreviousNonWhiteSpaceToken())?void 0:i.is(te.Function)))}},{id:re.AfterOrderByDirection,name:re.AfterOrderByDirection,resolve:(e,t,r,n)=>Boolean((null==t?void 0:t.is(te.Keyword,rr.DESC))||(null==t?void 0:t.is(te.Keyword,rr.ASC)))},{id:re.AfterIsOperator,name:re.AfterIsOperator,resolve:(e,t,r,n)=>Boolean(null==r?void 0:r.is(te.Operator,"IS"))},{id:re.AfterIsNotOperator,name:re.AfterIsNotOperator,resolve:(e,t,r,n)=>{var o;return Boolean((null==r?void 0:r.is(te.Operator,"NOT"))&&(null==(o=r.getPreviousNonWhiteSpaceToken())?void 0:o.is(te.Operator,"IS")))}}]}let mr={logger:()=>{}},yr=()=>{};Oe.attachDebugger&&Oe.createLogger&&(mr=(0,Oe.createLogger)("SQLEditor"),yr=mr.logger,(0,Oe.attachDebugger)("sqleditor",void 0,mr));const br="column",Or=[{id:"$__timeFilter(dateColumn)",name:"$__timeFilter(dateColumn)",text:"$__timeFilter",args:[br],type:ee.Filter,description:"Will be replaced by a time range filter using the specified column name. For example, dateColumn BETWEEN FROM_UNIXTIME(1494410783) AND FROM_UNIXTIME(1494410983)"},{id:"$__timeFrom()",name:"$__timeFrom()",text:"$__timeFrom",args:[],type:ee.Filter,description:"Will be replaced by the start of the currently active time selection. For example, FROM_UNIXTIME(1494410783)"},{id:"$__timeTo()",name:"$__timeTo()",text:"$__timeTo",args:[],type:ee.Filter,description:"Will be replaced by the end of the currently active time selection. For example, FROM_UNIXTIME(1494410983)"},{id:"$__timeGroup(dateColumn, '5m')",name:"$__timeGroup(dateColumn, '5m')",text:"$__timeGroup",args:[br,"'5m'"],type:ee.Value,description:"Will be replaced by an expression usable in GROUP BY clause. For example, *cast(cast(UNIX_TIMESTAMP(dateColumn)/(300) as signed)*300 as signed),*"},{id:"$__table",name:"$__table",text:"$__table",args:[],type:ee.Table,description:"Will be replaced by the query table."},{id:"$__column",name:"$__column",text:"$__column",args:[],type:ee.Column,description:"Will be replaced by the query column."}];function Er(e,t){var r,n,o;const i={triggerCharacters:["."," ","$",",","(","'"]};t&&Array.isArray(t.builtinFunctions)&&(i.supportedFunctions=()=>t.builtinFunctions.map((e=>({id:e,name:e}))));const a=[];return(null==(r=null==t?void 0:t.comparisonOperators)?void 0:r.length)&&a.push(...t.comparisonOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:Z.Comparison})))),t.logicalOperators=null!=(n=t.logicalOperators)?n:t.operators,(null==(o=null==t?void 0:t.logicalOperators)?void 0:o.length)&&a.push(...t.logicalOperators.map((e=>({id:e.toLocaleLowerCase(),operator:e,type:Z.Logical})))),i.supportedOperators=()=>a,i.supportedMacros=()=>Or,i}const Sr={id:"standardSql",extensions:[".sql"],aliases:["sql"],mimetypes:[],loader:()=>Promise.resolve().then(v.bind(v,8572)),completionProvider:Er};var wr=Object.defineProperty,Tr=Object.defineProperties,xr=Object.getOwnPropertyDescriptors,_r=Object.getOwnPropertySymbols,Cr=Object.prototype.hasOwnProperty,Rr=Object.prototype.propertyIsEnumerable,Ir=(e,t,r)=>t in e?wr(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,Ar=(e,t)=>{for(var r in t||(t={}))Cr.call(t,r)&&Ir(e,r,t[r]);if(_r)for(var r of _r(t))Rr.call(t,r)&&Ir(e,r,t[r]);return e},jr=(e,t)=>Tr(e,xr(t));const kr=new Map,Pr=new Map,Lr=({children:e,onBlur:t,onChange:r,query:n,language:o={id:"sql"},width:i,height:a})=>{const l=(0,pe.useRef)(null),s=(0,pe.useRef)(),u=(0,pe.useMemo)((()=>{const e=fr(),t=`${o.id}-${e}`;return s.current=t,t}),[o.id]);(0,pe.useEffect)((()=>()=>{s.current&&Pr.delete(s.current),yr(`Removing instance cache ${s.current}`,!1,Pr)}),[]);const c=(0,pe.useCallback)((()=>{l.current&&l.current.getAction("editor.action.formatDocument").run()}),[]);return he().createElement("div",{style:{width:i}},he().createElement(Oe.CodeEditor,{height:a||"240px",width:i?i-2+"px":void 0,language:u,value:n,onBlur:e=>{r&&r(e,!1),t&&t(e)},showMiniMap:!1,showLineNumbers:!0,onEditorDidMount:(e,t)=>{l.current=e,e.onDidChangeModelContent((t=>{const n=e.getValue();r&&r(n,!1)})),e.addCommand(t.KeyMod.CtrlCmd|t.KeyCode.Enter,(()=>{const t=e.getValue();r&&r(t,!0)})),e.onKeyUp((t=>{84===t.keyCode&&e.trigger(ir.id,ir.id,{})})),Nr(t,o,u)}}),e&&e({formatQuery:c}))},Nr=async(e,t,r)=>{const n=((e,t)=>{if("sql"!==(null==t?void 0:t.id)&&!t.loader){yr(`Loading language '${null==t?void 0:t.id}' from Monaco registry`,!1);const r=e.languages.getLanguages().find((({id:e})=>e===(null==t?void 0:t.id)));if(!r)throw Error(`Unknown Monaco language ${null==t?void 0:t.id}`);return Ar(Ar({completionProvider:Er},r),t)}return Ar(Ar({},Sr),t)})(e,t);if(!n.loader)return;const{language:o,conf:i}=await n.loader(e);if(e.languages.register({id:r}),e.languages.setMonarchTokensProvider(r,Ar({},o)),e.languages.setLanguageConfiguration(r,Ar({},i)),n.formatter&&e.languages.registerDocumentFormattingEditProvider(r,{provideDocumentFormattingEdits:e=>{var r;const n=null==(r=t.formatter)?void 0:r.call(t,e.getValue());return[{range:e.getFullModelRange(),text:n||""}]}}),n.completionProvider){const i=n.completionProvider(e,o);!function(e,t,r){var n;kr.has(e)||function(e){kr.has(e)||kr.set(e,{functions:new w.Registry,operators:new w.Registry,suggestionKinds:new w.Registry(Zt),positionResolvers:new w.Registry(vr),macros:new w.Registry}),kr.get(e)}(e);const o=kr.get(e);Pr.has(t)||Pr.set(t,new w.Registry(hr(o.functions,o.operators,o.macros)));const i=Pr.get(t);if(r.supportedFunctions)for(const e of r.supportedFunctions())o.functions.getIfExists(e.id)||o.functions.register(e);if(r.supportedOperators)for(const e of r.supportedOperators())o.operators.getIfExists(e.id)||o.operators.register(jr(Ar({},e),{name:e.id}));if(r.supportedMacros)for(const e of r.supportedMacros())o.macros.getIfExists(e.id)||o.macros.register(jr(Ar({},e),{name:e.id}));if(r.customStatementPlacement)for(const e of r.customStatementPlacement()){const t=o.positionResolvers.getIfExists(e.id);if(t){const r=t.resolve;t.resolve=(...t)=>{const n=e.resolve(...t);return e.overrideDefault?n:r(...t)||n}}else o.positionResolvers.register(jr(Ar({},e),{id:e.id,name:e.id})),o.suggestionKinds.register({id:e.id,name:e.id,kind:[]})}if(r.customSuggestionKinds)for(const e of r.customSuggestionKinds()){if(null==(n=e.applyTo)||n.forEach((t=>{const r=o.suggestionKinds.getIfExists(t);r&&-1===r.kind.indexOf(e.id)&&r.kind.push(e.id)})),e.overrideDefault){const t=i.get(e.id);if(void 0!==t){t.suggestions=e.suggestionsResolver;continue}}i.register({id:e.id,name:e.id,suggestions:e.suggestionsResolver})}if(r.schemas){const e=i.get(ne.Schemas),t=e.suggestions;e.suggestions=async(e,n)=>{const o=await t(e,n);if(!r.schemas)return[...o];const i=(await r.schemas.resolve()).map((e=>{var t;return{label:e.name,insertText:`${null!=(t=e.completion)?t:e.name}.`,command:ir,kind:ie.Module,sortText:oe.High}}));return[...o,...i]}}if(r.tables){const e=i.get(ne.Tables),t=e.suggestions;e.suggestions=async(e,n)=>{var o,i,a,l,s;const u=await t(e,n),c=nr(e.currentToken),d=(null!=(i=null==(o=r.tables)?void 0:o.parseName)?i:or)(c);return[...u,...(null!=(s=await(null==(l=null==(a=r.tables)?void 0:a.resolve)?void 0:l.call(a,d)))?s:[]).map((e=>{var t;return{label:e.name,insertText:`${null!=(t=e.completion)?t:e.name}${e.completion===e.name?" $0":""}`,insertTextRules:ae.InsertAsSnippet,command:ir,kind:ie.Field,sortText:oe.MediumHigh}}))]}}if(r.columns){const e=i.get(ne.Columns),t=e.suggestions;e.suggestions=async(e,n)=>{var o,i,a;const l=await t(e,n),s=nr(e.currentToken);let u;const c=null!=(i=null==(o=r.tables)?void 0:o.parseName)?i:or;s&&s.value&&(u=c(s));let d=[];if(u){const e=await(null==(a=r.columns)?void 0:a.resolve(u));d=e?e.map((e=>{var t;return{label:e.name,insertText:null!=(t=e.completion)?t:e.name,kind:ie.Field,sortText:oe.High,detail:e.type,documentation:e.description}})):[]}return[...l,...d]}}}(t.id,r,i);const a=kr.get(t.id),l=Pr.get(r),s=async(t,n,o,i)=>{const s=function(e,t,r,n="sql"){var o;let i=null,a=null;const l=e.editor.tokenize(null!=(o=t.getValue())?o:"",n);for(let o=0;o<l.length;o++){const s=l[o];if(!s.length&&a){const e={offset:0,type:te.Whitespace,language:n,_tokenBrand:void 0};s.push(e)}for(let n=0;n<s.length;n++){const l=s[n];let u=s.length>n+1?s[n+1].offset+1:t.getLineLength(o+1)+1;const c={startLineNumber:o+1,startColumn:0===l.offset?0:l.offset+1,endLineNumber:o+1,endColumn:u},d=t.getValueInRange(c),p=new er(l.type,d,c,a,null);e.Range.containsPosition(c,r)&&(i=p),a&&(a.next=p),a=p}}return i}(e,t,n,r),u=function(e,t){var r;const n=null==e?void 0:e.getPreviousNonWhiteSpaceToken(),o=null==e?void 0:e.getPreviousKeyword(),i=null==(r=null==e?void 0:e.getPreviousNonWhiteSpaceToken())?void 0:r.is(te.Operator,"/"),a=t.list(),l=[];for(const t of a)t.resolve(e,null!=o?o:null,null!=n?n:null,Boolean(i))&&l.push(t.id);return 0===l.length?[re.Unknown]:l}(s,a.positionResolvers),c=function(e,t){let r=[];for(let n=0;n<e.length;n++){const o=t.getIfExists(e[n]);o&&(r=r.concat(o.kind))}return r}(u,a.suggestionKinds);yr("Statement position",!1,u),yr("Suggestion kinds",!1,c);const d={position:n,currentToken:s,statementPosition:u,kind:c,range:e.Range.fromPositions(n)},p=await(async(e,t,r,n,o)=>{let i=[];const a=(null==t?void 0:t.isWhiteSpace())||(null==t?void 0:t.isParenthesis())||(null==t?void 0:t.isIdentifier())&&t.value.endsWith(".")||!(null==t?void 0:t.range)?e.Range.fromPositions(n.position):null==t?void 0:t.range;for(const t of[...new Set(r)]){const r=o.getIfExists(t);if(r){const t=await r.suggestions(Jt(Qt({},n),{range:a}),e);i=[...i,...t.map((e=>Wt(e.label,a,Qt({kind:e.kind},e))))]}}return Promise.resolve(i)})(e,s,c,d,l);return{suggestions:p}};e.languages.registerCompletionItemProvider(r,jr(Ar({},i),{provideCompletionItems:s}))}};function Fr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Dr({children:e,onChange:t,query:r,width:n,height:o,editorLanguageDefinition:i}){const a=(0,pe.useRef)(r);(0,pe.useEffect)((()=>{a.current=r}),[r]);const l=(0,pe.useCallback)(((e,r)=>{const n=(o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Fr(e,t,r[t])}))}return e}({},a.current),i=null!=(i={rawQuery:!0,rawSql:e})?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o);var o,i;t(n,r)}),[t]);return(0,de.jsx)(Lr,{width:n,height:o,query:r.rawSql,onChange:l,language:i,children:e})}var Mr=v(990);function Vr(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function Ur(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){Vr(i,n,o,a,l,"next",e)}function l(e){Vr(i,n,o,a,l,"throw",e)}a(void 0)}))}}function Br({db:e,query:t,onValidate:r,range:n}){var o;const[i,a]=(0,pe.useState)(),l=(0,Oe.useTheme2)(),s=(0,pe.useMemo)((()=>(0,w.getValueFormat)("bytes")),[]),u=(0,pe.useMemo)((()=>({error:(0,je.css)({color:l.colors.error.text,fontSize:l.typography.bodySmall.fontSize,fontFamily:l.typography.fontFamilyMonospace}),valid:(0,je.css)({color:l.colors.success.text}),info:(0,je.css)({color:l.colors.text.secondary})})),[l]),[c,d]=ve(function(){var t=Ur((function*(t){var r;return""===(null===(r=t.rawSql)||void 0===r?void 0:r.trim())?null:yield e.validateQuery(t,n)}));return function(e){return t.apply(this,arguments)}}(),[e]),[]=(0,Mr.A)(Ur((function*(){const e=yield d(t);return e&&a(e),null})),1e3,[t,d]);if((0,pe.useEffect)((()=>{(null==i?void 0:i.isError)&&r(!1),(null==i?void 0:i.isValid)&&r(!0)}),[i,r]),!c.value&&!c.loading)return null;const p=(null===(o=c.value)||void 0===o?void 0:o.error)?function(e){const t=e.split(":");return t.length>2?t.slice(2).join(":"):e}(c.value.error):"";return(0,de.jsxs)(de.Fragment,{children:[c.loading&&(0,de.jsxs)("div",{className:u.info,children:[(0,de.jsx)(Oe.Spinner,{inline:!0,size:"xs"})," Validating query..."]}),!c.loading&&c.value&&(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(de.Fragment,{children:c.value.isValid&&c.value.statistics&&(0,de.jsxs)("div",{className:u.valid,children:[(0,de.jsx)(Oe.Icon,{name:"check"})," This query will process"," ",(0,de.jsx)("strong",{children:(0,w.formattedValueToString)(s(c.value.statistics.TotalBytesProcessed))})," ","when run."]})}),(0,de.jsx)(de.Fragment,{children:c.value.isError&&(0,de.jsx)("div",{className:u.error,children:p})})]})]})}function zr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Wr(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){zr(e,t,r[t])}))}return e}function Hr(e){var{showTools:t,onFormatCode:r,onExpand:n,isExpanded:o}=e,i=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["showTools","onFormatCode","onExpand","isExpanded"]);const a=(0,Oe.useTheme2)(),[l,s]=(0,pe.useState)(),u=(0,pe.useMemo)((()=>({container:(0,je.css)({border:`1px solid ${a.colors.border.medium}`,borderTop:"none",padding:a.spacing(.5,.5,.5,.5),display:"flex",flexGrow:1,justifyContent:"space-between",fontSize:a.typography.bodySmall.fontSize}),error:(0,je.css)({color:a.colors.error.text,fontSize:a.typography.bodySmall.fontSize,fontFamily:a.typography.fontFamilyMonospace}),valid:(0,je.css)({color:a.colors.success.text}),info:(0,je.css)({color:a.colors.text.secondary}),hint:(0,je.css)({color:a.colors.text.disabled,whiteSpace:"nowrap",cursor:"help"})})),[a]);let c={};return t||void 0!==l||(c={height:0,padding:0,visibility:"hidden"}),(0,de.jsxs)("div",{className:u.container,style:c,children:[(0,de.jsx)("div",{children:i.onValidate&&(0,de.jsx)(Br,(d=Wr({},i),p={onValidate:e=>{s(e),i.onValidate(e)}},p=null!=p?p:{},Object.getOwnPropertyDescriptors?Object.defineProperties(d,Object.getOwnPropertyDescriptors(p)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(p)).forEach((function(e){Object.defineProperty(d,e,Object.getOwnPropertyDescriptor(p,e))})),d))}),t&&(0,de.jsx)("div",{children:(0,de.jsxs)(Oe.HorizontalGroup,{spacing:"sm",children:[r&&(0,de.jsx)(Oe.IconButton,{onClick:()=>{var e;(0,se.reportInteraction)("grafana_sql_query_formatted",{datasource:null===(e=i.query.datasource)||void 0===e?void 0:e.type}),r()},name:"brackets-curly",size:"xs",tooltip:"Format query"}),n&&(0,de.jsx)(Oe.IconButton,{onClick:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_expand",{datasource:null===(e=i.query.datasource)||void 0===e?void 0:e.type,expanded:!o}),n(!o)},name:o?"angle-up":"angle-down",size:"xs",tooltip:o?"Collapse editor":"Expand editor"}),(0,de.jsx)(Oe.Tooltip,{content:"Hit CTRL/CMD+Return to run query",children:(0,de.jsx)(Oe.Icon,{className:u.hint,name:"keyboard"})})]})})]});var d,p}function qr({db:e,query:t,onChange:r,onRunQuery:n,onValidate:o,queryToValidate:i,range:a}){const l=(0,Oe.useTheme2)(),s=(0,Oe.useStyles2)(Gr),[u,c]=(0,pe.useState)(!1),[d,p]=It(),[f,h]=It(),g=(0,pe.useMemo)((()=>e.getEditorLanguageDefinition()),[e]),v=(n,l)=>(0,de.jsx)(Dr,{editorLanguageDefinition:g,query:t,width:n,height:l?l-p.height:void 0,onChange:r,children:({formatQuery:t})=>(0,de.jsx)("div",{ref:d,children:(0,de.jsx)(Hr,{db:e,query:i,onValidate:o,onFormatCode:t,showTools:!0,range:a,onExpand:c,isExpanded:u})})}),m=(e=!1)=>e?(0,de.jsx)(Dt,{children:({width:e,height:t})=>v(e,t)}):(0,de.jsx)("div",{ref:f,children:v()});return(0,de.jsxs)(de.Fragment,{children:[u?(0,de.jsx)("div",{style:{width:h.width,height:h.height,background:l.colors.background.primary,display:"flex",alignItems:"center",justifyContent:"center"},children:"Editing in expanded code editor"}):m(),u&&(0,de.jsx)(Oe.Modal,{title:`Query ${t.refId}`,closeOnBackdropClick:!1,closeOnEscape:!1,className:s.modal,contentClassName:s.modalContent,isOpen:u,onDismiss:()=>{var e;(0,se.reportInteraction)("grafana_sql_editor_expand",{datasource:null===(e=t.datasource)||void 0===e?void 0:e.type,expanded:!1}),c(!1)},children:m(!0)})]})}function Gr(e){return{modal:(0,je.css)({width:"95vw",height:"95vh"}),modalContent:(0,je.css)({height:"100%",paddingTop:0})}}const $r=({children:e})=>he().createElement(Je,{gap:.5,direction:"column"},e);var Kr=v(7409);function Yr(e){return Kr.Ay.format(e).replace(/(\$ \{ .* \})|(\$ __)|(\$ \w+)/g,(e=>e.replace(/\s/g,"")))}function Xr({rawSql:e,datasourceType:t}){const[r,n]=Re(),o=(0,Oe.useStyles2)(Qr),i=(0,de.jsxs)("div",{className:o.labelWrapper,children:[(0,de.jsx)("span",{className:o.label,children:"Preview"}),(0,de.jsx)(Oe.IconButton,{tooltip:"Copy to clipboard",onClick:()=>(e=>{n(e),(0,se.reportInteraction)("grafana_sql_preview_copied",{datasource:t})})(e),name:"copy"})]});return(0,de.jsx)(Oe.Field,{label:i,className:o.grow,children:(0,de.jsx)(Oe.CodeEditor,{language:"sql",height:80,value:Yr(e),monacoOptions:{scrollbar:{vertical:"hidden"},scrollBeyondLastLine:!1},readOnly:!0,showMiniMap:!1})})}function Qr(e){return{grow:(0,je.css)({flexGrow:1}),label:(0,je.css)({fontSize:12,fontWeight:e.typography.fontWeightMedium}),labelWrapper:(0,je.css)({display:"flex",justifyContent:"space-between",paddingBottom:e.spacing(.5)})}}function Jr(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Zr({query:e,onQueryChange:t,db:r}){const n=(0,pe.useCallback)((n=>{const o=(0,r.toRawSql)({sql:n,dataset:e.dataset,table:e.table,refId:e.refId}),i=(a=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Jr(e,t,r[t])}))}return e}({},e),l=null!=(l={sql:n,rawSql:o})?l:{},Object.getOwnPropertyDescriptors?Object.defineProperties(a,Object.getOwnPropertyDescriptors(l)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(l)).forEach((function(e){Object.defineProperty(a,e,Object.getOwnPropertyDescriptor(l,e))})),a);var a,l;t(i)}),[r,t,e]);return{onSqlChange:n}}const en=he().forwardRef((function({items:e,renderItem:t,onChange:r},n){return he().createElement(Je,null,e.map(((n,o)=>he().createElement("div",{key:o},t(n,(t=>((t,n)=>{const o=[...e];o[t]=n,r(o)})(o,t)),(()=>(t=>{const n=[...e];n.splice(t,1),r(n)})(o)))))),he().createElement(Oe.Button,{ref:n,onClick:()=>{const t=[...e,{}];r(t)},variant:"secondary",size:"md",icon:"plus","aria-label":"Add",type:"button"}))})),tn=({children:e})=>{const t=(0,Oe.useStyles2)(nn),r=pe.Children.map(e,(e=>(0,pe.isValidElement)(e)&&e.props.invalid?(0,pe.cloneElement)(e,{className:(0,je.cx)(e.props.className,t.invalidChild)}):e));return he().createElement("div",{className:t.root},r)},rn=["","base","hovered","invalid","focused"],nn=()=>({root:(0,je.css)({display:"flex","> *":{"&:not(:first-child)":{marginLeft:-1},"&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0},"&:not(:first-child):not(:last-child)":{borderRadius:0},position:"relative",zIndex:rn.indexOf("base"),"&:hover":{zIndex:rn.indexOf("hovered")},"&:focus-within":{zIndex:rn.indexOf("focused")}}}),invalidChild:(0,je.css)({zIndex:rn.indexOf("invalid")})});var on=Object.defineProperty,an=Object.defineProperties,ln=Object.getOwnPropertyDescriptors,sn=Object.getOwnPropertySymbols,un=Object.prototype.hasOwnProperty,cn=Object.prototype.propertyIsEnumerable,dn=(e,t,r)=>t in e?on(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const pn=e=>{var t=e,{className:r}=t,n=((e,t)=>{var r={};for(var n in e)un.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&sn)for(var n of sn(e))t.indexOf(n)<0&&cn.call(e,n)&&(r[n]=e[n]);return r})(t,["className"]);const o=(0,Oe.useStyles2)(fn);return he().createElement(Oe.Button,((e,t)=>an(e,ln(t)))(((e,t)=>{for(var r in t||(t={}))un.call(t,r)&&dn(e,r,t[r]);if(sn)for(var r of sn(t))cn.call(t,r)&&dn(e,r,t[r]);return e})({},n),{className:(0,je.cx)(r,o.button)}))},fn=e=>({button:(0,je.css)({paddingLeft:e.spacing(1.5),paddingRight:e.spacing(1.5)})});function hn(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function gn({sql:e,columns:t,onSqlChange:r}){const n=(0,pe.useCallback)((t=>{const n=t.map((e=>{var t;return Se(null===(t=e.property)||void 0===t?void 0:t.name)})),o=(i=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){hn(e,t,r[t])}))}return e}({},e),a=null!=(a={groupBy:n})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;r(o)}),[r,e]);return(0,de.jsx)(en,{items:e.groupBy,onChange:n,renderItem:vn({options:t})})}function vn({options:e}){return function(t,r,n){var o;return(0,de.jsxs)(tn,{children:[(0,de.jsx)(Oe.Select,{value:(null===(o=t.property)||void 0===o?void 0:o.name)?(0,w.toOption)(t.property.name):null,"aria-label":"Group by",options:e,menuShouldPortal:!0,onChange:({value:e})=>e&&r(Se(e))}),(0,de.jsx)(pn,{title:"Remove group by column",icon:"times",variant:"secondary",onClick:n})]})}}function mn({fields:e,query:t,onQueryChange:r,db:n}){const{onSqlChange:o}=Zr({query:t,onQueryChange:r,db:n});return(0,de.jsx)(gn,{columns:e,sql:t.sql,onSqlChange:o})}function yn(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function bn(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){yn(e,t,r[t])}))}return e}function On(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const En=[{description:"Sort by ascending",value:"ASC",icon:"sort-amount-up"},{description:"Sort by descending",value:"DESC",icon:"sort-amount-down"}];function Sn({sql:e,onSqlChange:t,columns:r,showOffset:n}){var o,i;const a=(0,pe.useCallback)((r=>{const n=On(bn({},e),{orderByDirection:r});t(n)}),[t,e]),l=(0,pe.useCallback)((r=>{const n=On(bn({},e),{limit:Number.parseInt(r.currentTarget.value,10)});t(n)}),[t,e]),s=(0,pe.useCallback)((r=>{const n=On(bn({},e),{offset:Number.parseInt(r.currentTarget.value,10)});t(n)}),[t,e]),u=(0,pe.useCallback)((r=>{const n=On(bn({},e),{orderBy:(o=null==r?void 0:r.value,{type:be.Property,property:{type:ye.String,name:o}})});var o;null===r&&(n.orderByDirection=void 0),t(n)}),[t,e]);return(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(ut,{label:"Order by",width:25,children:(0,de.jsxs)(tn,{children:[(0,de.jsx)(Oe.Select,{"aria-label":"Order by",options:r,value:(null===(o=e.orderBy)||void 0===o?void 0:o.property.name)?(0,w.toOption)(e.orderBy.property.name):null,isClearable:!0,menuShouldPortal:!0,onChange:u}),(0,de.jsx)(Oe.Space,{h:1.5}),(0,de.jsx)(Oe.RadioButtonGroup,{options:En,disabled:!(null==e||null===(i=e.orderBy)||void 0===i?void 0:i.property.name),value:e.orderByDirection,onChange:a})]})}),(0,de.jsx)(ut,{label:"Limit",optional:!0,width:25,children:(0,de.jsx)(Oe.Input,{type:"number",min:0,id:(0,ue.uniqueId)("limit-"),value:e.limit||"",onChange:l})}),n&&(0,de.jsx)(ut,{label:"Offset",optional:!0,width:25,children:(0,de.jsx)(Oe.Input,{type:"number",id:(0,ue.uniqueId)("offset-"),value:e.offset||"",onChange:s})})]})}function wn({fields:e,query:t,onQueryChange:r,db:n}){const{onSqlChange:o}=Zr({query:t,onQueryChange:r,db:n});let i=[];if(e){var a,l;const r=null===(l=t.sql)||void 0===l||null===(a=l.columns)||void 0===a?void 0:a.map(((e,t)=>{var r,n;const o=e.name?`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>e.name))})`:null===(n=e.parameters)||void 0===n?void 0:n.map((e=>e.name));return{value:o,label:`${t+1} - ${o}`}}));i=[{value:"",label:"Selected columns",options:r,expanded:!0},...e]}return(0,de.jsx)(Sn,{sql:t.sql,onSqlChange:o,columns:i})}const Tn=["AVG","COUNT","MAX","MIN","SUM"],xn=["$__time","$__timeEpoch","$__timeFilter","$__timeFrom","$__timeTo","$__timeGroup","$__timeGroupAlias","$__unixEpochFilter","$__unixEpochNanoFilter","$__unixEpochNanoFrom","$__unixEpochNanoTo","$__unixEpochGroup","$__unixEpochGroupAlias"];function _n(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Cn(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){_n(e,t,r[t])}))}return e}function Rn(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const In={label:"*",value:"*"};function An({sql:e,format:t,columns:r,onSqlChange:n,functions:o}){var i;const a=(0,Oe.useStyles2)(jn),l=[In,...r||[]],s=[];t===S.Timeseries&&(s.push({label:"time",value:"time"}),s.push({label:"value",value:"value"}));const u=(0,pe.useCallback)(((t,r)=>o=>{var i,a;let l=Cn({},t);(null===(i=t.parameters)||void 0===i?void 0:i.length)?l.parameters=t.parameters.map((e=>e.type===be.FunctionParameter?Rn(Cn({},e),{name:o.value}):e)):l.parameters=[{type:be.FunctionParameter,name:o.value}];const s=Rn(Cn({},e),{columns:null===(a=e.columns)||void 0===a?void 0:a.map(((e,t)=>t===r?l:e))});n(s)}),[n,e]),c=(0,pe.useCallback)(((t,r)=>o=>{var i;const a=Rn(Cn({},t),{name:null==o?void 0:o.value}),l=Rn(Cn({},e),{columns:null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>t===r?a:e))});n(l)}),[n,e]),d=(0,pe.useCallback)(((t,r)=>o=>{var i;let a=Cn({},t);var l;null!==o?a=Rn(Cn({},t),{alias:`"${null==o||null===(l=o.value)||void 0===l?void 0:l.trim()}"`}):delete a.alias;const s=Rn(Cn({},e),{columns:null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>t===r?a:e))});n(s)}),[n,e]),p=(0,pe.useCallback)((t=>()=>{const r=[...e.columns];r.splice(t,1);const o=Rn(Cn({},e),{columns:r});n(o)}),[n,e]),f=(0,pe.useCallback)((()=>{const t=Rn(Cn({},e),{columns:[...e.columns,we()]});n(t)}),[n,e]);return(0,de.jsxs)(Je,{gap:2,wrap:!0,direction:"column",children:[null===(i=e.columns)||void 0===i?void 0:i.map(((e,t)=>(0,de.jsx)("div",{children:(0,de.jsxs)(Je,{gap:2,alignItems:"end",children:[(0,de.jsx)(ut,{label:"Column",width:25,children:(0,de.jsx)(Oe.Select,{value:kn(e),"data-testid":Ae.components.SQLQueryEditor.selectColumn,options:l,inputId:`select-column-${t}-${(0,ue.uniqueId)()}`,menuShouldPortal:!0,allowCustomValue:!0,onChange:u(e,t)})}),(0,de.jsx)(ut,{label:"Aggregation",optional:!0,width:25,children:(0,de.jsx)(Oe.Select,{value:e.name?(0,w.toOption)(e.name):null,inputId:`select-aggregation-${t}-${(0,ue.uniqueId)()}`,"data-testid":Ae.components.SQLQueryEditor.selectAggregation,isClearable:!0,menuShouldPortal:!0,allowCustomValue:!0,options:o,onChange:c(e,t)})}),(0,de.jsx)(ut,{label:"Alias",optional:!0,width:15,children:(0,de.jsx)(Oe.Select,{value:e.alias?(0,w.toOption)(e.alias):null,inputId:`select-alias-${t}-${(0,ue.uniqueId)()}`,"data-testid":Ae.components.SQLQueryEditor.selectAlias,options:s,onChange:d(e,t),isClearable:!0,menuShouldPortal:!0,allowCustomValue:!0})}),(0,de.jsx)(Oe.Button,{title:"Remove column",type:"button",icon:"trash-alt",variant:"secondary",size:"md",onClick:p(t)})]})},t))),(0,de.jsx)(Oe.Button,{type:"button",onClick:f,variant:"secondary",title:"Add column",size:"md",icon:"plus",className:a.addButton})]})}const jn=()=>({addButton:(0,je.css)({alignSelf:"flex-start"})});function kn({parameters:e}){const t=null==e?void 0:e.find((e=>e.type===be.FunctionParameter));return(null==t?void 0:t.name)?(0,w.toOption)(t.name):null}function Pn({fields:e,query:t,onQueryChange:r,db:n}){var o;const{onSqlChange:i}=Zr({query:t,onQueryChange:r,db:n}),a=[...Tn,...(null===(o=n.functions)||void 0===o?void 0:o.call(n))||[]].map(w.toOption);return(0,de.jsx)(An,{columns:e,sql:t.sql,format:t.format,functions:a,onSqlChange:i})}var Ln=v(1777);function Nn(e,t){if(!(e instanceof t))throw new TypeError("Cannot call a class as a function")}function Fn(e){return Fn="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},Fn(e)}function Dn(e){var t=function(e,t){if("object"!=Fn(e)||!e)return e;var r=e[Symbol.toPrimitive];if(void 0!==r){var n=r.call(e,"string");if("object"!=Fn(n))return n;throw new TypeError("@@toPrimitive must return a primitive value.")}return String(e)}(e);return"symbol"==Fn(t)?t:t+""}function Mn(e,t){for(var r=0;r<t.length;r++){var n=t[r];n.enumerable=n.enumerable||!1,n.configurable=!0,"value"in n&&(n.writable=!0),Object.defineProperty(e,Dn(n.key),n)}}function Vn(e,t,r){return t&&Mn(e.prototype,t),r&&Mn(e,r),Object.defineProperty(e,"prototype",{writable:!1}),e}function Un(e){if(void 0===e)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return e}function Bn(e,t){if(t&&("object"==Fn(t)||"function"==typeof t))return t;if(void 0!==t)throw new TypeError("Derived constructors may only return object or undefined");return Un(e)}function zn(e){return zn=Object.setPrototypeOf?Object.getPrototypeOf.bind():function(e){return e.__proto__||Object.getPrototypeOf(e)},zn(e)}function Wn(e,t){return Wn=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Wn(e,t)}function Hn(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Super expression must either be null or a function");e.prototype=Object.create(t&&t.prototype,{constructor:{value:e,writable:!0,configurable:!0}}),Object.defineProperty(e,"prototype",{writable:!1}),t&&Wn(e,t)}function qn(e,t,r){return(t=Dn(t))in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Gn(e){if(Array.isArray(e))return e}function $n(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=Array(t);r<t;r++)n[r]=e[r];return n}function Kn(e,t){if(e){if("string"==typeof e)return $n(e,t);var r={}.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?$n(e,t):void 0}}function Yn(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function Xn(e,t){return Gn(e)||function(e,t){var r=null==e?null:"undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(null!=r){var n,o,i,a,l=[],s=!0,u=!1;try{if(i=(r=r.call(e)).next,0===t){if(Object(r)!==r)return;s=!1}else for(;!(s=(n=i.call(r)).done)&&(l.push(n.value),l.length!==t);s=!0);}catch(e){u=!0,o=e}finally{try{if(!s&&null!=r.return&&(a=r.return(),Object(a)!==a))return}finally{if(u)throw o}}return l}}(e,t)||Kn(e,t)||Yn()}function Qn(e){if("undefined"!=typeof Symbol&&null!=e[Symbol.iterator]||null!=e["@@iterator"])return Array.from(e)}function Jn(e){return function(e){if(Array.isArray(e))return $n(e)}(e)||Qn(e)||Kn(e)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}var Zn="delete",eo=5,to=1<<eo,ro=to-1,no={};function oo(e){e&&(e.value=!0)}function io(){}function ao(e){return void 0===e.size&&(e.size=e.__iterate(so)),e.size}function lo(e,t){if("number"!=typeof t){var r=t>>>0;if(""+r!==t||4294967295===r)return NaN;t=r}return t<0?ao(e)+t:t}function so(){return!0}function uo(e,t,r){return(0===e&&!ho(e)||void 0!==r&&e<=-r)&&(void 0===t||void 0!==r&&t>=r)}function co(e,t){return fo(e,t,0)}function po(e,t){return fo(e,t,t)}function fo(e,t,r){return void 0===e?r:ho(e)?t===1/0?t:0|Math.max(0,t+e):void 0===t||t===e?e:0|Math.min(t,e)}function ho(e){return e<0||0===e&&1/e==-1/0}var go="@@__IMMUTABLE_ITERABLE__@@";function vo(e){return Boolean(e&&e[go])}var mo="@@__IMMUTABLE_KEYED__@@";function yo(e){return Boolean(e&&e[mo])}var bo="@@__IMMUTABLE_INDEXED__@@";function Oo(e){return Boolean(e&&e[bo])}function Eo(e){return yo(e)||Oo(e)}var So=function(e){return vo(e)?e:Ko(e)},wo=function(e){function t(e){return yo(e)?e:Yo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(So),To=function(e){function t(e){return Oo(e)?e:Xo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(So),xo=function(e){function t(e){return vo(e)&&!Eo(e)?e:Qo(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t}(So);So.Keyed=wo,So.Indexed=To,So.Set=xo;var _o="@@__IMMUTABLE_SEQ__@@";function Co(e){return Boolean(e&&e[_o])}var Ro="@@__IMMUTABLE_RECORD__@@";function Io(e){return Boolean(e&&e[Ro])}function Ao(e){return vo(e)||Io(e)}var jo="@@__IMMUTABLE_ORDERED__@@";function ko(e){return Boolean(e&&e[jo])}var Po=0,Lo=1,No=2,Fo="function"==typeof Symbol&&Symbol.iterator,Do="@@iterator",Mo=Fo||Do,Vo=function(e){this.next=e};function Uo(e,t,r,n){var o=0===e?t:1===e?r:[t,r];return n?n.value=o:n={value:o,done:!1},n}function Bo(){return{value:void 0,done:!0}}function zo(e){return!!Array.isArray(e)||!!qo(e)}function Wo(e){return e&&"function"==typeof e.next}function Ho(e){var t=qo(e);return t&&t.call(e)}function qo(e){var t=e&&(Fo&&e[Fo]||e[Do]);if("function"==typeof t)return t}Vo.prototype.toString=function(){return"[Iterator]"},Vo.KEYS=Po,Vo.VALUES=Lo,Vo.ENTRIES=No,Vo.prototype.inspect=Vo.prototype.toSource=function(){return this.toString()},Vo.prototype[Mo]=function(){return this};var Go=Object.prototype.hasOwnProperty;function $o(e){return!(!Array.isArray(e)&&"string"!=typeof e)||e&&"object"==typeof e&&Number.isInteger(e.length)&&e.length>=0&&(0===e.length?1===Object.keys(e).length:e.hasOwnProperty(e.length-1))}var Ko=function(e){function t(e){return null==e?ri():Ao(e)?e.toSeq():function(e){var t,r,n=ii(e);if(n)return(r=qo(t=e))&&r===t.entries?n.fromEntrySeq():function(e){var t=qo(e);return t&&t===e.keys}(e)?n.toSetSeq():n;if("object"==typeof e)return new Zo(e);throw new TypeError("Expected Array or collection object of values, or keyed object: "+e)}(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toSeq=function(){return this},t.prototype.toString=function(){return this.__toString("Seq {","}")},t.prototype.cacheResult=function(){return!this._cache&&this.__iterateUncached&&(this._cache=this.entrySeq().toArray(),this.size=this._cache.length),this},t.prototype.__iterate=function(e,t){var r=this._cache;if(r){for(var n=r.length,o=0;o!==n;){var i=r[t?n-++o:o++];if(!1===e(i[1],i[0],this))break}return o}return this.__iterateUncached(e,t)},t.prototype.__iterator=function(e,t){var r=this._cache;if(r){var n=r.length,o=0;return new Vo((function(){if(o===n)return{value:void 0,done:!0};var i=r[t?n-++o:o++];return Uo(e,i[0],i[1])}))}return this.__iteratorUncached(e,t)},t}(So),Yo=function(e){function t(e){return null==e?ri().toKeyedSeq():vo(e)?yo(e)?e.toSeq():e.fromEntrySeq():Io(e)?e.toSeq():ni(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toKeyedSeq=function(){return this},t}(Ko),Xo=function(e){function t(e){return null==e?ri():vo(e)?yo(e)?e.entrySeq():e.toIndexedSeq():Io(e)?e.toSeq().entrySeq():oi(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return t(arguments)},t.prototype.toIndexedSeq=function(){return this},t.prototype.toString=function(){return this.__toString("Seq [","]")},t}(Ko),Qo=function(e){function t(e){return(vo(e)&&!Eo(e)?e:Xo(e)).toSetSeq()}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return t(arguments)},t.prototype.toSetSeq=function(){return this},t}(Ko);Ko.isSeq=Co,Ko.Keyed=Yo,Ko.Set=Qo,Ko.Indexed=Xo,Ko.prototype[_o]=!0;var Jo=function(e){function t(e){this._array=e,this.size=e.length}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return this.has(e)?this._array[lo(this,e)]:t},t.prototype.__iterate=function(e,t){for(var r=this._array,n=r.length,o=0;o!==n;){var i=t?n-++o:o++;if(!1===e(r[i],i,this))break}return o},t.prototype.__iterator=function(e,t){var r=this._array,n=r.length,o=0;return new Vo((function(){if(o===n)return{value:void 0,done:!0};var i=t?n-++o:o++;return Uo(e,i,r[i])}))},t}(Xo),Zo=function(e){function t(e){var t=Object.keys(e).concat(Object.getOwnPropertySymbols?Object.getOwnPropertySymbols(e):[]);this._object=e,this._keys=t,this.size=t.length}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return void 0===t||this.has(e)?this._object[e]:t},t.prototype.has=function(e){return Go.call(this._object,e)},t.prototype.__iterate=function(e,t){for(var r=this._object,n=this._keys,o=n.length,i=0;i!==o;){var a=n[t?o-++i:i++];if(!1===e(r[a],a,this))break}return i},t.prototype.__iterator=function(e,t){var r=this._object,n=this._keys,o=n.length,i=0;return new Vo((function(){if(i===o)return{value:void 0,done:!0};var a=n[t?o-++i:i++];return Uo(e,a,r[a])}))},t}(Yo);Zo.prototype[jo]=!0;var ei,ti=function(e){function t(e){this._collection=e,this.size=e.length||e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.__iterateUncached=function(e,t){if(t)return this.cacheResult().__iterate(e,t);var r=Ho(this._collection),n=0;if(Wo(r))for(var o;!(o=r.next()).done&&!1!==e(o.value,n++,this););return n},t.prototype.__iteratorUncached=function(e,t){if(t)return this.cacheResult().__iterator(e,t);var r=Ho(this._collection);if(!Wo(r))return new Vo(Bo);var n=0;return new Vo((function(){var t=r.next();return t.done?t:Uo(e,n++,t.value)}))},t}(Xo);function ri(){return ei||(ei=new Jo([]))}function ni(e){var t=ii(e);if(t)return t.fromEntrySeq();if("object"==typeof e)return new Zo(e);throw new TypeError("Expected Array or collection object of [k, v] entries, or keyed object: "+e)}function oi(e){var t=ii(e);if(t)return t;throw new TypeError("Expected Array or collection object of values: "+e)}function ii(e){return $o(e)?new Jo(e):zo(e)?new ti(e):void 0}var ai="@@__IMMUTABLE_MAP__@@";function li(e){return Boolean(e&&e[ai])}function si(e){return li(e)&&ko(e)}function ui(e){return Boolean(e&&"function"==typeof e.equals&&"function"==typeof e.hashCode)}function ci(e,t){if(e===t||e!=e&&t!=t)return!0;if(!e||!t)return!1;if("function"==typeof e.valueOf&&"function"==typeof t.valueOf){if((e=e.valueOf())===(t=t.valueOf())||e!=e&&t!=t)return!0;if(!e||!t)return!1}return!!(ui(e)&&ui(t)&&e.equals(t))}var di="function"==typeof Math.imul&&-2===Math.imul(4294967295,2)?Math.imul:function(e,t){var r=65535&(e|=0),n=65535&(t|=0);return r*n+((e>>>16)*n+r*(t>>>16)<<16>>>0)|0};function pi(e){return e>>>1&1073741824|3221225471&e}var fi=Object.prototype.valueOf;function hi(e){if(null==e)return gi(e);if("function"==typeof e.hashCode)return pi(e.hashCode(e));var t,r,n,o=(t=e).valueOf!==fi&&"function"==typeof t.valueOf?t.valueOf(t):t;if(null==o)return gi(o);switch(typeof o){case"boolean":return o?1108378657:1108378656;case"number":return function(e){if(e!=e||e===1/0)return 0;var t=0|e;for(t!==e&&(t^=4294967295*e);e>4294967295;)t^=e/=4294967295;return pi(t)}(o);case"string":return o.length>xi?(void 0===(n=Ri[r=o])&&(n=vi(r),Ci===_i&&(Ci=0,Ri={}),Ci++,Ri[r]=n),n):vi(o);case"object":case"function":return function(e){var t;if(Ei&&void 0!==(t=Oi.get(e)))return t;if(void 0!==(t=e[Ti]))return t;if(!yi){if(void 0!==(t=e.propertyIsEnumerable&&e.propertyIsEnumerable[Ti]))return t;if(void 0!==(t=function(e){if(e&&e.nodeType>0)switch(e.nodeType){case 1:return e.uniqueID;case 9:return e.documentElement&&e.documentElement.uniqueID}}(e)))return t}if(t=bi(),Ei)Oi.set(e,t);else{if(void 0!==mi&&!1===mi(e))throw new Error("Non-extensible objects are not allowed as keys.");if(yi)Object.defineProperty(e,Ti,{enumerable:!1,configurable:!1,writable:!1,value:t});else if(void 0!==e.propertyIsEnumerable&&e.propertyIsEnumerable===e.constructor.prototype.propertyIsEnumerable)e.propertyIsEnumerable=function(){return this.constructor.prototype.propertyIsEnumerable.apply(this,arguments)},e.propertyIsEnumerable[Ti]=t;else{if(void 0===e.nodeType)throw new Error("Unable to set a non-enumerable property on object.");e[Ti]=t}}return t}(o);case"symbol":return function(e){var t=Si[e];return void 0!==t||(t=bi(),Si[e]=t),t}(o);default:if("function"==typeof o.toString)return vi(o.toString());throw new Error("Value type "+typeof o+" cannot be hashed.")}}function gi(e){return null===e?1108378658:1108378659}function vi(e){for(var t=0,r=0;r<e.length;r++)t=31*t+e.charCodeAt(r)|0;return pi(t)}var mi=Object.isExtensible,yi=function(){try{return Object.defineProperty({},"@",{}),!0}catch(e){return!1}}();function bi(){var e=++wi;return 1073741824&wi&&(wi=0),e}var Oi,Ei="function"==typeof WeakMap;Ei&&(Oi=new WeakMap);var Si=Object.create(null),wi=0,Ti="__immutablehash__";"function"==typeof Symbol&&(Ti=Symbol(Ti));var xi=16,_i=255,Ci=0,Ri={},Ii=function(e){function t(e,t){this._iter=e,this._useKeys=t,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.get=function(e,t){return this._iter.get(e,t)},t.prototype.has=function(e){return this._iter.has(e)},t.prototype.valueSeq=function(){return this._iter.valueSeq()},t.prototype.reverse=function(){var e=this,t=Ni(this,!0);return this._useKeys||(t.valueSeq=function(){return e._iter.toSeq().reverse()}),t},t.prototype.map=function(e,t){var r=this,n=Li(this,e,t);return this._useKeys||(n.valueSeq=function(){return r._iter.toSeq().map(e,t)}),n},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t,n){return e(t,n,r)}),t)},t.prototype.__iterator=function(e,t){return this._iter.__iterator(e,t)},t}(Yo);Ii.prototype[jo]=!0;var Ai=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.includes=function(e){return this._iter.includes(e)},t.prototype.__iterate=function(e,t){var r=this,n=0;return t&&ao(this),this._iter.__iterate((function(o){return e(o,t?r.size-++n:n++,r)}),t)},t.prototype.__iterator=function(e,t){var r=this,n=this._iter.__iterator(Lo,t),o=0;return t&&ao(this),new Vo((function(){var i=n.next();return i.done?i:Uo(e,t?r.size-++o:o++,i.value,i)}))},t}(Xo),ji=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.has=function(e){return this._iter.includes(e)},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t){return e(t,t,r)}),t)},t.prototype.__iterator=function(e,t){var r=this._iter.__iterator(Lo,t);return new Vo((function(){var t=r.next();return t.done?t:Uo(e,t.value,t.value,t)}))},t}(Qo),ki=function(e){function t(e){this._iter=e,this.size=e.size}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.entrySeq=function(){return this._iter.toSeq()},t.prototype.__iterate=function(e,t){var r=this;return this._iter.__iterate((function(t){if(t){qi(t);var n=vo(t);return e(n?t.get(1):t[1],n?t.get(0):t[0],r)}}),t)},t.prototype.__iterator=function(e,t){var r=this._iter.__iterator(Lo,t);return new Vo((function(){for(;;){var t=r.next();if(t.done)return t;var n=t.value;if(n){qi(n);var o=vo(n);return Uo(e,o?n.get(0):n[0],o?n.get(1):n[1],t)}}}))},t}(Yo);function Pi(e){var t=$i(e);return t._iter=e,t.size=e.size,t.flip=function(){return e},t.reverse=function(){var t=e.reverse.apply(this);return t.flip=function(){return e.reverse()},t},t.has=function(t){return e.includes(t)},t.includes=function(t){return e.has(t)},t.cacheResult=Ki,t.__iterateUncached=function(t,r){var n=this;return e.__iterate((function(e,r){return!1!==t(r,e,n)}),r)},t.__iteratorUncached=function(t,r){if(t===No){var n=e.__iterator(t,r);return new Vo((function(){var e=n.next();if(!e.done){var t=e.value[0];e.value[0]=e.value[1],e.value[1]=t}return e}))}return e.__iterator(t===Lo?Po:Lo,r)},t}function Li(e,t,r){var n=$i(e);return n.size=e.size,n.has=function(t){return e.has(t)},n.get=function(n,o){var i=e.get(n,no);return i===no?o:t.call(r,i,n,e)},n.__iterateUncached=function(n,o){var i=this;return e.__iterate((function(e,o,a){return!1!==n(t.call(r,e,o,a),o,i)}),o)},n.__iteratorUncached=function(n,o){var i=e.__iterator(No,o);return new Vo((function(){var o=i.next();if(o.done)return o;var a=o.value,l=a[0];return Uo(n,l,t.call(r,a[1],l,e),o)}))},n}function Ni(e,t){var r=this,n=$i(e);return n._iter=e,n.size=e.size,n.reverse=function(){return e},e.flip&&(n.flip=function(){var t=Pi(e);return t.reverse=function(){return e.flip()},t}),n.get=function(r,n){return e.get(t?r:-1-r,n)},n.has=function(r){return e.has(t?r:-1-r)},n.includes=function(t){return e.includes(t)},n.cacheResult=Ki,n.__iterate=function(r,n){var o=this,i=0;return n&&ao(e),e.__iterate((function(e,a){return r(e,t?a:n?o.size-++i:i++,o)}),!n)},n.__iterator=function(n,o){var i=0;o&&ao(e);var a=e.__iterator(No,!o);return new Vo((function(){var e=a.next();if(e.done)return e;var l=e.value;return Uo(n,t?l[0]:o?r.size-++i:i++,l[1],e)}))},n}function Fi(e,t,r,n){var o=$i(e);return n&&(o.has=function(n){var o=e.get(n,no);return o!==no&&!!t.call(r,o,n,e)},o.get=function(n,o){var i=e.get(n,no);return i!==no&&t.call(r,i,n,e)?i:o}),o.__iterateUncached=function(o,i){var a=this,l=0;return e.__iterate((function(e,i,s){if(t.call(r,e,i,s))return l++,o(e,n?i:l-1,a)}),i),l},o.__iteratorUncached=function(o,i){var a=e.__iterator(No,i),l=0;return new Vo((function(){for(;;){var i=a.next();if(i.done)return i;var s=i.value,u=s[0],c=s[1];if(t.call(r,c,u,e))return Uo(o,n?u:l++,c,i)}}))},o}function Di(e,t,r,n){var o=e.size;if(uo(t,r,o))return e;if(void 0===o&&(t<0||r<0))return Di(e.toSeq().cacheResult(),t,r,n);var i,a=co(t,o),l=po(r,o)-a;l==l&&(i=l<0?0:l);var s=$i(e);return s.size=0===i?i:e.size&&i||void 0,!n&&Co(e)&&i>=0&&(s.get=function(t,r){return(t=lo(this,t))>=0&&t<i?e.get(t+a,r):r}),s.__iterateUncached=function(t,r){var o=this;if(0===i)return 0;if(r)return this.cacheResult().__iterate(t,r);var l=0,s=!0,u=0;return e.__iterate((function(e,r){if(!s||!(s=l++<a))return u++,!1!==t(e,n?r:u-1,o)&&u!==i})),u},s.__iteratorUncached=function(t,r){if(0!==i&&r)return this.cacheResult().__iterator(t,r);if(0===i)return new Vo(Bo);var o=e.__iterator(t,r),l=0,s=0;return new Vo((function(){for(;l++<a;)o.next();if(++s>i)return{value:void 0,done:!0};var e=o.next();return n||t===Lo||e.done?e:Uo(t,s-1,t===Po?void 0:e.value[1],e)}))},s}function Mi(e,t,r,n){var o=$i(e);return o.__iterateUncached=function(o,i){var a=this;if(i)return this.cacheResult().__iterate(o,i);var l=!0,s=0;return e.__iterate((function(e,i,u){if(!l||!(l=t.call(r,e,i,u)))return s++,o(e,n?i:s-1,a)})),s},o.__iteratorUncached=function(o,i){var a=this;if(i)return this.cacheResult().__iterator(o,i);var l=e.__iterator(No,i),s=!0,u=0;return new Vo((function(){var e,i,c;do{if((e=l.next()).done)return n||o===Lo?e:Uo(o,u++,o===Po?void 0:e.value[1],e);var d=e.value;i=d[0],c=d[1],s&&(s=t.call(r,c,i,a))}while(s);return o===No?e:Uo(o,i,c,e)}))},o}function Vi(e,t,r){var n=$i(e);return n.__iterateUncached=function(o,i){if(i)return this.cacheResult().__iterate(o,i);var a=0,l=!1;return function e(s,u){s.__iterate((function(i,s){return(!t||u<t)&&vo(i)?e(i,u+1):(a++,!1===o(i,r?s:a-1,n)&&(l=!0)),!l}),i)}(e,0),a},n.__iteratorUncached=function(n,o){if(o)return this.cacheResult().__iterator(n,o);var i=e.__iterator(n,o),a=[],l=0;return new Vo((function(){for(;i;){var e=i.next();if(!1===e.done){var s=e.value;if(n===No&&(s=s[1]),t&&!(a.length<t)||!vo(s))return r?e:Uo(n,l++,s,e);a.push(i),i=s.__iterator(n,o)}else i=a.pop()}return{value:void 0,done:!0}}))},n}function Ui(e,t,r){t||(t=Yi);var n=yo(e),o=0,i=e.toSeq().map((function(t,n){return[n,t,o++,r?r(t,n,e):t]})).valueSeq().toArray();return i.sort((function(e,r){return t(e[3],r[3])||e[2]-r[2]})).forEach(n?function(e,t){i[t].length=2}:function(e,t){i[t]=e[1]}),n?Yo(i):Oo(e)?Xo(i):Qo(i)}function Bi(e,t,r){if(t||(t=Yi),r){var n=e.toSeq().map((function(t,n){return[t,r(t,n,e)]})).reduce((function(e,r){return zi(t,e[1],r[1])?r:e}));return n&&n[0]}return e.reduce((function(e,r){return zi(t,e,r)?r:e}))}function zi(e,t,r){var n=e(r,t);return 0===n&&r!==t&&(null==r||r!=r)||n>0}function Wi(e,t,r,n){var o=$i(e),i=new Jo(r).map((function(e){return e.size}));return o.size=n?i.max():i.min(),o.__iterate=function(e,t){for(var r,n=this.__iterator(Lo,t),o=0;!(r=n.next()).done&&!1!==e(r.value,o++,this););return o},o.__iteratorUncached=function(e,o){var i=r.map((function(e){return e=So(e),Ho(o?e.reverse():e)})),a=0,l=!1;return new Vo((function(){var r;return l||(r=i.map((function(e){return e.next()})),l=n?r.every((function(e){return e.done})):r.some((function(e){return e.done}))),l?{value:void 0,done:!0}:Uo(e,a++,t.apply(null,r.map((function(e){return e.value}))))}))},o}function Hi(e,t){return e===t?e:Co(e)?t:e.constructor(t)}function qi(e){if(e!==Object(e))throw new TypeError("Expected [K, V] tuple: "+e)}function Gi(e){return yo(e)?wo:Oo(e)?To:xo}function $i(e){return Object.create((yo(e)?Yo:Oo(e)?Xo:Qo).prototype)}function Ki(){return this._iter.cacheResult?(this._iter.cacheResult(),this.size=this._iter.size,this):Ko.prototype.cacheResult.call(this)}function Yi(e,t){return void 0===e&&void 0===t?0:void 0===e?1:void 0===t?-1:e>t?1:e<t?-1:0}function Xi(e,t){t=t||0;for(var r=Math.max(0,e.length-t),n=new Array(r),o=0;o<r;o++)n[o]=e[o+t];return n}function Qi(e,t){if(!e)throw new Error(t)}function Ji(e){Qi(e!==1/0,"Cannot perform this action with an infinite size.")}function Zi(e){if($o(e)&&"string"!=typeof e)return e;if(ko(e))return e.toArray();throw new TypeError("Invalid keyPath: expected Ordered Collection or Array: "+e)}Ai.prototype.cacheResult=Ii.prototype.cacheResult=ji.prototype.cacheResult=ki.prototype.cacheResult=Ki;var ea=Object.prototype.toString;function ta(e){if(!e||"object"!=typeof e||"[object Object]"!==ea.call(e))return!1;var t=Object.getPrototypeOf(e);if(null===t)return!0;for(var r=t,n=Object.getPrototypeOf(t);null!==n;)r=n,n=Object.getPrototypeOf(r);return r===t}function ra(e){return"object"==typeof e&&(Ao(e)||Array.isArray(e)||ta(e))}function na(e){try{return"string"==typeof e?JSON.stringify(e):String(e)}catch(t){return JSON.stringify(e)}}function oa(e,t){return Ao(e)?e.has(t):ra(e)&&Go.call(e,t)}function ia(e,t,r){return Ao(e)?e.get(t,r):oa(e,t)?"function"==typeof e.get?e.get(t):e[t]:r}function aa(e){if(Array.isArray(e))return Xi(e);var t={};for(var r in e)Go.call(e,r)&&(t[r]=e[r]);return t}function la(e,t){if(!ra(e))throw new TypeError("Cannot update non-data-structure value: "+e);if(Ao(e)){if(!e.remove)throw new TypeError("Cannot update immutable value without .remove() method: "+e);return e.remove(t)}if(!Go.call(e,t))return e;var r=aa(e);return Array.isArray(r)?r.splice(t,1):delete r[t],r}function sa(e,t,r){if(!ra(e))throw new TypeError("Cannot update non-data-structure value: "+e);if(Ao(e)){if(!e.set)throw new TypeError("Cannot update immutable value without .set() method: "+e);return e.set(t,r)}if(Go.call(e,t)&&r===e[t])return e;var n=aa(e);return n[t]=r,n}function ua(e,t,r,n){n||(n=r,r=void 0);var o=ca(Ao(e),e,Zi(t),0,r,n);return o===no?r:o}function ca(e,t,r,n,o,i){var a=t===no;if(n===r.length){var l=a?o:t,s=i(l);return s===l?t:s}if(!a&&!ra(t))throw new TypeError("Cannot update within non-data-structure value in path ["+r.slice(0,n).map(na)+"]: "+t);var u=r[n],c=a?no:ia(t,u,no),d=ca(c===no?e:Ao(c),c,r,n+1,o,i);return d===c?t:d===no?la(t,u):sa(a?e?Wa():{}:t,u,d)}function da(e,t,r){return ua(e,t,no,(function(){return r}))}function pa(e,t){return da(this,e,t)}function fa(e,t){return ua(e,t,(function(){return no}))}function ha(e){return fa(this,e)}function ga(e,t,r,n){return ua(e,[t],r,n)}function va(e,t,r){return 1===arguments.length?e(this):ga(this,e,t,r)}function ma(e,t,r){return ua(this,e,t,r)}function ya(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return Oa(this,e)}function ba(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];if("function"!=typeof e)throw new TypeError("Invalid merger function: "+e);return Oa(this,t,e)}function Oa(e,t,r){for(var n=[],o=0;o<t.length;o++){var i=wo(t[o]);0!==i.size&&n.push(i)}return 0===n.length?e:0!==e.toSeq().size||e.__ownerID||1!==n.length?e.withMutations((function(e){for(var t=r?function(t,n){ga(e,n,no,(function(e){return e===no?t:r(e,t,n)}))}:function(t,r){e.set(r,t)},o=0;o<n.length;o++)n[o].forEach(t)})):e.constructor(n[0])}function Ea(e,t,r){return Sa(e,t,function(e){return function t(r,n,o){return ra(r)&&ra(n)&&(i=n,a=Ko(r),l=Ko(i),Oo(a)===Oo(l)&&yo(a)===yo(l))?Sa(r,[n],t):e?e(r,n,o):n;var i,a,l}}(r))}function Sa(e,t,r){if(!ra(e))throw new TypeError("Cannot merge into non-data-structure value: "+e);if(Ao(e))return"function"==typeof r&&e.mergeWith?e.mergeWith.apply(e,[r].concat(t)):e.merge?e.merge.apply(e,t):e.concat.apply(e,t);for(var n=Array.isArray(e),o=e,i=n?To:wo,a=n?function(t){o===e&&(o=aa(o)),o.push(t)}:function(t,n){var i=Go.call(o,n),a=i&&r?r(o[n],t,n):t;i&&a===o[n]||(o===e&&(o=aa(o)),o[n]=a)},l=0;l<t.length;l++)i(t[l]).forEach(a);return o}function wa(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return Ea(this,e)}function Ta(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return Ea(this,t,e)}function xa(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return ua(this,e,Wa(),(function(e){return Sa(e,t)}))}function _a(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return ua(this,e,Wa(),(function(e){return Ea(e,t)}))}function Ca(e){var t=this.asMutable();return e(t),t.wasAltered()?t.__ensureOwner(this.__ownerID):this}function Ra(){return this.__ownerID?this:this.__ensureOwner(new io)}function Ia(){return this.__ensureOwner()}function Aa(){return this.__altered}var ja=function(e){function t(t){return null==t?Wa():li(t)&&!ko(t)?t:Wa().withMutations((function(r){var n=e(t);Ji(n.size),n.forEach((function(e,t){return r.set(t,e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return Wa().withMutations((function(t){for(var r=0;r<e.length;r+=2){if(r+1>=e.length)throw new Error("Missing value for key: "+e[r]);t.set(e[r],e[r+1])}}))},t.prototype.toString=function(){return this.__toString("Map {","}")},t.prototype.get=function(e,t){return this._root?this._root.get(0,void 0,e,t):t},t.prototype.set=function(e,t){return Ha(this,e,t)},t.prototype.remove=function(e){return Ha(this,e,no)},t.prototype.deleteAll=function(e){var t=So(e);return 0===t.size?this:this.withMutations((function(e){t.forEach((function(t){return e.remove(t)}))}))},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._root=null,this.__hash=void 0,this.__altered=!0,this):Wa()},t.prototype.sort=function(e){return gl(Ui(this,e))},t.prototype.sortBy=function(e,t){return gl(Ui(this,t,e))},t.prototype.map=function(e,t){var r=this;return this.withMutations((function(n){n.forEach((function(o,i){n.set(i,e.call(t,o,i,r))}))}))},t.prototype.__iterator=function(e,t){return new Va(this,e,t)},t.prototype.__iterate=function(e,t){var r=this,n=0;return this._root&&this._root.iterate((function(t){return n++,e(t[1],t[0],r)}),t),n},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?za(this.size,this._root,e,this.__hash):0===this.size?Wa():(this.__ownerID=e,this.__altered=!1,this)},t}(wo);ja.isMap=li;var ka=ja.prototype;ka[ai]=!0,ka[Zn]=ka.remove,ka.removeAll=ka.deleteAll,ka.setIn=pa,ka.removeIn=ka.deleteIn=ha,ka.update=va,ka.updateIn=ma,ka.merge=ka.concat=ya,ka.mergeWith=ba,ka.mergeDeep=wa,ka.mergeDeepWith=Ta,ka.mergeIn=xa,ka.mergeDeepIn=_a,ka.withMutations=Ca,ka.wasAltered=Aa,ka.asImmutable=Ia,ka["@@transducer/init"]=ka.asMutable=Ra,ka["@@transducer/step"]=function(e,t){return e.set(t[0],t[1])},ka["@@transducer/result"]=function(e){return e.asImmutable()};var Pa=function(e,t){this.ownerID=e,this.entries=t};Pa.prototype.get=function(e,t,r,n){for(var o=this.entries,i=0,a=o.length;i<a;i++)if(ci(r,o[i][0]))return o[i][1];return n},Pa.prototype.update=function(e,t,r,n,o,i,a){for(var l=o===no,s=this.entries,u=0,c=s.length;u<c&&!ci(n,s[u][0]);u++);var d=u<c;if(d?s[u][1]===o:l)return this;if(oo(a),(l||!d)&&oo(i),!l||1!==s.length){if(!d&&!l&&s.length>=Xa)return function(e,t,r,n){e||(e=new io);for(var o=new Da(e,hi(r),[r,n]),i=0;i<t.length;i++){var a=t[i];o=o.update(e,0,void 0,a[0],a[1])}return o}(e,s,n,o);var p=e&&e===this.ownerID,f=p?s:Xi(s);return d?l?u===c-1?f.pop():f[u]=f.pop():f[u]=[n,o]:f.push([n,o]),p?(this.entries=f,this):new Pa(e,f)}};var La=function(e,t,r){this.ownerID=e,this.bitmap=t,this.nodes=r};La.prototype.get=function(e,t,r,n){void 0===t&&(t=hi(r));var o=1<<((0===e?t:t>>>e)&ro),i=this.bitmap;return i&o?this.nodes[Ka(i&o-1)].get(e+eo,t,r,n):n},La.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=hi(n));var l=(0===t?r:r>>>t)&ro,s=1<<l,u=this.bitmap,c=!!(u&s);if(!c&&o===no)return this;var d=Ka(u&s-1),p=this.nodes,f=c?p[d]:void 0,h=qa(f,e,t+eo,r,n,o,i,a);if(h===f)return this;if(!c&&h&&p.length>=Qa)return function(e,t,r,n,o){for(var i=0,a=new Array(to),l=0;0!==r;l++,r>>>=1)a[l]=1&r?t[i++]:void 0;return a[n]=o,new Na(e,i+1,a)}(e,p,u,l,h);if(c&&!h&&2===p.length&&Ga(p[1^d]))return p[1^d];if(c&&h&&1===p.length&&Ga(h))return h;var g=e&&e===this.ownerID,v=c?h?u:u^s:u|s,m=c?h?Ya(p,d,h,g):function(e,t,r){var n=e.length-1;if(r&&t===n)return e.pop(),e;for(var o=new Array(n),i=0,a=0;a<n;a++)a===t&&(i=1),o[a]=e[a+i];return o}(p,d,g):function(e,t,r,n){var o=e.length+1;if(n&&t+1===o)return e[t]=r,e;for(var i=new Array(o),a=0,l=0;l<o;l++)l===t?(i[l]=r,a=-1):i[l]=e[l+a];return i}(p,d,h,g);return g?(this.bitmap=v,this.nodes=m,this):new La(e,v,m)};var Na=function(e,t,r){this.ownerID=e,this.count=t,this.nodes=r};Na.prototype.get=function(e,t,r,n){void 0===t&&(t=hi(r));var o=(0===e?t:t>>>e)&ro,i=this.nodes[o];return i?i.get(e+eo,t,r,n):n},Na.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=hi(n));var l=(0===t?r:r>>>t)&ro,s=o===no,u=this.nodes,c=u[l];if(s&&!c)return this;var d=qa(c,e,t+eo,r,n,o,i,a);if(d===c)return this;var p=this.count;if(c){if(!d&&--p<Ja)return function(e,t,r,n){for(var o=0,i=0,a=new Array(r),l=0,s=1,u=t.length;l<u;l++,s<<=1){var c=t[l];void 0!==c&&l!==n&&(o|=s,a[i++]=c)}return new La(e,o,a)}(e,u,p,l)}else p++;var f=e&&e===this.ownerID,h=Ya(u,l,d,f);return f?(this.count=p,this.nodes=h,this):new Na(e,p,h)};var Fa=function(e,t,r){this.ownerID=e,this.keyHash=t,this.entries=r};Fa.prototype.get=function(e,t,r,n){for(var o=this.entries,i=0,a=o.length;i<a;i++)if(ci(r,o[i][0]))return o[i][1];return n},Fa.prototype.update=function(e,t,r,n,o,i,a){void 0===r&&(r=hi(n));var l=o===no;if(r!==this.keyHash)return l?this:(oo(a),oo(i),$a(this,e,t,r,[n,o]));for(var s=this.entries,u=0,c=s.length;u<c&&!ci(n,s[u][0]);u++);var d=u<c;if(d?s[u][1]===o:l)return this;if(oo(a),(l||!d)&&oo(i),l&&2===c)return new Da(e,this.keyHash,s[1^u]);var p=e&&e===this.ownerID,f=p?s:Xi(s);return d?l?u===c-1?f.pop():f[u]=f.pop():f[u]=[n,o]:f.push([n,o]),p?(this.entries=f,this):new Fa(e,this.keyHash,f)};var Da=function(e,t,r){this.ownerID=e,this.keyHash=t,this.entry=r};Da.prototype.get=function(e,t,r,n){return ci(r,this.entry[0])?this.entry[1]:n},Da.prototype.update=function(e,t,r,n,o,i,a){var l=o===no,s=ci(n,this.entry[0]);return(s?o===this.entry[1]:l)?this:(oo(a),l?void oo(i):s?e&&e===this.ownerID?(this.entry[1]=o,this):new Da(e,this.keyHash,[n,o]):(oo(i),$a(this,e,t,hi(n),[n,o])))},Pa.prototype.iterate=Fa.prototype.iterate=function(e,t){for(var r=this.entries,n=0,o=r.length-1;n<=o;n++)if(!1===e(r[t?o-n:n]))return!1},La.prototype.iterate=Na.prototype.iterate=function(e,t){for(var r=this.nodes,n=0,o=r.length-1;n<=o;n++){var i=r[t?o-n:n];if(i&&!1===i.iterate(e,t))return!1}},Da.prototype.iterate=function(e,t){return e(this.entry)};var Ma,Va=function(e){function t(e,t,r){this._type=t,this._reverse=r,this._stack=e._root&&Ba(e._root)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.next=function(){for(var e=this._type,t=this._stack;t;){var r=t.node,n=t.index++,o=void 0;if(r.entry){if(0===n)return Ua(e,r.entry)}else if(r.entries){if(n<=(o=r.entries.length-1))return Ua(e,r.entries[this._reverse?o-n:n])}else if(n<=(o=r.nodes.length-1)){var i=r.nodes[this._reverse?o-n:n];if(i){if(i.entry)return Ua(e,i.entry);t=this._stack=Ba(i,t)}continue}t=this._stack=this._stack.__prev}return{value:void 0,done:!0}},t}(Vo);function Ua(e,t){return Uo(e,t[0],t[1])}function Ba(e,t){return{node:e,index:0,__prev:t}}function za(e,t,r,n){var o=Object.create(ka);return o.size=e,o._root=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function Wa(){return Ma||(Ma=za(0))}function Ha(e,t,r){var n,o;if(e._root){var i={value:!1},a={value:!1};if(n=qa(e._root,e.__ownerID,0,void 0,t,r,i,a),!a.value)return e;o=e.size+(i.value?r===no?-1:1:0)}else{if(r===no)return e;o=1,n=new Pa(e.__ownerID,[[t,r]])}return e.__ownerID?(e.size=o,e._root=n,e.__hash=void 0,e.__altered=!0,e):n?za(o,n):Wa()}function qa(e,t,r,n,o,i,a,l){return e?e.update(t,r,n,o,i,a,l):i===no?e:(oo(l),oo(a),new Da(t,n,[o,i]))}function Ga(e){return e.constructor===Da||e.constructor===Fa}function $a(e,t,r,n,o){if(e.keyHash===n)return new Fa(t,n,[e.entry,o]);var i,a=(0===r?e.keyHash:e.keyHash>>>r)&ro,l=(0===r?n:n>>>r)&ro,s=a===l?[$a(e,t,r+eo,n,o)]:(i=new Da(t,n,o),a<l?[e,i]:[i,e]);return new La(t,1<<a|1<<l,s)}function Ka(e){return e=(e=(858993459&(e-=e>>1&1431655765))+(e>>2&858993459))+(e>>4)&252645135,127&(e+=e>>8)+(e>>16)}function Ya(e,t,r,n){var o=n?e:Xi(e);return o[t]=r,o}var Xa=to/4,Qa=to/2,Ja=to/4,Za="@@__IMMUTABLE_LIST__@@";function el(e){return Boolean(e&&e[Za])}var tl=function(e){function t(t){var r=sl();if(null==t)return r;if(el(t))return t;var n=e(t),o=n.size;return 0===o?r:(Ji(o),o>0&&o<to?ll(0,o,eo,null,new nl(n.toArray())):r.withMutations((function(e){e.setSize(o),n.forEach((function(t,r){return e.set(r,t)}))})))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("List [","]")},t.prototype.get=function(e,t){if((e=lo(this,e))>=0&&e<this.size){var r=dl(this,e+=this._origin);return r&&r.array[e&ro]}return t},t.prototype.set=function(e,t){return function(e,t,r){if((t=lo(e,t))!=t)return e;if(t>=e.size||t<0)return e.withMutations((function(e){t<0?pl(e,t).set(0,r):pl(e,0,t+1).set(t,r)}));t+=e._origin;var n=e._tail,o=e._root,i={value:!1};return t>=fl(e._capacity)?n=ul(n,e.__ownerID,0,t,r,i):o=ul(o,e.__ownerID,e._level,t,r,i),i.value?e.__ownerID?(e._root=o,e._tail=n,e.__hash=void 0,e.__altered=!0,e):ll(e._origin,e._capacity,e._level,o,n):e}(this,e,t)},t.prototype.remove=function(e){return this.has(e)?0===e?this.shift():e===this.size-1?this.pop():this.splice(e,1):this},t.prototype.insert=function(e,t){return this.splice(e,0,t)},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=this._origin=this._capacity=0,this._level=eo,this._root=this._tail=this.__hash=void 0,this.__altered=!0,this):sl()},t.prototype.push=function(){var e=arguments,t=this.size;return this.withMutations((function(r){pl(r,0,t+e.length);for(var n=0;n<e.length;n++)r.set(t+n,e[n])}))},t.prototype.pop=function(){return pl(this,0,-1)},t.prototype.unshift=function(){var e=arguments;return this.withMutations((function(t){pl(t,-e.length);for(var r=0;r<e.length;r++)t.set(r,e[r])}))},t.prototype.shift=function(){return pl(this,1)},t.prototype.concat=function(){for(var t=arguments,r=[],n=0;n<arguments.length;n++){var o=t[n],i=e("string"!=typeof o&&zo(o)?o:[o]);0!==i.size&&r.push(i)}return 0===r.length?this:0!==this.size||this.__ownerID||1!==r.length?this.withMutations((function(e){r.forEach((function(t){return t.forEach((function(t){return e.push(t)}))}))})):this.constructor(r[0])},t.prototype.setSize=function(e){return pl(this,0,e)},t.prototype.map=function(e,t){var r=this;return this.withMutations((function(n){for(var o=0;o<r.size;o++)n.set(o,e.call(t,n.get(o),o,r))}))},t.prototype.slice=function(e,t){var r=this.size;return uo(e,t,r)?this:pl(this,co(e,r),po(t,r))},t.prototype.__iterator=function(e,t){var r=t?this.size:0,n=al(this,t);return new Vo((function(){var o=n();return o===il?{value:void 0,done:!0}:Uo(e,t?--r:r++,o)}))},t.prototype.__iterate=function(e,t){for(var r,n=t?this.size:0,o=al(this,t);(r=o())!==il&&!1!==e(r,t?--n:n++,this););return n},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?ll(this._origin,this._capacity,this._level,this._root,this._tail,e,this.__hash):0===this.size?sl():(this.__ownerID=e,this.__altered=!1,this)},t}(To);tl.isList=el;var rl=tl.prototype;rl[Za]=!0,rl[Zn]=rl.remove,rl.merge=rl.concat,rl.setIn=pa,rl.deleteIn=rl.removeIn=ha,rl.update=va,rl.updateIn=ma,rl.mergeIn=xa,rl.mergeDeepIn=_a,rl.withMutations=Ca,rl.wasAltered=Aa,rl.asImmutable=Ia,rl["@@transducer/init"]=rl.asMutable=Ra,rl["@@transducer/step"]=function(e,t){return e.push(t)},rl["@@transducer/result"]=function(e){return e.asImmutable()};var nl=function(e,t){this.array=e,this.ownerID=t};nl.prototype.removeBefore=function(e,t,r){if(r===t?1<<t:0===this.array.length)return this;var n=r>>>t&ro;if(n>=this.array.length)return new nl([],e);var o,i=0===n;if(t>0){var a=this.array[n];if((o=a&&a.removeBefore(e,t-eo,r))===a&&i)return this}if(i&&!o)return this;var l=cl(this,e);if(!i)for(var s=0;s<n;s++)l.array[s]=void 0;return o&&(l.array[n]=o),l},nl.prototype.removeAfter=function(e,t,r){if(r===(t?1<<t:0)||0===this.array.length)return this;var n,o=r-1>>>t&ro;if(o>=this.array.length)return this;if(t>0){var i=this.array[o];if((n=i&&i.removeAfter(e,t-eo,r))===i&&o===this.array.length-1)return this}var a=cl(this,e);return a.array.splice(o+1),n&&(a.array[o]=n),a};var ol,il={};function al(e,t){var r=e._origin,n=e._capacity,o=fl(n),i=e._tail;return function e(a,l,s){return 0===l?function(e,a){var l=a===o?i&&i.array:e&&e.array,s=a>r?0:r-a,u=n-a;return u>to&&(u=to),function(){if(s===u)return il;var e=t?--u:s++;return l&&l[e]}}(a,s):function(o,i,a){var l,s=o&&o.array,u=a>r?0:r-a>>i,c=1+(n-a>>i);return c>to&&(c=to),function(){for(;;){if(l){var r=l();if(r!==il)return r;l=null}if(u===c)return il;var n=t?--c:u++;l=e(s&&s[n],i-eo,a+(n<<i))}}}(a,l,s)}(e._root,e._level,0)}function ll(e,t,r,n,o,i,a){var l=Object.create(rl);return l.size=t-e,l._origin=e,l._capacity=t,l._level=r,l._root=n,l._tail=o,l.__ownerID=i,l.__hash=a,l.__altered=!1,l}function sl(){return ol||(ol=ll(0,0,eo))}function ul(e,t,r,n,o,i){var a,l=n>>>r&ro,s=e&&l<e.array.length;if(!s&&void 0===o)return e;if(r>0){var u=e&&e.array[l],c=ul(u,t,r-eo,n,o,i);return c===u?e:((a=cl(e,t)).array[l]=c,a)}return s&&e.array[l]===o?e:(i&&oo(i),a=cl(e,t),void 0===o&&l===a.array.length-1?a.array.pop():a.array[l]=o,a)}function cl(e,t){return t&&e&&t===e.ownerID?e:new nl(e?e.array.slice():[],t)}function dl(e,t){if(t>=fl(e._capacity))return e._tail;if(t<1<<e._level+eo){for(var r=e._root,n=e._level;r&&n>0;)r=r.array[t>>>n&ro],n-=eo;return r}}function pl(e,t,r){void 0!==t&&(t|=0),void 0!==r&&(r|=0);var n=e.__ownerID||new io,o=e._origin,i=e._capacity,a=o+t,l=void 0===r?i:r<0?i+r:o+r;if(a===o&&l===i)return e;if(a>=l)return e.clear();for(var s=e._level,u=e._root,c=0;a+c<0;)u=new nl(u&&u.array.length?[void 0,u]:[],n),c+=1<<(s+=eo);c&&(a+=c,o+=c,l+=c,i+=c);for(var d=fl(i),p=fl(l);p>=1<<s+eo;)u=new nl(u&&u.array.length?[u]:[],n),s+=eo;var f=e._tail,h=p<d?dl(e,l-1):p>d?new nl([],n):f;if(f&&p>d&&a<i&&f.array.length){for(var g=u=cl(u,n),v=s;v>eo;v-=eo){var m=d>>>v&ro;g=g.array[m]=cl(g.array[m],n)}g.array[d>>>eo&ro]=f}if(l<i&&(h=h&&h.removeAfter(n,0,l)),a>=p)a-=p,l-=p,s=eo,u=null,h=h&&h.removeBefore(n,0,a);else if(a>o||p<d){for(c=0;u;){var y=a>>>s&ro;if(y!==p>>>s&ro)break;y&&(c+=(1<<s)*y),s-=eo,u=u.array[y]}u&&a>o&&(u=u.removeBefore(n,s,a-c)),u&&p<d&&(u=u.removeAfter(n,s,p-c)),c&&(a-=c,l-=c)}return e.__ownerID?(e.size=l-a,e._origin=a,e._capacity=l,e._level=s,e._root=u,e._tail=h,e.__hash=void 0,e.__altered=!0,e):ll(a,l,s,u,h)}function fl(e){return e<to?0:e-1>>>eo<<eo}var hl,gl=function(e){function t(e){return null==e?ml():si(e)?e:ml().withMutations((function(t){var r=wo(e);Ji(r.size),r.forEach((function(e,r){return t.set(r,e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("OrderedMap {","}")},t.prototype.get=function(e,t){var r=this._map.get(e);return void 0!==r?this._list.get(r)[1]:t},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._map.clear(),this._list.clear(),this.__altered=!0,this):ml()},t.prototype.set=function(e,t){return yl(this,e,t)},t.prototype.remove=function(e){return yl(this,e,no)},t.prototype.__iterate=function(e,t){var r=this;return this._list.__iterate((function(t){return t&&e(t[1],t[0],r)}),t)},t.prototype.__iterator=function(e,t){return this._list.fromEntrySeq().__iterator(e,t)},t.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._map.__ensureOwner(e),r=this._list.__ensureOwner(e);return e?vl(t,r,e,this.__hash):0===this.size?ml():(this.__ownerID=e,this.__altered=!1,this._map=t,this._list=r,this)},t}(ja);function vl(e,t,r,n){var o=Object.create(gl.prototype);return o.size=e?e.size:0,o._map=e,o._list=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function ml(){return hl||(hl=vl(Wa(),sl()))}function yl(e,t,r){var n,o,i=e._map,a=e._list,l=i.get(t),s=void 0!==l;if(r===no){if(!s)return e;a.size>=to&&a.size>=2*i.size?(n=(o=a.filter((function(e,t){return void 0!==e&&l!==t}))).toKeyedSeq().map((function(e){return e[0]})).flip().toMap(),e.__ownerID&&(n.__ownerID=o.__ownerID=e.__ownerID)):(n=i.remove(t),o=l===a.size-1?a.pop():a.set(l,void 0))}else if(s){if(r===a.get(l)[1])return e;n=i,o=a.set(l,[t,r])}else n=i.set(t,a.size),o=a.set(a.size,[t,r]);return e.__ownerID?(e.size=n.size,e._map=n,e._list=o,e.__hash=void 0,e.__altered=!0,e):vl(n,o)}gl.isOrderedMap=si,gl.prototype[jo]=!0,gl.prototype[Zn]=gl.prototype.remove;var bl="@@__IMMUTABLE_STACK__@@";function Ol(e){return Boolean(e&&e[bl])}var El=function(e){function t(e){return null==e?xl():Ol(e)?e:xl().pushAll(e)}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.prototype.toString=function(){return this.__toString("Stack [","]")},t.prototype.get=function(e,t){var r=this._head;for(e=lo(this,e);r&&e--;)r=r.next;return r?r.value:t},t.prototype.peek=function(){return this._head&&this._head.value},t.prototype.push=function(){var e=arguments;if(0===arguments.length)return this;for(var t=this.size+arguments.length,r=this._head,n=arguments.length-1;n>=0;n--)r={value:e[n],next:r};return this.__ownerID?(this.size=t,this._head=r,this.__hash=void 0,this.__altered=!0,this):Tl(t,r)},t.prototype.pushAll=function(t){if(0===(t=e(t)).size)return this;if(0===this.size&&Ol(t))return t;Ji(t.size);var r=this.size,n=this._head;return t.__iterate((function(e){r++,n={value:e,next:n}}),!0),this.__ownerID?(this.size=r,this._head=n,this.__hash=void 0,this.__altered=!0,this):Tl(r,n)},t.prototype.pop=function(){return this.slice(1)},t.prototype.clear=function(){return 0===this.size?this:this.__ownerID?(this.size=0,this._head=void 0,this.__hash=void 0,this.__altered=!0,this):xl()},t.prototype.slice=function(t,r){if(uo(t,r,this.size))return this;var n=co(t,this.size);if(po(r,this.size)!==this.size)return e.prototype.slice.call(this,t,r);for(var o=this.size-n,i=this._head;n--;)i=i.next;return this.__ownerID?(this.size=o,this._head=i,this.__hash=void 0,this.__altered=!0,this):Tl(o,i)},t.prototype.__ensureOwner=function(e){return e===this.__ownerID?this:e?Tl(this.size,this._head,e,this.__hash):0===this.size?xl():(this.__ownerID=e,this.__altered=!1,this)},t.prototype.__iterate=function(e,t){var r=this;if(t)return new Jo(this.toArray()).__iterate((function(t,n){return e(t,n,r)}),t);for(var n=0,o=this._head;o&&!1!==e(o.value,n++,this);)o=o.next;return n},t.prototype.__iterator=function(e,t){if(t)return new Jo(this.toArray()).__iterator(e,t);var r=0,n=this._head;return new Vo((function(){if(n){var t=n.value;return n=n.next,Uo(e,r++,t)}return{value:void 0,done:!0}}))},t}(To);El.isStack=Ol;var Sl,wl=El.prototype;function Tl(e,t,r,n){var o=Object.create(wl);return o.size=e,o._head=t,o.__ownerID=r,o.__hash=n,o.__altered=!1,o}function xl(){return Sl||(Sl=Tl(0))}wl[bl]=!0,wl.shift=wl.pop,wl.unshift=wl.push,wl.unshiftAll=wl.pushAll,wl.withMutations=Ca,wl.wasAltered=Aa,wl.asImmutable=Ia,wl["@@transducer/init"]=wl.asMutable=Ra,wl["@@transducer/step"]=function(e,t){return e.unshift(t)},wl["@@transducer/result"]=function(e){return e.asImmutable()};var _l="@@__IMMUTABLE_SET__@@";function Cl(e){return Boolean(e&&e[_l])}function Rl(e){return Cl(e)&&ko(e)}function Il(e,t){if(e===t)return!0;if(!vo(t)||void 0!==e.size&&void 0!==t.size&&e.size!==t.size||void 0!==e.__hash&&void 0!==t.__hash&&e.__hash!==t.__hash||yo(e)!==yo(t)||Oo(e)!==Oo(t)||ko(e)!==ko(t))return!1;if(0===e.size&&0===t.size)return!0;var r=!Eo(e);if(ko(e)){var n=e.entries();return t.every((function(e,t){var o=n.next().value;return o&&ci(o[1],e)&&(r||ci(o[0],t))}))&&n.next().done}var o=!1;if(void 0===e.size)if(void 0===t.size)"function"==typeof e.cacheResult&&e.cacheResult();else{o=!0;var i=e;e=t,t=i}var a=!0,l=t.__iterate((function(t,n){if(r?!e.has(t):o?!ci(t,e.get(n,no)):!ci(e.get(n,no),t))return a=!1,!1}));return a&&e.size===l}function Al(e,t){var r=function(r){e.prototype[r]=t[r]};return Object.keys(t).forEach(r),Object.getOwnPropertySymbols&&Object.getOwnPropertySymbols(t).forEach(r),e}function jl(e){if(!e||"object"!=typeof e)return e;if(!vo(e)){if(!ra(e))return e;e=Ko(e)}if(yo(e)){var t={};return e.__iterate((function(e,r){t[r]=jl(e)})),t}var r=[];return e.__iterate((function(e){r.push(jl(e))})),r}var kl=function(e){function t(t){return null==t?Dl():Cl(t)&&!ko(t)?t:Dl().withMutations((function(r){var n=e(t);Ji(n.size),n.forEach((function(e){return r.add(e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.fromKeys=function(e){return this(wo(e).keySeq())},t.intersect=function(e){return(e=So(e).toArray()).length?Ll.intersect.apply(t(e.pop()),e):Dl()},t.union=function(e){return(e=So(e).toArray()).length?Ll.union.apply(t(e.pop()),e):Dl()},t.prototype.toString=function(){return this.__toString("Set {","}")},t.prototype.has=function(e){return this._map.has(e)},t.prototype.add=function(e){return Nl(this,this._map.set(e,e))},t.prototype.remove=function(e){return Nl(this,this._map.remove(e))},t.prototype.clear=function(){return Nl(this,this._map.clear())},t.prototype.map=function(e,t){var r=this,n=!1,o=Nl(this,this._map.mapEntries((function(o){var i=o[1],a=e.call(t,i,i,r);return a!==i&&(n=!0),[a,a]}),t));return n?o:this},t.prototype.union=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];return 0===(t=t.filter((function(e){return 0!==e.size}))).length?this:0!==this.size||this.__ownerID||1!==t.length?this.withMutations((function(r){for(var n=0;n<t.length;n++)"string"==typeof t[n]?r.add(t[n]):e(t[n]).forEach((function(e){return r.add(e)}))})):this.constructor(t[0])},t.prototype.intersect=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];if(0===t.length)return this;t=t.map((function(t){return e(t)}));var n=[];return this.forEach((function(e){t.every((function(t){return t.includes(e)}))||n.push(e)})),this.withMutations((function(e){n.forEach((function(t){e.remove(t)}))}))},t.prototype.subtract=function(){for(var t=[],r=arguments.length;r--;)t[r]=arguments[r];if(0===t.length)return this;t=t.map((function(t){return e(t)}));var n=[];return this.forEach((function(e){t.some((function(t){return t.includes(e)}))&&n.push(e)})),this.withMutations((function(e){n.forEach((function(t){e.remove(t)}))}))},t.prototype.sort=function(e){return rs(Ui(this,e))},t.prototype.sortBy=function(e,t){return rs(Ui(this,t,e))},t.prototype.wasAltered=function(){return this._map.wasAltered()},t.prototype.__iterate=function(e,t){var r=this;return this._map.__iterate((function(t){return e(t,t,r)}),t)},t.prototype.__iterator=function(e,t){return this._map.__iterator(e,t)},t.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._map.__ensureOwner(e);return e?this.__make(t,e):0===this.size?this.__empty():(this.__ownerID=e,this._map=t,this)},t}(xo);kl.isSet=Cl;var Pl,Ll=kl.prototype;function Nl(e,t){return e.__ownerID?(e.size=t.size,e._map=t,e):t===e._map?e:0===t.size?e.__empty():e.__make(t)}function Fl(e,t){var r=Object.create(Ll);return r.size=e?e.size:0,r._map=e,r.__ownerID=t,r}function Dl(){return Pl||(Pl=Fl(Wa()))}Ll[_l]=!0,Ll[Zn]=Ll.remove,Ll.merge=Ll.concat=Ll.union,Ll.withMutations=Ca,Ll.asImmutable=Ia,Ll["@@transducer/init"]=Ll.asMutable=Ra,Ll["@@transducer/step"]=function(e,t){return e.add(t)},Ll["@@transducer/result"]=function(e){return e.asImmutable()},Ll.__empty=Dl,Ll.__make=Fl;var Ml,Vl=function(e){function t(e,r,n){if(!(this instanceof t))return new t(e,r,n);if(Qi(0!==n,"Cannot step a Range by 0"),e=e||0,void 0===r&&(r=1/0),n=void 0===n?1:Math.abs(n),r<e&&(n=-n),this._start=e,this._end=r,this._step=n,this.size=Math.max(0,Math.ceil((r-e)/n-1)+1),0===this.size){if(Ml)return Ml;Ml=this}}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toString=function(){return 0===this.size?"Range []":"Range [ "+this._start+"..."+this._end+(1!==this._step?" by "+this._step:"")+" ]"},t.prototype.get=function(e,t){return this.has(e)?this._start+lo(this,e)*this._step:t},t.prototype.includes=function(e){var t=(e-this._start)/this._step;return t>=0&&t<this.size&&t===Math.floor(t)},t.prototype.slice=function(e,r){return uo(e,r,this.size)?this:(e=co(e,this.size),(r=po(r,this.size))<=e?new t(0,0):new t(this.get(e,this._end),this.get(r,this._end),this._step))},t.prototype.indexOf=function(e){var t=e-this._start;if(t%this._step==0){var r=t/this._step;if(r>=0&&r<this.size)return r}return-1},t.prototype.lastIndexOf=function(e){return this.indexOf(e)},t.prototype.__iterate=function(e,t){for(var r=this.size,n=this._step,o=t?this._start+(r-1)*n:this._start,i=0;i!==r&&!1!==e(o,t?r-++i:i++,this);)o+=t?-n:n;return i},t.prototype.__iterator=function(e,t){var r=this.size,n=this._step,o=t?this._start+(r-1)*n:this._start,i=0;return new Vo((function(){if(i===r)return{value:void 0,done:!0};var a=o;return o+=t?-n:n,Uo(e,t?r-++i:i++,a)}))},t.prototype.equals=function(e){return e instanceof t?this._start===e._start&&this._end===e._end&&this._step===e._step:Il(this,e)},t}(Xo);function Ul(e,t,r){for(var n=Zi(t),o=0;o!==n.length;)if((e=ia(e,n[o++],no))===no)return r;return e}function Bl(e,t){return Ul(this,e,t)}function zl(e,t){return Ul(e,t,no)!==no}function Wl(){Ji(this.size);var e={};return this.__iterate((function(t,r){e[r]=t})),e}So.isIterable=vo,So.isKeyed=yo,So.isIndexed=Oo,So.isAssociative=Eo,So.isOrdered=ko,So.Iterator=Vo,Al(So,{toArray:function(){Ji(this.size);var e=new Array(this.size||0),t=yo(this),r=0;return this.__iterate((function(n,o){e[r++]=t?[o,n]:n})),e},toIndexedSeq:function(){return new Ai(this)},toJS:function(){return jl(this)},toKeyedSeq:function(){return new Ii(this,!0)},toMap:function(){return ja(this.toKeyedSeq())},toObject:Wl,toOrderedMap:function(){return gl(this.toKeyedSeq())},toOrderedSet:function(){return rs(yo(this)?this.valueSeq():this)},toSet:function(){return kl(yo(this)?this.valueSeq():this)},toSetSeq:function(){return new ji(this)},toSeq:function(){return Oo(this)?this.toIndexedSeq():yo(this)?this.toKeyedSeq():this.toSetSeq()},toStack:function(){return El(yo(this)?this.valueSeq():this)},toList:function(){return tl(yo(this)?this.valueSeq():this)},toString:function(){return"[Collection]"},__toString:function(e,t){return 0===this.size?e+t:e+" "+this.toSeq().map(this.__toStringMapper).join(", ")+" "+t},concat:function(){for(var e=[],t=arguments.length;t--;)e[t]=arguments[t];return Hi(this,function(e,t){var r=yo(e),n=[e].concat(t).map((function(e){return vo(e)?r&&(e=wo(e)):e=r?ni(e):oi(Array.isArray(e)?e:[e]),e})).filter((function(e){return 0!==e.size}));if(0===n.length)return e;if(1===n.length){var o=n[0];if(o===e||r&&yo(o)||Oo(e)&&Oo(o))return o}var i=new Jo(n);return r?i=i.toKeyedSeq():Oo(e)||(i=i.toSetSeq()),(i=i.flatten(!0)).size=n.reduce((function(e,t){if(void 0!==e){var r=t.size;if(void 0!==r)return e+r}}),0),i}(this,e))},includes:function(e){return this.some((function(t){return ci(t,e)}))},entries:function(){return this.__iterator(No)},every:function(e,t){Ji(this.size);var r=!0;return this.__iterate((function(n,o,i){if(!e.call(t,n,o,i))return r=!1,!1})),r},filter:function(e,t){return Hi(this,Fi(this,e,t,!0))},partition:function(e,t){return function(e,t,r){var n=yo(e),o=[[],[]];e.__iterate((function(i,a){o[t.call(r,i,a,e)?1:0].push(n?[a,i]:i)}));var i=Gi(e);return o.map((function(t){return Hi(e,i(t))}))}(this,e,t)},find:function(e,t,r){var n=this.findEntry(e,t);return n?n[1]:r},forEach:function(e,t){return Ji(this.size),this.__iterate(t?e.bind(t):e)},join:function(e){Ji(this.size),e=void 0!==e?""+e:",";var t="",r=!0;return this.__iterate((function(n){r?r=!1:t+=e,t+=null!=n?n.toString():""})),t},keys:function(){return this.__iterator(Po)},map:function(e,t){return Hi(this,Li(this,e,t))},reduce:function(e,t,r){return Kl(this,e,t,r,arguments.length<2,!1)},reduceRight:function(e,t,r){return Kl(this,e,t,r,arguments.length<2,!0)},reverse:function(){return Hi(this,Ni(this,!0))},slice:function(e,t){return Hi(this,Di(this,e,t,!0))},some:function(e,t){Ji(this.size);var r=!1;return this.__iterate((function(n,o,i){if(e.call(t,n,o,i))return r=!0,!1})),r},sort:function(e){return Hi(this,Ui(this,e))},values:function(){return this.__iterator(Lo)},butLast:function(){return this.slice(0,-1)},isEmpty:function(){return void 0!==this.size?0===this.size:!this.some((function(){return!0}))},count:function(e,t){return ao(e?this.toSeq().filter(e,t):this)},countBy:function(e,t){return function(e,t,r){var n=ja().asMutable();return e.__iterate((function(o,i){n.update(t.call(r,o,i,e),0,(function(e){return e+1}))})),n.asImmutable()}(this,e,t)},equals:function(e){return Il(this,e)},entrySeq:function(){var e=this;if(e._cache)return new Jo(e._cache);var t=e.toSeq().map(Xl).toIndexedSeq();return t.fromEntrySeq=function(){return e.toSeq()},t},filterNot:function(e,t){return this.filter(Ql(e),t)},findEntry:function(e,t,r){var n=r;return this.__iterate((function(r,o,i){if(e.call(t,r,o,i))return n=[o,r],!1})),n},findKey:function(e,t){var r=this.findEntry(e,t);return r&&r[0]},findLast:function(e,t,r){return this.toKeyedSeq().reverse().find(e,t,r)},findLastEntry:function(e,t,r){return this.toKeyedSeq().reverse().findEntry(e,t,r)},findLastKey:function(e,t){return this.toKeyedSeq().reverse().findKey(e,t)},first:function(e){return this.find(so,null,e)},flatMap:function(e,t){return Hi(this,function(e,t,r){var n=Gi(e);return e.toSeq().map((function(o,i){return n(t.call(r,o,i,e))})).flatten(!0)}(this,e,t))},flatten:function(e){return Hi(this,Vi(this,e,!0))},fromEntrySeq:function(){return new ki(this)},get:function(e,t){return this.find((function(t,r){return ci(r,e)}),void 0,t)},getIn:Bl,groupBy:function(e,t){return function(e,t,r){var n=yo(e),o=(ko(e)?gl():ja()).asMutable();e.__iterate((function(i,a){o.update(t.call(r,i,a,e),(function(e){return(e=e||[]).push(n?[a,i]:i),e}))}));var i=Gi(e);return o.map((function(t){return Hi(e,i(t))})).asImmutable()}(this,e,t)},has:function(e){return this.get(e,no)!==no},hasIn:function(e){return zl(this,e)},isSubset:function(e){return e="function"==typeof e.includes?e:So(e),this.every((function(t){return e.includes(t)}))},isSuperset:function(e){return(e="function"==typeof e.isSubset?e:So(e)).isSubset(this)},keyOf:function(e){return this.findKey((function(t){return ci(t,e)}))},keySeq:function(){return this.toSeq().map(Yl).toIndexedSeq()},last:function(e){return this.toSeq().reverse().first(e)},lastKeyOf:function(e){return this.toKeyedSeq().reverse().keyOf(e)},max:function(e){return Bi(this,e)},maxBy:function(e,t){return Bi(this,t,e)},min:function(e){return Bi(this,e?Jl(e):es)},minBy:function(e,t){return Bi(this,t?Jl(t):es,e)},rest:function(){return this.slice(1)},skip:function(e){return 0===e?this:this.slice(Math.max(0,e))},skipLast:function(e){return 0===e?this:this.slice(0,-Math.max(0,e))},skipWhile:function(e,t){return Hi(this,Mi(this,e,t,!0))},skipUntil:function(e,t){return this.skipWhile(Ql(e),t)},sortBy:function(e,t){return Hi(this,Ui(this,t,e))},take:function(e){return this.slice(0,Math.max(0,e))},takeLast:function(e){return this.slice(-Math.max(0,e))},takeWhile:function(e,t){return Hi(this,function(e,t,r){var n=$i(e);return n.__iterateUncached=function(n,o){var i=this;if(o)return this.cacheResult().__iterate(n,o);var a=0;return e.__iterate((function(e,o,l){return t.call(r,e,o,l)&&++a&&n(e,o,i)})),a},n.__iteratorUncached=function(n,o){var i=this;if(o)return this.cacheResult().__iterator(n,o);var a=e.__iterator(No,o),l=!0;return new Vo((function(){if(!l)return{value:void 0,done:!0};var e=a.next();if(e.done)return e;var o=e.value,s=o[0],u=o[1];return t.call(r,u,s,i)?n===No?e:Uo(n,s,u,e):(l=!1,{value:void 0,done:!0})}))},n}(this,e,t))},takeUntil:function(e,t){return this.takeWhile(Ql(e),t)},update:function(e){return e(this)},valueSeq:function(){return this.toIndexedSeq()},hashCode:function(){return this.__hash||(this.__hash=function(e){if(e.size===1/0)return 0;var t=ko(e),r=yo(e),n=t?1:0;return function(e,t){return t=di(t,3432918353),t=di(t<<15|t>>>-15,461845907),t=di(t<<13|t>>>-13,5),t=di((t=t+3864292196^e)^t>>>16,2246822507),t=pi((t=di(t^t>>>13,3266489909))^t>>>16)}(e.__iterate(r?t?function(e,t){n=31*n+ts(hi(e),hi(t))|0}:function(e,t){n=n+ts(hi(e),hi(t))|0}:t?function(e){n=31*n+hi(e)|0}:function(e){n=n+hi(e)|0}),n)}(this))}});var Hl=So.prototype;Hl[go]=!0,Hl[Mo]=Hl.values,Hl.toJSON=Hl.toArray,Hl.__toStringMapper=na,Hl.inspect=Hl.toSource=function(){return this.toString()},Hl.chain=Hl.flatMap,Hl.contains=Hl.includes,Al(wo,{flip:function(){return Hi(this,Pi(this))},mapEntries:function(e,t){var r=this,n=0;return Hi(this,this.toSeq().map((function(o,i){return e.call(t,[i,o],n++,r)})).fromEntrySeq())},mapKeys:function(e,t){var r=this;return Hi(this,this.toSeq().flip().map((function(n,o){return e.call(t,n,o,r)})).flip())}});var ql=wo.prototype;ql[mo]=!0,ql[Mo]=Hl.entries,ql.toJSON=Wl,ql.__toStringMapper=function(e,t){return na(t)+": "+na(e)},Al(To,{toKeyedSeq:function(){return new Ii(this,!1)},filter:function(e,t){return Hi(this,Fi(this,e,t,!1))},findIndex:function(e,t){var r=this.findEntry(e,t);return r?r[0]:-1},indexOf:function(e){var t=this.keyOf(e);return void 0===t?-1:t},lastIndexOf:function(e){var t=this.lastKeyOf(e);return void 0===t?-1:t},reverse:function(){return Hi(this,Ni(this,!1))},slice:function(e,t){return Hi(this,Di(this,e,t,!1))},splice:function(e,t){var r=arguments.length;if(t=Math.max(t||0,0),0===r||2===r&&!t)return this;e=co(e,e<0?this.count():this.size);var n=this.slice(0,e);return Hi(this,1===r?n:n.concat(Xi(arguments,2),this.slice(e+t)))},findLastIndex:function(e,t){var r=this.findLastEntry(e,t);return r?r[0]:-1},first:function(e){return this.get(0,e)},flatten:function(e){return Hi(this,Vi(this,e,!1))},get:function(e,t){return(e=lo(this,e))<0||this.size===1/0||void 0!==this.size&&e>this.size?t:this.find((function(t,r){return r===e}),void 0,t)},has:function(e){return(e=lo(this,e))>=0&&(void 0!==this.size?this.size===1/0||e<this.size:-1!==this.indexOf(e))},interpose:function(e){return Hi(this,function(e,t){var r=$i(e);return r.size=e.size&&2*e.size-1,r.__iterateUncached=function(r,n){var o=this,i=0;return e.__iterate((function(e){return(!i||!1!==r(t,i++,o))&&!1!==r(e,i++,o)}),n),i},r.__iteratorUncached=function(r,n){var o,i=e.__iterator(Lo,n),a=0;return new Vo((function(){return(!o||a%2)&&(o=i.next()).done?o:a%2?Uo(r,a++,t):Uo(r,a++,o.value,o)}))},r}(this,e))},interleave:function(){var e=[this].concat(Xi(arguments)),t=Wi(this.toSeq(),Xo.of,e),r=t.flatten(!0);return t.size&&(r.size=t.size*e.length),Hi(this,r)},keySeq:function(){return Vl(0,this.size)},last:function(e){return this.get(-1,e)},skipWhile:function(e,t){return Hi(this,Mi(this,e,t,!1))},zip:function(){return Hi(this,Wi(this,Zl,[this].concat(Xi(arguments))))},zipAll:function(){return Hi(this,Wi(this,Zl,[this].concat(Xi(arguments)),!0))},zipWith:function(e){var t=Xi(arguments);return t[0]=this,Hi(this,Wi(this,e,t))}});var Gl=To.prototype;Gl[bo]=!0,Gl[jo]=!0,Al(xo,{get:function(e,t){return this.has(e)?e:t},includes:function(e){return this.has(e)},keySeq:function(){return this.valueSeq()}});var $l=xo.prototype;function Kl(e,t,r,n,o,i){return Ji(e.size),e.__iterate((function(e,i,a){o?(o=!1,r=e):r=t.call(n,r,e,i,a)}),i),r}function Yl(e,t){return t}function Xl(e,t){return[t,e]}function Ql(e){return function(){return!e.apply(this,arguments)}}function Jl(e){return function(){return-e.apply(this,arguments)}}function Zl(){return Xi(arguments)}function es(e,t){return e<t?1:e>t?-1:0}function ts(e,t){return e^t+2654435769+(e<<6)+(e>>2)}$l.has=Hl.includes,$l.contains=$l.includes,$l.keys=$l.values,Al(Yo,ql),Al(Xo,Gl),Al(Qo,$l);var rs=function(e){function t(e){return null==e?as():Rl(e)?e:as().withMutations((function(t){var r=xo(e);Ji(r.size),r.forEach((function(e){return t.add(e)}))}))}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.of=function(){return this(arguments)},t.fromKeys=function(e){return this(wo(e).keySeq())},t.prototype.toString=function(){return this.__toString("OrderedSet {","}")},t}(kl);rs.isOrderedSet=Rl;var ns,os=rs.prototype;function is(e,t){var r=Object.create(os);return r.size=e?e.size:0,r._map=e,r.__ownerID=t,r}function as(){return ns||(ns=is(ml()))}os[jo]=!0,os.zip=Gl.zip,os.zipWith=Gl.zipWith,os.zipAll=Gl.zipAll,os.__empty=as,os.__make=is;var ls=function(e,t){var r;!function(e){if(Io(e))throw new Error("Can not call `Record` with an immutable Record as default values. Use a plain javascript object instead.");if(Ao(e))throw new Error("Can not call `Record` with an immutable Collection as default values. Use a plain javascript object instead.");if(null===e||"object"!=typeof e)throw new Error("Can not call `Record` with a non-object as default values. Use a plain javascript object instead.")}(e);var n=function(i){var a=this;if(i instanceof n)return i;if(!(this instanceof n))return new n(i);if(!r){r=!0;var l=Object.keys(e),s=o._indices={};o._name=t,o._keys=l,o._defaultValues=e;for(var u=0;u<l.length;u++){var c=l[u];s[c]=u,o[c]?"object"==typeof console&&console.warn&&console.warn("Cannot define "+cs(this)+' with property "'+c+'" since that property name is part of the Record API.'):ps(o,c)}}return this.__ownerID=void 0,this._values=tl().withMutations((function(e){e.setSize(a._keys.length),wo(i).forEach((function(t,r){e.set(a._indices[r],t===a._defaultValues[r]?void 0:t)}))})),this},o=n.prototype=Object.create(ss);return o.constructor=n,t&&(n.displayName=t),n};ls.prototype.toString=function(){for(var e,t=cs(this)+" { ",r=this._keys,n=0,o=r.length;n!==o;n++)t+=(n?", ":"")+(e=r[n])+": "+na(this.get(e));return t+" }"},ls.prototype.equals=function(e){return this===e||Io(e)&&ds(this).equals(ds(e))},ls.prototype.hashCode=function(){return ds(this).hashCode()},ls.prototype.has=function(e){return this._indices.hasOwnProperty(e)},ls.prototype.get=function(e,t){if(!this.has(e))return t;var r=this._indices[e],n=this._values.get(r);return void 0===n?this._defaultValues[e]:n},ls.prototype.set=function(e,t){if(this.has(e)){var r=this._values.set(this._indices[e],t===this._defaultValues[e]?void 0:t);if(r!==this._values&&!this.__ownerID)return us(this,r)}return this},ls.prototype.remove=function(e){return this.set(e)},ls.prototype.clear=function(){var e=this._values.clear().setSize(this._keys.length);return this.__ownerID?this:us(this,e)},ls.prototype.wasAltered=function(){return this._values.wasAltered()},ls.prototype.toSeq=function(){return ds(this)},ls.prototype.toJS=function(){return jl(this)},ls.prototype.entries=function(){return this.__iterator(No)},ls.prototype.__iterator=function(e,t){return ds(this).__iterator(e,t)},ls.prototype.__iterate=function(e,t){return ds(this).__iterate(e,t)},ls.prototype.__ensureOwner=function(e){if(e===this.__ownerID)return this;var t=this._values.__ensureOwner(e);return e?us(this,t,e):(this.__ownerID=e,this._values=t,this)},ls.isRecord=Io,ls.getDescriptiveName=cs;var ss=ls.prototype;function us(e,t,r){var n=Object.create(Object.getPrototypeOf(e));return n._values=t,n.__ownerID=r,n}function cs(e){return e.constructor.displayName||e.constructor.name||"Record"}function ds(e){return ni(e._keys.map((function(t){return[t,e.get(t)]})))}function ps(e,t){try{Object.defineProperty(e,t,{get:function(){return this.get(t)},set:function(e){Qi(this.__ownerID,"Cannot set on an immutable record."),this.set(t,e)}})}catch(e){}}ss[Ro]=!0,ss[Zn]=ss.remove,ss.deleteIn=ss.removeIn=ha,ss.getIn=Bl,ss.hasIn=Hl.hasIn,ss.merge=ya,ss.mergeWith=ba,ss.mergeIn=xa,ss.mergeDeep=wa,ss.mergeDeepWith=Ta,ss.mergeDeepIn=_a,ss.setIn=pa,ss.update=va,ss.updateIn=ma,ss.withMutations=Ca,ss.asMutable=Ra,ss.asImmutable=Ia,ss[Mo]=ss.entries,ss.toJSON=ss.toObject=Hl.toObject,ss.inspect=ss.toSource=function(){return this.toString()};var fs,hs=function(e){function t(e,r){if(!(this instanceof t))return new t(e,r);if(this._value=e,this.size=void 0===r?1/0:Math.max(0,r),0===this.size){if(fs)return fs;fs=this}}return e&&(t.__proto__=e),t.prototype=Object.create(e&&e.prototype),t.prototype.constructor=t,t.prototype.toString=function(){return 0===this.size?"Repeat []":"Repeat [ "+this._value+" "+this.size+" times ]"},t.prototype.get=function(e,t){return this.has(e)?this._value:t},t.prototype.includes=function(e){return ci(this._value,e)},t.prototype.slice=function(e,r){var n=this.size;return uo(e,r,n)?this:new t(this._value,po(r,n)-co(e,n))},t.prototype.reverse=function(){return this},t.prototype.indexOf=function(e){return ci(this._value,e)?0:-1},t.prototype.lastIndexOf=function(e){return ci(this._value,e)?this.size:-1},t.prototype.__iterate=function(e,t){for(var r=this.size,n=0;n!==r&&!1!==e(this._value,t?r-++n:n++,this););return n},t.prototype.__iterator=function(e,t){var r=this,n=this.size,o=0;return new Vo((function(){return o===n?{value:void 0,done:!0}:Uo(e,t?n-++o:o++,r._value)}))},t.prototype.equals=function(e){return e instanceof t?ci(this._value,e._value):Il(this,e)},t}(Xo);function gs(e,t){return vs([],t||ms,e,"",t&&t.length>2?[]:void 0,{"":e})}function vs(e,t,r,n,o,i){if("string"!=typeof r&&!Ao(r)&&($o(r)||zo(r)||ta(r))){if(~e.indexOf(r))throw new TypeError("Cannot convert circular structure to Immutable");e.push(r),o&&""!==n&&o.push(n);var a=t.call(i,n,Ko(r).map((function(n,i){return vs(e,t,n,i,o,r)})),o&&o.slice());return e.pop(),o&&o.pop(),a}return r}function ms(e,t){return Oo(t)?t.toList():yo(t)?t.toMap():t.toSet()}const ys={version:"4.3.7",Collection:So,Iterable:So,Seq:Ko,Map:ja,OrderedMap:gl,List:tl,Stack:El,Set:kl,OrderedSet:rs,PairSorting:{LeftThenRight:-1,RightThenLeft:1},Record:ls,Range:Vl,Repeat:hs,is:ci,fromJS:gs,hash:hi,isImmutable:Ao,isCollection:vo,isKeyed:yo,isIndexed:Oo,isAssociative:Eo,isOrdered:ko,isValueObject:ui,isPlainObject:ta,isSeq:Co,isList:el,isMap:li,isOrderedMap:si,isStack:Ol,isSet:Cl,isOrderedSet:Rl,isRecord:Io,get:ia,getIn:Ul,has:oa,hasIn:zl,merge:function(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return Sa(e,t)},mergeDeep:function(e){for(var t=[],r=arguments.length-1;r-- >0;)t[r]=arguments[r+1];return Ea(e,t)},mergeWith:function(e,t){for(var r=[],n=arguments.length-2;n-- >0;)r[n]=arguments[n+2];return Sa(t,r,e)},mergeDeepWith:function(e,t){for(var r=[],n=arguments.length-2;n-- >0;)r[n]=arguments[n+2];return Ea(t,r,e)},remove:la,removeIn:fa,set:sa,setIn:da,update:ga,updateIn:ua};var bs=0;const Os=function(){var e=((new Date).getTime().toString(16)+"FF").substr(0,11),t="ssssssss-xxxx-4xxx-yxxx-x".replace(/[xys]/g,(function(e){var t="s"===e?Math.floor(16*Math.random()):15&bs++;return("x"===e?t:3&t|8).toString(16)}));return t+e};function Es(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}var Ss=["formatValue","mongoFormatValue","sqlFormatValue","jsonLogic","elasticSearchFormatValue","spelFormatValue","spelImportFuncs","spelImportValue"],ws=["formatOp","mongoFormatOp","sqlFormatOp","jsonLogic","spelFormatOp"],Ts=function(e){return"object"===Fn(e)&&null!==e&&"[object Object]"===Object.prototype.toString.call(e)},xs=function(e){if("object"===Fn(e)&&null!==e){if(Array.isArray(e))return Jn(e);if(Ts(e))return function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Es(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Es(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({},e)}return e},_s=function(e,t){return Object.fromEntries(Object.entries(e).filter((function(e){var r=Xn(e,1)[0];return!t.includes(r)})))},Cs=function(e){var t;return null!==(t=null==e?void 0:e.cardinality)&&void 0!==t?t:1},Rs=function(e,t){return e===t||(ja.isMap(e)?e.equals(t):JSON.stringify(e)==JSON.stringify(t))},Is=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return e===t||(Array.isArray(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=e.length;if(t.length!==n)return!1;for(var o=0;o<n;o++)if(!(r?Is(e[o],t[o],r):e[o]===t[o]))return!1;return!0}(e,t,r):ja.isMap(e)?e.equals(t):"object"==Fn(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=Object.keys(e),o=Object.keys(t),i=n.length;if(o.length!==i)return!1;for(var a=0;a<i;a++){var l=n[a];if(!(r?Is(e[l],t[l],r):e[l]===t[l]))return!1}return!0}(e,t,r):e===t)};var As=function(e){return"object"===Fn(e)&&null!==e&&"function"==typeof e.toJS},js=function(e){return As(e)&&ys.isList(e)};function ks(e){return js(e)?e:new ys.List(e)}function Ps(e){return As(e)?e.toJS():e}var Ls=function(e){return e.replace(/[.*+?^${}()|[\]\\/]/g,"\\$&")},Ns=function(e,t,r,n,o,i){if(Array.isArray(e))return t},Fs=function e(t){var r;if(t instanceof Array)return t.map((function(t,r){return e(t)}));if("object"===Fn(t)&&null!==t&&Ds(t)){var n,o=_s(t,["$$typeof","_owner","_store","ref","key"]);return o.type&&(o.type="string"==typeof(r=o.type)?r:"function"==typeof r?r.name:r),null!=o&&null!==(n=o.props)&&void 0!==n&&n.children&&(o.props.children=e(o.props.children)),o}return t},Ds=function(e){return"object"===Fn(e)&&null!==e&&!Array.isArray(e)&&Object.keys(e).includes("type")&&Object.keys(e).includes("props")&&Object.keys(e).includes("key")&&Object.keys(e).includes("ref")&&Object.keys(e).includes("$$typeof")},Ms=function(e){return"object"===Fn(e)&&null!==e&&!Array.isArray(e)&&"string"==typeof e.type&&Object.keys(e).includes("props")},Vs=function(e){return"object"===Fn(e)&&null!==e&&!Array.isArray(e)&&1===Object.keys(e).length};function Us(e){return new Promise((function(t){setTimeout(t,e)}))}function Bs(e,t){return e||(e=[]),t||(t=[]),t.map((function(t){return[t,e.indexOf(t)]})).map((function(e,t,r){var n=Xn(e,2),o=n[0];if(-1==n[1]){var i=r.slice(t+1),a=r.slice(0,t).reverse().find((function(e){var t=Xn(e,2);return t[0],-1!=t[1]})),l=i.find((function(e){var t=Xn(e,2);return t[0],-1!=t[1]}));return l?[o,"before",l[0]]:a?[o,"after",a[0]]:[o,"append",null]}return null})).filter((function(e){return null!==e})).reduce((function(e,t){var r=Xn(t,3),n=r[0],o=r[1],i=r[2],a=e.indexOf(i);return-1==e.indexOf(n)&&(a>-1?e.splice(a+("after"==o?1:0),0,n):e.splice("append"==o?1/0:0,0,n)),e}),e.slice())}var zs=function e(t){"object"!==Fn(t)||null===t||Ds(t)||(Object.keys(t).forEach((function(r){"__cache"!==r&&e(t[r])})),Object.freeze(t))},Ws=function e(t,r){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:[];if(Ts(t)){if(t.var)return n[t.var]=r,!0;if(!Ts(r))return!1;for(var i in t)if(!e(t[i],r[i],n,[].concat(Jn(o),[i])))return!1;return!0}if(Array.isArray(t)){if(!Array.isArray(r))return!1;for(var a=0;a<t.length;a++)if(!e(t[a],r[a],n,[].concat(Jn(o),[a])))return!1;return!0}return t===r},Hs=function(){var e=arguments.length>0&&void 0!==arguments[0]&&arguments[0];return(null!=e?e:("undefined"!=typeof process&&process.env,0))?console:{error:function(){},log:function(){},warn:function(){},debug:function(){},info:function(){}}},qs=function(){for(var e,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:[],r=0;r<t.length;r++){var n=t[r];if(void 0!==n){e=n;break}}return e},Gs=Hs(),$s=v(6834),Ks=v.n($s),Ys=v(8831),Xs=v.n(Ys),Qs=v(8906),Js=v.n(Qs),Zs=v(7027),eu=v.n(Zs);function tu(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function ru(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function nu(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?ru(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):ru(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var ou=function(e){return"object"==Fn(e)&&null!==e&&!Array.isArray(e)},iu=function(e,t){return null==e||""==e?void 0:ou(e)?nu(nu({},e),{},{title:e.title||e.value}):{value:e,title:void 0!==t?t:""+e}},au=function(e){var t=iu(e);return ou(t)?nu(nu({},iu(e)),{},{isCustom:!0}):t},lu=function(e){if(Array.isArray(e))return e.map((function(e){return iu(e)}));if(!ou(e))return e;var t=[];for(var r in e){var n=e[r];t.push(iu(r,n))}return t},su=function(e,t){return Array.isArray(e)?e.map((function(e){return iu(e)})).find((function(e){return""+e.value==""+t})):void 0!==e[t]?iu(t,e[t]):void 0},uu=function(e,t){if(null==e)return t;var r=su(e,t);return void 0!==r?r.title:t},cu=function(e,t){if(null==e)return t;var r=su(e,t);return void 0!==r?r.value:t},du=function(e,t){var r=[];if(Array.isArray(e)){var n,o=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return tu(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?tu(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(e);try{for(o.s();!(n=o.n()).done;){var i=n.value,a=t(iu(i));null!=a&&r.push(a)}}catch(e){o.e(e)}finally{o.f()}}else for(var l in e){var s=t(iu(l,e[l]));null!=s&&r.push(s)}return r},pu=function(e,t){return du(t,(function(t){return-1!="".concat(t.value).indexOf(e)||-1!=t.title.indexOf(e)?t:null})).filter((function(e){return null!==e})).shift()},fu=function(e,t){return du(t,(function(t){return""+t.value==""+e?t:null})).filter((function(e){return null!==e})).shift()},hu=function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];return e.interpose("children1").withMutations((function(e){return e.skip(1),e.push.apply(e,r),e}))},gu=function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];return e.interpose("children1").withMutations((function(e){return e.push.apply(e,r),e}))},vu=function(e,t){var r=new ys.OrderedMap(qn({},e.get("id"),e)),n=e;return t.forEach((function(e){var t;n=r.get(e),r=null===(t=n)||void 0===t?void 0:t.get("children1")})),n},mu=function(e){var t=e;return function e(r,n){var o=arguments.length>2&&void 0!==arguments[2]&&arguments[2],i=n.push(r.get("id")),a=r.getIn(["properties","isLocked"]);o&&a&&(t=t.deleteIn(hu(i,"properties","isLocked")));var l=r.get("children1");l&&l.map((function(t,r){e(t,i,a||o)}))}(e,new ys.List),t},yu=function(e){var t=e;return function e(r,n,o,i){if(r){var a=r.get("path"),l=r.get("id"),s=l||i||Os(),u=n.push(s);a&&a.equals(u)||(t=t.setIn(hu(u,"path"),u)),l||(t=t.setIn(hu(u,"id"),s));var c=r.get("children1");c&&("Map"===c.constructor.name&&(t=t.setIn(hu(u,"children1"),new ys.OrderedMap(c))),c.map((function(t,r){e(t,u,o+1,r)})))}}(e,new ys.List,0),t},bu=function(e){var t=e;return function e(r,n,o,i){if(!r)return!1;var a=r.get("id")||i,l=n.push(a),s=r.get("children1");if(s){var u=s.map((function(t,r){return e(t,l,o+1,r)})).reduce((function(e,t){return e&&t}),!0);if((0==s.size||u)&&o>0)return t=t.deleteIn(hu(l)),!0}return!1}(e,new ys.List,0),t},Ou=function(e){var t=[],r={},n=[],o=0,i=0,a=0,l={};!function s(u,c,d,p,f,h,g,v){var m=u===e,y=u.get("type"),b=u.get("collapsed"),O=u.get("id"),E=u.get("children1"),S=u.getIn(["properties","isLocked"]),w=E?E.map((function(e,t){return t})).valueSeq().toArray():null,T="rule_group"===y,x="rule"===y,_="group"===y,C="case_group"===y,R=!f&&(!E||T),I=(null==w?void 0:w.length)>0,A=c.length?c[c.length-1]:null,j=C?O:g;C&&(n.push(O),i=0,a=0,l={});var k,P=j?n.indexOf(j):null,L=t.length,N=o;m||((k={}).caseNo=P,k.globalNoByType=C?P:l[y]||0,k.indexPath=[].concat(Jn(c.slice(1).map((function(e){return r[e].childNo}))),[v]),x?k.globalLeafNo=i:_&&(k.globalGroupNo=a)),t.push(O),r[O]={node:u,index:L,id:O,type:y,parent:A,parentType:A?r[A].type:null,children:w,childNo:v,caseId:j,caseNo:P,path:c.concat(O),lev:h,isLeaf:!E,isAtomicRule:R,isLocked:S||p,top:d?null:N,isDefaultCase:C?!E:void 0,atomicRulesCountInCase:C?0:void 0,position:k,collapsed:b,_top:L,leaf:!E};var F=0,D=0;d||(o+=1,F+=1,!I||b||T||(D+=1),m||C||(_&&a++,x&&i++,l[y]=(l[y]||0)+1)),g&&R&&r[g].atomicRulesCountInCase++;var M=0,V=0;if(I){var U=0;E.map((function(e,t){if(e){s(e,c.concat(O),d||b,p||S,f||T,h+1,j,U);var n=r[t];M=Math.max(M,n.depth||0),V+=n.height,U++}}))}F+=V,D+=M;var B=t.length-L,z=d?null:N+F;Object.assign(r[O],{depth:E?D:void 0,_height:B,height:F,bottom:z})}(e,[],!1,!1,!1,0,null,null);for(var s=0;s<t.length;s++){var u=s>0?t[s-1]:null,c=s<t.length-1?t[s+1]:null,d=r[t[s]];d.prev=u,d.next=c}return{flat:t,items:r,cases:n}},Eu=function(e){if(!e)return-1;var t=0;return function e(r,n,o){var i,a,l;"function"==typeof r.get?(i=r.get("id"),a=r.get("children1"),l=r.get("type")):(i=r.id,a=r.children1,l=r.type),t++,a&&"rule_group"!=l&&a.map((function(t,r){t&&e(t,n.concat(i),o+1)}))}(e,[],0),t-1},Su=function(e){if(!e)return-1;var t=0;return function e(r,n,o){var i,a,l;"function"==typeof r.get?(i=r.get("id"),a=r.get("children1"),l=r.get("type")):(i=r.id,a=r.children1,l=r.type),"rule"==l||"rule_group"==l?t++:a&&a.map((function(t,r){t&&e(t,n.concat(i),o+1)}))}(e,[],0),t},wu=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=e;return function e(n,o){t&&n.path&&delete n.path,t&&!r&&o&&delete n.id;var i=n.properties;i&&null==i.operatorOptions&&delete i.operatorOptions;var a=n.children1;if(a){for(var l in a)a[l]&&e(a[l],l);r&&(n.children1=Object.values(a))}}(e,null),n},Tu=function(e){var t=[],r=e.get("children1");return r&&r.map((function(e){var r,n=e.getIn(["properties","value"]);n&&1==n.size?(r=n.get(0),Array.isArray(r)&&0==r.length&&(r=null)):r=null,t=[].concat(Jn(t),[r])})),t},xu=function(e){return!e.get("children1")||0==e.get("children1").size},_u=function(e,t){return e.getIn(hu(t,"children1")).size>0},Cu=function(e){if(null!=e&&e.toJS){var t,r=null==e||null===(t=e.toJS)||void 0===t?void 0:t.call(e);return null!=r&&r.func?e.toOrderedMap():r}return e},Ru=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2];if(e){var n=e;return n=n.toJS(),wu(n,t,r)}},Iu=function(e){if(Au(e))return e;if(ju(e))return yu(ku(e));if("string"==typeof e&&e.startsWith('["~#iM"'))throw new Error("You are trying to load query in obsolete serialization format (Immutable string) which is not supported in versions starting from 2.1.17");if("string"==typeof e)return yu(ku(JSON.parse(e)));throw new Error("Can't load tree!")},Au=function(e){return ja.isMap(e)},ju=function(e){return"object"==Fn(e)&&("group"==e.type||"switch_group"==e.type)};function ku(e){var t=gs(e,(function(e,t,r){var n,o=r&&r.length>3&&"value"===r[r.length-1]&&"args"===r[r.length-3],i=r&&r.length>3&&"value"===r[r.length-1]&&"properties"===r[r.length-2];if("properties"==e){n=t.toOrderedMap();for(var a=0;a<2;a++){var l,s,u;null===(null===(l=n.get("value"))||void 0===l||null===(s=(u=l).get)||void 0===s?void 0:s.call(u,a))&&(n=n.setIn(["value",a],void 0))}}else n=o?Cu(t):(r?i:"value"==e)&&ys.Iterable.isIndexed(t)?t.map(Cu).toList():"asyncListValues"==e?t.toJS():"children1"==e&&ys.Iterable.isIndexed(t)?new ys.OrderedMap(t.map((function(e){return[(null==e?void 0:e.get("id"))||Os(),e]}))):ys.Iterable.isIndexed(t)?t.toList():t.toOrderedMap();return n}));return t}function Pu(e){return Gn(e)||Qn(e)||Kn(e)||Yn()}var Lu=v(2468),Nu=v.n(Lu);function Fu(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Du(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Fu(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Fu(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function Mu(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Vu(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Vu(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Vu(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var Uu="jlField",Bu="jlArgs",zu=["==","!="],Wu=["<","<=",">",">="],Hu=["multiselect_equals","multiselect_not_equals","multiselect_contains","multiselect_not_contains"],qu=function(e){return{errors:[],settings:null==e?void 0:e.settings}},Gu=function(e,t){return $u(e,t,!1)},$u=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=qu();n.settings={allowUnknownFields:!1,returnErrors:r};var o=vg(t,void 0,!1),i=Ku(o),a=e?Qu(e,i,o,["rule","group","switch"],n):void 0,l=a?Iu(a):void 0;return r?[l,n.errors]:(n.errors.length&&console.warn("Errors while importing from JsonLogic:",n.errors),l)},Ku=function(e){var t={},r={};for(var n in e.operators){var o=e.operators[n];if("string"==typeof o.jsonLogic){var i=o.jsonLogic+"/"+Cs(o);t[i]||(t[i]=[]),t[i].push(n)}else if("string"==typeof o.jsonLogic2){var a=o.jsonLogic2+"/"+Cs(o);t[a]||(t[a]=[]),t[a].push(n),r[n]||(r[n]={}),r[n]={template:o.jsonLogic(Uu,n,Bu),jsonLogic2:o.jsonLogic2,_jsonLogicIsExclamationOp:!!o._jsonLogicIsExclamationOp}}}var l={};for(var s in e.conjunctions)l[e.conjunctions[s].jsonLogicConj||s.toLowerCase()]=s;var u,c={},d=Mu(_g(e));try{for(d.s();!(u=d.n()).done;){var p=Xn(u.value,2),f=p[0],h=p[1],g=void 0;h.jsonLogicIsMethod?g="#"+h.jsonLogic:"string"==typeof h.jsonLogic&&(g=h.jsonLogic),g&&(c[g]||(c[g]=[]),c[g].push(f))}}catch(e){d.e(e)}finally{d.f()}var v=e.settings.jsonLogic;return{operators:t,conjunctions:l,funcs:c,varKeys:["var",v.groupVarKey,v.altVarKey],combinationOperators:r}},Yu=function(e,t,r){var n,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(null!=t&&t.combinationOperators)for(var i=0,a=Object.entries(t.combinationOperators);i<a.length;i++){var l=Xn(a[i],2),s=l[0],u=l[1];if(null==o||o.includes(s)){var c=Xu(u.template,e);c.match&&(n?r.errors.push("Operator matched against 2 templates: ".concat(n.newOp," and ").concat(s)):n=c,n.newOp=u.jsonLogic2)}}return n},Xu=function e(t,r){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{match:!0,jlField:null,jlArgs:[]};if(null==t||null==r)return n.match=!1,n;var o=Object.keys(t),i=Object.keys(r);if(o.length!==i.length)return n.match=!1,n;for(var a=0;a<o.length;a++){var l=o[a],s=t[l];if(l!==i[a])return n.match=!1,n;if(s===Uu&&Vs(r[l]))n.jlField=r[l];else if(s===Bu)n.jlArgs.push(r[l]);else if("object"===Fn(s)&&null!==s||Array.isArray(s))n=e(s,r[l],n);else if(s!==r[l])return n.match=!1,n}return n},Qu=function e(t,r,n,o,i){var a,l,s,u=arguments.length>5&&void 0!==arguments[5]&&arguments[5],c=arguments.length>6?arguments[6]:void 0,d=arguments.length>7?arguments[7]:void 0,p=arguments.length>8&&void 0!==arguments[8]?arguments[8]:null;Vs(t)&&(a=Object.keys(t)[0],l=t[a],Array.isArray(l)||(l=[l]));var f=i.errors.length,h=n.settings.jsonLogic.lockedOp,g="!"==a&&1==l.length&&l[0]&&Vs(l[0])&&r.varKeys.includes(Object.keys(l[0])[0]),v=Yu(t,r,i);v&&((l=[])[0]=v.jlField,v.jlArgs.forEach((function(e){return l.push(e)})),a=v.newOp);var m="!"==a&&!g,y=h&&a==h,b=o.includes("switch");y?s=e(l[0],r,n,o,i,u,c,d,p,!0):m?s=e(l[0],r,n,o,i,!u,c,d,p):o.includes("val")?s=Zu(a,l,r,n,u,i,p)||ec(a,l,r,n,u,c,i,p)||Ju(t,c,d,n,i):(o.includes("switch")&&(s=ic(a,l,r,n,u,i,p)),null==s&&o.includes("group")&&(s=tc(a,l,r,n,u,i,p,!1)),null==s&&o.includes("rule")&&(s=oc(a,l,r,n,u,i,p)),s&&b&&!["group","switch_group"].includes(s.type)&&(s=rc(s,n)));var O=i.errors.length;return"!"!=a&&void 0===s&&O==f&&i.errors.push("Can't parse logic ".concat(JSON.stringify(t))),y&&(s.properties.isLocked=!0),s},Ju=function(e,t,r,n,o){var i;if(void 0===e&&(e=null==t?void 0:t.defaultValue),void 0!==e){r=r||(null==t?void 0:t.mainWidget);var a=n.widgets[r],l=null==t?void 0:t.type;if(!l||a){if(!Vs(e)){if("time"===l&&"number"==typeof e){var s=Math.floor(e/60/60)%24,u=Math.floor(e/60)%60,c=e%60,d=a.valueFormat;if(d){var p=new Date(e);p.setMilliseconds(0),p.setHours(s),p.setMinutes(u),p.setSeconds(c),e=Nu()(p).format(d)}else e="".concat(s,":").concat(u,":").concat(c)}if(["date","datetime"].includes(l)&&e&&!(e instanceof Date))try{var f=new Date(e);f instanceof Date&&f.toISOString()===e&&(e=f)}catch(t){o.errors.push("Can't convert value ".concat(e," as Date")),e=void 0}if(e instanceof Date&&t){var h=a.valueFormat;h&&(e=Nu()(e).format(h))}var g;if(e&&null!=t&&null!==(i=t.fieldSettings)&&void 0!==i&&i.asyncFetch&&(g=Array.isArray(e)?e:[e]),null!=a&&a.jsonLogicImport)try{e=a.jsonLogicImport.call(n.ctx,e)}catch(t){var v;o.errors.push("Can't import value ".concat(e," using import func of widget ").concat(r,": ").concat(null!==(v=null==t?void 0:t.message)&&void 0!==v?v:t)),e=void 0}return{valueSrc:"value",value:e,valueType:null==a?void 0:a.type,asyncListValues:g}}o.errors.push("Unexpected logic in value: ".concat(JSON.stringify(e)))}else o.errors.push("No widget for type ".concat(l))}},Zu=function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if(r.varKeys.includes(e)&&"string"==typeof t[0]){var l,s=Ag(n,t[0],a),u=zg(n,s);return u||null!==(l=i.settings)&&void 0!==l&&l.allowUnknownFields?{valueSrc:"field",value:s,valueType:null==u?void 0:u.type}:void i.errors.push("No config for field ".concat(s))}},ec=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=arguments.length>6?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null;if(e){var s,u,c,d="method"==e;if(d){var p,f,h=Pu(t);p=h[0],s=h[1],f=h.slice(2),u=[p].concat(Jn(f))}else s=e,u=t;var g=(d?"#":"")+s,v=(null==i?void 0:i.type)||(null==i?void 0:i.returnType),m=(r.funcs[g]||[]).filter((function(e){return!i||kg(n,e).returnType==v}));if(m.length)c=m[0];else{var y,b=qn({},e,t),O=Mu(_g(n));try{for(O.s();!(y=O.n()).done;){var E=Xn(y.value,2),S=E[0],w=E[1];if(w.jsonLogicImport&&(!v||w.returnType==v)){var T=void 0;try{T=w.jsonLogicImport(b)}catch(e){}T&&(c=S,u=T)}}}catch(e){O.e(e)}finally{O.f()}}if(c&&c){var x=kg(n,c),_=Object.keys(x.args||{}),C=u.reduce((function(e,t,o){var i,s=_[o],u=x.args[s];return u&&(i=Qu(t,r,n,["val"],a,!1,u,null,l)),void 0!==i?Du(Du({},e),{},qn({},s,i)):e}),{});for(var R in x.args){var I,A=x.args[R],j=C[R];if(void 0===j)if(void 0!==(j=null==A?void 0:A.defaultValue)&&(j={value:j,valueSrc:null!==(I=j)&&void 0!==I&&I.func?"func":"value",valueType:A.type}),void 0===j){if(null==A||!A.isOptional)return void a.errors.push("No value for arg ".concat(R," of func ").concat(c))}else C[R]=j}return{valueSrc:"func",value:{func:c,args:C},valueType:x.returnType}}}},tc=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=r.conjunctions[e],u=n.settings.fieldSeparator;if(s){var c=t.map((function(e){return Qu(e,r,n,["rule","group"],i,!1,null,null,l)})).filter((function(e){return void 0!==e})).reduce((function(e,t){return Du(Du({},e),{},qn({},t.id,t))}),{}),d=Object.values(c).map((function(e){var t,r;return"field"==(null==e||null===(t=e.properties)||void 0===t?void 0:t.fieldSrc)&&(null==e||null===(r=e.properties)||void 0===r?void 0:r.field)})).filter((function(e){var t;return null==e||null===(t=e.includes)||void 0===t?void 0:t.call(e,u)})),p=Object.fromEntries((a=d,Array.from(new Set(a))).map((function(e){var t=e.split(u),r=Object.fromEntries(t.slice(0,-1).map((function(e,t,r){return[].concat(Jn(r.slice(0,t)),[e])})).map((function(e){return[e.join(u),zg(n,e)]})).filter((function(e){var t=Xn(e,2),r=(t[0],t[1]);return"!group"==(null==r?void 0:r.type)})));return[e,Object.keys(r)]}))),f={conjunction:s,not:o},h=Os(),g={},v={};return Object.entries(c).map((function(e){var t=Xn(e,2),r=t[0],o=t[1];if("group"==(null==o?void 0:o.type)||"rule_group"==(null==o?void 0:o.type))g[r]=o;else{var i,a=null==o||null===(i=o.properties)||void 0===i?void 0:i.field,c=p[a]||[],d=c[c.length-1];if(d){var f=g,h=Fg(l,n),m=Fg(d,n);Is(h,m.slice(0,h.length))||(h=[]);var y=d.split(u).slice(h.length).map((function(e,t,r){return[].concat(Jn(h),Jn(r.slice(0,t)),[e]).join(u)})).map((function(e){return{f:e,fc:zg(n,e)||{}}})).filter((function(e){return"!struct"!=e.fc.type}));y.map((function(e,t){var r=e.f,n=e.fc,o=v[r];o||(o=Os(),v[r]=o,f[o]={type:"rule_group",id:o,children1:{},properties:{conjunction:s,not:!1,field:r,fieldSrc:"field",mode:n.mode}}),f=f[o].children1})),f[r]=o}else o&&(g[r]=o)}})),{type:"group",id:h,children1:g,properties:f}}},rc=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return{type:"group",id:Os(),children1:qn({},e.id,e),properties:{conjunction:wd(t),not:r}}},nc=function(e,t,r,n,o,i,a){var l,s=Hu.map((function(e){var t;return null===(t=i.operators[e])||void 0===t?void 0:t.jsonLogic2})).includes(e),u=i.settings.groupOperators.includes(e)&&!s,c=u?0:t-1;u?c=0:zu.includes(e)&&1==c&&null===r[1]&&(t=1,c=0,r=[r[0]]);var d=e+"/"+c,p=o.operators[d];if(p){var f,h=[];if(Wu.includes(e)&&3==t)f=r[1],h=[r[0],r[2]];else{var g=Pu(r);f=g[0],h=g.slice(1)}if(Vs(f)){var v=function(e,t,r,n,o){var i,a,l,s,u=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,c=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,d=arguments.length>7?arguments[7]:void 0,p=arguments.length>8&&void 0!==arguments[8]?arguments[8]:null,f=Object.keys(t)[0],h=Object.values(t)[0],g=function(e,t){return function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;Array.isArray(t)||(t=[t]);var l=Zu(e,t,r,n,o,i,a);if(l)return{fieldSrc:"field",field:l.value}}(e,t,n,o,u,d,p)||function(e,t,r,n,o){var i=ec(e,t,r,n,o,arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,arguments.length>6?arguments[6]:void 0,arguments.length>7&&void 0!==arguments[7]?arguments[7]:null);if(i)return{fieldSrc:"func",field:i.value}}(e,t,n,o,u,c,d,p)},v=d.errors.length,m=g(f,h);if(m&&(i=m.field,a=m.fieldSrc),e&&(s=!0,l=r[0],r=[]),"reduce"==f&&Array.isArray(h)&&3==h.length){var y=Xn(h,3),b=y[0],O=y[1],E=y[2];if(Vs(b)&&0==E&&Vs(O)&&Array.isArray(O["+"])&&1==O["+"][0]&&Vs(O["+"][1])&&"accumulator"==O["+"][1].var)if(f=Object.keys(b)[0],h=Object.values(b)[0],"filter"==f){var S=Xn(h,2),w=S[0],T=S[1];if(Vs(w)){var x=g(f=Object.keys(w)[0],h=Object.values(w)[0]);x&&(i=x.field,a=x.fieldSrc,l=T,s=!0)}}else{var _=g(f,h);_&&(i=_.field,a=_.fieldSrc,s=!0)}}var C=d.errors.length;if(i||C!=v||d.errors.push("Unknown LHS ".concat(JSON.stringify(t))),i)return{field:i,fieldSrc:a,having:l,isGroup:s,args:r}}(u,f,h,o,i,null,null,a,n);if(v){var m=v.field,y=v.fieldSrc,b=v.having,O=(v.isGroup,v.args),E=zg(i,m);if(E||null!==(l=a.settings)&&void 0!==l&&l.allowUnknownFields){var S=p[0];if(p.length>1&&E&&E.operators){if(0==(p=p.filter((function(e){return E.operators.includes(e)}))).length)return void a.errors.push("No corresponding ops for LHS ".concat(m));S=p[0]}return{field:m,fieldSrc:y,fieldConfig:E,opKey:S,args:O,having:b}}a.errors.push("No config for LHS ".concat(m))}}else a.errors.push("Incorrect operands for ".concat(e,": ").concat(JSON.stringify(r)))}},oc=function e(t,r,n,o,i,a){var l,s=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,u=arguments.length>7&&void 0!==arguments[7]&&arguments[7];if(t){var c=Object.values(o.conjunctions).map((function(e){return e.jsonLogicConj})),d=function(e,t,r,n,o,i,a){var l=qu(a),s=nc(e,t,r,n,o,i,l);if(s)return s;a.errors.push(l.errors.join("; ")||"Unknown op ".concat(e,"/").concat(t))}(t,r.length,r,s,n,o,a);if(d){var p,f,h=d.field,g=d.fieldSrc,v=d.fieldConfig,m=d.opKey,y=d.args,b=d.having,O=zg(o,s),E=o.operators[m],S=!!o.operators[null===(l=E)||void 0===l?void 0:l.reversedOp],w="!group"==v.type,T="!group"==(null==O?void 0:O.type),x=S&&(!!o.settings.reverseOperatorsForNot||w&&!b||!w&&T&&!u),_=i&&x||!1,C=!1,R=!!o.settings.reverseOperatorsForNot;if("!group"==(null==v?void 0:v.type)&&b){p=Object.keys(b)[0],f=b[p],Array.isArray(f)||(f=[f]);for(var I=Yu(b,n,a);"!"==p&&!I&&!("!"==p&&1==f.length&&f[0]&&Vs(f[0])&&n.varKeys.includes(Object.keys(f[0])[0]));){C=!C,b=b["!"],p=Object.keys(b)[0],f=b[p],R&&c.includes(p)&&1==f.length&&(b=b[p][0],p=Object.keys(b)[0],f=b[p]),I=Yu(b,n,a)||I}Array.isArray(f)||(f=[f]),I&&((f=[])[0]=I.jlField,I.jlArgs.forEach((function(e){return f.push(e)})),p=I.newOp)}_&&(i=!i,m=E.reversedOp,E=o.operators[m]);var A=uh(o,h,m,null),j=y.map((function(e){return Qu(e,n,o,["val"],a,!1,v,A,s)}));if(!j.filter((function(e){return void 0===e})).length){var k,P=null==v?void 0:v.type;if("!group"!==P&&"!struct"!==P||(P=null),"!group"==(null==v?void 0:v.type)&&b){var L;if(void 0!==n.conjunctions[p]?k=tc(p,f,n,o,C,a,h,!0):(k=e(p,f,n,o,C,a,h,!0))&&("rule_group"===k.type&&(null===(L=k.properties)||void 0===L?void 0:L.field)!==h&&(k=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:void 0,i=arguments.length>5&&void 0!==arguments[5]&&arguments[5];if(e)return{type:"rule_group",id:Os(),children1:qn({},e.id,e),properties:{conjunction:o||Sd(n,r),not:i,field:t}}}(k,h,v,o)),Object.assign(k.properties,{conjunction:Sd(o,v)})),!k)return;k.type="rule_group",Object.assign(k.properties,{field:h,mode:v.mode,operator:m}),"array"==v.mode&&Object.assign(k.properties,{value:j.map((function(e){return e.value})),valueSrc:j.map((function(e){return e.valueSrc})),valueType:j.map((function(e){return e.valueType}))}),i&&(k=rc(k,o,i))}else if("!group"!=(null==v?void 0:v.type)||b){var N=j.map((function(e){return e.asyncListValues})).filter((function(e){return null!=e})),F=N.length?N[0]:void 0;k={type:"rule",id:Os(),properties:Du({field:h,fieldSrc:g,operator:m,value:j.map((function(e){return e.value})),valueSrc:j.map((function(e){return e.valueSrc})),valueType:j.map((function(e){return e.valueType}))},F?{asyncListValues:F}:{})},(i||u)&&(k=rc(k,o,i))}else k={type:"rule_group",id:Os(),children1:{},properties:{conjunction:Sd(o,v),not:!1,mode:v.mode,field:h,operator:m}},"array"===v.mode&&Object.assign(k.properties,{value:j.map((function(e){return e.value})),valueSrc:j.map((function(e){return e.valueSrc})),valueType:j.map((function(e){return e.valueType}))}),i&&(k=rc(k,o,i));return k}}}},ic=function(e,t,r,n,o,i){var a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if("if"===(null==e?void 0:e.toLowerCase())){var l=ac(t).map((function(e){var t=Xn(e,2),o=t[0],l=t[1];return[o?Qu(o,r,n,["rule","group"],i,!1,null,null,a):null,sc(n,i,r,l)]})).map((function(e){var t=Xn(e,2),r=t[0],o=t[1];return lc(r,o,n,i)}));return{type:"switch_group",id:Os(),children1:l,properties:{}}}},ac=function(e){var t=[];return function e(r){var n=Xn(r,3),o=n[0],i=n[1],a=n[2];t.push([o,i]);var l=Vs(a)?Object.keys(a)[0]:null;"if"===(null==l?void 0:l.toLowerCase())?e(a[l]):t.push([void 0,a])}(e),t},lc=function(e,t,r,n){var o;return e?(o=Du({},e)).type?("group"!=o.type&&(o=rc(o,r)),o.type="case_group"):(n.errors.push("Unexpected case: ".concat(JSON.stringify(o))),o=void 0):o={id:Os(),type:"case_group",properties:{}},o&&(o.properties=Du(Du({},o.properties),t)),o},sc=function(e,t,r,n){var o=zg(e,"!case_value");if(o){var i=o.mainWidget,a=e.widgets[i];if(a){var l=Qu(n,r,e,["val","case_val"],t,!1,o,i);if(null!=l){var s=l.value,u=l.valueSrc,c=l.valueType;return{value:[s],valueSrc:[null!=u?u:"value"],valueType:[null!=c?c:null==a?void 0:a.type],field:"!case_value"}}}else t.errors.push("No widget ".concat(i," for case value"))}else t.errors.push("Missing caseValueField in settings")},uc=v(138),cc=v(358),dc=v.n(cc)();dc.trim=function(e){return"'"==e.charAt(0)?e.substring(1,e.length-1):e},dc.escapeLike=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=dc.escape(e);return"'"+(n=(t?"%":"")+(n=(n=dc.trim(n)).replace(/[%_]/g,"\\$&"))+(r?"%":""))+"'"};var pc=function(e){var t="''",r=null==e?void 0:e.type;return"date"==r?t="'0000-00-00'":"datetime"==r?t="'0000-00-00 00:00'":"time"==r?t="'00:00'":"number"==r&&(t="0"),t},fc=function(e){var t="";return"number"==(null==e?void 0:e.type)&&(t=0),t},hc=function(e){return"".concat(e,".?[true]")},gc=function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1],r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(null==e)return"null";switch(Fn(e)){case"boolean":return e?"true":"false";case"number":if(!Number.isFinite(e)||isNaN(e))return;return e+(!Number.isInteger(e)||t?"f":"");case"object":if(Array.isArray(e))return function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]&&arguments[1],i=["int","float"];return e.map((function(e){if(null!=e){if("string"==typeof e)r="String";else{if("number"!=typeof e)throw new Error("spelEscape: Can't use value ".concat(e," in array"));r=Number.isInteger(e)?"int":"float"}if(t){if(t!=r){if(!i.includes(t)||!i.includes(r))throw new Error("spelEscape: Can't use different types in array: found ".concat(t," and ").concat(r));t="float"}}else t=r}})),t||(t="String"),n="float"==t?e.map((function(e){return gc(e,!0)})):e.map((function(e){return gc(e)})),o?"new ".concat(t,"[]{").concat(n.join(", "),"}"):"{".concat(n.join(", "),"}")}(e,r);throw new Error("spelEscape: Object is not supported");default:return function(e){return"'"+e.replace(/'/g,"''")+"'"}(e)}},vc=function(e){return e&&Array.isArray(e)&&e.length?e.map((function(e){return"const"==e.type?gc(e.value):"property"==e.type?""+e.value:"variable"==e.type?"#"+e.value:void 0})).filter((function(e){return null!=e})).join(" + "):"null"},mc=function(e){if(null==e)return[void 0,[]];var t=[],r="case_value"==e.valueType?e.value:e;return[(Array.isArray(r)?r:[r]).map((function(e){return"value"===e.valueSrc?null===e.value?void 0:{type:"const",value:e.value}:"field"===e.valueSrc?{type:e.isVariable?"variable":"property",value:e.value}:void t.push("Unsupported valueSrc ".concat(e.valueSrc," in concatenation"))})).filter((function(e){return null!=e})),t]},yc=function(e){return null==e?"NULL":e.toString()},bc=function(e){return null==e||"("===(null==e?void 0:e[0])&&")"===(null==e?void 0:e[(null==e?void 0:e.length)-1])?e:"("+e+")"};function Oc(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Ec(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Ec(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Ec(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Sc(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function wc(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Sc(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Sc(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Tc="${0}.compareTo(${1})",xc={datetime:!0,time:!0,date:!0},_c=function(e,t){return Cc(e,t,!1)},Cc=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=vg(t,void 0,!1),i=Rc(e,o,n,null);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to SpEL:",n.errors),i)},Rc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(e){var o=e.get("type");return"group"===o||"rule_group"===o?jc(e,t,r,n):"rule"===o?Lc(e,t,r,n):"switch_group"==o?Ac(e,t,r,n):"case_group"==o?Ic(e,t,r,n):void 0}},Ic=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("type");if("case_group"==o){var i=e.get("properties")||new ja,a=Xn(Fc(t,i,r,null,n,"!case_value"),3),l=a[0];return a[1],a[2],[jc(e,t,r,n),l]}r.errors.push("Unexpected child of type ".concat(o," inside switch"))},Ac=function(e,t,r){e.get("properties")||new ja;var n=e.get("children1");if(n){var o=n.map((function(e){return Ic(e,t,r,null)})).filter((function(e){return void 0!==e})).valueSeq().toArray();if(o.length){if(1==o.length&&!o[0][0])return o[0][1];for(var i=[],a=0;a<o.length;a++)a==o.length-1||o[a][0]?(i.push(o[a]),a==o.length-1&&o[a][0]&&i.push([void 0,null])):r.errors.push("No condition for case ".concat(a));for(var l="",s="",u=0;u<i.length;u++){var c=Xn(i[u],2),d=c[0],p=c[1];null==p&&(p="null"),null==d&&(d="true"),u!=i.length-1?(l+="(".concat(d," ? ").concat(p," : "),s+=")"):l+="".concat(p)}return l+s}}},jc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("type"),i=e.get("properties")||new ja,a=i.get("mode"),l=e.get("children1")||new tl,s=i.get("field"),u=i.get("conjunction");u||(u=wd(t));var c=t.conjunctions[u],d=i.get("not"),p="rule_group"===o,f=p&&"struct"!=a,h=f?s:n,g=(zg(t,h)||{}).isSpelArray,v=t.settings.fieldSeparator,m=i.get("operator");m||a&&"some"!=a||(m="some");var y=Pc(t,m,s),b=y!=m,O=m&&Wg(t,y,s)||null,E=p&&(!y||0==O.cardinality),S=Xn(Fc(t,i,r,y,n,null),3),w=S[0],T=S[1],x=S[2],_=l.map((function(e){return Rc(e,t,r,h)})).filter((function(e){return void 0!==e}));if(f&&!E){if(null==w)return}else if(!_.size)return;var C,R=p,I=_.size?c.spelFormatConj.call(t.ctx,_,u,d,R):null;if(f){var A=Mc(r,t,s,n),j=(v||".")+(g?"length":"size()"),k="".concat(A).concat(j),P=I?"".concat(A,".?[").concat(I,"]").concat(j):k;C=kc(r,t,i,P,E?k:w,y,T,x,b)}else C=I;return C},kc=function(e,t,r,n,o,i,a,l){var s=arguments.length>8&&void 0!==arguments[8]&&arguments[8],u=r.get("field"),c=Wg(t,i,u)||{},d=zg(t,u)||{},p=r.get("operatorOptions"),f=c.spelFormatOp||function(e,t,r){var n=t.spelOp;if(n){var o,i=n.includes("${0}"),a=xc[r],l=n,s=Cs(t);return a?o=function(e,t,r,n,o,i,a,u){var c=Tc.replace(/\${(\w+)}/g,(function(t,n){return 0==n?e:s>1?r[n-1]:r}));return"".concat(c," ").concat(l," 0")}:i?o=function(e,t,r,o,i,a,l,u){return n.replace(/\${(\w+)}/g,(function(t,n){return 0==n?e:s>1?r[n-1]:r}))}:0==s?o=function(e,t,r,n,o,i,a,s){return"".concat(e," ").concat(l)}:1==s&&(o=function(e,t,r,n,o,i,a,s){return"".concat(e," ").concat(l," ").concat(r)}),o}}(0,c,l);if(f){var h,g=[n,i,o,a,l,_s(c,ws),p,d];return h=f.call.apply(f,[t.ctx].concat(g)),s&&(h=t.settings.spelFormatReverse.call(t.ctx,h)),void 0===h&&e.errors.push("Operator ".concat(i," is not supported for value source ").concat(a)),h}e.errors.push("Operator ".concat(i," is not supported"))},Pc=function(e,t,r){if(t){var n=Wg(e,t,r)||{},o=n.reversedOp,i=Wg(e,o,r)||{},a=n.spelOp||n.spelFormatOp,l=i.spelOp||i.spelFormatOp;if(a||l){if(!a&&l){var s=[o,t];t=s[0],o=s[1];var u=[i,n];n=u[0],i=u[1]}return t}}},Lc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=e.get("properties")||new ja,i=o.get("field"),a=o.get("fieldSrc"),l=o.get("operator");if(null!=i&&null!=l){var s=Pc(t,l,i);if(s){var u=s!=l,c=Xn(Fc(t,o,r,s,n,null),3),d=c[0],p=c[1],f=c[2];if(void 0!==d){var h=Nc(r,t,i,a,n);if(void 0!==h)return kc(r,t,o,h,d,s,p,f,u)}}else r.errors.push("Operator ".concat(l," is not supported"))}},Nc=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;return"func"===n?Vc(e,t,r,o):Mc(e,t,r,o)},Fc=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=t.get("field"),l=t.get("valueSrc"),s=t.get("valueType");("!case_value"==i||s&&"case_value"==s.get(0))&&(a="!case_value");var u,c=zg(e,a)||{},d=Wg(e,n,a)||{},p=Cs(d),f=t.get("value"),h=t.get("asyncListValues"),g=[],v=[];if(null!=f){var m=f.map((function(t,i){var u=l?l.get(i):null,p=s?s.get(i):null,f=Oh(t,u,e),m=uh(e,a,n,u),y=Hg(e,a,n,m,u,{forExport:!0}),b=Dc(r,e,f,u,p,y,c,n,d,o,h);return void 0!==b&&(g.push(u),v.push(p)),b})),y=m.filter((function(e){return void 0===e})).size>0;m.size<p||y||(u=p>1?m.toArray():1==p?m.first():null)}return[u,g.length>1?g:g[0],v.length>1?v:v[0]]},Dc=function(e,t,r,n,o,i,a,l,s){var u=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,c=arguments.length>10?arguments[10]:void 0;if(void 0!==r){var d;if("field"===n)d=Mc(e,t,r,u);else if("func"===n)d=Vc(e,t,r,u);else if("function"==typeof(null==i?void 0:i.spelFormatValue)){var p=i.spelFormatValue,f=[r,wc(wc({},Xs()(a,["fieldSettings","listValues"])),{},{asyncListValues:c}),_s(i,Ss)];if(l&&(f.push(l),f.push(s)),"field"==n){var h=zg(t,r)||{};f.push(h)}d=p.call.apply(p,[t.ctx].concat(f))}else d=gc(r);return d}},Mc=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(r){var o=t.settings.fieldSeparator,i=zg(t,r)||{},a=Fg(r,t),l=nh(r,t,n),s=t.settings.formatSpelField,u=ch(r,t,e,n),c=l.map((function(e){var t,r=Xn(e,3),n=r[0],i=r[1],a=r[2];return a&&(t="!struct"==a.type||"!group"==a.type&&"struct"==a.mode?i.isSpelMap?"map":"class":"!group"==a.type?i.isSpelItemMap?"[map]":"[class]":"class"),{key:n,parent:t,isSpelVariable:null==i?void 0:i.isSpelVariable,fieldSeparator:o}}));return s.call(t.ctx,u,n,a,c,i,t)}},Vc=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),l=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),s=kg(t,a);if(s){var u={},c=[],d=[];for(var p in s.args){var f,h,g=s.args[p],v=zg(t,g),m=g.defaultValue,y=g.isOptional,b=null!=m&&m.func?"func":"value",O=l?l.get(p):void 0,E=O?O.get("value"):void 0,S=O?O.get("valueSrc"):void 0;"func"!==S&&null!==(f=E)&&void 0!==f&&f.toJS&&(E=E.toJS());var w=O?O.get("asyncListValues"):void 0,T=null===(h=g.spelEscapeForFormat)||void 0===h||h,x=null,_=uh(t,g,x,S),C=Hg(t,g,x,_,S,{forExport:!0}),R=Dc(e,t,E,S,g.type,C,v,null,null,i,w);if(null!=E&&void 0===R)return void("func"!=S&&e.errors.push("Can't format value of arg ".concat(p," for func ").concat(a)));var I=void 0;if(void 0===R&&!y&&null!=m){var A=uh(t,g,x,b),j=Hg(t,g,x,A,b,{forExport:!0});if(void 0===(I=Dc(e,t,m,b,g.type,j,v,null,null,i,w)))return void("func"!=b&&e.errors.push("Can't format default value of arg ".concat(p," for func ").concat(a)))}var k=null!=R?R:I;if(void 0!==k){var P;if(c.length){var L,N=Oc(c);try{for(N.s();!(L=N.n()).done;){var F=L.value;u[F]=void 0}}catch(e){N.e(e)}finally{N.f()}c=[]}u[p]=T?k:null!==(P=E)&&void 0!==P?P:m}else y||d.push(p),c.push(p)}if(!d.length){var D;if("function"==typeof s.spelFormatFunc){var M=s.spelFormatFunc,V=[u];D=M.call.apply(M,[t.ctx].concat(V))}else if(s.spelFunc){D=s.spelFunc.replace(/\${(\w+)}/g,(function(e,t){var r;return null!==(r=u[t])&&void 0!==r?r:e}));var U,B=Object.keys(s.args||{}).reverse().filter((function(e){return!!s.args[e].isOptional})),z=Oc(B);try{for(z.s();!(U=z.n()).done;){var W=U.value;if(null!=u[W])break;D=D.replace(new RegExp("(, )?\\${"+W+"}","g"),"")}}catch(e){z.e(e)}finally{z.f()}D=D.replace(/\${(\w+)}/g,"null")}else e.errors.push("Func ".concat(a," is not supported"));return D}}else e.errors.push("Func ".concat(a," is not defined in config"))};function Uc(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Bc(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Bc(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Bc(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function zc(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Wc(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?zc(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):zc(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Hc={number:"number",string:"text",boolean:"boolean",null:"null"},qc={String:"text"},Gc=function(e){return"object"==Fn(e)&&null!==e&&!Array.isArray(e)},$c=function(e,t){return Kc(e,t,!0)},Kc=function(e,t){var r,n,o=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],i={errors:[]},a=vg(t,void 0,!1),l=Qc(a),s=void 0;try{r=uc.SpelExpressionEvaluator.compile(e)._compiledExpression}catch(e){i.errors.push(e)}r&&(n=Yc(r,i),Gs.debug("convertedObj:",n,i),(s=Jc(n,l,a,i))&&"group"!=s.type&&"switch_group"!=s.type&&(s=fd(s,a,n.not)),Gs.debug("jsTree:",s));var u=s?Iu(s):void 0;return o?[u,i.errors]:(i.errors.length&&console.warn("Errors while importing from SpEL:",i.errors),u)},Yc=function e(t,r){var n,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,i=t.getType(),a=t.getChildren().map((function(n){return e(n,r,t)}));if("op-or"!=i&&"op-and"!=i||(a=a.reduce((function(e,t){var r=t.type!=i||t.not?[t]:t.children;return[].concat(Jn(e),Jn(r))}),[])),"op-not"==i)return 1!=a.length&&r.errors.push("Operator NOT should have 1 child, but got ".concat(a.length,"}")),Wc(Wc({},a[0]),{},{not:!a[0].not});if("compound"==i){var l=(a=a.filter((function(e){return!("selection"==e.type&&1==e.children.length&&"boolean"==e.children[0].type&&1==e.children[0].val)}))).find((function(e){return"selection"==e.type}));l&&1!=l.children.length&&r.errors.push("Selection should have 1 child, but got ".concat(l.children.length));var s=l?l.children[0]:null,u=a[a.length-1],c="method"==u.type&&"size"==u.val.methodName||"!func"==u.type&&"size"==u.methodName,d="property"==u.type&&"length"==u.val,p=a.filter((function(e){return e!==l&&e!==u})),f={type:"compound",children:p};if((c||d)&&null!=ed(p))return{type:"!aggr",filter:s,source:f};if(a=(a=a.filter((function(e){var t="variable"==e.type&&"this"==e.val,r="variable"==e.type&&"root"==e.val;return!(t||r)}))).map((function(e){return"indexer"==e.type&&1==e.children.length?{type:"indexer",val:e.children[0].val,itype:e.children[0].type}:e})),"!func"==u.type){var h={},g=h;do{var v,m;Object.assign(g,u),a=a.filter((function(e){return e!==u})),"!func"==(null===(m=u=a[a.length-1])||void 0===m?void 0:m.type)?(g.obj={},g=g.obj):a.length>1?g.obj={type:"compound",children:a}:g.obj=u}while("!func"==(null===(v=u)||void 0===v?void 0:v.type));return h}}try{t.getRaw?n=t.getRaw():0==t.getValue.length&&(n=t.getValue())}catch(e){Gs.error("[spel2js] Error in getValue()",e)}if("ternary"==i&&(n=Xc(a)),"object"===Fn(n)&&null!==n&&(n.methodName||n.functionName)&&(n.args=n.args.map((function(n){return e(n,r,t)}))),"list"==i&&(n=n.map((function(n){return e(n,r,t)})),!o&&1==n.length))return n[0];if("constructorref"==i){var y=a.find((function(e){return"qualifiedidentifier"==e.type})),b=null==y?void 0:y.val;return b?{type:"!new",cls:b,args:a.filter((function(e){return"qualifiedidentifier"!=e.type}))}:void r.errors.push("Can't find qualifiedidentifier in constructorref children: ".concat(JSON.stringify(a)))}if("typeref"==i){var O=a.find((function(e){return"qualifiedidentifier"==e.type})),E=null==O?void 0:O.val;return E?(a.filter((function(e){return"qualifiedidentifier"!=e.type})),{type:"!type",cls:E}):void r.errors.push("Can't find qualifiedidentifier in typeref children: ".concat(JSON.stringify(a)))}if("function"==i||"method"==i){var S=n,w=S.functionName,T=S.methodName,x=S.args;return{type:"!func",methodName:w||T,isVar:"function"==i,args:x}}return{type:i,children:a,val:n}},Xc=function(e){var t=[];return function e(r){var n=Xn(r,3),o=n[0],i=n[1],a=n[2];t.push([o,i]),"ternary"==(null==a?void 0:a.type)?e(a.children):t.push([void 0,a])}(e),t},Qc=function(e){var t={},r=function(r){var n=e.operators[r];if(n.spelOps)n.spelOps.forEach((function(e){var n=e;t[n]||(t[n]=[]),t[n].push(r)}));else if(n.spelOp){var o=n.spelOp;t[o]||(t[o]=[]),t[o].push(r)}else Gs.log("[spel] No spelOp for operator ".concat(r))};for(var n in e.operators)r(n);var o={};for(var i in e.conjunctions)o[e.conjunctions[i].spelConj||i.toLowerCase()]=i;var a,l={},s=Uc(_g(e));try{var u=function(){var e=Xn(a.value,2),t=e[0],r=e[1],n=[],o=r.spelFunc;if("string"==typeof o){var i=Object.keys(r.args||{}).reverse().filter((function(e){return!!r.args[e].isOptional||null!=r.args[e].defaultValue})),s=o.replace(/\${(\w+)}/g,(function(e,t){return"?"})),u=i.reduce((function(e,t){return[].concat(Jn(e),[[t].concat(Jn(e[e.length-1]||[]))])}),[]).map((function(e){return o.replace(/(?:, )?\${(\w+)}/g,(function(t,r){return e.includes(r)?"":t})).replace(/\${(\w+)}/g,(function(e,t){return"?"}))}));n=[s].concat(Jn(u))}var c,d=Uc(n);try{for(d.s();!(c=d.n()).done;){var p=c.value;l[p]||(l[p]=[]),l[p].push(t)}}catch(e){d.e(e)}finally{d.f()}};for(s.s();!(a=s.n()).done;)u()}catch(e){s.e(e)}finally{s.f()}var c={};for(var d in e.widgets){var p=e.widgets[d],f=p.spelImportFuncs;if(p.type,f){var h,g=Uc(f);try{for(g.s();!(h=g.n()).done;){var v=h.value;if("string"==typeof v){var m=v.replace(/\${(\w+)}/g,(function(e,t){return"?"})),y=Jn(v.matchAll(/\${(\w+)}/g)).map((function(e){var t=Xn(e,2);return t[0],t[1]}));c[m]||(c[m]=[]),c[m].push({w:d,argsOrder:y})}}}catch(e){g.e(e)}finally{g.f()}}}var b={};for(var O in e.operators){var E=e.operators[O].spelOp;if(null!=E&&E.includes("${0}")){var S=E.replace(/\${(\w+)}/g,(function(e,t){return"?"})),w=Jn(E.matchAll(/\${(\w+)}/g)).map((function(e){var t=Xn(e,2);return t[0],t[1]}));b[S]||(b[S]=[]),b[S].push({op:O,argsOrder:w})}}return b[Tc.replace(/\${(\w+)}/g,(function(e,t){return"?"}))]=[{op:"!compare",argsOrder:["0","1"]}],{operators:t,conjunctions:o,funcs:l,valueFuncs:c,opFuncs:b}},Jc=function e(t,r,n,o){var i,a=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(t){t._groupField=null!==(i=t._groupField)&&void 0!==i?i:null==a?void 0:a._groupField;var l,s=!0;if(0===t.type.indexOf("op-")||"matches"===t.type)l=Zc(t,r,n,o,a);else if("!aggr"==t.type){var u,c=e(t.source,r,n,o,t);t._groupField=null==c?void 0:c.value;var d=e(t.filter,r,n,o,t);"rule"==(null===(u=d)||void 0===u?void 0:u.type)&&(d=fd(d,n,t.filter.not)),l={groupFilter:d,groupFieldValue:c},a||(l=void 0,o.errors.push("Unexpected !aggr in root"),s=!1)}else if("ternary"==t.type){var p={};t.val.forEach((function(e){var i=Xn(e,2),a=i[0],l=i[1],s=cd(a,l,r,n,o,t);s&&(p[s.id]=s)})),l={type:"switch_group",id:Os(),children1:p,properties:{}}}if(!l&&s&&(l=td(t,r,n,o,a)),l&&!l.type&&!a){var f=ud(t,r,n,o);f?l=f:(l=void 0,o.errors.push("Can't convert rule of type ".concat(t.type,", it looks like var/literal")))}return l}},Zc=function e(t,r,n,o){var i,a=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,l=t.type.startsWith("op-")?t.type.slice(3):t.type;if(("minus"==l||"plus"==l)&&1==t.children.length){var s=t.negative;return"minus"==l&&(s=!s),t.children[0].negative=s,Jc(t.children[0],r,n,o,a)}var u="and"==l&&2==t.children.length&&"op-ge"==t.children[0].type&&"op-le"==t.children[1].type,c="or"==l&&2==t.children.length&&"op-lt"==t.children[0].type&&"op-gt"==t.children[1].type;if(u||c){var d=Xn(t.children[0].children,2),p=d[0],f=d[1],h=Xn(t.children[1].children,2),g=h[0],v=h[1];if(sd(p,g,t,r,n,o,a)){f.val,v.val;var m={type:"op-between",children:[p,f,v],not:c};return m._groupField=null==a?void 0:a._groupField,e(m,r,n,o,a)}}var y=r.operators[l];"eq"==l&&"null"==t.children[1].type?y=["is_null"]:"ne"==l&&"null"==t.children[1].type?y=["is_not_null"]:"le"==l&&"string"==t.children[1].type&&""==t.children[1].val?y=["is_empty"]:"gt"==l&&"string"==t.children[1].type&&""==t.children[1].val?y=["is_not_empty"]:"between"==l&&(y=["between"]);var b=function(){var e,i=t.children.map((function(e){return Jc(e,r,n,o,t)}));return i.length>=2&&"!compare"==(null===(e=i)||void 0===e||null===(e=e[0])||void 0===e?void 0:e.type)&&(i=i[0].children),i};if("and"==l||"or"==l){var O={};b().forEach((function(e){if(e){var t=Os();e.id=t,null!=e.type?O[t]=e:o.errors.push("Bad item in AND/OR: ".concat(JSON.stringify(e)))}})),i={type:"group",id:Os(),children1:O,properties:{conjunction:r.conjunctions[l],not:t.not}}}else if(y){var E,S,w,T=b(),x=T[0],_=T.slice(1),C=null==x||null===(E=x.groupFieldValue)||void 0===E?void 0:E.value,R=null===(S=_)||void 0===S?void 0:S[0],I=y[0];if(y.length>1){var A,j,k=(null===(A=T[0])||void 0===A?void 0:A.valueType)||(null===(j=T[1])||void 0===j?void 0:j.valueType),P=null==x?void 0:x.value,L=y.map((function(e){return{op:e,widget:uh(n,P,e)}}));if(Gs.warn("[spel] Spel operator ".concat(l," can be mapped to ").concat(y,"."),"widgets:",L,"vals:",T,"valueType=",k),"eq"==l||"ne"==l){var N=L.find((function(e){e.op;var t=e.widget;return t&&"field"!=t}));N&&(I=N.op)}}null!=x&&x.groupFieldValue&&(R&&R.groupFieldValue&&"field"==R.groupFieldValue.valueSrc&&R.groupFieldValue.value==C?(I="all",_=[]):"equal"==I&&"value"==R.valueSrc&&"number"==R.valueType&&0==R.value?(I="none",_=[]):"greater"==I&&"value"==R.valueSrc&&"number"==R.valueType&&0==R.value&&(I="some",_=[]));var F=n.operators[I],D=n.operators[null===(w=F)||void 0===w?void 0:w.reversedOp],M=t.not&&["between"].includes(I),V=!!D&&(!!n.settings.reverseOperatorsForNot||M);(t.not&&V||M)&&(I=F.reversedOp,F=n.operators[I],t.not=!t.not);var U=!!t.not;if(t.not=!1,x)if(x.groupFieldValue)"field"!=x.groupFieldValue.valueSrc&&o.errors.push("Expected group field ".concat(JSON.stringify(x))),i=ld(x,I,_,n,o);else{"field"!=x.valueSrc&&"func"!=x.valueSrc&&o.errors.push("Expected field/func at LHS, but got ".concat(JSON.stringify(x)));var B=x.value;i=ad(n,o,B,I,_,t)}U&&("group"!==i.type?i=fd(i,n,!0):i.properties.not=!i.properties.not)}else a||(i=ud(t,r,n,o));return i},ed=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},r=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=!1,o=e.map((function(e){if("variable"==e.type||"property"==e.type||"indexer"==e.type&&"string"==e.itype)return e.val;var o,i;n=!0,r&&(null==t||null===(o=t.errors)||void 0===o||null===(i=o.push)||void 0===i||i.call(o,"Unexpected item in field path compound: ".concat(JSON.stringify(e))))}));return n?void 0:o},td=function e(t,r,n,o){var i,a,l=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(null!=t){var s=n.settings.fieldSeparator;if(t._groupField=null!==(i=t._groupField)&&void 0!==i?i:null==l?void 0:l._groupField,"variable"==t.type||"property"==t.type){var u=Ag(n,t.val,t._groupField),c=zg(n,u),d="variable"==t.type;return{valueSrc:"field",valueType:null==c?void 0:c.type,isVariable:d,value:u}}if("compound"==t.type){var p=ed(t.children,o);if(p){var f,h=Ag(n,p.join(s),t._groupField),g=zg(n,h),v="variable"==(null===(f=t.children)||void 0===f||null===(f=f[0])||void 0===f?void 0:f.type);return{valueSrc:"field",valueType:null==g?void 0:g.type,isVariable:v,value:h}}}else{if(Hc[t.type]){var m=t.val,y=Hc[t.type];return t.negative&&(m=-m),{valueSrc:"value",valueType:y,value:m}}if("!new"==t.type&&qc[t.cls.at(-1)]){var b=t.args.map((function(i){return e(i,r,n,o,t)})),O=null==b?void 0:b[0],E=qc[t.cls.at(-1)];return Wc(Wc({},O),{},{valueType:E})}if("list"==t.type){var S,w=t.val.map((function(i){return e(i,r,n,o,t)}));return w.length&&(null===(S=w[0])||void 0===S||S.valueType),{valueSrc:"value",valueType:"multiselect",value:w.map((function(e){return null==e?void 0:e.value}))}}if("op-plus"===t.type&&"ternary"===(null==l?void 0:l.type)&&"case_value"===(null===(a=n.settings.caseValueField)||void 0===a?void 0:a.type))return dd(t,r,n,o)}var T=nd(t,r,n,o,l);if(void 0!==T)return T;o.errors.push("Can't convert arg of type ".concat(t.type))}},rd=function e(t,r){var n,o=[],i="",a=t.type,l=t.methodName,s=(t.val,t.obj),u=t.args,c=t.isVar,d=t.cls,p=t.children,f=null==p?void 0:p[p.length-1],h=r[r.length-1];if("!func"===a){for(var g=s;g;){var v,m=Xn(e(Wc(Wc({},g),{},{obj:null}),[{}]),2),y=m[0],b=m[1];if("?"!==y){var O={s:h.s,params:Jn(h.params),objs:Jn(h.objs)};h.objs.unshift("?"),h.params.unshift(g),r.push(O),h=r[r.length-1]}h.objs.unshift(y),(v=h.params).unshift.apply(v,Jn(b)),g="!func"===g.type?g.obj:null}var E,S=Uc(r);try{for(S.s();!(E=S.n()).done;){var w,T=E.value;o=[].concat(Jn((null==T?void 0:T.params)||[]),Jn(u||[])),i="",null!=T&&null!==(w=T.objs)&&void 0!==w&&w.length&&(i+=T.objs.join(".")+"."),i+=(c?"#":"")+l,i+="("+(u||[]).map((function(e){return"?"})).join(", ")+")",T.s=i,T.params=o}}catch(e){S.e(e)}finally{S.f()}}else"!new"===a?(o=u||[],i="new ".concat(d.join("."),"(").concat(o.map((function(e){return"?"})).join(", "),")")):"!type"===a?i="T(".concat(d.join("."),")"):"compound"===a&&"property"===f.type&&(n=f.val,["length"].includes(n))?i=p.map((function(t){var r;if(t===f)return t.val;var n=Xn(e(Wc(Wc({},t),{},{obj:null}),[{}]),2),i=n[0],a=n[1];return(r=o).push.apply(r,Jn(a)),i})).join("."):(o=[t],i="?");return h&&(h.s=i,h.params=o),[i,o]},nd=function(e,t,r,n){var o,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,a=function(o){return Jc(o,t,r,n,e)},l=function(e){var t=[{s:"",params:[],objs:[]}];return rd(e,t),t.map((function(e){return{s:e.s,params:e.params}})).reverse().filter((function(e){var t=e.s;return""!==t&&"?"!==t}))}(e),s=null==l||null===(o=l[0])||void 0===o?void 0:o.s;l.length&&Gs.debug("Signatures for ",e,":",s,l);var u=od(e,t,r,n,i,l,a);if(void 0!==u)return u;var c,d,p,f=id(e,t,r,n,i,l,a);if(void 0!==f)return f;var h,g=Uc(l);try{var v=function(){var e=h.value,n=e.s,o=e.params,i=t.funcs[n];if(i){c=i[0];var l=(d=kg(r,c)).spelFunc,s=o.map(a),u=Jn(l.matchAll(/\${(\w+)}/g)).map((function(e){var t=Xn(e,2);return t[0],t[1]}));return p=Object.fromEntries(u.map((function(e,t){return[e,s[t]]}))),1}};for(g.s();!(h=g.n()).done&&!v(););}catch(e){g.e(e)}finally{g.f()}if(!c){var m,y=Uc(_g(r));try{for(y.s();!(m=y.n()).done;){var b=Xn(m.value,2),O=b[0],E=b[1];if(E.spelImport){var S=void 0;try{S=E.spelImport(e)}catch(e){}if(S)for(var w in d=kg(r,c=O),p={},S)p[w]=a(S[w])}}}catch(e){y.e(e)}finally{y.f()}}if(c){var T={};for(var x in d.args){var _,C=d.args[x],R=p[x];if(void 0===R)if(void 0===(R=null==C?void 0:C.defaultValue)){if(null==C||!C.isOptional)return void n.errors.push("No value for arg ".concat(x," of func ").concat(c))}else R={value:R,valueSrc:null!==(_=R)&&void 0!==_&&_.func?"func":"value",valueType:C.type};R&&(T[x]=R)}return{valueSrc:"func",value:{func:c,args:T},valueType:d.returnType}}e.methodName&&n.errors.push("Signature ".concat(s," - failed to convert"))},od=function(e,t,r,n,o,i,a){var l,s,u,c=[];for(var d in r.widgets){var p=r.widgets[d].spelImportFuncs;if(p)for(var f=0;f<p.length;f++){var h=p[f];if(Gc(h)){var g={};if(Ws(h,e,g)){for(var v in g)g[v]=a(g[v]);c.push({s:"widgets.".concat(d,".spelImportFuncs[").concat(f,"]"),w:d,argsObj:g})}}}}var m,y=Uc(i);try{for(y.s();!(m=y.n()).done;){var b,O=m.value,E=O.s,S=O.params,w=Uc(t.valueFuncs[E]||[]);try{var T=function(){var e=b.value,t=e.w,r=e.argsOrder,n=S.map(a),o=Object.fromEntries(r.map((function(e,t){return[e,n[t]]})));c.push({s:E,w:t,argsObj:o})};for(w.s();!(b=w.n()).done;)T()}catch(e){w.e(e)}finally{w.f()}}}catch(e){y.e(e)}finally{y.f()}for(var x=0,_=c;x<_.length;x++){var C=_[x],R=C.s,I=C.w,A=C.argsObj,j=r.widgets[I],k=j.spelImportValue,P=j.type;for(var L in u=I,s=R,l=[],A)["value"].includes(A[L].valueSrc)||l.push("".concat(L," has unsupported value src ").concat(A[L].valueSrc));var N=A.v.value;if(k&&!l.length){var F=Xn(k.call(r.ctx,A.v,j,A),2);N=F[0],(l=F[1])&&!Array.isArray(l)&&(l=[l])}if(!l.length)return{valueSrc:"value",valueType:P,value:N}}u&&l.length&&n.errors.push("Signature ".concat(s," - looks like convertable to ").concat(u,", but: ").concat(l.join("; ")))},id=function(e,t,r,n,o,i,a){var l,s,u,c,d=Uc(i);try{for(d.s();!(c=d.n()).done;){var p,f=c.value,h=f.s,g=f.params,v=Uc(t.opFuncs[h]||[]);try{var m,y=function(){var t,i=p.value,c=i.op,d=i.argsOrder,f=g.map(a);if(s=c,"!compare"===c){if(o.type.startsWith("op-")&&2==o.children.length&&"number"==o.children[1].type&&0===o.children[1].val)return{v:{type:"!compare",children:f}};l.push("Result of compareTo() should be compared to 0")}u=h,l=[];var v=r.operators[s],m=(v.spelOp,v.valueTypes),y=Object.fromEntries(d.map((function(e,t){return[e,f[t]]}))),b=y[0],O=Object.keys(y).filter((function(e){return parseInt(e)>0})).map((function(e){return y[e]})),E=null===(t=f.filter((function(e){return!!e})).find((function(e){return"value"===e.valueSrc})))||void 0===t?void 0:t.valueType;if(m&&E&&!m.includes(E)&&l.push("Op supports types ".concat(m,", but got ").concat(E)),!l.length)return{v:ad(r,n,b,s,O,e)}};for(v.s();!(p=v.n()).done;)if(m=y())return m.v}catch(e){v.e(e)}finally{v.f()}}}catch(e){d.e(e)}finally{d.f()}s&&l.length&&n.errors.push("Signature ".concat(u," - looks like convertable to ").concat(s,", but: ").concat(l.join("; ")))},ad=function(e,t,r,n,o,i){var a,l;if(!o.filter((function(e){return void 0===e})).length){var s=null!==(a=r)&&void 0!==a&&a.func?"func":"field";Gc(r)&&r.valueSrc&&(s=r.valueSrc,r=r.value);var u=zg(e,r);if(u){var c=zg(e,null==i?void 0:i._groupField),d="!group"==u.type,p=(d&&u.mode,"!group"==(null==c?void 0:c.type)),f=e.operators[n],h=e.operators[null===(l=f)||void 0===l?void 0:l.reversedOp],g=(null==i?void 0:i.not)&&["between"].includes(n),v=!!h&&(!!e.settings.reverseOperatorsForNot||g||!d&&p);((null==i?void 0:i.not)&&v||g)&&(n=f.reversedOp,f=e.operators[n],i.not=!i.not);var m=!(null==i||!i.not),y=uh(e,r,n),b=e.widgets[y||u.mainWidget],O=o.map((function(e){return e.asyncListValues})).filter((function(e){return null!=e})),E=O.length?O[0]:void 0,S={type:"rule",id:Os(),properties:Wc({field:r,fieldSrc:s,operator:n,value:o.map((function(e){return e.value})),valueSrc:o.map((function(e){return e.valueSrc})),valueType:o.map((function(e){return"value"==e.valueSrc&&((null==b?void 0:b.type)||(null==u?void 0:u.type))||e.valueType}))},E?{asyncListValues:E}:{})};return m&&(S=fd(S,e,i.not)),S}t.errors.push("No config for field ".concat(r))}},ld=function(e,t,r,n,o){var i=e.groupFilter,a=e.groupFieldValue;if("field"!=a.valueSrc)throw"Bad groupFieldValue: ".concat(JSON.stringify(a));var l=a.value,s=ad(n,o,l,t,r);if(s){var u,c=zg(n,l),d=null==c?void 0:c.mode;return(u="group"===(null==i?void 0:i.type)?Wc(Wc({},i||{}),{},{type:"rule_group",properties:Wc(Wc(Wc({},s.properties),(null==i?void 0:i.properties)||{}),{},{mode:d})}):Wc(Wc({},s||{}),{},i?{type:"rule_group",children1:[i],properties:Wc(Wc({},s.properties),{},{mode:d})}:{type:"rule_group",properties:Wc(Wc({},s.properties),{},{mode:d})})).id||(u.id=Os()),u}},sd=function(e,t,r,n,o,i){if(e.type==t.type){if("!aggr"==e.type){var a=Xn([e.source,t.source].map((function(e){return td(e,n,o,i,r)})),2),l=a[0],s=a[1];return l.value==s.value}var u=Xn([e,t].map((function(e){return td(e,n,o,i,r)})),2),c=u[0],d=u[1];return c.value==d.value}return!1},ud=function(e,t,r,n){var o={},i=cd(null,e,t,r,n);return i&&(o[i.id]=i),{type:"switch_group",id:Os(),children1:o,properties:{}}},cd=function(e,t,r,n,o){var i,a=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,l=pd(n,o,r,t,a);return e?(i=Jc(e,r,n,o,a))&&i.type?("group"!=i.type&&(i=fd(i,n)),i.type="case_group"):(o.errors.push("Unexpected case: ".concat(JSON.stringify(i))),i=void 0):i={id:Os(),type:"case_group",properties:{}},i&&(i.properties=Wc(Wc({},i.properties),l)),i},dd=function(e,t,r,n){var o=[];return function i(a){a.map((function(a){if("op-plus"===a.type)i(a.children);else{var l=td(a,t,r,n,e);l?o.push(l):n.errors.push("Can't convert ".concat(a.type," in concatenation"))}}))}(e.children),{valueSrc:"value",valueType:"case_value",value:o}},pd=function(e,t,r,n){var o,i,a,l,s,u,c=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,d={},p=zg(e,"!case_value");"op-plus"===(null==n?void 0:n.type)&&"case_value"===(null===(o=e.settings.caseValueField)||void 0===o?void 0:o.type)?(l="case_value",a=dd(n,r,e,t)):(l=null==p?void 0:p.mainWidget,s=e.widgets[l],(a=td(n,r,e,t,c))&&"value"===a.valueSrc&&(a.valueType=(null===(u=s)||void 0===u?void 0:u.type)||(null==p?void 0:p.type)||a.valueType));var f=e.widgets[l];if("case_value"===l){var h=null==f?void 0:f.spelImportValue;if(h){var g,v=Xn(h.call(e.ctx,a),2),m=v[0];v[1].map((function(e){return t.errors.push(e)})),null!=m&&(d={value:[m],valueSrc:["value"],valueType:[null!==(g=null==f?void 0:f.type)&&void 0!==g?g:"case_value"],field:"!case_value"})}}else null!=a&&null!=(null===(i=a)||void 0===i?void 0:i.value)&&(d={value:[a.value],valueSrc:[a.valueSrc],valueType:[a.valueType],field:"!case_value"});return d},fd=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return{type:"group",id:Os(),children1:qn({},e.id,e),properties:{conjunction:wd(t),not:r||!1}}};function hd(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function gd(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?hd(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):hd(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var vd=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=e.settings.defaultField,o=(r?md(e,r):n)||t&&qg(e,r)||null;return null==o||"string"==typeof o||As(o)||(o=ku(o)),o},md=function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(!r)return null;var n=(null==e||null===(t=e.settings)||void 0===t?void 0:t.fieldSeparator)||".",o=zg(e,r),i=null==o?void 0:o.defaultField;return i&&(i=[].concat(Jn(Fg(r)),[i]).join(n)),i},yd=function(e){var t;return(!(arguments.length>1&&void 0!==arguments[1])||arguments[1])&&(null===(t=e.settings.fieldSources)||void 0===t?void 0:t[0])||"field"},bd=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n=zg(e,t),o=(null==n?void 0:n.operators)||[],i=e.settings.defaultOperator;i&&!o.includes(i)&&(i=null);var a=null==n?void 0:n.defaultOperator,l=null==n?void 0:n.ownDefaultOperator,s=r?Zf(e,t):null;return l||i||a||s},Od=function(e,t,r){var n=t?Wg(e,t,r):null;return n&&n.options?new ys.Map(n.options&&n.options.defaults||{}):null},Ed=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,a=!(arguments.length>3&&void 0!==arguments[3])||arguments[3],l=arguments.length>4&&void 0!==arguments[4]&&arguments[4],s=null,u=null,c=null,d=e.settings.showErrorMessage;i?(c=null==i||null===(t=i.properties)||void 0===t?void 0:t.fieldSrc,s=null==i||null===(r=i.properties)||void 0===r?void 0:r.field,u=null==i||null===(n=i.properties)||void 0===n?void 0:n.operator):a?(c=(s=vd(e,l,o))?As(s)?"func":"field":yd(e),u=bd(e,s,!0)):c=yd(e);var p=new ys.Map({fieldSrc:c,field:s,operator:u,value:new ys.List,valueSrc:new ys.List,operatorOptions:Od(e,u,s)});if(d&&(p=p.set("valueError",new ys.List)),s&&u){var f=Uf(e,e,p,s,u,"operator",!1),h=f.newValue,g=f.newValueSrc,v=f.newValueType,m=f.newValueError,y=f.newFieldError;p=p.set("value",h).set("valueSrc",g).set("valueType",v),d&&(p=p.set("valueError",m).set("fieldError",y))}return p},Sd=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=(t=zg(e,t))&&t.conjunctions||Object.keys(e.conjunctions);return 1==r.length?r[0]:e.settings.defaultGroupConjunction||e.settings.defaultConjunction||r[0]},wd=function(e){return e.settings.defaultConjunction||Object.keys(e.conjunctions)[0]},Td=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;return new ys.Map({conjunction:Sd(e,t),not:!1})},xd=function(e,t){var r;return t&&"group"==t.type?Td(e,null==t||null===(r=t.properties)||void 0===r?void 0:r.field):Ed(e,null,t)},_d=function(e,t){return qn({},e,new ys.Map({type:"rule",id:e,properties:Ed(t)}))},Cd=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1];return new ys.Map({type:"group",id:Os(),children1:new ys.OrderedMap(t?gd({},_d(Os(),e)):{}),properties:Td(e)})},Rd=function(e){return js(e)?e:Id([e])},Id=function(e){return js(e)?e:new ys.List(e)},Ad=function(){return new ys.Map};function jd(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return kd(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?kd(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function kd(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Pd(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Ld(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Pd(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Pd(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Nd=function(e,t){var r={errors:[],settings:{isForDisplay:arguments.length>2&&void 0!==arguments[2]&&arguments[2],isDebugMode:arguments.length>3&&void 0!==arguments[3]&&arguments[3]}},n=vg(t,void 0,!1),o=Fd(e,n,r,null);return r.errors.length&&console.warn("Errors while exporting to string:",r.errors),o},Fd=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;if(e){var o=e.get("type");return e.get("children1"),"group"===o||"rule_group"===o?Dd(e,t,r,n):"rule"===o?Md(e,t,r,n):void 0}},Dd=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=r.settings,l=a.isForDisplay,s=a.isDebugMode,u=e.get("type"),c=e.get("properties")||new ja,d=c.get("mode"),p=e.get("children1")||new tl,f="rule_group"===u,h=f&&"array"==d?c.get("field"):null,g="rule_group"===u?c.get("operator"):null,v=g?null!==(n=null===(o=t.operators[g])||void 0===o?void 0:o.cardinality)&&void 0!==n?n:1:void 0,m=f&&"array"===d&&v>=1,y=c.get("not"),b=p.map((function(e){return Fd(e,t,r,h)})).filter((function(e){return void 0!==e}));if(m||b.size||s){var O=c.get("conjunction");O||(O=wd(t));var E,S=t.conjunctions[O],w=b.size?S.formatConj.call(t.ctx,b,O,y,l):null;if(h){var T=Md(e,t,r,i,!0);if(T){var x,_=T.pop(),C=[w].concat(Jn(T));E=(x=t.settings.formatAggr).call.apply(x,[t.ctx].concat(Jn(C))),_&&(E=t.settings.formatReverse.call(t.ctx,E,null,null,null,null,l))}}else E=w;return s&&null==E&&(E="?"),E}},Md=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=r.settings,a=i.isForDisplay,l=i.isDebugMode,s=e.get("properties")||new ja,u=s.get("field"),c=s.get("fieldSrc"),d=s.get("operator"),p=s.get("operatorOptions");if(null!=u&&null!=d||l){var f=zg(t,u)||{},h=Wg(t,d,u)||{},g=h.reversedOp,v=Wg(t,g,u)||{},m=!1,y=h.formatOp;if(!y&&g&&(y=v.formatOp)){m=!0;var b=[g,d];d=b[0],g=b[1];var O=[v,h];h=O[0],v=O[1]}if(l&&!d&&(d="?"),y||(y=function(e,t,r){var n,o=r.settings.isDebugMode,i=(null==t?void 0:t.labelForFormat)||e,a=Cs(t);return 0==a?n=function(e,t,r,n,o,a,l,s){return"".concat(e," ").concat(i)}:1==a?n=function(e,t,r,n,a,l,s,u){return o&&"?"===t&&"?"===r?e&&"?"!==e?"".concat(e," ?"):"?":"".concat(e," ").concat(i," ").concat(r)}:2==a&&(n=function(e,t,r,n,o,a,l,s){var u,c,d=null==r||null===(u=r.first)||void 0===u?void 0:u.call(r),p=null==r||null===(c=r.get)||void 0===c?void 0:c.call(r,1);return"".concat(e," ").concat(i," ").concat(d," AND ").concat(p)}),n}(d,h,r)),y){var E="func"===c?Bd(t,r,u,n):Ud(t,r,u,n);if(null!=E){var S=function(e,t,r,n,o){var i,a,l=r.settings,s=(l.isForDisplay,l.isDebugMode),u=t.get("field"),c=t.get("valueSrc"),d=t.get("valueType"),p=zg(e,u)||{},f=n||t.get("operator"),h=Wg(e,f,u)||{},g=Cs(h),v=t.get("value"),m=t.get("asyncListValues"),y=[],b=[];return null!=v&&!((a=v.map((function(t,n){var i=c?c.get(n):null,a=d?d.get(n):null,l=s?t:Oh(t,i,e),g=uh(e,u,f,i),v=Hg(e,u,f,g,i,{forExport:!0}),O=Vd(e,r,l,i,a,v,p,f,h,o,m);return void 0!==O&&(y.push(i),b.push(a)),O}))).filter((function(e){return void 0===e})).size>0)&&a.size===g&&(i=1==g?a.first():a),s&&!i&&(i=g>1?new tl(Array.from({length:g}).map((function(e,t){var r,n;return null!==(r=null===(n=a)||void 0===n?void 0:n.get(t))&&void 0!==r?r:"?"}))):"?"),[i,y.length>1?y:y[0],b.length>1?b:b[0]]}(t,s,r,d,n),w=Xn(S,3),T=w[0],x=w[1],_=w[2];if(void 0!==T){var C=[E,d,T,x,_,_s(h,ws),p,a,f,m];if(o)return C;var R,I=(R=y).call.apply(R,[t.ctx].concat(C));return m&&(I=t.settings.formatReverse.call(t.ctx,I,d,g,h,v,a)),I}}}}},Vd=function(e,t,r,n,o,i,a,l,s){var u,c=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,d=arguments.length>10?arguments[10]:void 0,p=t.settings,f=p.isForDisplay,h=p.isDebugMode;if(void 0===r)return h?"array"===(null==i?void 0:i.jsType)?[]:"?":void 0;if("field"==n)u=Ud(e,t,r,c);else if("func"==n)u=Bd(e,t,r,c);else if("function"==typeof(null==i?void 0:i.formatValue)){var g=i.formatValue,v=[r,Ld(Ld({},Xs()(a,["fieldSettings","listValues"])),{},{asyncListValues:d}),_s(i,Ss),f];if(l&&(v.push(l),v.push(s)),"field"==n){var m=zg(e,r)||{};v.push(m)}u=g.call.apply(g,[e.ctx].concat(v))}else u=r;return u},Ud=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],i=t.settings,a=i.isForDisplay,l=i.isDebugMode,s=e.settings,u=(s.fieldSeparator,s.fieldSeparatorDisplay),c=null;if(r){var d=zg(e,r)||{},p=Fg(r,e),f=rh(r,e,o?n:null),h=f?f.join(u):null,g=d.label2||h;c=(0,e.settings.formatField)(ch(r,e,t,o?n:null,{useTableName:!0}),p,g,d,e,a)}else l&&(c="?");return c},Bd=function(e,t,r){var n,o,i,a=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,l=t.settings,s=l.isForDisplay,u=l.isDebugMode,c=null==r||null===(n=r.get)||void 0===n?void 0:n.call(r,"func");if(!c)return u?"?()":void 0;var d=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),p=kg(e,c);if(p||u){var f,h=Fg(c,e),g=h[h.length-1],v=s&&(null==p?void 0:p.label)||g,m={},y=[],b=[],O={},E=jd(p?Object.keys(p.args||{}):(null==d||null===(i=d.keySeq)||void 0===i?void 0:i.call(d).toArray())||[]);try{for(E.s();!(f=E.n()).done;){var S,w=f.value,T=null==p?void 0:p.args[w],x=zg(e,T),_=T||{},C=_.defaultValue,R=_.isOptional,I=null!=C&&C.func?"func":"value",A=s&&(null==T?void 0:T.label)||w,j=d?d.get(w):void 0,k=j?j.get("value"):void 0,P=j?j.get("valueSrc"):void 0;"func"!==P&&null!==(S=k)&&void 0!==S&&S.toJS&&(k=k.toJS());var L=j?j.get("asyncListValues"):void 0,N=Vd(e,t,k,P,null==T?void 0:T.type,x,T,null,null,a,L);null!=k&&void 0===N&&"func"!=P&&t.errors.push("Can't format value of arg ".concat(w," for func ").concat(c));var F=void 0;if(void 0===N&&!R&&null!=C&&void 0===(F=Vd(e,t,C,I,null==T?void 0:T.type,x,T,null,null,a,L)))return void("func"!=I&&t.errors.push("Can't format default value of arg ".concat(w," for func ").concat(c)));var D=null!=N?N:F;if(void 0!==D){if(y.length){var M,V=jd(w);try{for(V.s();!(M=V.n()).done;){var U=Xn(M.value,2),B=U[0];U[1],m[B]=void 0}}catch(e){V.e(e)}finally{V.f()}y=[]}m[w]=D,O[A]=D}else R||b.push(w),y.push([w,A])}}catch(e){E.e(e)}finally{E.f()}if(!b.length||u){var z=null;if("function"==typeof(null==p?void 0:p.formatFunc)){var W=p.formatFunc,H=[m,s];z=W.call.apply(W,[e.ctx].concat(H))}else{var q=Object.entries(s?O:m).map((function(e){var t=Xn(e,2),r=t[0],n=t[1];return s?"".concat(r,": ").concat(n):"".concat(n)})).join(", ");z="".concat(v,"(").concat(q,")")}return z}}else t.errors.push("Func ".concat(c," is not defined in config"))},zd="EMPTY_GROUP",Wd="EMPTY_RULE_GROUP",Hd="EMPTY_QUERY",qd="EMPTY_CASE",Gd="NO_CONFIG_FOR_FIELD",$d="NO_CONFIG_FOR_OPERATOR",Kd="NO_CONFIG_FOR_FUNCTION",Yd="INVALID_VALUE",Xd="INVALID_FUNC_ARG_VALUE",Qd="UNSUPPORTED_FIELD_TYPE",Jd="UNSUPPORTED_OPERATOR_FOR_FIELD",Zd="INVALID_VALUE_SRC",ep="INCOMPLETE_RULE",tp="INCOMPLETE_LHS",rp="INCOMPLETE_RHS",np="BAD_MULTISELECT_VALUES",op="BAD_SELECT_VALUE",ip="INCORRECT_VALUE_TYPE",ap="INCORRECT_VALUE_JS_TYPE",lp="VALUE_LENGTH_CONSTRAINT_FAIL",sp="VALUE_MIN_CONSTRAINT_FAIL",up="VALUE_MAX_CONSTRAINT_FAIL",cp="NO_CONFIG_FOR_FIELD_VALUE",dp="CANT_COMPARE_FIELD_WITH_ITSELF",pp="CANT_COMPARE_FIELD_WITH_FIELD",fp="INCORRECT_FIELD_TYPE",hp="UNSUPPORTED_FUNCTION_FOR_FIELD",gp="REQUIRED_FUNCTION_ARG",vp="INCORRECT_FUNCTION_RETURN_TYPE",mp="INVALID_RANGE",yp="ITEM_POSITION",bp="ITEM_POSITION_ROOT",Op="ITEM_POSITION_WITH_INDEX_PATH",Ep="ITEM_POSITION_IN_CASE",Sp="range";const wp={type:"logger",log(e){this.output("log",e)},warn(e){this.output("warn",e)},error(e){this.output("error",e)},output(e,t){console&&console[e]&&console[e].apply(console,t)}};class Tp{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.init(e,t)}init(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.prefix=t.prefix||"i18next:",this.logger=e||wp,this.options=t,this.debug=t.debug}log(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"log","",!0)}warn(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"warn","",!0)}error(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"error","")}deprecate(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return this.forward(t,"warn","WARNING DEPRECATED: ",!0)}forward(e,t,r,n){return n&&!this.debug?null:("string"==typeof e[0]&&(e[0]=`${r}${this.prefix} ${e[0]}`),this.logger[t](e))}create(e){return new Tp(this.logger,{prefix:`${this.prefix}:${e}:`,...this.options})}clone(e){return(e=e||this.options).prefix=e.prefix||this.prefix,new Tp(this.logger,e)}}var xp=new Tp;class _p{constructor(){this.observers={}}on(e,t){return e.split(" ").forEach((e=>{this.observers[e]||(this.observers[e]=new Map);const r=this.observers[e].get(t)||0;this.observers[e].set(t,r+1)})),this}off(e,t){this.observers[e]&&(t?this.observers[e].delete(t):delete this.observers[e])}emit(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];this.observers[e]&&Array.from(this.observers[e].entries()).forEach((e=>{let[t,n]=e;for(let e=0;e<n;e++)t(...r)})),this.observers["*"]&&Array.from(this.observers["*"].entries()).forEach((t=>{let[n,o]=t;for(let t=0;t<o;t++)n.apply(n,[e,...r])}))}}const Cp=()=>{let e,t;const r=new Promise(((r,n)=>{e=r,t=n}));return r.resolve=e,r.reject=t,r},Rp=e=>null==e?"":""+e,Ip=/###/g,Ap=e=>e&&e.indexOf("###")>-1?e.replace(Ip,"."):e,jp=e=>!e||"string"==typeof e,kp=(e,t,r)=>{const n="string"!=typeof t?t:t.split(".");let o=0;for(;o<n.length-1;){if(jp(e))return{};const t=Ap(n[o]);!e[t]&&r&&(e[t]=new r),e=Object.prototype.hasOwnProperty.call(e,t)?e[t]:{},++o}return jp(e)?{}:{obj:e,k:Ap(n[o])}},Pp=(e,t,r)=>{const{obj:n,k:o}=kp(e,t,Object);if(void 0!==n||1===t.length)return void(n[o]=r);let i=t[t.length-1],a=t.slice(0,t.length-1),l=kp(e,a,Object);for(;void 0===l.obj&&a.length;)i=`${a[a.length-1]}.${i}`,a=a.slice(0,a.length-1),l=kp(e,a,Object),l&&l.obj&&void 0!==l.obj[`${l.k}.${i}`]&&(l.obj=void 0);l.obj[`${l.k}.${i}`]=r},Lp=(e,t)=>{const{obj:r,k:n}=kp(e,t);if(r)return r[n]},Np=(e,t,r)=>{for(const n in t)"__proto__"!==n&&"constructor"!==n&&(n in e?"string"==typeof e[n]||e[n]instanceof String||"string"==typeof t[n]||t[n]instanceof String?r&&(e[n]=t[n]):Np(e[n],t[n],r):e[n]=t[n]);return e},Fp=e=>e.replace(/[\-\[\]\/\{\}\(\)\*\+\?\.\\\^\$\|]/g,"\\$&");var Dp={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;","/":"&#x2F;"};const Mp=e=>"string"==typeof e?e.replace(/[&<>"'\/]/g,(e=>Dp[e])):e,Vp=[" ",",","?","!",";"],Up=new class{constructor(e){this.capacity=e,this.regExpMap=new Map,this.regExpQueue=[]}getRegExp(e){const t=this.regExpMap.get(e);if(void 0!==t)return t;const r=new RegExp(e);return this.regExpQueue.length===this.capacity&&this.regExpMap.delete(this.regExpQueue.shift()),this.regExpMap.set(e,r),this.regExpQueue.push(e),r}}(20),Bp=function(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:".";if(!e)return;if(e[t])return e[t];const n=t.split(r);let o=e;for(let e=0;e<n.length;){if(!o||"object"!=typeof o)return;let t,i="";for(let a=e;a<n.length;++a)if(a!==e&&(i+=r),i+=n[a],t=o[i],void 0!==t){if(["string","number","boolean"].indexOf(typeof t)>-1&&a<n.length-1)continue;e+=a-e+1;break}o=t}return o},zp=e=>e&&e.indexOf("_")>0?e.replace("_","-"):e;class Wp extends _p{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{ns:["translation"],defaultNS:"translation"};super(),this.data=e||{},this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),void 0===this.options.ignoreJSONStructure&&(this.options.ignoreJSONStructure=!0)}addNamespaces(e){this.options.ns.indexOf(e)<0&&this.options.ns.push(e)}removeNamespaces(e){const t=this.options.ns.indexOf(e);t>-1&&this.options.ns.splice(t,1)}getResource(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const o=void 0!==n.keySeparator?n.keySeparator:this.options.keySeparator,i=void 0!==n.ignoreJSONStructure?n.ignoreJSONStructure:this.options.ignoreJSONStructure;let a;e.indexOf(".")>-1?a=e.split("."):(a=[e,t],r&&(Array.isArray(r)?a.push(...r):"string"==typeof r&&o?a.push(...r.split(o)):a.push(r)));const l=Lp(this.data,a);return!l&&!t&&!r&&e.indexOf(".")>-1&&(e=a[0],t=a[1],r=a.slice(2).join(".")),l||!i||"string"!=typeof r?l:Bp(this.data&&this.data[e]&&this.data[e][t],r,o)}addResource(e,t,r,n){let o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{silent:!1};const i=void 0!==o.keySeparator?o.keySeparator:this.options.keySeparator;let a=[e,t];r&&(a=a.concat(i?r.split(i):r)),e.indexOf(".")>-1&&(a=e.split("."),n=t,t=a[1]),this.addNamespaces(t),Pp(this.data,a,n),o.silent||this.emit("added",e,t,r,n)}addResources(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{silent:!1};for(const n in r)("string"==typeof r[n]||Array.isArray(r[n]))&&this.addResource(e,t,n,r[n],{silent:!0});n.silent||this.emit("added",e,t,r)}addResourceBundle(e,t,r,n,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{silent:!1,skipCopy:!1},a=[e,t];e.indexOf(".")>-1&&(a=e.split("."),n=r,r=t,t=a[1]),this.addNamespaces(t);let l=Lp(this.data,a)||{};i.skipCopy||(r=JSON.parse(JSON.stringify(r))),n?Np(l,r,o):l={...l,...r},Pp(this.data,a,l),i.silent||this.emit("added",e,t,r)}removeResourceBundle(e,t){this.hasResourceBundle(e,t)&&delete this.data[e][t],this.removeNamespaces(t),this.emit("removed",e,t)}hasResourceBundle(e,t){return void 0!==this.getResource(e,t)}getResourceBundle(e,t){return t||(t=this.options.defaultNS),"v1"===this.options.compatibilityAPI?{...this.getResource(e,t)}:this.getResource(e,t)}getDataByLanguage(e){return this.data[e]}hasLanguageSomeTranslations(e){const t=this.getDataByLanguage(e);return!!(t&&Object.keys(t)||[]).find((e=>t[e]&&Object.keys(t[e]).length>0))}toJSON(){return this.data}}var Hp={processors:{},addPostProcessor(e){this.processors[e.name]=e},handle(e,t,r,n,o){return e.forEach((e=>{this.processors[e]&&(t=this.processors[e].process(t,r,n,o))})),t}};const qp={};class Gp extends _p{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};super(),((e,t,r)=>{["resourceStore","languageUtils","pluralResolver","interpolator","backendConnector","i18nFormat","utils"].forEach((e=>{t[e]&&(r[e]=t[e])}))})(0,e,this),this.options=t,void 0===this.options.keySeparator&&(this.options.keySeparator="."),this.logger=xp.create("translator")}changeLanguage(e){e&&(this.language=e)}exists(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}};if(null==e)return!1;const r=this.resolve(e,t);return r&&void 0!==r.res}extractFromKey(e,t){let r=void 0!==t.nsSeparator?t.nsSeparator:this.options.nsSeparator;void 0===r&&(r=":");const n=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator;let o=t.ns||this.options.defaultNS||[];const i=r&&e.indexOf(r)>-1,a=!(this.options.userDefinedKeySeparator||t.keySeparator||this.options.userDefinedNsSeparator||t.nsSeparator||((e,t,r)=>{t=t||"",r=r||"";const n=Vp.filter((e=>t.indexOf(e)<0&&r.indexOf(e)<0));if(0===n.length)return!0;const o=Up.getRegExp(`(${n.map((e=>"?"===e?"\\?":e)).join("|")})`);let i=!o.test(e);if(!i){const t=e.indexOf(r);t>0&&!o.test(e.substring(0,t))&&(i=!0)}return i})(e,r,n));if(i&&!a){const t=e.match(this.interpolator.nestingRegexp);if(t&&t.length>0)return{key:e,namespaces:o};const i=e.split(r);(r!==n||r===n&&this.options.ns.indexOf(i[0])>-1)&&(o=i.shift()),e=i.join(n)}return"string"==typeof o&&(o=[o]),{key:e,namespaces:o}}translate(e,t,r){if("object"!=typeof t&&this.options.overloadTranslationOptionHandler&&(t=this.options.overloadTranslationOptionHandler(arguments)),"object"==typeof t&&(t={...t}),t||(t={}),null==e)return"";Array.isArray(e)||(e=[String(e)]);const n=void 0!==t.returnDetails?t.returnDetails:this.options.returnDetails,o=void 0!==t.keySeparator?t.keySeparator:this.options.keySeparator,{key:i,namespaces:a}=this.extractFromKey(e[e.length-1],t),l=a[a.length-1],s=t.lng||this.language,u=t.appendNamespaceToCIMode||this.options.appendNamespaceToCIMode;if(s&&"cimode"===s.toLowerCase()){if(u){const e=t.nsSeparator||this.options.nsSeparator;return n?{res:`${l}${e}${i}`,usedKey:i,exactUsedKey:i,usedLng:s,usedNS:l,usedParams:this.getUsedParamsDetails(t)}:`${l}${e}${i}`}return n?{res:i,usedKey:i,exactUsedKey:i,usedLng:s,usedNS:l,usedParams:this.getUsedParamsDetails(t)}:i}const c=this.resolve(e,t);let d=c&&c.res;const p=c&&c.usedKey||i,f=c&&c.exactUsedKey||i,h=Object.prototype.toString.apply(d),g=void 0!==t.joinArrays?t.joinArrays:this.options.joinArrays,v=!this.i18nFormat||this.i18nFormat.handleAsObject;if(v&&d&&"string"!=typeof d&&"boolean"!=typeof d&&"number"!=typeof d&&["[object Number]","[object Function]","[object RegExp]"].indexOf(h)<0&&("string"!=typeof g||!Array.isArray(d))){if(!t.returnObjects&&!this.options.returnObjects){this.options.returnedObjectHandler||this.logger.warn("accessing an object - but returnObjects options is not enabled!");const e=this.options.returnedObjectHandler?this.options.returnedObjectHandler(p,d,{...t,ns:a}):`key '${i} (${this.language})' returned an object instead of string.`;return n?(c.res=e,c.usedParams=this.getUsedParamsDetails(t),c):e}if(o){const e=Array.isArray(d),r=e?[]:{},n=e?f:p;for(const e in d)if(Object.prototype.hasOwnProperty.call(d,e)){const i=`${n}${o}${e}`;r[e]=this.translate(i,{...t,joinArrays:!1,ns:a}),r[e]===i&&(r[e]=d[e])}d=r}}else if(v&&"string"==typeof g&&Array.isArray(d))d=d.join(g),d&&(d=this.extendTranslation(d,e,t,r));else{let n=!1,a=!1;const u=void 0!==t.count&&"string"!=typeof t.count,p=Gp.hasDefaultValue(t),f=u?this.pluralResolver.getSuffix(s,t.count,t):"",h=t.ordinal&&u?this.pluralResolver.getSuffix(s,t.count,{ordinal:!1}):"",g=u&&!t.ordinal&&0===t.count&&this.pluralResolver.shouldUseIntlApi(),v=g&&t[`defaultValue${this.options.pluralSeparator}zero`]||t[`defaultValue${f}`]||t[`defaultValue${h}`]||t.defaultValue;!this.isValidLookup(d)&&p&&(n=!0,d=v),this.isValidLookup(d)||(a=!0,d=i);const m=(t.missingKeyNoValueFallbackToKey||this.options.missingKeyNoValueFallbackToKey)&&a?void 0:d,y=p&&v!==d&&this.options.updateMissing;if(a||n||y){if(this.logger.log(y?"updateKey":"missingKey",s,l,i,y?v:d),o){const e=this.resolve(i,{...t,keySeparator:!1});e&&e.res&&this.logger.warn("Seems the loaded translations were in flat JSON format instead of nested. Either set keySeparator: false on init or make sure your translations are published in nested format.")}let e=[];const r=this.languageUtils.getFallbackCodes(this.options.fallbackLng,t.lng||this.language);if("fallback"===this.options.saveMissingTo&&r&&r[0])for(let t=0;t<r.length;t++)e.push(r[t]);else"all"===this.options.saveMissingTo?e=this.languageUtils.toResolveHierarchy(t.lng||this.language):e.push(t.lng||this.language);const n=(e,r,n)=>{const o=p&&n!==d?n:m;this.options.missingKeyHandler?this.options.missingKeyHandler(e,l,r,o,y,t):this.backendConnector&&this.backendConnector.saveMissing&&this.backendConnector.saveMissing(e,l,r,o,y,t),this.emit("missingKey",e,l,r,d)};this.options.saveMissing&&(this.options.saveMissingPlurals&&u?e.forEach((e=>{const r=this.pluralResolver.getSuffixes(e,t);g&&t[`defaultValue${this.options.pluralSeparator}zero`]&&r.indexOf(`${this.options.pluralSeparator}zero`)<0&&r.push(`${this.options.pluralSeparator}zero`),r.forEach((r=>{n([e],i+r,t[`defaultValue${r}`]||v)}))})):n(e,i,v))}d=this.extendTranslation(d,e,t,c,r),a&&d===i&&this.options.appendNamespaceToMissingKey&&(d=`${l}:${i}`),(a||n)&&this.options.parseMissingKeyHandler&&(d="v1"!==this.options.compatibilityAPI?this.options.parseMissingKeyHandler(this.options.appendNamespaceToMissingKey?`${l}:${i}`:i,n?d:void 0):this.options.parseMissingKeyHandler(d))}return n?(c.res=d,c.usedParams=this.getUsedParamsDetails(t),c):d}extendTranslation(e,t,r,n,o){var i=this;if(this.i18nFormat&&this.i18nFormat.parse)e=this.i18nFormat.parse(e,{...this.options.interpolation.defaultVariables,...r},r.lng||this.language||n.usedLng,n.usedNS,n.usedKey,{resolved:n});else if(!r.skipInterpolation){r.interpolation&&this.interpolator.init({...r,interpolation:{...this.options.interpolation,...r.interpolation}});const a="string"==typeof e&&(r&&r.interpolation&&void 0!==r.interpolation.skipOnVariables?r.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables);let l;if(a){const t=e.match(this.interpolator.nestingRegexp);l=t&&t.length}let s=r.replace&&"string"!=typeof r.replace?r.replace:r;if(this.options.interpolation.defaultVariables&&(s={...this.options.interpolation.defaultVariables,...s}),e=this.interpolator.interpolate(e,s,r.lng||this.language||n.usedLng,r),a){const t=e.match(this.interpolator.nestingRegexp);l<(t&&t.length)&&(r.nest=!1)}!r.lng&&"v1"!==this.options.compatibilityAPI&&n&&n.res&&(r.lng=this.language||n.usedLng),!1!==r.nest&&(e=this.interpolator.nest(e,(function(){for(var e=arguments.length,n=new Array(e),a=0;a<e;a++)n[a]=arguments[a];return o&&o[0]===n[0]&&!r.context?(i.logger.warn(`It seems you are nesting recursively key: ${n[0]} in key: ${t[0]}`),null):i.translate(...n,t)}),r)),r.interpolation&&this.interpolator.reset()}const a=r.postProcess||this.options.postProcess,l="string"==typeof a?[a]:a;return null!=e&&l&&l.length&&!1!==r.applyPostProcessor&&(e=Hp.handle(l,e,t,this.options&&this.options.postProcessPassResolved?{i18nResolved:{...n,usedParams:this.getUsedParamsDetails(r)},...r}:r,this)),e}resolve(e){let t,r,n,o,i,a=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};return"string"==typeof e&&(e=[e]),e.forEach((e=>{if(this.isValidLookup(t))return;const l=this.extractFromKey(e,a),s=l.key;r=s;let u=l.namespaces;this.options.fallbackNS&&(u=u.concat(this.options.fallbackNS));const c=void 0!==a.count&&"string"!=typeof a.count,d=c&&!a.ordinal&&0===a.count&&this.pluralResolver.shouldUseIntlApi(),p=void 0!==a.context&&("string"==typeof a.context||"number"==typeof a.context)&&""!==a.context,f=a.lngs?a.lngs:this.languageUtils.toResolveHierarchy(a.lng||this.language,a.fallbackLng);u.forEach((e=>{this.isValidLookup(t)||(i=e,!qp[`${f[0]}-${e}`]&&this.utils&&this.utils.hasLoadedNamespace&&!this.utils.hasLoadedNamespace(i)&&(qp[`${f[0]}-${e}`]=!0,this.logger.warn(`key "${r}" for languages "${f.join(", ")}" won't get resolved as namespace "${i}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!")),f.forEach((r=>{if(this.isValidLookup(t))return;o=r;const i=[s];if(this.i18nFormat&&this.i18nFormat.addLookupKeys)this.i18nFormat.addLookupKeys(i,s,r,e,a);else{let e;c&&(e=this.pluralResolver.getSuffix(r,a.count,a));const t=`${this.options.pluralSeparator}zero`,n=`${this.options.pluralSeparator}ordinal${this.options.pluralSeparator}`;if(c&&(i.push(s+e),a.ordinal&&0===e.indexOf(n)&&i.push(s+e.replace(n,this.options.pluralSeparator)),d&&i.push(s+t)),p){const r=`${s}${this.options.contextSeparator}${a.context}`;i.push(r),c&&(i.push(r+e),a.ordinal&&0===e.indexOf(n)&&i.push(r+e.replace(n,this.options.pluralSeparator)),d&&i.push(r+t))}}let l;for(;l=i.pop();)this.isValidLookup(t)||(n=l,t=this.getResource(r,e,l,a))})))}))})),{res:t,usedKey:r,exactUsedKey:n,usedLng:o,usedNS:i}}isValidLookup(e){return!(void 0===e||!this.options.returnNull&&null===e||!this.options.returnEmptyString&&""===e)}getResource(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};return this.i18nFormat&&this.i18nFormat.getResource?this.i18nFormat.getResource(e,t,r,n):this.resourceStore.getResource(e,t,r,n)}getUsedParamsDetails(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};const t=["defaultValue","ordinal","context","replace","lng","lngs","fallbackLng","ns","keySeparator","nsSeparator","returnObjects","returnDetails","joinArrays","postProcess","interpolation"],r=e.replace&&"string"!=typeof e.replace;let n=r?e.replace:e;if(r&&void 0!==e.count&&(n.count=e.count),this.options.interpolation.defaultVariables&&(n={...this.options.interpolation.defaultVariables,...n}),!r){n={...n};for(const e of t)delete n[e]}return n}static hasDefaultValue(e){for(const t in e)if(Object.prototype.hasOwnProperty.call(e,t)&&"defaultValue"===t.substring(0,12)&&void 0!==e[t])return!0;return!1}}const $p=e=>e.charAt(0).toUpperCase()+e.slice(1);class Kp{constructor(e){this.options=e,this.supportedLngs=this.options.supportedLngs||!1,this.logger=xp.create("languageUtils")}getScriptPartFromCode(e){if(!(e=zp(e))||e.indexOf("-")<0)return null;const t=e.split("-");return 2===t.length?null:(t.pop(),"x"===t[t.length-1].toLowerCase()?null:this.formatLanguageCode(t.join("-")))}getLanguagePartFromCode(e){if(!(e=zp(e))||e.indexOf("-")<0)return e;const t=e.split("-");return this.formatLanguageCode(t[0])}formatLanguageCode(e){if("string"==typeof e&&e.indexOf("-")>-1){const t=["hans","hant","latn","cyrl","cans","mong","arab"];let r=e.split("-");return this.options.lowerCaseLng?r=r.map((e=>e.toLowerCase())):2===r.length?(r[0]=r[0].toLowerCase(),r[1]=r[1].toUpperCase(),t.indexOf(r[1].toLowerCase())>-1&&(r[1]=$p(r[1].toLowerCase()))):3===r.length&&(r[0]=r[0].toLowerCase(),2===r[1].length&&(r[1]=r[1].toUpperCase()),"sgn"!==r[0]&&2===r[2].length&&(r[2]=r[2].toUpperCase()),t.indexOf(r[1].toLowerCase())>-1&&(r[1]=$p(r[1].toLowerCase())),t.indexOf(r[2].toLowerCase())>-1&&(r[2]=$p(r[2].toLowerCase()))),r.join("-")}return this.options.cleanCode||this.options.lowerCaseLng?e.toLowerCase():e}isSupportedCode(e){return("languageOnly"===this.options.load||this.options.nonExplicitSupportedLngs)&&(e=this.getLanguagePartFromCode(e)),!this.supportedLngs||!this.supportedLngs.length||this.supportedLngs.indexOf(e)>-1}getBestMatchFromCodes(e){if(!e)return null;let t;return e.forEach((e=>{if(t)return;const r=this.formatLanguageCode(e);this.options.supportedLngs&&!this.isSupportedCode(r)||(t=r)})),!t&&this.options.supportedLngs&&e.forEach((e=>{if(t)return;const r=this.getLanguagePartFromCode(e);if(this.isSupportedCode(r))return t=r;t=this.options.supportedLngs.find((e=>e===r?e:e.indexOf("-")<0&&r.indexOf("-")<0?void 0:e.indexOf("-")>0&&r.indexOf("-")<0&&e.substring(0,e.indexOf("-"))===r||0===e.indexOf(r)&&r.length>1?e:void 0))})),t||(t=this.getFallbackCodes(this.options.fallbackLng)[0]),t}getFallbackCodes(e,t){if(!e)return[];if("function"==typeof e&&(e=e(t)),"string"==typeof e&&(e=[e]),Array.isArray(e))return e;if(!t)return e.default||[];let r=e[t];return r||(r=e[this.getScriptPartFromCode(t)]),r||(r=e[this.formatLanguageCode(t)]),r||(r=e[this.getLanguagePartFromCode(t)]),r||(r=e.default),r||[]}toResolveHierarchy(e,t){const r=this.getFallbackCodes(t||this.options.fallbackLng||[],e),n=[],o=e=>{e&&(this.isSupportedCode(e)?n.push(e):this.logger.warn(`rejecting language code not found in supportedLngs: ${e}`))};return"string"==typeof e&&(e.indexOf("-")>-1||e.indexOf("_")>-1)?("languageOnly"!==this.options.load&&o(this.formatLanguageCode(e)),"languageOnly"!==this.options.load&&"currentOnly"!==this.options.load&&o(this.getScriptPartFromCode(e)),"currentOnly"!==this.options.load&&o(this.getLanguagePartFromCode(e))):"string"==typeof e&&o(this.formatLanguageCode(e)),r.forEach((e=>{n.indexOf(e)<0&&o(this.formatLanguageCode(e))})),n}}let Yp=[{lngs:["ach","ak","am","arn","br","fil","gun","ln","mfe","mg","mi","oc","pt","pt-BR","tg","tl","ti","tr","uz","wa"],nr:[1,2],fc:1},{lngs:["af","an","ast","az","bg","bn","ca","da","de","dev","el","en","eo","es","et","eu","fi","fo","fur","fy","gl","gu","ha","hi","hu","hy","ia","it","kk","kn","ku","lb","mai","ml","mn","mr","nah","nap","nb","ne","nl","nn","no","nso","pa","pap","pms","ps","pt-PT","rm","sco","se","si","so","son","sq","sv","sw","ta","te","tk","ur","yo"],nr:[1,2],fc:2},{lngs:["ay","bo","cgg","fa","ht","id","ja","jbo","ka","km","ko","ky","lo","ms","sah","su","th","tt","ug","vi","wo","zh"],nr:[1],fc:3},{lngs:["be","bs","cnr","dz","hr","ru","sr","uk"],nr:[1,2,5],fc:4},{lngs:["ar"],nr:[0,1,2,3,11,100],fc:5},{lngs:["cs","sk"],nr:[1,2,5],fc:6},{lngs:["csb","pl"],nr:[1,2,5],fc:7},{lngs:["cy"],nr:[1,2,3,8],fc:8},{lngs:["fr"],nr:[1,2],fc:9},{lngs:["ga"],nr:[1,2,3,7,11],fc:10},{lngs:["gd"],nr:[1,2,3,20],fc:11},{lngs:["is"],nr:[1,2],fc:12},{lngs:["jv"],nr:[0,1],fc:13},{lngs:["kw"],nr:[1,2,3,4],fc:14},{lngs:["lt"],nr:[1,2,10],fc:15},{lngs:["lv"],nr:[1,2,0],fc:16},{lngs:["mk"],nr:[1,2],fc:17},{lngs:["mnk"],nr:[0,1,2],fc:18},{lngs:["mt"],nr:[1,2,11,20],fc:19},{lngs:["or"],nr:[2,1],fc:2},{lngs:["ro"],nr:[1,2,20],fc:20},{lngs:["sl"],nr:[5,1,2,3],fc:21},{lngs:["he","iw"],nr:[1,2,20,21],fc:22}],Xp={1:e=>Number(e>1),2:e=>Number(1!=e),3:e=>0,4:e=>Number(e%10==1&&e%100!=11?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2),5:e=>Number(0==e?0:1==e?1:2==e?2:e%100>=3&&e%100<=10?3:e%100>=11?4:5),6:e=>Number(1==e?0:e>=2&&e<=4?1:2),7:e=>Number(1==e?0:e%10>=2&&e%10<=4&&(e%100<10||e%100>=20)?1:2),8:e=>Number(1==e?0:2==e?1:8!=e&&11!=e?2:3),9:e=>Number(e>=2),10:e=>Number(1==e?0:2==e?1:e<7?2:e<11?3:4),11:e=>Number(1==e||11==e?0:2==e||12==e?1:e>2&&e<20?2:3),12:e=>Number(e%10!=1||e%100==11),13:e=>Number(0!==e),14:e=>Number(1==e?0:2==e?1:3==e?2:3),15:e=>Number(e%10==1&&e%100!=11?0:e%10>=2&&(e%100<10||e%100>=20)?1:2),16:e=>Number(e%10==1&&e%100!=11?0:0!==e?1:2),17:e=>Number(1==e||e%10==1&&e%100!=11?0:1),18:e=>Number(0==e?0:1==e?1:2),19:e=>Number(1==e?0:0==e||e%100>1&&e%100<11?1:e%100>10&&e%100<20?2:3),20:e=>Number(1==e?0:0==e||e%100>0&&e%100<20?1:2),21:e=>Number(e%100==1?1:e%100==2?2:e%100==3||e%100==4?3:0),22:e=>Number(1==e?0:2==e?1:(e<0||e>10)&&e%10==0?2:3)};const Qp=["v1","v2","v3"],Jp=["v4"],Zp={zero:0,one:1,two:2,few:3,many:4,other:5};class ef{constructor(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};this.languageUtils=e,this.options=t,this.logger=xp.create("pluralResolver"),this.options.compatibilityJSON&&!Jp.includes(this.options.compatibilityJSON)||"undefined"!=typeof Intl&&Intl.PluralRules||(this.options.compatibilityJSON="v3",this.logger.error("Your environment seems not to be Intl API compatible, use an Intl.PluralRules polyfill. Will fallback to the compatibilityJSON v3 format handling.")),this.rules=(()=>{const e={};return Yp.forEach((t=>{t.lngs.forEach((r=>{e[r]={numbers:t.nr,plurals:Xp[t.fc]}}))})),e})(),this.pluralRulesCache={}}addRule(e,t){this.rules[e]=t}clearCache(){this.pluralRulesCache={}}getRule(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(this.shouldUseIntlApi())try{const r=zp("dev"===e?"en":e),n=t.ordinal?"ordinal":"cardinal",o=JSON.stringify({cleanedCode:r,type:n});if(o in this.pluralRulesCache)return this.pluralRulesCache[o];const i=new Intl.PluralRules(r,{type:n});return this.pluralRulesCache[o]=i,i}catch(e){return}return this.rules[e]||this.rules[this.languageUtils.getLanguagePartFromCode(e)]}needsPlural(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const r=this.getRule(e,t);return this.shouldUseIntlApi()?r&&r.resolvedOptions().pluralCategories.length>1:r&&r.numbers.length>1}getPluralFormsOfKey(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};return this.getSuffixes(e,r).map((e=>`${t}${e}`))}getSuffixes(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};const r=this.getRule(e,t);return r?this.shouldUseIntlApi()?r.resolvedOptions().pluralCategories.sort(((e,t)=>Zp[e]-Zp[t])).map((e=>`${this.options.prepend}${t.ordinal?`ordinal${this.options.prepend}`:""}${e}`)):r.numbers.map((r=>this.getSuffix(e,r,t))):[]}getSuffix(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const n=this.getRule(e,r);return n?this.shouldUseIntlApi()?`${this.options.prepend}${r.ordinal?`ordinal${this.options.prepend}`:""}${n.select(t)}`:this.getSuffixRetroCompatible(n,t):(this.logger.warn(`no plural rule found for: ${e}`),"")}getSuffixRetroCompatible(e,t){const r=e.noAbs?e.plurals(t):e.plurals(Math.abs(t));let n=e.numbers[r];this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]&&(2===n?n="plural":1===n&&(n=""));const o=()=>this.options.prepend&&n.toString()?this.options.prepend+n.toString():n.toString();return"v1"===this.options.compatibilityJSON?1===n?"":"number"==typeof n?`_plural_${n.toString()}`:o():"v2"===this.options.compatibilityJSON||this.options.simplifyPluralSuffix&&2===e.numbers.length&&1===e.numbers[0]?o():this.options.prepend&&r.toString()?this.options.prepend+r.toString():r.toString()}shouldUseIntlApi(){return!Qp.includes(this.options.compatibilityJSON)}}const tf=function(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:".",o=!(arguments.length>4&&void 0!==arguments[4])||arguments[4],i=((e,t,r)=>{const n=Lp(e,r);return void 0!==n?n:Lp(t,r)})(e,t,r);return!i&&o&&"string"==typeof r&&(i=Bp(e,r,n),void 0===i&&(i=Bp(t,r,n))),i},rf=e=>e.replace(/\$/g,"$$$$");class nf{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=xp.create("interpolator"),this.options=e,this.format=e.interpolation&&e.interpolation.format||(e=>e),this.init(e)}init(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};e.interpolation||(e.interpolation={escapeValue:!0});const{escape:t,escapeValue:r,useRawValueToEscape:n,prefix:o,prefixEscaped:i,suffix:a,suffixEscaped:l,formatSeparator:s,unescapeSuffix:u,unescapePrefix:c,nestingPrefix:d,nestingPrefixEscaped:p,nestingSuffix:f,nestingSuffixEscaped:h,nestingOptionsSeparator:g,maxReplaces:v,alwaysFormat:m}=e.interpolation;this.escape=void 0!==t?t:Mp,this.escapeValue=void 0===r||r,this.useRawValueToEscape=void 0!==n&&n,this.prefix=o?Fp(o):i||"{{",this.suffix=a?Fp(a):l||"}}",this.formatSeparator=s||",",this.unescapePrefix=u?"":c||"-",this.unescapeSuffix=this.unescapePrefix?"":u||"",this.nestingPrefix=d?Fp(d):p||Fp("$t("),this.nestingSuffix=f?Fp(f):h||Fp(")"),this.nestingOptionsSeparator=g||",",this.maxReplaces=v||1e3,this.alwaysFormat=void 0!==m&&m,this.resetRegExp()}reset(){this.options&&this.init(this.options)}resetRegExp(){const e=(e,t)=>e&&e.source===t?(e.lastIndex=0,e):new RegExp(t,"g");this.regexp=e(this.regexp,`${this.prefix}(.+?)${this.suffix}`),this.regexpUnescape=e(this.regexpUnescape,`${this.prefix}${this.unescapePrefix}(.+?)${this.unescapeSuffix}${this.suffix}`),this.nestingRegexp=e(this.nestingRegexp,`${this.nestingPrefix}(.+?)${this.nestingSuffix}`)}interpolate(e,t,r,n){let o,i,a;const l=this.options&&this.options.interpolation&&this.options.interpolation.defaultVariables||{},s=e=>{if(e.indexOf(this.formatSeparator)<0){const o=tf(t,l,e,this.options.keySeparator,this.options.ignoreJSONStructure);return this.alwaysFormat?this.format(o,void 0,r,{...n,...t,interpolationkey:e}):o}const o=e.split(this.formatSeparator),i=o.shift().trim(),a=o.join(this.formatSeparator).trim();return this.format(tf(t,l,i,this.options.keySeparator,this.options.ignoreJSONStructure),a,r,{...n,...t,interpolationkey:i})};this.resetRegExp();const u=n&&n.missingInterpolationHandler||this.options.missingInterpolationHandler,c=n&&n.interpolation&&void 0!==n.interpolation.skipOnVariables?n.interpolation.skipOnVariables:this.options.interpolation.skipOnVariables;return[{regex:this.regexpUnescape,safeValue:e=>rf(e)},{regex:this.regexp,safeValue:e=>this.escapeValue?rf(this.escape(e)):rf(e)}].forEach((t=>{for(a=0;o=t.regex.exec(e);){const r=o[1].trim();if(i=s(r),void 0===i)if("function"==typeof u){const t=u(e,o,n);i="string"==typeof t?t:""}else if(n&&Object.prototype.hasOwnProperty.call(n,r))i="";else{if(c){i=o[0];continue}this.logger.warn(`missed to pass in variable ${r} for interpolating ${e}`),i=""}else"string"==typeof i||this.useRawValueToEscape||(i=Rp(i));const l=t.safeValue(i);if(e=e.replace(o[0],l),c?(t.regex.lastIndex+=i.length,t.regex.lastIndex-=o[0].length):t.regex.lastIndex=0,a++,a>=this.maxReplaces)break}})),e}nest(e,t){let r,n,o,i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{};const a=(e,t)=>{const r=this.nestingOptionsSeparator;if(e.indexOf(r)<0)return e;const n=e.split(new RegExp(`${r}[ ]*{`));let i=`{${n[1]}`;e=n[0],i=this.interpolate(i,o);const a=i.match(/'/g),l=i.match(/"/g);(a&&a.length%2==0&&!l||l.length%2!=0)&&(i=i.replace(/'/g,'"'));try{o=JSON.parse(i),t&&(o={...t,...o})}catch(t){return this.logger.warn(`failed parsing options string in nesting for key ${e}`,t),`${e}${r}${i}`}return o.defaultValue&&o.defaultValue.indexOf(this.prefix)>-1&&delete o.defaultValue,e};for(;r=this.nestingRegexp.exec(e);){let l=[];o={...i},o=o.replace&&"string"!=typeof o.replace?o.replace:o,o.applyPostProcessor=!1,delete o.defaultValue;let s=!1;if(-1!==r[0].indexOf(this.formatSeparator)&&!/{.*}/.test(r[1])){const e=r[1].split(this.formatSeparator).map((e=>e.trim()));r[1]=e.shift(),l=e,s=!0}if(n=t(a.call(this,r[1].trim(),o),o),n&&r[0]===e&&"string"!=typeof n)return n;"string"!=typeof n&&(n=Rp(n)),n||(this.logger.warn(`missed to resolve ${r[1]} for nesting ${e}`),n=""),s&&(n=l.reduce(((e,t)=>this.format(e,t,i.lng,{...i,interpolationkey:r[1].trim()})),n.trim())),e=e.replace(r[0],n),this.regexp.lastIndex=0}return e}}const of=e=>{const t={};return(r,n,o)=>{let i=o;o&&o.interpolationkey&&o.formatParams&&o.formatParams[o.interpolationkey]&&o[o.interpolationkey]&&(i={...i,[o.interpolationkey]:void 0});const a=n+JSON.stringify(i);let l=t[a];return l||(l=e(zp(n),o),t[a]=l),l(r)}};class af{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};this.logger=xp.create("formatter"),this.options=e,this.formats={number:of(((e,t)=>{const r=new Intl.NumberFormat(e,{...t});return e=>r.format(e)})),currency:of(((e,t)=>{const r=new Intl.NumberFormat(e,{...t,style:"currency"});return e=>r.format(e)})),datetime:of(((e,t)=>{const r=new Intl.DateTimeFormat(e,{...t});return e=>r.format(e)})),relativetime:of(((e,t)=>{const r=new Intl.RelativeTimeFormat(e,{...t});return e=>r.format(e,t.range||"day")})),list:of(((e,t)=>{const r=new Intl.ListFormat(e,{...t});return e=>r.format(e)}))},this.init(e)}init(e){const t=(arguments.length>1&&void 0!==arguments[1]?arguments[1]:{interpolation:{}}).interpolation;this.formatSeparator=t.formatSeparator?t.formatSeparator:t.formatSeparator||","}add(e,t){this.formats[e.toLowerCase().trim()]=t}addCached(e,t){this.formats[e.toLowerCase().trim()]=of(t)}format(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};const o=t.split(this.formatSeparator);if(o.length>1&&o[0].indexOf("(")>1&&o[0].indexOf(")")<0&&o.find((e=>e.indexOf(")")>-1))){const e=o.findIndex((e=>e.indexOf(")")>-1));o[0]=[o[0],...o.splice(1,e)].join(this.formatSeparator)}return o.reduce(((e,t)=>{const{formatName:o,formatOptions:i}=(e=>{let t=e.toLowerCase().trim();const r={};if(e.indexOf("(")>-1){const n=e.split("(");t=n[0].toLowerCase().trim();const o=n[1].substring(0,n[1].length-1);"currency"===t&&o.indexOf(":")<0?r.currency||(r.currency=o.trim()):"relativetime"===t&&o.indexOf(":")<0?r.range||(r.range=o.trim()):o.split(";").forEach((e=>{if(e){const[t,...n]=e.split(":"),o=n.join(":").trim().replace(/^'+|'+$/g,""),i=t.trim();r[i]||(r[i]=o),"false"===o&&(r[i]=!1),"true"===o&&(r[i]=!0),isNaN(o)||(r[i]=parseInt(o,10))}}))}return{formatName:t,formatOptions:r}})(t);if(this.formats[o]){let t=e;try{const a=n&&n.formatParams&&n.formatParams[n.interpolationkey]||{},l=a.locale||a.lng||n.locale||n.lng||r;t=this.formats[o](e,l,{...i,...n,...a})}catch(e){this.logger.warn(e)}return t}return this.logger.warn(`there was no format function for ${o}`),e}),e)}}class lf extends _p{constructor(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:{};super(),this.backend=e,this.store=t,this.services=r,this.languageUtils=r.languageUtils,this.options=n,this.logger=xp.create("backendConnector"),this.waitingReads=[],this.maxParallelReads=n.maxParallelReads||10,this.readingCalls=0,this.maxRetries=n.maxRetries>=0?n.maxRetries:5,this.retryTimeout=n.retryTimeout>=1?n.retryTimeout:350,this.state={},this.queue=[],this.backend&&this.backend.init&&this.backend.init(r,n.backend,n)}queueLoad(e,t,r,n){const o={},i={},a={},l={};return e.forEach((e=>{let n=!0;t.forEach((t=>{const a=`${e}|${t}`;!r.reload&&this.store.hasResourceBundle(e,t)?this.state[a]=2:this.state[a]<0||(1===this.state[a]?void 0===i[a]&&(i[a]=!0):(this.state[a]=1,n=!1,void 0===i[a]&&(i[a]=!0),void 0===o[a]&&(o[a]=!0),void 0===l[t]&&(l[t]=!0)))})),n||(a[e]=!0)})),(Object.keys(o).length||Object.keys(i).length)&&this.queue.push({pending:i,pendingCount:Object.keys(i).length,loaded:{},errors:[],callback:n}),{toLoad:Object.keys(o),pending:Object.keys(i),toLoadLanguages:Object.keys(a),toLoadNamespaces:Object.keys(l)}}loaded(e,t,r){const n=e.split("|"),o=n[0],i=n[1];t&&this.emit("failedLoading",o,i,t),!t&&r&&this.store.addResourceBundle(o,i,r,void 0,void 0,{skipCopy:!0}),this.state[e]=t?-1:2,t&&r&&(this.state[e]=0);const a={};this.queue.forEach((r=>{((e,t,r,n)=>{const{obj:o,k:i}=kp(e,t,Object);o[i]=o[i]||[],o[i].push(r)})(r.loaded,[o],i),((e,t)=>{void 0!==e.pending[t]&&(delete e.pending[t],e.pendingCount--)})(r,e),t&&r.errors.push(t),0!==r.pendingCount||r.done||(Object.keys(r.loaded).forEach((e=>{a[e]||(a[e]={});const t=r.loaded[e];t.length&&t.forEach((t=>{void 0===a[e][t]&&(a[e][t]=!0)}))})),r.done=!0,r.errors.length?r.callback(r.errors):r.callback())})),this.emit("loaded",a),this.queue=this.queue.filter((e=>!e.done))}read(e,t,r){let n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:0,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:this.retryTimeout,i=arguments.length>5?arguments[5]:void 0;if(!e.length)return i(null,{});if(this.readingCalls>=this.maxParallelReads)return void this.waitingReads.push({lng:e,ns:t,fcName:r,tried:n,wait:o,callback:i});this.readingCalls++;const a=(a,l)=>{if(this.readingCalls--,this.waitingReads.length>0){const e=this.waitingReads.shift();this.read(e.lng,e.ns,e.fcName,e.tried,e.wait,e.callback)}a&&l&&n<this.maxRetries?setTimeout((()=>{this.read.call(this,e,t,r,n+1,2*o,i)}),o):i(a,l)},l=this.backend[r].bind(this.backend);if(2!==l.length)return l(e,t,a);try{const r=l(e,t);r&&"function"==typeof r.then?r.then((e=>a(null,e))).catch(a):a(null,r)}catch(e){a(e)}}prepareLoading(e,t){let r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=arguments.length>3?arguments[3]:void 0;if(!this.backend)return this.logger.warn("No backend was added via i18next.use. Will not load resources."),n&&n();"string"==typeof e&&(e=this.languageUtils.toResolveHierarchy(e)),"string"==typeof t&&(t=[t]);const o=this.queueLoad(e,t,r,n);if(!o.toLoad.length)return o.pending.length||n(),null;o.toLoad.forEach((e=>{this.loadOne(e)}))}load(e,t,r){this.prepareLoading(e,t,{},r)}reload(e,t,r){this.prepareLoading(e,t,{reload:!0},r)}loadOne(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"";const r=e.split("|"),n=r[0],o=r[1];this.read(n,o,"read",void 0,void 0,((r,i)=>{r&&this.logger.warn(`${t}loading namespace ${o} for language ${n} failed`,r),!r&&i&&this.logger.log(`${t}loaded namespace ${o} for language ${n}`,i),this.loaded(e,r,i)}))}saveMissing(e,t,r,n,o){let i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:()=>{};if(this.services.utils&&this.services.utils.hasLoadedNamespace&&!this.services.utils.hasLoadedNamespace(t))this.logger.warn(`did not save key "${r}" as the namespace "${t}" was not yet loaded`,"This means something IS WRONG in your setup. You access the t function before i18next.init / i18next.loadNamespace / i18next.changeLanguage was done. Wait for the callback or Promise to resolve before accessing it!!!");else if(null!=r&&""!==r){if(this.backend&&this.backend.create){const l={...i,isUpdate:o},s=this.backend.create.bind(this.backend);if(s.length<6)try{let o;o=5===s.length?s(e,t,r,n,l):s(e,t,r,n),o&&"function"==typeof o.then?o.then((e=>a(null,e))).catch(a):a(null,o)}catch(e){a(e)}else s(e,t,r,n,a,l)}e&&e[0]&&this.store.addResource(e[0],t,r,n)}}}const sf=()=>({debug:!1,initImmediate:!0,ns:["translation"],defaultNS:["translation"],fallbackLng:["dev"],fallbackNS:!1,supportedLngs:!1,nonExplicitSupportedLngs:!1,load:"all",preload:!1,simplifyPluralSuffix:!0,keySeparator:".",nsSeparator:":",pluralSeparator:"_",contextSeparator:"_",partialBundledLanguages:!1,saveMissing:!1,updateMissing:!1,saveMissingTo:"fallback",saveMissingPlurals:!0,missingKeyHandler:!1,missingInterpolationHandler:!1,postProcess:!1,postProcessPassResolved:!1,returnNull:!1,returnEmptyString:!0,returnObjects:!1,joinArrays:!1,returnedObjectHandler:!1,parseMissingKeyHandler:!1,appendNamespaceToMissingKey:!1,appendNamespaceToCIMode:!1,overloadTranslationOptionHandler:e=>{let t={};if("object"==typeof e[1]&&(t=e[1]),"string"==typeof e[1]&&(t.defaultValue=e[1]),"string"==typeof e[2]&&(t.tDescription=e[2]),"object"==typeof e[2]||"object"==typeof e[3]){const r=e[3]||e[2];Object.keys(r).forEach((e=>{t[e]=r[e]}))}return t},interpolation:{escapeValue:!0,format:e=>e,prefix:"{{",suffix:"}}",formatSeparator:",",unescapePrefix:"-",nestingPrefix:"$t(",nestingSuffix:")",nestingOptionsSeparator:",",maxReplaces:1e3,skipOnVariables:!0}}),uf=e=>("string"==typeof e.ns&&(e.ns=[e.ns]),"string"==typeof e.fallbackLng&&(e.fallbackLng=[e.fallbackLng]),"string"==typeof e.fallbackNS&&(e.fallbackNS=[e.fallbackNS]),e.supportedLngs&&e.supportedLngs.indexOf("cimode")<0&&(e.supportedLngs=e.supportedLngs.concat(["cimode"])),e),cf=()=>{};class df extends _p{constructor(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1?arguments[1]:void 0;var r;if(super(),this.options=uf(e),this.services={},this.logger=xp,this.modules={external:[]},r=this,Object.getOwnPropertyNames(Object.getPrototypeOf(r)).forEach((e=>{"function"==typeof r[e]&&(r[e]=r[e].bind(r))})),t&&!this.isInitialized&&!e.isClone){if(!this.options.initImmediate)return this.init(e,t),this;setTimeout((()=>{this.init(e,t)}),0)}}init(){var e=this;let t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},r=arguments.length>1?arguments[1]:void 0;this.isInitializing=!0,"function"==typeof t&&(r=t,t={}),!t.defaultNS&&!1!==t.defaultNS&&t.ns&&("string"==typeof t.ns?t.defaultNS=t.ns:t.ns.indexOf("translation")<0&&(t.defaultNS=t.ns[0]));const n=sf();this.options={...n,...this.options,...uf(t)},"v1"!==this.options.compatibilityAPI&&(this.options.interpolation={...n.interpolation,...this.options.interpolation}),void 0!==t.keySeparator&&(this.options.userDefinedKeySeparator=t.keySeparator),void 0!==t.nsSeparator&&(this.options.userDefinedNsSeparator=t.nsSeparator);const o=e=>e?"function"==typeof e?new e:e:null;if(!this.options.isClone){let t;this.modules.logger?xp.init(o(this.modules.logger),this.options):xp.init(null,this.options),this.modules.formatter?t=this.modules.formatter:"undefined"!=typeof Intl&&(t=af);const r=new Kp(this.options);this.store=new Wp(this.options.resources,this.options);const i=this.services;i.logger=xp,i.resourceStore=this.store,i.languageUtils=r,i.pluralResolver=new ef(r,{prepend:this.options.pluralSeparator,compatibilityJSON:this.options.compatibilityJSON,simplifyPluralSuffix:this.options.simplifyPluralSuffix}),!t||this.options.interpolation.format&&this.options.interpolation.format!==n.interpolation.format||(i.formatter=o(t),i.formatter.init(i,this.options),this.options.interpolation.format=i.formatter.format.bind(i.formatter)),i.interpolator=new nf(this.options),i.utils={hasLoadedNamespace:this.hasLoadedNamespace.bind(this)},i.backendConnector=new lf(o(this.modules.backend),i.resourceStore,i,this.options),i.backendConnector.on("*",(function(t){for(var r=arguments.length,n=new Array(r>1?r-1:0),o=1;o<r;o++)n[o-1]=arguments[o];e.emit(t,...n)})),this.modules.languageDetector&&(i.languageDetector=o(this.modules.languageDetector),i.languageDetector.init&&i.languageDetector.init(i,this.options.detection,this.options)),this.modules.i18nFormat&&(i.i18nFormat=o(this.modules.i18nFormat),i.i18nFormat.init&&i.i18nFormat.init(this)),this.translator=new Gp(this.services,this.options),this.translator.on("*",(function(t){for(var r=arguments.length,n=new Array(r>1?r-1:0),o=1;o<r;o++)n[o-1]=arguments[o];e.emit(t,...n)})),this.modules.external.forEach((e=>{e.init&&e.init(this)}))}if(this.format=this.options.interpolation.format,r||(r=cf),this.options.fallbackLng&&!this.services.languageDetector&&!this.options.lng){const e=this.services.languageUtils.getFallbackCodes(this.options.fallbackLng);e.length>0&&"dev"!==e[0]&&(this.options.lng=e[0])}this.services.languageDetector||this.options.lng||this.logger.warn("init: no languageDetector is used and no lng is defined"),["getResource","hasResourceBundle","getResourceBundle","getDataByLanguage"].forEach((t=>{this[t]=function(){return e.store[t](...arguments)}})),["addResource","addResources","addResourceBundle","removeResourceBundle"].forEach((t=>{this[t]=function(){return e.store[t](...arguments),e}}));const i=Cp(),a=()=>{const e=(e,t)=>{this.isInitializing=!1,this.isInitialized&&!this.initializedStoreOnce&&this.logger.warn("init: i18next is already initialized. You should call init just once!"),this.isInitialized=!0,this.options.isClone||this.logger.log("initialized",this.options),this.emit("initialized",this.options),i.resolve(t),r(e,t)};if(this.languages&&"v1"!==this.options.compatibilityAPI&&!this.isInitialized)return e(null,this.t.bind(this));this.changeLanguage(this.options.lng,e)};return this.options.resources||!this.options.initImmediate?a():setTimeout(a,0),i}loadResources(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:cf;const r="string"==typeof e?e:this.language;if("function"==typeof e&&(t=e),!this.options.resources||this.options.partialBundledLanguages){if(r&&"cimode"===r.toLowerCase()&&(!this.options.preload||0===this.options.preload.length))return t();const e=[],n=t=>{t&&"cimode"!==t&&this.services.languageUtils.toResolveHierarchy(t).forEach((t=>{"cimode"!==t&&e.indexOf(t)<0&&e.push(t)}))};r?n(r):this.services.languageUtils.getFallbackCodes(this.options.fallbackLng).forEach((e=>n(e))),this.options.preload&&this.options.preload.forEach((e=>n(e))),this.services.backendConnector.load(e,this.options.ns,(e=>{e||this.resolvedLanguage||!this.language||this.setResolvedLanguage(this.language),t(e)}))}else t(null)}reloadResources(e,t,r){const n=Cp();return"function"==typeof e&&(r=e,e=void 0),"function"==typeof t&&(r=t,t=void 0),e||(e=this.languages),t||(t=this.options.ns),r||(r=cf),this.services.backendConnector.reload(e,t,(e=>{n.resolve(),r(e)})),n}use(e){if(!e)throw new Error("You are passing an undefined module! Please check the object you are passing to i18next.use()");if(!e.type)throw new Error("You are passing a wrong module! Please check the object you are passing to i18next.use()");return"backend"===e.type&&(this.modules.backend=e),("logger"===e.type||e.log&&e.warn&&e.error)&&(this.modules.logger=e),"languageDetector"===e.type&&(this.modules.languageDetector=e),"i18nFormat"===e.type&&(this.modules.i18nFormat=e),"postProcessor"===e.type&&Hp.addPostProcessor(e),"formatter"===e.type&&(this.modules.formatter=e),"3rdParty"===e.type&&this.modules.external.push(e),this}setResolvedLanguage(e){if(e&&this.languages&&!(["cimode","dev"].indexOf(e)>-1))for(let e=0;e<this.languages.length;e++){const t=this.languages[e];if(!(["cimode","dev"].indexOf(t)>-1)&&this.store.hasLanguageSomeTranslations(t)){this.resolvedLanguage=t;break}}}changeLanguage(e,t){var r=this;this.isLanguageChangingTo=e;const n=Cp();this.emit("languageChanging",e);const o=e=>{this.language=e,this.languages=this.services.languageUtils.toResolveHierarchy(e),this.resolvedLanguage=void 0,this.setResolvedLanguage(e)},i=(e,i)=>{i?(o(i),this.translator.changeLanguage(i),this.isLanguageChangingTo=void 0,this.emit("languageChanged",i),this.logger.log("languageChanged",i)):this.isLanguageChangingTo=void 0,n.resolve((function(){return r.t(...arguments)})),t&&t(e,(function(){return r.t(...arguments)}))},a=t=>{e||t||!this.services.languageDetector||(t=[]);const r="string"==typeof t?t:this.services.languageUtils.getBestMatchFromCodes(t);r&&(this.language||o(r),this.translator.language||this.translator.changeLanguage(r),this.services.languageDetector&&this.services.languageDetector.cacheUserLanguage&&this.services.languageDetector.cacheUserLanguage(r)),this.loadResources(r,(e=>{i(e,r)}))};return e||!this.services.languageDetector||this.services.languageDetector.async?!e&&this.services.languageDetector&&this.services.languageDetector.async?0===this.services.languageDetector.detect.length?this.services.languageDetector.detect().then(a):this.services.languageDetector.detect(a):a(e):a(this.services.languageDetector.detect()),n}getFixedT(e,t,r){var n=this;const o=function(e,t){let i;if("object"!=typeof t){for(var a=arguments.length,l=new Array(a>2?a-2:0),s=2;s<a;s++)l[s-2]=arguments[s];i=n.options.overloadTranslationOptionHandler([e,t].concat(l))}else i={...t};i.lng=i.lng||o.lng,i.lngs=i.lngs||o.lngs,i.ns=i.ns||o.ns,""!==i.keyPrefix&&(i.keyPrefix=i.keyPrefix||r||o.keyPrefix);const u=n.options.keySeparator||".";let c;return c=i.keyPrefix&&Array.isArray(e)?e.map((e=>`${i.keyPrefix}${u}${e}`)):i.keyPrefix?`${i.keyPrefix}${u}${e}`:e,n.t(c,i)};return"string"==typeof e?o.lng=e:o.lngs=e,o.ns=t,o.keyPrefix=r,o}t(){return this.translator&&this.translator.translate(...arguments)}exists(){return this.translator&&this.translator.exists(...arguments)}setDefaultNamespace(e){this.options.defaultNS=e}hasLoadedNamespace(e){let t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{};if(!this.isInitialized)return this.logger.warn("hasLoadedNamespace: i18next was not initialized",this.languages),!1;if(!this.languages||!this.languages.length)return this.logger.warn("hasLoadedNamespace: i18n.languages were undefined or empty",this.languages),!1;const r=t.lng||this.resolvedLanguage||this.languages[0],n=!!this.options&&this.options.fallbackLng,o=this.languages[this.languages.length-1];if("cimode"===r.toLowerCase())return!0;const i=(e,t)=>{const r=this.services.backendConnector.state[`${e}|${t}`];return-1===r||0===r||2===r};if(t.precheck){const e=t.precheck(this,i);if(void 0!==e)return e}return!(!this.hasResourceBundle(r,e)&&this.services.backendConnector.backend&&(!this.options.resources||this.options.partialBundledLanguages)&&(!i(r,e)||n&&!i(o,e)))}loadNamespaces(e,t){const r=Cp();return this.options.ns?("string"==typeof e&&(e=[e]),e.forEach((e=>{this.options.ns.indexOf(e)<0&&this.options.ns.push(e)})),this.loadResources((e=>{r.resolve(),t&&t(e)})),r):(t&&t(),Promise.resolve())}loadLanguages(e,t){const r=Cp();"string"==typeof e&&(e=[e]);const n=this.options.preload||[],o=e.filter((e=>n.indexOf(e)<0&&this.services.languageUtils.isSupportedCode(e)));return o.length?(this.options.preload=n.concat(o),this.loadResources((e=>{r.resolve(),t&&t(e)})),r):(t&&t(),Promise.resolve())}dir(e){if(e||(e=this.resolvedLanguage||(this.languages&&this.languages.length>0?this.languages[0]:this.language)),!e)return"rtl";const t=this.services&&this.services.languageUtils||new Kp(sf());return["ar","shu","sqr","ssh","xaa","yhd","yud","aao","abh","abv","acm","acq","acw","acx","acy","adf","ads","aeb","aec","afb","ajp","apc","apd","arb","arq","ars","ary","arz","auz","avl","ayh","ayl","ayn","ayp","bbz","pga","he","iw","ps","pbt","pbu","pst","prp","prd","ug","ur","ydd","yds","yih","ji","yi","hbo","men","xmn","fa","jpr","peo","pes","prs","dv","sam","ckb"].indexOf(t.getLanguagePartFromCode(e))>-1||e.toLowerCase().indexOf("-arab")>1?"rtl":"ltr"}static createInstance(){return new df(arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},arguments.length>1?arguments[1]:void 0)}cloneInstance(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{},t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:cf;const r=e.forkResourceStore;r&&delete e.forkResourceStore;const n={...this.options,...e,isClone:!0},o=new df(n);return void 0===e.debug&&void 0===e.prefix||(o.logger=o.logger.clone(e)),["store","services","language"].forEach((e=>{o[e]=this[e]})),o.services={...this.services},o.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},r&&(o.store=new Wp(this.store.data,n),o.services.resourceStore=o.store),o.translator=new Gp(o.services,n),o.translator.on("*",(function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];o.emit(e,...r)})),o.init(n,t),o.translator.options=n,o.translator.backendConnector.services.utils={hasLoadedNamespace:o.hasLoadedNamespace.bind(o)},o}toJSON(){return{options:this.options,store:this.store,language:this.language,languages:this.languages,resolvedLanguage:this.resolvedLanguage}}}const pf=df.createInstance();pf.createInstance=df.createInstance,pf.createInstance,pf.dir,pf.init,pf.loadResources,pf.reloadResources,pf.use,pf.changeLanguage,pf.getFixedT;const ff=pf.t;pf.exists,pf.setDefaultNamespace,pf.hasLoadedNamespace,pf.loadNamespaces,pf.loadLanguages;var hf,gf=(qn(qn(qn(qn(qn(qn(qn(qn(qn(qn(hf={},zd,"Empty group"),Wd,"No conditions for group field {{field}}"),Hd,"Empty query"),qd,"Empty case"),Gd,"No config for field {{field}}"),"FIXED_OPERATOR","Fixed operator {{from}} to {{to}} for field {{field}}"),$d,"No config for operator {{operator}}"),Kd,"No config for function {{funcKey}}"),Yd,"Invalid value"),Xd,"Invalid value of arg {{argName}} for func {{funcName}}: {{argValidationError}}"),qn(qn(qn(qn(qn(qn(qn(qn(qn(qn(hf,Qd,"Type of field {{field}} is not supported"),Jd,"Operator {{operator}} is not supported for field {{field}}"),ep,"Incomplete rule"),tp,"Incomplete LHS"),rp,"Incomplete RHS"),Zd,"Invalid value src {{valueSrcs, list}}"),np+"_one","Value {{badValues, list}} is not in the list of allowed values"),np+"_other","Values {{badValues, list}} are not in the list of allowed values"),op,"Value {{value}} is not in the list of allowed values"),ip,"Value should have type {{wType}}, but got value of type {{valueType}}"),qn(qn(qn(qn(qn(qn(qn(qn(qn(qn(hf,ap,"Value should have JS type {{jsType}}, but got value of type {{valueTypeof}}"),lp,"Value {{value}} should have max length {{fieldSettings.maxLength}} but got {{length}}"),sp,"Value {{value}} should be greater than or equal to {{fieldSettings.min}}"),sp+"_"+Sp,"Value {{value}} should be from {{fieldSettings.min}} to {{fieldSettings.max}}"),up,"Value {{value}} should be less than or equal to {{fieldSettings.max}}"),up+"_"+Sp,"Value {{value}} should be from {{fieldSettings.min}} to {{fieldSettings.max}}"),cp,"No config for field {{field}}"),dp,"Can't compare field {{field}} with itself"),pp,"Can't compare field {{leftField}} with {{rightField}}"),fp,"Field {{field}} is of type {{type}}, but expected {{expected}}"),qn(qn(qn(qn(qn(qn(qn(qn(qn(qn(hf,hp,"Unsupported function {{funcKey}} for field {{field}}"),gp,"Value of arg {{argName}} for func {{funcName}} is required"),vp,"Function {{funcKey}} should return value of type {{returnType}}, but got {{valueType}}"),mp,"Invalid range"),bp,"Root"),yp+"__rule","Leaf #{{globalLeafNo}}"),yp+"__group","Group #{{globalGroupNo}}"),yp+"__rule_group","Rule-group #{{globalNoByType}}"),yp+"__case_group","Case #{{globalNoByType}}"),yp+"__rule__deleted","Deleted leaf #{{globalLeafNo}}"),qn(qn(qn(qn(qn(hf,yp+"__group__deleted","Deleted group #{{globalGroupNo}}"),yp+"__rule_group__deleted","Deleted rule-group #{{globalNoByType}}"),yp+"__case_group__deleted","Deleted case #{{globalNoByType}}"),Ep,"{{str}} in case #{{caseNo}}"),Op,"{{str}} (index path: {{indexPath, list}})")),vf="raqbvalidation",mf="".concat(vf,":"),yf=pf.createInstance();yf.init({fallbackLng:"en"}),yf.addResources("en",vf,gf);var bf=function e(t,r){return null!=t&&t.str?t.str:null!=t&&t.key?e(t.key,t.args):null===r?t:yf.t(t.includes(":")?t:mf+t,r)};const Of=yf;function Ef(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Sf(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Ef(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Ef(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var wf=function(e){return"object"===Fn(e)&&null!==e&&Array.isArray(e)?"array":Fn(e)},Tf=function(e,t){return 0===xf(e,t).length},xf=function(e,t){var r=t.settings.showErrorMessage,n=[];return e&&function e(t,o,i){var a,l,s=t.get("id"),u=t.get("children1"),c=t.getIn(["properties","valueError"]),d=t.getIn(["properties","fieldError"]),p=t.getIn(["properties","field"]),f=null!==(a=null==p||null===(l=p.get)||void 0===l?void 0:l.call(p,"func"))&&void 0!==a?a:p;((null==c?void 0:c.size)>0&&c.filter((function(e){return null!=e})).size>0||!!d)&&r&&n.push(f),u&&u.map((function(t,r){t&&e(t,o.concat(s),i+1)}))}(e,[],0),Array.from(new Set(n))},_f=function(e,t){var r=vg(t,void 0,!0),n={removeEmptyGroups:t.settings.removeEmptyGroupsOnLoad,removeIncompleteRules:t.settings.removeIncompleteRulesOnLoad,removeEmptyRules:t.settings.removeEmptyRulesOnLoad,forceFix:!1},o=Af(e,null,r,r,n),i=o.fixedTree,a=o.allErrors;return o.isSanitized&&a.length&&console.warn("Tree check errors: ",a),i},Cf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=vg(t,void 0,!0),o=Sf(Sf({},r),{},{removeEmptyGroups:!1,removeEmptyRules:!1,removeIncompleteRules:!1,forceFix:!1});return Af(e,null,n,n,o).allErrors},Rf=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},n=vg(t,void 0,!0),o=Sf({removeEmptyGroups:!0,removeEmptyRules:!0,removeIncompleteRules:!0,forceFix:!1},r),i=Af(e,null,n,n,o);return{fixedTree:i.fixedTree,fixedErrors:i.fixedErrors,nonFixedErrors:i.nonFixedErrors,allErrors:i.allErrors}},If=function(e,t,r,n,o,i,a){void 0===o&&(o=r.settings.removeEmptyGroupsOnLoad),void 0===i&&(i=r.settings.removeEmptyRulesOnLoad),void 0===a&&(a=r.settings.removeIncompleteRulesOnLoad);var l=Af(e,t,r,n,{removeEmptyGroups:o,removeEmptyRules:i,removeIncompleteRules:a,forceFix:!1}),s=l.fixedTree,u=(l.allErrors,l.fixedErrors);return l.nonFixedErrors,l.isSanitized&&u.length&&console.warn("Fixed tree errors: ",u),yu(s)},Af=function(e,t,r,n,o){if(!e)return{fixedTree:e,allErrors:[],fixedErrors:[],nonFixedErrors:[],isSanitized:!1};var i,a,l=o||{},s=l.removeEmptyGroups,u=l.removeEmptyRules,c=l.removeIncompleteRules,d=l.forceFix,p=l.translateErrors,f=void 0===p||p,h=l.includeStringifiedItems,g=void 0===h||h,v=l.stringifyFixedItems,m=void 0!==v&&v,y=l.stringifyItemsUserFriendly,b=void 0===y||y,O=l.includeItemsPositions,E=void 0===O||O,S={errors:{}},w=Pf(e,[],null,S,{config:r,oldConfig:n,removeEmptyGroups:s,removeEmptyRules:u,removeIncompleteRules:c,forceFix:d}),T=S.sanitized,x=[];for(var _ in E&&(i=Ou(w).items),S.errors){var C=S.errors[_],R=C.path,I=C.errors;f&&(I=I.map((function(e){return Sf(Sf({},e),{},{str:bf(e)})})));var A={path:R,errors:I};if(g){var j=vu(m?w:e,R);if(1!==R.length&&"group"!==j.get("type")){var k=Nd(j,r,b,!0);A.itemStr=k}}if(E){var P=i[_],L=!P;if(L&&(a||(a=Ou(e).items),P=a[_]),P){var N=Sf(Sf({},P.position),{},{index:P.index,type:P.type,isDeleted:L});A.itemPosition=N;var F=P.index?yp+"__"+P.type+(L?"__deleted":""):bp,D=Sf({},N);if(b){for(var M,V=0,U=["caseNo","globalLeafNo","globalGroupNo","globalNoByType"];V<U.length;V++){var B=U[V];null!=D[B]&&(D[B]=D[B]+1)}D.indexPath=null===(M=N.indexPath)||void 0===M?void 0:M.map((function(e){return e+1}))}A.itemPositionStr=bf(F,D),P.index&&(P.caseId&&"case_group"!==P.type&&(A.itemPositionStr=bf(Ep,Sf(Sf({},D),{},{str:A.itemPositionStr}))),"case_group"!==P.type&&(A.itemPositionStr=bf(Op,Sf(Sf({},D),{},{str:A.itemPositionStr}))))}}x.push(A)}for(var z=[],W=[],H=0,q=x;H<q.length;H++){var G=q[H],$=G.errors.filter((function(e){return!!e.fixed})),K=G.errors.filter((function(e){return!e.fixed&&"EMPTY_QUERY"!==e.key}));$.length&&z.push(Sf(Sf({},G),{},{errors:$})),K.length&&W.push(Sf(Sf({},G),{},{errors:K}))}return{fixedTree:w,allErrors:x,fixedErrors:z,nonFixedErrors:W,isSanitized:T}};function jf(e,t,r,n){var o=t.get("id");e.errors[o]||(e.errors[o]={path:[].concat(Jn(r),[o]),errors:[]}),e.errors[o].errors.push(n)}function kf(e,t){var r=t.get("id");e.errors[r]&&e.errors[r].errors.map((function(e){e.fixed=!0}))}function Pf(e,t,r,n,o){var i=null==e?void 0:e.get("type");return"group"===i||"rule_group"===i||"case_group"==i||"switch_group"==i?function(e,t,r,n,o){var i,a,l,s,u,c,d=o.removeEmptyGroups,p=o.removeIncompleteRules,f=(o.forceFix,o.config),h=(f.settings.showErrorMessage,e.get("id")),g=e.get("children1"),v=!t.length,m=g,y=e.get("type"),b=e.get("properties"),O=null==b?void 0:b.get("field"),E=null==b?void 0:b.get("mode"),S=null==b||null===(i=b.get)||void 0===i?void 0:i.call(b,"operator"),w="rule_group"===y&&"array"===E,T="case_group"===y,x=T&&null==g,_=S?null!==(a=null===(l=f.operators[S])||void 0===l?void 0:l.cardinality)&&void 0!==a?a:1:void 0,C=T?!x:w?0==_:d,R=w||T;!h&&r&&(h=r,e=e.set("id",h),n.sanitized=!0),R&&(e=Lf(e,t,r,n,o));var I={errors:{}},A=null===(u=g=null===(s=g)||void 0===s?void 0:s.map((function(e,r){return Pf(e,t.concat(h),r,I,o)})))||void 0===u?void 0:u.filter((function(e){return null!=e}));d&&(g=A);var j=I.sanitized||(null==m?void 0:m.size)!=(null===(c=g)||void 0===c?void 0:c.size),k=d&&!v;return w&&O&&(k=p),!(null!=A&&A.size)&&C&&(jf(n,e,t,{key:v?Hd:T?qd:w?Wd:zd,args:{field:O},fixed:k}),k&&(kf(n,e),e=void 0)),j&&(n.sanitized=!0),j&&e&&(e=e.set("children1",g)),n.errors=Sf(Sf({},n.errors),(null==I?void 0:I.errors)||{}),e}(e,t,r,n,o):"rule"===i?Lf(e,t,r,n,o):e}function Lf(e,t,r,n,o){var i=o.removeIncompleteRules,a=o.removeEmptyRules,l=o.forceFix,s=o.config,u=o.oldConfig,c=s.settings.showErrorMessage,d=!c||l,p=e.get("id"),f="case_group"===e.get("type"),h=e.get("properties");if(!h){if(!f)return void jf(n,e,t,{key:ep,args:{},fixed:i||a});h=new ys.Map}var g=h.get("field")||null;f&&(g="!case_value");var v=h.get("fieldSrc")||null,m=h.get("operator")||null,y=h.get("operatorOptions"),b=h.get("valueSrc"),O=h.get("value"),E=h.get("valueError"),S=h.get("fieldError"),w=function(){var e,t;return{field:(null===(e=g)||void 0===e||null===(t=e.toJS)||void 0===t?void 0:t.call(e))||g,fieldSrc:v,operator:m,operatorOptions:y?y.toJS():{},valueSrc:b?b.toJS():null,value:O?O.toJS():null,valueError:E?E.toJS():null,fieldError:S||null}},T=w();!p&&r&&(p=r,e=e.set("id",p),n.sanitized=!0);var x=g?zg(s,g):null;g&&!x&&(jf(n,e,t,{key:Gd,args:{field:g},side:"lhs",fixed:i||a}),g=null),null!=g||f||(h=["operator","operatorOptions","valueSrc","value","valueError","fieldError","field"].reduce((function(e,t){return e.delete(t)}),h),m=null),v||!g||f||(v=Bg(g),h=h.set("fieldSrc",v)),"range_between"!==m&&"range_not_between"!==m||(m="range_between"===m?"between":"not_between",h=h.set("operator",m));var _=m?Wg(s,m,g):null;m&&!_&&(jf(n,e,t,{key:$d,args:{operator:m},side:"op",fixed:i||a}),m=null);var C=g?Jf(s,g):[];g&&!f&&(null!=C&&C.length?m&&-1==C.indexOf(m)&&("is_empty"===m||"is_not_empty"===m?(m="is_empty"===m?"is_null":"is_not_null",h=h.set("operator",m)):(jf(n,e,t,{key:Jd,args:{operator:m,field:g},side:"lhs",fixed:i||a}),m=null)):(jf(n,e,t,{key:Qd,args:{field:g},side:"lhs",fixed:i||a}),m=null)),null!=m||f||(h=["operatorOptions","valueSrc","value","valueError"].reduce((function(e,t){return e.delete(t)}),h)),y=h.get("operatorOptions"),!m||y&&!_.options?(y=null,h=h.delete("operatorOptions")):m&&!y&&_.options&&(y=Od(s,m,g),h=h.set("operatorOptions",y)),b=h.get("valueSrc"),O=h.get("value");var R=Uf(s,u,h,g,m,null,d,!0),I=R.newValue,A=R.newValueSrc,j=R.newValueError,k=R.validationErrors,P=R.newFieldError,L=R.fixedField;O=I,b=A,E=j,S=P,g=L,h=(h=(h=h.set("field",g)).set("value",O)).set("valueSrc",b),h=c?h.set("valueError",E).set("fieldError",S):h.delete("valueError").delete("fieldError");var N=w(),F=!Rs(T,N),D=yh(h.toObject(),s),M=f?D.parts.value:D.score>=3;if(F&&(n.sanitized=!0,e=e.set("properties",h)),null==k||k.map((function(r){return jf(n,e,t,r)})),!M)if(f);else{var V=D.score?i:a,U={key:ep,args:{}};if(D.parts.field){if(!D.parts.value){var B,z,W,H;U.key=rp,U.side="rhs",null!==(B=N.valueSrc)&&void 0!==B&&B[0]&&(null===(z=N.valueSrc)||void 0===z?void 0:z[0])!=(null===(W=T.valueSrc)||void 0===W?void 0:W[0])&&null!=(null===(H=N.value)||void 0===H?void 0:H[0])&&(U.key=Zd,U.args={valueSrcs:N.valueSrc})}}else U.key=tp,U.side="lhs";U.fixed=V,jf(n,e,t,U),V&&(kf(n,e),e=void 0)}return e}var Nf=function(e,t,r,n,o,i,a,l){var s=arguments.length>8&&void 0!==arguments[8]&&arguments[8],u=arguments.length>9&&void 0!==arguments[9]&&arguments[9],c=arguments.length>10&&void 0!==arguments[10]&&arguments[10],d=[],p=o;if(null!=o){var f,h,g,v;if("field"===a){var m=Xn(Df(t,r,o,a,i,l,e,n,s,u),2);p=m[0],d=m[1]}else if("func"===a){var y=Xn(Mf(t,r,o,a,i,l,e,n,s,u,c),2);p=y[0],d=y[1]}else if("value"===a||!a){var b=Xn(Ff(r,o,a,i,l,e,n,s,u),2);p=b[0],d=b[1]}var O=!(null!==(f=d)&&void 0!==f&&f.find((function(e){return!e.fixed})));if(r&&!["field","func"].includes(a)&&(null===(h=d)||void 0===h||!h.length||O)){var E=uh(e,r,n,a),S=n?Wg(e,n,r):null,w=Hg(e,r,n,E,a,{forExport:!0}),T="field"===a?zg(e,o):null,x=w,_=w.validateValue;if("function"==typeof _){var C=[p,x,n,S];"field"===a&&C.push(T);var R,I,A=_.call.apply(_,[e.ctx].concat(C));"object"!==Fn(A)||null===A||Array.isArray(A)?"boolean"==typeof A?0==A&&d.push({key:Yd,args:{}}):"string"==typeof A&&d.push({key:A,args:null}):(I=null!==(R=A.error)&&void 0!==R&&R.key?Sf({},A.error):{key:A.error,args:null},void 0!==A.fixedValue&&s&&(I.fixed=!0,I.fixedFrom=p,I.fixedTo=A.fixedValue,p=A.fixedValue),d.push(I))}}if(O=!(null!==(g=d)&&void 0!==g&&g.find((function(e){return!e.fixed}))),null!==(v=d)&&void 0!==v&&v.length&&!O&&s){var j=zg(e,r),k=null==j?void 0:j.fieldSettings,P=null==k?void 0:k.defaultValue;if(void 0!==P){var L=d[d.length-1];L.fixed=!0,L.fixedFrom=p,L.fixedTo=P,p=P,d.map((function(e){e.fixed=!0}))}}}return[p,d]},Ff=function(e,t,r,n,o,i){var a,l,s=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,u=arguments.length>7&&void 0!==arguments[7]&&arguments[7],c=[],d=t;if(e){var p=zg(i,e),f=uh(i,e,s,r),h=i.widgets[f],g=null==h?void 0:h.type,v=null==h?void 0:h.jsType,m=null==p?void 0:p.fieldSettings,y=(null==m?void 0:m.treeValues)||(null==m?void 0:m.listValues),b=!(null==m||!m.asyncFetch),O=y||b;if(n&&g&&n!=g)return c.push({key:ip,args:{wType:g,valueType:n}}),[t,c];if(v&&(l=v,wf(a=t)!==l&&("number"!==l||isNaN(a)))&&!O)return c.push({key:ap,args:{jsType:v,valueTypeof:wf(t)}}),[t,c];if(m){var E=o||y;if(E&&!m.allowCustomValues&&"case_value"!==f){var S=function(e,t,r,n,o){var i=ys.List.isList(e)?e.toJS():e instanceof Array?Jn(e):void 0,a=e,l=[];if(i){var s=i.reduce((function(e,r){var n=Xn(e,2),o=n[0],i=n[1],a=su(t,r);return null==a?[o,[].concat(Jn(i),[r])]:[[].concat(Jn(o),[a.value]),i]}),[[],[]]),u=Xn(s,2),c=u[0],d=u[1],p=d.length>0;if(a=(r=r||!0===o)&&p?c:e,d.length){var f=r&&p;l.push({key:np,args:{badValues:d,count:d.length},fixed:f,fixedFrom:f?i:void 0,fixedTo:f?a:void 0})}return[a,l]}var h=su(t,e);return null==h?(a=r?null:e,l.push({key:op,args:{value:e},fixed:r,fixedFrom:r?e:void 0,fixedTo:r?a:void 0})):a=h.value,[a,l]}(t,E,u,0,i.settings.removeInvalidMultiSelectValuesOnLoad),w=Xn(S,2);d=w[0],c=w[1]}m.maxLength>0&&null!=t&&String(t).length>m.maxLength&&(d=u?String(t).substring(0,m.maxLength):t,c.push({key:lp,args:{value:t,length:String(t).length,fieldSettings:m},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0}));var T=null!=m.min&&null!=m.max?Sp:void 0;null!=m.min&&t<m.min&&(d=u?m.min:t,c.push({key:sp,args:{value:t,fieldSettings:m,context:T},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0})),null!=m.max&&t>m.max&&(d=u?m.max:t,c.push({key:up,args:{value:t,fieldSettings:m,context:T},fixed:u,fixedFrom:u?t:void 0,fixedTo:u?d:void 0}))}}return[d,c]},Df=function(e,t,r,n,o,i,a){var l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null,s=[],u=a.settings,c=u.fieldSeparator,d=u.canCompareFieldWithField,p="object"==Fn(t)&&(null==t?void 0:t._isFuncArg),f=Array.isArray(e)?e.join(c):e,h=zg(a,e),g=Array.isArray(r)?r.join(c):r,v=zg(a,r);return v?e&&g===f&&!p?(s.push({key:dp,args:{field:f}}),[r,s]):o&&o!=v.type?(s.push({key:fp,args:{field:g,type:v.type,expected:o}}),[r,s]):e&&!p&&d&&!d(f,h,g,v,l)?(s.push({key:pp,args:{leftField:f,rightField:g}}),[r,s]):[r]:(s.push({key:cp,args:{field:g}}),[r,s])},Mf=function(e,t,r,n,o,i,a){var l,s,u=arguments.length>7&&void 0!==arguments[7]?arguments[7]:null,c=arguments.length>8&&void 0!==arguments[8]&&arguments[8],d=arguments.length>9&&void 0!==arguments[9]&&arguments[9],p=arguments.length>10&&void 0!==arguments[10]&&arguments[10],f=r,h=[];if(!r)return[r];var g=null===(l=r.get)||void 0===l?void 0:l.call(r,"func");if(!g)return[r];var v=zg(a,t);if(null!=v&&v.funcs&&!v.funcs.includes(g))return h.push({key:hp,args:{funcKey:g,field:t}}),[r,h];var m=kg(a,g);if(!m)return h.push({key:Kd,args:{funcKey:g}}),[r,h];var y=null!==(s=m.label)&&void 0!==s?s:g;if(o&&m.returnType!=o)return h.push({key:vp,args:{funcKey:g,funcName:y,returnType:m.returnType,valueType:o}}),[r,h];for(var b in c=c||p,m.args){var O,E=m.args[b],S=f.get("args"),w=S?S.get(b):void 0,T=zg(a,E),x=null!==(O=null==T?void 0:T.label)&&void 0!==O?O:b,_=w?w.get("value"):void 0,C=w?w.get("valueSrc"):void 0;if(void 0!==_){var R=Xn(Nf(a,e,T,u,_,E.type,C,i,c,d,p),2),I=R[0],A=R[1],j=!(null!=A&&A.length),k=c&&I!==_,P=c&&!j&&!k&&(d||p);if(k&&(f=f.setIn(["args",b,"value"],I)),P&&(f=f.deleteIn(["args",b]),f=qf(a,f,m,b)),!j){var L,N,F=null!==(L=null!==(N=A.find((function(e){return!e.fixed&&!e.ignore})))&&void 0!==N?N:A.find((function(e){return!e.fixed})))&&void 0!==L?L:A[0],D=k||P,M=0===A.filter((function(e){return!e.ignore})).length;if(F){var V=bf(F);h.push({key:Xd,args:{funcKey:g,funcName:y,argKey:b,argName:x,argValidationError:V,argErrors:A},ignore:M,fixed:D,fixedFrom:D?_:void 0,fixedTo:D?k?I:E.defaultValue:void 0})}}}else if(!E.isOptional&&(d||p)){var U=c&&void 0!==E.defaultValue&&(d||p);d&&h.push({key:gp,args:{funcKey:g,funcName:y,argKey:b,argName:x},fixed:U,fixedTo:U?E.defaultValue:void 0,ignore:!U}),U&&(f=f.deleteIn(["args",b]),f=qf(a,f,m,b))}}return[f,h]},Vf=function(e,t,r,n,o){var i,a=Wg(e,r,t),l=r?Cs(a):null,s=o.toJS?o.toJS():o,u=n.toJS?n.toJS():n,c=s.filter((function(e){return"value"==e||null==e})).length==l;if(null!=a&&a.validateValues&&c){var d=s[0],p=uh(e,t,r,d),f=Hg(e,t,r,p,d),h=null!=f&&f.toJS?u.map((function(t){var r=f.toJS.call(e.ctx,t,f);return r instanceof Date&&(r=r.getTime()),r})):u,g=a.validateValues(h);"boolean"==typeof g&&0==g&&(i={key:mp,args:{jsValues:h,values:u}})}return i},Uf=function(e){var t,r,n,o,i=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,a=arguments.length>2?arguments[2]:void 0,l=arguments.length>3?arguments[3]:void 0,s=arguments.length>4?arguments[4]:void 0,u=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,c=arguments.length>6&&void 0!==arguments[6]&&arguments[6],d=arguments.length>7&&void 0!==arguments[7]&&arguments[7],p=arguments.length>8&&void 0!==arguments[8]&&arguments[8];i||(i=e);var f=e.settings,h=f.keepInputOnChangeFieldSrc,g=f.convertableWidgets,v=f.clearValueOnChangeField,m=f.clearValueOnChangeOp,y="!case_value"==l,b=a.get("field");!b&&y&&(b=l);var O,E=a.get("fieldType"),S=a.get("fieldSrc"),w=a.get("operator"),T=a.get("value"),x=a.get("valueSrc",new ys.List),_=a.get("valueType",new ys.List),C=a.get("valueError",new ys.List),R=a.get("asyncListValues"),I=y,A=Wg(i,w),j=Wg(e,s,l),k=y?1:w?Cs(A):null,P=y?1:s?Cs(j):null,L=zg(i,b),N=zg(e,l),F=!b&&E&&h,D=(null==L?void 0:L.type)||E,M=(null==N?void 0:N.type)||!l&&F&&D,V=null==L?void 0:L.listValuesType,U=null==N?void 0:N.listValuesType,B=(null===(t=b)||void 0===t||null===(r=t.get)||void 0===r?void 0:r.call(t,"func"))||b,z=((null===(n=l)||void 0===n||null===(o=n.get)||void 0===o?void 0:o.call(n,"func"))||l)!=B,W=[],H=(b||F)&&(w&&s||I)&&null!=T;if((!D||!M||D!=M||"field"===u&&z&&v||"operator"===u&&m)&&(H=!1),z&&Xf.includes(M)&&(U&&U===V||(H=!1)),I||(null!=T&&T.size||!P)&&(null==T||!T.size||P)||(H=!1),"func"===S&&l){var q=Xn(Nf(e,null,null,s,l,M,S,R,c,d,p),2),G=q[0],$=q[1],K=!(null!=$&&$.length),Y=G!==l,X=!K&&Y&&!$.find((function(e){return!e.fixed})),Q=c&&!K&&!X&&!!u&&l!==b;if(Q?l=b:Y&&(l=G),!K){var J=!K&&!X&&!Q,Z=$.find((function(e){return!e.fixed&&!e.ignore}));J&&Z&&(O=bf(Z)),$.map((function(e){return W.push(Sf(Sf({side:"lhs"},e),{},{fixed:e.fixed||Q||false}))}))}}for(var ee=0;ee<P;ee++){var te=x.get(ee)||null,re=uh(i,b,w,te),ne=uh(e,l,s,te),oe="value"===te?re:uh(i,b,w,"value"),ie="value"===te?ne:uh(e,l,s,"value");ie==oe||(g[oe]||[]).includes(ie)||!oe&&F||(H=!1)}w!=s&&[w,s].includes("proximity")&&(H=!1);var ae=x.first(),le=Hg(e,l,s,null,ae),se=sh(e,l,s,null);!l&&F&&(se=Object.keys(e.settings.valueSourcesInfo));var ue,ce=se[0];1===P&&le&&void 0!==le.type?ue=le.type:1===P&&N&&void 0!==N.type&&(ue="!group"===N.type?"number":N.type);var de=H&&"operator"===u&&1===k&&2===P,pe=[],fe=[],he=[],ge=Array.from({length:P},(function(){return null}));if(H)for(var ve=function(t){var r=T.get(t),n=_.get(t)||null,o=x.get(t)||null;de&&1===t&&(r=void 0!==pe[0]?pe[0]:T.get(0),pe[t]=r,n=_.get(0)||null,o=x.get(0)||null);var i=!o||void 0!==se.find((function(e){return e==o})),a=Xn(Nf(e,l,l,s,r,n,o,R,c,d,p),2),u=a[0],f=a[1],h=!(null!=f&&f.length),g=u!==r,v=!h&&g&&!(null!=f&&f.find((function(e){return!e.fixed}))),m=!(null!=f&&f.find((function(e){return!e.fixed&&!e.ignore}))),y=!i||c&&!h&&!v&&(!m||z);h||null==f||f.map((function(e){return W.push(Sf(Sf({side:"rhs",delta:t},e),{},{fixed:e.fixed||y}))})),y&&(pe[t]=null,0===t&&delete pe[1]);var b=!h&&!g,O=null==f?void 0:f.find((function(e){return!e.fixed&&!e.ignore}));b&&O&&(ge[t]=bf(O)),g&&(pe[t]=u),!de||0!==t||h||g||(de=!1),de&&0===t&&["func","field"].includes(o)&&(de=!1)},me=0;me<P;me++)ve(me);if(!H)for(var ye=0;ye<P;ye++)if(1===P){var be,Oe=qs([null==N?void 0:N.defaultValue,null==N||null===(be=N.fieldSettings)||void 0===be?void 0:be.defaultValue,null==le?void 0:le.defaultValue]);pe[ye]=Oe,null!=Oe&&Oe.func&&(fe[ye]="func")}for(var Ee=0;Ee<P;Ee++){var Se,we,Te=H&&x.get(Ee)||null,xe=H&&_.get(Ee)||null;H&&de&&1===Ee&&(Te=null!==(Se=fe[Ee])&&void 0!==Se?Se:x.get(0),xe=null!==(we=he[Ee])&&void 0!==we?we:_.get(0),fe[Ee]=Te,he[Ee]=xe),se.includes(Te)||(fe[Ee]=ce),xe||(he[Ee]=ue)}var _e=T;(pe.length>0||!H)&&(_e=new ys.List(Array.from({length:P},(function(e,t){return void 0!==pe[t]?pe[t]:H?T.get(t):void 0}))));var Ce=x;(fe.length>0||!H)&&(Ce=new ys.List(Array.from({length:P},(function(e,t){var r;return null!==(r=fe[t])&&void 0!==r?r:H&&x.get(t)||null}))));var Re=_;(he.length>0||!H)&&(Re=new ys.List(Array.from({length:P},(function(e,t){var r;return null!==(r=he[t])&&void 0!==r?r:H&&_.get(t)||null}))));var Ie=Vf(e,l,s,_e,Ce);if(Ie){var Ae=bf(Ie),je=c&&P>=2,ke=_e;je&&(pe[1]=_e.get(0),_e=_e.set(1,pe[1]),ge[1]=ge[0]),!je&&ge.push(Ae),W.push(Sf(Sf({side:"rhs",delta:-1},Ie),{},{fixed:je,fixedFrom:je?[ke.get(0),ke.get(1)]:void 0,fixedTo:je?[_e.get(0),_e.get(1)]:void 0}))}var Pe=C,Le=(null==C?void 0:C.size)!==ge.length||ge.filter((function(e,t){return e!=C.get(t)})).length>0;return Le&&(Pe=new ys.List(ge)),{canReuseValue:H,newValue:_e,newValueSrc:Ce,newValueType:Re,operatorCardinality:P,fixedField:l,newValueError:Pe,newFieldError:O,validationErrors:W}},Bf=function(e){return"object"==Fn(e)&&null!==e&&!Array.isArray(e)},zf=function(e,t){if(e){var r=e.get("func"),n=r&&kg(t,r);if(n){var o=e,i=!1;for(var a in n.args){var l=n.args[a],s=l.valueSources,u=l.isOptional,c=l.defaultValue,d=lh(t,s,l),p=o.get("args"),f=1==d.length?d[0]:void 0,h=p?p.get(a):void 0,g=h?h.get("value"):void 0,v=(h?h.get("valueSrc"):void 0)||f;if(void 0!==g){var m=Oh(g,v,t);if(void 0===m)return;if(m!==g&&(o=o.setIn(["args",a,"value"],m)),i)return}else if(void 0===c||Bf(c)){if(!u)return;i=!0}else o=(o=o.setIn(["args",a,"value"],Gf(l))).setIn(["args",a,"valueSrc"],"value")}return o}}},Wf=function(e,t,r,n){var o=r.settings.fieldSeparator;e=e||new ys.Map,Array.isArray(t)&&(t=t.join(o));var i=e.get("func"),a=e.get("args");e=e.set("func",t);var l=t&&kg(r,t),s=t&&jg(r,t),u=i&&jg(r,i),c=Yf(u,s,a,r,n);return e=c.length?Object.keys(s.args).filter((function(e){return!c.includes(e)})).reduce((function(e,t){return e.deleteIn(["args",t])}),e):e.set("args",new ys.Map),Hf(r,e,l)},Hf=function(e,t,r){if(r)for(var n in r.args)t=qf(e,t,r,n);return t},qf=function(e,t,r,n){var o=r.args[n],i=o.valueSources,a=o.defaultValue,l=lh(e,i,o),s=l.length?l[0]:void 0,u=(a?Bf(a)&&a.func?"func":"value":void 0)||s;return t.getIn(["args",n])||(void 0!==a&&(t=t.setIn(["args",n,"value"],Gf(o))),u&&(t=t.setIn(["args",n,"valueSrc"],u))),t},Gf=function(e){var t=e.defaultValue;return Bf(t)&&!ys.Map.isMap(t)&&t.func?ys.fromJS(t,(function(e,t){return ys.Iterable.isIndexed(t)?t.toList():t.toOrderedMap()})):t},$f=function(e,t,r,n,o){if(e&&e.get("func")){var i=(e=e.setIn(["args",t,"value"],r)).getIn(["args",t,"valueSrc"]),a=n.valueSources,l=lh(o,a,n),s=1==l.length?l[0]:void 0;!s&&l.includes("value")&&(s="value"),!i&&s&&(e=e.setIn(["args",t,"valueSrc"],s))}return e},Kf=function(e,t,r,n,o){return e&&e.get("func")&&(e=e.setIn(["args",t],new ys.Map({valueSrc:r}))),e},Yf=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4];return(null==e?void 0:e.returnType)!=(null==t?void 0:t.returnType)?[]:Object.keys(t.args).filter((function(i,a){var l=t.args[i],s=e.args[i];if(Object.keys(e.args).indexOf(i),!s&&(void 0!==l.defaultValue||l.isOptional))return!0;if((null==s?void 0:s.type)!=l.type)return!1;if(Xf.includes(l.type)&&(!s.listValuesType||s.listValuesType!==l.listValuesType))return!1;if(r){var u,c=r.get(i),d=null==c?void 0:c.get("value"),p=null==c?void 0:c.get("valueSrc");if(p&&l.valueSources&&!l.valueSources.includes(p))return!1;var f=Xn(Nf(n,null,l,null,d,l.type,p,null,o,!0),2),h=(f[0],f[1]);if(null!=h&&null!==(u=h.filter((function(e){return!e.fixed})))&&void 0!==u&&u.length)return!1}return!0}))},Xf=["select","multiselect","treeselect","treemultiselect"],Qf=function(e,t){var r;return(null===(r=e.types[t])||void 0===r?void 0:r.operators)||null},Jf=function(e,t){var r=zg(e,t);return r?r.operators:[]},Zf=function(e,t){var r,n=Jf(e,t);return null!==(r=null==n?void 0:n[0])&&void 0!==r?r:null},eh=function(e,t,r){var n=null;if(e)if("field"===t){var o=zg(r,e);o&&(n=o.type)}else if("func"===t){var i=e.get("func");if(i){var a=kg(r,i);a&&(n=a.returnType||a.type)}}return n},th=function(e,t){return rh(e,t,arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,"funcs","subfields")},rh=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"fields",o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:"subfields";if(!e)return null;var i=t.settings.fieldSeparator,a=Fg(e,t),l=Fg(r,t);return a.slice(l.length).map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return[].concat(Jn(l),Jn(e)).join(i)})).map((function(e){var r=Ig(t,e,n,o);return r&&r.label||Js()(e.split(i))})).filter((function(e){return null!=e}))},nh=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!e)return null;var n=r&&Ig(t,r)||null,o=t.settings.fieldSeparator,i=Fg(e,t),a=Lg(e,r,t)?Fg(r,t):[];return i.slice(a.length).map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return{part:[].concat(Jn(a),Jn(e)).join(o),key:e[e.length-1]}})).map((function(e){var r=e.part;return{key:e.key,cnf:Ig(t,r)}})).map((function(e,t,r){return[e.key,e.cnf,t>0?r[t-1].cnf:n]}))},oh=function(e,t,r,n){var o=arguments.length>5&&void 0!==arguments[5]&&arguments[5],i=Hg(e,t,r,null,arguments.length>4&&void 0!==arguments[4]?arguments[4]:null)||{},a=Wg(e,r,t)||{},l=null;if((o?1:a.cardinality)>1){var s=i.valueLabels||a.valueLabels;s&&(l=s[n]),l&&"object"!==Fn(l)&&(l={label:l,placeholder:l}),l||(l={label:e.settings.valueLabel+" "+(n+1),placeholder:e.settings.valuePlaceholder+" "+(n+1)})}else{var u=i.valueLabel,c=i.valuePlaceholder;l={label:u||e.settings.valueLabel,placeholder:c||e.settings.valuePlaceholder}}return l};function ih(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=[],i=[];if(!t)return{widgets:o,valueSrcs:i};var a=Mg(t),l=a?"".concat(a,"__").concat(r,"__").concat(n):null,s=Vg(e,"_getWidgetsAndSrcsForFieldOp",l);if(s)return s;var u="object"===Fn(t)&&(!!t.func&&!!t.arg||t._isFuncArg),c=zg(e,t),d=r?e.operators[r]:null;if(null!=c&&c.widgets){var p=function(){var a=c.widgets[f];if(!e.widgets[f])return 1;var l=e.widgets[f].valueSrc||"value",s=!0;if("field"===f&&(s=s&&lh(e,["field"],c).length>0),"func"===f&&(s=s&&lh(e,["func"],c).length>0),"value"!==n||a.operators||u||"!case_value"===t||(s=!1),a.operators&&r&&(s=s&&-1!=a.operators.indexOf(r)),n&&n!=l&&"const"!==n&&(s=!1),d&&0==d.cardinality&&"value"!==l&&(s=!1),s){var p,h;o.push(f);var g=-1!=(null===(p=c.valueSources)||void 0===p?void 0:p.indexOf(l));-1==(null==d||null===(h=d.valueSources)||void 0===h?void 0:h.indexOf(l))&&(g=!1),g&&!i.find((function(e){return e==l}))&&i.push(l)}};for(var f in c.widgets)p()}var h=function(e){var t=0;return c.preferWidgets?c.preferWidgets.includes(e)&&(t+=10-c.preferWidgets.indexOf(e)):e==c.mainWidget&&(t+=100),"field"===e&&(t-=1),"func"===e&&(t-=2),t};o.sort((function(e,t){return h(t)-h(e)}));var g={widgets:o,valueSrcs:i};return Ug(e,"_getWidgetsAndSrcsForFieldOp",l,g),g}var ah=function(e,t,r){return ih(e,t,r,arguments.length>3&&void 0!==arguments[3]?arguments[3]:null).widgets},lh=function(e,t,r){var n;if(!r)return t;var o=null!==(n=r.type)&&void 0!==n?n:r.returnType;return"!group"===o&&(o="number"),t||(t=Object.keys(e.settings.valueSourcesInfo)),t.filter((function(t){var n=!0;if("field"===t&&e.__fieldsCntByType){var i=r._isFuncArg?0:1;n=n&&e.__fieldsCntByType[o]>i}return"func"===t&&(r.funcs&&(n=n&&r.funcs.length>0),e.__funcsCntByType&&(n=n&&e.__funcsCntByType[o]>0)),n}))},sh=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=ih(e,t,r,null).valueSrcs;return lh(e,o,n)},uh=function(e,t,r){var n=ih(e,t,r,arguments.length>3&&void 0!==arguments[3]?arguments[3]:null).widgets,o=null;return n.length&&(o=n[0]),o},ch=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:{};if(e){var i=zg(t,e)||{},a=t.settings.fieldSeparator,l=Fg(e,t),s=Array.isArray(e)?e.join(a):e;if(null!=o&&o.useTableName&&i.tableName){var u=Jn(l);u[0]=i.tableName,s=u.join(a)}if(i.fieldName&&(s=i.fieldName),n){zg(t,n);var c=n;0==s.indexOf(c+a)?s=s.slice((c+a).length):i.fieldName||r.errors.push("Can't cut group ".concat(c," from field ").concat(s))}return s}},dh=function(e,t){var r=e.get("type"),n=e.getIn(["properties","mode"]);return"rule_group"==r&&"array"==n?ph(e,t):"group"==r||"rule_group"==r?hh(e,t):vh(e,t)},ph=function(e,t){var r=e.get("children1"),n=e.get("properties");return fh(n.toObject(),r,t)},fh=function(e,t,r){var n,o,i=e.operator,a=0==(null!==(n=null===(o=r.operators[i])||void 0===o?void 0:o.cardinality)&&void 0!==n?n:1),l=!mh(e,r),s=!gh(t,r);return!(l&&(!a||s))},hh=function(e,t){var r=e.get("children1");return gh(r,t)},gh=function(e,t){return!((null==e?void 0:e.size)>0&&e.filter((function(e){return!dh(e,t)})).size>0)},vh=function(e,t){var r=e.get("properties");return mh((null==r?void 0:r.toObject())||{},t)},mh=function(e,t){return!(yh(e,t,!0).score>=3)},yh=function(e,t){var r,n,o,i=e.field,a=e.fieldSrc,l=(e.fieldType,e.operator),s=e.value,u=e.valueSrc,c=(e.valueType,arguments.length>2&&void 0!==arguments[2]&&arguments[2]),d=null!==(r=null===(n=t.operators[l])||void 0===n?void 0:n.cardinality)&&void 0!==r?r:1,p=null!=u&&u.get?u.toJS():u,f={parts:{},score:0};if(f.parts.field=c?null!=i:bh(i,a,t),f.parts.operator=!!l,f.parts.value=(null==s||null===(o=s.filter((function(e,r){return bh(e,null==p?void 0:p[r],t,c)})))||void 0===o?void 0:o.size)>=(c?Math.min(d,1):d),f.score=Object.keys(f.parts).filter((function(e){return!!f.parts[e]})).length,c&&f.score<3){var h=!0;!f.parts.value&&"func"===a&&bh(i,a,t,!1,h)&&f.score++,f.parts.field||null==s||s.map((function(e,r){"func"===(null==p?void 0:p[r])&&bh(e,null==p?void 0:p[r],t,!1,h)&&f.score++}))}return f},bh=function e(t,r,n){var o=arguments.length>3&&void 0!==arguments[3]&&arguments[3],i=!(arguments.length>4&&void 0!==arguments[4])||arguments[4];if(!o&&"func"==r&&t){var a,l=null===(a=t.get)||void 0===a?void 0:a.call(t,"func"),s=kg(n,l);if(s){var u=t.get("args");for(var c in s.args){var d=s.args[c],p=u?u.get(c):void 0,f=p?p.get("value"):void 0,h=p?p.get("valueSrc"):void 0;if(null==f&&void 0===(null==d?void 0:d.defaultValue)&&(null==d||!d.isOptional))return!1;if(null!=f&&!e(f,h,n,!i||o))return!1}return!0}}return null!=t},Oh=function(e,t,r){return"func"==t?zf(e,r):e},Eh=function e(t){var r=t.get("children1");if(1==(null==r?void 0:r.size)){var n=r.first();return"group"===n.get("type")?e(n):n}return null},Sh=v(4308),wh=v.n(Sh),Th=v(3523),xh=v.n(Th),_h=v(502),Ch=v.n(_h);function Rh(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Ih(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Rh(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Rh(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function Ah(e,t){return Ch().apply(e,t)}var jh={CALL:function(e,t){for(var r=arguments.length,n=new Array(r>2?r-2:0),o=2;o<r;o++)n[o-2]=arguments[o];return e.call.apply(e,[t].concat(n))},JSX:function(e,t){return{type:e,props:t}},mergeObjects:function(e,t){return Ih(Ih({},e),t)},fromEntries:function(e){return Object.fromEntries(e)},strlen:function(e){return(null==e?void 0:e.length)||0},regexTest:function(e,t,r){return null!=(null==e?void 0:e.match(new RegExp(t,r)))},now:function(){return new Date},date_add:function(e,t,r){return Nu()(e).add(t,r).toDate()},toLowerCase:function(e){return e.toLowerCase()},toUpperCase:function(e){return e.toUpperCase()}};function kh(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Ph(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Lh(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Ph(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Ph(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function Nh(e,t,r){var n;try{n=Ch().apply(e,t)}catch(e){throw e.message="".concat(r.join(".")," :: ").concat(e.message),e}return n}function Fh(e,t,r,n){var o;try{o=t.call.apply(t,[e].concat(Jn(r)))}catch(e){throw e.message="".concat(n.join(".")," :: ").concat(e.message),e}return o}!function(){for(var e in jh)t=e,r=jh[e],Ch().add_operation(t,r);var t,r}();var Dh=["conjunctions","fields","types","operators","widgets","settings","funcs","ctx"],Mh={asyncFetch:{type:"f",args:["search","offset"]},labelYes:{type:"r"},labelNo:{type:"r"},marks:{type:"r",isArr:!0},validateValue:{type:"f",args:["val","fieldSettings","op","opDef","rightFieldDef"]}},Vh=Lh(Lh({},Mh),{},{factory:{type:"rf"},formatValue:{type:"f",args:["val","fieldDef","wgtDef","isForDisplay","op","opDef","rightFieldDef"]},sqlFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef","rightFieldDef"]},spelFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef","rightFieldDef"]},spelImportValue:{type:"f",args:["val","wgtDef","args"]},mongoFormatValue:{type:"f",args:["val","fieldDef","wgtDef","op","opDef"]},elasticSearchFormatValue:{type:"f",args:["queryType","val","op","field","config"]},jsonLogic:{type:"f",args:["val","fieldDef","wgtDef","op","opDef"]},jsonLogicImport:{type:"f",args:["val"]},validateValue:{type:"f",args:["val","fieldSettings","op","opDef","rightFieldDef"]},toJS:{type:"f",args:["val"]}}),Uh={options:{factory:{type:"rf"}},formatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","isForDisplay","fieldDef"]},mongoFormatOp:{type:"f",args:["field","op","vals","useExpr","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},sqlFormatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},spelFormatOp:{type:"f",args:["field","op","vals","valueSrc","valueType","opDef","operatorOptions","fieldDef"]},jsonLogic:{type:"f",ignore:"string",args:["field","op","vals","opDef","operatorOptions","fieldDef"]},elasticSearchQueryType:{type:"f",ignore:"string",args:["valueType"]},textSeparators:{type:"r",isArr:!0}},Bh={widgetProps:Vh,opProps:Uh},zh=Lh(Lh({},Mh),{},{fieldSettings:Mh}),Wh=Lh(Lh({},Mh),{},{fieldSettings:Mh,widgets:{x:Bh},mainWidgetProps:Vh}),Hh={locale:{mui:{type:"f",args:[],invokeWith:[],ignore:"jl"}},caseValueField:Wh,canCompareFieldWithField:{type:"f",args:["leftField","leftFieldConfig","rightField","rightFieldConfig","op"]},formatReverse:{type:"f",args:["q","op","reversedOp","operatorDefinition","revOperatorDefinition","isForDisplay"]},sqlFormatReverse:{type:"f",args:["q"]},spelFormatReverse:{type:"f",args:["q"]},formatField:{type:"f",args:["field","parts","label2","fieldDefinition","config","isForDisplay"]},formatSpelField:{type:"f",args:["field","parentField","parts","partsExt","fieldDefinition","config"]},formatAggr:{type:"f",args:["whereStr","aggrField","operator","value","valueSrc","valueType","opDef","operatorOptions","isForDisplay","aggrFieldDef"]},normalizeListValues:{type:"f",args:["listValues","type","fieldSettings"]},renderConfirm:{type:"f",args:["props"]},useConfirm:{type:"f",args:[]},renderField:{type:"rf"},renderOperator:{type:"rf"},renderFunc:{type:"rf"},renderConjs:{type:"rf"},renderButton:{type:"rf"},renderIcon:{type:"rf"},renderButtonGroup:{type:"rf"},renderValueSources:{type:"rf"},renderFieldSources:{type:"rf"},renderProvider:{type:"rf"},renderSwitch:{type:"rf"},renderSwitchPrefix:{type:"r"},renderItem:{type:"rf"},renderBeforeWidget:{type:"rf"},renderAfterWidget:{type:"rf"},renderBeforeActions:{type:"rf"},renderAfterActions:{type:"rf"},renderBeforeCaseValue:{type:"rf"},renderAfterCaseValue:{type:"rf"},renderRuleError:{type:"rf"}},qh={fields:{x:Wh},widgets:{x:Vh},conjunctions:{x:{formatConj:{type:"f",args:["children","conj","not","isForDisplay"]},sqlFormatConj:{type:"f",args:["children","conj","not"]},spelFormatConj:{type:"f",args:["children","conj","not","omitBrackets"]}}},operators:{x:Uh},types:{x:{widgets:{x:Bh}}},funcs:{x:Lh(Lh(Lh({},zh),{renderBrackets:{type:"r",isArr:!0},renderSeps:{type:"r",isArr:!0},jsonLogic:{type:"f",ignore:"string",args:["formattedArgs"]},jsonLogicImport:{type:"f",args:["val"]},spelImport:{type:"f",args:["spel"]},formatFunc:{type:"f",args:["formattedArgs","isForDisplay"]},sqlFormatFunc:{type:"f",args:["formattedArgs"]},mongoFormatFunc:{type:"f",args:["formattedArgs"]},spelFormatFunc:{type:"f",args:["formattedArgs"]}}),{},{args:{x:Lh({},zh)}})},settings:Hh},Gh=function(e){return"object"==Fn(e)&&null!==e&&!Array.isArray(e)},$h=function(e,t){if(e.__fieldNames)throw new Error("Don't apply `compressConfig()` to extended config");var r=Xs()(e,Dh);delete r.ctx;for(var n=function e(t,r,n,o){if(Gh(t)){if(Ds(t)&&(t=Fs(t)),"funcs"===n[0]&&!r){var i=n[n.length-1];(r=Ig({funcs:o.BasicFuncs},i,"funcs","subfields")||void 0)&&(t.$$key=i)}if(void 0!==r&&Gh(r))for(var a in r)Object.prototype.hasOwnProperty.call(r,a)&&(!Object.keys(t).includes(a)||void 0===t[a]&&void 0!==r[a]?t[a]="$$deleted":(t[a]=e(t[a],r[a],[].concat(Jn(n),[a]),o),void 0===t[a]&&delete t[a]));for(var l in t)if(Object.prototype.hasOwnProperty.call(t,l)){var s;r&&Object.keys(r).includes(l)||(t[l]=e(t[l],null===(s=r)||void 0===s?void 0:s[l],[].concat(Jn(n),[l]),o)),void 0===t[l]&&delete t[l]}0===Object.keys(t).length&&(t=void 0)}else Array.isArray(t)&&t.forEach((function(r,i){t[i]=e(t[i],void 0,[].concat(Jn(n),[i]),o)}));if(void 0===r||!Is(t,r,!0)){if("function"==typeof t)throw new Error("compressConfig: function at ".concat(n.join(".")," should be converted to JsonLogic"));return t}},o=0,i=Dh;o<i.length;o++){var a=i[o];if("ctx"===a);else if("fields"===a)r[a]=xh()(r[a]),n(r[a],{},[a]);else if("funcs"===a)for(var l in r[a]=xh()(r[a]||{}),r[a])n(r[a][l],null,[a,l],{BasicFuncs:f});else r[a]=xh()(r[a]),n(r[a],t[a],[a])}return r},Kh=function(e,t,r){if(!e.settings.useConfigCompress)throw new Error("Please enable `useConfigCompress` in config settings to use decompressConfig()");for(var n={},o=function e(t,r,n){if(Gh(r))for(var o in Gh(t)||(t={}),r)Object.prototype.hasOwnProperty.call(r,o)&&("$$deleted"===r[o]?delete t[o]:t[o]=e(t[o],r[o],[].concat(Jn(n),[o])));else t=Array.isArray(r)?xh()(r):r;return t},i=function e(t,r,n){var i=!1;if(Gh(t)&&Object.prototype.hasOwnProperty.call(t,"$$key")&&t.$$key){var a=Ig({funcs:n.BasicFuncs},t.$$key,"funcs","subfields");if(!a)throw new Error("decompressConfig: basic function not found by key ".concat(t.$$key," at ").concat(r.join(".")));delete t.$$key,t=o(xh()(a),t,r),i=!0}if(!i)if(Gh(t))for(var l in t)Object.prototype.hasOwnProperty.call(t,l)&&(t[l]=e(t[l],[].concat(Jn(r),[l]),n));else if(Array.isArray(t)){var s,u=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return kh(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?kh(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(t);try{for(u.s();!(s=u.n()).done;){var c=s.value;t[c]=e(t[c],[].concat(Jn(r),[c]),n)}}catch(e){u.e(e)}finally{u.f()}}return t},a=0,l=Dh;a<l.length;a++){var s=l[a];"ctx"===s?n[s]=wh()({},t.ctx||{},r||{}):"funcs"===s?(n[s]=xh()(e[s]||{}),i(n[s],[s],{BasicFuncs:f})):"fields"===s?n[s]=xh()(e[s]||{}):(n[s]=xh()(t[s]||{}),o(n[s],e[s]||{},[s]))}return n},Yh=function(e){return e.__compliled||(Xh(e=xh()(e),e,{ctx:e.ctx},qh,[]),Object.defineProperty(e,"__compliled",{enumerable:!1,writable:!1,value:!0})),e};function Xh(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:[];if(t)for(var a in i.length,n){var l=n[a],s="x"===a?i:[].concat(Jn(i),[a]);if("r"===l.type){var u=t,c=u[a];if(l.isArr)for(var d in c){var p=Zh(c[d],r,[].concat(Jn(s),[d]));p!==c[d]&&(o.push("Compiled ".concat(s.join("."),"[").concat(d,"]")),c[d]=p)}else{var f=Zh(c,r,s,void 0);f!==c&&(o.push("Compiled R ".concat(s.join("."))),u[a]=f)}}else if("rf"===l.type){var h=t,g=h[a],v=Qh(g,r,s,l.ignore);v!==g&&(o.push("Compiled JL-RF ".concat(s.join("."))),h[a]=v)}else if("f"===l.type){var m,y=t,b=y[a],O=Jh(b,r,s,l.args,l.ignore);l.invokeWith&&O&&"function"==typeof O&&(O=(m=O).call.apply(m,[null].concat(Jn(l.invokeWith)))),O!==b&&(o.push("Compiled JL-F ".concat(s.join("."))),y[a]=O)}else if("x"===a)for(var E in t){s=[].concat(Jn(i),[E]);var S=t[E];Xh(e,S,r,l,o,s),S.subfields&&Xh(e,S.subfields,r,n,o,s)}else Xh(e,t[a],r,l,o,s)}}function Qh(e,t,r){return Vs(e)?function(n,o){o=o||(null==t?void 0:t.ctx);var i=Nh(e,{props:n,ctx:o},r);return"string"==typeof i&&(i={type:i,props:n}),Zh(i,{ctx:o},r)}:"string"==typeof e?function(n,o){o=o||(null==t?void 0:t.ctx);var i=e.split(".").reduce((function(e,t){return null==e?void 0:e[t]}),o);return i?Fh(this,i,[n,o],r):Zh({type:e,props:n},{ctx:o},r)}:e}function Jh(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:void 0;return Vs(e)&&"jl"!==o?function(){for(var o=arguments.length,i=new Array(o),a=0;a<o;a++)i[a]=arguments[a];var l=this||(null==t?void 0:t.ctx),s=(n||[]).reduce((function(e,t,r){return Lh(Lh({},e),{},qn({},t,i[r]))}),{args:i,ctx:l});return Nh(e,s,r)}.bind(null==t?void 0:t.ctx):"string"==typeof e&&"string"!==o?function(){var n=this||(null==t?void 0:t.ctx),o=e.split(".").reduce((function(e,t){return null==e?void 0:e[t]}),n);if(o){for(var i=arguments.length,a=new Array(i),l=0;l<i;l++)a[l]=arguments[l];return Fh(this,o,a,r)}throw new Error("".concat(r.join(".")," :: Function ").concat(e," is not found in ctx"))}.bind(null==t?void 0:t.ctx):e}function Zh(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:void 0;if(Ms(e)){var o,i=e.type,a=e.props;if("string"!=typeof i)throw new Error("renderReactElement for ".concat(r.join("."),": type should be string"));var l,s=function(e,t){var r;return(null==t||null===(r=t.components)||void 0===r?void 0:r[e])||t.W[e]||t.O[e]}(i,t.ctx)||i.toLowerCase();return void 0!==n&&(a=Lh(Lh({},a),{},{key:n})),null!==(o=a)&&void 0!==o&&o.children&&(l=Zh(a.children,t,r),a=Lh(Lh({},a),{},{children:l})),t.ctx.RCE(s,a)}return e instanceof Array?e.map((function(e,n){return Zh(e,t,r,""+n)})):e}var eg=v(2815),tg=v.n(eg),rg={reverseOperatorsForNot:!1,canShortMongoQuery:!0,formatField:function(e,t,r,n,o,i){return i?r:e},caseValueField:{type:"case_value"},fieldSources:["field"],keepInputOnChangeFieldSrc:!0,fieldItemKeysForSearch:["label","path","altLabel","grouplabel"],listKeysForSearch:["title","value"],valueSourcesInfo:{value:{}},fieldSeparator:".",fieldSeparatorDisplay:".",canReorder:!0,canRegroup:!0,canDeleteLocked:!1,canLeaveEmptyGroup:!0,shouldCreateEmptyGroup:!1,exportPreserveGroups:!1,removeEmptyGroupsOnLoad:!0,removeEmptyRulesOnLoad:!0,removeIncompleteRulesOnLoad:!1,removeInvalidMultiSelectValuesOnLoad:!0,showErrorMessage:!1,setOpOnChangeField:["keep","default"],groupOperators:["some","all","none"],defaultGroupConjunction:"AND",locale:{moment:"en"},valueLabel:"Value",valuePlaceholder:"Value",fieldLabel:"Field",operatorLabel:"Operator",funcLabel:"Function",fieldPlaceholder:"Select field",funcPlaceholder:"Select function",operatorPlaceholder:"Select operator",lockLabel:"Lock",lockedLabel:"Locked",deleteLabel:"Delete",addGroupLabel:"Add group",addCaseLabel:"Add condition",addDefaultCaseLabel:"Add default condition",defaultCaseLabel:"Default:",addRuleLabel:"Add rule",addSubRuleLabel:"Add sub rule",delGroupLabel:"Delete",notLabel:"Not",fieldSourcesPopupTitle:"Select source",valueSourcesPopupTitle:"Select value source",removeRuleConfirmOptions:null,removeGroupConfirmOptions:null};function ng(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return og(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?og(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function og(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var ig,ag=0,lg=0,sg={},ug=function(){return ig||(ig=dg({reactIndex:void 0,maxSize:3,canCompile:void 0})),ig},cg=function(e,t){var r;for(var n in sg){var o=sg[n].findExtendedConfig(e,t);if(o){r=o;break}}return r},dg=function(){var e,t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{reactIndex:void 0,maxSize:2,canCompile:!0},r=new Map,n=t.maxSize||2,o=++ag,i=function(e,t){r.size+1>n&&r.delete(r.keys().next().value),r.set(e,t)},a=function(e,t){var n,o=ng(r.keys());try{var i,a=function(){var o=n.value;if(Dh.filter((function(t){return o[t]===e[t]})).length===Dh.length&&(!t||o.__compliled))return{v:r.get(o)}};for(o.s();!(n=o.n()).done;)if(i=a())return i.v}catch(e){o.e(e)}finally{o.f()}var l,s=ng(r.values());try{var u,c=function(){var r=l.value;if(Dh.filter((function(t){return r[t]===e[t]})).length===Dh.length&&(!t||r.__compliled))return{v:r}};for(s.s();!(l=s.n()).done;)if(u=c())return u.v}catch(e){s.e(e)}finally{s.f()}return null};return e={getExtendedConfig:function(e){return r=function(e){return Xs()(e,Dh)}(e),a(r)||function(e){var r=vg(e,++lg,t.canCompile);return i(e,r),r}(r);var r},findExtendedConfig:a,getBasicConfig:function(e){var t,n=ng(r.keys());try{var o,i=function(){var n=t.value,o=r.get(n);if(0===Dh.map((function(t){return o[t]===e[t]})).filter((function(e){return!e})).length)return{v:n}};for(n.s();!(t=n.n()).done;)if(o=i())return o.v}catch(e){n.e(e)}finally{n.f()}return e},clearConfigMemo:function(){r.clear(),delete sg[o],ig===e&&(ig=void 0)},configId:lg,storeConfigPair:i,getSize:function(){return r.size},configStore:r,memoId:o,meta:t},void 0===t.reactIndex&&(ig=e),sg[o]=e,e};function pg(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return fg(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?fg(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function fg(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function hg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function gg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?hg(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):hg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var vg=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2];if(r=r&&e.settings.useConfigCompress,e.__configId)return e;var n=cg(e,r);if(n)return n;var o=e;(e=r?e.__compliled?xh()(e):Yh(e):xh()(e)).settings=tg()({},rg,e.settings,Ns),e.__fieldsCntByType={},e.__funcsCntByType={},e.__fieldNames={},function(e,t){for(var r in e)mg(0,e[r],t)}(e.types,e),yg(e.fields,e),bg(e.funcs,e);var i=e.settings.caseValueField;i&&Og(i,e,[],!1,!0);var a=e.settings.locale.moment;return a&&Nu().locale(a),Object.defineProperty(e,"__configId",{enumerable:!1,writable:!1,value:t||Os()}),e.__cache={},zs(e),ug().storeConfigPair(o,e),e};function mg(e,t,r){var n=null,o=null;t.mainWidget=t.mainWidget||Object.keys(t.widgets).filter((function(e){return"field"!=e&&"func"!=e}))[0];var i=t.excludeOperators||[];for(var a in t.widgets){var l=t.widgets[a],s=l.defaultOperator;l.operators&&(n=Bs(n,l.operators.filter((function(e){return!i.includes(e)})))),s&&!i.includes(s)&&(o&&a!==t.mainWidget||(o=s)),a==t.mainWidget&&(l.widgetProps=gg(gg({},t.mainWidgetProps||{}),l.widgetProps||{})),t.widgets[a]=l}t.valueSources||(t.valueSources=Object.keys(r.settings.valueSourcesInfo));var u,c=pg(t.valueSources);try{for(c.s();!(u=c.n()).done;){var d=u.value;"value"==d||t.widgets[d]||(t.widgets[d]={})}}catch(e){c.e(e)}finally{c.f()}!t.operators&&n&&(t.operators=Array.from(new Set(n))),!t.defaultOperator&&o&&(t.defaultOperator=o)}function yg(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];for(var n in e){var o=[].concat(Jn(r),[n]);Og(e[n],t,o),e[n].subfields&&yg(e[n].subfields,t,o)}}function bg(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[];if(e){var o=(null==t||null===(r=t.settings)||void 0===r?void 0:r.fieldSeparator)||".";for(var i in e){var a=[].concat(Jn(n),[i]),l=a.join(o),s=e[i];if(s.returnType&&(s.type=s.returnType,t.__funcsCntByType[s.returnType]||(t.__funcsCntByType[s.returnType]=0),t.__funcsCntByType[s.returnType]++),Og(s,t,a,!1),s.args){for(var u in s.args)Og(s.args[u],t,[].concat(Jn(a),[u]),!0);var c,d=!0,p=pg(Object.keys(s.args).reverse());try{for(p.s();!(c=p.n()).done;){var f=c.value,h=s.args[f];!d&&h.isOptional&&(Gs.info("Arg ".concat(f," for func ").concat(l," can't be optional")),delete h.isOptional),h.isOptional||(d=!1)}}catch(e){p.e(e)}finally{p.f()}}s.subfields&&bg(s.subfields,t,[].concat(Jn(n),[i]))}}}function Og(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:[],o=arguments.length>3&&void 0!==arguments[3]&&arguments[3],i=arguments.length>4&&void 0!==arguments[4]&&arguments[4],a=t.settings,l=a.showLabels,s=a.fieldSeparator;s=null!==(r=s)&&void 0!==r?r:".";var u=n[n.length-1],c=o?n.slice(0,n.length-1).join(s):n.join(s),d=!!e.returnType,p=e.type||e.returnType,f=t.types[p],h=e.excludeOperators||[],g=(e.operators||(null==f?void 0:f.operators)||[]).filter((function(e){return!h.includes(e)})),v=e.defaultOperator||(null==f?void 0:f.defaultOperator);h.includes(v)&&(v=void 0);var m=!!v&&v==e.defaultOperator;if(m&&(e.ownDefaultOperator=e.defaultOperator),f){o||d||i||(t.__fieldsCntByType[p]||(t.__fieldsCntByType[p]=0),t.__fieldsCntByType[p]++),o&&(e._isFuncArg=!0,e._argKey=u,e._funcKey=c),d&&(e._isFunc=!0,e._funcKey=c),i&&(e._isCaseValue=!0),function(e,t,r){for(var n,o,i=0,a=["listValues","treeValues","allowCustomValues","validateValue"];i<a.length;i++){var l=a[i];e[l]&&(e.fieldSettings||(e.fieldSettings={}),e.fieldSettings[l]=e[l],delete e[l])}null!==(n=e.fieldSettings)&&void 0!==n&&n.listValues&&t.settings.normalizeListValues&&(e.fieldSettings.listValues=t.settings.normalizeListValues.call(t.ctx,e.fieldSettings.listValues,r,e.fieldSettings)),null!==(o=e.fieldSettings)&&void 0!==o&&o.treeValues&&t.settings.normalizeListValues&&(e.fieldSettings.treeValues=t.settings.normalizeListValues.call(t.ctx,e.fieldSettings.treeValues,r,e.fieldSettings))}(e,t,p);var y=["widgets","operators","defaultOperator"];Object.keys(f).filter((function(e){return!y.includes(e)})).map((function(t){e[t]||(e[t]=xs(f[t]))}));var b=f.excludeOperators||[];e.operators&&(b=b.filter((function(t){return!e.operators.includes(t)}))),e.widgets||(e.widgets={});var O=function(){var t=gg({},e.widgets[E]||{}),r=f.widgets[E]||{};if(!o){var n=t.defaultOperator,i=[].concat(Jn(h),Jn(b)),a=e.preferWidgets&&("field"===E||e.preferWidgets.includes(E))||i.length>0;if(t.operators){var s=t.operators.filter((function(e){return!i.includes(e)}));t.operators=s,g=Bs(g,s)}else if(a&&r.operators){var c=r.operators.filter((function(e){return!i.includes(e)}));t.operators=c,g=Bs(g,c)}n&&!i.includes(n)&&(v&&(m||E!==e.mainWidget)||(v=n))}E===e.mainWidget?t.widgetProps=gg(gg(gg({},r.widgetProps||{}),e.mainWidgetProps||{}),t.widgetProps||{}):t.widgetProps=gg(gg({},r.widgetProps||{}),t.widgetProps||{});var d=Array.from(new Set([].concat(Jn(Object.keys(r.opProps||{})),Jn(Object.keys(t.opProps||{})))));if(d.length){var p,y={},O=pg(d);try{for(O.s();!(p=O.n()).done;){var S,w,T=p.value;y[T]=gg(gg({},(null===(S=r.opProps)||void 0===S?void 0:S[T])||{}),(null===(w=t.opProps)||void 0===w?void 0:w[T])||{})}}catch(e){O.e(e)}finally{O.f()}t.opProps=y}var x=t,_=x.valueLabel,C=x.valuePlaceholder;o&&(_||(t.valueLabel=e.label||u),C||l||(t.valuePlaceholder=e.label||u)),t=gg(gg({},r),t),e.widgets[E]=t};for(var E in f.widgets)O();if(o||(e.operators||(e.operators=Array.from(new Set(g))),e.defaultOperator||(e.defaultOperator=v)),!o&&!d&&!i){var S=function(e,t){if(!t)return{};var r=e.settings.fieldSeparator,n=Jn(t).reduce((function(t,n,o,i){var a=t.computedPath,l=t.computed,s=t.inGroup,u=[].concat(Jn(i.slice(0,o)),[n]),c=Ig(e,u);return"!group"===(null==c?void 0:c.type)&&o<i.length-1?(s=u.join(r),a=[]):null!=c&&c.fieldName?(l=!0,a=[c.fieldName]):a=[].concat(Jn(a),[n]),{computedPath:a,computed:l,inGroup:s}}),{computedPath:[],computed:!1,inGroup:void 0}),o=n.computedPath,i=n.computed,a=n.inGroup;return i?{fieldName:o.join(r),inGroup:a}:{}}(t,n),w=S.fieldName,T=S.inGroup;w&&(e.fieldName=w,t.__fieldNames[w]||(t.__fieldNames[w]=[]),t.__fieldNames[w].push({fullPath:n,inGroup:T}))}}else e.disabled=!0}function Eg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Sg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Eg(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Eg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var wg=Ks().mark(_g),Tg=Ks().mark(Cg),xg=Ss;function _g(e){return Ks().wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return t.delegateYield(Rg(e,e.funcs||{},[]),"t0",1);case 1:case"end":return t.stop()}}),wg)}function Cg(e){return Ks().wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return t.delegateYield(Rg(e,e.fields||{},[]),"t0",1);case 1:case"end":return t.stop()}}),Tg)}function Rg(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"subfields";return Ks().mark((function o(i){var a,l,s;return Ks().wrap((function(o){for(;;)switch(o.prev=o.next){case 0:a=(null==e||null===(i=e.settings)||void 0===i?void 0:i.fieldSeparator)||".",o.t0=Ks().keys(t);case 2:if((o.t1=o.t0()).done){o.next=13;break}if(l=o.t1.value,!(s=t[l])[n]){o.next=9;break}return o.delegateYield(Rg(e,s[n],[].concat(Jn(r),[l]),n),"t2",7);case 7:o.next=11;break;case 9:return o.next=11,[[].concat(Jn(r),[l]).join(a),s];case 11:o.next=2;break;case 13:case"end":return o.stop()}}),o)}))()}var Ig=function(e,t){var r,n,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"fields",i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:"subfields";if(!t)return null;if("!case_value"===t)return null==e||null===(n=e.settings)||void 0===n?void 0:n.caseValueField;var a=(null==e||null===(r=e.settings)||void 0===r?void 0:r.fieldSeparator)||".",l=Fg(t,e),s=e[o];if(!s)return null;for(var u=s,c=null,d=[],p=0;p<l.length;p++){var f=l[p];d.push(f),c=u[d.join(a)],p<l.length-1&&(c&&c[i]?(u=c[i],d=[]):c=null)}return c},Ag=function(e,t){var r,n,o=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,i=e.settings.fieldSeparator,a=[o].concat(Jn(t.split(i))).filter((function(e){return null!=e})),l=t,s=null===(r=e.__fieldNames[l])||void 0===r||null===(n=r.find)||void 0===n||null===(n=n.call(r,(function(e){var t=e.inGroup;return!t||(null==o?void 0:o.startsWith(t))})))||void 0===n?void 0:n.fullPath;return(s||a).join(i)},jg=function(e,t){if(!t)return null;var r=Ig(e,t,"funcs","subfields");if(!r)return null;var n=r.returnType,o=r.args,i=Object.fromEntries(Object.entries(o||{}).map((function(e){var t=Xn(e,2),r=t[0],n=t[1];return[r,Xs()(n,["type","valueSources","defaultValue","fieldSettings","isOptional","_funcKey","_argKey","_isFuncArg"])]})));return{returnType:n,args:i}},kg=function(e,t){return t&&Ig(e,t,"funcs","subfields")||null},Pg=function(e,t,r){var n=kg(e,t);return n&&(n.args&&n.args[r]||null)||null},Lg=function(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!t)return!1;var o=(null==n||null===(r=n.settings)||void 0===r?void 0:r.fieldSeparator)||".",i=Ng(e,n),a=Ng(t,n);return i.startsWith(a+o)},Ng=function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if("string"==typeof e)return e;var n=(null==r||null===(t=r.settings)||void 0===t?void 0:t.fieldSeparator)||".";return Fg(e,r).join(n)},Fg=function(e){var t,r,n,o=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;if(!e)return[];if(Array.isArray(e))return e;var i,a=(null==o||null===(t=o.settings)||void 0===t?void 0:t.fieldSeparator)||".";return null!=e&&e.func?Array.isArray(e.func)?e.func:e.func.split(a):null!=e&&null!==(r=e.get)&&void 0!==r&&r.call(e,"func")?null==e||null===(i=e.get)||void 0===i?void 0:i.call(e,"func").split(a):(null==e||null===(n=e.split)||void 0===n?void 0:n.call(e,a))||[]},Dg=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(!e)return null;var n=t.settings.fieldSeparator,o=Fg(e,t);return r?o:o.map((function(e,t,r){return r.slice(0,t+1)})).map((function(e){return e.join(n)}))},Mg=function(e){var t;if("string"==typeof e||Array.isArray(e))return"field:".concat(Ng(e));if("object"===Fn(e)&&e){if(e._funcKey&&e._argKey)return"arg:".concat(Ng(e._funcKey),"__").concat(e._argKey);if(e._funcKey)return"func:".concat(Ng(e._funcKey));if(e.func&&e.arg)return"arg:".concat(Ng(e.func),"__").concat(e.arg);if(e.func)return"func:".concat(Ng(e.func));if(e.type)return null}return null!=e&&null!==(t=e.get)&&void 0!==t&&t.call(e,"func")?null!=e&&e.get("arg")?"arg:".concat(Ng(e.get("func")),"__").concat(e.get("arg")):"func:".concat(Ng(e.get("func"))):null},Vg=function(e,t,r){var n;return null===(n=e.__cache)||void 0===n||null===(n=n[t])||void 0===n?void 0:n[r]},Ug=function(e,t,r,n){e.__cache&&r&&(e.__cache[t]||(e.__cache[t]={}),e.__cache[t][r]=n)},Bg=function(e){var t;if(!e)return null;if("object"===Fn(e)){if(!e.func&&e.type)return"field";if(e.func)return e.func&&e.arg?null:"func"}return null!=e&&null!==(t=e.get)&&void 0!==t&&t.call(e,"func")?null!=e&&e.get("arg")?null:"func":"field"},zg=function(e,t){var r;if(!t)return null;if("object"==Fn(t)){if(!t.func&&t.type)return t;if(t.func)return t.func&&t.arg?Pg(e,t.func,t.arg):kg(e,t.func)}return null!=t&&null!==(r=t.get)&&void 0!==r&&r.call(t,"func")?null!=t&&t.get("arg")?Pg(e,t.get("func"),t.get("arg")):kg(e,t.get("func")):Ig(e,t)||null},Wg=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null;if(!t)return null;var n=e.operators[t];if(r){var o,i,a=Mg(r),l=a?"".concat(a,"__").concat(t):null,s=Vg(e,"getOperatorConfig",l);if(s)return s;var u=zg(e,r),c=uh(e,r,t,null),d=e.widgets[c]||{},p=(u&&u.widgets?u.widgets[c]:{})||{},f=(null===(o=d.opProps)||void 0===o?void 0:o[t])||{},h=(null===(i=p.opProps)||void 0===i?void 0:i[t])||{},g=Sg(Sg(Sg({},n),f),h);return Ug(e,"getOperatorConfig",l,g),g}return n},Hg=function(e,t){var r,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:null,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,a=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{};if(!t)return null;var l=zg(e,t),s=Mg(t);o||(o=uh(e,t,n,i));var u=s?"".concat(s,"__").concat(n,"__").concat(o,"__").concat(i):null,c=Vg(e,"getFieldWidgetConfig",u);if(c)return c;var d=e.widgets[o]||{},p=(null==l||null===(r=l.widgets)||void 0===r?void 0:r[o])||{},f=p.widgetProps||{},h="value"!==i&&i?{}:null==l?void 0:l.fieldSettings,g=Sg(Sg(Sg(Sg({},d),p),f),h);return Ug(e,"getFieldWidgetConfig",u,g),a.forExport&&(g=_s(g,"factory")),g},qg=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=e.settings.fieldSeparator,n=Fg(t,e),o=t?Ig(e,t):e,i=null,a=[];do{var l,s=o===e?e.fields:null===(l=o)||void 0===l?void 0:l.subfields;if(!s||!Object.keys(s).length){o=i=null;break}i=Object.keys(s)[0],a.push(i),o=s[i]}while("!struct"==o.type||"!group"==o.type);return(n||[]).concat(a).join(r)};function Gg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function $g(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Gg(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Gg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Kg=function(e,t){var r={usedFields:[]},n=Yg(e,t,r);if(n)return $g($g({},n),r)},Yg=function(e,t,r){if(e){var n=e.get("type"),o=e.get("children1");return("group"===n||"rule_group"===n)&&o&&o.size?Xg(e,t,r):"rule"===n?Qg(e,t,r):void 0}},Xg=function(e,t,r){var n=e.get("properties")||new ja,o=e.get("children1"),i=e.get("id"),a=o.map((function(e){return Yg(e,t,r)})).filter((function(e){return void 0!==e}));if(a.size){var l=n.get("conjunction");l||(l=wd(t));var s=n.get("not");return{id:i,rules:a.toList(),condition:l.toUpperCase(),not:s}}},Qg=function(e,t,r){var n,o=e.get("properties")||new ja,i=e.get("id"),a=o.get("operator"),l=o.get("operatorOptions"),s=o.get("field"),u=o.get("value"),c=o.get("valueSrc"),d=o.get("valueType"),p=u.filter((function(e){return void 0===e})).size>0;if(null!=s&&null!=a&&!p){var f=zg(t,s)||{},h=Wg(t,a,s)||{},g=f.type||"undefined",v=Cs(h),m=t.types[f.type]||{},y=ch(s,t,r);if(!(u.size<v)){-1==r.usedFields.indexOf(s)&&r.usedFields.push(s),u=u.toArray(),c=c.toArray(),d=(null===(n=d)||void 0===n?void 0:n.toArray())||[];for(var b=[],O=0;O<u.length;O++){var E={type:d[O],value:u[O]};if(b.push(E),"field"==c[O]){var S=u[O];-1==r.usedFields.indexOf(S)&&r.usedFields.push(S)}}var w=l?l.toJS():null;w&&!Object.keys(w).length&&(w=null);var T={id:i,fieldName:y,type:g,input:m.mainWidget,operator:a};return w&&(T.operatorOptions=w),T.values=b,T}}};function Jg(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Zg(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Jg(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Jg(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function ev(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return tv(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?tv(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function tv(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var rv=function(e,t){var r,n={usedFields:[],errors:[]},o=vg(t,void 0,!1),i=nv(e,o,n,!1,!0),a=n.errors,l=n.usedFields,s=(o.settings.fieldSeparator,{}),u=ev(l);try{for(u.s();!(r=u.n()).done;)for(var c=r.value,d=Fg(c,t),p=(zg(o,c),s),f=0;f<d.length;f++){var h=d[f],g=zg(o,d.slice(0,f+1))||{};f!=d.length-1?"!group"==g.type&&"struct"!=g.mode?(p[h]||(p[h]=[{}]),p=p[h][0]):(p[h]||(p[h]={}),p=p[h]):p[h]||(p[h]=null)}}catch(e){u.e(e)}finally{u.f()}return{errors:a,logic:i,data:s}},nv=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null;if(e){var a,l=e.get("type"),s=(e.get("properties")||new ja).get("isLocked"),u=t.settings.jsonLogic.lockedOp;return"group"===l||"rule_group"===l?a=ov(e,t,r,n,o,i):"rule"===l?a=iv(e,t,r,n,i):"switch_group"==l?a=av(e,t,r,n):"case_group"==l&&(a=lv(e,t,r,n,i)),s&&a&&u&&(a=qn({},u,a)),a}},ov=function(e,t,r){var n,o,i,a,l,s,u=arguments.length>3&&void 0!==arguments[3]&&arguments[3],c=arguments.length>4&&void 0!==arguments[4]&&arguments[4],d=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,p=e.get("type"),f=e.get("properties")||new ja,h=f.get("mode"),g=e.get("children1")||new tl,v=f.get("field"),m=zg(t,v),y=f.get("conjunction");y||(y=wd(t));var b=t.conjunctions[y].jsonLogicConj||y.toLowerCase(),O=!!f.get("not"),E="rule_group"===p&&!c,S=E&&"struct"!=h,w=S?v:d,T=f.get("operator"),x=T&&Wg(t,T,v)||null,_=sv(t,f,r,T,d),C=E&&(!T||0==(null===(n=x)||void 0===n?void 0:n.cardinality)),R=E&&(null==g?void 0:g.size)>0,I=(E&&null!=g&&g.size,O),A=!1;R?(A=O,I=u):u&&(I=!I);var j=!1,k=null===(o=x)||void 0===o?void 0:o.reversedOp,P=Wg(t,k,v),L=!(null!==(i=x)&&void 0!==i&&i.jsonLogic||null===(a=P)||void 0===a||!a.jsonLogic),N=!(null===(l=P)||void 0===l||!l.jsonLogic),F=null===(s=Eh(e))||void 0===s?void 0:s.get("type");if(!!t.settings.reverseOperatorsForNot&&(!E&&I&&"rule"===F||A&&1===(null==g?void 0:g.size))&&(R?A=!A:I=!I,j=!0),I&&E&&N&&(t.settings.reverseOperatorsForNot||L)){I=!I;var D=[k,T];T=D[0],k=D[1];var M=[P,x];x=M[0],P=M[1]}var V=g.map((function(e){return nv(e,t,r,j,!1,w)})).filter((function(e){return void 0!==e})),U=!!t.settings.exportPreserveGroups;if(S&&!C){if(null==_)return}else if(!V.size&&!U)return;var B=c||U||1!=V.size;B||!O||j||(B=g.some((function(e){var r,n,o,i,a=null===(r=e.get("properties"))||void 0===r?void 0:r.get("operator"),l=null===(n=t.operators)||void 0===n||null===(n=n[a])||void 0===n?void 0:n.reversedOp;return null!==(o=null===(i=t.operators)||void 0===i||null===(i=i[l])||void 0===i?void 0:i._jsonLogicIsExclamationOp)&&void 0!==o&&o})));var z={};if(B?z[b]=V.toList().toJS():z=V.first(),A&&(z={"!":z}),S){var W=dv(r,t,v,d);if(C)z=qn({},T||"some",[W,z]);else{var H=V.size?{filter:[W,z]}:W;z=pv(t,f,{reduce:[H,{"+":[1,{var:"accumulator"}]},0]},_,T,null,m)}}return I&&(z={"!":z}),z},iv=function(e,t,r){var n,o,i,a,l,s,u=arguments.length>3&&void 0!==arguments[3]&&arguments[3],c=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,d=e.get("properties")||new ja,p=d.get("field"),f=d.get("fieldSrc"),h=d.get("operator"),g=d.get("operatorOptions");if((g=g?g.toJS():null)&&!Object.keys(g).length&&(g=null),null!=p&&null!=h){var v=zg(t,p),m=Wg(t,h,p),y=null===(n=m)||void 0===n?void 0:n.reversedOp,b=Wg(t,y,p);if(null!==(o=m)&&void 0!==o&&o.jsonLogic||null!==(i=b)&&void 0!==i&&i.jsonLogic){var O=u,E=!(null!==(a=m)&&void 0!==a&&a.jsonLogic||null===(l=b)||void 0===l||!l.jsonLogic),S=!(null===(s=b)||void 0===s||!s.jsonLogic)&&(!!t.settings.reverseOperatorsForNot||E);if(O&&S||E){O=!O;var w=[y,h];h=w[0],y=w[1];var T=[b,m];m=T[0],b=T[1]}var x=sv(t,d,r,h,c);if(void 0!==x){var _="func"===f?cv(r,t,p,c):dv(r,t,p,c);if(void 0!==_)return pv(t,d,_,x,h,g,v,O)}}else r.errors.push("Operator ".concat(h," is not supported"))}},av=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=e.get("children1");if(o){for(var i=o.map((function(e){return lv(e,t,r,n,null)})).filter((function(e){return void 0!==e})).valueSeq().toArray(),a=[],l=0;l<i.length;l++)l===i.length-1||i[l][0]?(a.push(i[l]),l===i.length-1&&i[l][0]&&a.push([void 0,null])):r.errors.push("No condition for case ".concat(l));if(a.length){if(1===a.length){var s=Xn(a[0],2),u=(s[0],s[1]);return null==u&&(u=null),u}for(var c={if:[]},d=c.if,p=Xn(a[a.length-1],2),f=(p[0],p[1]),h=0;h<a.length-1;h++){var g=h===a.length-2,v=Xn(a[h],2),m=v[0],y=v[1];null==y&&(y=null),null==m&&(m=!0),d.push(m),d.push(y),g?d.push(f):(d.push({if:[]}),d=d[d.length-1].if)}return c}}},lv=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]&&arguments[3],o=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,i=e.get("type");if("case_group"==i){var a=e.get("properties")||new ja;return[ov(e,t,r,n,o),sv(t,a,r,null,o,"!case_value")]}r.errors.push("Unexpected child of type ".concat(i," inside switch"))},sv=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=t.get("field"),l=t.get("valueSrc"),s=t.get("valueType");("!case_value"==i||s&&"case_value"==s.get(0))&&(a="!case_value");var u=zg(e,a),c=Wg(e,n,a),d=Cs(c),p=t.get("value"),f=t.get("asyncListValues");if(null!=p){var h=[],g=[],v=r.usedFields,m=p.map((function(t,i){var d=l?l.get(i):null,p=s?s.get(i):null,v=Oh(t,d,e),m=uh(e,a,n,d),y=Hg(e,a,n,m,d,{forExport:!0}),b=uv(r,e,v,d,p,y,u,n,c,o,f);return void 0!==b&&(h.push(d),g.push(p)),b})),y=m.filter((function(e){return void 0===e})).size>0;if(!(m.size<d||y))return d>1?m.toArray():1==d?m.first():null;r.usedFields=v}},uv=function(e,t,r,n,o,i,a,l,s){var u=arguments.length>9&&void 0!==arguments[9]?arguments[9]:null,c=arguments.length>10?arguments[10]:void 0;if(void 0!==r){var d;if("field"==n)d=dv(e,t,r,u);else if("func"==n)d=cv(e,t,r,u);else if("function"==typeof(null==i?void 0:i.jsonLogic)){var p=i.jsonLogic,f=[r,Zg(Zg({},a?Xs()(a,["fieldSettings","listValues"]):{}),{},{asyncListValues:c}),_s(i,Ss)];l&&(f.push(l),f.push(s)),d=p.call.apply(p,[t.ctx].concat(f))}else d=r;return d}},cv=function(e,t,r){var n,o,i=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,a=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),l=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),s=kg(t,a),u=Fg(a,t),c=u[u.length-1];if(s)if(null!=s&&s.jsonLogic){var d={},p=[],f=[];for(var h in s.args){var g,v=s.args[h],m=zg(t,v),y=v.defaultValue,b=v.isOptional,O=null!=y&&y.func?"func":"value",E=l?l.get(h):void 0,S=E?E.get("value"):void 0,w=E?E.get("valueSrc"):void 0;"func"!==w&&null!==(g=S)&&void 0!==g&&g.toJS&&(S=S.toJS());var T=null,x=uh(t,v,T,w),_=Hg(t,v,T,x,w,{forExport:!0}),C=uv(e,t,S,w,v.type,_,m,null,null,i);if(null!=S&&void 0===C)return void("func"!=w&&e.errors.push("Can't format value of arg ".concat(h," for func ").concat(a)));var R=void 0;if(void 0===C&&!b&&null!=y){var I=uh(t,v,T,O),A=Hg(t,v,T,I,O,{forExport:!0});if(void 0===(R=uv(e,t,y,O,v.type,A,m,null,null,i)))return void("func"!=O&&e.errors.push("Can't format default value of arg ".concat(h," for func ").concat(a)))}var j=null!=C?C:R;if(void 0!==j){if(p.length){var k,P=ev(p);try{for(P.s();!(k=P.n()).done;)d[k.value]=void 0}catch(e){P.e(e)}finally{P.f()}p=[]}d[h]=j}else b||f.push(h),p.push(h)}if(!f.length){var L,N=Object.values(d);if("function"==typeof s.jsonLogic){var F=s.jsonLogic,D=[d];L=F.call.apply(F,[t.ctx].concat(D))}else{var M=s.jsonLogic||c;if(s.jsonLogicIsMethod){var V=N[0],U=N.slice(1);L=U.length?{method:[V,M,U]}:{method:[V,M]}}else L=qn({},M,N)}return L}}else e.errors.push("Func ".concat(a," is not supported"));else e.errors.push("Func ".concat(a," is not defined in config"))},dv=function(e,t,r){var n,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=t.settings,a=i.fieldSeparator,l=i.jsonLogic;if(r){Array.isArray(r)&&(r=r.join(a));var s=zg(t,r)||{},u=ch(r,t,e,o);n=qn({},s.jsonLogicVar||("!group"==s.type?l.groupVarKey:"var"),u),-1==e.usedFields.indexOf(r)&&e.usedFields.push(r)}return n},pv=function(e,t,r,n,o){var i=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null,a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,l=arguments.length>7&&void 0!==arguments[7]&&arguments[7],s=t.get("field"),u=Wg(e,o,s)||{},c="function"==typeof u.jsonLogic?u.jsonLogic:function(e,t,r,n){var o=e,i=Cs(t);"string"==typeof t.jsonLogic&&(o=t.jsonLogic);var a=["<","<=",">",">="],l=["==","!="];return function(e,t,s,u,c){return 0==i&&l.includes(o)?qn({},o,[r,null]):0==i?qn({},o,r):1==i?qn({},o,[r,n]):2==i&&a.includes(o)?qn({},o,[n[0],r,n[1]]):qn({},o,[r].concat(Jn(n)))}}(o,u,r,n),d=[r,o,n,_s(u,ws),i,a],p=c.call.apply(c,[e.ctx].concat(d));return l&&(p={"!":p}),p};function fv(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return hv(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?hv(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function hv(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function gv(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function vv(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?gv(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):gv(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var mv=function(e){return"object"==Fn(e)&&null!==e&&!Array.isArray(e)},yv=function(e,t){return bv(e,t,!1)},bv=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=vg(t,void 0,!1),i=Ov([],e,o,n);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to MongoDb:",n.errors),i)},Ov=function(e,t,r,n){var o=arguments.length>4&&void 0!==arguments[4]&&arguments[4],i=!(arguments.length>5&&void 0!==arguments[5])||arguments[5],a=arguments.length>6&&void 0!==arguments[6]?arguments[6]:void 0,l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:void 0;if(t){var s=t.get("type");return"group"===s||"rule_group"===s?Ev(e,t,r,n,o,i,a,l):"rule"===s?Sv(e,t,r,n,o,i,a,l):void 0}},Ev=function(e,t,r,n){var o,i,a,l,s,u,c,d,p=arguments.length>4&&void 0!==arguments[4]&&arguments[4],f=t.get("type"),h=t.get("properties")||new ja,g=!!h.get("not"),v=t.get("children1")||new tl,m=r.settings,y=m.canShortMongoQuery,b=m.fieldSeparator,O=e.filter((function(e){return"rule_group"==e.get("type")})).length>0,E=e.filter((function(e){return"rule_group"==e.get("type")})).map((function(e){return e.get("properties").get("field")})).slice(-1).pop(),S=O&&E,w="rule_group"===f,T=w?h.get("field"):null,x=w?h.get("operator"):null,_=x&&Wg(r,x,T)||null,C=x?null!==(o=null===(i=_)||void 0===i?void 0:i.cardinality)&&void 0!==o?o:1:void 0,R=ch(T,r,n,S),I=(zg(r,T)||{}).mode,A=T&&"array"===I&&C>=1,j=w&&(null==v?void 0:v.size)>0,k=(w&&null!=v&&v.size,!1),P=g,L=!1;j?(L=g,P=p):p&&(P=!P);var N=null===(a=_)||void 0===a?void 0:a.reversedOp,F=Wg(r,N,T),D=!(null!==(l=_)&&void 0!==l&&l.mongoFormatOp||null===(s=F)||void 0===s||!s.mongoFormatOp),M=!(null===(u=F)||void 0===u||!u.mongoFormatOp),V=null===(c=Eh(t))||void 0===c?void 0:c.get("type");if(!!r.settings.reverseOperatorsForNot&&(!w&&P&&"rule"===V||L&&1===(null==v?void 0:v.size))&&(j?L=!L:P=!P,k=!0),P&&w&&M&&(r.settings.reverseOperatorsForNot||D)){P=!P;var U=[N,x];x=U[0],N=U[1];var B=[F,_];_=B[0],F=B[1]}var z=h.get("conjunction");z||(z=wd(r));var W=r.conjunctions[z];if(W){var H=W.reversedConj;P&&"or"===(null===(d=z)||void 0===d?void 0:d.toLowerCase())&&H&&!w&&r.settings.canShortMongoQuery&&r.settings.reverseOperatorsForNot&&(z=H,W=r.conjunctions[z],P=!P,k=!0);var q=W.mongoConj,G=v.map((function(o){return Ov([].concat(Jn(e),[t]),o,r,n,k,"array"!=I,"array"==I?function(e){return"$$el".concat(b).concat(e)}:void 0)})).filter((function(e){return void 0!==e}));if(A||G.size){var $;if(1==G.size)$=G.first();else if(G.size>1){var K=G.toList().toJS();y&&"$and"==q&&($=K.reduce((function(e,t){if(e){for(var r in t){if("$"==r[0]){e=void 0;break}if(null==e[r])e[r]=t[r];else{var n=e[r],o=t[r];if(mv(n)||(n={$eq:n}),mv(o)||(o={$eq:o}),Object.keys(n)[0]==Object.keys(o)[0]){e=void 0;break}e[r]=Object.assign({},n,o)}}return e}}),{})),$||($=qn({},q,K))}if(T)if("array"==I){var Y={$size:{$ifNull:["$"+R,[]]}},X=$?{$size:{$ifNull:[{$filter:{input:"$"+R,as:"el",cond:$}},[]]}}:Y;$={$expr:$=Ov(e,t.set("type","rule"),r,n,L,!1,(function(e){return X}),Y)}}else $=qn({},R,{$elemMatch:$});return P&&($={$not:$}),$}}},Sv=function(e,t,r,n){var o,i,a,l,s,u,c,d=arguments.length>4&&void 0!==arguments[4]&&arguments[4],p=!(arguments.length>5&&void 0!==arguments[5])||arguments[5],f=arguments.length>6&&void 0!==arguments[6]?arguments[6]:void 0,h=arguments.length>7&&void 0!==arguments[7]?arguments[7]:void 0,g=t.get("properties")||new ja,v=e.filter((function(e){return"rule_group"==e.get("type")})).length>0,m=e.filter((function(e){return"rule_group"==e.get("type")})).map((function(e){return e.get("properties").get("field")})).slice(-1).pop(),y=v&&m,b=g.get("operator"),O=g.get("operatorOptions"),E=g.get("field"),S=g.get("fieldSrc"),w=g.get("value"),T=g.get("valueSrc"),x=g.get("valueType"),_=g.get("asyncListValues");if(null!=E&&null!=b&&void 0!==w){var C=zg(r,E),R=Wg(r,b,E),I=null===(o=R)||void 0===o?void 0:o.reversedOp,A=Wg(r,I,E),j=Cs(R);if(null!==(i=R)&&void 0!==i&&i.mongoFormatOp||null!==(a=A)&&void 0!==a&&a.mongoFormatOp){var k,P=d,L=!(null!==(l=R)&&void 0!==l&&l.mongoFormatOp||null===(s=A)||void 0===s||!s.mongoFormatOp);if(null!==(u=A)&&void 0!==u&&u.mongoFormatOp&&(r.settings.reverseOperatorsForNot||L)&&P||L){var N=[I,b];b=N[0],I=N[1];var F=[A,R];R=F[0],A=F[1],P=!P}var D=!1;if("func"==S){var M=Xn(xv(n,r,E,y),2);k=M[0],D=M[1]}else k=ch(E,r,n,y),f&&(D=!0,k=f(k));if(null!=k){var V,U=[],B=[];if(null!=w){var z=w.map((function(e,t){var o=T?T.get(t):null,i=x?x.get(t):null,a=Oh(e,o,r),l=uh(r,E,b,o),s=Hg(r,E,b,l,o,{forExport:!0}),u=Xn(wv(n,r,a,o,i,s,C,y,b,R,_),2),c=u[0],d=u[1];return void 0!==c&&(D=D||d,U.push(o),B.push(i)),c})),W=z.filter((function(e){return void 0===e})).size>0;if(z.size<j||W)return;V=j>1?z.toArray():1==j?z.first():null}var H=D&&p,q=null===(c=R)||void 0===c?void 0:c.mongoFormatOp,G=[k,b,void 0!==h&&null==V?h:V,D,U.length>1?U:U[0],B.length>1?B:B[0],_s(R,ws),O,C],$=q.call.apply(q,[r.ctx].concat(G));return H&&($={$expr:$}),P&&($={$not:$}),$}}else n.errors.push("Operator ".concat(b," is not supported"))}},wv=function(e,t,r,n,o,i,a,l,s,u,c){if(void 0===r)return[void 0,!1];var d,p=!1;if("field"==n){var f=Xn(Tv(e,t,r,l),2);d=f[0],p=f[1]}else if("func"==n){var h=Xn(xv(e,t,r,l),2);d=h[0],p=h[1]}else if("function"==typeof(null==i?void 0:i.mongoFormatValue)){var g=i.mongoFormatValue,v=[r,vv(vv({},a?Xs()(a,["fieldSettings","listValues"]):{}),{},{asyncListValues:c}),_s(i,Ss)];s&&(v.push(s),v.push(u)),d=g.call.apply(g,[t.ctx].concat(v))}else d=r;return[d,p]},Tv=function(e,t,r,n){var o,i=t.settings.fieldSeparator;if(r){var a=zg(t,r)||{},l=Fg(r,t),s=rh(r,t),u=s?s.join(i):null;o="$"+(0,t.settings.formatField)(ch(r,t,e,n),l,u,a,t,!1)}return[o,!0]},xv=function(e,t,r,n){var o,i,a,l=null===(o=r.get)||void 0===o?void 0:o.call(r,"func"),s=null===(i=r.get)||void 0===i?void 0:i.call(r,"args"),u=kg(t,l);if(!u)return e.errors.push("Func ".concat(l," is not defined in config")),[void 0,!1];var c=Fg(l,t),d=c[c.length-1],p=u.mongoFunc||d,f=u.mongoArgsAsObject,h={},g=0,v=void 0,m=[],y=[];for(var b in u.args){var O;g++;var E=u.args[b],S=zg(t,E),w=E.defaultValue,T=E.isOptional,x=null!=w&&w.func?"func":"value",_=s?s.get(b):void 0,C=_?_.get("value"):void 0,R=_?_.get("valueSrc"):void 0;"func"!==R&&null!==(O=C)&&void 0!==O&&O.toJS&&(C=C.toJS());var I=_?_.get("asyncListValues"):void 0,A=null,j=uh(t,E,A,R),k=Hg(t,E,A,j,R,{forExport:!0}),P=Xn(wv(e,t,C,R,E.type,k,S,n,null,null,I),2),L=P[0];if(P[1],null!=C&&void 0===L)return"func"!=R&&e.errors.push("Can't format value of arg ".concat(b," for func ").concat(l)),[void 0,!1];var N=void 0;if(void 0===L&&!T&&null!=w){var F=uh(t,E,A,x),D=Hg(t,E,A,F,x,{forExport:!0}),M=Xn(wv(e,t,w,x,E.type,D,S,n,null,null,I),2);if(N=M[0],M[1],void 0===N)return"func"!=x&&e.errors.push("Can't format default value of arg ".concat(b," for func ").concat(l)),[void 0,!1]}var V=null!=L?L:N;if(void 0!==V){if(m.length){var U,B=fv(m);try{for(B.s();!(U=B.n()).done;)h[U.value]=void 0}catch(e){B.e(e)}finally{B.f()}m=[]}h[b]=V,v=V}else T||y.push(b),m.push(b)}if(y.length)return[void 0,!1];if("function"==typeof u.mongoFormatFunc){var z=u.mongoFormatFunc,W=[h];a=z.call.apply(z,[t.ctx].concat(W))}else{if(null===u.mongoFormatFunc)return e.errors.push("Functon ".concat(p," is not supported")),[void 0,!1];a=qn({},p,f?h:1==g&&void 0!==v?v:Object.values(h))}return[a,!0]};function _v(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Cv(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Cv(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function Cv(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Rv(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Iv(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Rv(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Rv(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Av=function(e,t){return jv(e,t,!1)},jv=function(e,t){var r=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],n={errors:[]},o=vg(t,void 0,!1),i=kv(e,o,n);return r?[i,n.errors]:(n.errors.length&&console.warn("Errors while exporting to SQL:",n.errors),i)},kv=function(e,t,r){if(e){var n=e.get("type");return e.get("children1"),"group"===n||"rule_group"===n?Pv(e,t,r):"rule"===n?Lv(e,t,r):void 0}},Pv=function(e,t,r){var n=e.get("type"),o=e.get("properties")||new ja,i=e.get("children1")||new tl,a="rule_group"===n?o.get("field"):null;"array"==(zg(t,a)||{}).mode&&r.errors.push("Aggregation is not supported for ".concat(a));var l=o.get("not"),s=i.map((function(e){return kv(e,t,r)})).filter((function(e){return void 0!==e}));if(s.size){var u=o.get("conjunction");return u||(u=wd(t)),t.conjunctions[u].sqlFormatConj.call(t.ctx,s,u,l)}},Lv=function(e,t,r){var n=e.get("properties")||new ja,o=n.get("field"),i=n.get("fieldSrc"),a=n.get("operator"),l=n.get("operatorOptions"),s=n.get("valueSrc"),u=n.get("valueType"),c=n.get("value"),d=n.get("asyncListValues");if(null!=o&&null!=a){var p=zg(t,o)||{},f=Wg(t,a,o)||{},h=f.reversedOp,g=Wg(t,h,o)||{},v=Cs(f),m=!1,y=f.sqlOp||f.sqlFormatOp,b=g.sqlOp||g.sqlFormatOp;if(y||b){if(!y&&b){m=!0;var O=[h,a];a=O[0],h=O[1];var E=[g,f];f=E[0],g=E[1]}var S,w=[],T=[];if(null!=c){var x=c.map((function(e,n){var i=s?s.get(n):null,l=u?u.get(n):null,c=Oh(e,i,t),h=uh(t,o,a,i),g=Hg(t,o,a,h,i,{forExport:!0}),v=Nv(r,t,c,i,l,g,p,a,f,d);return void 0!==v&&(w.push(i),T.push(l)),v}));if(x.filter((function(e){return void 0===e})).size>0||x.size<v)return;S=1==v?x.first():x}var _=f.sqlFormatOp||function(e,t){var r,n=t.sqlOp||e,o=Cs(t);return 0==o?r=function(e,t,r,o,i,a,l,s){return"".concat(e," ").concat(n)}:1==o?r=function(e,t,r,o,i,a,l,s){return"".concat(e," ").concat(n," ").concat(r)}:2==o&&(r=function(e,t,r,o,i,a,l,s){var u,c,d=null==r||null===(u=r.first)||void 0===u?void 0:u.call(r),p=null==r||null===(c=r.get)||void 0===c?void 0:c.call(r,1);return"".concat(e," ").concat(n," ").concat(d," AND ").concat(p)}),r}(a,f);if(_){var C="func"==i?Dv(r,t,o):Fv(r,t,o);if(null!=C){var R,I=[C,a,S,w.length>1?w:w[0],T.length>1?T:T[0],_s(f,ws),l,p];if(R=_.call.apply(_,[t.ctx].concat(I)),m&&(R=t.settings.sqlFormatReverse.call(t.ctx,R)),void 0!==R)return R;r.errors.push("Operator ".concat(a," is not supported for value source ").concat(w.join(", ")))}}else r.errors.push("Operator ".concat(a," is not supported"))}else r.errors.push("Operator ".concat(a," is not supported"))}},Nv=function(e,t,r,n,o,i,a,l,s,u){if(void 0!==r){var c;if("field"==n)c=Fv(e,t,r);else if("func"==n)c=Dv(e,t,r);else if("function"==typeof(null==i?void 0:i.sqlFormatValue)){var d=i.sqlFormatValue,p=[r,Iv(Iv({},Xs()(a,["fieldSettings","listValues"])),{},{asyncListValues:u}),_s(i,Ss)];if(l&&(p.push(l),p.push(s)),"field"==n){var f=zg(t,r)||{};p.push(f)}c=d.call.apply(d,[t.ctx].concat(p))}else c=Array.isArray(r)?r.map((function(e){return dc.escape(e)})):dc.escape(r);return c}},Fv=function(e,t,r){if(r){var n=t.settings.fieldSeparator,o=zg(t,r)||{},i=Fg(r,t),a=rh(r,t),l=a?a.join(n):null;return(0,t.settings.formatField)(ch(r,t,e,null,{useTableName:!0}),i,l,o,t)}},Dv=function(e,t,r){var n,o,i=null===(n=r.get)||void 0===n?void 0:n.call(r,"func"),a=null===(o=r.get)||void 0===o?void 0:o.call(r,"args"),l=kg(t,i);if(l){var s=Fg(i,t),u=s[s.length-1],c=l.sqlFunc||u,d={},p=[],f=[];for(var h in l.args){var g,v=l.args[h],m=zg(t,v),y=v.defaultValue,b=v.isOptional,O=null!=y&&y.func?"func":"value",E=a?a.get(h):void 0,S=E?E.get("value"):void 0,w=E?E.get("valueSrc"):void 0;"func"!==w&&null!==(g=S)&&void 0!==g&&g.toJS&&(S=S.toJS());var T=E?E.get("asyncListValues"):void 0,x=Nv(e,t,S,w,v.type,m,v,null,null,T);if(null!=S&&void 0===x)return void("func"!=w&&e.errors.push("Can't format value of arg ".concat(h," for func ").concat(i)));var _=void 0;if(void 0===x&&!b&&null!=y&&void 0===(_=Nv(e,t,y,O,v.type,m,v,null,null,T)))return void("func"!=O&&e.errors.push("Can't format default value of arg ".concat(h," for func ").concat(i)));var C=null!=x?x:_;if(void 0!==C){if(p.length){var R,I=_v(h);try{for(I.s();!(R=I.n()).done;)d[R.value]=void 0}catch(e){I.e(e)}finally{I.f()}p=[]}d[h]=C}else b||f.push(h),p.push(h)}if(!f.length){var A;if("function"==typeof l.sqlFormatFunc){var j=l.sqlFormatFunc,k=[d];A=j.call.apply(j,[t.ctx].concat(k))}else{var P=Object.entries(d).map((function(e){var t=Xn(e,2);return t[0],t[1]})).join(", ");A="".concat(c,"(").concat(P,")")}return A}}else e.errors.push("Func ".concat(i," is not defined in config"))};function Mv(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Vv(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Mv(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Mv(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function Uv(e,t,r,n,o,i){if(e&&r&&null!=t){var a=r,l=n.operators[a];if(l){var s=l.elasticSearchQueryType,u=!1;!s&&l.reversedOp&&(u=!0,a=l.reversedOp,s=(l=n.operators[a]).elasticSearchQueryType);var c=uh(n,e,a,o),d=n.widgets[c];if(d){var p,f,h=d.elasticSearchFormatValue;if(p="function"==typeof s?s(c):s)return f="function"==typeof h?h(p,t,a,e,n):function(e,t,r,n,o,i){var a=function(e,t){return e}(n);switch(e){case"filter":return{script:o.operators[r].elasticSearchScript(n,t)};case"exists":return{field:n};case"match":return qn({},a,t[0]);case"term":return qn({},n,i===Bv?{value:t[0]}:t[0]);case"geo_bounding_box":return qn({},n,function(e){if(null==e)return null;var t=e.split(",").map(Number);return{top_left:{lat:t[0],lon:t[1]},bottom_right:{lat:t[2],lon:t[3]}}}(t[0]));case"range":return qn({},n,function(e,t){if(e.length>1)return{gte:"".concat(e[0]),lte:"".concat(e[1])};var r=e[0];switch(t){case"on_date":case"not_on_date":case"equal":case"select_equals":case"not_equal":return{gte:"".concat(r,"||/d"),lte:"".concat(r,"||+1d")};case"less_or_equal":return{lte:"".concat(r)};case"greater_or_equal":return{gte:"".concat(r)};case"less":return{lt:"".concat(r)};case"greater":return{gt:"".concat(r)};default:return}}(t,r));case"wildcard":return qn({},n,function(e){return{value:"*"+e+"*"}}(t[0]));case"regexp":return qn({},n,function(e){return{value:e}}(t[0]));default:return}}(p,t,a,e,n,i),u?{bool:{must_not:qn({},p,Vv({},f))}}:qn({},p,Vv({},f))}}}}var Bv="ES_7_SYNTAX",zv="ES_6_SYNTAX";function Wv(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:zv,n=vg(t,void 0,!1);if(e){var o=e.get("type"),i=e.get("properties")||new Map;if("rule"===o&&i.get("field")){var a,l,s,u=i.get("operator"),c=i.get("field"),d=i.get("fieldSrc"),p=null===(a=i.get("value"))||void 0===a?void 0:a.toJS(),f=(null===(l=i.get("valueType"))||void 0===l||l.get(0),null===(s=i.get("valueSrc"))||void 0===s?void 0:s.get(0));if("func"===f||"func"==d)return;return p&&Array.isArray(p[0])?p[0].map((function(e){return Uv(c,[e],u,n,f,r)})):Uv(c,p,u,n,f,r)}if("group"===o||"rule_group"===o){var h=i.get("not"),g=i.get("conjunction");return g||(g=wd(n)),function(e,t,r,n,o,i){if(e&&e.size){var a=e.valueSeq().toArray(),l=function(e,t){switch(e){case"AND":return t?"must_not":"must";case"OR":return t?"should_not":"should";case"NOT":return t?"must":"must_not";default:return}}(t,r),s=a.map((function(e){return n(e,o,i)})).filter((function(e){return void 0!==e}));if(s.length)return{bool:qn({},l,s.flat(1/0))}}}(e.get("children1"),g,h,Wv,n,r)}}}function Hv(e,t){if(null==e)return{};var r={};for(var n in e)if({}.hasOwnProperty.call(e,n)){if(t.includes(n))continue;r[n]=e[n]}return r}function qv(e,t){if(null==e)return{};var r,n,o=Hv(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.includes(r)||{}.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}function Gv(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}var $v=["title","value","disabled","groupTitle","grouplabel","renderTitle","children","label","isCustom","isHidden"];function Kv(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function Yv(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Xv(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Yv(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Yv(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Qv=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:0,r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:1e3;return function(){var n=function(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){Gv(i,n,o,a,l,"next",e)}function l(e){Gv(i,n,o,a,l,"throw",e)}a(void 0)}))}}(Ks().mark((function n(o,i,a){var l,s,u,c,d,p;return Ks().wrap((function(n){for(;;)switch(n.prev=n.next){case 0:if(l=null!=(null==a?void 0:a.pageSize)?a.pageSize:t,s=lu(e).filter((function(e){var t=e.title,r=e.value;return null==o||-1!=t.toUpperCase().indexOf(o.toUpperCase())||-1!="".concat(r).toUpperCase().indexOf(o.toUpperCase())})),l&&Math.ceil(s.length/l),u=i||0,l&&Math.ceil(u/l),c=l?s.slice(u,u+l):s,d=l?u+c.length:null,p=!!l&&d<s.length,!r){n.next=11;break}return n.next=11,Us(r);case 11:return n.abrupt("return",{values:c,hasMore:p});case 12:case"end":return n.stop()}}),n)})));return function(e,t,r){return n.apply(this,arguments)}}()},Jv=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2],n=arguments.length>3&&void 0!==arguments[3]&&arguments[3];if(!t)return e;var o=e||[],i=t.filter((function(e){return null==o.find((function(t){return""+t.value==""+e.value}))})).map((function(e){return n?Xv(Xv({},e),{},{isHidden:!0}):e}));return r?[].concat(Jn(i),Jn(o)):[].concat(Jn(o),Jn(i))},Zv=function(e,t,r){var n,o=null==e||""==e?void 0:null!==(n=null==e?void 0:e.value)&&void 0!==n?n:e,i=fu(o,t),a=r&&!i?au(o):void 0,l=i||a;return[o,l?[l]:void 0]},em=function(e,t,r){var n=e.map((function(e,n){var o,i=null==e||""==e?void 0:null!==(o=null==e?void 0:e.value)&&void 0!==o?o:e,a=fu(i,t),l=r&&!a?au(i):void 0;return a||l})).filter((function(e){return null!=e})),o=n.map((function(e){var t;return null!==(t=null==e?void 0:e.value)&&void 0!==t?t:e}));return o.length||(o=void 0),[o,n]},tm=function(e){if(null==e)return null;var t=e.title,r=e.value,n=e.disabled,o=e.groupTitle,i=e.grouplabel,a=e.renderTitle,l=e.children,s=e.label,u=e.isCustom,c=e.isHidden,d=qv(e,$v),p={value:r,title:t||s||l};return n&&(p.disabled=n),u&&(p.isCustom=u),c&&(p.isHidden=c),(o||i)&&(p.groupTitle=o||i),a&&(p.renderTitle=a),Xv(Xv({},p),d)},rm=function(e){var t,r=[],n=[],o=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return Kv(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?Kv(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(e);try{var i=function(){var e=t.value,o=function(e,t){if(e.findLastIndex)return e.findLastIndex(t);var r=Jn(e).reverse().findIndex(t);return-1==r?-1:e.length-1-r}(r,(function(t){var r,n;return(null!==(r=t.groupTitle)&&void 0!==r?r:"")==(null!==(n=e.groupTitle)&&void 0!==n?n:"")}));null==e.groupTitle||n.includes(e.groupTitle)||(n.push(e.groupTitle),1===n.length&&(r=r.map((function(e){return Xv(Xv({},e),{},{groupTitle:""})})))),null==e.groupTitle&&n.length&&(e=Xv(Xv({},e),{},{groupTitle:""})),-1!=o?r.splice(o+1,0,e):r.push(e)};for(o.s();!(t=o.n()).done;)i()}catch(e){o.e(e)}finally{o.f()}return r},nm={label:"Now",returnType:"datetime",jsonLogic:"now",jsonLogicCustomOps:{now:{}},spelFunc:"T(java.time.LocalDateTime).now()",sqlFormatFunc:function(){return"NOW()"},mongoFormatFunc:function(){return new Date},formatFunc:function(){return"NOW"}},om={label:"Relative",returnType:"datetime",renderBrackets:["",""],renderSeps:["","",""],spelFormatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim,i=r+(o.charAt(0).toUpperCase()+o.slice(1)+"s");return"".concat(t,".").concat(i,"(").concat(n,")")},spelImport:function(e){var t,r,n,o,i=null===(t=e.methodName)||void 0===t?void 0:t.match(/^(minus|plus)(\w+)s$/);if(i&&(o=i[2].toLowerCase(),r=i[1],["minus","plus"].includes(r)&&["day","week","month","year"].includes(o)))return r={type:"string",val:r},o={type:"string",val:o},n=e.args[0],{date:e.obj,op:r,val:n,dim:o}},jsonLogic:function(e){var t=e.date,r=e.op;return{date_add:[t,e.val*("minus"==r?-1:1),e.dim]}},jsonLogicImport:function(e){var t=e.date_add[0],r=Math.abs(e.date_add[1]);return[t,e.date_add[1]>=0?"plus":"minus",r,e.date_add[2]]},jsonLogicCustomOps:{date_add:{}},sqlFormatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim;return"DATE_ADD(".concat(t,", INTERVAL ").concat(parseInt(n)*("minus"==r?-1:1)," ").concat(o.replace(/^'|'$/g,""),")")},mongoFormatFunc:null,formatFunc:function(e){var t=e.date,r=e.op,n=e.val,o=e.dim;return n?"".concat(t," ").concat("minus"==r?"-":"+"," ").concat(n," ").concat(o):t},args:{date:{label:"Date",type:"datetime",defaultValue:{func:"NOW",args:[]},valueSources:["func","field","value"],spelEscapeForFormat:!0},op:{label:"Op",type:"select",defaultValue:"plus",valueSources:["value"],mainWidgetProps:{customProps:{showSearch:!1}},fieldSettings:{listValues:{plus:"+",minus:"-"}},spelEscapeForFormat:!1},val:{label:"Value",type:"number",fieldSettings:{min:0},defaultValue:0,valueSources:["value"],spelEscapeForFormat:!1},dim:{label:"Dimension",type:"select",defaultValue:"day",valueSources:["value"],mainWidgetProps:{customProps:{showSearch:!1}},fieldSettings:{listValues:{day:"day",week:"week",month:"month",year:"year"}},spelEscapeForFormat:!1}}},im={label:"Lowercase",mongoFunc:"$toLower",jsonLogic:"toLowerCase",spelFunc:"${str}.toLowerCase()",jsonLogicCustomOps:{toLowerCase:{}},returnType:"text",args:{str:{label:"String",type:"text",valueSources:["value","field","func"]}}},am={label:"Uppercase",mongoFunc:"$toUpper",jsonLogic:"toUpperCase",spelFunc:"${str}.toUpperCase()",jsonLogicCustomOps:{toUpperCase:{}},returnType:"text",args:{str:{label:"String",type:"text",valueSources:["value","field","func"]}}},lm={label:"Linear regression",returnType:"number",formatFunc:function(e,t){var r=e.coef,n=e.bias,o=e.val;return"(".concat(r," * ").concat(o," + ").concat(n,")")},sqlFormatFunc:function(e){var t=e.coef,r=e.bias,n=e.val;return"(".concat(t," * ").concat(n," + ").concat(r,")")},spelFormatFunc:function(e){var t=e.coef,r=e.bias,n=e.val;return"(".concat(t," * ").concat(n," + ").concat(r,")")},spelImport:function(e){var t,r;if("op-plus"===e.type){var n=Xn(e.children,2);if(r=n[0],t=n[1],"op-multiply"===r.type){var o=Xn(r.children,2);return{coef:o[0],val:o[1],bias:t}}}},mongoFormatFunc:function(e){var t=e.coef,r=e.bias;return{$sum:[{$multiply:[t,e.val]},r]}},jsonLogic:function(e){var t=e.coef,r=e.bias;return{"+":[{"*":[t,e.val]},r]}},jsonLogicImport:function(e){return[e["+"][0]["*"][0],e["+"][0]["*"][1],e["+"][1]]},renderBrackets:["",""],renderSeps:[" * "," + "],args:{coef:{label:"Coef",type:"number",defaultValue:1,valueSources:["value"]},val:{label:"Value",type:"number",valueSources:["value","field"]},bias:{label:"Bias",type:"number",defaultValue:0,valueSources:["value"]}}},sm={utils:{SqlString:dc,moment:Nu(),mongoFormatOp1:function(e,t,r,n,o,i,a,l,s,u,c,d){var p="string"!=typeof n||n.startsWith("$")?n:"$"+n,f=t(i,d);if(void 0!==f)return r?a||e&&"$eq"!=e?a?{$not:qn({},e,[p,f])}:qn({},n,{$not:qn({},e,f)}):qn({},n,{$ne:f}):a||e&&"$eq"!=e?a?qn({},e,[p,f]):qn({},n,qn({},e,f)):qn({},n,f)},mongoFormatOp2:function(e,t,r,n,o,i,a,l,s,u,c){var d="string"!=typeof r||r.startsWith("$")?r:"$"+r;return t?i?{$not:{$and:[qn({},e[0],[d,o[0]]),qn({},e[1],[d,o[1]])]}}:qn({},r,{$not:qn(qn({},e[0],o[0]),e[1],o[1])}):i?{$and:[qn({},e[0],[d,o[0]]),qn({},e[1],[d,o[1]])]}:qn({},r,qn(qn({},e[0],o[0]),e[1],o[1]))},mongoEmptyValue:fc,escapeRegExp:Ls,sqlEmptyValue:pc,stringifyForDisplay:yc,getTitleInListValues:uu,spelEscape:gc,spelFixList:hc,wrapWithBrackets:bc}};const um=sm;function cm(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function dm(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function pm(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?dm(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):dm(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var fm={equal:{label:"==",labelForFormat:"==",sqlOp:"=",spelOp:"==",spelOps:["==","eq"],reversedOp:"not_equal",formatOp:function(e,t,r,n,o,i,a,l,s){var u=l?"=":i.label;return"boolean"==o&&l?"No"==r?"NOT ".concat(e):"".concat(e):"".concat(e," ").concat(u," ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},jsonLogic:"==",elasticSearchQueryType:"term"},not_equal:{isNotOp:!0,label:"!=",labelForFormat:"!=",sqlOp:"<>",spelOp:"!=",spelOps:["!=","ne"],reversedOp:"equal",formatOp:function(e,t,r,n,o,i,a,l,s){return"boolean"==o&&l?"No"==r?"".concat(e):"NOT ".concat(e):"".concat(e," ").concat(i.label," ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},jsonLogic:"!="},less:{label:"<",labelForFormat:"<",sqlOp:"<",spelOp:"<",spelOps:["<","lt"],reversedOp:"greater_or_equal",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$lt",function(e){return e},!1].concat(r))},jsonLogic:"<",elasticSearchQueryType:"range"},less_or_equal:{label:"<=",labelForFormat:"<=",sqlOp:"<=",spelOp:"<=",spelOps:["<=","le"],reversedOp:"greater",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$lte",function(e){return e},!1].concat(r))},jsonLogic:"<=",elasticSearchQueryType:"range"},greater:{label:">",labelForFormat:">",sqlOp:">",spelOp:">",spelOps:[">","gt"],reversedOp:"less_or_equal",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gt",function(e){return e},!1].concat(r))},jsonLogic:">",elasticSearchQueryType:"range"},greater_or_equal:{label:">=",labelForFormat:">=",sqlOp:">=",spelOp:">=",spelOps:[">=","ge"],reversedOp:"less",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gte",function(e){return e},!1].concat(r))},jsonLogic:">=",elasticSearchQueryType:"range"},like:{label:"Contains",labelForFormat:"Contains",reversedOp:"not_like",sqlOp:"LIKE",spelOp:"${0}.contains(${1})",valueTypes:["text"],mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e):void 0},!1].concat(n))},jsonLogic:function(e,t,r){return{in:[r,e]}},jsonLogic2:"#in",valueSources:["value"],elasticSearchQueryType:"regexp"},not_like:{isNotOp:!0,label:"Not contains",reversedOp:"like",labelForFormat:"Not Contains",sqlOp:"NOT LIKE",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e):void 0},!0].concat(n))},jsonLogic:function(e,t,r){return{"!":{in:[r,e]}}},jsonLogic2:"#!in",_jsonLogicIsExclamationOp:!0,valueSources:["value"]},starts_with:{label:"Starts with",labelForFormat:"Starts with",sqlOp:"LIKE",spelOp:"${0}.startsWith(${1})",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?"^"+t.utils.escapeRegExp(e):void 0},!1].concat(n))},jsonLogic:void 0,valueSources:["value"]},ends_with:{label:"Ends with",labelForFormat:"Ends with",sqlOp:"LIKE",spelOp:"${0}.endsWith(${1})",mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$regex",function(e){return"string"==typeof e?t.utils.escapeRegExp(e)+"$":void 0},!1].concat(n))},jsonLogic:void 0,valueSources:["value"]},between:{label:"Between",labelForFormat:"BETWEEN",sqlOp:"BETWEEN",cardinality:2,formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1);return l?"".concat(e," BETWEEN ").concat(s," AND ").concat(u):"".concat(e," >= ").concat(s," && ").concat(e," <= ").concat(u)},spelFormatOp:function(e,t,r,n,o,i,a,l){var s=r[0],u=r[1];return"".concat(e," >= ").concat(s," && ").concat(e," <= ").concat(u)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp2.apply(e,[["$gte","$lte"],!1].concat(r))},valueLabels:["Value from","Value to"],textSeparators:[null,"and"],reversedOp:"not_between",jsonLogic:"<=",validateValues:function(e){return null!=e[0]&&null!=e[1]?e[0]<=e[1]:null},elasticSearchQueryType:function(e){return"time"===e?"filter":"range"}},not_between:{isNotOp:!0,label:"Not between",labelForFormat:"NOT BETWEEN",sqlOp:"NOT BETWEEN",cardinality:2,formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1);return l?"".concat(e," NOT BETWEEN ").concat(s," AND ").concat(u):"(".concat(e," < ").concat(s," || ").concat(e," > ").concat(u,")")},spelFormatOp:function(e,t,r,n,o,i,a,l){var s=r[0],u=r[1];return"(".concat(e," < ").concat(s," || ").concat(e," > ").concat(u,")")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp2.apply(e,[["$gte","$lte"],!0].concat(r))},valueLabels:["Value from","Value to"],textSeparators:[null,"and"],reversedOp:"between",jsonLogic:function(e,t,r){return{"!":{"<=":[Array.isArray(r)?r[0]:r,e,Array.isArray(r)?r[1]:r]}}},jsonLogic2:"!<=",_jsonLogicIsExclamationOp:!0,validateValues:function(e){return null!=e[0]&&null!=e[1]?e[0]<=e[1]:null}},is_empty:{label:"Is empty",labelForFormat:"IS EMPTY",cardinality:0,reversedOp:"is_not_empty",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS EMPTY"):"!".concat(e)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this.utils.sqlEmptyValue(l);return"COALESCE(".concat(e,", ").concat(s,") = ").concat(s)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," <= ''")},mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e,r){return[t.utils.mongoEmptyValue(r),null]},!1].concat(n))},jsonLogic:"!"},is_not_empty:{isNotOp:!0,label:"Is not empty",labelForFormat:"IS NOT EMPTY",cardinality:0,reversedOp:"is_empty",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NOT EMPTY"):"!!".concat(e)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this.utils.sqlEmptyValue(l);return"COALESCE(".concat(e,", ").concat(s,") <> ").concat(s)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," > ''")},mongoFormatOp:function(){for(var e,t=this,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=this.utils).mongoFormatOp1.apply(e,["$nin",function(e,r){return[t.utils.mongoEmptyValue(r),null]},!1].concat(n))},jsonLogic:"!!",elasticSearchQueryType:"exists"},is_null:{label:"Is null",labelForFormat:"IS NULL",sqlOp:"IS NULL",cardinality:0,reversedOp:"is_not_null",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NULL"):"!".concat(e)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," == null")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return null},!1].concat(r))},jsonLogic:"=="},is_not_null:{label:"Is not null",labelForFormat:"IS NOT NULL",sqlOp:"IS NOT NULL",cardinality:0,reversedOp:"is_null",formatOp:function(e,t,r,n,o,i,a,l){return l?"".concat(e," IS NOT NULL"):"!!".concat(e)},spelFormatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," != null")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return null},!1].concat(r))},jsonLogic:"!=",elasticSearchQueryType:"exists"},select_equals:{label:"==",labelForFormat:"==",sqlOp:"=",formatOp:function(e,t,r,n,o,i,a,l){var s=l?"=":"==";return"".concat(e," ").concat(s," ").concat(r)},spelOp:"==",spelOps:["==","eq"],mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},reversedOp:"select_not_equals",jsonLogic:"==",elasticSearchQueryType:"term"},select_not_equals:{isNotOp:!0,label:"!=",labelForFormat:"!=",sqlOp:"<>",formatOp:function(e,t,r,n,o,i,a,l){return"".concat(e," != ").concat(r)},spelOp:"!=",spelOps:["!=","ne"],mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},reversedOp:"select_equals",jsonLogic:"!="},select_any_in:{label:"Any in",labelForFormat:"IN",sqlOp:"IN",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," IN (").concat(r.join(", "),")"):"".concat(e," IN (").concat(r,")")},sqlFormatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," IN (").concat(r.join(", "),")"):void 0},valueTypes:["multiselect"],spelOp:"${1}.contains(${0})",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e){return e},!1].concat(r))},reversedOp:"select_not_any_in",jsonLogic:"in",elasticSearchQueryType:"term"},select_not_any_in:{isNotOp:!0,label:"Not in",labelForFormat:"NOT IN",sqlOp:"NOT IN",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT IN (").concat(r.join(", "),")"):"".concat(e," NOT IN (").concat(r,")")},sqlFormatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT IN (").concat(r.join(", "),")"):void 0},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$nin",function(e){return e},!1].concat(r))},reversedOp:"select_any_in",jsonLogic:function(e,t,r){return{"!":{in:[e,r]}}},jsonLogic2:"!in",_jsonLogicIsExclamationOp:!0},multiselect_contains:{label:"Contains",labelForFormat:"CONTAINS",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," CONTAINS [").concat(r.join(", "),"]"):"".concat(e," CONTAINS ").concat(r)},reversedOp:"multiselect_not_contains",jsonLogic2:"some-in",jsonLogic:function(e,t,r){return{some:[e,{in:[{var:""},r]}]}},spelOp:"T(CollectionUtils).containsAny(${0}, ${1})",elasticSearchQueryType:"term",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$in",function(e){return e},!1].concat(r))}},multiselect_not_contains:{isNotOp:!0,label:"Not contains",labelForFormat:"NOT CONTAINS",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," NOT CONTAINS [").concat(r.join(", "),"]"):"".concat(e," NOT CONTAINS ").concat(r)},reversedOp:"multiselect_contains",jsonLogic2:"!some-in",jsonLogic:function(e,t,r){return{"!":{some:[e,{in:[{var:""},r]}]}}},_jsonLogicIsExclamationOp:!0},multiselect_equals:{label:"Equals",labelForFormat:"==",sqlOp:"=",formatOp:function(e,t,r,n,o,i,a,l){var s=l?"=":"==";return"value"==n?"".concat(e," ").concat(s," [").concat(r.join(", "),"]"):"".concat(e," ").concat(s," ").concat(r)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this;return"value"==n?"".concat(e," = '").concat(r.map((function(e){return s.utils.SqlString.trim(e)})).join(","),"'"):void 0},spelOp:"${0}.equals(${1})",mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))},reversedOp:"multiselect_not_equals",jsonLogic2:"all-in",jsonLogic:function(e,t,r){return{all:[e,{in:[{var:""},r]}]}},elasticSearchQueryType:"term"},multiselect_not_equals:{isNotOp:!0,label:"Not equals",labelForFormat:"!=",sqlOp:"<>",formatOp:function(e,t,r,n,o,i,a,l){return"value"==n?"".concat(e," != [").concat(r.join(", "),"]"):"".concat(e," != ").concat(r)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=this;return"value"==n?"".concat(e," != '").concat(r.map((function(e){return s.utils.SqlString.trim(e)})).join(","),"'"):void 0},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$ne",function(e){return e},!1].concat(r))},reversedOp:"multiselect_equals",jsonLogic2:"!all-in",jsonLogic:function(e,t,r){return{"!":{all:[e,{in:[{var:""},r]}]}}},_jsonLogicIsExclamationOp:!0},proximity:{label:"Proximity search",cardinality:2,valueLabels:[{label:"Word 1",placeholder:"Enter first word"},{label:"Word 2",placeholder:"Enter second word"}],textSeparators:[],formatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1),c=null==a?void 0:a.get("proximity");return"".concat(e," ").concat(s," NEAR/").concat(c," ").concat(u)},sqlFormatOp:function(e,t,r,n,o,i,a,l){var s=r.first(),u=r.get(1),c=this.utils.SqlString.trim(s),d=this.utils.SqlString.trim(u),p=null==a?void 0:a.get("proximity");return"CONTAINS(".concat(e,", 'NEAR((").concat(c,", ").concat(d,"), ").concat(p,")')")},mongoFormatOp:void 0,jsonLogic:void 0,options:{optionLabel:"Near",optionTextBefore:"Near",optionPlaceholder:"Select words between",minProximity:2,maxProximity:10,defaults:{proximity:2}}},some:{label:"Some",labelForFormat:"SOME",cardinality:0,jsonLogic:"some",spelFormatOp:function(e){return"".concat(e," > 0")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$gt",function(e){return 0},!1].concat(r))}},all:{label:"All",labelForFormat:"ALL",cardinality:0,jsonLogic:"all",spelFormatOp:function(e,t,r){return"".concat(e," == ").concat(r)},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return e},!1].concat(r))}},none:{label:"None",labelForFormat:"NONE",cardinality:0,jsonLogic:"none",spelFormatOp:function(e){return"".concat(e," == 0")},mongoFormatOp:function(){for(var e,t=arguments.length,r=new Array(t),n=0;n<t;n++)r[n]=arguments[n];return(e=this.utils).mongoFormatOp1.apply(e,["$eq",function(e){return 0},!1].concat(r))}}},hm={text:{type:"text",jsType:"string",valueSrc:"value",valueLabel:"String",valuePlaceholder:"Enter string",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},spelFormatValue:function(e,t,r,n,o){return this.utils.spelEscape(e)},sqlFormatValue:function(e,t,r,n,o){return"LIKE"==o.sqlOp||"NOT LIKE"==o.sqlOp?this.utils.SqlString.escapeLike(e,"starts_with"!=n,"ends_with"!=n):this.utils.SqlString.escape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},textarea:{type:"text",jsType:"string",valueSrc:"value",valueLabel:"Text",valuePlaceholder:"Enter text",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return"LIKE"==o.sqlOp||"NOT LIKE"==o.sqlOp?this.utils.SqlString.escapeLike(e,"starts_with"!=n,"ends_with"!=n):this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e},fullWidth:!0},number:{type:"number",jsType:"number",valueSrc:"value",valueLabel:"Number",valuePlaceholder:"Enter number",valueLabels:[{label:"Number from",placeholder:"Enter number from"},{label:"Number to",placeholder:"Enter number to"}],formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e,t,r){var n=r.step&&!Number.isInteger(r.step);return this.utils.spelEscape(e,n)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},slider:{type:"number",jsType:"number",valueSrc:"value",valueLabel:"Number",valuePlaceholder:"Enter number or move slider",formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},select:{type:"select",jsType:"string",valueSrc:"value",valueLabel:"Value",valuePlaceholder:"Select value",formatValue:function(e,t,r,n){var o=this.utils.getTitleInListValues(t.fieldSettings.listValues||t.asyncListValues,e);return n?this.utils.stringifyForDisplay(o):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},multiselect:{type:"multiselect",jsType:"array",valueSrc:"value",valueLabel:"Values",valuePlaceholder:"Select values",formatValue:function(e,t,r,n){var o=this,i=e.map((function(e){return o.utils.getTitleInListValues(t.fieldSettings.listValues||t.asyncListValues,e)}));return n?i.map(this.utils.stringifyForDisplay):e.map(JSON.stringify)},sqlFormatValue:function(e,t,r,n,o){var i=this;return e.map((function(e){return i.utils.SqlString.escape(e)}))},spelFormatValue:function(e,t,r,n,o){var i=o&&o.spelOp&&o.spelOp.startsWith("${1}"),a=this.utils.spelEscape(e);return i&&(a=this.utils.spelFixList(a)),a},toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},date:{type:"date",jsType:"string",valueSrc:"value",dateFormat:"DD.MM.YYYY",valueFormat:"YYYY-MM-DD",valueLabel:"Date",valuePlaceholder:"Enter date",valueLabels:[{label:"Date from",placeholder:"Enter date from"},{label:"Date to",placeholder:"Enter date to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.dateFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.format("YYYY-MM-DD"))},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("YYYY-MM-DD");return"T(java.time.LocalDate).parse('".concat(i,"', T(java.time.format.DateTimeFormatter).ofPattern('").concat("yyyy-MM-dd","'))")},spelImportFuncs:[{obj:{cls:["java","time","LocalDate"]},methodName:"parse",args:[{var:"v"},{obj:{cls:["java","time","format","DateTimeFormatter"]},methodName:"ofPattern",args:[{var:"fmt"}]}]}],spelImportValue:function(e,t,r){var n,o,i,a;if(!t)return[void 0,"No widget def to get value format"];if(null!=r&&null!==(n=r.fmt)&&void 0!==n&&null!==(n=n.value)&&void 0!==n&&null!==(o=n.includes)&&void 0!==o&&o.call(n," ")||null!==(i=r.fmt)&&void 0!==i&&null!==(i=i.value)&&void 0!==i&&null!==(a=i.toLowerCase)&&void 0!==a&&a.call(i).includes("hh:mm"))return[void 0,"Invalid date format ".concat(JSON.stringify(r.fmt))];var l=this.utils.moment(e.value,this.utils.moment.ISO_8601);return l.isValid()?[l.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){return this.utils.moment(e,r.valueFormat).toDate()},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?r.toDate():void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return n.isValid()?n.toDate():void 0}},time:{type:"time",jsType:"string",valueSrc:"value",timeFormat:"HH:mm",valueFormat:"HH:mm:ss",use12Hours:!1,valueLabel:"Time",valuePlaceholder:"Enter time",valueLabels:[{label:"Time from",placeholder:"Enter time from"},{label:"Time to",placeholder:"Enter time to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.timeFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.format("HH:mm:ss"))},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("HH:mm:ss");return"T(java.time.LocalTime).parse('".concat(i,"')")},spelImportFuncs:["T(java.time.LocalTime).parse(${v})"],spelImportValue:function(e,t,r){var n,o,i;if(!t)return[void 0,"No widget def to get value format"];if(null!=r&&r.fmt&&(null===(n=r.fmt)||void 0===n||null===(n=n.value)||void 0===n||null===(o=n.toLowerCase)||void 0===o||!o.call(n).includes("hh:mm")||null!==(i=r.fmt)&&void 0!==i&&null!==(i=i.value)&&void 0!==i&&i.includes(" ")))return[void 0,"Invalid time format ".concat(JSON.stringify(r.fmt))];var a=this.utils.moment(e.value,"HH:mm:ss");return a.isValid()?[a.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return 60*n.get("hour")*60+60*n.get("minute")+n.get("second")},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?60*r.get("hour")*60+60*r.get("minute")+r.get("second"):void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return 60*n.get("hour")*60+60*n.get("minute")+n.get("second")},elasticSearchFormatValue:function(e,t,r,n){return{script:{script:{source:"doc[".concat(n,"][0].getHour() >== params.min && doc[").concat(n,"][0].getHour() <== params.max"),params:{min:t[0],max:t[1]}}}}}},datetime:{type:"datetime",jsType:"string",valueSrc:"value",timeFormat:"HH:mm",dateFormat:"DD.MM.YYYY",valueFormat:"YYYY-MM-DD HH:mm:ss",use12Hours:!1,valueLabel:"Datetime",valuePlaceholder:"Enter datetime",valueLabels:[{label:"Datetime from",placeholder:"Enter datetime from"},{label:"Datetime to",placeholder:"Enter datetime to"}],formatValue:function(e,t,r,n){var o=this.utils.moment(e,r.valueFormat);return n?o.format(r.dateFormat+" "+r.timeFormat):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat);return this.utils.SqlString.escape(i.toDate())},spelFormatValue:function(e,t,r,n,o){var i=this.utils.moment(e,r.valueFormat).format("YYYY-MM-DD HH:mm:ss");return"T(java.time.LocalDateTime).parse('".concat(i,"', T(java.time.format.DateTimeFormatter).ofPattern('").concat("yyyy-MM-dd HH:mm:ss","'))")},spelImportFuncs:[{obj:{cls:["java","time","LocalDateTime"]},methodName:"parse",args:[{var:"v"},{obj:{cls:["java","time","format","DateTimeFormatter"]},methodName:"ofPattern",args:[{var:"fmt"}]}]}],spelImportValue:function(e,t,r){var n,o;if(!t)return[void 0,"No widget def to get value format"];if(null==r||null===(n=r.fmt)||void 0===n||null===(n=n.value)||void 0===n||null===(o=n.includes)||void 0===o||!o.call(n," "))return[void 0,"Invalid datetime format ".concat(JSON.stringify(r.fmt))];var i=this.utils.moment(e.value,this.utils.moment.ISO_8601);return i.isValid()?[i.format(null==t?void 0:t.valueFormat),[]]:[void 0,"Invalid date"]},jsonLogic:function(e,t,r){return this.utils.moment(e,r.valueFormat).toDate()},toJS:function(e,t){var r=this.utils.moment(e,t.valueFormat);return r.isValid()?r.toDate():void 0},mongoFormatValue:function(e,t,r){var n=this.utils.moment(e,r.valueFormat);return n.isValid()?n.toDate():void 0}},boolean:{type:"boolean",jsType:"boolean",valueSrc:"value",labelYes:"Yes",labelNo:"No",formatValue:function(e,t,r,n){return n?e?"Yes":"No":JSON.stringify(!!e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e,t,r,n,o){return this.utils.spelEscape(e)},defaultValue:!1,toJS:function(e,t){return e},mongoFormatValue:function(e,t,r){return e}},field:{valueSrc:"field",formatValue:function(e,t,r,n,o,i,a){return n&&a.label||e},sqlFormatValue:function(e,t,r,n,o,i){return e},spelFormatValue:function(e,t,r,n,o){return e},valueLabel:"Field to compare",valuePlaceholder:"Select field to compare"},func:{valueSrc:"func",valueLabel:"Function",valuePlaceholder:"Select function"},case_value:{valueSrc:"value",type:"case_value",spelFormatValue:function(e){return this.utils.spelEscape(""===e?null:e)},spelImportValue:function(e){return[e.value,[]]},jsonLogic:function(e){return""===e?null:e}}},gm=pm(pm({},rg),{},{convertableWidgets:{number:["slider","rangeslider"],slider:["number","rangeslider"],rangeslider:["number","slider"],text:["textarea"],textarea:["text"]},formatSpelField:function(e,t,r,n,o,i){var a=this,l=n.map((function(e,t){var r=e.key,n=e.parent,o=e.fieldSeparator;return 0==t?"[map]"==n?"#this[".concat(a.utils.spelEscape(r),"]"):r:"map"==n||"[map]"==n?"[".concat(a.utils.spelEscape(r),"]"):"".concat(o).concat(r)})).join("");return o.fieldName&&(l=e),o.isSpelVariable&&(l="#"+l),l},sqlFormatReverse:function(e){if(null!=e)return"NOT"+this.utils.wrapWithBrackets(e)},spelFormatReverse:function(e){if(null!=e)return"!"+this.utils.wrapWithBrackets(e)},formatReverse:function(e,t,r,n,o,i){if(null!=e)return i?"NOT "+this.utils.wrapWithBrackets(e):"!"+this.utils.wrapWithBrackets(e)},formatAggr:function(e,t,r,n,o,i,a,l,s,u){var c=a.labelForFormat,d=a.cardinality;if(0==d){var p=e?" HAVE ".concat(e):"";return"".concat(c," OF ").concat(t).concat(p)}if(null==d||1==d){var f=e?" WHERE ".concat(e):"";return"COUNT OF ".concat(t).concat(f," ").concat(c," ").concat(n)}if(2==d){var h=e?" WHERE ".concat(e):"",g=n.first(),v=n.get(1);return"COUNT OF ".concat(t).concat(h," ").concat(c," ").concat(g," AND ").concat(v)}},jsonLogic:{groupVarKey:"var",altVarKey:"var",lockedOp:"locked"},canCompareFieldWithField:function(e,t,r,n){return!0},valueSourcesInfo:{value:{label:"Value"},field:{label:"Field",widget:"field"},func:{label:"Function",widget:"func"}}}),vm=function(e,t){var r,n=!(arguments.length>2&&void 0!==arguments[2])||arguments[2],o={rangeslider:bm,treeselect:Om,treemultiselect:Em,rangeable__date:ym("date","date")},i=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return cm(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?cm(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(t);try{for(i.s();!(r=i.n()).done;){var a=r.value,l=o[a];if(!l)throw new Error("Can't ".concat(n?"add":"remove"," mixin ").concat(a));e=l(e,n)}}catch(e){i.e(e)}finally{i.f()}return e},mm=function(e,t){return vm(e,t,!0)},ym=function(e,t){return function(r){var n=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],o=r.types;return o=pm(pm({},o),{},qn({},e,pm(pm({},o[e]),{},{widgets:pm({},o[e].widgets)}))),n?o[e].widgets[t]=pm({opProps:{between:{isSpecialRange:!0,textSeparators:[null,null]},not_between:{isSpecialRange:!0,textSeparators:[null,null]}}},o[e].widgets[t]):delete o[e].widgets[t],pm(pm({},r),{},{types:o})}},bm=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=pm({},r),t?r.rangeslider=pm({type:"number",jsType:"number",valueSrc:"value",valueLabel:"Range",valuePlaceholder:"Select range",valueLabels:[{label:"Number from",placeholder:"Enter number from"},{label:"Number to",placeholder:"Enter number to"}],formatValue:function(e,t,r,n){return n?this.utils.stringifyForDisplay(e):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},singleWidget:"slider",toJS:function(e,t){return e}},r.rangeslider):delete r.rangeslider,n=pm(pm({},n),{},{number:pm(pm({},n.number),{},{widgets:pm({},n.number.widgets)})}),t?n.number.widgets.rangeslider=pm({opProps:{between:{isSpecialRange:!0},not_between:{isSpecialRange:!0}},operators:["between","not_between","is_null","is_not_null"]},n.number.widgets.rangeslider):delete n.number.widgets.rangeslider,pm(pm({},e),{},{widgets:r,types:n})},Om=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=pm({},r),t?r.treeselect=pm({type:"treeselect",jsType:"string",valueSrc:"value",valueLabel:"Value",valuePlaceholder:"Select value",formatValue:function(e,t,r,n){var o=t.fieldSettings.treeValues||t.fieldSettings.listValues||t.asyncListValues,i=this.utils.getTitleInListValues(o,e);return n?this.utils.stringifyForDisplay(i):JSON.stringify(e)},sqlFormatValue:function(e,t,r,n,o){return this.utils.SqlString.escape(e)},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e}},r.treeselect):delete r.treeselect,n=pm({},n),t?n.treeselect=pm({mainWidget:"treeselect",defaultOperator:"select_equals",widgets:{treeselect:{operators:["select_equals","select_not_equals"]},treemultiselect:{operators:["select_any_in","select_not_any_in"]}}},n.treeselect):delete n.treeselect,pm(pm({},e),{},{widgets:r,types:n})},Em=function(e){var t=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],r=e.widgets,n=e.types;return r=pm({},r),t?r.treemultiselect=pm({type:"treemultiselect",jsType:"array",valueSrc:"value",valueLabel:"Values",valuePlaceholder:"Select values",formatValue:function(e,t,r,n){var o=this,i=t.fieldSettings.treeValues||t.fieldSettings.listValues||t.asyncListValues,a=e.map((function(e){return o.utils.getTitleInListValues(i,e)}));return n?a.map(this.utils.stringifyForDisplay):e.map(JSON.stringify)},sqlFormatValue:function(e,t,r,n,o){var i=this;return e.map((function(e){return i.utils.SqlString.escape(e)}))},spelFormatValue:function(e){return this.utils.spelEscape(e)},toJS:function(e,t){return e}},r.treemultiselect):delete r.treemultiselect,n=pm({},n),t?n.treemultiselect=pm({defaultOperator:"multiselect_equals",widgets:{treemultiselect:{operators:["multiselect_equals","multiselect_not_equals"]}}},n.treemultiselect):delete n.treemultiselect,pm(pm({},e),{},{widgets:r,types:n})},Sm={addMixins:mm,removeMixins:function(e,t){return vm(e,t,!1)}},wm={conjunctions:{AND:{label:"And",mongoConj:"$and",jsonLogicConj:"and",sqlConj:"AND",spelConj:"and",spelConjs:["and","&&"],reversedConj:"OR",formatConj:function(e,t,r,n){var o=e.size>1?e.join(" "+(n?"AND":"&&")+" "):e.first();return(e.size>1||r)&&(o=this.utils.wrapWithBrackets(o)),r&&(o="NOT "+o),o},sqlFormatConj:function(e,t,r){var n=e.size>1?e.join(" AND "):e.first();return(e.size>1||r)&&(n=this.utils.wrapWithBrackets(n)),r&&(n="NOT "+n),n},spelFormatConj:function(e,t,r,n){r&&(n=!1);var o=e.size>1?e.join(" && "):e.first();return(e.size>1||r)&&!n&&(o=this.utils.wrapWithBrackets(o)),r&&(o="!"+o),o}},OR:{label:"Or",mongoConj:"$or",jsonLogicConj:"or",sqlConj:"OR",spelConj:"or",spelConjs:["or","||"],reversedConj:"AND",formatConj:function(e,t,r,n){return e.size>1?(r?"NOT ":"")+"("+e.join(" "+(n?"OR":"||")+" ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},sqlFormatConj:function(e,t,r){return e.size>1?(r?"NOT ":"")+"("+e.join(" OR ")+")":(r?"NOT (":"")+e.first()+(r?")":"")},spelFormatConj:function(e,t,r,n){return r&&(n=!1),e.size>1?(r?"!":"")+(n?"":"(")+e.join(" || ")+(n?"":")"):(r?"!(":"")+e.first()+(r?")":"")}}},operators:fm,widgets:hm,types:{text:{defaultOperator:"equal",mainWidget:"text",widgets:{text:{operators:["equal","not_equal","like","not_like","starts_with","ends_with","proximity","is_empty","is_not_empty","is_null","is_not_null"],widgetProps:{},opProps:{}},textarea:{operators:["equal","not_equal","like","not_like","starts_with","ends_with","is_empty","is_not_empty","is_null","is_not_null"],widgetProps:{},opProps:{}},field:{operators:["equal","not_equal","proximity"]}}},number:{defaultOperator:"equal",mainWidget:"number",widgets:{number:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]},slider:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","is_null","is_not_null"]}}},date:{defaultOperator:"equal",widgets:{date:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},time:{defaultOperator:"equal",widgets:{time:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},datetime:{defaultOperator:"equal",widgets:{datetime:{operators:["equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between","is_null","is_not_null"]}}},select:{mainWidget:"select",defaultOperator:"select_equals",widgets:{select:{operators:["select_equals","select_not_equals","is_null","is_not_null"]},multiselect:{operators:["select_any_in","select_not_any_in","is_null","is_not_null"]}}},multiselect:{defaultOperator:"multiselect_equals",widgets:{multiselect:{operators:["multiselect_contains","multiselect_not_contains","multiselect_equals","multiselect_not_equals","is_null","is_not_null"]}}},boolean:{defaultOperator:"equal",widgets:{boolean:{operators:["equal","not_equal","is_null","is_not_null"],widgetProps:{}},field:{operators:["equal","not_equal"]}}},"!group":{defaultOperator:"some",mainWidget:"number",widgets:{number:{widgetProps:{min:0},operators:["some","all","none","equal","not_equal","less","less_or_equal","greater","greater_or_equal","between","not_between"],opProps:{equal:{label:"Count =="},not_equal:{label:"Count !="},less:{label:"Count <"},less_or_equal:{label:"Count <="},greater:{label:"Count >"},greater_or_equal:{label:"Count >="},between:{label:"Count between"},not_between:{label:"Count not between"}}}}},case_value:{mainWidget:"case_value",widgets:{case_value:{widgetProps:{}}}}},settings:gm,ctx:um};const Tm=wm=mm(wm,["rangeslider","treeselect","treemultiselect"]);var xm="ADD_GROUP",_m="ADD_CASE_GROUP",Cm="REMOVE_GROUP",Rm="SET_CONJUNCTION",Im="SET_NOT",Am="ADD_RULE",jm="REMOVE_RULE",km="SET_FIELD",Pm="SET_FIELD_SRC",Lm="SET_OPERATOR",Nm="SET_VALUE",Fm="SET_VALUE_SRC",Dm="SET_FUNC_VALUE",Mm="SET_OPERATOR_OPTION",Vm="SET_LOCK",Um="SET_TREE",Bm="MOVE_ITEM",zm="after",Wm="before",Hm="append",qm="prepend",Gm="SET_DRAG_PROGRESS",$m="SET_DRAG_START",Km="SET_DRAG_END",Ym=v(1612),Xm=v.n(Ym);function Qm(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Jm(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Qm(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Qm(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function Zm(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return ey(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?ey(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}function ey(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}var ty=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null,s=arguments.length>7&&void 0!==arguments[7]?arguments[7]:{};if(!e.getIn(hu(t)))return e;var u=(null==o||null===(a=o.get)||void 0===a?void 0:a.call(o,"id"))||n,c=i.settings.shouldCreateEmptyGroup,d=t.push(u),p=!c,f=!(null==s||!s.isDefaultCase),h=e;return(e=ry(e,t,r,u,Td(i).merge(gs(o)||{}),i,l))!==h&&(l||f||(e=e.setIn(hu(d,"children1"),new ys.OrderedMap),p&&(e=ry(e,d,"rule",Os(),Ed(i),i))),e=yu(e)),e},ry=function(e,t,r,n,o,i){var a,l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:null;if("switch_group"===r)throw new Error("Can't add switch_group programmatically");var s=e.getIn(hu(t));if(!s)return e;var u,c,d=(null==o||null===(a=o.get)||void 0===a?void 0:a.call(o,"id"))||n,p=i.settings,f=p.maxNumberOfCases,h=p.maxNumberOfRules,g=p.maxNesting,v="switch_group"===e.get("type"),m=v?e.getIn(hu(t.take(2))):null,y=hu(t,"children1"),b=e.getIn(y),O=!!b&&b.size,E=O?b.size:null;"case_group"===r?(u=E,c=f):"group"===r?(u=t.size,c=g):"rule_group"===(null==s?void 0:s.get("type"))||(u=Su(v?m:e),c=h);var S=!c||!u||u<c,w={type:r,id:d,properties:o};ly(i,w,l);var T="case_group"===r&&O&&null==b.last().get("children1");if(S){var x=new ys.OrderedMap(qn({},d,new ys.Map(w)));if(O)if(T){var _=b.last(),C=new ys.OrderedMap(qn(qn({},d,new ys.Map(w)),_.get("id"),_));e=(e=e.deleteIn(hu(y,"children1",_.get("id")))).mergeIn(y,C)}else e=e.mergeIn(y,x);else e=e.setIn(y,x);e=yu(e)}return e},ny=function(e,t){return e=e.deleteIn(hu(t)),yu(e)},oy=function(e,t,r,n,o){var i,a,l,s,u=arguments.length>5&&void 0!==arguments[5]?arguments[5]:{},c=e.getIn(hu(t));if(!c)return{state:e};var d=u.isEndValue,p=u.canDropArgs;if(!r)return{state:e=ny(e,t)};var f=n.settings,h=f.fieldSeparator,g=f.setOpOnChangeField,v=f.showErrorMessage;Array.isArray(r)&&(r=r.join(h));var m=c.get("type"),y=c.get("properties"),b="rule_group"==m,O=null==y?void 0:y.get("fieldSrc"),E=zg(n,r);if(!E)return console.warn("No config for LHS ".concat(r)),{state:e};var S=E.type;"!group"!==S&&"!struct"!==S||(S=null);var w=null==y?void 0:y.get("operator"),T=null==y?void 0:y.get("operatorOptions"),x=null==y?void 0:y.get("field"),_="!group"==E.type,C=_&&"array"==E.mode,R=b!=_,I=E&&-1!==(null===(i=E.operators)||void 0===i?void 0:i.indexOf(w))?w:null,A="func"===O&&(null==x||null===(a=x.get)||void 0===a?void 0:a.call(x,"func"))===(null===(l=r)||void 0===l||null===(s=l.get)||void 0===s?void 0:s.call(l,"func"))&&!!I,j=null,k="func"===O?Qf(n,S):Jf(n,r);if(k&&1==k.length)j=k[0];else if(A)j=I;else if(k&&k.length>1){var P,L=Zm(g);try{for(L.s();!(P=L.n()).done;){var N=P.value;if("keep"!=N||R?"default"==N?j=bd(n,r,!1):"first"==N&&(j=Zf(n,r)):j=I,j)break}}catch(e){L.e(e)}finally{L.f()}}if(!_&&!E.operators)return console.warn("Type ".concat(E.type," is not supported")),{state:e};b&&!_&&(e=(e=(e=e.setIn(hu(t,"type"),"rule")).deleteIn(hu(t,"children1"))).setIn(hu(t,"properties"),new ys.OrderedMap)),y||(e=e.setIn(hu(t,"properties"),new ys.OrderedMap));var F=!v;if(_){e=e.setIn(hu(t,"type"),"rule_group");var D=Uf(n,n,y,r,j,"field",F,d,p),M=(D.canReuseValue,D.newValue),V=D.newValueSrc,U=D.newValueType,B=D.operatorCardinality,z=Td(n,E).merge({field:r,fieldSrc:"field",mode:E.mode});C&&(z=z.merge({operator:j,value:M,valueSrc:V,valueType:U})),e=(e=e.setIn(hu(t,"children1"),new ys.OrderedMap)).setIn(hu(t,"properties"),z),E.initialEmptyWhere&&1==B||(e=ry(e,t,"rule",Os(),Ed(n,r),n)),e=yu(e)}else e=e.updateIn(hu(t,"properties"),(function(e){return e.withMutations((function(e){var t=Uf(n,n,e,r,j,"field",F,d,p),o=t.canReuseValue,i=t.newValue,a=t.newValueSrc,l=t.newValueType,s=t.newValueError,u=t.newFieldError,c=t.fixedField,f=r;c!==r&&(f=c),v&&(e=(e=e.set("fieldError",u)).set("valueError",s));var h=o?T:Od(n,j,f);return e=e.set("field",f).delete("fieldType").set("fieldSrc",O).set("operator",j).set("operatorOptions",h).set("value",i).set("valueSrc",a).set("valueType",l),o||(e=e.delete("asyncListValues")),e}))}));return{state:e}},iy=function(e,t,r,n,o,i,a){var l=arguments.length>7&&void 0!==arguments[7]?arguments[7]:{};if(!e.getIn(hu(t)))return{state:e};var s=l.canDropArgs,u=l.isEndValue,c=i.settings,d=c.fieldSeparator,p=c.showErrorMessage,f=e.getIn(hu(t,"properties","valueSrc",r+""))||null;"field"===f&&Array.isArray(n)&&(n=n.join(d));var h=e.getIn(hu(t,"properties","field"))||null,g=e.getIn(hu(t,"properties","operator"))||null,v=Wg(i,g,h),m=g?Cs(v):null,y=o||eh(n,f,i),b=Xn(Nf(i,h,h,g,n,y,f,a,!p,u,s),2),O=b[0],E=b[1],S=null==E?void 0:E.find((function(e){return!e.fixed&&!e.ignore})),w=S?bf(S):null,T=O!==n;T&&(n=O),e=ay(e,t,i,m);var x=Array.from({length:m},(function(o,i){return i==r?n:e.getIn(hu(t,"properties","value",i+""))||null})),_=Array.from({length:m},(function(r,n){return e.getIn(hu(t,"properties","valueSrc",n+""))||null})),C=Vf(i,h,g,x,_),R=C?bf(C):null;return(!!p||!w&&!R||T)&&(e=e.deleteIn(hu(t,"properties","asyncListValues")),void 0===n?e=(e=e.setIn(hu(t,"properties","value",r),void 0)).setIn(hu(t,"properties","valueType",r),null):(a&&(e=e.setIn(hu(t,"properties","asyncListValues"),a)),e=(e=e.setIn(hu(t,"properties","value",r),n)).setIn(hu(t,"properties","valueType",r),y))),p&&(e.getIn(hu(t,"properties","valueError"))||(e=e.setIn(hu(t,"properties","valueError"),new ys.List(new Array(m)))),e=e.setIn(hu(t,"properties","valueError",r),w),m>=2&&(e=e.setIn(hu(t,"properties","valueError",m),R))),{state:e}},ay=function(e,t,r,n){if(!n){var o=e.getIn(hu(t,"properties","field"))||null,i=e.getIn(hu(t,"properties","operator"))||null,a=Wg(r,i,o);n=i?Cs(a):null}for(var l=0,s=["value","valueType","valueError","valueSrc"];l<s.length;l++){var u=s[l];e.getIn(hu(t,"properties",u))||(e=e.setIn(hu(t,"properties",u),new ys.List(n?Array.from({length:n}):[])))}return e},ly=function e(t,r,n){n&&Array.isArray(n)&&(r.children1=new ys.OrderedMap(n.reduce((function(r,n){var o,i=null!==(o=n.id)&&void 0!==o?o:Os(),a=Jm(Jm({},n),{},{properties:xd(t,n).merge(gs(n.properties)||{}),id:i});return e(t,a,a.children1),Jm(Jm({},r),{},qn({},i,new ys.Map(a)))}),{})))},sy={dragging:{id:null,x:null,y:null,w:null,h:null},mousePos:{},dragStart:{id:null}},uy=function(e,t){return{type:Um,tree:t,config:e}},cy=function(e,t,r){var n=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null;return{type:Am,ruleType:arguments.length>3&&void 0!==arguments[3]?arguments[3]:"rule",children:arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,path:ks(t),id:Os(),properties:Ed(e,n).merge(gs(r)||{}),config:e}},dy=function(e,t){return{type:jm,path:ks(t),config:e}},py=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:_m,path:ks(t),children:n,id:Os(),properties:Td(e).merge(gs(r)||{}),config:e,meta:{isDefaultCase:!0}}},fy=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:_m,path:ks(t),children:n,id:Os(),properties:Td(e).merge(gs(r)||{}),config:e}},hy=function(e,t,r){var n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null;return{type:xm,path:ks(t),children:n,id:Os(),properties:Td(e).merge(gs(r)||{}),config:e}},gy=function(e,t){return{type:Cm,path:ks(t),config:e}},vy=function(e,t,r,n){return{type:Bm,fromPath:ks(t),toPath:ks(r),placement:n,config:e}},my=function(e,t,r){return{type:Rm,path:ks(t),conjunction:r}},yy=function(e,t,r){return{type:Im,path:ks(t),not:r}},by=function(e,t,r){return{type:Vm,path:ks(t),lock:r}},Oy=function(e,t,r,n,o){return{type:km,path:ks(t),field:r,config:e,asyncListValues:n,_meta:o}},Ey=function(e,t,r){return{type:Pm,path:ks(t),srcKey:r,config:e}},Sy=function(e,t,r){return{type:Lm,path:ks(t),operator:r,config:e}},wy=function(e,t,r,n,o,i,a){return{type:Nm,path:ks(t),delta:r,value:n,valueType:o,asyncListValues:i,config:e,_meta:a}},Ty=function(e,t,r,n,o){return{type:Fm,path:ks(t),delta:r,srcKey:n,config:e,_meta:o}},xy=function(e,t,r,n,o,i,a,l,s){return{type:Dm,path:ks(t),delta:r,parentFuncs:n,argKey:o,value:i,valueType:a,asyncListValues:l,config:e,_meta:s}},_y=function(e,t,r,n){return{type:Mm,path:ks(t),name:r,value:n,config:e}};function Cy(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Ry(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Cy(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Cy(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var Iy=Ry(Ry(Ry({},p),{},{Export:c,Import:o,ConfigMixins:Sm},c),o),Ay=v(7028),jy=v.n(Ay);const ky=function(e,t,r,n,o){var i=Jm({tree:t},sy);return function(){var t,a,l=arguments.length>0&&void 0!==arguments[0]?arguments[0]:i,s=arguments.length>1?arguments[1]:void 0,u=null!==(t=null!==(a=null==o?void 0:o())&&void 0!==a?a:null==s?void 0:s.config)&&void 0!==t?t:e,c={},d=function(e,t){if(!e||!e.type)return null;var r,n=[Um,$m,Gm,Km],o=Xm()(eu()(e,["config","asyncListValues"]),Ps),i=e.path&&function(e,t){return e.getIn(hu(t,"properties","field"))||null}(t.tree,e.path)||e.field;return i&&(null!==(r=i)&&void 0!==r&&r.toJS&&(i=i.toJS()),o.affectedField=i),(n.includes(e.type)||0==e.type.indexOf("@@redux"))&&(o=null),o}(s,l);switch(null==s?void 0:s.type){case Um:var p=r(u,s.tree);c.tree=p;break;case _m:c.tree=ty(l.tree,s.path,"case_group",s.id,s.properties,u,s.children,s.meta);break;case xm:c.tree=ty(l.tree,s.path,"group",s.id,s.properties,u,s.children,s.meta);break;case Cm:c.tree=function(e,t,r){if(!e.getIn(hu(t)))return e;e=ny(e,t);var n=r.settings.canLeaveEmptyGroup,o=t.slice(0,-1);return _u(e,o)||n||(e=bu(e),!xu(e)||n)||(e=ry(e,new ys.List,"rule",Os(),Ed(r,void 0,void 0,!1,!1),r)),yu(e)}(l.tree,s.path,u);break;case Am:c.tree=ry(l.tree,s.path,s.ruleType,s.id,s.properties,u,s.children);break;case jm:c.tree=function(e,t,r){if(!e.getIn(hu(t)))return e;e=ny(e,t);var n=r.settings.canLeaveEmptyGroup,o=t.pop(),i=e.getIn(hu(o)),a=i.getIn(["properties","field"]),l=i.getIn(["properties","operator"]),s=a?zg(r,a):null,u=l?Wg(r,l,a):null,c=a&&l&&0!=u.cardinality,d="rule_group"==i.get("type"),p=!_u(e,o),f=d?c&&s.initialEmptyWhere:n;return p&&!f&&(d&&(e=e.deleteIn(hu(o))),e=bu(e),xu(e)&&!n)&&(e=ry(e,new ys.List,"rule",Os(),Ed(r,void 0,void 0,!1,!1),r)),yu(e)}(l.tree,s.path,u);break;case Rm:c.tree=function(e,t,r){return e.getIn(hu(t))?e=e.setIn(hu(t,"properties","conjunction"),r):e}(l.tree,s.path,s.conjunction);break;case Im:c.tree=function(e,t,r){return e.getIn(hu(t))?e=e.setIn(hu(t,"properties","not"),r):e}(l.tree,s.path,s.not);break;case km:var f=oy(l.tree,s.path,s.field,u,s.asyncListValues,s._meta).state;c.tree=f;break;case Pm:c.tree=function(e,t,r,n){var o=e.getIn(hu(t));if(!o)return e;var i=n.settings.keepInputOnChangeFieldSrc,a=o.get("properties"),l=null==a?void 0:a.get("field"),s=null==a?void 0:a.get("fieldType"),u=zg(n,l),c=(null==u?void 0:u.type)||s;c&&"!group"!==c&&"!struct"!==c||(c=null);var d=!Xf.includes(c);return(e=i&&!dh(o,n)&&d?(e=(e=e.setIn(hu(t,"properties","field"),null)).deleteIn(hu(t,"properties","fieldError"))).setIn(hu(t,"properties","fieldType"),c):e.setIn(hu(t,"properties"),Ed(n,null,null,!1))).setIn(hu(t,"properties","fieldSrc"),r)}(l.tree,s.path,s.srcKey,u);break;case Vm:c.tree=function(e,t,r){return e.getIn(hu(t))?e=mu(e.setIn(hu(t,"properties","isLocked"),r)):e}(l.tree,s.path,s.lock);break;case Lm:c.tree=function(e,t,r,n){var o=e.getIn(hu(t));if(!o)return e;var i=n.settings.showErrorMessage,a=o.get("properties"),l=o.get("children1"),s=a.get("field"),u=(a.get("fieldSrc"),zg(n,s)),c="!group"==(null==u?void 0:u.type),d=Wg(n,r,s),p=d?Cs(d):null;return e=e.updateIn(hu(t,"properties"),(function(e){return e.withMutations((function(e){var t=e.get("field"),o=e.get("operatorOptions"),a=(e.get("value",new ys.List),e.get("valueSrc",new ys.List),e.get("operator"),Uf(n,n,e,t,r,"operator",!0)),l=a.canReuseValue,s=a.newValue,u=a.newValueSrc,c=a.newValueType,d=a.newValueError;i&&(e=e.set("valueError",d));var p=l?o:Od(n,r,t);return l||(e=e.delete("asyncListValues")),e.set("operator",r).set("operatorOptions",p).set("value",s).set("valueSrc",u).set("valueType",c)}))})),c&&0==p&&0==l.size&&(e=ry(e,t,"rule",Os(),Ed(n,s),n)),e}(l.tree,s.path,s.operator,u);break;case Nm:var h=iy(l.tree,s.path,s.delta,s.value,s.valueType,u,s.asyncListValues,s._meta).state;c.tree=h;break;case Dm:var g=function(e,t,r,n,o,i,a,l,s){var u=arguments.length>9&&void 0!==arguments[9]?arguments[9]:{},c=t.getIn(hu(r));if(!c)return t;var d,p=-1===n,f=c.get("properties"),h=f.get("field"),g=f.get("value"),v=[],m=p?h:g.getIn([n]),y=Zm(o||[]);try{for(y.s();!(d=y.n()).done;){var b=Xn(d.value,2),O=b[0],E=b[1];if(v.push([O,E,m]),O!==m.get("func")){var S=v.map((function(e){var t=Xn(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/")||"root";throw new Error("In ".concat(p?"LHS":"RHS"," for path ").concat(S," expected func key ").concat(O," but got ").concat(parent.get("func")))}m=m.getIn(["args",E,"value"])}}catch(e){y.e(e)}finally{y.f()}if(i){var w=m.get("func"),T=kg(e,w).args[i];m="!valueSrc"===l?Kf(m,i,a,T,e):$f(m,i,a,T,e)}else m=Wf(m,a,e,!0),u.canDropArgs=!0;for(var x=m;v.length;){var _=Xn(v.pop(),3),C=_[0],R=_[1],I=_[2],A=kg(e,C).args[R];x=$f(I,R,x,A,e)}return p?oy(t,r,x,e,s,u):iy(t,r,n,x,void 0,e,s,u)}(u,l.tree,s.path,s.delta,s.parentFuncs,s.argKey,s.value,s.valueType,s.asyncListValues,s._meta),v=g.state;c.tree=v;break;case Fm:c.tree=function(e,t,r,n,o){if(!e.getIn(hu(t)))return e;var i=o.settings.showErrorMessage,a=e.getIn(hu(t,"properties","field"))||null,l=e.getIn(hu(t,"properties","operator"))||null,s=Wg(o,l,a),u=l?Cs(s):null;if(e=(e=(e=(e=ay(e,t,o,u)).setIn(hu(t,"properties","value",r+""),void 0)).setIn(hu(t,"properties","valueType",r+""),null)).deleteIn(hu(t,"properties","asyncListValues")),i&&(e=e.setIn(hu(t,"properties","valueError",r),null),s.validateValues&&(e=e.setIn(hu(t,"properties","valueError",u),null))),e=void 0===n?e.setIn(hu(t,"properties","valueSrc",r+""),null):e.setIn(hu(t,"properties","valueSrc",r+""),n),n){var c=e.getIn(hu(t,"properties")),d=Uf(o,o,c,a,l,"valueSrc",!0),p=d.canReuseValue,f=d.newValue,h=d.newValueSrc,g=d.newValueType;d.newValueError,p||h.get(r)!=n||(e=(e=e.setIn(hu(t,"properties","value",r+""),f.get(r))).setIn(hu(t,"properties","valueType",r+""),g.get(r)))}return e}(l.tree,s.path,s.delta,s.srcKey,u,s._meta);break;case Mm:c.tree=function(e,t,r,n){return e.getIn(hu(t))?e.setIn(hu(t,"properties","operatorOptions",r),n):e}(l.tree,s.path,s.name,s.value);break;case Bm:c.tree=function(e,t,r,n,o){var i=vu(e,t),a=t.pop(),l=t.size>1?vu(e,a):null,s=l?l.get("children1"):null,u=vu(e,r),c=n==Hm||n==qm?r:r.pop(),d=n==Hm||n==qm?u:r.size>1?vu(e,c):null,p=d?d.get("children1"):null;if(!l||!d||!i)return e;var f=l.get("id")==d.get("id"),h=c.size<a.size&&Rs(c.toArray(),a.toArray().slice(0,c.size)),g=c.size>a.size&&Rs(a.toArray(),c.toArray().slice(0,a.size)),v=null,m=null;h?v=ys.List(a.toArray().slice(c.size)):g&&(m=ys.List(c.toArray().slice(a.size)));var y=p,b=s;return g||(b=b.delete(i.get("id"))),f?y=b:h&&(y=y.updateIn(gu(v,"children1"),(function(e){return b}))),n==Wm||n==zm?y=ys.OrderedMap().withMutations((function(e){var t,r=Zm(y.entries());try{for(r.s();!(t=r.n()).done;){var o=Xn(t.value,2),a=o[0],l=o[1];a==(null==u?void 0:u.get("id"))&&n==Wm&&e.set(i.get("id"),i),e.set(a,l),a==(null==u?void 0:u.get("id"))&&n==zm&&e.set(i.get("id"),i)}}catch(e){r.e(e)}finally{r.f()}})):n==Hm?y=y.merge(ys.OrderedMap(qn({},i.get("id"),i))):n==qm&&(y=ys.OrderedMap(qn({},i.get("id"),i)).merge(y)),g&&(b=(b=b.updateIn(gu(m,"children1"),(function(e){return y}))).delete(i.get("id"))),f||h||(e=e.updateIn(hu(a,"children1"),(function(e){return b}))),g||(e=e.updateIn(hu(c,"children1"),(function(e){return y}))),yu(e)}(l.tree,s.fromPath,s.toPath,s.placement);break;case $m:c.dragStart=s.dragStart,c.dragging=s.dragging,c.mousePos=s.mousePos;break;case Gm:c.mousePos=s.mousePos,c.dragging=s.dragging;break;case Km:c.tree=function(e,t){return t.settings.canLeaveEmptyGroup||(e=bu(e)),e}(l.tree,u),c=Jm(Jm({},c),sy)}return d&&(c.__lastAction=d),n&&c.tree&&l.tree&&n(l.tree),Jm(Jm(Jm({},l),{__lastAction:void 0}),c)}},Py=he().createContext();var Ly=v(7694),Ny=v(200),Fy="after",Dy="before",My="append",Vy="prepend",Uy=function(e,t){return{type:"SET_DRAG_PROGRESS",mousePos:e,dragging:t}},By=function(e,t,r){return{type:"SET_DRAG_START",dragStart:e,dragging:t,mousePos:r}},zy=function(){return{type:"SET_DRAG_END"}},Wy=h,Hy=g,qy=y,Gy=function(e,t,r){if(!t||!e||e.length<=t)return e;var n=e.substr(0,t-1);return(r?n.substr(0,n.lastIndexOf(" ")):n)+"..."},$y=function(e,t){return e===t||(null==e?void 0:e.equals(t))},Ky=function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];return e===t||(Array.isArray(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=e.length;if(t.length!==n)return!1;for(var o=0;o<n;o++)if(!(r?Ky(e[o],t[o],r):e[o]===t[o]))return!1;return!0}(e,t,r):e&&"function"==typeof e.equals?e.equals(t):"object"===Fn(e)?function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(e===t)return!0;if(!e||!t)return!1;var n=Object.keys(e),o=Object.keys(t),i=n.length;if(o.length!==i)return!1;for(var a=0;a<i;a++){var l=n[a];if(!(r?Ky(e[l],t[l],r):e[l]===t[l]))return!1}return!0}(e,t,r):e===t)},Yy=function(){var e=arguments.length>0&&void 0!==arguments[0]&&arguments[0];return(null!=e?e:("undefined"!=typeof process&&process.env,0))?console:{error:function(){},log:function(){},warn:function(){},debug:function(){},info:function(){}}}(),Xy=Iy.Validation.validateAndFixTree,Qy=function e(t){if(t){var r,n=(r=t)._reactRootContainer?"root":Object.getOwnPropertyNames(r).filter((function(e){return e.startsWith("__reactContainer")})).length>0?"container":void 0;return void 0!==n?n:e(t.parentNode)}},Jy=function(e){return"root"===Qy(e)},Zy=function(e,t){return function(r,n){var o=e.props,i=e.state,a=r!=o||n!=i;if(a&&i==n&&o!=r){var l=[];for(var s in r){var u=r[s]!=o[s];u&&("ignore"==t[s]?u=!1:"shallow_deep"==t[s]?u=!Ky(r[s],o[s],!0):"shallow"==t[s]?u=!Ky(r[s],o[s]):"function"==typeof t[s]&&(u=t[s](r[s],o[s],r,o))),u&&l.push(s)}l.length||(a=!1)}return a}},eb=function(e){return function(t,r){return!Ky(e.props,t)||!Ky(e.state,r)}},tb=function(e){if(e.shouldComponentUpdate||(e.shouldComponentUpdate=eb(e)),16==(r=he().version.split(".").map(parseInt.bind(null,10)))[0]&&r[1]<3||r[0]<16)e.componentWillReceiveProps=function(t){e.onPropsChanged(t)};else{var t=e.shouldComponentUpdate;e.shouldComponentUpdate=function(r,n){return!Ky(e.props,r)&&e.onPropsChanged(r),t.call(e,r,n)}.bind(e)}var r},rb=function(e,t,r){return Xm()(e,(function(e){return function(){for(var n=arguments.length,o=new Array(n),i=0;i<n;i++)o[i]=arguments[i];return r(e.apply(void 0,[t].concat(o)))}}))};function nb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function ob(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?nb(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):nb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function ib(e,t,r){return t=zn(t),Bn(e,ab()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function ab(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(ab=function(){return!!e})()}var lb=function(e){function t(e){var r;Nn(this,t),(r=ib(this,t,[e])).shouldComponentUpdate=Zy(r,{tree:function(e){return e!==r.oldValidatedTree||r.oldValidatedTree!==r.validatedTree}}),tb(r),r._updateActions(e),r.validatedTree=e.getMemoizedTree(e.config,e.tree,void 0,e.sanitizeTree),r.oldValidatedTree=r.validatedTree;var n=e.getBasicConfig(e.config);return e.onInit&&e.onInit(r.validatedTree,n,void 0,r.actions),r}return Hn(t,e),Vn(t,[{key:"_updateActions",value:function(e){var t=e.config,r=e.dispatch;this.actions=rb(ob(ob(ob({},Wy),Hy),qy),t,r)}},{key:"onPropsChanged",value:function(e){var t=e.onChange,r=this.props.config,n=e.tree,o=(this.props.tree,e.config);if(this.oldValidatedTree=this.validatedTree,this.validatedTree=n,r!==o&&(this._updateActions(e),this.validatedTree=e.getMemoizedTree(o,n,r)),!$y(this.validatedTree,this.oldValidatedTree)){var i=e.getBasicConfig(o);t&&t(this.validatedTree,i,e.__lastAction,this.actions)}}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.renderBuilder,n=e.dispatch;return r({tree:this.validatedTree,actions:this.actions,config:t,dispatch:n})}}])}(pe.Component);lb.propTypes={config:jy().object.isRequired,onChange:jy().func,onInit:jy().func,renderBuilder:jy().func,tree:jy().any};var sb=(0,Ny.connect)((function(e){return{tree:e.tree,__lastAction:e.__lastAction}}),null,null,{context:Py})(lb);sb.displayName="ConnectedQuery";const ub=sb;function cb(e,t,r){return t=zn(t),Bn(e,db()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function db(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(db=function(){return!!e})()}var pb=Iy.DefaultUtils.defaultRoot,fb=Iy.ConfigUtils.createConfigMemo,hb=function(e){function t(e,r){var n,o,i;Nn(this,t),(i=cb(this,t,[e,r])).setLastTree=function(e){i.prevTree&&(i.prevprevTree=i.prevTree),i.prevTree=e},i.getConfig=function(){return i.config},i.shouldComponentUpdate=Zy(i,{value:function(e,t){return!1}}),tb(i);var a=fb({reactIndex:null!==(n=null===(o=i._reactInternals)||void 0===o?void 0:o.index)&&void 0!==n?n:-1,maxSize:2,canCompile:!0}),l=a.getExtendedConfig,s=a.getBasicConfig,u=a.clearConfigMemo;i.getMemoizedConfig=l,i.getBasicConfig=s,i.clearConfigMemo=u,i.getMemoizedTree=function(){var e,t,r;return function(n,o){var i=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0,a=!(arguments.length>3&&void 0!==arguments[3])||arguments[3];return o?n.__configId===r&&($y(o,e)||$y(o,t))?t:(r=n.__configId,e=o,t=!1===a?Xy(o,null,n,i||n,!1,!1,!1):Xy(o,null,n,i||n)):null}}();var c=i.getMemoizedConfig(e),d=c.settings.shouldCreateEmptyGroup,p=pb(c,!d),f=!!e.value,h=e.value||p,g=i.getMemoizedTree(c,h,void 0,f),v=ky(c,g,i.getMemoizedTree,i.setLastTree,i.getConfig),m=(0,Ly.createStore)(v);return i.config=c,i.state={store:m},i.QueryWrapper=function(e){return c.settings.renderProvider(e,c.ctx)},i}return Hn(t,e),Vn(t,[{key:"componentWillUnmount",value:function(){this.clearConfigMemo()}},{key:"onPropsChanged",value:function(e){var t=this.props,r=this.config,n=this.getMemoizedConfig(e),o=r!==n,i=this.state.store.getState().tree,a=!$y(e.value,this.props.value)&&!$y(e.value,i),l=a?e.value||pb(e):i,s=a&&!$y(e.value,this.prevTree)&&!$y(e.value,this.prevprevTree);if(this.sanitizeTree=s||o,o&&(t.settings.renderProvider!==e.settings.renderProvider&&(this.QueryWrapper=function(e){return n.settings.renderProvider(e,n.ctx)}),this.config=n),a||o){var u=this.getMemoizedTree(n,l,r,this.sanitizeTree);this.state.store.dispatch(Wy.setTree(n,u))}}},{key:"render",value:function(){var e=this.props,t=e.renderBuilder,r=e.get_children,n=e.onChange,o=e.onInit,i=this.state.store,a=this.config,l=this.QueryWrapper;return he().createElement(l,{config:a},he().createElement(Ny.Provider,{store:i,context:Py},he().createElement(ub,{config:a,getMemoizedTree:this.getMemoizedTree,getBasicConfig:this.getBasicConfig,sanitizeTree:this.sanitizeTree,onChange:n,onInit:o,renderBuilder:t||r})))}}])}(pe.Component);function gb(){return gb=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)({}).hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},gb.apply(null,arguments)}hb.propTypes={conjunctions:jy().object.isRequired,fields:jy().object.isRequired,types:jy().object.isRequired,operators:jy().object.isRequired,widgets:jy().object.isRequired,settings:jy().object.isRequired,ctx:jy().object.isRequired,onChange:jy().func,onInit:jy().func,renderBuilder:jy().func,value:jy().any};var vb=v(2584),mb=v.n(vb);function yb(e,t,r){return t=zn(t),Bn(e,bb()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function bb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(bb=function(){return!!e})()}var Ob=Iy.ConfigUtils.getFieldConfig;function Eb(e,t,r){return t=zn(t),Bn(e,Sb()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function Sb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Sb=function(){return!!e})()}var wb=Iy.clone,Tb=Iy.TreeUtils.getFlatTree,xb=!1,_b=["isDraggingTempo","isDraggingMe","dragging"];function Cb(e,t,r){return t=zn(t),Bn(e,Rb()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function Rb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Rb=function(){return!!e})()}const Ib=function(e){return function(t){var r;return r=function(r){function n(e){var t;return Nn(this,n),(t=Cb(this,n,[e])).handleDraggerMouseDown=function(e){var r=t.props.id,n=t.wrapper.current;t.props.onDragStart&&t.props.onDragStart(r,n,e)},t.wrapper=he().createRef(),t}return Hn(n,r),Vn(n,[{key:"render",value:function(){var r=this.props,n=r.isDraggingTempo,o=r.isDraggingMe,i=r.dragging,a=qv(r,_b),l=a.isTrueLocked,s={};o&&n&&(xb||(s={top:i.y,left:i.x,width:i.w}));var u=mb()(e,"group-or-rule",o&&n?"qb-draggable":null,o&&!n?"qb-placeholder":null,l?"locked":null);return he().createElement("div",{className:u,style:s,ref:this.wrapper,"data-id":this.props.id},he().createElement(t,gb({handleDraggerMouseDown:this.handleDraggerMouseDown,isDraggingMe:o,isDraggingTempo:n},a)))}}])}(pe.PureComponent),r.propTypes={isDraggingTempo:jy().bool,isDraggingMe:jy().bool,onDragStart:jy().func,dragging:jy().object,isLocked:jy().bool,isTrueLocked:jy().bool},r}};var Ab=v(3790),jb=v.n(Ab),kb=v(350),Pb=v.n(kb);function Lb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Nb(e,t,r){return t=zn(t),Bn(e,Fb()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function Fb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Fb=function(){return!!e})()}var Db=Iy.ConfigUtils,Mb=Db.getFieldConfig,Vb=Db.getOperatorConfig,Ub=function(e){function t(e){var r;return Nn(this,t),(r=Nb(this,t,[e])).shouldComponentUpdate=Zy(r,{selectedField:function(e,t){return!1}}),tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","selectedField","selectedFieldSrc","selectedFieldType","selectedOperator"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r=e.config,n=e.selectedField,o=e.selectedFieldType,i=e.selectedOperator,a=Mb(r,n),l=Jn((null==a?void 0:a.operators)||(null===(t=r.types[o])||void 0===t?void 0:t.operators)||[]);n||l.includes(i)||l.push(i);var s=Xm()(Pb()(r.operators,(function(e,t){return-1!==(null==l?void 0:l.indexOf(t))})),(function(e,t){return Vb(r,t,n)})),u=this.buildOptions(r,s,l),c=s[i]||{},d=i?[i]:null;return{placeholder:this.props.config.settings.operatorPlaceholder,items:u,selectedKey:i,selectedKeys:d,selectedPath:d,selectedLabel:c.label,selectedAltLabel:c.label2||c.tooltip,selectedOpts:c,fieldConfig:a}}},{key:"buildOptions",value:function(e,t,r){return t&&r?jb()(t).sort((function(e,t){return r.indexOf(e)-r.indexOf(t)})).map((function(e){var r=t[e];return{key:e,path:e,label:r.label,altLabel:r.label2,tooltip:r.tooltip}})):null}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setOperator,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderOperator,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Lb(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Lb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({id:i,groupId:a,config:t,customProps:r,readonly:o,setField:n},this.meta);return s.items?l(s,t.ctx):null}}])}(pe.Component);Ub.propTypes={id:jy().string,groupId:jy().string,config:jy().object.isRequired,selectedField:jy().any,selectedFieldId:jy().string,selectedFieldType:jy().string,selectedFieldSrc:jy().string,selectedOperator:jy().string,readonly:jy().bool,customProps:jy().object,setOperator:jy().func.isRequired};var Bb=["children"],zb=function(e){var t=e.children,r=qv(e,Bb);return he().createElement("div",r,t)},Wb=function(){},Hb=function(){return he().createElement("svg",{xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 24 24",fill:"gray",width:"18px",height:"18px"},he().createElement("path",{d:"M0 0h24v24H0V0z",fill:"none"}),he().createElement("path",{d:"M3 18h18v-2H3v2zm0-5h18v-2H3v2zm0-7v2h18V6H3z"}))},qb=function(e){return function(t){var r=t.config.settings.useConfirm,n=r?r.call(t.config.ctx,t.config.ctx):null;return he().createElement(e,gb({},t,{confirmFn:n}))}},Gb=function(e){var t=e.id,r=e.isLHS,n=e.delta;return[t,r?"L":"R",r?-1:n||0,(e.parentFuncs||[]).map((function(e){var t=Xn(e,2),r=t[0],n=t[1];return"".concat(r,"(").concat(n,")")})).join("/")].join(":")},$b=function(e,t){var r;return"function"==typeof t?(r=function(r){return null==t?void 0:t(r,e.ctx)}).displayName=t.name:r=t,r};function Kb(e,t,r){return t=zn(t),Bn(e,Yb()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function Yb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Yb=function(){return!!e})()}var Xb=function(e){function t(){return Nn(this,t),Kb(this,t,arguments)}return Hn(t,e),Vn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.selectedOperator,a=e.setOperator,l=e.selectedFieldId,s=e.showOperator,u=e.showOperatorLabel,c=e.selectedFieldWidgetConfig,d=e.readonly,p=e.id,f=e.groupId;return[s&&he().createElement(zb,{key:"operators-for-"+l,className:"rule--operator"},t.settings.showLabels&&he().createElement("label",{className:"rule--label"},t.settings.operatorLabel),he().createElement(Ub,{key:"operator",config:t,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,selectedFieldId:l,selectedOperator:i,setOperator:a,customProps:t.settings.customOperatorSelectProps,readonly:d,id:p,groupId:f})),u&&he().createElement(zb,{key:"operators-for-"+l,className:"rule--operator"},he().createElement("div",{className:"rule--operator-wrapper"},t.settings.showLabels?he().createElement("label",{className:"rule--label"}," "):null,he().createElement("div",{className:"rule--operator-text-wrapper"},he().createElement("span",{className:"rule--operator-text"},c.operatorInlineLabel))))]}}])}(pe.PureComponent);function Qb(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Jb(e,t,r){return t=zn(t),Bn(e,Zb()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function Zb(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(Zb=function(){return!!e})()}var eO=Iy.RuleUtils.getFieldPathLabels,tO=Iy.ConfigUtils,rO=tO.getFieldConfig,nO=tO.getFieldParts,oO=tO.getFieldPathParts,iO=function(e){function t(e){var r;return Nn(this,t),(r=Jb(this,t,[e])).setField=function(e,t){var n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:{},o=r.props.id;if(!n.widgetId){var i=[o,"L",-1].join(":");n.widgetId=i}r.props.setField(e,t,n)},tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["selectedField","selectedFieldSrc","selectedFieldType","config","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.selectedField,r=e.selectedFieldType,n=e.config,o=e.parentField,i=t,a=n.settings,l=a.maxLabelsLength,s=a.fieldSeparatorDisplay,u=a.fieldPlaceholder,c=(a.fieldSeparator,!!t),d=c?null:Gy(u,l),p=c?rO(n,i):null,f=p||{},h=oO(i,n),g=oO(i,n,!0),v=this.getFieldLabel(p,i,n),m=eO(i,n),y=m?m.join(s):null;(y==v||o)&&(y=null);var b=f.label2||f.tooltip,O=nO(o,n),E=o?rO(n,o):null,S=o?E&&E.subfields:n.fields,w=!c&&r,T=this.buildOptions(O,n,S,w,O),x=w?"Please select field":null;return i&&"object"===Fn(i)&&(i=void 0),{placeholder:d,items:T,parentField:o,selectedKey:i,selectedKeys:h,selectedPath:g,selectedLabel:v,selectedOpts:f,selectedAltLabel:b,selectedFullLabel:y,errorText:x}}},{key:"getFieldLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=nO(t,r),i=(null==e?void 0:e.label)||Js()(o);return Gy(i,n)}},{key:"buildOptions",value:function(e,t,r){var n=this,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:void 0,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null,a=arguments.length>5&&void 0!==arguments[5]?arguments[5]:null;if(!r)return null;var l=t.settings,s=l.fieldSeparator,u=l.fieldSeparatorDisplay,c=null!=i&&i.length?i.join(s)+s:"",d=function e(t){return Object.keys(t||{}).reduce((function(r,n){var i=t[n];return"!struct"===i.type?r+e(i.subfields):r+(i.type===o?1:0)}),0)};return jb()(r).map((function(l){var s=[].concat(Jn(null!=i?i:[]),[l]),p=r[l],f=n.getFieldLabel(p,s,t),h=eO(s,t).join(u);(h==f||null!=e&&e.length)&&(h=null);var g=p.label2,v=p.tooltip,m=p.disabled;if(!p.hideForSelect){if("!struct"==p.type){var y=n.buildOptions(e,t,p.subfields,o,s,{label:f,tooltip:v}),b=d(p.subfields)>0;return{disabled:m,key:l,path:c+l,label:f,fullLabel:h,altLabel:g,tooltip:v,items:y,matchesType:b}}var O=void 0!==o?p.type===o:void 0;return{disabled:m,key:l,path:c+l,label:f,fullLabel:h,altLabel:g,tooltip:v,grouplabel:null==a?void 0:a.label,group:a,matchesType:O}}})).filter((function(e){return!!e}))}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setFieldSrc,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderField,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Qb(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Qb(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({id:i,groupId:a,config:t,customProps:r,readonly:o,setField:this.setField,setFieldSrc:n},this.meta);return l(s,t.ctx)}}])}(pe.Component);function aO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function lO(e,t,r){return t=zn(t),Bn(e,sO()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function sO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(sO=function(){return!!e})()}iO.propTypes={id:jy().string,groupId:jy().string,config:jy().object.isRequired,selectedField:jy().any,selectedFieldSrc:jy().string,selectedFieldType:jy().string,parentField:jy().string,customProps:jy().object,readonly:jy().bool,setField:jy().func.isRequired,setFieldSrc:jy().func};var uO=Iy.clone,cO=Iy.ConfigUtils,dO=cO.getFieldConfig,pO=cO.getFuncConfig,fO=cO.getFieldParts,hO=cO.getFieldPathParts,gO=Iy.RuleUtils,vO=gO.getFuncPathLabels,mO=gO.getWidgetForFieldOp,yO=Iy.OtherUtils.shallowEqual,bO=function(e){function t(e){var r;return Nn(this,t),r=lO(this,t,[e]),tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.items||["config","field","fieldType","fieldSrc","operator","isFuncArg","isLHS","parentFuncs"].map((function(r){return"parentFuncs"===r?!yO(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0;(!this.meta||["config","field","fieldType","fieldSrc","value","isLHS"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e)),r&&(this.items=this.getItems(e,this.meta))}},{key:"getItems",value:function(e,t){var r=e.config,n=e.field,o=e.fieldType,i=e.isLHS,a=e.operator,l=e.parentFuncs,s=e.fieldDefinition,u=e.isFuncArg,c=t.lookingForFieldType,d=r.settings.canUseFuncForField,p=this.filterFuncs(r,r.funcs,n,o,i,a,d,l,u,s);return this.buildOptions(r,p,c)}},{key:"getMeta",value:function(e){var t=e.config,r=(e._field,e.fieldType),n=e.value,o=e.isLHS,i=e.isFuncArg,a=t.settings,l=a.funcPlaceholder,s=a.fieldSeparatorDisplay,u=n,c=!!n,d=c?null:l,p=c?pO(t,u):null,f=p||{},h=hO(u,t),g=hO(u,t,!0),v=this.getFuncLabel(p,u,t),m=vO(u,t),y=m?m.join(s):null;y==v&&(y=null);var b=o&&!i&&!c&&r;return{placeholder:d,selectedKey:u,selectedKeys:h,selectedPath:g,selectedLabel:v,selectedOpts:f,selectedFullLabel:y,errorText:b?"Please select function":null,lookingForFieldType:b}}},{key:"filterFuncs",value:function(e,t,r,n,o,i,a,l,s,u){t=uO(t);var c,d=e.settings.fieldSeparator,p=dO(e,r),f=p,h=mO(e,r,i,"value");return h&&e.widgets[h],s?(f=u,c=null==u?void 0:u.type):p?c=p.type:o||(c=n),function t(n,o){for(var s in n){var u=n[s].subfields,h=(o||[]).concat(s),g=h.join(d),v=pO(e,g);if("!struct"==v.type)0==t(u,h)&&delete n[s];else{var m,y=!c||v.returnType==c;null!==(m=f)&&void 0!==m&&m.funcs&&(y=y&&f.funcs.includes(g)),a&&(y=y&&a(r,p,g,v,i)),!v.allowSelfNesting&&l&&l.map((function(e){var t=Xn(e,2),r=t[0];return t[1],r})).includes(g)&&(y=!1),y||delete n[s]}}return jb()(n).length}(t,[]),t}},{key:"buildOptions",value:function(e,t){var r=this,n=arguments.length>2&&void 0!==arguments[2]?arguments[2]:void 0,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!t)return null;var a=e.settings,l=a.fieldSeparator,s=a.fieldSeparatorDisplay,u=null!=o&&o.length?o.join(l)+l:"",c=function e(t){return Object.keys(t||{}).reduce((function(r,o){var i=t[o];return"!struct"===i.type?r+e(i.subfields):r+(i.type===n?1:0)}),0)};return jb()(t).map((function(a){var l=[].concat(Jn(null!=o?o:[]),[a]),d=t[a],p=r.getFuncLabel(d,l,e),f=vO(l,e).join(s);f==p&&(f=null);var h=d.tooltip;if("!struct"==d.type){var g=r.buildOptions(e,d.subfields,n,l,{label:p,tooltip:h}),v=c(d.subfields)>0;return{key:a,path:u+a,label:p,fullLabel:f,tooltip:h,items:g,matchesType:v}}var m=void 0!==n?d.returnType===n:void 0;return{key:a,path:u+a,label:p,fullLabel:f,tooltip:h,grouplabel:null==i?void 0:i.label,group:i,matchesType:m}}))}},{key:"getFuncLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=fO(t,r),i=(null==e?void 0:e.label)||Js()(o);return Gy(i,n)}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setValue,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderFunc,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?aO(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):aO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({config:t,customProps:r,readonly:o,setField:n,items:this.items,id:i,groupId:a},this.meta);return l(s,t.ctx)}}])}(pe.Component);bO.propTypes={id:jy().string,groupId:jy().string,config:jy().object.isRequired,field:jy().any,fieldType:jy().string,fieldSrc:jy().string,operator:jy().string,customProps:jy().object,value:jy().string,setValue:jy().func.isRequired,readonly:jy().bool,parentFuncs:jy().array,fieldDefinition:jy().object,isFuncArg:jy().bool,isLHS:jy().bool};var OO=v(2285),EO=v.n(OO),SO=["widgetFactory"],wO=["factory"];function TO(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function xO(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?TO(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):TO(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var _O=Iy.ListUtils.getTitleInListValues,CO=Iy.ConfigUtils._widgetDefKeysToOmit,RO=Iy.TreeUtils,IO=RO._fixImmutableValue,AO=RO.isImmutable,jO=(0,pe.memo)((function(e){var t=e.widgetFactory,r=qv(e,SO),n=r.config,o=r.isFuncArg,i=r.fieldDefinition||{},a=i.fieldSettings,l=i.defaultValue,s=i.valueSources,u=o&&1==(null==s?void 0:s.length)&&"const"===(null==s?void 0:s[0]),c=(null==a?void 0:a.treeValues)||(null==a?void 0:a.listValues);return u&&l?"boolean"==typeof l?l?r.labelYes||"YES":r.labelNo||"NO":c?Array.isArray(l)?l.map((function(e){return _O(c,e)||e})).join(", "):_O(c,l)||l:""+l:t?t(r,n.ctx):"?"}));jO.displayName="WidgetFactoryMemo";var kO=function(e){var t=e.delta,r=e.isFuncArg,n=e.valueSrc,o=e.value,i=e.valueError,a=e.fieldError,l=e.asyncListValues,s=e.isSpecialRange,u=e.fieldDefinition,c=e.widget,d=e.widgetDefinition,p=e.widgetValueLabel,f=e.valueLabels,h=e.textSeparators,g=e.setValue,v=e.setFuncValue,m=e.config,y=e.field,b=e.fieldSrc,O=e.fieldPath,E=e.fieldType,S=e.isLHS,w=e.operator,T=e.readonly,x=e.parentField,_=e.parentFuncs,C=e.id,R=e.groupId,I=e.widgetId,A=d.factory,j=qv(d,wO),k=o?o.map((function(e){return IO(e)})):void 0,P=(0,pe.useMemo)((function(){if(s){var e=[null==k?void 0:k.get(0),null==k?void 0:k.get(1)];return void 0===e[0]&&void 0===e[1]&&(e=void 0),e}return null==k?void 0:k.get(t)}),[s,o]),L=(0,pe.useMemo)((function(){return i?s?[i.get(0),i.get(1),i.get(2)]:null==i?void 0:i.get(t):null}),[s,o]),N=S?a:L,F=(u||{}).fieldSettings,D=p.label,M=p.placeholder,V=f?f.placeholder:null,U=AO(y)?null:y,B=eu()(xO(xO(xO({},j),F),{},{config:m,field:U,fieldPath:O,fieldSrc:b,fieldType:E,isLHS:S,parentField:x,parentFuncs:_,fieldDefinition:u,operator:w,delta:t,isSpecialRange:s,isFuncArg:r,value:P,valueSrc:n,valueError:L,fieldError:a,errorMessage:N,label:D,placeholder:M,placeholders:V,textSeparators:h,setValue:g,setFuncValue:v,readonly:T,asyncListValues:l,id:C,groupId:R,widgetId:I,widgetFactory:A,widget:c}),[].concat(Jn(CO),["toJS"]));return he().createElement(jO,gb({widgetFactory:A},B))};kO.displayName="WidgetFactory";const PO=kO;function LO(e,t,r){return t=zn(t),Bn(e,NO()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function NO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(NO=function(){return!!e})()}var FO=Iy.ConfigUtils,DO=FO.getFieldConfig,MO=FO.getOperatorConfig,VO=FO.getFieldWidgetConfig,UO=Iy.RuleUtils,BO=UO.getValueSourcesForFieldOp,zO=UO.getWidgetForFieldOp,WO=UO.getValueLabel,HO=Iy.DefaultUtils.createListWithOneElement,qO=Iy.OtherUtils.shallowEqual,GO=(Iy.TreeUtils.isImmutable,{cardinality:1}),$O=function(e){function t(e){var r;return Nn(this,t),(r=LO(this,t,[e]))._setValue=function(e,t,n,o,i,a){var l=arguments.length>6&&void 0!==arguments[6]?arguments[6]:{};if(l.widgetId||(l.widgetId=o),e&&Array.isArray(i)){var s=[r.props.value.get(0),r.props.value.get(1)];s[0]!=i[0]&&r.props.setValue(0,i[0],n,a,l),s[1]!=i[1]&&r.props.setValue(1,i[1],n,a,l)}else r.props.setValue(t,i,n,a,l)},r._setValueSrc=function(e,t,n){var o={widgetId:t};r.props.setValueSrc(e,n,o)},r.renderWidget=function(e,t,r){var n=r.config,o=r.isFuncArg,i=r.leftField,a=r.operator,l=r.value,s=r.valueError,u=r.fieldError,c=r.readonly,d=r.parentField,p=r.parentFuncs,f=r.id,h=r.groupId,g=r.fieldSrc,v=r.fieldType,m=r.isLHS,y=r.setFuncValue,b=n.settings,O=t.widgets,E=t.iValues,S=t.aField,w=t.valueSources,T=o?E:l,x=o?i:S,_=O[e],C=_.valueSrc,R=_.valueLabel,I=_.widgetId,A=w.length>1&&!c,j=b.showLabels?he().createElement("label",{key:"label-"+I,className:"rule--label"},R.label):null;return he().createElement("div",{key:"wrapper-"+I,className:mb()("func"===C?"widget--func":"widget--widget",A?"widget--has-valuerscs":"widget--has-no-valuerscs")},"func"===C?null:j,he().createElement(PO,gb({key:I,id:f,groupId:h,widgetId:I,valueSrc:C,delta:e,value:T,valueError:s,fieldError:u,isFuncArg:o,isLHS:m},Xs()(t,["isSpecialRange","fieldDefinition","asyncListValues"]),Xs()(O[e],["widget","widgetDefinition","widgetValueLabel","valueLabels","textSeparators","setValue"]),{setFuncValue:y,config:n,field:x,fieldSrc:g,fieldType:v,parentField:d,parentFuncs:p,operator:a,readonly:c})))},r.renderValueSources=function(e,t,n){var o=n.config,i=n.isFuncArg,a=n.leftField,l=n.operator,s=n.readonly,u=o.settings,c=t.valueSources,d=t.widgets,p=t.aField,f=t.valueSourcesOptions,h=i?a:p,g=d[e],v=g.valueSrc,m=g.setValueSrc,y=r.ValueSources,b=u.showLabels?he().createElement("label",{className:"rule--label"}," "):null;return c.length>1&&!s&&he().createElement("div",{key:"wrapper-valuesrc-"+e,className:"widget--valuesrc"},b,he().createElement(y,{key:"valuesrc-"+e,delta:e,valueSources:f,valueSrc:v,config:o,field:h,operator:l,setValueSrc:m,readonly:s,title:u.valueSourcesPopupTitle}))},r.renderSep=function(e,t,r){var n=r.config,o=t.widgets,i=n.settings,a=o[e].sepText,l=i.showLabels?he().createElement("label",{className:"rule--label"}," "):null;return a&&he().createElement("div",{key:"widget-separators-"+e,className:mb()("widget--sep",0==e&&"widget--sep-first")},l,he().createElement("span",null,a))},r.renderWidgetDelta=function(e){return[r.renderSep(e,r.meta,r.props),r.renderValueSources(e,r.meta,r.props),r.renderWidget(e,r.meta,r.props)]},tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.ValueSources||(null==t?void 0:t.config)!==(null==e?void 0:e.config),n=["config","id","parentFuncs","field","fieldId","fieldSrc","fieldType","fieldFunc","fieldArg","leftField","operator","valueSrc","asyncListValues","isLHS","isFuncArg","isForRuleGroup","isCaseValue","value"].filter((function(r){return"parentFuncs"===r?!qO(e[r],t[r],!0):"field"===r?e.fieldId!==t.fieldId:e[r]!==t[r]}));if((!this.meta||n.length>0)&&(this.meta=this.getMeta(e,n)),r){var o=e.config,i=o.settings.renderValueSources;this.ValueSources=$b(o,i)}}},{key:"getMeta",value:function(e){var t,r,n,o,i=this,a=e.config,l=e.field,s=(e.fieldSrc,e.fieldType),u=e.fieldFunc,c=e.fieldArg,d=e.operator,p=e.valueSrc,f=e.value,h=e.isForRuleGroup,g=e.isCaseValue,v=e.isFuncArg,m=(e.leftField,e.asyncListValues),y=e.parentFuncs,b=e.isLHS,O=e.id,E=arguments.length>1&&void 0!==arguments[1]?arguments[1]:[],S=a.settings.valueSourcesInfo,w=v?{func:u,arg:c}:l,T=!l&&s,x=p,_=f;(v||h||g)&&(x=HO(p),_=HO(f));var C=DO(a,w);!C&&T&&(C=a.types[s]);var R,I=zO(a,w,d);!I&&T&&(I=null===(R=a.types[s])||void 0===R?void 0:R.mainWidget);var A=v?GO:MO(a,d,w);if((null==C||null==A)&&!g)return null;var j,k,P=null==A?void 0:A.isSpecialRange,L=P&&("field"===(null===(t=x)||void 0===t?void 0:t.get(0))||"field"===(null===(r=x)||void 0===r?void 0:r.get(1))),N=P&&!L,F=N?1:null!==(k=null==(j=A)?void 0:j.cardinality)&&void 0!==k?k:1;if(0===F)return null;var D=null===(n=this.meta)||void 0===n?void 0:n.valueSources,M=null===(o=this.meta)||void 0===o?void 0:o.valueSourcesOptions;D&&!["field","operator","config","fieldDefinition","isForRuleGroup"].filter((function(e){return E.includes(e)})).length||(D=BO(a,w,d,C),h&&(D=["value"]),w||(D=Object.keys(S)),M=D.map((function(e){return[e,{label:S[e].label}]})));var V=EO()(0,F).map((function(e){var t,r,n,o,l=null===(t=i.meta)||void 0===t||null===(t=t.widgets)||void 0===t?void 0:t[e],s=(null===(r=x)||void 0===r?void 0:r.get(e))||null,u=zO(a,w,d,s),c=VO(a,w,d,u,s);L&&(u=c.singleWidget,c=VO(a,w,d,u,s)),!c&&T&&(u=["func","field"].includes(s)?s:I,c=a.widgets[u]);var p=null===(n=c)||void 0===n?void 0:n.type,f=WO(a,w,d,e,s,N),h=WO(a,w,d,e,null,N),g=null!=A&&A.textSeparators?null==A?void 0:A.textSeparators[e]:null,v=null,m=null;P&&(v={placeholder:[(v=[WO(a,w,d,0),WO(a,w,d,1)])[0].placeholder,v[1].placeholder],label:[v[0].label,v[1].label]},m=null==A?void 0:A.textSeparators);var E=Gb({id:O,isLHS:b,delta:e,parentFuncs:y}),S=E+":VS",_=null==l?void 0:l.setValueSrc;_&&(null==l?void 0:l.widgetId)===E||(_=i._setValueSrc.bind(i,e,S));var C=null==l?void 0:l.setValue;return C&&(null==l?void 0:l.widgetId)===E&&(null==l?void 0:l.widgetType)===p&&(null===(o=i.meta)||void 0===o?void 0:o.isSpecialRange)===P||(C=i._setValue.bind(i,P,e,p,E)),{valueSrc:s,valueLabel:f,widget:u,sepText:g,widgetDefinition:c,widgetValueLabel:h,valueLabels:v,textSeparators:m,setValueSrc:_,setValue:C,widgetId:E,widgetType:p}}));return{defaultWidget:I,fieldDefinition:C,operatorDefinition:A,isSpecialRange:N,cardinality:F,valueSources:D,valueSourcesOptions:M,widgets:V,iValues:_,aField:w,asyncListValues:m}}},{key:"render",value:function(){if(!this.meta)return null;var e=this.meta,t=e.defaultWidget,r=e.cardinality;if(!t)return null;var n=t;return he().createElement(zb,{className:"rule--widget rule--widget--".concat(n.toUpperCase()),key:"widget-col-"+n},EO()(0,r).map(this.renderWidgetDelta))}}])}(pe.Component);function KO(e,t,r){return t=zn(t),Bn(e,YO()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function YO(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(YO=function(){return!!e})()}$O.propTypes={config:jy().object.isRequired,value:jy().any,valueSrc:jy().any,valueError:jy().any,fieldError:jy().string,field:jy().any,fieldSrc:jy().string,fieldType:jy().string,fieldId:jy().string,operator:jy().string,readonly:jy().bool,asyncListValues:jy().array,id:jy().string,groupId:jy().string,setValue:jy().func,setValueSrc:jy().func,setFuncValue:jy().func,isFuncArg:jy().bool,fieldFunc:jy().string,fieldArg:jy().string,leftField:jy().any,isForRuleGroup:jy().bool,parentField:jy().string,parentFuncs:jy().array,isLHS:jy().bool,isCaseValue:jy().bool};var XO=Iy.ConfigUtils.getFuncConfig,QO=Iy.OtherUtils.shallowEqual,JO=function(e){function t(e){var r;return Nn(this,t),(r=KO(this,t,[e])).setFunc=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:{},n=r.props,o=n.isLHS,i=n.delta,a=n.parentFuncs,l=n.id;if(!t.widgetId){var s=Gb({id:l,isLHS:o,delta:i,parentFuncs:a});t.widgetId=s}r.props.setFuncValue(o?-1:i||0,a,null,e,"!func",void 0,t)},r.setArgValue=function(e,t,n,o,i){var a=r.props,l=(a.config,a.delta),s=a.isLHS,u=a.parentFuncs;r.props.setFuncValue(s?-1:l||0,u,e,t,n,o,i)},r.setArgValueSrc=function(e,t,n){var o=r.props,i=(o.config,o.delta),a=o.isLHS,l=o.parentFuncs;r.props.setFuncValue(a?-1:i||0,l,e,t,"!valueSrc",void 0,n)},r.renderFuncSelect=function(){var e,t,n=r.props,o=n.config,i=n.field,a=n.fieldType,l=n.fieldSrc,s=n.isLHS,u=n.operator,c=n.customProps,d=n.value,p=n.readonly,f=n.parentFuncs,h=n.id,g=n.groupId,v=n.isFuncArg,m=n.fieldDefinition,y={value:null!==(e=null==d||null===(t=d.get)||void 0===t?void 0:t.call(d,"func"))&&void 0!==e?e:null,setValue:r.setFunc,config:o,field:i,fieldType:a,fieldSrc:l,isLHS:s,operator:u,customProps:c,readonly:p,parentFuncs:f,isFuncArg:v,fieldDefinition:m,id:h,groupId:g},b=o.settings,O=b.showLabels,E=b.funcLabel,S=O?he().createElement("label",{className:"rule--label"},E):null;return he().createElement(zb,{key:"func",className:"rule--func"},S,he().createElement(bO,y))},r.renderArgLabel=function(e,t){var n=t.valueSources,o=t.type,i=t.showPrefix,a=t.label,l=r.props.config,s=n&&1==n.length&&"const"==n[0];return l.settings.showLabels||"boolean"!=o&&!s||!i?null:he().createElement(zb,{className:"rule--func--arg-label"},a||e)},r.renderArgLabelSep=function(e,t){var n=t.valueSources,o=t.type,i=t.showPrefix,a=r.props.config,l=n&&1==n.length&&"const"==n[0];return a.settings.showLabels||"boolean"!=o&&!l||!i?null:he().createElement(zb,{className:"rule--func--arg-label-sep"},":")},r.renderArgVal=function(e,t,n){var o=r.props,i=o.config,a=o.field,l=o.fieldType,s=o.fieldSrc,u=o.isLHS,c=(o.operator,o.value),d=o.readonly,p=o.parentFuncs,f=o.id,h=o.groupId,g=o.fieldError,v=o.valueError,m=o.setFuncValue,y=c?c.getIn(["args",t]):null,b=y?y.get("value"):void 0,O=1==n.valueSources.length?n.valueSources[0]:void 0,E={config:i,fieldFunc:e,fieldArg:t,leftField:a,fieldType:l,fieldSrc:s,fieldError:g,valueError:v,isLHS:u,operator:null,value:b,valueSrc:y?y.get("valueSrc")||O||"value":O,setValue:r.setArgValue,setValueSrc:r.setArgValueSrc,setFuncValue:m,funcKey:e,argKey:t,argDefinition:n,readonly:d,parentFuncs:p,id:f,groupId:h};return he().createElement(zb,{className:"rule--func--arg-value"},he().createElement(ZO,E))},r.renderArgSep=function(e,t,r,n){var o=n.renderSeps;return r?he().createElement(zb,{className:"rule--func--arg-sep"},o?o[r-1]:", "):null},r.renderBracketBefore=function(e){var t=e.renderBrackets;return he().createElement(zb,{key:"before_args",className:"rule--func--bracket-before"},t?t[0]:"(")},r.renderBracketAfter=function(e){var t=e.renderBrackets;return he().createElement(zb,{key:"after_args",className:"rule--func--bracket-after"},t?t[1]:")")},r.renderFuncArgs=function(){var e=r.meta,t=e.funcDefinition,n=e.funcKey;if(!n)return null;var o=(t||{}).args;return o?he().createElement(he().Fragment,null,r.renderBracketBefore(t),he().createElement(zb,{key:"args-".concat(n),className:"rule--func--args rule--func--".concat(n,"--args")},Object.keys(o).map((function(e,i){return he().createElement(zb,{key:"arg-".concat(e,"-").concat(i),className:"rule--func--arg rule--func--".concat(n,"--arg--").concat(e)},r.renderArgSep(e,o[e],i,t),r.renderArgLabel(e,o[e]),r.renderArgLabelSep(e,o[e]),r.renderArgVal(n,e,o[e]))}))),r.renderBracketAfter(t)):null},tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["config","field","operator","value","fieldSrc","fieldType","isLHS"].map((function(r){return"parentFuncs"===r?!QO(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t,r,n=e.config,o=(e.field,e.operator,e.value),i=null!==(t=null==o||null===(r=o.get)||void 0===r?void 0:r.call(o,"func"))&&void 0!==t?t:null;return{funcDefinition:i?XO(n,i):null,funcKey:i}}},{key:"render",value:function(){var e=this.props.parentFuncs,t=e?e.map((function(e){var t=Xn(e,2),r=t[0],n=t[1];return"".concat(r,"_").concat(n)})).join("-"):"root",r=(null==e?void 0:e.length)||0;return he().createElement(zb,{className:"rule--func--wrapper rule--func--wrapper--under-".concat(t," rule--func--wrapper--lev-").concat(r)},this.renderFuncSelect(),this.renderFuncArgs())}}])}(pe.Component);JO.propTypes={id:jy().string,groupId:jy().string,config:jy().object.isRequired,field:jy().any,fieldSrc:jy().string,fieldType:jy().string,fieldError:jy().string,operator:jy().string,customProps:jy().object,value:jy().object,setValue:jy().func.isRequired,setFuncValue:jy().func,readonly:jy().bool,parentFuncs:jy().array,fieldDefinition:jy().object,isFuncArg:jy().bool,isLHS:jy().bool,valueError:jy().string};var ZO=function(e){function t(e){var r;return Nn(this,t),(r=KO(this,t,[e])).setValue=function(e,t,n,o,i){var a=r.props;(0,a.setValue)(a.argKey,t,n,o,i)},r.setValueSrc=function(e,t,n){var o=r.props;(0,o.setValueSrc)(o.argKey,t,n)},tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props;(!this.meta||["parentFuncs","funcKey","argKey"].map((function(r){return"parentFuncs"===r?!QO(e[r],t[r],!0):e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e))}},{key:"getMeta",value:function(e){var t=e.parentFuncs,r=e.funcKey,n=e.argKey;return{parentFuncs:[].concat(Jn(t||[]),[[r,n]])}}},{key:"render",value:function(){var e=this.meta.parentFuncs;return he().createElement($O,gb({},this.props,{setValue:this.setValue,setValueSrc:this.setValueSrc,isFuncArg:!0,parentFuncs:e}))}}])}(pe.Component);function eE(e,t,r){return t=zn(t),Bn(e,tE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function tE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(tE=function(){return!!e})()}ZO.propTypes={funcKey:jy().string.isRequired,argKey:jy().string.isRequired,setValue:jy().func.isRequired,setValueSrc:jy().func.isRequired,readonly:jy().bool,isLHS:jy().bool,parentFuncs:jy().array,id:jy().string,groupId:jy().string};var rE=function(e){function t(e){var r;return Nn(this,t),(r=eE(this,t,[e])).renderField=function(){var e=r.props,t=e.config,n=e.classname,o=e.selectedField,i=e.selectedFieldSrc,a=e.selectedFieldType,l=e.setField,s=e.setFuncValue,u=e.parentField,c=e.readonly,d=e.id,p=e.groupId,f=e.fieldError,h=e.valueError;if(!["func","field"].includes(i))return"?";var g="func"===i?he().createElement(JO,{isLHS:!0,config:t,value:o,fieldSrc:i,fieldType:a,fieldError:f,valueError:h,parentField:u,setValue:l,setFuncValue:s,readonly:c,id:d,groupId:p,key:"field-func-"+d}):he().createElement(iO,{config:t,selectedField:o,selectedFieldSrc:i,selectedFieldType:a,parentField:u,setField:l,customProps:t.settings.customFieldSelectProps,readonly:c,id:d,groupId:p,key:"field-"+d}),v="func"===i?t.settings.funcLabel:t.settings.fieldLabel,m=t.settings.showLabels&&"func"!==i&&he().createElement("label",{className:"rule--label"},v);return he().createElement("div",{key:i,className:n},m,g)},r.renderFieldSources=function(){if(!r.meta)return null;var e=r.props,t=e.config,n=e.readonly,o=e.selectedFieldSrc,i=e.setFieldSrc,a=e.id,l=r.meta.fieldSourcesOptions,s=t.settings,u=r.ValueSources,c=s.showLabels?he().createElement("label",{className:"rule--label"}," "):null;return l.length>1&&!n&&he().createElement("div",{key:"fieldsrc",className:"rule--fieldsrc"},c,he().createElement(u,{key:"fieldsrc-"+a,valueSources:l,valueSrc:o,config:t,setValueSrc:i,readonly:n,title:s.fieldSourcesPopupTitle}))},tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.ValueSources||(null==t?void 0:t.config)!==(null==e?void 0:e.config);if((!this.meta||["config"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e)),r){var n=e.config,o=n.settings.renderValueSources;this.ValueSources=function(e){return o(e,n.ctx)}}}},{key:"getMeta",value:function(e){var t=e.config.settings,r=t.valueSourcesInfo;return{fieldSourcesOptions:t.fieldSources.map((function(e){return[e,{label:r[e].label}]}))}}},{key:"render",value:function(){var e=this.props,t=(e.classname,e.canSelectFieldSource),r=t&&this.renderFieldSources(),n=this.renderField();return t?he().createElement(zb,{className:"rule--field-wrapper"},r,n):n}}])}(pe.Component),nE=["factory"];function oE(e,t,r){return t=zn(t),Bn(e,iE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function iE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(iE=function(){return!!e})()}var aE=Iy.ConfigUtils.getOperatorConfig,lE=function(e){function t(){return Nn(this,t),oE(this,t,arguments)}return Hn(t,e),Vn(t,[{key:"render",value:function(){if(!this.props.selectedOperator)return null;var e=aE(this.props.config,this.props.selectedOperator,this.props.selectedField);if(void 0===e.options)return null;var t=e.options,r=t.factory,n=qv(t,nE),o=r(Object.assign({},n,{config:this.props.config,field:this.props.selectedField,fieldSrc:this.props.selectedFieldSrc,operator:this.props.selectedOperator,options:this.props.operatorOptions,setOption:this.props.setOperatorOption,readonly:this.props.readonly}),this.props.config.ctx),i=this.props.selectedOperator;return he().createElement("div",{className:"rule--operator rule--operator--".concat(i.toUpperCase())},o)}}])}(pe.PureComponent);function sE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function uE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?sE(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):sE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function cE(e,t,r){return t=zn(t),Bn(e,dE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function dE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(dE=function(){return!!e})()}lE.propTypes={config:jy().object.isRequired,operatorOptions:jy().any.isRequired,selectedField:jy().any,selectedFieldSrc:jy().string,selectedOperator:jy().string.isRequired,readonly:jy().bool,setOperatorOption:jy().func.isRequired};var pE=Iy.ConfigUtils,fE=pE.getFieldConfig,hE=pE.getOperatorConfig,gE=pE.getFieldWidgetConfig,vE=pE.getFieldId,mE=Iy.RuleUtils.isEmptyRuleProperties,yE=function(e){function t(e){var r;return Nn(this,t),r=cE(this,t,[e]),tb(r),r.removeSelf=r.removeSelf.bind(r),r.setLock=r.setLock.bind(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this,r=this.props,n=!this.Icon||(null==r?void 0:r.config)!==(null==e?void 0:e.config);if((!this.meta||["selectedField","selectedFieldSrc","selectedFieldType","selectedOperator","config","reordableNodesCnt","isLocked"].map((function(t){return e[t]!==r[t]})).filter((function(e){return e})).length>0)&&(this.meta=this.getMeta(e)),n){var o=e.config,i=o.settings,a=i.renderIcon,l=i.renderButton,s=i.renderButtonGroup,u=i.renderSwitch,c=i.renderBeforeWidget,d=i.renderAfterWidget,p=i.renderRuleError;this.Icon=$b(o,a),this.Btn=$b(o,l),this.BtnGrp=$b(o,s),this.Switch=$b(o,u),this.BeforeWidget=$b(o,c),this.AfterWidget=$b(o,d),this.RuleError=$b(o,p)}this.doRemove=function(){t.props.removeSelf()}}},{key:"getMeta",value:function(e){var t=e.selectedField,r=e.selectedFieldType,n=e.selectedOperator,o=e.config,i=e.reordableNodesCnt,a=e.isLocked,l=o.settings.keepInputOnChangeFieldSrc,s=vE(t,o),u=fE(o,t),c=u&&"!struct"===u.type,d=!!t||l&&r,p=d&&n,f=hE(o,n,t),h=f&&null!=f.options,g=gE(o,t,n,null,null)||{},v=g.hideOperator;return{selectedFieldId:s,selectedFieldWidgetConfig:g,showDragIcon:o.settings.canReorder&&i>1&&!a,showOperator:d&&!v,showOperatorLabel:d&&v&&g.operatorInlineLabel,showWidget:p&&!c,showOperatorOptions:p&&h}}},{key:"setLock",value:function(e){this.props.setLock(e)}},{key:"removeSelf",value:function(){var e=this.props,t=e.confirmFn,r=e.config,n=r.settings,o=n.renderConfirm,i=n.removeRuleConfirmOptions;i&&!this.isEmptyCurrentRule()?o.call(r.ctx,uE(uE({},i),{},{onOk:this.doRemove,onCancel:null,confirmFn:t}),r.ctx):this.doRemove()}},{key:"_buildWidgetProps",value:function(e,t){var r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.selectedOperator,a=e.operatorOptions,l=e.value,s=e.valueType,u=e.valueSrc,c=e.asyncListValues,d=e.valueError,p=e.fieldError,f=e.parentField;return{field:r,fieldSrc:n,fieldType:o,fieldId:t.selectedFieldId,operator:i,operatorOptions:a,value:l,valueType:s,valueSrc:u,asyncListValues:c,valueError:d,fieldError:p,parentField:f}}},{key:"isEmptyCurrentRule",value:function(){var e=this.props.config,t=this._buildWidgetProps(this.props,this.meta);return mE(t,e)}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.parentField,o=e.groupId,i=e.id,a=e.selectedFieldSrc,l=e.selectedField,s=e.selectedFieldType,u=e.setField,c=e.setFuncValue,d=e.setFieldSrc,p=e.fieldError,f=t.settings.immutableFieldsMode,h=this.meta.selectedFieldId;return he().createElement(rE,{key:"field",classname:mb()("func"==a?"rule--field--func":"rule--field"),config:t,canSelectFieldSource:!n,selectedField:l,selectedFieldSrc:a,selectedFieldType:s,selectedFieldId:h,fieldError:p,setField:f?Wb:u,setFuncValue:f?Wb:c,setFieldSrc:f?Wb:d,parentField:n,readonly:f||r,id:i,groupId:o})}},{key:"renderOperator",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=this.meta,o=n.selectedFieldId,i=n.selectedFieldWidgetConfig,a=n.showOperator,l=n.showOperatorLabel,s=t.settings.immutableOpsMode;return he().createElement(Xb,{key:"operator",config:t,selectedField:this.props.selectedField,selectedFieldSrc:this.props.selectedFieldSrc,selectedFieldType:this.props.selectedFieldType,selectedFieldId:o,selectedOperator:this.props.selectedOperator,setOperator:s?Wb:this.props.setOperator,showOperator:a,showOperatorLabel:l,selectedFieldWidgetConfig:i,readonly:s||r,id:this.props.id,groupId:this.props.groupId})}},{key:"renderWidget",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=this.meta.showWidget,o=t.settings.immutableValuesMode;if(!n)return null;var i=he().createElement($O,gb({key:"values"},this._buildWidgetProps(this.props,this.meta),{config:t,setValue:o?Wb:this.props.setValue,setValueSrc:o?Wb:this.props.setValueSrc,setFuncValue:o?Wb:this.props.setFuncValue,readonly:o||r,id:this.props.id,groupId:this.props.groupId}));return he().createElement(zb,{key:"widget-for-"+this.props.selectedOperator,className:"rule--value"},i)}},{key:"renderOperatorOptions",value:function(){var e=this.props.config,t=this.meta.showOperatorOptions,r=e.settings,n=r.immutableOpsMode,o=r.immutableValuesMode;if(!t)return null;var i=he().createElement(lE,{key:"operatorOptions",selectedField:this.props.selectedField,selectedOperator:this.props.selectedOperator,operatorOptions:this.props.operatorOptions,setOperatorOption:n?Wb:this.props.setOperatorOption,config:e,readonly:o});return he().createElement(zb,{key:"op-options-for-"+this.props.selectedOperator,className:"rule--operator-options"},i)}},{key:"renderBeforeWidget",value:function(){var e=this.BeforeWidget;return e?he().createElement(zb,{key:"before-widget-for-"+this.props.selectedOperator,className:"rule--before-widget"},he().createElement(e,this.props)):null}},{key:"renderAfterWidget",value:function(){var e=this.AfterWidget;return e?he().createElement(zb,{key:"after-widget-for-"+this.props.selectedOperator,className:"rule--after-widget"},he().createElement(e,this.props)):null}},{key:"renderError",value:function(){var e=this.props,t=e.config,r=e.valueError,n=e.fieldError,o=t.settings.showErrorMessage,i=this.RuleError,a=[n].concat(Jn((null==r?void 0:r.toArray())||[])).filter((function(e){return!!e})).shift()||null;return o&&a&&he().createElement("div",{className:"rule--error"},i?he().createElement(i,{error:a}):a)}},{key:"renderDrag",value:function(){var e=this.props.handleDraggerMouseDown,t=this.meta.showDragIcon,r=this.Icon,n=he().createElement(r,{type:"drag"});return t&&he().createElement("div",{key:"rule-drag-icon",onMouseDown:e,className:"qb-drag-handler rule--drag-handler"},n)}},{key:"renderDel",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=t.settings,o=n.deleteLabel,i=n.immutableGroupsMode,a=n.canDeleteLocked,l=this.Icon,s=this.Btn;return!i&&(!r||r&&a)&&he().createElement(s,{key:"rule-del",type:"delRule",onClick:this.removeSelf,label:o,config:t,renderIcon:l})}},{key:"renderLock",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.isTrueLocked,o=e.id,i=t.settings,a=i.lockLabel,l=i.lockedLabel,s=i.showLock,u=this.Switch;return s&&!(r&&!n)&&he().createElement(u,{key:"rule-lock",type:"lock",id:o,value:r,setValue:this.setLock,label:a,checkedLabel:l,hideLabel:!0,config:t})}},{key:"render",value:function(){var e=this.meta,t=e.showOperatorOptions,r=e.selectedFieldWidgetConfig,n=this.props,o=n.valueSrc,i=n.value,a=n.config,l="value"==(null==o?void 0:o.first())&&!t&&1==i.size&&r.fullWidth,s=this.BtnGrp,u=[this.renderField(),this.renderOperator(),this.renderBeforeWidget(),this.renderWidget(),this.renderAfterWidget(),this.renderOperatorOptions()],c=he().createElement("div",{key:"rule-body",className:mb()("rule--body",l&&"can--shrink--value")},u),d=this.renderError(),p=this.renderDrag(),f=this.renderLock(),h=this.renderDel();return he().createElement(he().Fragment,null,p,he().createElement("div",{key:"rule-body-wrapper",className:"rule--body--wrapper"},c,d),he().createElement("div",{key:"rule-header-wrapper",className:"rule--header"},he().createElement(s,{key:"rule-header-group",config:a},f,h)))}}])}(pe.Component);yE.propTypes={id:jy().string.isRequired,groupId:jy().string,selectedField:jy().any,selectedFieldSrc:jy().string,selectedFieldType:jy().string,selectedOperator:jy().string,operatorOptions:jy().object,config:jy().object.isRequired,value:jy().any,valueSrc:jy().any,valueType:jy().any,asyncListValues:jy().array,isDraggingMe:jy().bool,isDraggingTempo:jy().bool,parentField:jy().string,valueError:jy().any,fieldError:jy().string,isLocked:jy().bool,isTrueLocked:jy().bool,handleDraggerMouseDown:jy().func,setField:jy().func,setFieldSrc:jy().func,setOperator:jy().func,setOperatorOption:jy().func,setLock:jy().func,removeSelf:jy().func,setValue:jy().func,setValueSrc:jy().func,setFuncValue:jy().func,reordableNodesCnt:jy().number,totalRulesCnt:jy().number,parentReordableNodesCnt:jy().number};const bE=function(e){var t=(0,Ny.connect)((function(e){return{dragging:e.dragging}}),null,null,{context:Py})(function(e){var t;return t=function(t){function r(e){var t;return Nn(this,r),(t=yb(this,r,[e])).dummyFn=function(){},t.removeSelf=function(){t.props.actions.removeRule(t.props.path)},t.setLock=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;t.props.actions.setLock(t.props.path,e)},t.setField=function(e,r,n){t.props.actions.setField(t.props.path,e,r,n)},t.setFieldSrc=function(e){t.props.actions.setFieldSrc(t.props.path,e)},t.setOperator=function(e){t.props.actions.setOperator(t.props.path,e)},t.setOperatorOption=function(e,r){t.props.actions.setOperatorOption(t.props.path,e,r)},t.setValue=function(e,r,n,o,i){t.props.actions.setValue(t.props.path,e,r,n,o,i)},t.setValueSrc=function(e,r,n){t.props.actions.setValueSrc(t.props.path,e,r,n)},t.setFuncValue=function(e,r,n,o,i,a,l){t.props.actions.setFuncValue(t.props.path,e,r,n,o,i,a,l)},t.pureShouldComponentUpdate=eb(t),t.dummyFn.isDummyFn=!0,t}return Hn(r,t),Vn(r,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=(e.dragging.id||r.dragging.id)==e.id,a=[];for(var l in e){var s=e[l]!=r[l];"dragging"!=l||i||(s=!1),s&&a.push(l)}a.length||(o=!1)}return o}},{key:"render",value:function(){var t=this.props.dragging.id==this.props.id,r=Ob(this.props.config,this.props.field),n=this.props.fieldType||(null==r?void 0:r.type)||null,o=this.props.config.settings.showErrorMessage,i=(r&&r.type,!t&&this.props.isDraggingTempo),a=this.props,l=a.valueError,s=null!=([a.fieldError].concat(Jn((null==l?void 0:l.toArray())||[])).filter((function(e){return!!e})).shift()||null)&&o;return he().createElement("div",{className:mb()("group-or-rule-container","rule-container",s?"rule-with-error":null),"data-id":this.props.id},[t?he().createElement(e,{key:"dragging",id:this.props.id,groupId:this.props.groupId,isDraggingMe:!0,isDraggingTempo:!0,dragging:this.props.dragging,setField:this.dummyFn,setFieldSrc:this.dummyFn,setFuncValue:this.dummyFn,setOperator:this.dummyFn,setOperatorOption:this.dummyFn,setLock:this.dummyFn,removeSelf:this.dummyFn,setValue:this.dummyFn,setValueSrc:this.dummyFn,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:n,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,value:this.props.value||null,valueSrc:this.props.valueSrc||null,valueType:this.props.valueType||null,valueError:this.props.valueError||null,fieldError:this.props.fieldError||null,operatorOptions:this.props.operatorOptions,config:this.props.config,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,asyncListValues:this.props.asyncListValues,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt}):null,he().createElement(e,{key:this.props.id,id:this.props.id,groupId:this.props.groupId,isDraggingMe:t,isDraggingTempo:i,onDragStart:this.props.onDragStart,setLock:i?this.dummyFn:this.setLock,removeSelf:i?this.dummyFn:this.removeSelf,setField:i?this.dummyFn:this.setField,setFieldSrc:i?this.dummyFn:this.setFieldSrc,setFuncValue:i?this.dummyFn:this.setFuncValue,setOperator:i?this.dummyFn:this.setOperator,setOperatorOption:i?this.dummyFn:this.setOperatorOption,setValue:i?this.dummyFn:this.setValue,setValueSrc:i?this.dummyFn:this.setValueSrc,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:n,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,value:this.props.value||null,valueSrc:this.props.valueSrc||null,valueType:this.props.valueType||null,valueError:this.props.valueError||null,fieldError:this.props.fieldError||null,operatorOptions:this.props.operatorOptions,config:this.props.config,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,asyncListValues:this.props.asyncListValues,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt})])}}])}(pe.Component),t.propTypes={id:jy().string.isRequired,groupId:jy().string,config:jy().object.isRequired,path:jy().any.isRequired,operator:jy().string,field:jy().any,fieldSrc:jy().string,fieldType:jy().string,actions:jy().object.isRequired,onDragStart:jy().func,value:jy().any,valueSrc:jy().any,asyncListValues:jy().array,valueError:jy().any,fieldError:jy().string,operatorOptions:jy().object,reordableNodesCnt:jy().number,parentField:jy().string,isLocked:jy().bool,isTrueLocked:jy().bool,dragging:jy().object,isDraggingTempo:jy().bool},t}(e));return t.displayName="ConnectedRuleContainer",t}(Ib("rule")(qb(yE)));var OE=v(3547),EE=v.n(OE);function SE(e,t,r){return t=zn(t),Bn(e,wE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function wE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(wE=function(){return!!e})()}var TE=Iy.DefaultUtils.defaultGroupConjunction;const xE=function(e,t){var r=(0,Ny.connect)((function(e){return{dragging:e.dragging}}),null,null,{context:Py})(function(e,t){var r;return r=function(r){function n(e){var r;return Nn(this,n),(r=SE(this,n,[e]))._selectedConjunction=function(e){return(e=e||r.props).conjunction||TE(e.config,e.field)},r.setConjunction=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setConjunction(r.props.path,e)},r.setNot=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setNot(r.props.path,e)},r.setLock=function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:null;r.props.actions.setLock(r.props.path,e)},r.dummyFn=function(){},r.removeSelf=function(){r.props.actions.removeGroup(r.props.path)},r.addGroup=function(){r.props.actions.addGroup(r.props.path)},r.addCaseGroup=function(){r.props.actions.addCaseGroup(r.props.path)},r.addDefaultCaseGroup=function(){r.props.actions.addDefaultCaseGroup(r.props.path)},r.addRule=function(){var e="rule_group"==t?r.props.field:null;r.props.actions.addRule(r.props.path,void 0,void 0,void 0,e)},r.setField=function(e,t,n){r.props.actions.setField(r.props.path,e,t,n)},r.setOperator=function(e){r.props.actions.setOperator(r.props.path,e)},r.setValue=function(e,t,n,o,i){r.props.actions.setValue(r.props.path,e,t,n,o,i)},r.setValueSrc=function(e,t,n){r.props.actions.setValueSrc(r.props.path,e,t,n)},r.setFuncValue=function(e,t,n,o,i,a,l){r.props.actions.setFuncValue(r.props.path,e,t,n,o,i,a,l)},r.pureShouldComponentUpdate=eb(r),tb(r),r.selectedConjunction=r._selectedConjunction(e),r.conjunctionOptions=r._getConjunctionOptions(e),r.dummyFn.isDummyFn=!0,r}return Hn(n,r),Vn(n,[{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=(e.dragging.id||r.dragging.id)==e.id,a=[];for(var l in e){var s=e[l]!=r[l];"dragging"!=l||i||(s=!1),s&&a.push(l)}a.length||(o=!1)}return o}},{key:"onPropsChanged",value:function(e){var t=e.config,r=(e.id,e.conjunction),n=this.props.config,o=this.props.conjunction;n==t&&o==r||(this.selectedConjunction=this._selectedConjunction(e),this.conjunctionOptions=this._getConjunctionOptions(e))}},{key:"_getConjunctionOptions",value:function(e){var t=this;return Xm()(e.config.conjunctions,(function(r,n){return{id:"conjunction-".concat(e.id,"-").concat(n),name:"conjunction[".concat(e.id,"]"),key:n,label:r.label,checked:n===t._selectedConjunction(e)}}))}},{key:"render",value:function(){var t=this.props.config.settings.showErrorMessage,r=this.props.dragging.id==this.props.id,n=this.props.path.size,o=this.props.config.settings.maxNesting,i=!r&&this.props.isDraggingTempo,a=this.props.fieldType||null,l=this.props.valueError,s=null!=(Jn((null==l?void 0:l.toArray())||[]).filter((function(e){return!!e})).shift()||null)&&t,u=void 0===o||n<o,c=1==n;return he().createElement("div",{className:mb()("group-or-rule-container","group-container",s?"group-with-error":null),"data-id":this.props.id},[r?he().createElement(e,{key:"dragging",id:this.props.id,groupId:this.props.groupId,isDraggingMe:!0,isDraggingTempo:!0,dragging:this.props.dragging,isRoot:c,allowFurtherNesting:u,conjunctionOptions:this.conjunctionOptions,not:this.props.not,selectedConjunction:this.selectedConjunction,setConjunction:this.dummyFn,setNot:this.dummyFn,setLock:this.dummyFn,removeSelf:this.dummyFn,addGroup:this.dummyFn,addCaseGroup:this.dummyFn,addDefaultCaseGroup:this.dummyFn,addRule:this.dummyFn,setField:this.dummyFn,setFuncValue:this.dummyFn,setOperator:this.dummyFn,setValue:this.dummyFn,setValueSrc:this.dummyFn,value:this.props.value||null,valueError:this.props.valueError||null,valueSrc:this.props.valueSrc||null,config:this.props.config,children1:this.props.children1,actions:this.props.actions,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:a,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt}):null,he().createElement(e,{key:this.props.id,id:this.props.id,groupId:this.props.groupId,isDraggingMe:r,isDraggingTempo:i,onDragStart:this.props.onDragStart,isRoot:c,allowFurtherNesting:u,conjunctionOptions:this.conjunctionOptions,not:this.props.not,selectedConjunction:this.selectedConjunction,setConjunction:i?this.dummyFn:this.setConjunction,setNot:i?this.dummyFn:this.setNot,setLock:i?this.dummyFn:this.setLock,removeSelf:i?this.dummyFn:this.removeSelf,addGroup:i?this.dummyFn:this.addGroup,addCaseGroup:i?this.dummyFn:this.addCaseGroup,addDefaultCaseGroup:i?this.dummyFn:this.addDefaultCaseGroup,addRule:i?this.dummyFn:this.addRule,setField:i?this.dummyFn:this.setField,setFuncValue:i?this.dummyFn:this.setFuncValue,setOperator:i?this.dummyFn:this.setOperator,setValue:i?this.dummyFn:this.setValue,setValueSrc:i?this.dummyFn:this.setValueSrc,value:this.props.value||null,valueError:this.props.valueError||null,valueSrc:this.props.valueSrc||null,config:this.props.config,children1:this.props.children1,actions:this.props.actions,reordableNodesCnt:this.props.reordableNodesCnt,totalRulesCnt:this.props.totalRulesCnt,selectedField:this.props.field||null,selectedFieldSrc:this.props.fieldSrc||"field",selectedFieldType:a,parentField:this.props.parentField||null,selectedOperator:this.props.operator||null,isLocked:this.props.isLocked,isTrueLocked:this.props.isTrueLocked,parentReordableNodesCnt:this.props.parentReordableNodesCnt})])}}])}(pe.Component),r.propTypes={config:jy().object.isRequired,actions:jy().object.isRequired,path:jy().any.isRequired,id:jy().string.isRequired,groupId:jy().string,not:jy().bool,conjunction:jy().string,children1:jy().any,onDragStart:jy().func,reordableNodesCnt:jy().number,field:jy().any,fieldSrc:jy().string,fieldType:jy().string,parentField:jy().string,value:jy().any,valueSrc:jy().any,valueError:jy().any,isLocked:jy().bool,isTrueLocked:jy().bool,dragging:jy().object,isDraggingTempo:jy().bool},r}(e,t));return r.displayName="ConnectedGroupContainer",r};function _E(e,t,r){return t=zn(t),Bn(e,CE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function CE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(CE=function(){return!!e})()}var RE={topLeft:"group--actions--tl",topCenter:"group--actions--tc",topRight:"group--actions--tr",bottomLeft:"group--actions--bl",bottomCenter:"group--actions--bc",bottomRight:"group--actions--br"},IE=function(e){function t(){return Nn(this,t),_E(this,t,arguments)}return Hn(t,e),Vn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.addGroup,o=e.removeSelf,i=e.setLock,a=e.isLocked,l=e.isTrueLocked,s=e.id,u=e.canAddGroup,c=e.canAddRule,d=e.canDeleteGroup,p=t.settings,f=p.immutableGroupsMode,h=p.addRuleLabel,g=p.addGroupLabel,v=p.delGroupLabel,m=p.groupActionsPosition,y=p.renderButton,b=p.renderIcon,O=p.renderSwitch,E=p.renderButtonGroup,S=p.lockLabel,w=p.lockedLabel,T=p.showLock,x=p.canDeleteLocked,_=function(e){return b(e,t.ctx)},C=function(e){return y(e,t.ctx)},R=function(e){return O(e,t.ctx)},I=function(e){return E(e,t.ctx)},A=RE[m||"topRight"],j=T&&!(a&&!l)&&he().createElement(R,{type:"lock",id:s,value:a,setValue:i,label:S,checkedLabel:w,config:t}),k=!f&&c&&!a&&he().createElement(C,{type:"addRule",onClick:r,label:h,readonly:a,config:t,renderIcon:_}),P=!f&&u&&!a&&he().createElement(C,{type:"addGroup",onClick:n,label:g,readonly:a,config:t,renderIcon:_}),L=!f&&d&&(!a||a&&x)&&he().createElement(C,{type:"delGroup",onClick:o,label:v,config:t,renderIcon:_});return he().createElement("div",{className:"group--actions ".concat(A)},he().createElement(I,{config:t},j,k,P,L))}}])}(pe.PureComponent);function AE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function jE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?AE(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):AE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function kE(e,t,r){return t=zn(t),Bn(e,PE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function PE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(PE=function(){return!!e})()}var LE=Iy.RuleUtils.isEmptyGroupChildren,NE=function(e){function t(e){var r;return Nn(this,t),(r=kE(this,t,[e])).childrenClassName=function(){return""},r.renderBeforeActions=function(){var e=r.BeforeActions;return null==e?null:he().createElement(e,gb({key:"group-actions-before"},r.props))},r.renderAfterActions=function(){var e=r.AfterActions;return null==e?null:he().createElement(e,gb({key:"group-actions-after"},r.props))},tb(r),r.onPropsChanged(e),r.removeSelf=r.removeSelf.bind(r),r.setLock=r.setLock.bind(r),r.renderItem=r.renderItem.bind(r),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this,r=this.props;if(!this.Icon||(null==r?void 0:r.config)!==(null==e?void 0:e.config)){var n=e.config,o=n.settings,i=o.renderIcon,a=o.renderConjs,l=o.renderBeforeActions,s=o.renderAfterActions;this.Icon=$b(n,i),this.Conjs=$b(n,a),this.BeforeActions=$b(n,l),this.AfterActions=$b(n,s)}this.doRemove=function(){t.props.removeSelf()}}},{key:"isGroupTopPosition",value:function(){return EE()(this.props.config.settings.groupActionsPosition||"topRight","top")}},{key:"setLock",value:function(e){this.props.setLock(e)}},{key:"removeSelf",value:function(){var e=this.props,t=e.confirmFn,r=e.config,n=r.settings,o=n.renderConfirm,i=n.removeGroupConfirmOptions;i&&!this.isEmptyCurrentGroup()?o.call(r.ctx,jE(jE({},i),{},{onOk:this.doRemove,onCancel:null,confirmFn:t}),r.ctx):this.doRemove()}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props,t=e.children1,r=e.config;return LE(t,r)}},{key:"showNot",value:function(){return this.props.config.settings.showNot}},{key:"showConjs",value:function(){var e=this.props,t=e.conjunctionOptions;return e.children1,e.config,Object.keys(t).length>1||this.showNot()}},{key:"isNoChildren",value:function(){var e=this.props.children1;return!e||0==e.size}},{key:"isOneChild",value:function(){var e=this.props.children1;return!e||e.size<2}},{key:"renderChildrenWrapper",value:function(){return this.props.children1&&he().createElement("div",{key:"group-children",className:mb()("group--children",this.showConjs()?"":"hide--conjs",this.isOneChild()?"hide--line":"",this.isOneChild()?"one--child":"",this.childrenClassName())},this.renderChildren())}},{key:"renderHeaderWrapper",value:function(){var e=this.isGroupTopPosition();return he().createElement("div",{key:"group-header",className:mb()("group--header",this.isOneChild()?"one--child":"",this.showConjs()?"":"hide--conjs",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"")},this.renderHeader(),e&&this.renderBeforeActions(),e&&this.renderActions(),e&&this.renderAfterActions())}},{key:"renderFooterWrapper",value:function(){return!this.isGroupTopPosition()&&he().createElement("div",{key:"group-footer",className:"group--footer"},this.renderBeforeActions(),this.renderActions(),this.renderAfterActions())}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.addGroup,o=e.isLocked,i=e.isTrueLocked,a=e.id;return he().createElement(IE,{key:"group-actions",config:t,addRule:r,addGroup:n,canAddGroup:this.canAddGroup(),canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}},{key:"canAddGroup",value:function(){return this.props.allowFurtherNesting}},{key:"canAddRule",value:function(){var e=this.props.config.settings.maxNumberOfRules,t=this.props.totalRulesCnt;return!e||t<e}},{key:"canDeleteGroup",value:function(){return!this.props.isRoot}},{key:"renderChildren",value:function(){var e=this.props.children1;return e?e.valueSeq().toArray().map(this.renderItem):null}},{key:"renderItem",value:function(e){if(e){var t=this.props,r=t.config,n=t.actions,o=t.onDragStart,i=t.isLocked,a="group"==e.get("type")&&null!=e.getIn(["properties","field"])?"rule_group":e.get("type");return he().createElement(kS,gb({},this.extraPropsForItem(e),{key:e.get("id"),id:e.get("id"),groupId:t.id,path:e.get("path"),type:a,properties:e.get("properties"),config:r,actions:n,children1:e.get("children1"),reordableNodesCnt:this.reordableNodesCntForItem(e),totalRulesCnt:this.totalRulesCntForItem(e),parentReordableNodesCnt:this.reordableNodesCnt(),onDragStart:o,isDraggingTempo:this.props.isDraggingTempo,isParentLocked:i}))}}},{key:"extraPropsForItem",value:function(e){return{}}},{key:"reordableNodesCnt",value:function(){return this.props.isLocked?0:this.props.reordableNodesCnt}},{key:"totalRulesCntForItem",value:function(e){return this.props.totalRulesCnt}},{key:"reordableNodesCntForItem",value:function(e){return this.props.isLocked?0:this.reordableNodesCnt()}},{key:"showDragIcon",value:function(){var e=this.props,t=e.config,r=e.isRoot,n=e.isLocked,o=this.reordableNodesCnt();return t.settings.canReorder&&!r&&o>1&&!n}},{key:"renderDrag",value:function(){var e=this.props.handleDraggerMouseDown,t=this.Icon,r=he().createElement(t,{type:"drag"});return this.showDragIcon()&&he().createElement("div",{key:"group-drag-icon",onMouseDown:e,className:"qb-drag-handler group--drag-handler"},r)}},{key:"conjunctionOptions",value:function(){return this.props.conjunctionOptions}},{key:"renderConjs",value:function(){var e=this.props,t=e.config,r=e.children1,n=e.id,o=e.selectedConjunction,i=e.setConjunction,a=e.not,l=e.setNot,s=e.isLocked,u=t.settings,c=u.immutableGroupsMode,d=(u.renderConjs,u.showNot,u.notLabel),p=this.conjunctionOptions();if(!this.showConjs())return null;if(!r||!r.size)return null;var f={disabled:this.isOneChild(),readonly:c||s,selectedConjunction:o,setConjunction:c?Wb:i,conjunctionOptions:p,config:t,not:a||!1,id:n,setNot:c?Wb:l,notLabel:d,showNot:this.showNot(),isLocked:s},h=this.Conjs;return he().createElement(h,gb({key:"group-conjs"},f))}},{key:"renderHeader",value:function(){return he().createElement("div",{key:"group-conjunctions",className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"render",value:function(){return he().createElement(he().Fragment,null,this.renderHeaderWrapper(),this.renderChildrenWrapper(),this.renderFooterWrapper())}}])}(pe.Component);NE.propTypes={reordableNodesCnt:jy().number,conjunctionOptions:jy().object.isRequired,allowFurtherNesting:jy().bool.isRequired,isRoot:jy().bool.isRequired,not:jy().bool,selectedConjunction:jy().string,config:jy().object.isRequired,id:jy().string.isRequired,groupId:jy().string,path:jy().any,children1:jy().any,isDraggingMe:jy().bool,isDraggingTempo:jy().bool,isLocked:jy().bool,isTrueLocked:jy().bool,handleDraggerMouseDown:jy().func,onDragStart:jy().func,addRule:jy().func.isRequired,addGroup:jy().func.isRequired,removeSelf:jy().func.isRequired,setConjunction:jy().func.isRequired,setNot:jy().func.isRequired,setLock:jy().func.isRequired,actions:jy().object.isRequired};const FE=xE(Ib("group")(qb(NE)),"group");function DE(){return DE="undefined"!=typeof Reflect&&Reflect.get?Reflect.get.bind():function(e,t,r){var n=function(e,t){for(;!{}.hasOwnProperty.call(e,t)&&null!==(e=zn(e)););return e}(e,t);if(n){var o=Object.getOwnPropertyDescriptor(n,t);return o.get?o.get.call(arguments.length<3?e:r):o.value}},DE.apply(null,arguments)}function ME(e,t,r){return t=zn(t),Bn(e,VE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function VE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(VE=function(){return!!e})()}var UE=function(e){function t(){return Nn(this,t),ME(this,t,arguments)}return Hn(t,e),Vn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.canAddRule,o=e.canDeleteGroup,i=e.removeSelf,a=e.setLock,l=e.isLocked,s=e.isTrueLocked,u=e.id,c=t.settings,d=c.immutableGroupsMode,p=c.addRuleLabel,f=c.delGroupLabel,h=c.renderButton,g=c.renderIcon,v=c.renderSwitch,m=c.renderButtonGroup,y=c.lockLabel,b=c.lockedLabel,O=c.showLock,E=c.canDeleteLocked,S=function(e){return g(e,t.ctx)},w=function(e){return h(e,t.ctx)},T=function(e){return v(e,t.ctx)},x=function(e){return m(e,t.ctx)},_=O&&!(l&&!s)&&he().createElement(T,{type:"lock",id:u,value:l,setValue:a,label:y,checkedLabel:b,hideLabel:!0,config:t}),C=!d&&n&&!l&&he().createElement(w,{type:"addRuleGroup",onClick:r,label:p,readonly:l,config:t,renderIcon:S}),R=!d&&o&&(!l||l&&E)&&he().createElement(w,{type:"delRuleGroup",onClick:i,label:f,config:t,renderIcon:S});return he().createElement("div",{className:"group--actions"},he().createElement(x,{config:t},_,C,R))}}])}(pe.PureComponent);function BE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function zE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?BE(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):BE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function WE(e,t,r){return t=zn(t),Bn(e,HE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function HE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(HE=function(){return!!e})()}var qE=function(e){function t(e){var r;return Nn(this,t),(r=WE(this,t,[e])).childrenClassName=function(){return"rule_group--children"},r.renderHeaderWrapper=function(){return null},r.renderFooterWrapper=function(){return null},r.renderConjs=function(){return null},r.canAddGroup=function(){return!1},r.canAddRule=function(){return!0},r.canDeleteGroup=function(){return!1},r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){DE(zn(t.prototype),"onPropsChanged",this).call(this,e)}},{key:"reordableNodesCntForItem",value:function(e){if(this.props.isLocked)return 0;var t=this.props.children1;return(null==t?void 0:t.size)||0}},{key:"renderChildrenWrapper",value:function(){return he().createElement(he().Fragment,null,this.renderDrag(),this.renderField(),this.renderActions(),DE(zn(t.prototype),"renderChildrenWrapper",this).call(this))}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.setField,a=e.setFuncValue,l=e.setFieldSrc,s=e.parentField,u=e.id,c=e.groupId,d=e.isLocked,p=t.settings.immutableFieldsMode;return he().createElement(rE,{key:"field",classname:"group--field",config:t,canSelectFieldSource:!1,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,setField:i,setFuncValue:a,setFieldSrc:l,parentField:s,readonly:p||d,id:u,groupId:c})}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.isLocked,o=e.isTrueLocked,i=e.id;return he().createElement(UE,{config:t,addRule:r,canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:n,isTrueLocked:o,id:i})}},{key:"extraPropsForItem",value:function(e){return{parentField:this.props.selectedField}}}])}(NE);qE.propTypes=zE(zE({},NE.propTypes),{},{selectedField:jy().any,selectedFieldSrc:jy().string,parentField:jy().string,setField:jy().func,setFieldSrc:jy().func});const GE=xE(Ib("group rule_group")(qb(qE)),"rule_group");function $E(e,t,r){return t=zn(t),Bn(e,KE()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function KE(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(KE=function(){return!!e})()}var YE=function(e){function t(){return Nn(this,t),$E(this,t,arguments)}return Hn(t,e),Vn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.canAddRule,o=e.canDeleteGroup,i=e.removeSelf,a=e.setLock,l=e.isLocked,s=e.isTrueLocked,u=e.id,c=t.settings,d=c.immutableGroupsMode,p=c.addSubRuleLabel,f=c.delGroupLabel,h=c.renderButton,g=c.renderIcon,v=c.renderSwitch,m=c.renderButtonGroup,y=c.lockLabel,b=c.lockedLabel,O=c.showLock,E=c.canDeleteLocked,S=function(e){return g(e,t.ctx)},w=function(e){return h(e,t.ctx)},T=function(e){return v(e,t.ctx)},x=function(e){return m(e,t.ctx)},_=O&&!(l&&!s)&&he().createElement(T,{type:"lock",id:u,value:l,setValue:a,label:y,checkedLabel:b,config:t}),C=!d&&n&&!l&&he().createElement(w,{type:"addRuleGroupExt",onClick:r,label:p,readonly:l,config:t,renderIcon:S}),R=!d&&o&&(!l||l&&E)&&he().createElement(w,{type:"delRuleGroup",onClick:i,label:f,config:t,renderIcon:S});return he().createElement("div",{className:"group--actions group--actions--tr"},he().createElement(x,{config:t},_,C,R))}}])}(pe.PureComponent);function XE(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function QE(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?XE(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):XE(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function JE(e,t){(null==t||t>e.length)&&(t=e.length);for(var r=0,n=new Array(t);r<t;r++)n[r]=e[r];return n}function ZE(e,t,r){return t=zn(t),Bn(e,eS()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function eS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(eS=function(){return!!e})()}var tS=Iy.ConfigUtils,rS=tS.getFieldConfig,nS=tS.getFieldWidgetConfig,oS=Iy.RuleUtils.isEmptyRuleGroupExtPropertiesAndChildren,iS=function(e){function t(e){var r;return Nn(this,t),(r=ZE(this,t,[e])).childrenClassName=function(){return"rule_group_ext--children"},r.renderFooterWrapper=function(){return null},r.canAddGroup=function(){return!1},r.canAddRule=function(){return!0},r.canDeleteGroup=function(){return!0},r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){DE(zn(t.prototype),"onPropsChanged",this).call(this,e)}},{key:"renderHeaderWrapper",value:function(){return he().createElement("div",{key:"group-header",className:mb()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag",!this.showConjs()||this.isOneChild()&&!this.showNot()?"hide--conjs":"with--conjs")},this.renderHeader(),this.renderGroupField(),this.renderActions())}},{key:"renderHeader",value:function(){return he().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderGroupField",value:function(){return he().createElement("div",{className:"group--field--count--rule"},this.renderField(),this.renderOperator(),this.renderWidget(),this.renderError())}},{key:"renderError",value:function(){var e=this.props,t=e.config,r=e.valueError,n=t.settings,o=n.renderRuleError,i=n.showErrorMessage,a=Jn((null==r?void 0:r.toArray())||[]).filter((function(e){return!!e})).shift()||null;return i&&a&&he().createElement("div",{className:"rule_group--error"},o?o({error:a},t.ctx):a)}},{key:"showNot",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=(e.selectedOperator,rS(t,r)||{});return null!=n.showNot?n.showNot:t.settings.showNot}},{key:"conjunctionOptions",value:function(){var e=this.props,r=e.config,n=e.selectedField,o=(e.selectedOperator,rS(r,n)||{}),i=DE(zn(t.prototype),"conjunctionOptions",this).call(this);if(o.conjunctions){var a,l={},s=function(e,t){var r="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(!r){if(Array.isArray(e)||(r=function(e,t){if(e){if("string"==typeof e)return JE(e,t);var r=Object.prototype.toString.call(e).slice(8,-1);return"Object"===r&&e.constructor&&(r=e.constructor.name),"Map"===r||"Set"===r?Array.from(e):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?JE(e,t):void 0}}(e))||t&&e&&"number"==typeof e.length){r&&(e=r);var n=0,o=function(){};return{s:o,n:function(){return n>=e.length?{done:!0}:{done:!1,value:e[n++]}},e:function(e){throw e},f:o}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}var i,a=!0,l=!1;return{s:function(){r=r.call(e)},n:function(){var e=r.next();return a=e.done,e},e:function(e){l=!0,i=e},f:function(){try{a||null==r.return||r.return()}finally{if(l)throw i}}}}(o.conjunctions);try{for(s.s();!(a=s.n()).done;){var u=a.value,c=i[u];c&&(l[u]=c)}}catch(e){s.e(e)}finally{s.f()}i=l}return i}},{key:"renderField",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedFieldType,i=e.setField,a=e.setFieldSrc,l=e.setFuncValue,s=e.parentField,u=e.id,c=e.groupId,d=e.isLocked,p=t.settings.immutableFieldsMode;return he().createElement(rE,{key:"field",classname:"rule--field",config:t,canSelectFieldSource:!1,selectedField:r,selectedFieldSrc:n,selectedFieldType:o,setField:i,setFuncValue:l,setFieldSrc:a,parentField:s,readonly:p||d,id:u,groupId:c})}},{key:"renderOperator",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedFieldSrc,o=e.selectedOperator,i=(e.setField,e.setOperator),a=e.isLocked,l=t.settings.immutableFieldsMode,s=nS(t,r,o)||{},u=s.hideOperator,c=r&&u&&s.operatorInlineLabel,d=r&&!u;return he().createElement(Xb,{key:"operator",classname:"group--operator",config:t,selectedField:r,selectedFieldSrc:n,selectedOperator:o,setOperator:i,showOperator:d,showOperatorLabel:c,selectedFieldWidgetConfig:s,readonly:l||a,id:this.props.id,groupId:this.props.groupId})}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props,t=e.children1,r=e.config,n=this._buildWidgetProps(this.props);return oS(n,t,r)}},{key:"_buildWidgetProps",value:function(e){var t=e.selectedField,r=e.selectedFieldSrc,n=e.selectedFieldType,o=e.selectedOperator,i=e.operatorOptions,a=e.value,l=e.valueType,s=(e.valueSrc,e.asyncListValues,e.valueError);return e.fieldError,{field:t,fieldSrc:r,fieldType:n,operator:o,operatorOptions:i,value:a,valueType:l,valueSrc:["value"],valueError:s,fieldError:null,parentField:e.parentField}}},{key:"renderWidget",value:function(){var e=this.props,t=e.config,r=e.selectedField,n=e.selectedOperator,o=e.isLocked,i=t.settings.immutableValuesMode;if(!r||!n)return null;var a=he().createElement($O,gb({key:"values",isForRuleGroup:!0},this._buildWidgetProps(this.props),{config:t,setValue:i?Wb:this.props.setValue,setValueSrc:Wb,readonly:i||o,id:this.props.id,groupId:this.props.groupId}));return he().createElement(zb,{key:"widget-for-"+this.props.selectedOperator,className:"rule--value"},a)}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addRule,n=e.isLocked,o=e.isTrueLocked,i=e.id;return he().createElement(YE,{config:t,addRule:r,canAddRule:this.canAddRule(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:n,isTrueLocked:o,id:i})}},{key:"reordableNodesCntForItem",value:function(e){if(this.props.isLocked)return 0;var t=this.props.children1;return(null==t?void 0:t.size)||0}},{key:"extraPropsForItem",value:function(e){return{parentField:this.props.selectedField}}}])}(NE);iS.propTypes=QE(QE({},NE.propTypes),{},{selectedField:jy().any,selectedFieldSrc:jy().string,selectedOperator:jy().string,value:jy().any,parentField:jy().string,setField:jy().func,setFieldSrc:jy().func,setOperator:jy().func,setValue:jy().func,valueError:jy().any});const aS=xE(Ib("group rule_group_ext")(qb(iS)),"rule_group");function lS(e,t,r){return t=zn(t),Bn(e,sS()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function sS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(sS=function(){return!!e})()}var uS={topLeft:"group--actions--tl",topCenter:"group--actions--tc",topRight:"group--actions--tr",bottomLeft:"group--actions--bl",bottomCenter:"group--actions--bc",bottomRight:"group--actions--br"},cS=function(e){function t(){return Nn(this,t),lS(this,t,arguments)}return Hn(t,e),Vn(t,[{key:"render",value:function(){var e=this.props,t=e.config,r=e.addCaseGroup,n=e.addDefaultCaseGroup,o=e.setLock,i=e.isLocked,a=e.isTrueLocked,l=e.id,s=e.canAddGroup,u=e.canAddDefault,c=t.settings,d=c.immutableGroupsMode,p=c.addCaseLabel,f=c.addDefaultCaseLabel,h=c.groupActionsPosition,g=c.renderButton,v=c.renderIcon,m=c.renderSwitch,y=c.renderButtonGroup,b=c.lockLabel,O=c.lockedLabel,E=c.showLock,S=function(e){return v(e,t.ctx)},w=function(e){return g(e,t.ctx)},T=function(e){return m(e,t.ctx)},x=function(e){return y(e,t.ctx)},_=uS[h||"topRight"],C=E&&!(i&&!a)&&he().createElement(T,{type:"lock",id:l,value:i,setValue:o,label:b,checkedLabel:O,config:t}),R=!d&&s&&!i&&he().createElement(w,{type:"addCaseGroup",onClick:r,label:p,readonly:i,config:t,renderIcon:S}),I=!d&&u&&!i&&he().createElement(w,{type:"addDefaultCaseGroup",onClick:n,label:f,readonly:i,config:t,renderIcon:S});return he().createElement("div",{className:"group--actions ".concat(_)},he().createElement(x,{config:t},C,R,I))}}])}(pe.PureComponent);function dS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function pS(e,t,r){return t=zn(t),Bn(e,fS()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function fS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(fS=function(){return!!e})()}var hS=Iy.TreeUtils,gS=hS.getTotalReordableNodesCountInTree,vS=hS.getTotalRulesCountInTree,mS=function(e){function t(e){var r;return Nn(this,t),(r=pS(this,t,[e])).childrenClassName=function(){return"switch_group--children"},r.renderFooterWrapper=function(){return null},r.hasDefaultCase=function(){var e;return(null===(e=r.props.children1)||void 0===e?void 0:e.size)&&r.props.children1.filter((function(e){return null==e.get("children1")})).size>0},r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){DE(zn(t.prototype),"onPropsChanged",this).call(this,e)}},{key:"canAddGroup",value:function(){var e,t=this.props.config.settings.maxNumberOfCases,r=(null===(e=this.props.children1)||void 0===e?void 0:e.size)||0;return!t||r<t}},{key:"canAddRule",value:function(){return!1}},{key:"reordableNodesCnt",value:function(){var e,t=(null===(e=this.props.children1)||void 0===e?void 0:e.size)||0;return this.hasDefaultCase()&&t--,t}},{key:"totalRulesCntForItem",value:function(e){return vS(e)}},{key:"reordableNodesCntForItem",value:function(e){var t;if(this.props.isLocked)return 0;var r=this.props.config.settings,n=r.canLeaveEmptyCase,o=r.canRegroupCases,i=(null===(t=this.props.children1)||void 0===t?void 0:t.size)||0;this.hasDefaultCase()&&i--;var a=gS(e);return 1==a&&o&&n&&i>1&&(a=111),a}},{key:"renderHeaderWrapper",value:function(){return he().createElement("div",{key:"group-header",className:mb()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag")},this.renderHeader(),this.renderActions())}},{key:"renderHeader",value:function(){return he().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag())}},{key:"renderConjs",value:function(){return this.props.config.settings.renderSwitchPrefix||null}},{key:"showNot",value:function(){return!1}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addCaseGroup,n=e.addDefaultCaseGroup,o=e.isLocked,i=e.isTrueLocked,a=e.id;return he().createElement(cS,{config:t,addCaseGroup:r,addDefaultCaseGroup:n,canAddDefault:!this.hasDefaultCase(),canAddGroup:this.canAddGroup(),setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}}])}(NE);mS.propTypes=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?dS(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):dS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({},NE.propTypes);const yS=xE(Ib("group switch_group")(qb(mS)),"switch_group");function bS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function OS(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?bS(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):bS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}function ES(e,t,r){return t=zn(t),Bn(e,SS()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function SS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(SS=function(){return!!e})()}var wS=function(e){function t(e){var r;return Nn(this,t),(r=ES(this,t,[e])).childrenClassName=function(){return"case_group--children"},r.renderFooterWrapper=function(){return null},r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var r=this.props,n=!this.renderBeforeCaseValue||(null==r?void 0:r.config)!==(null==e?void 0:e.config);if(DE(zn(t.prototype),"onPropsChanged",this).call(this,e),n){var o=e.config,i=o.settings,a=i.renderBeforeCaseValue,l=i.renderAfterCaseValue,s=i.renderRuleError;this.BeforeCaseValue=$b(o,a),this.AfterCaseValue=$b(o,l),this.RuleError=$b(o,s)}}},{key:"isDefaultCase",value:function(){return null==this.props.children1}},{key:"reordableNodesCnt",value:function(){return this.props.parentReordableNodesCnt}},{key:"reordableNodesCntForItem",value:function(e){return this.props.isLocked?0:this.props.reordableNodesCnt}},{key:"totalRulesCntForItem",value:function(e){return this.props.totalRulesCnt}},{key:"showDragIcon",value:function(){return!this.isDefaultCase()&&DE(zn(t.prototype),"showDragIcon",this).call(this)}},{key:"renderHeaderWrapper",value:function(){return he().createElement("div",{key:"group-header",className:mb()("group--header",this.isOneChild()?"one--child":"",this.isOneChild()?"hide--line":"",this.isNoChildren()?"no--children":"",this.showDragIcon()?"with--drag":"hide--drag",!this.showConjs()||this.isOneChild()&&!this.showNot()?"hide--conjs":"with--conjs")},this.renderHeaderLeft(),this.renderHeaderCenter(),this.renderActions())}},{key:"renderChildrenWrapper",value:function(){return this.isDefaultCase()?null:he().createElement("div",{className:"case_group--body"},this.renderCondition(),this.renderBeforeValue(),this.renderValue(),this.renderAfterValue())}},{key:"renderHeaderLeft",value:function(){return this.isDefaultCase()?this.props.config.settings.defaultCaseLabel||"":he().createElement("div",{className:"group--conjunctions"},this.renderConjs(),this.renderDrag(),this.renderError())}},{key:"renderCondition",value:function(){return this.isDefaultCase()?null:DE(zn(t.prototype),"renderChildrenWrapper",this).call(this)}},{key:"renderHeaderCenter",value:function(){return this.isDefaultCase()?he().createElement("div",null,this.renderValue(),this.renderError()):null}},{key:"canAddGroup",value:function(){return!this.isDefaultCase()&&DE(zn(t.prototype),"canAddGroup",this).call(this)}},{key:"canAddRule",value:function(){return!this.isDefaultCase()&&DE(zn(t.prototype),"canAddRule",this).call(this)}},{key:"renderBeforeValue",value:function(){var e=this.BeforeCaseValue;return null==e?null:he().createElement(e,gb({key:"values-before"},this.props))}},{key:"renderAfterValue",value:function(){var e=this.AfterCaseValue;return null==e?null:he().createElement(e,gb({key:"values-after"},this.props))}},{key:"renderError",value:function(){var e=this.props,t=e.config,r=e.valueError,n=t.settings.showErrorMessage,o=this.RuleError,i=Jn((null==r?void 0:r.toArray())||[]).filter((function(e){return!!e})).shift()||null;return n&&i&&he().createElement("div",{className:"rule--error"},o?he().createElement(o,{error:i}):i)}},{key:"renderValue",value:function(){var e=this.props,t=e.config,r=e.isLocked,n=e.value,o=e.valueSrc,i=e.valueError,a=e.setValue,l=e.setValueSrc,s=e.setFuncValue,u=e.id,c=t.settings.immutableValuesMode,d=he().createElement($O,{key:"values",isCaseValue:!0,field:"!case_value",operator:null,value:n,valueSrc:null!=o?o:"value",valueError:i,fieldError:null,config:t,setValue:c?Wb:a,setValueSrc:c?Wb:l,setFuncValue:c?Wb:s,readonly:c||r,id:u,groupId:null});return he().createElement(zb,{className:"case_group--value"},d)}},{key:"renderActions",value:function(){var e=this.props,t=e.config,r=e.addGroup,n=e.addRule,o=e.isLocked,i=e.isTrueLocked,a=e.id;return he().createElement(IE,{config:t,addGroup:r,addRule:n,canAddRule:this.canAddRule(),canAddGroup:this.canAddGroup(),canDeleteGroup:this.canDeleteGroup(),removeSelf:this.removeSelf,setLock:this.setLock,isLocked:o,isTrueLocked:i,id:a})}},{key:"isEmptyCurrentGroup",value:function(){var e=this.props.value,r=e&&e.size?e.get(0):null,n=null!=r&&(!Array.isArray(r)||r.length>0);return DE(zn(t.prototype),"isEmptyCurrentGroup",this).call(this)&&!n}}])}(NE);wS.propTypes=OS(OS({},NE.propTypes),{},{parentReordableNodesCnt:jy().number,value:jy().any,setValue:jy().func});const TS=xE(Ib("group case_group")(qb(wS)),"case_group");var xS=["type"];function _S(e,t,r){return t=zn(t),Bn(e,CS()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function CS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(CS=function(){return!!e})()}function RS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function IS(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?RS(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):RS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var AS=function(e){var t,r=(null===(t=e.properties)||void 0===t?void 0:t.toObject())||{},n=IS({},r);return e.isParentLocked&&(n.isLocked=!0),r.isLocked&&(n.isTrueLocked=!0),n},jS={rule:function(e){return he().createElement(bE,gb({},AS(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,config:e.config,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},group:function(e){return he().createElement(FE,gb({},AS(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))},rule_group:function(e){return he().createElement(GE,gb({},AS(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},rule_group_ext:function(e){return he().createElement(aS,gb({},AS(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:e.parentField,parentReordableNodesCnt:e.parentReordableNodesCnt}))},switch_group:function(e){return he().createElement(yS,gb({},AS(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))},case_group:function(e){return he().createElement(TS,gb({},AS(e),{id:e.id,groupId:e.groupId,path:e.path,actions:e.actions,config:e.config,reordableNodesCnt:e.reordableNodesCnt,totalRulesCnt:e.totalRulesCnt,onDragStart:e.onDragStart,isDraggingTempo:e.isDraggingTempo,children1:e.children1,parentField:null,parentReordableNodesCnt:e.parentReordableNodesCnt}))}},kS=function(e){function t(){return Nn(this,t),_S(this,t,arguments)}return Hn(t,e),Vn(t,[{key:"render",value:function(){var e,t=this.props,r=t.type,n=qv(t,xS),o="array"==(null===(e=n.properties)||void 0===e?void 0:e.get("mode"))?"_ext":"",i=n.config.settings.renderItem,a=jS[r+o];return i?i(IS(IS({},n),{},{type:r,itemComponent:a}),n.config.ctx):a?a(n):null}}])}(pe.PureComponent);function PS(e,t,r){return t=zn(t),Bn(e,LS()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function LS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(LS=function(){return!!e})()}kS.propTypes={config:jy().object.isRequired,id:jy().string.isRequired,groupId:jy().string,type:jy().oneOf(["rule","group","rule_group","switch_group","case_group"]).isRequired,path:jy().any.isRequired,properties:jy().any,children1:jy().any,actions:jy().object.isRequired,reordableNodesCnt:jy().number,onDragStart:jy().func,parentField:jy().string,isDraggingTempo:jy().bool,isParentLocked:jy().bool};var NS=Iy.TreeUtils,FS=NS.getTotalReordableNodesCountInTree,DS=NS.getTotalRulesCountInTree,MS=Iy.DefaultUtils,VS=MS.createListWithOneElement,US=MS.emptyProperties,BS=function(e){function t(e){var r;return Nn(this,t),(r=PS(this,t,[e])).pureShouldComponentUpdate=eb(r),r._updPath(e),r}return Hn(t,e),Vn(t,[{key:"shouldComponentUpdate",value:function(e,t){return this.pureShouldComponentUpdate(e,t)}},{key:"_updPath",value:function(e){var t=e.tree.get("id");this.path=VS(t)}},{key:"render",value:function(){var e=this.props,t=e.tree,r=e.config,n=e.actions,o=e.onDragStart,i=t.get("type"),a="switch_group"==i,l=a?null:FS(t),s=a?null:DS(t),u=t.get("id");return he().createElement(kS,{key:u,id:u,path:this.path,type:i,properties:t.get("properties")||US(),config:r,actions:n,children1:t.get("children1")||US(),reordableNodesCnt:l,totalRulesCnt:s,parentReordableNodesCnt:0,onDragStart:o})}}])}(pe.Component);BS.propTypes={tree:jy().any.isRequired,config:jy().object.isRequired,actions:jy().object.isRequired,onDragStart:jy().func};const zS=function(e){var t=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null,r=(0,Ny.connect)((function(e){return{dragging:e.dragging,dragStart:e.dragStart,mousePos:e.mousePos}}),{setDragStart:By,setDragProgress:Uy,setDragEnd:zy},null,{context:Py})(function(e){var t,r=arguments.length>1&&void 0!==arguments[1]?arguments[1]:null;return t=function(t){function n(e){var t;return Nn(this,n),(t=Eb(this,n,[e]))._getEventTarget=function(e,t){return e&&e.__mocked_window||document.body||window},t.onDragStart=function(e,r,n){var o=r.closest(".query-builder");void 0===t._isUsingLegacyReactDomRender&&(t._isUsingLegacyReactDomRender=Jy(o)),document.body.classList.add("qb-dragging"),o.classList.add("qb-dragging");var i,a=o.closest(".query-builder-container")||o,l=(a=t._getScrollParent(a)||document.body).scrollTop,s=(t._getDraggableNodeEl(o),t._getPlaceholderNodeEl(o),o.querySelectorAll(".group--children")),u=s.length?s[0]:null;u&&(i=window.getComputedStyle(u,null).getPropertyValue("padding-left"),i=parseInt(i));var c={id:e,x:r.offsetLeft,y:r.offsetTop,w:r.offsetWidth,h:r.offsetHeight,itemInfo:t.tree.items[e],paddingLeft:i},d={id:e,x:r.offsetLeft,y:r.offsetTop,scrollTop:l,clientX:n.clientX,clientY:n.clientY,itemInfo:wb(t.tree.items[e]),treeEl:o,treeElContainer:a},p={clientX:n.clientX,clientY:n.clientY},f=t._getEventTarget(n,d);t.eventTarget=f,f.addEventListener("mousemove",t.onDrag),f.addEventListener("mouseup",t.onDragEnd),t.props.setDragStart(d,c,p)},t.onDrag=function(e){var n=!(arguments.length>1&&void 0!==arguments[1])||arguments[1],o=Object.assign({},t.props.dragging),i=t.props.dragStart,a=o.paddingLeft,l=i.treeElContainer.scrollTop;if(o.itemInfo=t.tree.items[o.id],o.itemInfo){var s={clientX:e.clientX,clientY:e.clientY},u={clientX:i.clientX,clientY:i.clientY};if(e.__mock_dom){var c=i.treeEl,d=t._getDraggableNodeEl(c),p=t._getPlaceholderNodeEl(c);e.__mock_dom({treeEl:c,dragEl:d,plhEl:p})}if(!i.plX){var f=i.treeEl,h=t._getPlaceholderNodeEl(f);h&&(i.plX=h.getBoundingClientRect().left+window.scrollX,i.plY=h.getBoundingClientRect().top+window.scrollY)}var g=i.x,v=i.y,m=i.clientX,y=i.clientY,b=i.scrollTop,O={x:g+(e.clientX-m),y:v+(e.clientY-y)+(l-b)};o.x=O.x,o.y=O.y,o.paddingLeft=a,o.mousePos=s,o.startMousePos=u,t.props.setDragProgress(s,o),n&&t.handleDrag(o,e,r)||e.preventDefault&&e.preventDefault()}},t.onDragEnd=function(){var e=t.props.dragStart.treeEl;t.props.setDragEnd(),e.classList.remove("qb-dragging"),document.body.classList.remove("qb-dragging"),t._cacheEls={};var r=t.eventTarget||t._getEventTarget();r.removeEventListener("mousemove",t.onDrag),r.removeEventListener("mouseup",t.onDragEnd)},t.pureShouldComponentUpdate=eb(t),tb(t),t.onPropsChanged(e),t}return Hn(n,t),Vn(n,[{key:"onPropsChanged",value:function(e){this.tree=Tb(e.tree)}},{key:"shouldComponentUpdate",value:function(e,t){var r=this.props,n=this.state,o=this.pureShouldComponentUpdate(e,t);if(o&&n==t&&r!=e){var i=[];for(var a in e)e[a]!=r[a]&&"dragging"!=a&&"mousePos"!=a&&i.push(a);i.length||(o=!1)}return o}},{key:"componentDidUpdate",value:function(e,t){var r=this.props.dragging,n=this.props.dragStart;if(xb=!1,n&&n.id&&(r.itemInfo=this.tree.items[r.id],r.itemInfo&&(r.itemInfo.index!=n.itemInfo.index||r.itemInfo.parent!=n.itemInfo.parent))){var o=n.treeEl,i=n.treeElContainer,a=this._getPlaceholderNodeEl(o,!0);if(a){var l=a.getBoundingClientRect().left+window.scrollX,s=a.getBoundingClientRect().top+window.scrollY,u=n.plX,c=n.plY,d=i.scrollTop;n.plX=l,n.plY=s,n.itemInfo=wb(r.itemInfo),n.y=a.offsetTop,n.x=a.offsetLeft,n.clientY+=s-c,n.clientX+=l-u,i!=document.body&&(n.scrollTop=d),this.onDrag(this.props.mousePos,!1)}}}},{key:"_getNodeElById",value:function(e,t){var r=arguments.length>2&&void 0!==arguments[2]&&arguments[2];if(null==t)return null;this._cacheEls||(this._cacheEls={});var n=this._cacheEls[t];return n&&document.contains(n)&&!r||(n=e.querySelector('.group-or-rule-container[data-id="'+t+'"]'),this._cacheEls[t]=n),n}},{key:"_getDraggableNodeEl",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];this._cacheEls||(this._cacheEls={});var r=this._cacheEls.draggable;if(r&&document.contains(r)&&!t)return r;var n=e.getElementsByClassName("qb-draggable");return r=n.length?n[0]:null,this._cacheEls.draggable=r,r}},{key:"_getPlaceholderNodeEl",value:function(e){var t=arguments.length>1&&void 0!==arguments[1]&&arguments[1];this._cacheEls||(this._cacheEls={});var r=this._cacheEls.placeholder;if(r&&document.contains(r)&&!t)return r;var n=e.getElementsByClassName("qb-placeholder");return r=n.length?n[0]:null,this._cacheEls.placeholder=r,r}},{key:"_isScrollable",value:function(e){var t=window.getComputedStyle(e)["overflow-y"];return("scroll"===t||"auto"===t)&&e.scrollHeight>e.offsetHeight}},{key:"_getScrollParent",value:function(e){return null==e?null:e===document.body||this._isScrollable(e)?e:this._getScrollParent(e.parentNode)}},{key:"handleDrag",value:function(e,t,r){var n,o,i,a,l=this,s=e.itemInfo,u=e.paddingLeft,c=null,d=this.props.dragStart.treeEl,p=e.id,f=this._getDraggableNodeEl(d),h=this._getPlaceholderNodeEl(d);if(f&&h){if(n=f.getBoundingClientRect(),!(o=h.getBoundingClientRect()).width)return;var g={hrz:0,vrt:0};n.top<o.top?g.vrt=-1:n.bottom>o.bottom&&(g.vrt=1),n.left>o.left?g.hrz=1:n.left<o.left&&(g.hrz=-1);var v,m={x:(a=d.getBoundingClientRect()).left+(a.right-a.left)/2,y:g.vrt>=0?n.bottom:n.top};if(t.__mocked_hov_container)v=t.__mocked_hov_container;else{var y=document.elementFromPoint(m.x,m.y-1);if(!(v=y?y.closest(".group-or-rule-container"):null)&&y&&y.classList.contains("query-builder-container")){var b,O=null==y||null===(b=y.firstChild)||void 0===b?void 0:b.firstChild;O&&O.classList.contains("group-or-rule-container")&&(v=O)}}if(v){var E=v.classList.contains("group-container"),S=v.getAttribute("data-id"),w=v,T=!1,x=!1;if(w){var _=(i=w.getBoundingClientRect()).bottom-i.top,C=this.tree.items[S];if(!C)throw new Error("There is an issue with rendering. If you use Next.js, please check getServerSideProps() method.");var R=null,I=null,A=null,j=null;if(0==g.vrt)A=s,(I=h)&&(R=I.getBoundingClientRect());else if(E){if(g.vrt>0){var k=v.getElementsByClassName("group--header"),P=k.length?k[0]:null;if(P){var L=P.getBoundingClientRect(),N=L.bottom-L.top;n.bottom-L.top>3*N/4&&C.top>e.itemInfo.top&&(A=C,R=L,I=P,x=!0)}}else g.vrt<0&&C.lev>=s.lev&&i.bottom-n.top>=2&&C.top<e.itemInfo.top&&(A=C,R=i,I=w,T=!0);(g.vrt<0?i.bottom-n.top>_-5:n.bottom-i.top>_-5)&&(x||T||(A=C,R=i,I=w),j=C)}else(g.vrt<0?i.bottom-n.top>_/2:n.bottom-i.top>_/2)&&(A=C,R=i,I=w);var F=A&&A.id==p;if(R){var D=n.left-a.left,M=(R.left,a.left,Math.max(0,Math.round(D/u))),V=[],U=[];if(F);else{if(E&&(T?V.push([My,A,A.lev+1]):x&&V.push([Vy,A,A.lev+1]),j)){var B=0==j.lev,z="case_group"==j.type&&"case_group"!=s.type,W=j.prev&&this.tree.items[j.prev].caseId,H=j.next&&this.tree.items[j.next].caseId;s.caseId==W&&(W=null),s.caseId==H&&(H=null);var q=W&&this.tree.items[W],G=H&&this.tree.items[H];g.vrt>0?B?U.push([My,j,j.lev+1]):z&&G?U.push([Vy,G,G.lev+1]):U.push([Fy,j,j.lev]):g.vrt<0&&(B?U.push([Vy,j,j.lev+1]):z&&q?U.push([My,q,q.lev+1]):U.push([Dy,j,j.lev]))}T||x||(g.vrt<0?V.push([Dy,A,A.lev]):g.vrt>0&&V.push([Fy,A,A.lev]))}var $=function(e){var t=e[1],r=s.caseId?l.tree.items[s.caseId]:null,n=t.caseId?l.tree.items[t.caseId]:null;return[].concat(Jn(e),[r,n])};V=V.map($),U=U.map($);var K=null,Y=(V=V.filter((function(e){var t=e[0],r=e[1];if((t==Dy||t==Fy)&&null==r.parent)return!1;if(r.collapsed&&(t==My||t==Vy))return!1;var n=r.id==s.id;if(!n)for(var o=r;o.parent;)if((o=l.tree.items[o.parent]).id==s.id){n=!0;break}return!n})).map((function(e){var t=e[0],r=e[1],n=(e[2],e[3],e[4],null);return(n=t==My||t==Vy?r:l.tree.items[r.parent])&&null==n.parent&&(n=null),e[5]=n,e}))).filter((function(e){return l.canMove(s,e[1],e[0],e[3],e[4],e[5],r)}));0==Y.length&&U.length>0&&(Y=U.filter((function(e){return l.canMove(s,e[1],e[0],e[3],e[4],e[5],r)})));var X=Y.map((function(e){return e[2]})),Q=s.lev,J=X.concat(Q),Z=null;-1!=J.indexOf(M)?Z=M:M>Math.max.apply(Math,Jn(J))?Z=Math.max.apply(Math,Jn(J)):M<Math.min.apply(Math,Jn(J))&&(Z=Math.min.apply(Math,Jn(J))),K=Y.find((function(e){return e[2]==Z})),F||K||!Y.length||(K=Y[0]),c=K}}}else Yy.log("out of tree bounds!")}return!!c&&(this.move(s,c[1],c[0],c[3]),!0)}},{key:"canMove",value:function(e,t,r,n,o,i,a){if(!e||!t)return!1;if(e.id===t.id)return!1;var l=this.props.config.settings,s=l.canRegroup,u=l.canRegroupCases,c=l.maxNesting,d=l.maxNumberOfRules,p=l.canLeaveEmptyCase,f=(i?i.lev+1:t.lev)+(e.depth||0),h=r==Dy||r==Fy,g=r==Vy||r==My,v=h&&1==t.lev||g&&0==t.lev,m=e.parent!=t.parent,y=g||m,b="case_group"==e.type&&!v||"rule_group"==e.parentType||"rule_group"==t.type||"rule_group"==t.parentType||"case_group"!=e.type&&"case_group"==t.type&&h||"case_group"!=e.type&&"switch_group"==t.type||!u&&e.caseId!=t.caseId,O=t.isLocked||e.isLocked||i&&i.isLocked;if(c&&f>c)return!1;if(y&&(!s||b||O))return!1;if("case_group"!=e.type&&e.caseId!=t.caseId){var E=!!n&&2==n._height,S=o?o.atomicRulesCountInCase+1:0;if(d&&S>d)return!1;if(E&&!p)return!1}if("case_group"==e.type&&(e.isDefaultCase||t.isDefaultCase||"switch_group"==t.type&&r==My))return!1;var w=!0;return a&&(w=a(e.node.toJS(),t.node.toJS(),r,i?i.node.toJS():null)),w}},{key:"move",value:function(e,t,r,n){this._isUsingLegacyReactDomRender||(xb=!0),this.props.actions.moveItem(e.path,t.path,r)}},{key:"render",value:function(){return he().createElement(e,gb({},this.props,{onDragStart:this.onDragStart}))}}])}(pe.Component),t.propTypes={tree:jy().any.isRequired,actions:jy().object.isRequired},t}(e,t));return r.displayName="ConnectedSortableContainer",r}(BS);function WS(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function HS(e,t,r){return t=zn(t),Bn(e,qS()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function qS(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(qS=function(){return!!e})()}var GS=Iy.clone,$S=Iy.ConfigUtils,KS=$S.getFieldConfig,YS=$S.getFieldParts,XS=$S.getFieldPathParts,QS=Iy.RuleUtils,JS=QS.getFieldPathLabels,ZS=QS.getWidgetForFieldOp,ew=function(e){function t(e){var r;return Nn(this,t),r=HS(this,t,[e]),tb(r),r.onPropsChanged(e),r}return Hn(t,e),Vn(t,[{key:"onPropsChanged",value:function(e){var t=this.props,r=!this.items||["config","field","fieldSrc","fieldType","operator","isFuncArg","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0,n=!this.meta||["config","field","fieldSrc","fieldType","operator","value","placeholder","isFuncArg","parentField"].map((function(r){return e[r]!==t[r]})).filter((function(e){return e})).length>0;r&&(this.items=this.getItems(e)),n&&(this.meta=this.getMeta(e))}},{key:"getItems",value:function(e){var t=e.config,r=e.field,n=e.fieldType,o=e.operator,i=e.parentField,a=e.isFuncArg,l=e.fieldDefinition,s=t.settings.canCompareFieldWithField,u=YS(i,t),c=i?KS(t,i):null,d=i?null==c?void 0:c.subfields:t.fields,p=this.filterFields(t,d,r,i,u,o,s,a,l,n);return this.buildOptions(u,t,p,u)}},{key:"getMeta",value:function(e){var t,r=e.config,n=e.field,o=(e.fieldType,e.operator,e.value),i=e.placeholder,a=e.isFuncArg,l=e.parentField,s=r.settings,u=s.fieldPlaceholder,c=s.fieldSeparatorDisplay,d=o,p=!!o,f=n?KS(r,n):{},h=null==f||null===(t=f.widgets)||void 0===t?void 0:t.field,g=(null==h?void 0:h.widgetProps)||{},v=p?null:a&&i||g.valuePlaceholder||u,m=p?KS(r,d):null,y=m||{},b=XS(d,r),O=XS(d,r,!0),E=this.getFieldLabel(m,d,r),S=JS(d,r),w=S?S.join(c):null;return(w==E||l)&&(w=null),{placeholder:v,selectedKey:d,selectedKeys:b,selectedPath:O,selectedLabel:E,selectedOpts:y,selectedAltLabel:y.label2||y.tooltip,selectedFullLabel:w}}},{key:"filterFields",value:function(e,t,r,n,o,i,a,l,s,u){t=GS(t);var c,d=e.settings.fieldSeparator,p=KS(e,r),f=ZS(e,r,i,"value");return e.widgets[f],c=l?null==s?void 0:s.type:p?p.type:u,function t(n,o){for(var s in n){var u=n[s].subfields,f=(o||[]).concat(s),h=f.join(d),g=KS(e,h);if(g)if("!struct"==g.type||"!group"==g.type)0==t(u,f)&&delete n[s];else{var v=!(c&&g.type!=c||!l&&h==r),m=a||e.settings.canCompareFieldWithField;m&&(v=v&&m(r,p,h,g,i)),v||delete n[s]}else delete n[s]}return jb()(n).length}(t,o||[]),t}},{key:"buildOptions",value:function(e,t,r){var n=this,o=arguments.length>3&&void 0!==arguments[3]?arguments[3]:null,i=arguments.length>4&&void 0!==arguments[4]?arguments[4]:null;if(!r)return null;var a=t.settings,l=a.fieldSeparator,s=a.fieldSeparatorDisplay,u=null!=o&&o.length?o.join(l)+l:"";return jb()(r).map((function(a){var l=[].concat(Jn(null!=o?o:[]),[a]),c=r[a],d=n.getFieldLabel(c,l,t),p=JS(l,t).join(s);(p==d||e)&&(p=null);var f=c.label2,h=c.tooltip;if(!c.hideForCompare)return"!struct"==c.type||"!group"==c.type?{key:a,path:u+a,label:d,fullLabel:p,altLabel:f,tooltip:h,items:n.buildOptions(e,t,c.subfields,l,{label:d,tooltip:h})}:{key:a,path:u+a,label:d,fullLabel:p,altLabel:f,tooltip:h,grouplabel:null==i?void 0:i.label,group:i}})).filter((function(e){return!!e}))}},{key:"getFieldLabel",value:function(e,t,r){if(!t)return null;var n=r.settings.maxLabelsLength,o=YS(t,r),i=(null==e?void 0:e.label)||Js()(o);return Gy(i,n)}},{key:"render",value:function(){var e=this.props,t=e.config,r=e.customProps,n=e.setValue,o=e.readonly,i=e.id,a=e.groupId,l=t.settings.renderField,s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?WS(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):WS(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}({isValueField:!0,config:t,customProps:r,setField:n,readonly:o,items:this.items,id:i,groupId:a},this.meta);return l(s,t.ctx)}}])}(pe.Component);ew.propTypes={id:jy().string,groupId:jy().string,setValue:jy().func.isRequired,config:jy().object.isRequired,field:jy().any,fieldSrc:jy().string,fieldType:jy().string,value:jy().string,operator:jy().string,customProps:jy().object,readonly:jy().bool,parentField:jy().string,fieldDefinition:jy().object,isFuncArg:jy().bool};const tw=function(e){var t=e.value,r=e.setValue,n=(e.config,e.labelYes),o=e.labelNo,i=e.readonly,a=(e.widgetId,e.customProps),l=void 0===a?{}:a,s=l.radioYes||{},u=l.radioNo||{},c=function(e){return r("true"==e.target.value)};return he().createElement(he().Fragment,null,he().createElement("input",gb({type:"radio",value:!0,checked:!!t,disabled:i,onChange:c},s))," ",n,he().createElement("input",gb({type:"radio",value:!1,checked:!t,disabled:i,onChange:c},u))," ",o)},rw=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.placeholder,i=e.maxLength,a=e.customProps,l=t||"";return he().createElement("input",gb({type:"text",value:l,placeholder:o,disabled:n,onChange:function(e){var t=e.target.value;""===t&&(t=void 0),r(t)},maxLength:i},a))},nw=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.placeholder,i=e.maxLength,a=(e.maxRows,e.fullWidth),l=e.customProps,s=t||"";return he().createElement("textarea",gb({value:s,placeholder:o,disabled:n,onChange:function(e){var t=e.target.value;""===t&&(t=void 0),r(t)},maxLength:i,style:{width:a?"100%":void 0}},l))};Iy.moment;const ow=function(e){var t=e.value,r=e.setValue,n=(e.config,e.valueFormat,e.readonly),o=e.customProps;return he().createElement("input",gb({type:"date",value:t||"",disabled:n,onChange:function(e){var t=e.target.value;""==t&&(t=void 0),r(t)}},o))},iw=function(e){var t=e.value,r=e.setValue,n=(e.config,e.valueFormat,e.use12Hours,e.readonly),o=e.customProps;return he().createElement("input",gb({type:"time",value:t||"",disabled:n,onChange:function(e){var t=e.target.value;""==t&&(t=void 0),r(t)}},o))};var aw=Iy.moment;const lw=function(e){var t,r=e.value,n=e.setValue,o=(e.config,e.valueFormat),i=(e.use12Hours,e.readonly),a=e.customProps;return t=r?aw(r).format("YYYY-MM-DDTHH:mm"):"",he().createElement("input",gb({type:"datetime-local",value:t,disabled:i,onChange:function(e){var t=e.target.value;t=""==t?void 0:aw(new Date(t)).format(o),n(t)}},a))};var sw=Iy.ListUtils.mapListValues;const uw=function(e){var t=e.listValues,r=e.value,n=e.setValue,o=(e.allowCustomValues,e.readonly),i=e.customProps;return he().createElement("select",gb({multiple:!0,onChange:function(e){return n(function(e){for(var t=[],r=e.options,n=0;n<r.length;n++){var o=r[n];o.selected&&t.push(o.value)}return t.length||(t=void 0),t}(e.target))},value:r,disabled:o},eu()(i,["showSearch","input","showCheckboxes"])),sw(t,(function(e){var t=e.title,r=e.value;return he().createElement("option",{key:r,value:r},t)})))};var cw=Iy.ListUtils.mapListValues;const dw=function(e){var t=e.listValues,r=e.value,n=e.setValue,o=(e.allowCustomValues,e.readonly),i=e.customProps,a=null!=r;return he().createElement("select",gb({onChange:function(e){return n(e.target.value)},value:a?r:"",disabled:o},eu()(i,["showSearch","input"])),!a&&he().createElement("option",{disabled:!0,value:""}),cw(t,(function(e){var t=e.title,r=e.value;return he().createElement("option",{key:r,value:r},t)})))},pw=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.min,i=e.max,a=e.step,l=e.placeholder,s=e.customProps,u=null==t?"":t;return he().createElement("input",gb({type:"number",value:u,placeholder:l,disabled:n,min:o,max:i,step:a,onChange:function(e){var t=e.target.value;t=""===t||null===t?void 0:Number(t),r(t)}},s))},fw=function(e){var t=e.value,r=e.setValue,n=(e.config,e.readonly),o=e.min,i=e.max,a=e.step,l=e.placeholder,s=e.customProps,u=void 0===s?{}:s,c=u.input||{},d=u.slider||u,p=function(e){var t=e.target.value;t=""===t||null===t?void 0:Number(t),r(t)},f=null==t?"":t;return he().createElement("div",{style:{display:"inline-flex"}},he().createElement("input",gb({key:"number",type:"number",value:f,placeholder:l,disabled:n,min:o,max:i,step:a,onChange:p},c)),he().createElement("input",gb({key:"range",type:"range",value:f,disabled:n,min:o,max:i,step:a,onChange:p},d)))},hw=function(e){var t=e.items,r=e.setField,n=e.selectedKey,o=e.readonly,i=e.errorText,a=null!=n;return he().createElement("select",{onChange:function(e){return r(e.target.value)},value:a?n:"",disabled:o,style:{color:i?"red":null}},!a&&he().createElement("option",{disabled:!0,value:""}),function e(t){return t.map((function(t){var r=t.items,n=t.path,o=t.label,i=t.disabled,a=t.matchesType;if(r)return he().createElement("optgroup",{disabled:i,key:n,label:o},e(r));var l=a?{fontWeight:"bold"}:{};return he().createElement("option",{disabled:i,key:n,value:n,style:l},o)}))}(t))},gw=function(e){var t,r=e.id,n=e.not,o=e.setNot,i=e.conjunctionOptions,a=e.setConjunction,l=e.disabled,s=e.readonly,u=e.config,c=e.showNot,d=e.notLabel,p=Object.keys(i).length,f=l,h=u.settings.forceShowConj||p>1&&!f,g=function(e){return a(e.target.value)};return[c&&(t="not",[he().createElement("input",{key:r+t,type:"checkbox",id:r+t,checked:n,disabled:s,onChange:function(e){return o(e.target.checked)}}),he().createElement("label",{key:r+t+"label",htmlFor:r+t},d||"NOT")]),h&&Object.keys(i).map((function(e){var t=i[e],r=t.id,n=t.name,o=t.label,u=t.checked,c=a.isDummyFn?"__dummy":"";return!s&&!l||u?[he().createElement("input",{key:r+c,type:"radio",id:r+c,name:n+c,checked:u,disabled:s||l,value:e,onChange:g}),he().createElement("label",{key:r+c+"label",htmlFor:r+c},o)]:null}))]};var vw={addRuleGroup:"+",addRuleGroupExt:"+",delGroup:"x",delRuleGroup:"x",delRule:"x"};const mw=function(e){var t=e.type,r=e.label,n=e.onClick,o=e.readonly,i=r||vw[t];return he().createElement("button",{onClick:n,type:"button",disabled:o},i)},yw=function(e){var t=e.type,r={}[t]||null;return r||"drag"!==t||(r=he().createElement(Hb,null)),r},bw=function(e){var t=e.children;return e.config,he().createElement(he().Fragment,null,t)},Ow=function(e){e.config;var t=e.valueSources,r=e.valueSrc,n=(e.title,e.setValueSrc),o=e.readonly;return he().createElement("select",{onChange:function(e){return n(e.target.value)},value:r||"",disabled:o},function(e){return e.map((function(e){var t=Xn(e,2),r=t[0],n=t[1];return he().createElement("option",{key:r,value:r},n.label)}))}(t))},Ew=function(e){var t=e.value,r=e.setValue,n=e.label,o=e.id,i=(e.config,e.type);return[he().createElement("input",{key:o+i,type:"checkbox",id:o+i,checked:!!t,onChange:function(e){return r(e.target.checked)}}),he().createElement("label",{key:o+i+"label",htmlFor:o+i},n)]},Sw=function(e){var t=e.onOk,r=(e.okText,e.cancelText,e.title);confirm(r)&&t()};var ww=function(e){return e.config,e.children};function Tw(e,t,r){return t=zn(t),Bn(e,xw()?Reflect.construct(t,r||[],zn(e).constructor):t.apply(e,r))}function xw(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(xw=function(){return!!e})()}var _w=function(e){function t(){var e;Nn(this,t);for(var r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(e=Tw(this,t,[].concat(n))).handleChange=function(t){e.props.setOption("proximity",parseInt(t))},e}return Hn(t,e),Vn(t,[{key:"render",value:function(){var e=this.props,t=e.defaults,r=e.options,n=e.config,o=e.optionLabel,i=e.optionPlaceholder,a=e.customProps,l=e.minProximity,s=e.maxProximity,u=e.optionTextBefore,c=e.readonly,d=n.settings,p=n.widgets,f=n.ctx,h=t?t.proximity:void 0,g=d.showLabels,v=r.get("proximity",h),m=EO()(l,s+1).map((function(e){return{title:e,value:e}})),y=p.select.factory,b=function(e){return y(e,f)};return he().createElement("div",{className:"operator--PROXIMITY"},he().createElement("div",{className:"operator--options"},g&&he().createElement("label",{className:"rule--label"},o),!g&&u&&he().createElement("div",{className:"operator--options--sep"},he().createElement("span",null,u)),he().createElement(b,gb({config:n,value:v,listValues:m,setValue:this.handleChange,readonly:c,placeholder:i},a))),he().createElement("div",{className:"operator--widgets"},this.props.children))}}])}(pe.PureComponent);function Cw(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Rw(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Cw(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Cw(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}_w.propTypes={config:jy().object.isRequired,setOption:jy().func.isRequired,options:jy().any.isRequired,minProximity:jy().number,maxProximity:jy().number,optionPlaceholder:jy().string,optionTextBefore:jy().string,optionLabel:jy().string,customProps:jy().object,readonly:jy().bool},_w.defaultProps={customProps:{},minProximity:2,maxProximity:10,optionPlaceholder:"Select words between",optionLabel:"Words between",optionTextBefore:null};var Iw=Rw({},Tm.conjunctions),Aw=Rw(Rw({},Tm.operators),{},{proximity:Rw(Rw({},Tm.operators.proximity),{},{options:Rw(Rw({},Tm.operators.proximity.options),{},{factory:function(e,t){return(0,t.RCE)(t.O.ProximityOperator,e)}})})}),jw={text:Rw(Rw({},Tm.widgets.text),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextWidget,e)}}),textarea:Rw(Rw({},Tm.widgets.textarea),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextAreaWidget,e)}}),number:Rw(Rw({},Tm.widgets.number),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaNumberWidget,e)}}),slider:Rw(Rw({},Tm.widgets.slider),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaSliderWidget,e)}}),select:Rw(Rw({},Tm.widgets.select),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaSelectWidget,e)}}),multiselect:Rw(Rw({},Tm.widgets.multiselect),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaMultiSelectWidget,e)}}),date:Rw(Rw({},Tm.widgets.date),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaDateWidget,e)}}),time:Rw(Rw({},Tm.widgets.time),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTimeWidget,e)}}),datetime:Rw(Rw({},Tm.widgets.datetime),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaDateTimeWidget,e)}}),boolean:Rw(Rw({},Tm.widgets.boolean),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaBooleanWidget,e)}}),field:Rw(Rw({},Tm.widgets.field),{},{factory:function(e,t){return(0,t.RCE)(t.W.ValueFieldWidget,e)},customProps:{showSearch:!0}}),func:Rw(Rw({},Tm.widgets.func),{},{factory:function(e,t){return(0,t.RCE)(t.W.FuncWidget,e)},customProps:{}}),case_value:Rw(Rw({},Tm.widgets.case_value),{},{factory:function(e,t){return(0,t.RCE)(t.W.VanillaTextWidget,e)}})},kw={conjunctions:Iw,operators:Aw,widgets:jw,types:Rw(Rw({},Tm.types),{},{select:Rw(Rw({},Tm.types.select),{},{widgets:Rw(Rw({},Tm.types.select.widgets),{},{select:Rw(Rw({},Tm.types.select.widgets.select),{},{widgetProps:{customProps:{showSearch:!0}}})})})}),settings:Rw(Rw({},Tm.settings),{},{renderField:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderOperator:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderFunc:function(e,t){return(0,t.RCE)(t.W.VanillaFieldSelect,e)},renderConjs:function(e,t){return(0,t.RCE)(t.W.VanillaConjs,e)},renderSwitch:function(e,t){return(0,t.RCE)(t.W.VanillaSwitch,e)},renderButton:function(e,t){return(0,t.RCE)(t.W.VanillaButton,e)},renderIcon:function(e,t){return(0,t.RCE)(t.W.VanillaIcon,e)},renderButtonGroup:function(e,t){return(0,t.RCE)(t.W.VanillaButtonGroup,e)},renderProvider:function(e,t){return(0,t.RCE)(t.W.VanillaProvider,e)},renderValueSources:function(e,t){return(0,t.RCE)(t.W.VanillaValueSources,e)},renderFieldSources:function(e,t){return(0,t.RCE)(t.W.VanillaValueSources,e)},renderConfirm:function(e,t){return(0,t.W.vanillaConfirm)(e)},renderSwitchPrefix:"IF",renderBeforeCaseValue:function(e,t){return(0,t.RCE)("span",{children:[" then "]})},customFieldSelectProps:{showSearch:!0},customOperatorSelectProps:{},defaultSliderWidth:"200px",defaultSelectWidth:"200px",defaultSearchWidth:"100px",defaultMaxRows:5,renderSize:"small",maxLabelsLength:100,showLock:!1,showNot:!0,forceShowConj:!1,groupActionsPosition:"topRight"}),ctx:Rw(Rw({},Tm.ctx),{},{W:Rw({},O),O:Rw({},E),RCE:function(e,t){return he().createElement(e,t)}})};const Pw=kw=Iy.ConfigMixins.removeMixins(kw,["rangeslider","treeselect","treemultiselect"]);v(9517);var Lw=Iy.Autocomplete,Nw=(Lw.mergeListValues,Lw.listValueToOption,Lw.optionToListValue,Lw.optionsToListValues,Lw.fixListValuesGroupOrder,Iy.ListUtils);function Fw(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function Dw(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?Fw(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):Fw(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}Nw.mapListValues,Nw.listValuesToArray,Nw.getListValue,Nw.makeCustomListValue,Nw.searchListValue,Nw.getItemInListValues;const Mw=Dw(Dw({},Iy),{},{ReactUtils:b,DragIcon:Hb});function Vw(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Uw(){return Uw=Object.assign||function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},Uw.apply(this,arguments)}function Bw(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Vw(e,t,r[t])}))}return e}function zw(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Ww={id:Mw.uuid(),type:"group"},Hw="timeFilter",qw=[Hw],Gw=zw(Bw({},Pw.widgets),{text:zw(Bw({},Pw.widgets.text),{factory:function(e){return(0,de.jsx)(Oe.Input,{value:(null==e?void 0:e.value)||"",placeholder:null==e?void 0:e.placeholder,onChange:t=>null==e?void 0:e.setValue(t.currentTarget.value)})}}),number:zw(Bw({},Pw.widgets.number),{factory:function(e){return(0,de.jsx)(Oe.Input,{value:null==e?void 0:e.value,placeholder:null==e?void 0:e.placeholder,type:"number",onChange:t=>null==e?void 0:e.setValue(Number.parseInt(t.currentTarget.value,10))})}}),datetime:zw(Bw({},Pw.widgets.datetime),{factory:function(e){if("macros"===(null==e?void 0:e.operator))return(0,de.jsx)(Oe.Select,{id:e.id,"aria-label":"Macros value selector",menuShouldPortal:!0,options:qw.map(w.toOption),value:null==e?void 0:e.value,onChange:t=>e.setValue(t.value)});const t=(0,w.dateTime)(null==e?void 0:e.value).isValid()?(0,w.dateTime)(null==e?void 0:e.value).utc():void 0;return(0,de.jsx)(Oe.DateTimePicker,{onChange:t=>{null==e||e.setValue(null==t?void 0:t.format(Pw.widgets.datetime.valueFormat))},date:t})},sqlFormatValue:(e,t,r,n,o,i)=>{if("macros"===n)return qw.includes(e)?e:void 0;if("string"==typeof Pw.widgets.datetime.sqlFormatValue||"object"==typeof Pw.widgets.datetime.sqlFormatValue)return;const a=Pw.widgets.datetime.sqlFormatValue;return(null==a?void 0:a.call(Pw.ctx,e,t,r,n,o,i))||""}})}),$w=zw(Bw({},Pw.settings),{canRegroup:!1,maxNesting:1,canReorder:!1,showNot:!1,addRuleLabel:"Add",deleteLabel:"Remove",renderConjs:function(e){return(0,de.jsx)(Oe.Select,{id:null==e?void 0:e.id,"aria-label":"Conjunction","data-testid":Ae.components.SQLQueryEditor.filterConjunction,menuShouldPortal:!0,options:(null==e?void 0:e.conjunctionOptions)?Object.keys(null==e?void 0:e.conjunctionOptions).map(w.toOption):void 0,value:null==e?void 0:e.selectedConjunction,onChange:t=>null==e?void 0:e.setConjunction(t.value)})},renderField:function(e){var t;const r=(null==e||null===(t=e.config)||void 0===t?void 0:t.fields)||{};return(0,de.jsx)(Oe.Select,{id:null==e?void 0:e.id,width:25,"aria-label":"Field","data-testid":Ae.components.SQLQueryEditor.filterField,menuShouldPortal:!0,options:null==e?void 0:e.items.map((e=>{var t,n;const o=null===(n=r[e.key].mainWidgetProps)||void 0===n||null===(t=n.customProps)||void 0===t?void 0:t.icon;return{label:e.label,value:e.key,icon:o}})),value:null==e?void 0:e.selectedKey,onChange:t=>{null==e||e.setField(t.label)}})},renderButton:function(e){return(0,de.jsx)(Oe.Button,{type:"button",title:`${null==e?void 0:e.label} filter`,onClick:null==e?void 0:e.onClick,variant:"secondary",size:"md",icon:"Add"===(null==e?void 0:e.label)?"plus":"times"})},renderOperator:function(e){return(0,de.jsx)(Oe.Select,{options:null==e?void 0:e.items.map((e=>({label:e.label,value:e.key}))),"aria-label":"Operator","data-testid":Ae.components.SQLQueryEditor.filterOperator,menuShouldPortal:!0,value:null==e?void 0:e.selectedKey,onChange:t=>{null==e||e.setField(t.value||"")}})}}),Kw=function(e){const t=Uw({},function(e){if(null==e)throw new TypeError("Cannot destructure "+e);return e}(e.operators));return zw(Bw({},t),{select_any_in:zw(Bw({},t.select_any_in),{sqlFormatOp:(e,r,n,o,i,a,l,s)=>(()=>{const e=t.select_any_in.sqlFormatOp;return tT(e)?e:eT})()(e,r,rT(n),o,i,a,l,s)}),select_not_any_in:zw(Bw({},t.select_not_any_in),{sqlFormatOp:(e,r,n,o,i,a,l,s)=>(()=>{const e=t.select_not_any_in.sqlFormatOp;return tT(e)?e:eT})()(e,r,rT(n),o,i,a,l,s)}),macros:{label:"Macros",sqlFormatOp:(e,t,r)=>r===Hw?`$__timeFilter(${e})`:r}})}(Pw),Yw=Pw.types.text.widgets.text,Xw=[...Yw.operators||[],"select_any_in","select_not_any_in"],Qw=zw(Bw({},Yw),{operators:Xw}),Jw=zw(Bw({},Pw.types),{text:zw(Bw({},Pw.types.text),{widgets:zw(Bw({},Pw.types.text.widgets),{text:Qw})}),datetime:zw(Bw({},Pw.types.datetime),{widgets:zw(Bw({},Pw.types.datetime.widgets),{datetime:zw(Bw({},Pw.types.datetime.widgets.datetime),{operators:["macros",...Pw.types.datetime.widgets.datetime.operators||[]]})})})}),Zw=zw(Bw({},Pw),{widgets:Gw,settings:$w,operators:Kw,types:Jw}),eT=()=>"",tT=e=>"function"==typeof e;function rT(e){return(0,ue.isString)(e)?e.split(","):e}function nT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function oT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){nT(e,t,r[t])}))}return e}function iT(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function aT({sql:e,config:t,onSqlChange:r}){const[n,o]=(0,pe.useState)(),i=(0,pe.useMemo)((()=>oT({},Zw,t)),[t]);(0,pe.useEffect)((()=>{if(!n){var t;const r=Mw.checkTree(Mw.loadTree(null!==(t=e.whereJsonTree)&&void 0!==t?t:Ww),i);o(r)}}),[i,e.whereJsonTree,n]),(0,pe.useEffect)((()=>{e.whereJsonTree||o(Mw.checkTree(Mw.loadTree(Ww),i))}),[i,e.whereJsonTree]);const a=(0,pe.useCallback)(((t,n)=>{o(t);const i=iT(oT({},e),{whereJsonTree:Mw.getTree(t),whereString:Mw.sqlFormat(t,n)});r(i)}),[r,e]);return n?(0,de.jsx)(hb,iT(oT({},i),{value:n,onChange:a,renderBuilder:e=>(0,de.jsx)(zS,oT({},e))})):null}function lT(e){return`\n    display: flex;\n    gap: 8px;\n    flex-direction: ${e};`}function sT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function uT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){sT(i,n,o,a,l,"next",e)}function l(e){sT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function cT({query:e,fields:t,onQueryChange:r,db:n}){const o=(0,Ln.A)(uT((function*(){return function(e){const t={};for(const r of e)t[r.value]={type:r.raqbFieldType||"text",valueSources:["value"],mainWidgetProps:{customProps:{icon:r.icon}}};return t}(t)})),[t]),{onSqlChange:i}=Zr({query:e,onQueryChange:r,db:n});return(0,de.jsx)(aT,{config:{fields:o.value||{}},sql:e.sql,onSqlChange:e=>{!function(e,t){var r,n;t.some((t=>(t=>{var r,n;return"multi"in t&&t.multi&&((null===(r=e.whereString)||void 0===r?void 0:r.includes(`\${${t.name}}`))||(null===(n=e.whereString)||void 0===n?void 0:n.includes(`$${t.name}`)))})(t)))&&(e.whereString=null===(r=e.whereString)||void 0===r?void 0:r.replaceAll("')",")"),e.whereString=null===(n=e.whereString)||void 0===n?void 0:n.replaceAll("('","("))}(e,(0,se.getTemplateSrv)().getVariables()),i(e)}},JSON.stringify(o.value))}function dT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function pT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){dT(i,n,o,a,l,"next",e)}function l(e){dT(i,n,o,a,l,"throw",e)}a(void 0)}))}}je.injectGlobal`
  .group--header {
    ${lT("row")}
  }

  .group-or-rule {
    ${lT("column")}
    .rule {
      flex-direction: row;
    }
  }

  .rule--body {
    ${lT("row")}
  }

  .group--children {
    ${lT("column")}
  }

  .group--conjunctions:empty {
    display: none;
  }
`;const fT=({query:e,db:t,queryRowFilter:r,onChange:n,onValidate:o,range:i})=>{var a;const l=me(pT((function*(){return yield t.fields(e)})),[t,e.dataset,e.table]);return(0,de.jsxs)(de.Fragment,{children:[(0,de.jsxs)($r,{children:[(0,de.jsx)(et,{children:(0,de.jsx)(Pn,{fields:l.value||[],query:e,onQueryChange:n,db:t})}),r.filter&&(0,de.jsx)(et,{children:(0,de.jsx)(ut,{label:"Filter by column value",optional:!0,children:(0,de.jsx)(cT,{fields:l.value||[],query:e,onQueryChange:n,db:t})})}),r.group&&(0,de.jsx)(et,{children:(0,de.jsx)(ut,{label:"Group by column",children:(0,de.jsx)(mn,{fields:l.value||[],query:e,onQueryChange:n,db:t})})}),r.order&&(0,de.jsx)(et,{children:(0,de.jsx)(wn,{fields:l.value||[],query:e,onQueryChange:n,db:t})}),r.preview&&e.rawSql&&(0,de.jsx)(et,{children:(0,de.jsx)(Xr,{rawSql:e.rawSql,datasourceType:null===(a=e.datasource)||void 0===a?void 0:a.type})})]}),(0,de.jsx)(Hr,{db:t,query:e,onValidate:o,range:i})]})};function hT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function gT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){hT(i,n,o,a,l,"next",e)}function l(e){hT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function vT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function mT({datasource:e,query:t,onChange:r,onRunQuery:n,range:o,queryHeaderProps:i}){var a,l,s,u,c,d;const[p,f]=(0,pe.useState)(!0),h=e.getDB(),{preconfiguredDatabase:g}=e;var v;const m=null!==(v=null==i?void 0:i.dialect)&&void 0!==v?v:"other",{loading:y,error:b}=me(gT((function*(){return()=>{void 0!==e.getDB(e.id).init&&e.getDB(e.id).init()}})),[e]),O=xe(t),[E,S]=(0,pe.useState)({filter:!!(null===(a=O.sql)||void 0===a?void 0:a.whereString),group:!!(null===(u=O.sql)||void 0===u||null===(s=u.groupBy)||void 0===s||null===(l=s[0])||void 0===l?void 0:l.property.name),order:!!(null===(d=O.sql)||void 0===d||null===(c=d.orderBy)||void 0===c?void 0:c.property.name),preview:!0}),[w,T]=(0,pe.useState)(O);(0,pe.useEffect)((()=>()=>{void 0!==e.getDB(e.id).dispose&&e.getDB(e.id).dispose()}),[e]);const x=(0,pe.useCallback)((e=>{yT(e)&&n&&n()}),[n]),_=(e,t=!0)=>{var n,o,i,a;T(e),r(e),Ee(null===(n=e.sql)||void 0===n?void 0:n.columns)&&(null===(o=e.sql)||void 0===o?void 0:o.columns.some((e=>e.name)))&&!E.group&&S((i=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){vT(e,t,r[t])}))}return e}({},E),a=null!=(a={group:!0})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i)),t&&x(e)};return y||b?null:(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(Tt,{db:h,preconfiguredDataset:g,onChange:e=>{T(e),r(e)},onRunQuery:n,onQueryRowChange:S,queryRowFilter:E,query:O,isQueryRunnable:p,dialect:m}),(0,de.jsx)(Oe.Space,{v:.5}),O.editorMode!==le.Code&&(0,de.jsx)(fT,{db:h,query:O,onChange:e=>_(e,!1),queryRowFilter:E,onValidate:f,range:o}),O.editorMode===le.Code&&(0,de.jsx)(qr,{db:h,query:O,queryToValidate:w,onChange:_,onRunQuery:n,onValidate:f,range:o})]})}const yT=e=>Boolean(e.rawSql);function bT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function OT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){bT(e,t,r[t])}))}return e}function ET(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function ST(e){const t="string"==typeof e.rawQuery?e.rawQuery:null;if(!t)return e;var r;const n=xe(ET(OT({refId:"Annotation"},null!==(r=e.target)&&void 0!==r?r:{}),{rawSql:t}));return ET(OT({},e),{rawQuery:void 0,workspace:void 0,subscription:void 0,queryType:void 0,target:n})}function wT(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function TT(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){wT(i,n,o,a,l,"next",e)}function l(e){wT(i,n,o,a,l,"throw",e)}a(void 0)}))}}function xT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function _T(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){xT(e,t,r[t])}))}return e}function CT(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}class RT extends se.DataSourceWithBackend{getResponseParser(){return this.responseParser}interpolateVariablesInQueries(e,t){let r=e;return e&&e.length>0&&(r=e.map((e=>CT(_T({},e),{datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),rawQuery:!0})))),r}filterQuery(e){return!e.hide}applyTemplateVariables(e,t){return{refId:e.refId,datasource:this.getRef(),rawSql:this.templateSrv.replace(e.rawSql,t,this.interpolateVariable),format:e.format}}query(e){if(ft()){const t=this.checkForDatabaseIssue(e);if(t){const e=new Error(t);return(0,_.throwError)((()=>e))}}return e.targets.forEach((t=>{var r;e.app!==w.CoreApp.Dashboard&&e.app!==w.CoreApp.PanelViewer&&(0,se.reportInteraction)("grafana_sql_query_executed",{datasource:null===(r=t.datasource)||void 0===r?void 0:r.type,editorMode:t.editorMode,format:t.format,app:e.app})})),super.query(e)}checkForDatabaseIssue(e){if("postgres"===this.type&&!this.preconfiguredDatabase)return"You do not currently have a default database configured for this data source. Postgres requires a default\n             database with which to connect. Please configure one through the Data Sources Configuration page, or if you\n             are using a provisioning file, update that configuration file with a default database.";if(e.app!==w.CoreApp.Explore&&this.preconfiguredDatabase)for(const t of e.targets)if(t.editorMode===le.Builder&&t.dataset!==this.preconfiguredDatabase)return"The configuration for this panel's data source has been modified. The previous database used in this panel's\n                   saved query is no longer available. Please update the query to use the new database option.\n                   Previous query parameters will be preserved until the query is updated."}metricFindQuery(e,t){var r=this;return TT((function*(){const n=null==t?void 0:t.range;if(null==n)return[];let o="tempvar";t&&t.variable&&t.variable.name&&(o=t.variable.name);const i=_T({},null==t?void 0:t.scopedVars,(0,w.getSearchFilterScopedVar)({query:e,wildcardChar:"%",options:t})),a=r.templateSrv.replace(e,i,r.interpolateVariable),l={refId:o,datasource:r.getRef(),rawSql:a,format:S.Table};let s;try{s=yield r.runMetaQuery(l,n)}catch(e){throw console.error(e),new Error("error when executing the sql query")}return r.getResponseParser().transformMetricFindResponse(s)}))()}runSql(e,t){var r=this;return TT((function*(){const n=(0,w.getDefaultTimeRange)(),o=yield r.runMetaQuery({rawSql:e,format:S.Table,refId:null==t?void 0:t.refId},n);return new w.DataFrameView(o)}))()}runMetaQuery(e,t){const r=e.refId||"meta",n=[CT(_T({},e),{datasource:e.datasource||this.getRef(),refId:r})];return(0,_.lastValueFrom)((0,se.getBackendSrv)().fetch({url:"/api/ds/query",method:"POST",headers:this.getRequestHeaders(),data:{from:t.from.valueOf().toString(),to:t.to.valueOf().toString(),queries:n},requestId:r}).pipe(J((e=>{var t;return null!==(t=(0,se.toDataQueryResponse)(e,n).data[0])&&void 0!==t?t:{fields:[]}}))))}targetContainsTemplate(e){let t=e.rawSql;return xn.forEach((e=>{t=(null==t?void 0:t.replace(e,""))||""})),this.templateSrv.containsTemplate(t)}constructor(e,t=(0,se.getTemplateSrv)()){super(e),xT(this,"templateSrv",void 0),xT(this,"id",void 0),xT(this,"responseParser",void 0),xT(this,"name",void 0),xT(this,"interval",void 0),xT(this,"db",void 0),xT(this,"preconfiguredDatabase",void 0),xT(this,"interpolateVariable",void 0),this.templateSrv=t,this.interpolateVariable=(e,t)=>"string"==typeof e?t.multi||t.includeAll?this.getQueryModel().quoteLiteral(e):String(e).replace(/'/g,"''"):"number"==typeof e?e:Array.isArray(e)?e.map((e=>this.getQueryModel().quoteLiteral(e))).join(","):e,this.name=e.name,this.responseParser=new ce,this.id=e.id;const r=e.jsonData||{};var n;this.interval=r.timeInterval||"1m",this.db=this.getDB(),this.preconfiguredDatabase=null!==(n=r.database)&&void 0!==n?n:"",this.annotations={prepareAnnotation:ST,QueryEditor:mT}}}var IT=Object.defineProperty,AT=Object.defineProperties,jT=Object.getOwnPropertyDescriptors,kT=Object.getOwnPropertySymbols,PT=Object.prototype.hasOwnProperty,LT=Object.prototype.propertyIsEnumerable,NT=(e,t,r)=>t in e?IT(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,FT=(e,t)=>{for(var r in t||(t={}))PT.call(t,r)&&NT(e,r,t[r]);if(kT)for(var r of kT(t))LT.call(t,r)&&NT(e,r,t[r]);return e},DT=(e,t)=>AT(e,jT(t));const MT=({children:e,title:t,description:r,isCollapsible:n=!1,isInitiallyOpen:o=!0,kind:i="section",className:a})=>{const{colors:l,typography:s,spacing:u}=(0,Oe.useTheme2)(),[c,d]=(0,pe.useState)(!n||o),p=c?"angle-up":"angle-down",f="sub-section"===i,h=`${c?"Collapse":"Expand"} section ${t}`,g={header:(0,je.css)({display:"flex",justifyContent:"space-between",alignItems:"center"}),title:(0,je.css)({margin:0}),subtitle:(0,je.css)({margin:0,fontWeight:s.fontWeightRegular}),descriptionText:(0,je.css)(DT(FT({marginTop:u(f?.25:.5),marginBottom:0},s.bodySmall),{color:l.text.secondary})),content:(0,je.css)({marginTop:u(2)})};return he().createElement("div",{className:a},he().createElement("div",{className:g.header},"section"===i?he().createElement("h3",{className:g.title},t):he().createElement("h6",{className:g.subtitle},t),n&&he().createElement(Oe.IconButton,{name:p,onClick:()=>d(!c),type:"button",size:"xl","aria-label":h})),r&&he().createElement("p",{className:g.descriptionText},r),c&&he().createElement("div",{className:g.content},e))};var VT=Object.defineProperty,UT=Object.defineProperties,BT=Object.getOwnPropertyDescriptors,zT=Object.getOwnPropertySymbols,WT=Object.prototype.hasOwnProperty,HT=Object.prototype.propertyIsEnumerable,qT=(e,t,r)=>t in e?VT(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const GT=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)WT.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&zT)for(var n of zT(e))t.indexOf(n)<0&&HT.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);return he().createElement(MT,((e,t)=>UT(e,BT({kind:"sub-section"})))(((e,t)=>{for(var r in t||(t={}))WT.call(t,r)&&qT(e,r,t[r]);if(zT)for(var r of zT(t))HT.call(t,r)&&qT(e,r,t[r]);return e})({},n)),r)};function $T({value:e,defaultValue:t,onChange:r,width:n}){const[o,i]=(0,pe.useState)(!1);return(0,de.jsx)(Oe.Input,{type:"number",placeholder:String(t),value:o?"":e,onChange:e=>{var n;if(""===(null===(n=e.currentTarget.value)||void 0===n?void 0:n.trim()))i(!0),r(t);else{i(!1);const t=Number(e.currentTarget.value);Number.isNaN(t)||r(t)}},width:n})}function KT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function YT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){KT(e,t,r[t])}))}return e}const XT=e=>{const{onOptionsChange:t,options:r}=e,n=r.jsonData,o=void 0!==n.maxIdleConnsAuto&&n.maxIdleConnsAuto,i=e=>{const o=(i=YT({},r),a=null!=(a={jsonData:YT({},n,e)})?a:{},Object.getOwnPropertyDescriptors?Object.defineProperties(i,Object.getOwnPropertyDescriptors(a)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(a)).forEach((function(e){Object.defineProperty(i,e,Object.getOwnPropertyDescriptor(a,e))})),i);var i,a;return t(o)},a=e=>t=>{i({[e]:t})};return(0,de.jsxs)(GT,{title:"Connection limits",children:[(0,de.jsx)(Oe.Field,{label:(0,de.jsx)(Oe.Label,{children:(0,de.jsxs)(Je,{gap:.5,children:[(0,de.jsx)("span",{children:"Max open"}),(0,de.jsx)(Oe.Tooltip,{content:(0,de.jsxs)("span",{children:["The maximum number of open connections to the database. If ",(0,de.jsx)("i",{children:"Max idle connections"})," is greater than 0 and the ",(0,de.jsx)("i",{children:"Max open connections"})," is less than ",(0,de.jsx)("i",{children:"Max idle connections"}),", then",(0,de.jsx)("i",{children:"Max idle connections"})," will be reduced to match the ",(0,de.jsx)("i",{children:"Max open connections"})," limit. If set to 0, there is no limit on the number of open connections."]}),children:(0,de.jsx)(Oe.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,de.jsx)($T,{value:n.maxOpenConns,defaultValue:se.config.sqlConnectionLimits.maxOpenConns,onChange:e=>{var t;t=e,i(o&&t?{maxOpenConns:t,maxIdleConns:t}:{maxOpenConns:t})},width:40})}),(0,de.jsx)(Oe.Field,{label:(0,de.jsx)(Oe.Label,{children:(0,de.jsxs)(Je,{gap:.5,children:[(0,de.jsx)("span",{children:"Auto max idle"}),(0,de.jsx)(Oe.Tooltip,{content:(0,de.jsxs)("span",{children:["If enabled, automatically set the number of ",(0,de.jsx)("i",{children:"Maximum idle connections"})," to the same value as",(0,de.jsx)("i",{children:" Max open connections"}),". If the number of maximum open connections is not set it will be set to the default (",se.config.sqlConnectionLimits.maxIdleConns,")."]}),children:(0,de.jsx)(Oe.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,de.jsx)(Oe.Switch,{value:o,onChange:()=>{let e,t;o?(t=n.maxOpenConns,e=n.maxIdleConns):void 0!==n.maxOpenConns&&(t=n.maxOpenConns,e=n.maxOpenConns),i({maxIdleConnsAuto:!o,maxIdleConns:e,maxOpenConns:t})}})}),(0,de.jsx)(Oe.Field,{label:(0,de.jsx)(Oe.Label,{children:(0,de.jsxs)(Je,{gap:.5,children:[(0,de.jsx)("span",{children:"Max idle"}),(0,de.jsx)(Oe.Tooltip,{content:(0,de.jsxs)("span",{children:["The maximum number of connections in the idle connection pool.If ",(0,de.jsx)("i",{children:"Max open connections"})," is greater than 0 but less than the ",(0,de.jsx)("i",{children:"Max idle connections"}),", then the ",(0,de.jsx)("i",{children:"Max idle connections"})," ","will be reduced to match the ",(0,de.jsx)("i",{children:"Max open connections"})," limit. If set to 0, no idle connections are retained."]}),children:(0,de.jsx)(Oe.Icon,{name:"info-circle",size:"sm"})})]})}),children:o?(0,de.jsx)(Oe.InlineLabel,{width:40,children:r.jsonData.maxIdleConns}):(0,de.jsx)($T,{value:n.maxIdleConns,defaultValue:se.config.sqlConnectionLimits.maxIdleConns,onChange:e=>{a("maxIdleConns")(e)},width:40})}),(0,de.jsx)(Oe.Field,{label:(0,de.jsx)(Oe.Label,{children:(0,de.jsxs)(Je,{gap:.5,children:[(0,de.jsx)("span",{children:"Max lifetime"}),(0,de.jsx)(Oe.Tooltip,{content:(0,de.jsx)("span",{children:"The maximum amount of time in seconds a connection may be reused. If set to 0, connections are reused forever."}),children:(0,de.jsx)(Oe.Icon,{name:"info-circle",size:"sm"})})]})}),children:(0,de.jsx)($T,{value:n.connMaxLifetime,defaultValue:se.config.sqlConnectionLimits.connMaxLifetime,onChange:e=>{a("connMaxLifetime")(e)},width:40})})]})},QT=(0,se.createMonitoringLogger)("features.plugins.sql");function JT(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function ZT(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){JT(e,t,r[t])}))}return e}function ex(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function tx(e){return{ulPadding:(0,je.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}var rx=Object.defineProperty,nx=Object.defineProperties,ox=Object.getOwnPropertyDescriptors,ix=Object.getOwnPropertySymbols,ax=Object.prototype.hasOwnProperty,lx=Object.prototype.propertyIsEnumerable,sx=(e,t,r)=>t in e?rx(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r,ux=(e,t)=>{for(var r in t||(t={}))ax.call(t,r)&&sx(e,r,t[r]);if(ix)for(var r of ix(t))lx.call(t,r)&&sx(e,r,t[r]);return e},cx=(e,t)=>nx(e,ox(t));const dx=({dataSourceName:e,docsLink:t,hasRequiredFields:r=!0,className:n})=>{const o=(0,Oe.useTheme2)(),i={container:(0,je.css)({p:{margin:0},"p + p":{marginTop:o.spacing(2)}}),text:(0,je.css)(cx(ux({},o.typography.body),{color:o.colors.text.secondary,a:(0,je.css)({color:o.colors.text.link,textDecoration:"underline","&:hover":{textDecoration:"none"}})}))};return he().createElement("div",{className:(0,je.cx)(i.container,n)},he().createElement("p",{className:i.text},"Before you can use the ",e," data source, you must configure it below or in the config file. For detailed instructions,"," ",he().createElement("a",{href:t,target:"_blank",rel:"noreferrer"},"view the documentation"),"."),r&&he().createElement("p",{className:i.text},he().createElement("i",null,"Fields marked with * are required")))};var px=Object.defineProperty,fx=Object.defineProperties,hx=Object.getOwnPropertyDescriptors,gx=Object.getOwnPropertySymbols,vx=Object.prototype.hasOwnProperty,mx=Object.prototype.propertyIsEnumerable,yx=(e,t,r)=>t in e?px(e,t,{enumerable:!0,configurable:!0,writable:!0,value:r}):e[t]=r;const bx=e=>{var t=e,{children:r}=t,n=((e,t)=>{var r={};for(var n in e)vx.call(e,n)&&t.indexOf(n)<0&&(r[n]=e[n]);if(null!=e&&gx)for(var n of gx(e))t.indexOf(n)<0&&mx.call(e,n)&&(r[n]=e[n]);return r})(t,["children"]);return he().createElement(MT,((e,t)=>fx(e,hx({kind:"section"})))(((e,t)=>{for(var r in t||(t={}))vx.call(t,r)&&yx(e,r,t[r]);if(gx)for(var r of gx(t))mx.call(t,r)&&yx(e,r,t[r]);return e})({},n)),r)};var Ox,Ex,Sx,wx,Tx,xx;!function(e){e.sqlAuth="SQL Server Authentication",e.windowsAuth="Windows Authentication",e.azureAuth="Azure AD Authentication",e.kerberosRaw="Windows AD: Username + password",e.kerberosKeytab="Windows AD: Keytab",e.kerberosCredentialCache="Windows AD: Credential cache",e.kerberosCredentialCacheLookupFile="Windows AD: Credential cache file"}(Ox||(Ox={})),function(e){e.disable="disable",e.false="false",e.true="true"}(Ex||(Ex={})),function(e){e.Public="AzureCloud",e.None=""}(Sx||(Sx={})),(xx=wx||(wx={})).MSI="msi",xx.CLIENT_SECRET="clientsecret",xx.AD_PASSWORD="ad-password",function(e){e.Public="AzureCloud",e.None=""}(Tx||(Tx={}));const _x=[{value:"AzureCloud",label:"Azure"}];function Cx(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Rx(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Cx(e,t,r[t])}))}return e}function Ix(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Ax=(e,t)=>{const r=Symbol("Concealed client secret");return e?r:"string"==typeof t&&t.length>0?t:void 0};var jx=v(9874),kx=v.n(jx),Px=v(3238),Lx=v.n(Px);function Nx(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}let Fx=null;const Dx=new WeakMap;function Mx(){return(0,pe.useContext)(Fx||w.ThemeContext)}function Vx(e,...t){const r=Mx();let n=Dx.get(e);return n||(n=Lx()(e,{maxSize:10}),Dx.set(e,n)),n(r,...t)}var Ux=function(e){return e.split(/ ?; ?/).reduce((function(e,t){var r=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a}(t.split(/ ?: ?/),2),n=r[0],o=r[1];return n&&o&&(e[n.replace(/-(\w)/g,(function(e,t){return t.toUpperCase()}))]=Number.isNaN(Number(o))?o:Number(o)),e}),{})},Bx=["br","col","colgroup","dl","hr","iframe","img","input","link","menuitem","meta","ol","param","select","table","tbody","tfoot","thead","tr","ul","wbr"],zx={"accept-charset":"acceptCharset",acceptcharset:"acceptCharset",accesskey:"accessKey",allowfullscreen:"allowFullScreen",autocapitalize:"autoCapitalize",autocomplete:"autoComplete",autocorrect:"autoCorrect",autofocus:"autoFocus",autoplay:"autoPlay",autosave:"autoSave",cellpadding:"cellPadding",cellspacing:"cellSpacing",charset:"charSet",class:"className",classid:"classID",classname:"className",colspan:"colSpan",contenteditable:"contentEditable",contextmenu:"contextMenu",controlslist:"controlsList",crossorigin:"crossOrigin",dangerouslysetinnerhtml:"dangerouslySetInnerHTML",datetime:"dateTime",defaultchecked:"defaultChecked",defaultvalue:"defaultValue",enctype:"encType",for:"htmlFor",formmethod:"formMethod",formaction:"formAction",formenctype:"formEncType",formnovalidate:"formNoValidate",formtarget:"formTarget",frameborder:"frameBorder",hreflang:"hrefLang",htmlfor:"htmlFor",httpequiv:"httpEquiv","http-equiv":"httpEquiv",icon:"icon",innerhtml:"innerHTML",inputmode:"inputMode",itemid:"itemID",itemprop:"itemProp",itemref:"itemRef",itemscope:"itemScope",itemtype:"itemType",keyparams:"keyParams",keytype:"keyType",marginwidth:"marginWidth",marginheight:"marginHeight",maxlength:"maxLength",mediagroup:"mediaGroup",minlength:"minLength",nomodule:"noModule",novalidate:"noValidate",playsinline:"playsInline",radiogroup:"radioGroup",readonly:"readOnly",referrerpolicy:"referrerPolicy",rowspan:"rowSpan",spellcheck:"spellCheck",srcdoc:"srcDoc",srclang:"srcLang",srcset:"srcSet",tabindex:"tabIndex",typemustmatch:"typeMustMatch",usemap:"useMap",accentheight:"accentHeight","accent-height":"accentHeight",alignmentbaseline:"alignmentBaseline","alignment-baseline":"alignmentBaseline",allowreorder:"allowReorder",arabicform:"arabicForm","arabic-form":"arabicForm",attributename:"attributeName",attributetype:"attributeType",autoreverse:"autoReverse",basefrequency:"baseFrequency",baselineshift:"baselineShift","baseline-shift":"baselineShift",baseprofile:"baseProfile",calcmode:"calcMode",capheight:"capHeight","cap-height":"capHeight",clippath:"clipPath","clip-path":"clipPath",clippathunits:"clipPathUnits",cliprule:"clipRule","clip-rule":"clipRule",colorinterpolation:"colorInterpolation","color-interpolation":"colorInterpolation",colorinterpolationfilters:"colorInterpolationFilters","color-interpolation-filters":"colorInterpolationFilters",colorprofile:"colorProfile","color-profile":"colorProfile",colorrendering:"colorRendering","color-rendering":"colorRendering",contentscripttype:"contentScriptType",contentstyletype:"contentStyleType",diffuseconstant:"diffuseConstant",dominantbaseline:"dominantBaseline","dominant-baseline":"dominantBaseline",edgemode:"edgeMode",enablebackground:"enableBackground","enable-background":"enableBackground",externalresourcesrequired:"externalResourcesRequired",fillopacity:"fillOpacity","fill-opacity":"fillOpacity",fillrule:"fillRule","fill-rule":"fillRule",filterres:"filterRes",filterunits:"filterUnits",floodopacity:"floodOpacity","flood-opacity":"floodOpacity",floodcolor:"floodColor","flood-color":"floodColor",fontfamily:"fontFamily","font-family":"fontFamily",fontsize:"fontSize","font-size":"fontSize",fontsizeadjust:"fontSizeAdjust","font-size-adjust":"fontSizeAdjust",fontstretch:"fontStretch","font-stretch":"fontStretch",fontstyle:"fontStyle","font-style":"fontStyle",fontvariant:"fontVariant","font-variant":"fontVariant",fontweight:"fontWeight","font-weight":"fontWeight",glyphname:"glyphName","glyph-name":"glyphName",glyphorientationhorizontal:"glyphOrientationHorizontal","glyph-orientation-horizontal":"glyphOrientationHorizontal",glyphorientationvertical:"glyphOrientationVertical","glyph-orientation-vertical":"glyphOrientationVertical",glyphref:"glyphRef",gradienttransform:"gradientTransform",gradientunits:"gradientUnits",horizadvx:"horizAdvX","horiz-adv-x":"horizAdvX",horizoriginx:"horizOriginX","horiz-origin-x":"horizOriginX",imagerendering:"imageRendering","image-rendering":"imageRendering",kernelmatrix:"kernelMatrix",kernelunitlength:"kernelUnitLength",keypoints:"keyPoints",keysplines:"keySplines",keytimes:"keyTimes",lengthadjust:"lengthAdjust",letterspacing:"letterSpacing","letter-spacing":"letterSpacing",lightingcolor:"lightingColor","lighting-color":"lightingColor",limitingconeangle:"limitingConeAngle",markerend:"markerEnd","marker-end":"markerEnd",markerheight:"markerHeight",markermid:"markerMid","marker-mid":"markerMid",markerstart:"markerStart","marker-start":"markerStart",markerunits:"markerUnits",markerwidth:"markerWidth",maskcontentunits:"maskContentUnits",maskunits:"maskUnits",numoctaves:"numOctaves",overlineposition:"overlinePosition","overline-position":"overlinePosition",overlinethickness:"overlineThickness","overline-thickness":"overlineThickness",paintorder:"paintOrder","paint-order":"paintOrder","panose-1":"panose1",pathlength:"pathLength",patterncontentunits:"patternContentUnits",patterntransform:"patternTransform",patternunits:"patternUnits",pointerevents:"pointerEvents","pointer-events":"pointerEvents",pointsatx:"pointsAtX",pointsaty:"pointsAtY",pointsatz:"pointsAtZ",preservealpha:"preserveAlpha",preserveaspectratio:"preserveAspectRatio",primitiveunits:"primitiveUnits",refx:"refX",refy:"refY",renderingintent:"renderingIntent","rendering-intent":"renderingIntent",repeatcount:"repeatCount",repeatdur:"repeatDur",requiredextensions:"requiredExtensions",requiredfeatures:"requiredFeatures",shaperendering:"shapeRendering","shape-rendering":"shapeRendering",specularconstant:"specularConstant",specularexponent:"specularExponent",spreadmethod:"spreadMethod",startoffset:"startOffset",stddeviation:"stdDeviation",stitchtiles:"stitchTiles",stopcolor:"stopColor","stop-color":"stopColor",stopopacity:"stopOpacity","stop-opacity":"stopOpacity",strikethroughposition:"strikethroughPosition","strikethrough-position":"strikethroughPosition",strikethroughthickness:"strikethroughThickness","strikethrough-thickness":"strikethroughThickness",strokedasharray:"strokeDasharray","stroke-dasharray":"strokeDasharray",strokedashoffset:"strokeDashoffset","stroke-dashoffset":"strokeDashoffset",strokelinecap:"strokeLinecap","stroke-linecap":"strokeLinecap",strokelinejoin:"strokeLinejoin","stroke-linejoin":"strokeLinejoin",strokemiterlimit:"strokeMiterlimit","stroke-miterlimit":"strokeMiterlimit",strokewidth:"strokeWidth","stroke-width":"strokeWidth",strokeopacity:"strokeOpacity","stroke-opacity":"strokeOpacity",suppresscontenteditablewarning:"suppressContentEditableWarning",suppresshydrationwarning:"suppressHydrationWarning",surfacescale:"surfaceScale",systemlanguage:"systemLanguage",tablevalues:"tableValues",targetx:"targetX",targety:"targetY",textanchor:"textAnchor","text-anchor":"textAnchor",textdecoration:"textDecoration","text-decoration":"textDecoration",textlength:"textLength",textrendering:"textRendering","text-rendering":"textRendering",underlineposition:"underlinePosition","underline-position":"underlinePosition",underlinethickness:"underlineThickness","underline-thickness":"underlineThickness",unicodebidi:"unicodeBidi","unicode-bidi":"unicodeBidi",unicoderange:"unicodeRange","unicode-range":"unicodeRange",unitsperem:"unitsPerEm","units-per-em":"unitsPerEm",unselectable:"unselectable",valphabetic:"vAlphabetic","v-alphabetic":"vAlphabetic",vectoreffect:"vectorEffect","vector-effect":"vectorEffect",vertadvy:"vertAdvY","vert-adv-y":"vertAdvY",vertoriginx:"vertOriginX","vert-origin-x":"vertOriginX",vertoriginy:"vertOriginY","vert-origin-y":"vertOriginY",vhanging:"vHanging","v-hanging":"vHanging",videographic:"vIdeographic","v-ideographic":"vIdeographic",viewbox:"viewBox",viewtarget:"viewTarget",vmathematical:"vMathematical","v-mathematical":"vMathematical",wordspacing:"wordSpacing","word-spacing":"wordSpacing",writingmode:"writingMode","writing-mode":"writingMode",xchannelselector:"xChannelSelector",xheight:"xHeight","x-height":"xHeight",xlinkactuate:"xlinkActuate","xlink:actuate":"xlinkActuate",xlinkarcrole:"xlinkArcrole","xlink:arcrole":"xlinkArcrole",xlinkhref:"xlinkHref","xlink:href":"xlinkHref",xlinkrole:"xlinkRole","xlink:role":"xlinkRole",xlinkshow:"xlinkShow","xlink:show":"xlinkShow",xlinktitle:"xlinkTitle","xlink:title":"xlinkTitle",xlinktype:"xlinkType","xlink:type":"xlinkType",xmlbase:"xmlBase","xml:base":"xmlBase",xmllang:"xmlLang","xml:lang":"xmlLang","xml:space":"xmlSpace",xmlnsxlink:"xmlnsXlink","xmlns:xlink":"xmlnsXlink",xmlspace:"xmlSpace",ychannelselector:"yChannelSelector",zoomandpan:"zoomAndPan",onblur:"onBlur",onchange:"onChange",onclick:"onClick",oncontextmenu:"onContextMenu",ondoubleclick:"onDoubleClick",ondrag:"onDrag",ondragend:"onDragEnd",ondragenter:"onDragEnter",ondragexit:"onDragExit",ondragleave:"onDragLeave",ondragover:"onDragOver",ondragstart:"onDragStart",ondrop:"onDrop",onerror:"onError",onfocus:"onFocus",oninput:"onInput",oninvalid:"onInvalid",onkeydown:"onKeyDown",onkeypress:"onKeyPress",onkeyup:"onKeyUp",onload:"onLoad",onmousedown:"onMouseDown",onmouseenter:"onMouseEnter",onmouseleave:"onMouseLeave",onmousemove:"onMouseMove",onmouseout:"onMouseOut",onmouseover:"onMouseOver",onmouseup:"onMouseUp",onscroll:"onScroll",onsubmit:"onSubmit",ontouchcancel:"onTouchCancel",ontouchend:"onTouchEnd",ontouchmove:"onTouchMove",ontouchstart:"onTouchStart",onwheel:"onWheel"},Wx=function(){return Wx=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},Wx.apply(this,arguments)},Hx=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a},qx=function(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))};function Gx(e,t){var r;if(void 0===t&&(t={}),!(e&&e instanceof Node))return null;var n,o=t.actions,i=void 0===o?[]:o,a=t.index,l=void 0===a?0:a,s=t.level,u=void 0===s?0:s,c=t.randomKey,d=e,p="".concat(u,"-").concat(l),f=[];if(c&&0===u&&(p="".concat(function(e){void 0===e&&(e=6);for(var t="",r=e;r>0;--r)t+="0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ"[Math.round(61*Math.random())];return t}(),"-").concat(p)),Array.isArray(i)&&i.forEach((function(t){t.condition(d,p,u)&&("function"==typeof t.pre&&((d=t.pre(d,p,u))instanceof Node||(d=e)),"function"==typeof t.post&&f.push(t.post(d,p,u)))})),f.length)return f;switch(d.nodeType){case 1:return pe.createElement((n=d.nodeName,/[a-z]+[A-Z]+[a-z]+/.test(n)?n:n.toLowerCase()),function(e,t){var r={key:t};if(e instanceof Element){var n=e.getAttribute("class");n&&(r.className=n),qx([],Hx(e.attributes),!1).forEach((function(e){switch(e.name){case"class":break;case"style":r[e.name]=Ux(e.value);break;case"allowfullscreen":case"allowpaymentrequest":case"async":case"autofocus":case"autoplay":case"checked":case"controls":case"default":case"defer":case"disabled":case"formnovalidate":case"hidden":case"ismap":case"itemscope":case"loop":case"multiple":case"muted":case"nomodule":case"novalidate":case"open":case"readonly":case"required":case"reversed":case"selected":case"typemustmatch":r[zx[e.name]||e.name]=!0;break;default:r[zx[e.name]||e.name]=e.value}}))}return r}(d,p),function(e,t,r){var n=qx([],Hx(e),!1).map((function(e,n){return Gx(e,Wx(Wx({},r),{index:n,level:t+1}))})).filter(Boolean);return n.length?n:null}(d.childNodes,u,t));case 3:var h=(null===(r=d.nodeValue)||void 0===r?void 0:r.toString())||"";if(/^\s+$/.test(h)&&!/[\u00A0\u202F]/.test(h))return null;if(!d.parentNode)return h;var g=d.parentNode.nodeName.toLowerCase();return Bx.includes(g)?(/\S/.test(h)&&console.warn("A textNode is not allowed inside '".concat(g,"'. Your text \"").concat(h,'" will be ignored')),null):h;default:return null}}function $x(e,t){return void 0===t&&(t={}),"string"==typeof e?function(e,t){if(void 0===t&&(t={}),!e||"string"!=typeof e)return null;var r=t.nodeOnly,n=void 0!==r&&r,o=t.selector,i=void 0===o?"body > *":o,a=t.type,l=void 0===a?"text/html":a;try{var s=(new DOMParser).parseFromString(e,l).querySelector(i);if(!(s instanceof Node))throw new TypeError("Error parsing input");return n?s:Gx(s,t)}catch(e){}return null}(e,t):e instanceof Node?Gx(e,t):null}var Kx=v(9083),Yx={FAILED:"failed",LOADED:"loaded",LOADING:"loading",PENDING:"pending",READY:"ready",UNSUPPORTED:"unsupported"};function Xx(){return Kx.canUseDOM}var Qx,Jx=(Qx=function(e,t){return Qx=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var r in t)Object.prototype.hasOwnProperty.call(t,r)&&(e[r]=t[r])},Qx(e,t)},function(e,t){if("function"!=typeof t&&null!==t)throw new TypeError("Class extends value "+String(t)+" is not a constructor or null");function r(){this.constructor=e}Qx(e,t),e.prototype=null===t?Object.create(t):(r.prototype=t.prototype,new r)}),Zx=function(){return Zx=Object.assign||function(e){for(var t,r=1,n=arguments.length;r<n;r++)for(var o in t=arguments[r])Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o]);return e},Zx.apply(this,arguments)},e_=function(e,t){var r="function"==typeof Symbol&&e[Symbol.iterator];if(!r)return e;var n,o,i=r.call(e),a=[];try{for(;(void 0===t||t-- >0)&&!(n=i.next()).done;)a.push(n.value)}catch(e){o={error:e}}finally{try{n&&!n.done&&(r=i.return)&&r.call(i)}finally{if(o)throw o.error}}return a},t_=Object.create(null),r_=function(e){function t(t){var r=e.call(this,t)||this;return Object.defineProperty(r,"isInitialized",{enumerable:!0,configurable:!0,writable:!0,value:!1}),Object.defineProperty(r,"isActive",{enumerable:!0,configurable:!0,writable:!0,value:!1}),Object.defineProperty(r,"hash",{enumerable:!0,configurable:!0,writable:!0,value:void 0}),Object.defineProperty(r,"handleLoad",{enumerable:!0,configurable:!0,writable:!0,value:function(e,t){void 0===t&&(t=!1),r.isActive&&r.setState({content:e,hasCache:t,status:Yx.LOADED},r.getElement)}}),Object.defineProperty(r,"handleError",{enumerable:!0,configurable:!0,writable:!0,value:function(e){var t=r.props.onError,n="Browser does not support SVG"===e.message?Yx.UNSUPPORTED:Yx.FAILED;r.isActive&&r.setState({status:n},(function(){"function"==typeof t&&t(e)}))}}),Object.defineProperty(r,"request",{enumerable:!0,configurable:!0,writable:!0,value:function(){var e=r.props,t=e.cacheRequests,n=e.fetchOptions,o=e.src;try{return t&&(t_[o]={content:"",status:Yx.LOADING}),fetch(o,n).then((function(e){var t=e.headers.get("content-type"),r=e_((t||"").split(/ ?; ?/),1)[0];if(e.status>299)throw new Error("Not found");if(!["image/svg+xml","text/plain"].some((function(e){return r.includes(e)})))throw new Error("Content type isn't valid: ".concat(r));return e.text()})).then((function(e){var n=r.props.src;if(o===n){if(r.handleLoad(e),t){var i=t_[o];i&&(i.content=e,i.status=Yx.LOADED)}}else t_[o].status===Yx.LOADING&&delete t_[o]})).catch((function(e){r.handleError(e),t&&t_[o]&&delete t_[o]}))}catch(e){return r.handleError(new Error(e.message))}}}),r.state={content:"",element:null,hasCache:!!t.cacheRequests&&!!t_[t.src],status:Yx.PENDING},r.hash=t.uniqueHash||function(e){for(var t="abcdefghijklmnopqrstuvwxyz",r="".concat(t).concat(t.toUpperCase()).concat("1234567890"),n="",o=0;o<8;o++)n+=(i=r)[Math.floor(Math.random()*i.length)];var i;return n}(),r}return Jx(t,e),Object.defineProperty(t.prototype,"componentDidMount",{enumerable:!1,configurable:!0,writable:!0,value:function(){if(this.isActive=!0,Xx()&&!this.isInitialized){var e=this.state.status,t=this.props.src;try{if(e===Yx.PENDING){if(!function(){if(!document)return!1;var e=document.createElement("div");e.innerHTML="<svg />";var t=e.firstChild;return!!t&&"http://www.w3.org/2000/svg"===t.namespaceURI}()||"undefined"==typeof window||null===window)throw new Error("Browser does not support SVG");if(!t)throw new Error("Missing src");this.load()}}catch(e){this.handleError(e)}this.isInitialized=!0}}}),Object.defineProperty(t.prototype,"componentDidUpdate",{enumerable:!1,configurable:!0,writable:!0,value:function(e,t){if(Xx()){var r=this.state,n=r.hasCache,o=r.status,i=this.props,a=i.onLoad,l=i.src;if(t.status!==Yx.READY&&o===Yx.READY&&a&&a(l,n),e.src!==l){if(!l)return void this.handleError(new Error("Missing src"));this.load()}}}}),Object.defineProperty(t.prototype,"componentWillUnmount",{enumerable:!1,configurable:!0,writable:!0,value:function(){this.isActive=!1}}),Object.defineProperty(t.prototype,"getNode",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.props,t=e.description,r=e.title;try{var n=$x(this.processSVG(),{nodeOnly:!0});if(!(n&&n instanceof SVGSVGElement))throw new Error("Could not convert the src to a DOM Node");var o=this.updateSVGAttributes(n);if(t){var i=o.querySelector("desc");i&&i.parentNode&&i.parentNode.removeChild(i);var a=document.createElementNS("http://www.w3.org/2000/svg","desc");a.innerHTML=t,o.prepend(a)}if(void 0!==r){var l=o.querySelector("title");if(l&&l.parentNode&&l.parentNode.removeChild(l),r){var s=document.createElementNS("http://www.w3.org/2000/svg","title");s.innerHTML=r,o.prepend(s)}}return o}catch(e){return this.handleError(e)}}}),Object.defineProperty(t.prototype,"getElement",{enumerable:!1,configurable:!0,writable:!0,value:function(){try{var e=$x(this.getNode());if(!e||!pe.isValidElement(e))throw new Error("Could not convert the src to a React element");this.setState({element:e,status:Yx.READY})}catch(e){this.handleError(new Error(e.message))}}}),Object.defineProperty(t.prototype,"load",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this;this.isActive&&this.setState({content:"",element:null,hasCache:!1,status:Yx.LOADING},(function(){var t=e.props,r=t.cacheRequests,n=t.src,o=r&&t_[n];if(o&&o.status===Yx.LOADED)e.handleLoad(o.content,!0);else{var i,a=n.match(/data:image\/svg[^,]*?(;base64)?,(.*)/);a?i=a[1]?window.atob(a[2]):decodeURIComponent(a[2]):n.includes("<svg")&&(i=n),i?e.handleLoad(i):e.request()}}))}}),Object.defineProperty(t.prototype,"updateSVGAttributes",{enumerable:!1,configurable:!0,writable:!0,value:function(e){var t=this,r=this.props,n=r.baseURL,o=void 0===n?"":n,i=r.uniquifyIDs,a=["id","href","xlink:href","xlink:role","xlink:arcrole"],l=["href","xlink:href"];return i?(function(e,t,r){if(r||2===arguments.length)for(var n,o=0,i=t.length;o<i;o++)!n&&o in t||(n||(n=Array.prototype.slice.call(t,0,o)),n[o]=t[o]);return e.concat(n||Array.prototype.slice.call(t))}([],e_(e.children),!1).map((function(e){if(e.attributes&&e.attributes.length){var r=Object.values(e.attributes).map((function(e){var r=e,n=e.value.match(/url\((.*?)\)/);return n&&n[1]&&(r.value=e.value.replace(n[0],"url(".concat(o).concat(n[1],"__").concat(t.hash,")"))),r}));a.forEach((function(e){var n,o,i=r.find((function(t){return t.name===e}));i&&(n=e,o=i.value,!l.includes(n)||!o||o.includes("#"))&&(i.value="".concat(i.value,"__").concat(t.hash))}))}return e.children.length?t.updateSVGAttributes(e):e})),e):e}}),Object.defineProperty(t.prototype,"processSVG",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.state.content,t=this.props.preProcessor;return t?t(e):e}}),Object.defineProperty(t.prototype,"render",{enumerable:!1,configurable:!0,writable:!0,value:function(){var e=this.state,t=e.element,r=e.status,n=this.props,o=n.children,i=void 0===o?null:o,a=n.innerRef,l=n.loader,s=void 0===l?null:l,u=function(e){for(var t=[],r=1;r<arguments.length;r++)t[r-1]=arguments[r];var n={};for(var o in e)({}).hasOwnProperty.call(e,o)&&(t.includes(o)||(n[o]=e[o]));return n}(this.props,"baseURL","cacheRequests","children","description","fetchOptions","innerRef","loader","onError","onLoad","preProcessor","src","title","uniqueHash","uniquifyIDs");return Xx()?t?pe.cloneElement(t,Zx({ref:a},u)):[Yx.UNSUPPORTED,Yx.FAILED].includes(r)?i:s:s}}),Object.defineProperty(t,"defaultProps",{enumerable:!0,configurable:!0,writable:!0,value:{cacheRequests:!0,uniquifyIDs:!1}}),t}(pe.PureComponent);const n_=r_,o_=(0,je.keyframes)({"0%":{transform:"rotate(0deg)"},"100%":{transform:"rotate(359deg)"}}),i_=["grafana","favorite","heart-break","heart","panel-add","library-panel","circle-mono"];function a_(e,t){return(null==e?void 0:e.startsWith("gf-"))?"custom":i_.includes(e)?"mono":"default"===t?"unicons":"solid"===t?"solid":"mono"}function l_(e){switch(e){case"xs":return 12;case"sm":return 14;case"md":return 16;case"lg":return 18;case"xl":return 24;case"xxl":return 36;case"xxxl":return 48}}let s_;function u_(){if(s_)return s_;const e="undefined"!=typeof window&&window.__grafana_public_path__;return s_=e?e+"img/icons/":"public/img/icons/",s_}function c_(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const d_=e=>({icon:(0,je.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"}),orange:(0,je.css)({fill:e.v1.palette.orange}),spin:(0,je.css)({[e.transitions.handleMotion("no-preference","reduce")]:{animation:`${o_} 2s infinite linear`}})}),p_=pe.forwardRef(((e,t)=>{var{size:r="md",type:n="default",name:o,className:i,style:a,title:l=""}=e,s=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["size","type","name","className","style","title"]);const u=Vx(d_);(0,w.isIconName)(o)||console.warn("Icon component passed an invalid icon name",o);const c="fa fa-spinner"===o?"spinner":o,d=u_(),p=l_(r),f=p,h=o.startsWith("gf-bar-align")?16:o.startsWith("gf-interp")?30:p,g=`${d}${a_(c,n)}/${c}.svg`,v=(0,je.cx)(u.icon,i,"mono"===n?{[u.orange]:"favorite"===o}:"",{[u.spin]:"spinner"===c});return(0,de.jsx)(n_,function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){c_(e,t,r[t])}))}return e}({"aria-hidden":!(void 0!==s.tabIndex||l||s["aria-label"]||s["aria-labelledby"]||s["aria-describedby"]),innerRef:t,src:g,width:h,height:f,title:l,className:v,style:a},s))}));p_.displayName="Icon";const f_=({children:e,horizontal:t,className:r})=>{const n=Vx(h_),o=(0,je.cx)(t?n.horizontal:n.vertical,r);return(0,de.jsxs)("div",{role:"alert",className:o,children:[(0,de.jsx)(p_,{className:n.fieldValidationMessageIcon,name:"exclamation-triangle"}),e]})},h_=e=>{const t=`\n      font-size: ${e.typography.size.sm};\n      font-weight: ${e.typography.fontWeightMedium};\n      padding: ${e.spacing(.5,1)};\n      color: ${e.colors.error.contrastText};\n      background: ${e.colors.error.main};\n      border-radius: ${e.shape.radius.default};\n      position: relative;\n      display: inline-block;\n      align-self: flex-start;\n\n      a {\n        color: ${e.colors.error.contrastText};\n        text-decoration: underline;\n      }\n\n      a:hover {\n        text-decoration: none;\n      }\n    `;return{vertical:(0,je.css)(t,{margin:e.spacing(.5,0,0,0),"&:before":{content:'""',position:"absolute",left:"9px",top:"-5px",width:0,height:0,borderWidth:"0 4px 5px 4px",borderColor:`transparent transparent ${e.colors.error.main} transparent`,borderStyle:"solid"}}),horizontal:(0,je.css)(t,{marginLeft:"10px","&:before":{content:'""',position:"absolute",left:"-5px",top:"9px",width:0,height:0,borderWidth:"4px 5px 4px 0",borderColor:"transparent #e02f44 transparent transparent",borderStyle:"solid"}}),fieldValidationMessageIcon:(0,je.css)({marginRight:e.spacing()})}};function g_(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function v_(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){g_(e,t,r[t])}))}return e}const m_=e=>{var{children:t,description:r,className:n,category:o}=e,i=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["children","description","className","category"]);const a=Vx(y_),l=null==o?void 0:o.map(((e,t)=>(0,de.jsxs)("span",{className:a.categories,children:[(0,de.jsx)("span",{children:e}),(0,de.jsx)(p_,{name:"angle-right",className:a.chevron})]},`${e}/${t}`)));return(0,de.jsx)("div",{className:(0,je.cx)(a.label,n),children:(0,de.jsxs)("label",(s=v_({},i),u={children:[(0,de.jsxs)("div",{className:a.labelContent,children:[l,t]}),r&&(0,de.jsx)("span",{className:a.description,children:r})]},u=null!=u?u:{},Object.getOwnPropertyDescriptors?Object.defineProperties(s,Object.getOwnPropertyDescriptors(u)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(u)).forEach((function(e){Object.defineProperty(s,e,Object.getOwnPropertyDescriptor(u,e))})),s))});var s,u},y_=e=>({label:(0,je.css)({label:"Label",fontSize:e.typography.size.sm,fontWeight:e.typography.fontWeightMedium,lineHeight:1.25,marginBottom:e.spacing(.5),color:e.colors.text.primary,maxWidth:"480px"}),labelContent:(0,je.css)({display:"flex",alignItems:"center"}),description:(0,je.css)({label:"Label-description",color:e.colors.text.secondary,fontSize:e.typography.size.sm,fontWeight:e.typography.fontWeightRegular,marginTop:e.spacing(.25),display:"block"}),categories:(0,je.css)({label:"Label-categories",display:"inline-flex",alignItems:"center"}),chevron:(0,je.css)({margin:e.spacing(0,.25)})});function b_(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const O_=pe.forwardRef(((e,t)=>{var{label:r,description:n,horizontal:o,invalid:i,loading:a,disabled:l,required:s,error:u,children:c,className:d,validationMessageHorizontalOverflow:p,htmlFor:f}=e,h=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["label","description","horizontal","invalid","loading","disabled","required","error","children","className","validationMessageHorizontalOverflow","htmlFor"]);const g=Vx(E_),v=null!=f?f:function(e){let t;const r=pe.Children.only(e);return"id"in(null==r?void 0:r.props)?t=r.props.id:"inputId"in r.props&&(t=null==r?void 0:r.props.inputId),"string"==typeof t?t:void 0}(c),m="string"==typeof r?(0,de.jsx)(m_,{htmlFor:v,description:n,children:`${r}${s?" *":""}`}):r,y=function(e){for(const t in e)void 0===e[t]&&delete e[t];return e}({invalid:i,disabled:l,loading:a});return(0,de.jsxs)("div",(b=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){b_(e,t,r[t])}))}return e}({className:(0,je.cx)(g.field,o&&g.fieldHorizontal,d)},h),O=null!=(O={children:[m,(0,de.jsxs)("div",{children:[(0,de.jsx)("div",{ref:t,children:pe.cloneElement(c,y)}),i&&u&&!o&&(0,de.jsx)("div",{className:(0,je.cx)(g.fieldValidationWrapper,{[g.validationMessageHorizontalOverflow]:!!p}),children:(0,de.jsx)(f_,{children:u})})]}),i&&u&&o&&(0,de.jsx)("div",{className:(0,je.cx)(g.fieldValidationWrapper,g.fieldValidationWrapperHorizontal,{[g.validationMessageHorizontalOverflow]:!!p}),children:(0,de.jsx)(f_,{children:u})})]})?O:{},Object.getOwnPropertyDescriptors?Object.defineProperties(b,Object.getOwnPropertyDescriptors(O)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(O)).forEach((function(e){Object.defineProperty(b,e,Object.getOwnPropertyDescriptor(O,e))})),b));var b,O}));O_.displayName="Field";const E_=e=>({field:(0,je.css)({display:"flex",flexDirection:"column",marginBottom:e.spacing(2)}),fieldHorizontal:(0,je.css)({flexDirection:"row",justifyContent:"space-between",flexWrap:"wrap"}),fieldValidationWrapper:(0,je.css)({marginTop:e.spacing(.5)}),fieldValidationWrapperHorizontal:(0,je.css)({flex:"1 1 100%"}),validationMessageHorizontalOverflow:(0,je.css)({width:0,overflowX:"visible","& > *":{whiteSpace:"nowrap"}})});function S_(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);t&&(n=n.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),r.push.apply(r,n)}return r}function w_(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{};t%2?S_(Object(r),!0).forEach((function(t){qn(e,t,r[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(r)):S_(Object(r)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(r,t))}))}return e}var T_=["defaultInputValue","defaultMenuIsOpen","defaultValue","inputValue","menuIsOpen","onChange","onInputChange","onMenuClose","onMenuOpen","value"];function x_(e){var t=e.defaultInputValue,r=void 0===t?"":t,n=e.defaultMenuIsOpen,o=void 0!==n&&n,i=e.defaultValue,a=void 0===i?null:i,l=e.inputValue,s=e.menuIsOpen,u=e.onChange,c=e.onInputChange,d=e.onMenuClose,p=e.onMenuOpen,f=e.value,h=qv(e,T_),g=Xn((0,pe.useState)(void 0!==l?l:r),2),v=g[0],m=g[1],y=Xn((0,pe.useState)(void 0!==s?s:o),2),b=y[0],O=y[1],E=Xn((0,pe.useState)(void 0!==f?f:a),2),S=E[0],w=E[1],T=(0,pe.useCallback)((function(e,t){"function"==typeof u&&u(e,t),w(e)}),[u]),x=(0,pe.useCallback)((function(e,t){var r;"function"==typeof c&&(r=c(e,t)),m(void 0!==r?r:e)}),[c]),_=(0,pe.useCallback)((function(){"function"==typeof p&&p(),O(!0)}),[p]),C=(0,pe.useCallback)((function(){"function"==typeof d&&d(),O(!1)}),[d]),R=void 0!==l?l:v,I=void 0!==s?s:b,A=void 0!==f?f:S;return w_(w_({},h),{},{inputValue:R,menuIsOpen:I,onChange:T,onInputChange:x,onMenuClose:C,onMenuOpen:_,value:A})}function __(){try{var e=!Boolean.prototype.valueOf.call(Reflect.construct(Boolean,[],(function(){})))}catch(e){}return(__=function(){return!!e})()}var C_=v(9089),R_=v(8398),I_=v.n(R_);const A_=Math.min,j_=Math.max,k_=Math.round,P_=Math.floor,L_=e=>({x:e,y:e}),N_={left:"right",right:"left",bottom:"top",top:"bottom"},F_={start:"end",end:"start"};function D_(e,t,r){return j_(e,A_(t,r))}function M_(e,t){return"function"==typeof e?e(t):e}function V_(e){return e.split("-")[0]}function U_(e){return e.split("-")[1]}function B_(e){return"x"===e?"y":"x"}function z_(e){return"y"===e?"height":"width"}function W_(e){return["top","bottom"].includes(V_(e))?"y":"x"}function H_(e){return B_(W_(e))}function q_(e){return e.replace(/start|end/g,(e=>F_[e]))}function G_(e){return e.replace(/left|right|bottom|top/g,(e=>N_[e]))}function $_(e){return"number"!=typeof e?function(e){return{top:0,right:0,bottom:0,left:0,...e}}(e):{top:e,right:e,bottom:e,left:e}}function K_(e){const{x:t,y:r,width:n,height:o}=e;return{width:n,height:o,top:r,left:t,right:t+n,bottom:r+o,x:t,y:r}}function Y_(e,t,r){let{reference:n,floating:o}=e;const i=W_(t),a=H_(t),l=z_(a),s=V_(t),u="y"===i,c=n.x+n.width/2-o.width/2,d=n.y+n.height/2-o.height/2,p=n[l]/2-o[l]/2;let f;switch(s){case"top":f={x:c,y:n.y-o.height};break;case"bottom":f={x:c,y:n.y+n.height};break;case"right":f={x:n.x+n.width,y:d};break;case"left":f={x:n.x-o.width,y:d};break;default:f={x:n.x,y:n.y}}switch(U_(t)){case"start":f[a]-=p*(r&&u?-1:1);break;case"end":f[a]+=p*(r&&u?-1:1)}return f}async function X_(e,t){var r;void 0===t&&(t={});const{x:n,y:o,platform:i,rects:a,elements:l,strategy:s}=e,{boundary:u="clippingAncestors",rootBoundary:c="viewport",elementContext:d="floating",altBoundary:p=!1,padding:f=0}=M_(t,e),h=$_(f),g=l[p?"floating"===d?"reference":"floating":d],v=K_(await i.getClippingRect({element:null==(r=await(null==i.isElement?void 0:i.isElement(g)))||r?g:g.contextElement||await(null==i.getDocumentElement?void 0:i.getDocumentElement(l.floating)),boundary:u,rootBoundary:c,strategy:s})),m="floating"===d?{x:n,y:o,width:a.floating.width,height:a.floating.height}:a.reference,y=await(null==i.getOffsetParent?void 0:i.getOffsetParent(l.floating)),b=await(null==i.isElement?void 0:i.isElement(y))&&await(null==i.getScale?void 0:i.getScale(y))||{x:1,y:1},O=K_(i.convertOffsetParentRelativeRectToViewportRelativeRect?await i.convertOffsetParentRelativeRectToViewportRelativeRect({elements:l,rect:m,offsetParent:y,strategy:s}):m);return{top:(v.top-O.top+h.top)/b.y,bottom:(O.bottom-v.bottom+h.bottom)/b.y,left:(v.left-O.left+h.left)/b.x,right:(O.right-v.right+h.right)/b.x}}function Q_(){return"undefined"!=typeof window}function J_(e){return tC(e)?(e.nodeName||"").toLowerCase():"#document"}function Z_(e){var t;return(null==e||null==(t=e.ownerDocument)?void 0:t.defaultView)||window}function eC(e){var t;return null==(t=(tC(e)?e.ownerDocument:e.document)||window.document)?void 0:t.documentElement}function tC(e){return!!Q_()&&(e instanceof Node||e instanceof Z_(e).Node)}function rC(e){return!!Q_()&&(e instanceof Element||e instanceof Z_(e).Element)}function nC(e){return!!Q_()&&(e instanceof HTMLElement||e instanceof Z_(e).HTMLElement)}function oC(e){return!(!Q_()||"undefined"==typeof ShadowRoot)&&(e instanceof ShadowRoot||e instanceof Z_(e).ShadowRoot)}function iC(e){const{overflow:t,overflowX:r,overflowY:n,display:o}=dC(e);return/auto|scroll|overlay|hidden|clip/.test(t+n+r)&&!["inline","contents"].includes(o)}function aC(e){return["table","td","th"].includes(J_(e))}function lC(e){return[":popover-open",":modal"].some((t=>{try{return e.matches(t)}catch(e){return!1}}))}function sC(e){const t=uC(),r=rC(e)?dC(e):e;return"none"!==r.transform||"none"!==r.perspective||!!r.containerType&&"normal"!==r.containerType||!t&&!!r.backdropFilter&&"none"!==r.backdropFilter||!t&&!!r.filter&&"none"!==r.filter||["transform","perspective","filter"].some((e=>(r.willChange||"").includes(e)))||["paint","layout","strict","content"].some((e=>(r.contain||"").includes(e)))}function uC(){return!("undefined"==typeof CSS||!CSS.supports)&&CSS.supports("-webkit-backdrop-filter","none")}function cC(e){return["html","body","#document"].includes(J_(e))}function dC(e){return Z_(e).getComputedStyle(e)}function pC(e){return rC(e)?{scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}:{scrollLeft:e.scrollX,scrollTop:e.scrollY}}function fC(e){if("html"===J_(e))return e;const t=e.assignedSlot||e.parentNode||oC(e)&&e.host||eC(e);return oC(t)?t.host:t}function hC(e){const t=fC(e);return cC(t)?e.ownerDocument?e.ownerDocument.body:e.body:nC(t)&&iC(t)?t:hC(t)}function gC(e,t,r){var n;void 0===t&&(t=[]),void 0===r&&(r=!0);const o=hC(e),i=o===(null==(n=e.ownerDocument)?void 0:n.body),a=Z_(o);if(i){const e=function(e){return e.parent&&Object.getPrototypeOf(e.parent)?e.frameElement:null}(a);return t.concat(a,a.visualViewport||[],iC(o)?o:[],e&&r?gC(e):[])}return t.concat(o,gC(o,[],r))}function vC(e){const t=dC(e);let r=parseFloat(t.width)||0,n=parseFloat(t.height)||0;const o=nC(e),i=o?e.offsetWidth:r,a=o?e.offsetHeight:n,l=k_(r)!==i||k_(n)!==a;return l&&(r=i,n=a),{width:r,height:n,$:l}}function mC(e){return rC(e)?e:e.contextElement}function yC(e){const t=mC(e);if(!nC(t))return L_(1);const r=t.getBoundingClientRect(),{width:n,height:o,$:i}=vC(t);let a=(i?k_(r.width):r.width)/n,l=(i?k_(r.height):r.height)/o;return a&&Number.isFinite(a)||(a=1),l&&Number.isFinite(l)||(l=1),{x:a,y:l}}const bC=L_(0);function OC(e){const t=Z_(e);return uC()&&t.visualViewport?{x:t.visualViewport.offsetLeft,y:t.visualViewport.offsetTop}:bC}function EC(e,t,r,n){void 0===t&&(t=!1),void 0===r&&(r=!1);const o=e.getBoundingClientRect(),i=mC(e);let a=L_(1);t&&(n?rC(n)&&(a=yC(n)):a=yC(e));const l=function(e,t,r){return void 0===t&&(t=!1),!(!r||t&&r!==Z_(e))&&t}(i,r,n)?OC(i):L_(0);let s=(o.left+l.x)/a.x,u=(o.top+l.y)/a.y,c=o.width/a.x,d=o.height/a.y;if(i){const e=Z_(i),t=n&&rC(n)?Z_(n):n;let r=e,o=r.frameElement;for(;o&&n&&t!==r;){const e=yC(o),t=o.getBoundingClientRect(),n=dC(o),i=t.left+(o.clientLeft+parseFloat(n.paddingLeft))*e.x,a=t.top+(o.clientTop+parseFloat(n.paddingTop))*e.y;s*=e.x,u*=e.y,c*=e.x,d*=e.y,s+=i,u+=a,r=Z_(o),o=r.frameElement}}return K_({width:c,height:d,x:s,y:u})}const SC=[":popover-open",":modal"];function wC(e){return SC.some((t=>{try{return e.matches(t)}catch(e){return!1}}))}function TC(e){return EC(eC(e)).left+pC(e).scrollLeft}function xC(e,t,r){let n;if("viewport"===t)n=function(e,t){const r=Z_(e),n=eC(e),o=r.visualViewport;let i=n.clientWidth,a=n.clientHeight,l=0,s=0;if(o){i=o.width,a=o.height;const e=uC();(!e||e&&"fixed"===t)&&(l=o.offsetLeft,s=o.offsetTop)}return{width:i,height:a,x:l,y:s}}(e,r);else if("document"===t)n=function(e){const t=eC(e),r=pC(e),n=e.ownerDocument.body,o=j_(t.scrollWidth,t.clientWidth,n.scrollWidth,n.clientWidth),i=j_(t.scrollHeight,t.clientHeight,n.scrollHeight,n.clientHeight);let a=-r.scrollLeft+TC(e);const l=-r.scrollTop;return"rtl"===dC(n).direction&&(a+=j_(t.clientWidth,n.clientWidth)-o),{width:o,height:i,x:a,y:l}}(eC(e));else if(rC(t))n=function(e,t){const r=EC(e,!0,"fixed"===t),n=r.top+e.clientTop,o=r.left+e.clientLeft,i=nC(e)?yC(e):L_(1);return{width:e.clientWidth*i.x,height:e.clientHeight*i.y,x:o*i.x,y:n*i.y}}(t,r);else{const r=OC(e);n={...t,x:t.x-r.x,y:t.y-r.y}}return K_(n)}function _C(e,t){const r=fC(e);return!(r===t||!rC(r)||cC(r))&&("fixed"===dC(r).position||_C(r,t))}function CC(e,t,r){const n=nC(t),o=eC(t),i="fixed"===r,a=EC(e,!0,i,t);let l={scrollLeft:0,scrollTop:0};const s=L_(0);if(n||!n&&!i)if(("body"!==J_(t)||iC(o))&&(l=pC(t)),n){const e=EC(t,!0,i,t);s.x=e.x+t.clientLeft,s.y=e.y+t.clientTop}else o&&(s.x=TC(o));return{x:a.left+l.scrollLeft-s.x,y:a.top+l.scrollTop-s.y,width:a.width,height:a.height}}function RC(e){return"static"===dC(e).position}function IC(e,t){return nC(e)&&"fixed"!==dC(e).position?t?t(e):e.offsetParent:null}function AC(e,t){const r=Z_(e);if(wC(e))return r;if(!nC(e)){let t=fC(e);for(;t&&!cC(t);){if(rC(t)&&!RC(t))return t;t=fC(t)}return r}let n=IC(e,t);for(;n&&aC(n)&&RC(n);)n=IC(n,t);return n&&cC(n)&&RC(n)&&!sC(n)?r:n||function(e){let t=fC(e);for(;nC(t)&&!cC(t);){if(sC(t))return t;if(lC(t))return null;t=fC(t)}return null}(e)||r}const jC={convertOffsetParentRelativeRectToViewportRelativeRect:function(e){let{elements:t,rect:r,offsetParent:n,strategy:o}=e;const i="fixed"===o,a=eC(n),l=!!t&&wC(t.floating);if(n===a||l&&i)return r;let s={scrollLeft:0,scrollTop:0},u=L_(1);const c=L_(0),d=nC(n);if((d||!d&&!i)&&(("body"!==J_(n)||iC(a))&&(s=pC(n)),nC(n))){const e=EC(n);u=yC(n),c.x=e.x+n.clientLeft,c.y=e.y+n.clientTop}return{width:r.width*u.x,height:r.height*u.y,x:r.x*u.x-s.scrollLeft*u.x+c.x,y:r.y*u.y-s.scrollTop*u.y+c.y}},getDocumentElement:eC,getClippingRect:function(e){let{element:t,boundary:r,rootBoundary:n,strategy:o}=e;const i=[..."clippingAncestors"===r?wC(t)?[]:function(e,t){const r=t.get(e);if(r)return r;let n=gC(e,[],!1).filter((e=>rC(e)&&"body"!==J_(e))),o=null;const i="fixed"===dC(e).position;let a=i?fC(e):e;for(;rC(a)&&!cC(a);){const t=dC(a),r=sC(a);r||"fixed"!==t.position||(o=null),(i?!r&&!o:!r&&"static"===t.position&&o&&["absolute","fixed"].includes(o.position)||iC(a)&&!r&&_C(e,a))?n=n.filter((e=>e!==a)):o=t,a=fC(a)}return t.set(e,n),n}(t,this._c):[].concat(r),n],a=i[0],l=i.reduce(((e,r)=>{const n=xC(t,r,o);return e.top=j_(n.top,e.top),e.right=A_(n.right,e.right),e.bottom=A_(n.bottom,e.bottom),e.left=j_(n.left,e.left),e}),xC(t,a,o));return{width:l.right-l.left,height:l.bottom-l.top,x:l.left,y:l.top}},getOffsetParent:AC,getElementRects:async function(e){const t=this.getOffsetParent||AC,r=this.getDimensions,n=await r(e.floating);return{reference:CC(e.reference,await t(e.floating),e.strategy),floating:{x:0,y:0,width:n.width,height:n.height}}},getClientRects:function(e){return Array.from(e.getClientRects())},getDimensions:function(e){const{width:t,height:r}=vC(e);return{width:t,height:r}},getScale:yC,isElement:rC,isRTL:function(e){return"rtl"===dC(e).direction}};function kC(e,t,r,n){void 0===n&&(n={});const{ancestorScroll:o=!0,ancestorResize:i=!0,elementResize:a="function"==typeof ResizeObserver,layoutShift:l="function"==typeof IntersectionObserver,animationFrame:s=!1}=n,u=mC(e),c=o||i?[...u?gC(u):[],...gC(t)]:[];c.forEach((e=>{o&&e.addEventListener("scroll",r,{passive:!0}),i&&e.addEventListener("resize",r)}));const d=u&&l?function(e,t){let r,n=null;const o=eC(e);function i(){var e;clearTimeout(r),null==(e=n)||e.disconnect(),n=null}return function a(l,s){void 0===l&&(l=!1),void 0===s&&(s=1),i();const{left:u,top:c,width:d,height:p}=e.getBoundingClientRect();if(l||t(),!d||!p)return;const f={rootMargin:-P_(c)+"px "+-P_(o.clientWidth-(u+d))+"px "+-P_(o.clientHeight-(c+p))+"px "+-P_(u)+"px",threshold:j_(0,A_(1,s))||1};let h=!0;function g(e){const t=e[0].intersectionRatio;if(t!==s){if(!h)return a();t?a(!1,t):r=setTimeout((()=>{a(!1,1e-7)}),1e3)}h=!1}try{n=new IntersectionObserver(g,{...f,root:o.ownerDocument})}catch(e){n=new IntersectionObserver(g,f)}n.observe(e)}(!0),i}(u,r):null;let p,f=-1,h=null;a&&(h=new ResizeObserver((e=>{let[n]=e;n&&n.target===u&&h&&(h.unobserve(t),cancelAnimationFrame(f),f=requestAnimationFrame((()=>{var e;null==(e=h)||e.observe(t)}))),r()})),u&&!s&&h.observe(u),h.observe(t));let g=s?EC(e):null;return s&&function t(){const n=EC(e);!g||n.x===g.x&&n.y===g.y&&n.width===g.width&&n.height===g.height||r(),g=n,p=requestAnimationFrame(t)}(),r(),()=>{var e;c.forEach((e=>{o&&e.removeEventListener("scroll",r),i&&e.removeEventListener("resize",r)})),null==d||d(),null==(e=h)||e.disconnect(),h=null,s&&cancelAnimationFrame(p)}}const PC=function(e){return void 0===e&&(e=0),{name:"offset",options:e,async fn(t){var r,n;const{x:o,y:i,placement:a,middlewareData:l}=t,s=await async function(e,t){const{placement:r,platform:n,elements:o}=e,i=await(null==n.isRTL?void 0:n.isRTL(o.floating)),a=V_(r),l=U_(r),s="y"===W_(r),u=["left","top"].includes(a)?-1:1,c=i&&s?-1:1,d=M_(t,e);let{mainAxis:p,crossAxis:f,alignmentAxis:h}="number"==typeof d?{mainAxis:d,crossAxis:0,alignmentAxis:null}:{mainAxis:0,crossAxis:0,alignmentAxis:null,...d};return l&&"number"==typeof h&&(f="end"===l?-1*h:h),s?{x:f*c,y:p*u}:{x:p*u,y:f*c}}(t,e);return a===(null==(r=l.offset)?void 0:r.placement)&&null!=(n=l.arrow)&&n.alignmentOffset?{}:{x:o+s.x,y:i+s.y,data:{...s,placement:a}}}}},LC=function(e){return void 0===e&&(e={}),{name:"shift",options:e,async fn(t){const{x:r,y:n,placement:o}=t,{mainAxis:i=!0,crossAxis:a=!1,limiter:l={fn:e=>{let{x:t,y:r}=e;return{x:t,y:r}}},...s}=M_(e,t),u={x:r,y:n},c=await X_(t,s),d=W_(V_(o)),p=B_(d);let f=u[p],h=u[d];if(i){const e="y"===p?"bottom":"right";f=D_(f+c["y"===p?"top":"left"],f,f-c[e])}if(a){const e="y"===d?"bottom":"right";h=D_(h+c["y"===d?"top":"left"],h,h-c[e])}const g=l.fn({...t,[p]:f,[d]:h});return{...g,data:{x:g.x-r,y:g.y-n}}}}},NC=function(e){return void 0===e&&(e={}),{name:"flip",options:e,async fn(t){var r,n;const{placement:o,middlewareData:i,rects:a,initialPlacement:l,platform:s,elements:u}=t,{mainAxis:c=!0,crossAxis:d=!0,fallbackPlacements:p,fallbackStrategy:f="bestFit",fallbackAxisSideDirection:h="none",flipAlignment:g=!0,...v}=M_(e,t);if(null!=(r=i.arrow)&&r.alignmentOffset)return{};const m=V_(o),y=V_(l)===l,b=await(null==s.isRTL?void 0:s.isRTL(u.floating)),O=p||(y||!g?[G_(l)]:function(e){const t=G_(e);return[q_(e),t,q_(t)]}(l));p||"none"===h||O.push(...function(e,t,r,n){const o=U_(e);let i=function(e,t,r){const n=["left","right"],o=["right","left"],i=["top","bottom"],a=["bottom","top"];switch(e){case"top":case"bottom":return r?t?o:n:t?n:o;case"left":case"right":return t?i:a;default:return[]}}(V_(e),"start"===r,n);return o&&(i=i.map((e=>e+"-"+o)),t&&(i=i.concat(i.map(q_)))),i}(l,g,h,b));const E=[l,...O],S=await X_(t,v),w=[];let T=(null==(n=i.flip)?void 0:n.overflows)||[];if(c&&w.push(S[m]),d){const e=function(e,t,r){void 0===r&&(r=!1);const n=U_(e),o=H_(e),i=z_(o);let a="x"===o?n===(r?"end":"start")?"right":"left":"start"===n?"bottom":"top";return t.reference[i]>t.floating[i]&&(a=G_(a)),[a,G_(a)]}(o,a,b);w.push(S[e[0]],S[e[1]])}if(T=[...T,{placement:o,overflows:w}],!w.every((e=>e<=0))){var x,_;const e=((null==(x=i.flip)?void 0:x.index)||0)+1,t=E[e];if(t)return{data:{index:e,overflows:T},reset:{placement:t}};let r=null==(_=T.filter((e=>e.overflows[0]<=0)).sort(((e,t)=>e.overflows[1]-t.overflows[1]))[0])?void 0:_.placement;if(!r)switch(f){case"bestFit":{var C;const e=null==(C=T.map((e=>[e.placement,e.overflows.filter((e=>e>0)).reduce(((e,t)=>e+t),0)])).sort(((e,t)=>e[1]-t[1]))[0])?void 0:C[0];e&&(r=e);break}case"initialPlacement":r=l}if(o!==r)return{reset:{placement:r}}}return{}}}},FC=e=>({name:"arrow",options:e,async fn(t){const{x:r,y:n,placement:o,rects:i,platform:a,elements:l,middlewareData:s}=t,{element:u,padding:c=0}=M_(e,t)||{};if(null==u)return{};const d=$_(c),p={x:r,y:n},f=H_(o),h=z_(f),g=await a.getDimensions(u),v="y"===f,m=v?"top":"left",y=v?"bottom":"right",b=v?"clientHeight":"clientWidth",O=i.reference[h]+i.reference[f]-p[f]-i.floating[h],E=p[f]-i.reference[f],S=await(null==a.getOffsetParent?void 0:a.getOffsetParent(u));let w=S?S[b]:0;w&&await(null==a.isElement?void 0:a.isElement(S))||(w=l.floating[b]||i.floating[h]);const T=O/2-E/2,x=w/2-g[h]/2-1,_=A_(d[m],x),C=A_(d[y],x),R=_,I=w-g[h]-C,A=w/2-g[h]/2+T,j=D_(R,A,I),k=!s.arrow&&null!=U_(o)&&A!==j&&i.reference[h]/2-(A<R?_:C)-g[h]/2<0,P=k?A<R?A-R:A-I:0;return{[f]:p[f]+P,data:{[f]:j,centerOffset:A-j-P,...k&&{alignmentOffset:P}},reset:k}}}),DC=(e,t,r)=>{const n=new Map,o={platform:jC,...r},i={...o.platform,_c:n};return(async(e,t,r)=>{const{placement:n="bottom",strategy:o="absolute",middleware:i=[],platform:a}=r,l=i.filter(Boolean),s=await(null==a.isRTL?void 0:a.isRTL(t));let u=await a.getElementRects({reference:e,floating:t,strategy:o}),{x:c,y:d}=Y_(u,n,s),p=n,f={},h=0;for(let r=0;r<l.length;r++){const{name:i,fn:g}=l[r],{x:v,y:m,data:y,reset:b}=await g({x:c,y:d,initialPlacement:n,placement:p,strategy:o,middlewareData:f,rects:u,platform:a,elements:{reference:e,floating:t}});c=null!=v?v:c,d=null!=m?m:d,f={...f,[i]:{...f[i],...y}},b&&h<=50&&(h++,"object"==typeof b&&(b.placement&&(p=b.placement),b.rects&&(u=!0===b.rects?await a.getElementRects({reference:e,floating:t,strategy:o}):b.rects),({x:c,y:d}=Y_(u,p,s))),r=-1)}return{x:c,y:d,placement:p,strategy:o,middlewareData:f}})(e,t,{...o,platform:i})},MC=pe.useLayoutEffect;var VC=["className","clearValue","cx","getStyles","getClassNames","getValue","hasValue","isMulti","isRtl","options","selectOption","selectProps","setValue","theme"],UC=function(){};function BC(e,t){return t?"-"===t[0]?e+t:e+"__"+t:e}function zC(e,t){for(var r=arguments.length,n=new Array(r>2?r-2:0),o=2;o<r;o++)n[o-2]=arguments[o];var i=[].concat(n);if(t&&e)for(var a in t)t.hasOwnProperty(a)&&t[a]&&i.push("".concat(BC(e,a)));return i.filter((function(e){return e})).map((function(e){return String(e).trim()})).join(" ")}var WC=function(e){return t=e,Array.isArray(t)?e.filter(Boolean):"object"===Fn(e)&&null!==e?[e]:[];var t},HC=function(e){return e.className,e.clearValue,e.cx,e.getStyles,e.getClassNames,e.getValue,e.hasValue,e.isMulti,e.isRtl,e.options,e.selectOption,e.selectProps,e.setValue,e.theme,w_({},qv(e,VC))},qC=function(e,t,r){var n=e.cx,o=e.getStyles,i=e.getClassNames,a=e.className;return{css:o(t,e),className:n(null!=r?r:{},i(t,e),a)}};function GC(e){return[document.documentElement,document.body,window].indexOf(e)>-1}function $C(e){return GC(e)?window.pageYOffset:e.scrollTop}function KC(e,t){GC(e)?window.scrollTo(0,t):e.scrollTop=t}function YC(e,t){var r=arguments.length>2&&void 0!==arguments[2]?arguments[2]:200,n=arguments.length>3&&void 0!==arguments[3]?arguments[3]:UC,o=$C(e),i=t-o,a=0;!function t(){var l=function(e,t,r,n){return r*((e=e/n-1)*e*e+1)+t}(a+=10,o,i,r);KC(e,l),a<r?window.requestAnimationFrame(t):n(e)}()}function XC(e,t){var r=e.getBoundingClientRect(),n=t.getBoundingClientRect(),o=t.offsetHeight/3;n.bottom+o>r.bottom?KC(e,Math.min(t.offsetTop+t.clientHeight-e.offsetHeight+o,e.scrollHeight)):n.top-o<r.top&&KC(e,Math.max(t.offsetTop-o,0))}function QC(){try{return document.createEvent("TouchEvent"),!0}catch(e){return!1}}var JC=!1,ZC={get passive(){return JC=!0}},eR="undefined"!=typeof window?window:{};eR.addEventListener&&eR.removeEventListener&&(eR.addEventListener("p",UC,ZC),eR.removeEventListener("p",UC,!1));var tR=JC;function rR(e){return null!=e}function nR(e,t,r){return e?t:r}var oR=["children","innerProps"],iR=["children","innerProps"];var aR,lR=function(e){return"auto"===e?"bottom":e},sR=(0,pe.createContext)(null),uR=function(e){var t=e.children,r=e.minMenuHeight,n=e.maxMenuHeight,o=e.menuPlacement,i=e.menuPosition,a=e.menuShouldScrollIntoView,l=e.theme,s=((0,pe.useContext)(sR)||{}).setPortalPlacement,u=(0,pe.useRef)(null),c=Xn((0,pe.useState)(n),2),d=c[0],p=c[1],f=Xn((0,pe.useState)(null),2),h=f[0],g=f[1],v=l.spacing.controlHeight;return MC((function(){var e=u.current;if(e){var t="fixed"===i,l=function(e){var t=e.maxHeight,r=e.menuEl,n=e.minHeight,o=e.placement,i=e.shouldScroll,a=e.isFixedPosition,l=e.controlHeight,s=function(e){var t=getComputedStyle(e),r="absolute"===t.position,n=/(auto|scroll)/;if("fixed"===t.position)return document.documentElement;for(var o=e;o=o.parentElement;)if(t=getComputedStyle(o),(!r||"static"!==t.position)&&n.test(t.overflow+t.overflowY+t.overflowX))return o;return document.documentElement}(r),u={placement:"bottom",maxHeight:t};if(!r||!r.offsetParent)return u;var c,d=s.getBoundingClientRect().height,p=r.getBoundingClientRect(),f=p.bottom,h=p.height,g=p.top,v=r.offsetParent.getBoundingClientRect().top,m=a||GC(c=s)?window.innerHeight:c.clientHeight,y=$C(s),b=parseInt(getComputedStyle(r).marginBottom,10),O=parseInt(getComputedStyle(r).marginTop,10),E=v-O,S=m-g,w=E+y,T=d-y-g,x=f-m+y+b,_=y+g-O,C=160;switch(o){case"auto":case"bottom":if(S>=h)return{placement:"bottom",maxHeight:t};if(T>=h&&!a)return i&&YC(s,x,C),{placement:"bottom",maxHeight:t};if(!a&&T>=n||a&&S>=n)return i&&YC(s,x,C),{placement:"bottom",maxHeight:a?S-b:T-b};if("auto"===o||a){var R=t,I=a?E:w;return I>=n&&(R=Math.min(I-b-l,t)),{placement:"top",maxHeight:R}}if("bottom"===o)return i&&KC(s,x),{placement:"bottom",maxHeight:t};break;case"top":if(E>=h)return{placement:"top",maxHeight:t};if(w>=h&&!a)return i&&YC(s,_,C),{placement:"top",maxHeight:t};if(!a&&w>=n||a&&E>=n){var A=t;return(!a&&w>=n||a&&E>=n)&&(A=a?E-O:w-O),i&&YC(s,_,C),{placement:"top",maxHeight:A}}return{placement:"bottom",maxHeight:t};default:throw new Error('Invalid placement provided "'.concat(o,'".'))}return u}({maxHeight:n,menuEl:e,minHeight:r,placement:o,shouldScroll:a&&!t,isFixedPosition:t,controlHeight:v});p(l.maxHeight),g(l.placement),null==s||s(l.placement)}}),[n,o,i,a,r,s,v]),t({ref:u,placerProps:w_(w_({},e),{},{placement:h||lR(o),maxHeight:d})})},cR=function(e,t){var r=e.theme,n=r.spacing.baseUnit,o=r.colors;return w_({textAlign:"center"},t?{}:{color:o.neutral40,padding:"".concat(2*n,"px ").concat(3*n,"px")})},dR=cR,pR=cR,fR=["size"],hR=["innerProps","isRtl","size"],gR={name:"8mmkcg",styles:"display:inline-block;fill:currentColor;line-height:1;stroke:currentColor;stroke-width:0"},vR=function(e){var t=e.size,r=qv(e,fR);return(0,C_.jsx)("svg",gb({height:t,width:t,viewBox:"0 0 20 20","aria-hidden":"true",focusable:"false",css:gR},r))},mR=function(e){return(0,C_.jsx)(vR,gb({size:20},e),(0,C_.jsx)("path",{d:"M14.348 14.849c-0.469 0.469-1.229 0.469-1.697 0l-2.651-3.030-2.651 3.029c-0.469 0.469-1.229 0.469-1.697 0-0.469-0.469-0.469-1.229 0-1.697l2.758-3.15-2.759-3.152c-0.469-0.469-0.469-1.228 0-1.697s1.228-0.469 1.697 0l2.652 3.031 2.651-3.031c0.469-0.469 1.228-0.469 1.697 0s0.469 1.229 0 1.697l-2.758 3.152 2.758 3.15c0.469 0.469 0.469 1.229 0 1.698z"}))},yR=function(e){return(0,C_.jsx)(vR,gb({size:20},e),(0,C_.jsx)("path",{d:"M4.516 7.548c0.436-0.446 1.043-0.481 1.576 0l3.908 3.747 3.908-3.747c0.533-0.481 1.141-0.446 1.574 0 0.436 0.445 0.408 1.197 0 1.615-0.406 0.418-4.695 4.502-4.695 4.502-0.217 0.223-0.502 0.335-0.787 0.335s-0.57-0.112-0.789-0.335c0 0-4.287-4.084-4.695-4.502s-0.436-1.17 0-1.615z"}))},bR=function(e,t){var r=e.isFocused,n=e.theme,o=n.spacing.baseUnit,i=n.colors;return w_({label:"indicatorContainer",display:"flex",transition:"color 150ms"},t?{}:{color:r?i.neutral60:i.neutral20,padding:2*o,":hover":{color:r?i.neutral80:i.neutral40}})},OR=bR,ER=bR,SR=(0,C_.keyframes)(aR||(aR=function(e,t){return t||(t=e.slice(0)),Object.freeze(Object.defineProperties(e,{raw:{value:Object.freeze(t)}}))}(["\n  0%, 80%, 100% { opacity: 0; }\n  40% { opacity: 1; }\n"]))),wR=function(e){var t=e.delay,r=e.offset;return(0,C_.jsx)("span",{css:(0,C_.css)({animation:"".concat(SR," 1s ease-in-out ").concat(t,"ms infinite;"),backgroundColor:"currentColor",borderRadius:"1em",display:"inline-block",marginLeft:r?"1em":void 0,height:"1em",verticalAlign:"top",width:"1em"},"","")})},TR=["data"],xR=["innerRef","isDisabled","isHidden","inputClassName"],_R={gridArea:"1 / 2",font:"inherit",minWidth:"2px",border:0,margin:0,outline:0,padding:0},CR={flex:"1 1 auto",display:"inline-grid",gridArea:"1 / 1 / 2 / 3",gridTemplateColumns:"0 min-content","&:after":w_({content:'attr(data-value) " "',visibility:"hidden",whiteSpace:"pre"},_R)},RR=function(e){return w_({label:"input",color:"inherit",background:0,opacity:e?0:1,width:"100%"},_R)},IR=function(e){var t=e.children,r=e.innerProps;return(0,C_.jsx)("div",r,t)},AR={ClearIndicator:function(e){var t=e.children,r=e.innerProps;return(0,C_.jsx)("div",gb({},qC(e,"clearIndicator",{indicator:!0,"clear-indicator":!0}),r),t||(0,C_.jsx)(mR,null))},Control:function(e){var t=e.children,r=e.isDisabled,n=e.isFocused,o=e.innerRef,i=e.innerProps,a=e.menuIsOpen;return(0,C_.jsx)("div",gb({ref:o},qC(e,"control",{control:!0,"control--is-disabled":r,"control--is-focused":n,"control--menu-is-open":a}),i,{"aria-disabled":r||void 0}),t)},DropdownIndicator:function(e){var t=e.children,r=e.innerProps;return(0,C_.jsx)("div",gb({},qC(e,"dropdownIndicator",{indicator:!0,"dropdown-indicator":!0}),r),t||(0,C_.jsx)(yR,null))},DownChevron:yR,CrossIcon:mR,Group:function(e){var t=e.children,r=e.cx,n=e.getStyles,o=e.getClassNames,i=e.Heading,a=e.headingProps,l=e.innerProps,s=e.label,u=e.theme,c=e.selectProps;return(0,C_.jsx)("div",gb({},qC(e,"group",{group:!0}),l),(0,C_.jsx)(i,gb({},a,{selectProps:c,theme:u,getStyles:n,getClassNames:o,cx:r}),s),(0,C_.jsx)("div",null,t))},GroupHeading:function(e){var t=HC(e);t.data;var r=qv(t,TR);return(0,C_.jsx)("div",gb({},qC(e,"groupHeading",{"group-heading":!0}),r))},IndicatorsContainer:function(e){var t=e.children,r=e.innerProps;return(0,C_.jsx)("div",gb({},qC(e,"indicatorsContainer",{indicators:!0}),r),t)},IndicatorSeparator:function(e){var t=e.innerProps;return(0,C_.jsx)("span",gb({},t,qC(e,"indicatorSeparator",{"indicator-separator":!0})))},Input:function(e){var t=e.cx,r=e.value,n=HC(e),o=n.innerRef,i=n.isDisabled,a=n.isHidden,l=n.inputClassName,s=qv(n,xR);return(0,C_.jsx)("div",gb({},qC(e,"input",{"input-container":!0}),{"data-value":r||""}),(0,C_.jsx)("input",gb({className:t({input:!0},l),ref:o,style:RR(a),disabled:i},s)))},LoadingIndicator:function(e){var t=e.innerProps,r=e.isRtl,n=e.size,o=void 0===n?4:n,i=qv(e,hR);return(0,C_.jsx)("div",gb({},qC(w_(w_({},i),{},{innerProps:t,isRtl:r,size:o}),"loadingIndicator",{indicator:!0,"loading-indicator":!0}),t),(0,C_.jsx)(wR,{delay:0,offset:r}),(0,C_.jsx)(wR,{delay:160,offset:!0}),(0,C_.jsx)(wR,{delay:320,offset:!r}))},Menu:function(e){var t=e.children,r=e.innerRef,n=e.innerProps;return(0,C_.jsx)("div",gb({},qC(e,"menu",{menu:!0}),{ref:r},n),t)},MenuList:function(e){var t=e.children,r=e.innerProps,n=e.innerRef,o=e.isMulti;return(0,C_.jsx)("div",gb({},qC(e,"menuList",{"menu-list":!0,"menu-list--is-multi":o}),{ref:n},r),t)},MenuPortal:function(e){var t=e.appendTo,r=e.children,n=e.controlElement,o=e.innerProps,i=e.menuPlacement,a=e.menuPosition,l=(0,pe.useRef)(null),s=(0,pe.useRef)(null),u=Xn((0,pe.useState)(lR(i)),2),c=u[0],d=u[1],p=(0,pe.useMemo)((function(){return{setPortalPlacement:d}}),[]),f=Xn((0,pe.useState)(null),2),h=f[0],g=f[1],v=(0,pe.useCallback)((function(){if(n){var e=function(e){var t=e.getBoundingClientRect();return{bottom:t.bottom,height:t.height,left:t.left,right:t.right,top:t.top,width:t.width}}(n),t="fixed"===a?0:window.pageYOffset,r=e[c]+t;r===(null==h?void 0:h.offset)&&e.left===(null==h?void 0:h.rect.left)&&e.width===(null==h?void 0:h.rect.width)||g({offset:r,rect:e})}}),[n,a,c,null==h?void 0:h.offset,null==h?void 0:h.rect.left,null==h?void 0:h.rect.width]);MC((function(){v()}),[v]);var m=(0,pe.useCallback)((function(){"function"==typeof s.current&&(s.current(),s.current=null),n&&l.current&&(s.current=kC(n,l.current,v,{elementResize:"ResizeObserver"in window}))}),[n,v]);MC((function(){m()}),[m]);var y=(0,pe.useCallback)((function(e){l.current=e,m()}),[m]);if(!t&&"fixed"!==a||!h)return null;var b=(0,C_.jsx)("div",gb({ref:y},qC(w_(w_({},e),{},{offset:h.offset,position:a,rect:h.rect}),"menuPortal",{"menu-portal":!0}),o),r);return(0,C_.jsx)(sR.Provider,{value:p},t?(0,R_.createPortal)(b,t):b)},LoadingMessage:function(e){var t=e.children,r=void 0===t?"Loading...":t,n=e.innerProps,o=qv(e,iR);return(0,C_.jsx)("div",gb({},qC(w_(w_({},o),{},{children:r,innerProps:n}),"loadingMessage",{"menu-notice":!0,"menu-notice--loading":!0}),n),r)},NoOptionsMessage:function(e){var t=e.children,r=void 0===t?"No options":t,n=e.innerProps,o=qv(e,oR);return(0,C_.jsx)("div",gb({},qC(w_(w_({},o),{},{children:r,innerProps:n}),"noOptionsMessage",{"menu-notice":!0,"menu-notice--no-options":!0}),n),r)},MultiValue:function(e){var t=e.children,r=e.components,n=e.data,o=e.innerProps,i=e.isDisabled,a=e.removeProps,l=e.selectProps,s=r.Container,u=r.Label,c=r.Remove;return(0,C_.jsx)(s,{data:n,innerProps:w_(w_({},qC(e,"multiValue",{"multi-value":!0,"multi-value--is-disabled":i})),o),selectProps:l},(0,C_.jsx)(u,{data:n,innerProps:w_({},qC(e,"multiValueLabel",{"multi-value__label":!0})),selectProps:l},t),(0,C_.jsx)(c,{data:n,innerProps:w_(w_({},qC(e,"multiValueRemove",{"multi-value__remove":!0})),{},{"aria-label":"Remove ".concat(t||"option")},a),selectProps:l}))},MultiValueContainer:IR,MultiValueLabel:IR,MultiValueRemove:function(e){var t=e.children,r=e.innerProps;return(0,C_.jsx)("div",gb({role:"button"},r),t||(0,C_.jsx)(mR,{size:14}))},Option:function(e){var t=e.children,r=e.isDisabled,n=e.isFocused,o=e.isSelected,i=e.innerRef,a=e.innerProps;return(0,C_.jsx)("div",gb({},qC(e,"option",{option:!0,"option--is-disabled":r,"option--is-focused":n,"option--is-selected":o}),{ref:i,"aria-disabled":r},a),t)},Placeholder:function(e){var t=e.children,r=e.innerProps;return(0,C_.jsx)("div",gb({},qC(e,"placeholder",{placeholder:!0}),r),t)},SelectContainer:function(e){var t=e.children,r=e.innerProps,n=e.isDisabled,o=e.isRtl;return(0,C_.jsx)("div",gb({},qC(e,"container",{"--is-disabled":n,"--is-rtl":o}),r),t)},SingleValue:function(e){var t=e.children,r=e.isDisabled,n=e.innerProps;return(0,C_.jsx)("div",gb({},qC(e,"singleValue",{"single-value":!0,"single-value--is-disabled":r}),n),t)},ValueContainer:function(e){var t=e.children,r=e.innerProps,n=e.isMulti,o=e.hasValue;return(0,C_.jsx)("div",gb({},qC(e,"valueContainer",{"value-container":!0,"value-container--is-multi":n,"value-container--has-value":o}),r),t)}},jR=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function kR(e,t){if(e.length!==t.length)return!1;for(var r=0;r<e.length;r++)if(!((n=e[r])===(o=t[r])||jR(n)&&jR(o)))return!1;var n,o;return!0}for(var PR={name:"7pg0cj-a11yText",styles:"label:a11yText;z-index:9999;border:0;clip:rect(1px, 1px, 1px, 1px);height:1px;width:1px;position:absolute;overflow:hidden;padding:0;white-space:nowrap"},LR=function(e){return(0,C_.jsx)("span",gb({css:PR},e))},NR={guidance:function(e){var t=e.isSearchable,r=e.isMulti,n=e.tabSelectsValue,o=e.context,i=e.isInitialFocus;switch(o){case"menu":return"Use Up and Down to choose options, press Enter to select the currently focused option, press Escape to exit the menu".concat(n?", press Tab to select the option and exit the menu":"",".");case"input":return i?"".concat(e["aria-label"]||"Select"," is focused ").concat(t?",type to refine list":"",", press Down to open the menu, ").concat(r?" press left to focus selected values":""):"";case"value":return"Use left and right to toggle between focused values, press Backspace to remove the currently focused value";default:return""}},onChange:function(e){var t=e.action,r=e.label,n=void 0===r?"":r,o=e.labels,i=e.isDisabled;switch(t){case"deselect-option":case"pop-value":case"remove-value":return"option ".concat(n,", deselected.");case"clear":return"All selected options have been cleared.";case"initial-input-focus":return"option".concat(o.length>1?"s":""," ").concat(o.join(","),", selected.");case"select-option":return"option ".concat(n,i?" is disabled. Select another option.":", selected.");default:return""}},onFocus:function(e){var t=e.context,r=e.focused,n=e.options,o=e.label,i=void 0===o?"":o,a=e.selectValue,l=e.isDisabled,s=e.isSelected,u=e.isAppleDevice,c=function(e,t){return e&&e.length?"".concat(e.indexOf(t)+1," of ").concat(e.length):""};if("value"===t&&a)return"value ".concat(i," focused, ").concat(c(a,r),".");if("menu"===t&&u){var d=l?" disabled":"",p="".concat(s?" selected":"").concat(d);return"".concat(i).concat(p,", ").concat(c(n,r),".")}return""},onFilter:function(e){var t=e.inputValue,r=e.resultsMessage;return"".concat(r).concat(t?" for search term "+t:"",".")}},FR=function(e){var t=e.ariaSelection,r=e.focusedOption,n=e.focusedValue,o=e.focusableOptions,i=e.isFocused,a=e.selectValue,l=e.selectProps,s=e.id,u=e.isAppleDevice,c=l.ariaLiveMessages,d=l.getOptionLabel,p=l.inputValue,f=l.isMulti,h=l.isOptionDisabled,g=l.isSearchable,v=l.menuIsOpen,m=l.options,y=l.screenReaderStatus,b=l.tabSelectsValue,O=l.isLoading,E=l["aria-label"],S=l["aria-live"],w=(0,pe.useMemo)((function(){return w_(w_({},NR),c||{})}),[c]),T=(0,pe.useMemo)((function(){var e,r="";if(t&&w.onChange){var n=t.option,o=t.options,i=t.removedValue,l=t.removedValues,s=t.value,u=i||n||(e=s,Array.isArray(e)?null:e),c=u?d(u):"",p=o||l||void 0,f=p?p.map(d):[],g=w_({isDisabled:u&&h(u,a),label:c,labels:f},t);r=w.onChange(g)}return r}),[t,w,h,a,d]),x=(0,pe.useMemo)((function(){var e="",t=r||n,i=!!(r&&a&&a.includes(r));if(t&&w.onFocus){var l={focused:t,label:d(t),isDisabled:h(t,a),isSelected:i,options:o,context:t===r?"menu":"value",selectValue:a,isAppleDevice:u};e=w.onFocus(l)}return e}),[r,n,d,h,w,o,a,u]),_=(0,pe.useMemo)((function(){var e="";if(v&&m.length&&!O&&w.onFilter){var t=y({count:o.length});e=w.onFilter({inputValue:p,resultsMessage:t})}return e}),[o,p,v,w,m,y,O]),C="initial-input-focus"===(null==t?void 0:t.action),R=(0,pe.useMemo)((function(){var e="";if(w.guidance){var t=n?"value":v?"menu":"input";e=w.guidance({"aria-label":E,context:t,isDisabled:r&&h(r,a),isMulti:f,isSearchable:g,tabSelectsValue:b,isInitialFocus:C})}return e}),[E,r,n,f,h,g,v,w,a,b,C]),I=(0,C_.jsx)(pe.Fragment,null,(0,C_.jsx)("span",{id:"aria-selection"},T),(0,C_.jsx)("span",{id:"aria-focused"},x),(0,C_.jsx)("span",{id:"aria-results"},_),(0,C_.jsx)("span",{id:"aria-guidance"},R));return(0,C_.jsx)(pe.Fragment,null,(0,C_.jsx)(LR,{id:s},C&&I),(0,C_.jsx)(LR,{"aria-live":S,"aria-atomic":"false","aria-relevant":"additions text",role:"log"},i&&!C&&I))},DR=[{base:"A",letters:"AⒶＡÀÁÂẦẤẪẨÃĀĂẰẮẴẲȦǠÄǞẢÅǺǍȀȂẠẬẶḀĄȺⱯ"},{base:"AA",letters:"Ꜳ"},{base:"AE",letters:"ÆǼǢ"},{base:"AO",letters:"Ꜵ"},{base:"AU",letters:"Ꜷ"},{base:"AV",letters:"ꜸꜺ"},{base:"AY",letters:"Ꜽ"},{base:"B",letters:"BⒷＢḂḄḆɃƂƁ"},{base:"C",letters:"CⒸＣĆĈĊČÇḈƇȻꜾ"},{base:"D",letters:"DⒹＤḊĎḌḐḒḎĐƋƊƉꝹ"},{base:"DZ",letters:"ǱǄ"},{base:"Dz",letters:"ǲǅ"},{base:"E",letters:"EⒺＥÈÉÊỀẾỄỂẼĒḔḖĔĖËẺĚȄȆẸỆȨḜĘḘḚƐƎ"},{base:"F",letters:"FⒻＦḞƑꝻ"},{base:"G",letters:"GⒼＧǴĜḠĞĠǦĢǤƓꞠꝽꝾ"},{base:"H",letters:"HⒽＨĤḢḦȞḤḨḪĦⱧⱵꞍ"},{base:"I",letters:"IⒾＩÌÍÎĨĪĬİÏḮỈǏȈȊỊĮḬƗ"},{base:"J",letters:"JⒿＪĴɈ"},{base:"K",letters:"KⓀＫḰǨḲĶḴƘⱩꝀꝂꝄꞢ"},{base:"L",letters:"LⓁＬĿĹĽḶḸĻḼḺŁȽⱢⱠꝈꝆꞀ"},{base:"LJ",letters:"Ǉ"},{base:"Lj",letters:"ǈ"},{base:"M",letters:"MⓂＭḾṀṂⱮƜ"},{base:"N",letters:"NⓃＮǸŃÑṄŇṆŅṊṈȠƝꞐꞤ"},{base:"NJ",letters:"Ǌ"},{base:"Nj",letters:"ǋ"},{base:"O",letters:"OⓄＯÒÓÔỒỐỖỔÕṌȬṎŌṐṒŎȮȰÖȪỎŐǑȌȎƠỜỚỠỞỢỌỘǪǬØǾƆƟꝊꝌ"},{base:"OI",letters:"Ƣ"},{base:"OO",letters:"Ꝏ"},{base:"OU",letters:"Ȣ"},{base:"P",letters:"PⓅＰṔṖƤⱣꝐꝒꝔ"},{base:"Q",letters:"QⓆＱꝖꝘɊ"},{base:"R",letters:"RⓇＲŔṘŘȐȒṚṜŖṞɌⱤꝚꞦꞂ"},{base:"S",letters:"SⓈＳẞŚṤŜṠŠṦṢṨȘŞⱾꞨꞄ"},{base:"T",letters:"TⓉＴṪŤṬȚŢṰṮŦƬƮȾꞆ"},{base:"TZ",letters:"Ꜩ"},{base:"U",letters:"UⓊＵÙÚÛŨṸŪṺŬÜǛǗǕǙỦŮŰǓȔȖƯỪỨỮỬỰỤṲŲṶṴɄ"},{base:"V",letters:"VⓋＶṼṾƲꝞɅ"},{base:"VY",letters:"Ꝡ"},{base:"W",letters:"WⓌＷẀẂŴẆẄẈⱲ"},{base:"X",letters:"XⓍＸẊẌ"},{base:"Y",letters:"YⓎＹỲÝŶỸȲẎŸỶỴƳɎỾ"},{base:"Z",letters:"ZⓏＺŹẐŻŽẒẔƵȤⱿⱫꝢ"},{base:"a",letters:"aⓐａẚàáâầấẫẩãāăằắẵẳȧǡäǟảåǻǎȁȃạậặḁąⱥɐ"},{base:"aa",letters:"ꜳ"},{base:"ae",letters:"æǽǣ"},{base:"ao",letters:"ꜵ"},{base:"au",letters:"ꜷ"},{base:"av",letters:"ꜹꜻ"},{base:"ay",letters:"ꜽ"},{base:"b",letters:"bⓑｂḃḅḇƀƃɓ"},{base:"c",letters:"cⓒｃćĉċčçḉƈȼꜿↄ"},{base:"d",letters:"dⓓｄḋďḍḑḓḏđƌɖɗꝺ"},{base:"dz",letters:"ǳǆ"},{base:"e",letters:"eⓔｅèéêềếễểẽēḕḗĕėëẻěȅȇẹệȩḝęḙḛɇɛǝ"},{base:"f",letters:"fⓕｆḟƒꝼ"},{base:"g",letters:"gⓖｇǵĝḡğġǧģǥɠꞡᵹꝿ"},{base:"h",letters:"hⓗｈĥḣḧȟḥḩḫẖħⱨⱶɥ"},{base:"hv",letters:"ƕ"},{base:"i",letters:"iⓘｉìíîĩīĭïḯỉǐȉȋịįḭɨı"},{base:"j",letters:"jⓙｊĵǰɉ"},{base:"k",letters:"kⓚｋḱǩḳķḵƙⱪꝁꝃꝅꞣ"},{base:"l",letters:"lⓛｌŀĺľḷḹļḽḻſłƚɫⱡꝉꞁꝇ"},{base:"lj",letters:"ǉ"},{base:"m",letters:"mⓜｍḿṁṃɱɯ"},{base:"n",letters:"nⓝｎǹńñṅňṇņṋṉƞɲŉꞑꞥ"},{base:"nj",letters:"ǌ"},{base:"o",letters:"oⓞｏòóôồốỗổõṍȭṏōṑṓŏȯȱöȫỏőǒȍȏơờớỡởợọộǫǭøǿɔꝋꝍɵ"},{base:"oi",letters:"ƣ"},{base:"ou",letters:"ȣ"},{base:"oo",letters:"ꝏ"},{base:"p",letters:"pⓟｐṕṗƥᵽꝑꝓꝕ"},{base:"q",letters:"qⓠｑɋꝗꝙ"},{base:"r",letters:"rⓡｒŕṙřȑȓṛṝŗṟɍɽꝛꞧꞃ"},{base:"s",letters:"sⓢｓßśṥŝṡšṧṣṩșşȿꞩꞅẛ"},{base:"t",letters:"tⓣｔṫẗťṭțţṱṯŧƭʈⱦꞇ"},{base:"tz",letters:"ꜩ"},{base:"u",letters:"uⓤｕùúûũṹūṻŭüǜǘǖǚủůűǔȕȗưừứữửựụṳųṷṵʉ"},{base:"v",letters:"vⓥｖṽṿʋꝟʌ"},{base:"vy",letters:"ꝡ"},{base:"w",letters:"wⓦｗẁẃŵẇẅẘẉⱳ"},{base:"x",letters:"xⓧｘẋẍ"},{base:"y",letters:"yⓨｙỳýŷỹȳẏÿỷẙỵƴɏỿ"},{base:"z",letters:"zⓩｚźẑżžẓẕƶȥɀⱬꝣ"}],MR=new RegExp("["+DR.map((function(e){return e.letters})).join("")+"]","g"),VR={},UR=0;UR<DR.length;UR++)for(var BR=DR[UR],zR=0;zR<BR.letters.length;zR++)VR[BR.letters[zR]]=BR.base;var WR=function(e){return e.replace(MR,(function(e){return VR[e]}))},HR=function(e,t){void 0===t&&(t=kR);var r=null;function n(){for(var n=[],o=0;o<arguments.length;o++)n[o]=arguments[o];if(r&&r.lastThis===this&&t(n,r.lastArgs))return r.lastResult;var i=e.apply(this,n);return r={lastResult:i,lastArgs:n,lastThis:this},i}return n.clear=function(){r=null},n}(WR),qR=function(e){return e.replace(/^\s+|\s+$/g,"")},GR=function(e){return"".concat(e.label," ").concat(e.value)},$R=["innerRef"];function KR(e){var t=e.innerRef,r=function(e){for(var t=arguments.length,r=new Array(t>1?t-1:0),n=1;n<t;n++)r[n-1]=arguments[n];var o=Object.entries(e).filter((function(e){var t=Xn(e,1)[0];return!r.includes(t)}));return o.reduce((function(e,t){var r=Xn(t,2),n=r[0],o=r[1];return e[n]=o,e}),{})}(qv(e,$R),"onExited","in","enter","exit","appear");return(0,C_.jsx)("input",gb({ref:t},r,{css:(0,C_.css)({label:"dummyInput",background:0,border:0,caretColor:"transparent",fontSize:"inherit",gridArea:"1 / 1 / 2 / 3",outline:0,padding:0,width:1,color:"transparent",left:-100,opacity:0,position:"relative",transform:"scale(.01)"},"","")}))}var YR=["boxSizing","height","overflow","paddingRight","position"],XR={boxSizing:"border-box",overflow:"hidden",position:"relative",height:"100%"};function QR(e){e.preventDefault()}function JR(e){e.stopPropagation()}function ZR(){var e=this.scrollTop,t=this.scrollHeight,r=e+this.offsetHeight;0===e?this.scrollTop=1:r===t&&(this.scrollTop=e-1)}function eI(){return"ontouchstart"in window||navigator.maxTouchPoints}var tI=!("undefined"==typeof window||!window.document||!window.document.createElement),rI=0,nI={capture:!1,passive:!1},oI=function(e){var t=e.target;return t.ownerDocument.activeElement&&t.ownerDocument.activeElement.blur()},iI={name:"1kfdb0e",styles:"position:fixed;left:0;bottom:0;right:0;top:0"};function aI(e){var t=e.children,r=e.lockEnabled,n=e.captureEnabled,o=function(e){var t=e.isEnabled,r=e.onBottomArrive,n=e.onBottomLeave,o=e.onTopArrive,i=e.onTopLeave,a=(0,pe.useRef)(!1),l=(0,pe.useRef)(!1),s=(0,pe.useRef)(0),u=(0,pe.useRef)(null),c=(0,pe.useCallback)((function(e,t){if(null!==u.current){var s=u.current,c=s.scrollTop,d=s.scrollHeight,p=s.clientHeight,f=u.current,h=t>0,g=d-p-c,v=!1;g>t&&a.current&&(n&&n(e),a.current=!1),h&&l.current&&(i&&i(e),l.current=!1),h&&t>g?(r&&!a.current&&r(e),f.scrollTop=d,v=!0,a.current=!0):!h&&-t>c&&(o&&!l.current&&o(e),f.scrollTop=0,v=!0,l.current=!0),v&&function(e){e.cancelable&&e.preventDefault(),e.stopPropagation()}(e)}}),[r,n,o,i]),d=(0,pe.useCallback)((function(e){c(e,e.deltaY)}),[c]),p=(0,pe.useCallback)((function(e){s.current=e.changedTouches[0].clientY}),[]),f=(0,pe.useCallback)((function(e){var t=s.current-e.changedTouches[0].clientY;c(e,t)}),[c]),h=(0,pe.useCallback)((function(e){if(e){var t=!!tR&&{passive:!1};e.addEventListener("wheel",d,t),e.addEventListener("touchstart",p,t),e.addEventListener("touchmove",f,t)}}),[f,p,d]),g=(0,pe.useCallback)((function(e){e&&(e.removeEventListener("wheel",d,!1),e.removeEventListener("touchstart",p,!1),e.removeEventListener("touchmove",f,!1))}),[f,p,d]);return(0,pe.useEffect)((function(){if(t){var e=u.current;return h(e),function(){g(e)}}}),[t,h,g]),function(e){u.current=e}}({isEnabled:void 0===n||n,onBottomArrive:e.onBottomArrive,onBottomLeave:e.onBottomLeave,onTopArrive:e.onTopArrive,onTopLeave:e.onTopLeave}),i=function(e){var t=e.isEnabled,r=e.accountForScrollbars,n=void 0===r||r,o=(0,pe.useRef)({}),i=(0,pe.useRef)(null),a=(0,pe.useCallback)((function(e){if(tI){var t=document.body,r=t&&t.style;if(n&&YR.forEach((function(e){var t=r&&r[e];o.current[e]=t})),n&&rI<1){var i=parseInt(o.current.paddingRight,10)||0,a=document.body?document.body.clientWidth:0,l=window.innerWidth-a+i||0;Object.keys(XR).forEach((function(e){var t=XR[e];r&&(r[e]=t)})),r&&(r.paddingRight="".concat(l,"px"))}t&&eI()&&(t.addEventListener("touchmove",QR,nI),e&&(e.addEventListener("touchstart",ZR,nI),e.addEventListener("touchmove",JR,nI))),rI+=1}}),[n]),l=(0,pe.useCallback)((function(e){if(tI){var t=document.body,r=t&&t.style;rI=Math.max(rI-1,0),n&&rI<1&&YR.forEach((function(e){var t=o.current[e];r&&(r[e]=t)})),t&&eI()&&(t.removeEventListener("touchmove",QR,nI),e&&(e.removeEventListener("touchstart",ZR,nI),e.removeEventListener("touchmove",JR,nI)))}}),[n]);return(0,pe.useEffect)((function(){if(t){var e=i.current;return a(e),function(){l(e)}}}),[t,a,l]),function(e){i.current=e}}({isEnabled:r});return(0,C_.jsx)(pe.Fragment,null,r&&(0,C_.jsx)("div",{onClick:oI,css:iI}),t((function(e){o(e),i(e)})))}var lI={name:"1a0ro4n-requiredInput",styles:"label:requiredInput;opacity:0;pointer-events:none;position:absolute;bottom:0;left:0;right:0;width:100%"},sI=function(e){var t=e.name,r=e.onFocus;return(0,C_.jsx)("input",{required:!0,name:t,tabIndex:-1,"aria-hidden":"true",onFocus:r,css:lI,value:"",onChange:function(){}})};function uI(e){var t;return"undefined"!=typeof window&&null!=window.navigator&&e.test((null===(t=window.navigator.userAgentData)||void 0===t?void 0:t.platform)||window.navigator.platform)}function cI(){return uI(/^Mac/i)}var dI=function(e){return e.label},pI=function(e){return e.value},fI={clearIndicator:ER,container:function(e){var t=e.isDisabled;return{label:"container",direction:e.isRtl?"rtl":void 0,pointerEvents:t?"none":void 0,position:"relative"}},control:function(e,t){var r=e.isDisabled,n=e.isFocused,o=e.theme,i=o.colors,a=o.borderRadius;return w_({label:"control",alignItems:"center",cursor:"default",display:"flex",flexWrap:"wrap",justifyContent:"space-between",minHeight:o.spacing.controlHeight,outline:"0 !important",position:"relative",transition:"all 100ms"},t?{}:{backgroundColor:r?i.neutral5:i.neutral0,borderColor:r?i.neutral10:n?i.primary:i.neutral20,borderRadius:a,borderStyle:"solid",borderWidth:1,boxShadow:n?"0 0 0 1px ".concat(i.primary):void 0,"&:hover":{borderColor:n?i.primary:i.neutral30}})},dropdownIndicator:OR,group:function(e,t){var r=e.theme.spacing;return t?{}:{paddingBottom:2*r.baseUnit,paddingTop:2*r.baseUnit}},groupHeading:function(e,t){var r=e.theme,n=r.colors,o=r.spacing;return w_({label:"group",cursor:"default",display:"block"},t?{}:{color:n.neutral40,fontSize:"75%",fontWeight:500,marginBottom:"0.25em",paddingLeft:3*o.baseUnit,paddingRight:3*o.baseUnit,textTransform:"uppercase"})},indicatorsContainer:function(){return{alignItems:"center",alignSelf:"stretch",display:"flex",flexShrink:0}},indicatorSeparator:function(e,t){var r=e.isDisabled,n=e.theme,o=n.spacing.baseUnit,i=n.colors;return w_({label:"indicatorSeparator",alignSelf:"stretch",width:1},t?{}:{backgroundColor:r?i.neutral10:i.neutral20,marginBottom:2*o,marginTop:2*o})},input:function(e,t){var r=e.isDisabled,n=e.value,o=e.theme,i=o.spacing,a=o.colors;return w_(w_({visibility:r?"hidden":"visible",transform:n?"translateZ(0)":""},CR),t?{}:{margin:i.baseUnit/2,paddingBottom:i.baseUnit/2,paddingTop:i.baseUnit/2,color:a.neutral80})},loadingIndicator:function(e,t){var r=e.isFocused,n=e.size,o=e.theme,i=o.colors,a=o.spacing.baseUnit;return w_({label:"loadingIndicator",display:"flex",transition:"color 150ms",alignSelf:"center",fontSize:n,lineHeight:1,marginRight:n,textAlign:"center",verticalAlign:"middle"},t?{}:{color:r?i.neutral60:i.neutral20,padding:2*a})},loadingMessage:pR,menu:function(e,t){var r,n=e.placement,o=e.theme,i=o.borderRadius,a=o.spacing,l=o.colors;return w_((qn(r={label:"menu"},function(e){return e?{bottom:"top",top:"bottom"}[e]:"bottom"}(n),"100%"),qn(r,"position","absolute"),qn(r,"width","100%"),qn(r,"zIndex",1),r),t?{}:{backgroundColor:l.neutral0,borderRadius:i,boxShadow:"0 0 0 1px hsla(0, 0%, 0%, 0.1), 0 4px 11px hsla(0, 0%, 0%, 0.1)",marginBottom:a.menuGutter,marginTop:a.menuGutter})},menuList:function(e,t){var r=e.maxHeight,n=e.theme.spacing.baseUnit;return w_({maxHeight:r,overflowY:"auto",position:"relative",WebkitOverflowScrolling:"touch"},t?{}:{paddingBottom:n,paddingTop:n})},menuPortal:function(e){var t=e.rect,r=e.offset,n=e.position;return{left:t.left,position:n,top:r,width:t.width,zIndex:1}},multiValue:function(e,t){var r=e.theme,n=r.spacing,o=r.borderRadius,i=r.colors;return w_({label:"multiValue",display:"flex",minWidth:0},t?{}:{backgroundColor:i.neutral10,borderRadius:o/2,margin:n.baseUnit/2})},multiValueLabel:function(e,t){var r=e.theme,n=r.borderRadius,o=r.colors,i=e.cropWithEllipsis;return w_({overflow:"hidden",textOverflow:i||void 0===i?"ellipsis":void 0,whiteSpace:"nowrap"},t?{}:{borderRadius:n/2,color:o.neutral80,fontSize:"85%",padding:3,paddingLeft:6})},multiValueRemove:function(e,t){var r=e.theme,n=r.spacing,o=r.borderRadius,i=r.colors,a=e.isFocused;return w_({alignItems:"center",display:"flex"},t?{}:{borderRadius:o/2,backgroundColor:a?i.dangerLight:void 0,paddingLeft:n.baseUnit,paddingRight:n.baseUnit,":hover":{backgroundColor:i.dangerLight,color:i.danger}})},noOptionsMessage:dR,option:function(e,t){var r=e.isDisabled,n=e.isFocused,o=e.isSelected,i=e.theme,a=i.spacing,l=i.colors;return w_({label:"option",cursor:"default",display:"block",fontSize:"inherit",width:"100%",userSelect:"none",WebkitTapHighlightColor:"rgba(0, 0, 0, 0)"},t?{}:{backgroundColor:o?l.primary:n?l.primary25:"transparent",color:r?l.neutral20:o?l.neutral0:"inherit",padding:"".concat(2*a.baseUnit,"px ").concat(3*a.baseUnit,"px"),":active":{backgroundColor:r?void 0:o?l.primary:l.primary50}})},placeholder:function(e,t){var r=e.theme,n=r.spacing,o=r.colors;return w_({label:"placeholder",gridArea:"1 / 1 / 2 / 3"},t?{}:{color:o.neutral50,marginLeft:n.baseUnit/2,marginRight:n.baseUnit/2})},singleValue:function(e,t){var r=e.isDisabled,n=e.theme,o=n.spacing,i=n.colors;return w_({label:"singleValue",gridArea:"1 / 1 / 2 / 3",maxWidth:"100%",overflow:"hidden",textOverflow:"ellipsis",whiteSpace:"nowrap"},t?{}:{color:r?i.neutral40:i.neutral80,marginLeft:o.baseUnit/2,marginRight:o.baseUnit/2})},valueContainer:function(e,t){var r=e.theme.spacing,n=e.isMulti,o=e.hasValue,i=e.selectProps.controlShouldRenderValue;return w_({alignItems:"center",display:n&&o&&i?"flex":"grid",flex:1,flexWrap:"wrap",WebkitOverflowScrolling:"touch",position:"relative",overflow:"hidden"},t?{}:{padding:"".concat(r.baseUnit/2,"px ").concat(2*r.baseUnit,"px")})}},hI={borderRadius:4,colors:{primary:"#2684FF",primary75:"#4C9AFF",primary50:"#B2D4FF",primary25:"#DEEBFF",danger:"#DE350B",dangerLight:"#FFBDAD",neutral0:"hsl(0, 0%, 100%)",neutral5:"hsl(0, 0%, 95%)",neutral10:"hsl(0, 0%, 90%)",neutral20:"hsl(0, 0%, 80%)",neutral30:"hsl(0, 0%, 70%)",neutral40:"hsl(0, 0%, 60%)",neutral50:"hsl(0, 0%, 50%)",neutral60:"hsl(0, 0%, 40%)",neutral70:"hsl(0, 0%, 30%)",neutral80:"hsl(0, 0%, 20%)",neutral90:"hsl(0, 0%, 10%)"},spacing:{baseUnit:4,controlHeight:38,menuGutter:8}},gI={"aria-live":"polite",backspaceRemovesValue:!0,blurInputOnSelect:QC(),captureMenuScroll:!QC(),classNames:{},closeMenuOnSelect:!0,closeMenuOnScroll:!1,components:{},controlShouldRenderValue:!0,escapeClearsValue:!1,filterOption:function(e,t){if(e.data.__isNew__)return!0;var r=w_({ignoreCase:!0,ignoreAccents:!0,stringify:GR,trim:!0,matchFrom:"any"},void 0),n=r.ignoreCase,o=r.ignoreAccents,i=r.stringify,a=r.trim,l=r.matchFrom,s=a?qR(t):t,u=a?qR(i(e)):i(e);return n&&(s=s.toLowerCase(),u=u.toLowerCase()),o&&(s=HR(s),u=WR(u)),"start"===l?u.substr(0,s.length)===s:u.indexOf(s)>-1},formatGroupLabel:function(e){return e.label},getOptionLabel:dI,getOptionValue:pI,isDisabled:!1,isLoading:!1,isMulti:!1,isRtl:!1,isSearchable:!0,isOptionDisabled:function(e){return!!e.isDisabled},loadingMessage:function(){return"Loading..."},maxMenuHeight:300,minMenuHeight:140,menuIsOpen:!1,menuPlacement:"bottom",menuPosition:"absolute",menuShouldBlockScroll:!1,menuShouldScrollIntoView:!function(){try{return/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)}catch(e){return!1}}(),noOptionsMessage:function(){return"No options"},openMenuOnFocus:!1,openMenuOnClick:!0,options:[],pageSize:5,placeholder:"Select...",screenReaderStatus:function(e){var t=e.count;return"".concat(t," result").concat(1!==t?"s":""," available")},styles:{},tabIndex:0,tabSelectsValue:!0,unstyled:!1};function vI(e,t,r,n){return{type:"option",data:t,isDisabled:TI(e,t,r),isSelected:xI(e,t,r),label:SI(e,t),value:wI(e,t),index:n}}function mI(e,t){return e.options.map((function(r,n){if("options"in r){var o=r.options.map((function(r,n){return vI(e,r,t,n)})).filter((function(t){return OI(e,t)}));return o.length>0?{type:"group",data:r,options:o,index:n}:void 0}var i=vI(e,r,t,n);return OI(e,i)?i:void 0})).filter(rR)}function yI(e){return e.reduce((function(e,t){return"group"===t.type?e.push.apply(e,Jn(t.options.map((function(e){return e.data})))):e.push(t.data),e}),[])}function bI(e,t){return e.reduce((function(e,r){return"group"===r.type?e.push.apply(e,Jn(r.options.map((function(e){return{data:e.data,id:"".concat(t,"-").concat(r.index,"-").concat(e.index)}})))):e.push({data:r.data,id:"".concat(t,"-").concat(r.index)}),e}),[])}function OI(e,t){var r=e.inputValue,n=void 0===r?"":r,o=t.data,i=t.isSelected,a=t.label,l=t.value;return(!CI(e)||!i)&&_I(e,{label:a,value:l,data:o},n)}var EI=function(e,t){var r;return(null===(r=e.find((function(e){return e.data===t})))||void 0===r?void 0:r.id)||null},SI=function(e,t){return e.getOptionLabel(t)},wI=function(e,t){return e.getOptionValue(t)};function TI(e,t,r){return"function"==typeof e.isOptionDisabled&&e.isOptionDisabled(t,r)}function xI(e,t,r){if(r.indexOf(t)>-1)return!0;if("function"==typeof e.isOptionSelected)return e.isOptionSelected(t,r);var n=wI(e,t);return r.some((function(t){return wI(e,t)===n}))}function _I(e,t,r){return!e.filterOption||e.filterOption(t,r)}var CI=function(e){var t=e.hideSelectedOptions,r=e.isMulti;return void 0===t?r:t},RI=1,II=function(e){Hn(r,e);var t=function(e){var t=__();return function(){var r,n=zn(e);if(t){var o=zn(this).constructor;r=Reflect.construct(n,arguments,o)}else r=n.apply(this,arguments);return Bn(this,r)}}(r);function r(e){var n;if(Nn(this,r),(n=t.call(this,e)).state={ariaSelection:null,focusedOption:null,focusedOptionId:null,focusableOptionsWithIds:[],focusedValue:null,inputIsHidden:!1,isFocused:!1,selectValue:[],clearFocusValueOnUpdate:!1,prevWasFocused:!1,inputIsHiddenAfterUpdate:void 0,prevProps:void 0,instancePrefix:""},n.blockOptionHover=!1,n.isComposing=!1,n.commonProps=void 0,n.initialTouchX=0,n.initialTouchY=0,n.openAfterFocus=!1,n.scrollToFocusedOptionOnUpdate=!1,n.userIsDragging=void 0,n.isAppleDevice=cI()||uI(/^iPhone/i)||uI(/^iPad/i)||cI()&&navigator.maxTouchPoints>1,n.controlRef=null,n.getControlRef=function(e){n.controlRef=e},n.focusedOptionRef=null,n.getFocusedOptionRef=function(e){n.focusedOptionRef=e},n.menuListRef=null,n.getMenuListRef=function(e){n.menuListRef=e},n.inputRef=null,n.getInputRef=function(e){n.inputRef=e},n.focus=n.focusInput,n.blur=n.blurInput,n.onChange=function(e,t){var r=n.props,o=r.onChange,i=r.name;t.name=i,n.ariaOnChange(e,t),o(e,t)},n.setValue=function(e,t,r){var o=n.props,i=o.closeMenuOnSelect,a=o.isMulti,l=o.inputValue;n.onInputChange("",{action:"set-value",prevInputValue:l}),i&&(n.setState({inputIsHiddenAfterUpdate:!a}),n.onMenuClose()),n.setState({clearFocusValueOnUpdate:!0}),n.onChange(e,{action:t,option:r})},n.selectOption=function(e){var t=n.props,r=t.blurInputOnSelect,o=t.isMulti,i=t.name,a=n.state.selectValue,l=o&&n.isOptionSelected(e,a),s=n.isOptionDisabled(e,a);if(l){var u=n.getOptionValue(e);n.setValue(a.filter((function(e){return n.getOptionValue(e)!==u})),"deselect-option",e)}else{if(s)return void n.ariaOnChange(e,{action:"select-option",option:e,name:i});o?n.setValue([].concat(Jn(a),[e]),"select-option",e):n.setValue(e,"select-option")}r&&n.blurInput()},n.removeValue=function(e){var t=n.props.isMulti,r=n.state.selectValue,o=n.getOptionValue(e),i=r.filter((function(e){return n.getOptionValue(e)!==o})),a=nR(t,i,i[0]||null);n.onChange(a,{action:"remove-value",removedValue:e}),n.focusInput()},n.clearValue=function(){var e=n.state.selectValue;n.onChange(nR(n.props.isMulti,[],null),{action:"clear",removedValues:e})},n.popValue=function(){var e=n.props.isMulti,t=n.state.selectValue,r=t[t.length-1],o=t.slice(0,t.length-1),i=nR(e,o,o[0]||null);r&&n.onChange(i,{action:"pop-value",removedValue:r})},n.getFocusedOptionId=function(e){return EI(n.state.focusableOptionsWithIds,e)},n.getFocusableOptionsWithIds=function(){return bI(mI(n.props,n.state.selectValue),n.getElementId("option"))},n.getValue=function(){return n.state.selectValue},n.cx=function(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];return zC.apply(void 0,[n.props.classNamePrefix].concat(t))},n.getOptionLabel=function(e){return SI(n.props,e)},n.getOptionValue=function(e){return wI(n.props,e)},n.getStyles=function(e,t){var r=n.props.unstyled,o=fI[e](t,r);o.boxSizing="border-box";var i=n.props.styles[e];return i?i(o,t):o},n.getClassNames=function(e,t){var r,o;return null===(r=(o=n.props.classNames)[e])||void 0===r?void 0:r.call(o,t)},n.getElementId=function(e){return"".concat(n.state.instancePrefix,"-").concat(e)},n.getComponents=function(){return e=n.props,w_(w_({},AR),e.components);var e},n.buildCategorizedOptions=function(){return mI(n.props,n.state.selectValue)},n.getCategorizedOptions=function(){return n.props.menuIsOpen?n.buildCategorizedOptions():[]},n.buildFocusableOptions=function(){return yI(n.buildCategorizedOptions())},n.getFocusableOptions=function(){return n.props.menuIsOpen?n.buildFocusableOptions():[]},n.ariaOnChange=function(e,t){n.setState({ariaSelection:w_({value:e},t)})},n.onMenuMouseDown=function(e){0===e.button&&(e.stopPropagation(),e.preventDefault(),n.focusInput())},n.onMenuMouseMove=function(e){n.blockOptionHover=!1},n.onControlMouseDown=function(e){if(!e.defaultPrevented){var t=n.props.openMenuOnClick;n.state.isFocused?n.props.menuIsOpen?"INPUT"!==e.target.tagName&&"TEXTAREA"!==e.target.tagName&&n.onMenuClose():t&&n.openMenu("first"):(t&&(n.openAfterFocus=!0),n.focusInput()),"INPUT"!==e.target.tagName&&"TEXTAREA"!==e.target.tagName&&e.preventDefault()}},n.onDropdownIndicatorMouseDown=function(e){if(!(e&&"mousedown"===e.type&&0!==e.button||n.props.isDisabled)){var t=n.props,r=t.isMulti,o=t.menuIsOpen;n.focusInput(),o?(n.setState({inputIsHiddenAfterUpdate:!r}),n.onMenuClose()):n.openMenu("first"),e.preventDefault()}},n.onClearIndicatorMouseDown=function(e){e&&"mousedown"===e.type&&0!==e.button||(n.clearValue(),e.preventDefault(),n.openAfterFocus=!1,"touchend"===e.type?n.focusInput():setTimeout((function(){return n.focusInput()})))},n.onScroll=function(e){"boolean"==typeof n.props.closeMenuOnScroll?e.target instanceof HTMLElement&&GC(e.target)&&n.props.onMenuClose():"function"==typeof n.props.closeMenuOnScroll&&n.props.closeMenuOnScroll(e)&&n.props.onMenuClose()},n.onCompositionStart=function(){n.isComposing=!0},n.onCompositionEnd=function(){n.isComposing=!1},n.onTouchStart=function(e){var t=e.touches,r=t&&t.item(0);r&&(n.initialTouchX=r.clientX,n.initialTouchY=r.clientY,n.userIsDragging=!1)},n.onTouchMove=function(e){var t=e.touches,r=t&&t.item(0);if(r){var o=Math.abs(r.clientX-n.initialTouchX),i=Math.abs(r.clientY-n.initialTouchY);n.userIsDragging=o>5||i>5}},n.onTouchEnd=function(e){n.userIsDragging||(n.controlRef&&!n.controlRef.contains(e.target)&&n.menuListRef&&!n.menuListRef.contains(e.target)&&n.blurInput(),n.initialTouchX=0,n.initialTouchY=0)},n.onControlTouchEnd=function(e){n.userIsDragging||n.onControlMouseDown(e)},n.onClearIndicatorTouchEnd=function(e){n.userIsDragging||n.onClearIndicatorMouseDown(e)},n.onDropdownIndicatorTouchEnd=function(e){n.userIsDragging||n.onDropdownIndicatorMouseDown(e)},n.handleInputChange=function(e){var t=n.props.inputValue,r=e.currentTarget.value;n.setState({inputIsHiddenAfterUpdate:!1}),n.onInputChange(r,{action:"input-change",prevInputValue:t}),n.props.menuIsOpen||n.onMenuOpen()},n.onInputFocus=function(e){n.props.onFocus&&n.props.onFocus(e),n.setState({inputIsHiddenAfterUpdate:!1,isFocused:!0}),(n.openAfterFocus||n.props.openMenuOnFocus)&&n.openMenu("first"),n.openAfterFocus=!1},n.onInputBlur=function(e){var t=n.props.inputValue;n.menuListRef&&n.menuListRef.contains(document.activeElement)?n.inputRef.focus():(n.props.onBlur&&n.props.onBlur(e),n.onInputChange("",{action:"input-blur",prevInputValue:t}),n.onMenuClose(),n.setState({focusedValue:null,isFocused:!1}))},n.onOptionHover=function(e){if(!n.blockOptionHover&&n.state.focusedOption!==e){var t=n.getFocusableOptions().indexOf(e);n.setState({focusedOption:e,focusedOptionId:t>-1?n.getFocusedOptionId(e):null})}},n.shouldHideSelectedOptions=function(){return CI(n.props)},n.onValueInputFocus=function(e){e.preventDefault(),e.stopPropagation(),n.focus()},n.onKeyDown=function(e){var t=n.props,r=t.isMulti,o=t.backspaceRemovesValue,i=t.escapeClearsValue,a=t.inputValue,l=t.isClearable,s=t.isDisabled,u=t.menuIsOpen,c=t.onKeyDown,d=t.tabSelectsValue,p=t.openMenuOnFocus,f=n.state,h=f.focusedOption,g=f.focusedValue,v=f.selectValue;if(!(s||"function"==typeof c&&(c(e),e.defaultPrevented))){switch(n.blockOptionHover=!0,e.key){case"ArrowLeft":if(!r||a)return;n.focusValue("previous");break;case"ArrowRight":if(!r||a)return;n.focusValue("next");break;case"Delete":case"Backspace":if(a)return;if(g)n.removeValue(g);else{if(!o)return;r?n.popValue():l&&n.clearValue()}break;case"Tab":if(n.isComposing)return;if(e.shiftKey||!u||!d||!h||p&&n.isOptionSelected(h,v))return;n.selectOption(h);break;case"Enter":if(229===e.keyCode)break;if(u){if(!h)return;if(n.isComposing)return;n.selectOption(h);break}return;case"Escape":u?(n.setState({inputIsHiddenAfterUpdate:!1}),n.onInputChange("",{action:"menu-close",prevInputValue:a}),n.onMenuClose()):l&&i&&n.clearValue();break;case" ":if(a)return;if(!u){n.openMenu("first");break}if(!h)return;n.selectOption(h);break;case"ArrowUp":u?n.focusOption("up"):n.openMenu("last");break;case"ArrowDown":u?n.focusOption("down"):n.openMenu("first");break;case"PageUp":if(!u)return;n.focusOption("pageup");break;case"PageDown":if(!u)return;n.focusOption("pagedown");break;case"Home":if(!u)return;n.focusOption("first");break;case"End":if(!u)return;n.focusOption("last");break;default:return}e.preventDefault()}},n.state.instancePrefix="react-select-"+(n.props.instanceId||++RI),n.state.selectValue=WC(e.value),e.menuIsOpen&&n.state.selectValue.length){var o=n.getFocusableOptionsWithIds(),i=n.buildFocusableOptions(),a=i.indexOf(n.state.selectValue[0]);n.state.focusableOptionsWithIds=o,n.state.focusedOption=i[a],n.state.focusedOptionId=EI(o,i[a])}return n}return Vn(r,[{key:"componentDidMount",value:function(){this.startListeningComposition(),this.startListeningToTouch(),this.props.closeMenuOnScroll&&document&&document.addEventListener&&document.addEventListener("scroll",this.onScroll,!0),this.props.autoFocus&&this.focusInput(),this.props.menuIsOpen&&this.state.focusedOption&&this.menuListRef&&this.focusedOptionRef&&XC(this.menuListRef,this.focusedOptionRef)}},{key:"componentDidUpdate",value:function(e){var t=this.props,r=t.isDisabled,n=t.menuIsOpen,o=this.state.isFocused;(o&&!r&&e.isDisabled||o&&n&&!e.menuIsOpen)&&this.focusInput(),o&&r&&!e.isDisabled?this.setState({isFocused:!1},this.onMenuClose):o||r||!e.isDisabled||this.inputRef!==document.activeElement||this.setState({isFocused:!0}),this.menuListRef&&this.focusedOptionRef&&this.scrollToFocusedOptionOnUpdate&&(XC(this.menuListRef,this.focusedOptionRef),this.scrollToFocusedOptionOnUpdate=!1)}},{key:"componentWillUnmount",value:function(){this.stopListeningComposition(),this.stopListeningToTouch(),document.removeEventListener("scroll",this.onScroll,!0)}},{key:"onMenuOpen",value:function(){this.props.onMenuOpen()}},{key:"onMenuClose",value:function(){this.onInputChange("",{action:"menu-close",prevInputValue:this.props.inputValue}),this.props.onMenuClose()}},{key:"onInputChange",value:function(e,t){this.props.onInputChange(e,t)}},{key:"focusInput",value:function(){this.inputRef&&this.inputRef.focus()}},{key:"blurInput",value:function(){this.inputRef&&this.inputRef.blur()}},{key:"openMenu",value:function(e){var t=this,r=this.state,n=r.selectValue,o=r.isFocused,i=this.buildFocusableOptions(),a="first"===e?0:i.length-1;if(!this.props.isMulti){var l=i.indexOf(n[0]);l>-1&&(a=l)}this.scrollToFocusedOptionOnUpdate=!(o&&this.menuListRef),this.setState({inputIsHiddenAfterUpdate:!1,focusedValue:null,focusedOption:i[a],focusedOptionId:this.getFocusedOptionId(i[a])},(function(){return t.onMenuOpen()}))}},{key:"focusValue",value:function(e){var t=this.state,r=t.selectValue,n=t.focusedValue;if(this.props.isMulti){this.setState({focusedOption:null});var o=r.indexOf(n);n||(o=-1);var i=r.length-1,a=-1;if(r.length){switch(e){case"previous":a=0===o?0:-1===o?i:o-1;break;case"next":o>-1&&o<i&&(a=o+1)}this.setState({inputIsHidden:-1!==a,focusedValue:r[a]})}}}},{key:"focusOption",value:function(){var e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:"first",t=this.props.pageSize,r=this.state.focusedOption,n=this.getFocusableOptions();if(n.length){var o=0,i=n.indexOf(r);r||(i=-1),"up"===e?o=i>0?i-1:n.length-1:"down"===e?o=(i+1)%n.length:"pageup"===e?(o=i-t)<0&&(o=0):"pagedown"===e?(o=i+t)>n.length-1&&(o=n.length-1):"last"===e&&(o=n.length-1),this.scrollToFocusedOptionOnUpdate=!0,this.setState({focusedOption:n[o],focusedValue:null,focusedOptionId:this.getFocusedOptionId(n[o])})}}},{key:"getTheme",value:function(){return this.props.theme?"function"==typeof this.props.theme?this.props.theme(hI):w_(w_({},hI),this.props.theme):hI}},{key:"getCommonProps",value:function(){var e=this.clearValue,t=this.cx,r=this.getStyles,n=this.getClassNames,o=this.getValue,i=this.selectOption,a=this.setValue,l=this.props,s=l.isMulti,u=l.isRtl,c=l.options;return{clearValue:e,cx:t,getStyles:r,getClassNames:n,getValue:o,hasValue:this.hasValue(),isMulti:s,isRtl:u,options:c,selectOption:i,selectProps:l,setValue:a,theme:this.getTheme()}}},{key:"hasValue",value:function(){return this.state.selectValue.length>0}},{key:"hasOptions",value:function(){return!!this.getFocusableOptions().length}},{key:"isClearable",value:function(){var e=this.props,t=e.isClearable,r=e.isMulti;return void 0===t?r:t}},{key:"isOptionDisabled",value:function(e,t){return TI(this.props,e,t)}},{key:"isOptionSelected",value:function(e,t){return xI(this.props,e,t)}},{key:"filterOption",value:function(e,t){return _I(this.props,e,t)}},{key:"formatOptionLabel",value:function(e,t){if("function"==typeof this.props.formatOptionLabel){var r=this.props.inputValue,n=this.state.selectValue;return this.props.formatOptionLabel(e,{context:t,inputValue:r,selectValue:n})}return this.getOptionLabel(e)}},{key:"formatGroupLabel",value:function(e){return this.props.formatGroupLabel(e)}},{key:"startListeningComposition",value:function(){document&&document.addEventListener&&(document.addEventListener("compositionstart",this.onCompositionStart,!1),document.addEventListener("compositionend",this.onCompositionEnd,!1))}},{key:"stopListeningComposition",value:function(){document&&document.removeEventListener&&(document.removeEventListener("compositionstart",this.onCompositionStart),document.removeEventListener("compositionend",this.onCompositionEnd))}},{key:"startListeningToTouch",value:function(){document&&document.addEventListener&&(document.addEventListener("touchstart",this.onTouchStart,!1),document.addEventListener("touchmove",this.onTouchMove,!1),document.addEventListener("touchend",this.onTouchEnd,!1))}},{key:"stopListeningToTouch",value:function(){document&&document.removeEventListener&&(document.removeEventListener("touchstart",this.onTouchStart),document.removeEventListener("touchmove",this.onTouchMove),document.removeEventListener("touchend",this.onTouchEnd))}},{key:"renderInput",value:function(){var e=this.props,t=e.isDisabled,r=e.isSearchable,n=e.inputId,o=e.inputValue,i=e.tabIndex,a=e.form,l=e.menuIsOpen,s=e.required,u=this.getComponents().Input,c=this.state,d=c.inputIsHidden,p=c.ariaSelection,f=this.commonProps,h=n||this.getElementId("input"),g=w_(w_(w_({"aria-autocomplete":"list","aria-expanded":l,"aria-haspopup":!0,"aria-errormessage":this.props["aria-errormessage"],"aria-invalid":this.props["aria-invalid"],"aria-label":this.props["aria-label"],"aria-labelledby":this.props["aria-labelledby"],"aria-required":s,role:"combobox","aria-activedescendant":this.isAppleDevice?void 0:this.state.focusedOptionId||""},l&&{"aria-controls":this.getElementId("listbox")}),!r&&{"aria-readonly":!0}),this.hasValue()?"initial-input-focus"===(null==p?void 0:p.action)&&{"aria-describedby":this.getElementId("live-region")}:{"aria-describedby":this.getElementId("placeholder")});return r?pe.createElement(u,gb({},f,{autoCapitalize:"none",autoComplete:"off",autoCorrect:"off",id:h,innerRef:this.getInputRef,isDisabled:t,isHidden:d,onBlur:this.onInputBlur,onChange:this.handleInputChange,onFocus:this.onInputFocus,spellCheck:"false",tabIndex:i,form:a,type:"text",value:o},g)):pe.createElement(KR,gb({id:h,innerRef:this.getInputRef,onBlur:this.onInputBlur,onChange:UC,onFocus:this.onInputFocus,disabled:t,tabIndex:i,inputMode:"none",form:a,value:""},g))}},{key:"renderPlaceholderOrValue",value:function(){var e=this,t=this.getComponents(),r=t.MultiValue,n=t.MultiValueContainer,o=t.MultiValueLabel,i=t.MultiValueRemove,a=t.SingleValue,l=t.Placeholder,s=this.commonProps,u=this.props,c=u.controlShouldRenderValue,d=u.isDisabled,p=u.isMulti,f=u.inputValue,h=u.placeholder,g=this.state,v=g.selectValue,m=g.focusedValue,y=g.isFocused;if(!this.hasValue()||!c)return f?null:pe.createElement(l,gb({},s,{key:"placeholder",isDisabled:d,isFocused:y,innerProps:{id:this.getElementId("placeholder")}}),h);if(p)return v.map((function(t,a){var l=t===m,u="".concat(e.getOptionLabel(t),"-").concat(e.getOptionValue(t));return pe.createElement(r,gb({},s,{components:{Container:n,Label:o,Remove:i},isFocused:l,isDisabled:d,key:u,index:a,removeProps:{onClick:function(){return e.removeValue(t)},onTouchEnd:function(){return e.removeValue(t)},onMouseDown:function(e){e.preventDefault()}},data:t}),e.formatOptionLabel(t,"value"))}));if(f)return null;var b=v[0];return pe.createElement(a,gb({},s,{data:b,isDisabled:d}),this.formatOptionLabel(b,"value"))}},{key:"renderClearIndicator",value:function(){var e=this.getComponents().ClearIndicator,t=this.commonProps,r=this.props,n=r.isDisabled,o=r.isLoading,i=this.state.isFocused;if(!this.isClearable()||!e||n||!this.hasValue()||o)return null;var a={onMouseDown:this.onClearIndicatorMouseDown,onTouchEnd:this.onClearIndicatorTouchEnd,"aria-hidden":"true"};return pe.createElement(e,gb({},t,{innerProps:a,isFocused:i}))}},{key:"renderLoadingIndicator",value:function(){var e=this.getComponents().LoadingIndicator,t=this.commonProps,r=this.props,n=r.isDisabled,o=r.isLoading,i=this.state.isFocused;return e&&o?pe.createElement(e,gb({},t,{innerProps:{"aria-hidden":"true"},isDisabled:n,isFocused:i})):null}},{key:"renderIndicatorSeparator",value:function(){var e=this.getComponents(),t=e.DropdownIndicator,r=e.IndicatorSeparator;if(!t||!r)return null;var n=this.commonProps,o=this.props.isDisabled,i=this.state.isFocused;return pe.createElement(r,gb({},n,{isDisabled:o,isFocused:i}))}},{key:"renderDropdownIndicator",value:function(){var e=this.getComponents().DropdownIndicator;if(!e)return null;var t=this.commonProps,r=this.props.isDisabled,n=this.state.isFocused,o={onMouseDown:this.onDropdownIndicatorMouseDown,onTouchEnd:this.onDropdownIndicatorTouchEnd,"aria-hidden":"true"};return pe.createElement(e,gb({},t,{innerProps:o,isDisabled:r,isFocused:n}))}},{key:"renderMenu",value:function(){var e=this,t=this.getComponents(),r=t.Group,n=t.GroupHeading,o=t.Menu,i=t.MenuList,a=t.MenuPortal,l=t.LoadingMessage,s=t.NoOptionsMessage,u=t.Option,c=this.commonProps,d=this.state.focusedOption,p=this.props,f=p.captureMenuScroll,h=p.inputValue,g=p.isLoading,v=p.loadingMessage,m=p.minMenuHeight,y=p.maxMenuHeight,b=p.menuIsOpen,O=p.menuPlacement,E=p.menuPosition,S=p.menuPortalTarget,w=p.menuShouldBlockScroll,T=p.menuShouldScrollIntoView,x=p.noOptionsMessage,_=p.onMenuScrollToTop,C=p.onMenuScrollToBottom;if(!b)return null;var R,I=function(t,r){var n=t.type,o=t.data,i=t.isDisabled,a=t.isSelected,l=t.label,s=t.value,p=d===o,f=i?void 0:function(){return e.onOptionHover(o)},h=i?void 0:function(){return e.selectOption(o)},g="".concat(e.getElementId("option"),"-").concat(r),v={id:g,onClick:h,onMouseMove:f,onMouseOver:f,tabIndex:-1,role:"option","aria-selected":e.isAppleDevice?void 0:a};return pe.createElement(u,gb({},c,{innerProps:v,data:o,isDisabled:i,isSelected:a,key:g,label:l,type:n,value:s,isFocused:p,innerRef:p?e.getFocusedOptionRef:void 0}),e.formatOptionLabel(t.data,"menu"))};if(this.hasOptions())R=this.getCategorizedOptions().map((function(t){if("group"===t.type){var o=t.data,i=t.options,a=t.index,l="".concat(e.getElementId("group"),"-").concat(a),s="".concat(l,"-heading");return pe.createElement(r,gb({},c,{key:l,data:o,options:i,Heading:n,headingProps:{id:s,data:t.data},label:e.formatGroupLabel(t.data)}),t.options.map((function(e){return I(e,"".concat(a,"-").concat(e.index))})))}if("option"===t.type)return I(t,"".concat(t.index))}));else if(g){var A=v({inputValue:h});if(null===A)return null;R=pe.createElement(l,c,A)}else{var j=x({inputValue:h});if(null===j)return null;R=pe.createElement(s,c,j)}var k={minMenuHeight:m,maxMenuHeight:y,menuPlacement:O,menuPosition:E,menuShouldScrollIntoView:T},P=pe.createElement(uR,gb({},c,k),(function(t){var r=t.ref,n=t.placerProps,a=n.placement,l=n.maxHeight;return pe.createElement(o,gb({},c,k,{innerRef:r,innerProps:{onMouseDown:e.onMenuMouseDown,onMouseMove:e.onMenuMouseMove},isLoading:g,placement:a}),pe.createElement(aI,{captureEnabled:f,onTopArrive:_,onBottomArrive:C,lockEnabled:w},(function(t){return pe.createElement(i,gb({},c,{innerRef:function(r){e.getMenuListRef(r),t(r)},innerProps:{role:"listbox","aria-multiselectable":c.isMulti,id:e.getElementId("listbox")},isLoading:g,maxHeight:l,focusedOption:d}),R)})))}));return S||"fixed"===E?pe.createElement(a,gb({},c,{appendTo:S,controlElement:this.controlRef,menuPlacement:O,menuPosition:E}),P):P}},{key:"renderFormField",value:function(){var e=this,t=this.props,r=t.delimiter,n=t.isDisabled,o=t.isMulti,i=t.name,a=t.required,l=this.state.selectValue;if(a&&!this.hasValue()&&!n)return pe.createElement(sI,{name:i,onFocus:this.onValueInputFocus});if(i&&!n){if(o){if(r){var s=l.map((function(t){return e.getOptionValue(t)})).join(r);return pe.createElement("input",{name:i,type:"hidden",value:s})}var u=l.length>0?l.map((function(t,r){return pe.createElement("input",{key:"i-".concat(r),name:i,type:"hidden",value:e.getOptionValue(t)})})):pe.createElement("input",{name:i,type:"hidden",value:""});return pe.createElement("div",null,u)}var c=l[0]?this.getOptionValue(l[0]):"";return pe.createElement("input",{name:i,type:"hidden",value:c})}}},{key:"renderLiveRegion",value:function(){var e=this.commonProps,t=this.state,r=t.ariaSelection,n=t.focusedOption,o=t.focusedValue,i=t.isFocused,a=t.selectValue,l=this.getFocusableOptions();return pe.createElement(FR,gb({},e,{id:this.getElementId("live-region"),ariaSelection:r,focusedOption:n,focusedValue:o,isFocused:i,selectValue:a,focusableOptions:l,isAppleDevice:this.isAppleDevice}))}},{key:"render",value:function(){var e=this.getComponents(),t=e.Control,r=e.IndicatorsContainer,n=e.SelectContainer,o=e.ValueContainer,i=this.props,a=i.className,l=i.id,s=i.isDisabled,u=i.menuIsOpen,c=this.state.isFocused,d=this.commonProps=this.getCommonProps();return pe.createElement(n,gb({},d,{className:a,innerProps:{id:l,onKeyDown:this.onKeyDown},isDisabled:s,isFocused:c}),this.renderLiveRegion(),pe.createElement(t,gb({},d,{innerRef:this.getControlRef,innerProps:{onMouseDown:this.onControlMouseDown,onTouchEnd:this.onControlTouchEnd},isDisabled:s,isFocused:c,menuIsOpen:u}),pe.createElement(o,gb({},d,{isDisabled:s}),this.renderPlaceholderOrValue(),this.renderInput()),pe.createElement(r,gb({},d,{isDisabled:s}),this.renderClearIndicator(),this.renderLoadingIndicator(),this.renderIndicatorSeparator(),this.renderDropdownIndicator())),this.renderMenu(),this.renderFormField())}}],[{key:"getDerivedStateFromProps",value:function(e,t){var r=t.prevProps,n=t.clearFocusValueOnUpdate,o=t.inputIsHiddenAfterUpdate,i=t.ariaSelection,a=t.isFocused,l=t.prevWasFocused,s=t.instancePrefix,u=e.options,c=e.value,d=e.menuIsOpen,p=e.inputValue,f=e.isMulti,h=WC(c),g={};if(r&&(c!==r.value||u!==r.options||d!==r.menuIsOpen||p!==r.inputValue)){var v=d?function(e,t){return yI(mI(e,t))}(e,h):[],m=d?bI(mI(e,h),"".concat(s,"-option")):[],y=n?function(e,t){var r=e.focusedValue,n=e.selectValue.indexOf(r);if(n>-1){if(t.indexOf(r)>-1)return r;if(n<t.length)return t[n]}return null}(t,h):null,b=function(e,t){var r=e.focusedOption;return r&&t.indexOf(r)>-1?r:t[0]}(t,v);g={selectValue:h,focusedOption:b,focusedOptionId:EI(m,b),focusableOptionsWithIds:m,focusedValue:y,clearFocusValueOnUpdate:!1}}var O=null!=o&&e!==r?{inputIsHidden:o,inputIsHiddenAfterUpdate:void 0}:{},E=i,S=a&&l;return a&&!S&&(E={value:nR(f,h,h[0]||null),options:h,action:"initial-input-focus"},S=!l),"initial-input-focus"===(null==i?void 0:i.action)&&(E=null),w_(w_(w_({},g),O),{},{prevProps:e,ariaSelection:E,prevWasFocused:S})}}]),r}(pe.Component);II.defaultProps=gI,Math.abs,String.fromCharCode,Object.assign;var AI=(0,pe.forwardRef)((function(e,t){var r=x_(e);return pe.createElement(II,gb({ref:t},r))})),jI=["defaultOptions","cacheOptions","loadOptions","options","isLoading","onInputChange","filterOption"];function kI(e){var t=e.defaultOptions,r=void 0!==t&&t,n=e.cacheOptions,o=void 0!==n&&n,i=e.loadOptions;e.options;var a=e.isLoading,l=void 0!==a&&a,s=e.onInputChange,u=e.filterOption,c=void 0===u?null:u,d=qv(e,jI),p=d.inputValue,f=(0,pe.useRef)(void 0),h=(0,pe.useRef)(!1),g=Xn((0,pe.useState)(Array.isArray(r)?r:void 0),2),v=g[0],m=g[1],y=Xn((0,pe.useState)(void 0!==p?p:""),2),b=y[0],O=y[1],E=Xn((0,pe.useState)(!0===r),2),S=E[0],w=E[1],T=Xn((0,pe.useState)(void 0),2),x=T[0],_=T[1],C=Xn((0,pe.useState)([]),2),R=C[0],I=C[1],A=Xn((0,pe.useState)(!1),2),j=A[0],k=A[1],P=Xn((0,pe.useState)({}),2),L=P[0],N=P[1],F=Xn((0,pe.useState)(void 0),2),D=F[0],M=F[1],V=Xn((0,pe.useState)(void 0),2),U=V[0],B=V[1];o!==U&&(N({}),B(o)),r!==D&&(m(Array.isArray(r)?r:void 0),M(r)),(0,pe.useEffect)((function(){return h.current=!0,function(){h.current=!1}}),[]);var z=(0,pe.useCallback)((function(e,t){if(!i)return t();var r=i(e,t);r&&"function"==typeof r.then&&r.then(t,(function(){return t()}))}),[i]);(0,pe.useEffect)((function(){!0===r&&z(b,(function(e){h.current&&(m(e||[]),w(!!f.current))}))}),[]);var W=(0,pe.useCallback)((function(e,t){var r=function(e,t,r){if(r){var n=r(e,t);if("string"==typeof n)return n}return e}(e,t,s);if(!r)return f.current=void 0,O(""),_(""),I([]),w(!1),void k(!1);if(o&&L[r])O(r),_(r),I(L[r]),w(!1),k(!1);else{var n=f.current={};O(r),w(!0),k(!x),z(r,(function(e){h&&n===f.current&&(f.current=void 0,w(!1),_(r),I(e||[]),k(!1),N(e?w_(w_({},L),{},qn({},r,e)):L))}))}}),[o,z,x,L,s]),H=j?[]:b&&x?R:v||[];return w_(w_({},d),{},{options:H,isLoading:S||l,onInputChange:W,filterOption:c})}var PI=(0,pe.forwardRef)((function(e,t){var r=x_(kI(e));return pe.createElement(II,gb({ref:t},r))})),LI=["allowCreateWhileLoading","createOptionPosition","formatCreateLabel","isValidNewOption","getNewOptionData","onCreateOption","options","onChange"],NI=function(){var e=arguments.length>1?arguments[1]:void 0,t=arguments.length>2?arguments[2]:void 0,r=String(arguments.length>0&&void 0!==arguments[0]?arguments[0]:"").toLowerCase(),n=String(t.getOptionValue(e)).toLowerCase(),o=String(t.getOptionLabel(e)).toLowerCase();return n===r||o===r},FI={formatCreateLabel:function(e){return'Create "'.concat(e,'"')},isValidNewOption:function(e,t,r,n){return!(!e||t.some((function(t){return NI(e,t,n)}))||r.some((function(t){return NI(e,t,n)})))},getNewOptionData:function(e,t){return{label:t,value:e,__isNew__:!0}}};function DI(e){var t=e.allowCreateWhileLoading,r=void 0!==t&&t,n=e.createOptionPosition,o=void 0===n?"last":n,i=e.formatCreateLabel,a=void 0===i?FI.formatCreateLabel:i,l=e.isValidNewOption,s=void 0===l?FI.isValidNewOption:l,u=e.getNewOptionData,c=void 0===u?FI.getNewOptionData:u,d=e.onCreateOption,p=e.options,f=void 0===p?[]:p,h=e.onChange,g=qv(e,LI),v=g.getOptionValue,m=void 0===v?pI:v,y=g.getOptionLabel,b=void 0===y?dI:y,O=g.inputValue,E=g.isLoading,S=g.isMulti,w=g.value,T=g.name,x=(0,pe.useMemo)((function(){return s(O,WC(w),f,{getOptionValue:m,getOptionLabel:b})?c(O,a(O)):void 0}),[a,c,b,m,O,s,f,w]),_=(0,pe.useMemo)((function(){return!r&&E||!x?f:"first"===o?[x].concat(Jn(f)):[].concat(Jn(f),[x])}),[r,o,E,x,f]),C=(0,pe.useCallback)((function(e,t){if("select-option"!==t.action)return h(e,t);var r=Array.isArray(e)?e:[e];if(r[r.length-1]!==x)h(e,t);else if(d)d(O);else{var n=c(O,O),o={action:"create-option",name:T,option:n};h(nR(S,[].concat(Jn(WC(w)),[n]),n),o)}}),[c,O,S,T,x,d,h,w]);return w_(w_({},g),{},{options:_,onChange:C})}var MI=(0,pe.forwardRef)((function(e,t){var r=DI(x_(kI(e)));return pe.createElement(II,gb({ref:t},r))})),VI=(0,pe.forwardRef)((function(e,t){var r=DI(x_(e));return pe.createElement(II,gb({ref:t},r))})),UI=v(627),BI=v.n(UI),zI=/\s([^'"/\s><]+?)[\s/>]|([^\s=]+)=\s?(".*?"|'.*?')/g;function WI(e){var t={type:"tag",name:"",voidElement:!1,attrs:{},children:[]},r=e.match(/<\/?([^\s]+?)[/\s>]/);if(r&&(t.name=r[1],(BI()[r[1]]||"/"===e.charAt(e.length-2))&&(t.voidElement=!0),t.name.startsWith("!--"))){var n=e.indexOf("--\x3e");return{type:"comment",comment:-1!==n?e.slice(4,n):""}}for(var o=new RegExp(zI),i=null;null!==(i=o.exec(e));)if(i[0].trim())if(i[1]){var a=i[1].trim(),l=[a,""];a.indexOf("=")>-1&&(l=a.split("=")),t.attrs[l[0]]=l[1],o.lastIndex--}else i[2]&&(t.attrs[i[2]]=i[3].trim().substring(1,i[3].length-1));return t}var HI=/<[a-zA-Z0-9\-\!\/](?:"[^"]*"|'[^']*'|[^'">])*>/g,qI=/^\s*$/,GI=Object.create(null);function $I(e,t){switch(t.type){case"text":return e+t.content;case"tag":return e+="<"+t.name+(t.attrs?function(e){var t=[];for(var r in e)t.push(r+'="'+e[r]+'"');return t.length?" "+t.join(" "):""}(t.attrs):"")+(t.voidElement?"/>":">"),t.voidElement?e:e+t.children.reduce($I,"")+"</"+t.name+">";case"comment":return e+"\x3c!--"+t.comment+"--\x3e"}}var KI={parse:function(e,t){t||(t={}),t.components||(t.components=GI);var r,n=[],o=[],i=-1,a=!1;if(0!==e.indexOf("<")){var l=e.indexOf("<");n.push({type:"text",content:-1===l?e:e.substring(0,l)})}return e.replace(HI,(function(l,s){if(a){if(l!=="</"+r.name+">")return;a=!1}var u,c="/"!==l.charAt(1),d=l.startsWith("\x3c!--"),p=s+l.length,f=e.charAt(p);if(d){var h=WI(l);return i<0?(n.push(h),n):((u=o[i]).children.push(h),n)}if(c&&(i++,"tag"===(r=WI(l)).type&&t.components[r.name]&&(r.type="component",a=!0),r.voidElement||a||!f||"<"===f||r.children.push({type:"text",content:e.slice(p,e.indexOf("<",p))}),0===i&&n.push(r),(u=o[i-1])&&u.children.push(r),o[i]=r),(!c||r.voidElement)&&(i>-1&&(r.voidElement||r.name===l.slice(2,-1))&&(i--,r=-1===i?n:o[i]),!a&&"<"!==f&&f)){u=-1===i?n:o[i].children;var g=e.indexOf("<",p),v=e.slice(p,-1===g?void 0:g);qI.test(v)&&(v=" "),(g>-1&&i+u.length>=0||" "!==v)&&u.push({type:"text",content:v})}})),n},stringify:function(e){return e.reduce((function(e,t){return e+$I("",t)}),"")}};const YI=KI;function XI(){if(console&&console.warn){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];"string"==typeof t[0]&&(t[0]=`react-i18next:: ${t[0]}`),console.warn(...t)}}const QI={};const JI=/&(?:amp|#38|lt|#60|gt|#62|apos|#39|quot|#34|nbsp|#160|copy|#169|reg|#174|hellip|#8230|#x2F|#47);/g,ZI={"&amp;":"&","&#38;":"&","&lt;":"<","&#60;":"<","&gt;":">","&#62;":">","&apos;":"'","&#39;":"'","&quot;":'"',"&#34;":'"',"&nbsp;":" ","&#160;":" ","&copy;":"©","&#169;":"©","&reg;":"®","&#174;":"®","&hellip;":"…","&#8230;":"…","&#x2F;":"/","&#47;":"/"},eA=e=>ZI[e];let tA,rA={bindI18n:"languageChanged",bindI18nStore:"",transEmptyNodeValue:"",transSupportBasicHtmlNodes:!0,transWrapTextNodes:"",transKeepBasicHtmlNodesFor:["br","strong","i","p"],useSuspense:!0,unescape:e=>e.replace(JI,eA)};function nA(){return tA}function oA(e,t){if(!e)return!1;const r=e.props?e.props.children:e.children;return t?r.length>0:!!r}function iA(e){if(!e)return[];const t=e.props?e.props.children:e.children;return e.props&&e.props.i18nIsDynamicList?aA(t):t}function aA(e){return Array.isArray(e)?e:[e]}function lA(e,t){if(!e)return"";let r="";const n=aA(e),o=t.transSupportBasicHtmlNodes&&t.transKeepBasicHtmlNodesFor?t.transKeepBasicHtmlNodesFor:[];return n.forEach(((e,n)=>{if("string"==typeof e)r+=`${e}`;else if((0,pe.isValidElement)(e)){const i=Object.keys(e.props).length,a=o.indexOf(e.type)>-1,l=e.props.children;if(!l&&a&&0===i)r+=`<${e.type}/>`;else if(l||a&&0===i)if(e.props.i18nIsDynamicList)r+=`<${n}></${n}>`;else if(a&&1===i&&"string"==typeof l)r+=`<${e.type}>${l}</${e.type}>`;else{const e=lA(l,t);r+=`<${n}>${e}</${n}>`}else r+=`<${n}></${n}>`}else if(null===e)XI("Trans: the passed in value is invalid - seems you passed in a null child.");else if("object"==typeof e){const{format:t,...n}=e,o=Object.keys(n);if(1===o.length){const e=t?`${o[0]}, ${t}`:o[0];r+=`{{${e}}}`}else XI("react-i18next: the passed in object contained more than one variable - the object should look like {{ value, format }} where format is optional.",e)}else XI("Trans: the passed in value is invalid - seems you passed in a variable like {number} - please pass in variables for interpolation as full objects like {{number}}.",e)})),r}function sA(e){let{children:t,count:r,parent:n,i18nKey:o,context:i,tOptions:a={},values:l,defaults:s,components:u,ns:c,i18n:d,t:p,shouldUnescape:f,...h}=e;const g=d||nA();if(!g)return function(){for(var e=arguments.length,t=new Array(e),r=0;r<e;r++)t[r]=arguments[r];"string"==typeof t[0]&&QI[t[0]]||("string"==typeof t[0]&&(QI[t[0]]=new Date),XI(...t))}("You will need to pass in an i18next instance by using i18nextReactModule"),t;const v=p||g.t.bind(g)||(e=>e),m={...rA,...g.options&&g.options.react};let y=c||v.ns||g.options&&g.options.defaultNS;y="string"==typeof y?[y]:y||["translation"];const b=lA(t,m),O=s||b||m.transEmptyNodeValue||o,{hashTransKey:E}=m,S=o||(E?E(b||O):b||O);g.options&&g.options.interpolation&&g.options.interpolation.defaultVariables&&(l=l&&Object.keys(l).length>0?{...l,...g.options.interpolation.defaultVariables}:{...g.options.interpolation.defaultVariables});const w=l||void 0!==r||!t?a.interpolation:{interpolation:{...a.interpolation,prefix:"#$?",suffix:"?$#"}},T={...a,context:i||a.context,count:r,...l,...w,defaultValue:O,ns:y},x=S?v(S,T):O;u&&Object.keys(u).forEach((e=>{const t=u[e];"function"==typeof t.type||!t.props||!t.props.children||x.indexOf(`${e}/>`)<0&&x.indexOf(`${e} />`)<0||(u[e]=(0,pe.createElement)((function(){return(0,pe.createElement)(pe.Fragment,null,t)})))}));const _=function(e,t,r,n,o,i){if(""===t)return[];const a=n.transKeepBasicHtmlNodesFor||[],l=t&&new RegExp(a.map((e=>`<${e}`)).join("|")).test(t);if(!e&&!l&&!i)return[t];const s={};!function e(t){aA(t).forEach((t=>{"string"!=typeof t&&(oA(t)?e(iA(t)):"object"!=typeof t||(0,pe.isValidElement)(t)||Object.assign(s,t))}))}(e);const u=YI.parse(`<0>${t}</0>`),c={...s,...o};function d(e,t,r){const n=iA(e),o=f(n,t.children,r);return function(e){return"[object Array]"===Object.prototype.toString.call(e)&&e.every((e=>(0,pe.isValidElement)(e)))}(n)&&0===o.length||e.props&&e.props.i18nIsDynamicList?n:o}function p(e,t,r,n,o){e.dummy?(e.children=t,r.push((0,pe.cloneElement)(e,{key:n},o?void 0:t))):r.push(...pe.Children.map([e],(e=>{const r={...e.props};return delete r.i18nIsDynamicList,(0,pe.createElement)(e.type,{...r,key:n,ref:e.ref},o?null:t)})))}function f(t,o,s){const u=aA(t);return aA(o).reduce(((t,o,h)=>{const g=o.children&&o.children[0]&&o.children[0].content&&r.services.interpolator.interpolate(o.children[0].content,c,r.language);if("tag"===o.type){let i=u[parseInt(o.name,10)];1!==s.length||i||(i=s[0][o.name]),i||(i={});const v=0!==Object.keys(o.attrs).length?function(e,t){const r={...t};return r.props=Object.assign(e.props,t.props),r}({props:o.attrs},i):i,m=(0,pe.isValidElement)(v),y=m&&oA(o,!0)&&!o.voidElement,b=l&&"object"==typeof v&&v.dummy&&!m,O="object"==typeof e&&null!==e&&Object.hasOwnProperty.call(e,o.name);if("string"==typeof v){const e=r.services.interpolator.interpolate(v,c,r.language);t.push(e)}else if(oA(v)||y)p(v,d(v,o,s),t,h);else if(b)p(v,f(u,o.children,s),t,h);else if(Number.isNaN(parseFloat(o.name)))if(O)p(v,d(v,o,s),t,h,o.voidElement);else if(n.transSupportBasicHtmlNodes&&a.indexOf(o.name)>-1)if(o.voidElement)t.push((0,pe.createElement)(o.name,{key:`${o.name}-${h}`}));else{const e=f(u,o.children,s);t.push((0,pe.createElement)(o.name,{key:`${o.name}-${h}`},e))}else if(o.voidElement)t.push(`<${o.name} />`);else{const e=f(u,o.children,s);t.push(`<${o.name}>${e}</${o.name}>`)}else if("object"!=typeof v||m)p(v,g,t,h,1!==o.children.length||!g);else{const e=o.children[0]?g:null;e&&t.push(e)}}else if("text"===o.type){const e=n.transWrapTextNodes,a=i?n.unescape(r.services.interpolator.interpolate(o.content,c,r.language)):r.services.interpolator.interpolate(o.content,c,r.language);e?t.push((0,pe.createElement)(e,{key:`${o.name}-${h}`},a)):t.push(a)}return t}),[])}return iA(f([{dummy:!0,children:e||[]}],u,aA(e||[]))[0])}(u||t,x,g,m,T,f),C=void 0!==n?n:m.defaultTransParent;return C?(0,pe.createElement)(C,h,_):_}const uA={type:"3rdParty",init(e){!function(){let e=arguments.length>0&&void 0!==arguments[0]?arguments[0]:{};rA={...rA,...e}}(e.options.react),function(e){tA=e}(e)}},cA=(0,pe.createContext)();function dA(e){let{children:t,count:r,parent:n,i18nKey:o,context:i,tOptions:a={},values:l,defaults:s,components:u,ns:c,i18n:d,t:p,shouldUnescape:f,...h}=e;const{i18n:g,defaultNS:v}=(0,pe.useContext)(cA)||{},m=d||g||nA(),y=p||m&&m.t.bind(m);return sA({children:t,count:r,parent:n,i18nKey:o,context:i,tOptions:a,values:l,defaults:s,components:u,ns:c||y&&y.ns||v||m&&m.options&&m.options.defaultNS,i18n:m,t:p,shouldUnescape:f,...h})}function pA(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function fA(){"object"!=typeof pf.options.resources&&pf.use(uA).init({resources:{},returnEmptyString:!1,lng:"en-US"})}const hA=e=>(fA(),(0,de.jsx)(dA,function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){pA(e,t,r[t])}))}return e}({},e))),gA=pf.t,vA=({className:e,inline:t=!1,iconClassName:r,style:n,size:o="md"})=>{const i=Vx(mA),a=Vx(yA,o),l=window.matchMedia("(prefers-reduced-motion: reduce)").matches?"hourglass":"spinner";if("string"!=typeof o||!["xs","sm","md","lg","xl","xxl","xxxl"].includes(o)){const r=`${u_()}${a_(l,"default")}/${l}.svg`;return(0,de.jsx)("div",{"data-testid":"Spinner",style:n,className:(0,je.cx)({[i.inline]:t},a.wrapper,e),children:(0,de.jsx)(n_,{src:r,width:o,height:o,className:(0,je.cx)(i.spin,a.icon,e),style:n})})}return(0,de.jsx)("div",{"data-testid":"Spinner",style:n,className:(0,je.cx)({[i.inline]:t},e),children:(0,de.jsx)(p_,{className:(0,je.cx)(i.spin,r),name:l,size:o,"aria-label":("grafana-ui.spinner.aria-label","Loading",fA(),gA("grafana-ui.spinner.aria-label","Loading",undefined))})})},mA=e=>({inline:(0,je.css)({display:"inline-block"}),spin:(0,je.css)({[e.transitions.handleMotion("no-preference")]:{animation:`${o_} 2s infinite linear`}})}),yA=(e,t)=>({wrapper:(0,je.css)({fontSize:"string"==typeof t?t:`${t}px`}),icon:(0,je.css)({display:"inline-block",fill:"currentColor",flexShrink:0,label:"Icon",lineHeight:0,verticalAlign:"middle"})});function bA(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const OA=e=>{let t;return"data-testid"in e.selectProps&&e.selectProps["data-testid"]&&(t=e.selectProps["data-testid"]+"-input"),(0,de.jsx)(AR.Input,(r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){bA(e,t,r[t])}))}return e}({},e),n=null!=(n={"data-testid":t})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r));var r,n};function EA({selectProps:e}){const t=e.menuIsOpen,r=t?"search":"angle-down",n=t?"sm":"md";return(0,de.jsx)(p_,{name:r,size:n})}var SA=v(8145);function wA(e){return Lx()(e)}function TA(e){return TA="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(e){return typeof e}:function(e){return e&&"function"==typeof Symbol&&e.constructor===Symbol&&e!==Symbol.prototype?"symbol":typeof e},TA(e)}var xA=/^\s+/,_A=/\s+$/;function CA(e,t){if(t=t||{},(e=e||"")instanceof CA)return e;if(!(this instanceof CA))return new CA(e,t);var r=function(e){var t={r:0,g:0,b:0},r=1,n=null,o=null,i=null,a=!1,l=!1;return"string"==typeof e&&(e=function(e){e=e.replace(xA,"").replace(_A,"").toLowerCase();var t,r=!1;if(HA[e])e=HA[e],r=!0;else if("transparent"==e)return{r:0,g:0,b:0,a:0,format:"name"};return(t=nj.rgb.exec(e))?{r:t[1],g:t[2],b:t[3]}:(t=nj.rgba.exec(e))?{r:t[1],g:t[2],b:t[3],a:t[4]}:(t=nj.hsl.exec(e))?{h:t[1],s:t[2],l:t[3]}:(t=nj.hsla.exec(e))?{h:t[1],s:t[2],l:t[3],a:t[4]}:(t=nj.hsv.exec(e))?{h:t[1],s:t[2],v:t[3]}:(t=nj.hsva.exec(e))?{h:t[1],s:t[2],v:t[3],a:t[4]}:(t=nj.hex8.exec(e))?{r:YA(t[1]),g:YA(t[2]),b:YA(t[3]),a:ZA(t[4]),format:r?"name":"hex8"}:(t=nj.hex6.exec(e))?{r:YA(t[1]),g:YA(t[2]),b:YA(t[3]),format:r?"name":"hex"}:(t=nj.hex4.exec(e))?{r:YA(t[1]+""+t[1]),g:YA(t[2]+""+t[2]),b:YA(t[3]+""+t[3]),a:ZA(t[4]+""+t[4]),format:r?"name":"hex8"}:!!(t=nj.hex3.exec(e))&&{r:YA(t[1]+""+t[1]),g:YA(t[2]+""+t[2]),b:YA(t[3]+""+t[3]),format:r?"name":"hex"}}(e)),"object"==TA(e)&&(oj(e.r)&&oj(e.g)&&oj(e.b)?(t=function(e,t,r){return{r:255*$A(e,255),g:255*$A(t,255),b:255*$A(r,255)}}(e.r,e.g,e.b),a=!0,l="%"===String(e.r).substr(-1)?"prgb":"rgb"):oj(e.h)&&oj(e.s)&&oj(e.v)?(n=QA(e.s),o=QA(e.v),t=function(e,t,r){e=6*$A(e,360),t=$A(t,100),r=$A(r,100);var n=Math.floor(e),o=e-n,i=r*(1-t),a=r*(1-o*t),l=r*(1-(1-o)*t),s=n%6;return{r:255*[r,a,i,i,l,r][s],g:255*[l,r,r,a,i,i][s],b:255*[i,i,l,r,r,a][s]}}(e.h,n,o),a=!0,l="hsv"):oj(e.h)&&oj(e.s)&&oj(e.l)&&(n=QA(e.s),i=QA(e.l),t=function(e,t,r){var n,o,i;function a(e,t,r){return r<0&&(r+=1),r>1&&(r-=1),r<1/6?e+6*(t-e)*r:r<.5?t:r<2/3?e+(t-e)*(2/3-r)*6:e}if(e=$A(e,360),t=$A(t,100),r=$A(r,100),0===t)n=o=i=r;else{var l=r<.5?r*(1+t):r+t-r*t,s=2*r-l;n=a(s,l,e+1/3),o=a(s,l,e),i=a(s,l,e-1/3)}return{r:255*n,g:255*o,b:255*i}}(e.h,n,i),a=!0,l="hsl"),e.hasOwnProperty("a")&&(r=e.a)),r=GA(r),{ok:a,format:e.format||l,r:Math.min(255,Math.max(t.r,0)),g:Math.min(255,Math.max(t.g,0)),b:Math.min(255,Math.max(t.b,0)),a:r}}(e);this._originalInput=e,this._r=r.r,this._g=r.g,this._b=r.b,this._a=r.a,this._roundA=Math.round(100*this._a)/100,this._format=t.format||r.format,this._gradientType=t.gradientType,this._r<1&&(this._r=Math.round(this._r)),this._g<1&&(this._g=Math.round(this._g)),this._b<1&&(this._b=Math.round(this._b)),this._ok=r.ok}function RA(e,t,r){e=$A(e,255),t=$A(t,255),r=$A(r,255);var n,o,i=Math.max(e,t,r),a=Math.min(e,t,r),l=(i+a)/2;if(i==a)n=o=0;else{var s=i-a;switch(o=l>.5?s/(2-i-a):s/(i+a),i){case e:n=(t-r)/s+(t<r?6:0);break;case t:n=(r-e)/s+2;break;case r:n=(e-t)/s+4}n/=6}return{h:n,s:o,l}}function IA(e,t,r){e=$A(e,255),t=$A(t,255),r=$A(r,255);var n,o,i=Math.max(e,t,r),a=Math.min(e,t,r),l=i,s=i-a;if(o=0===i?0:s/i,i==a)n=0;else{switch(i){case e:n=(t-r)/s+(t<r?6:0);break;case t:n=(r-e)/s+2;break;case r:n=(e-t)/s+4}n/=6}return{h:n,s:o,v:l}}function AA(e,t,r,n){var o=[XA(Math.round(e).toString(16)),XA(Math.round(t).toString(16)),XA(Math.round(r).toString(16))];return n&&o[0].charAt(0)==o[0].charAt(1)&&o[1].charAt(0)==o[1].charAt(1)&&o[2].charAt(0)==o[2].charAt(1)?o[0].charAt(0)+o[1].charAt(0)+o[2].charAt(0):o.join("")}function jA(e,t,r,n){return[XA(JA(n)),XA(Math.round(e).toString(16)),XA(Math.round(t).toString(16)),XA(Math.round(r).toString(16))].join("")}function kA(e,t){t=0===t?0:t||10;var r=CA(e).toHsl();return r.s-=t/100,r.s=KA(r.s),CA(r)}function PA(e,t){t=0===t?0:t||10;var r=CA(e).toHsl();return r.s+=t/100,r.s=KA(r.s),CA(r)}function LA(e){return CA(e).desaturate(100)}function NA(e,t){t=0===t?0:t||10;var r=CA(e).toHsl();return r.l+=t/100,r.l=KA(r.l),CA(r)}function FA(e,t){t=0===t?0:t||10;var r=CA(e).toRgb();return r.r=Math.max(0,Math.min(255,r.r-Math.round(-t/100*255))),r.g=Math.max(0,Math.min(255,r.g-Math.round(-t/100*255))),r.b=Math.max(0,Math.min(255,r.b-Math.round(-t/100*255))),CA(r)}function DA(e,t){t=0===t?0:t||10;var r=CA(e).toHsl();return r.l-=t/100,r.l=KA(r.l),CA(r)}function MA(e,t){var r=CA(e).toHsl(),n=(r.h+t)%360;return r.h=n<0?360+n:n,CA(r)}function VA(e){var t=CA(e).toHsl();return t.h=(t.h+180)%360,CA(t)}function UA(e,t){if(isNaN(t)||t<=0)throw new Error("Argument to polyad must be a positive number");for(var r=CA(e).toHsl(),n=[CA(e)],o=360/t,i=1;i<t;i++)n.push(CA({h:(r.h+i*o)%360,s:r.s,l:r.l}));return n}function BA(e){var t=CA(e).toHsl(),r=t.h;return[CA(e),CA({h:(r+72)%360,s:t.s,l:t.l}),CA({h:(r+216)%360,s:t.s,l:t.l})]}function zA(e,t,r){t=t||6,r=r||30;var n=CA(e).toHsl(),o=360/r,i=[CA(e)];for(n.h=(n.h-(o*t>>1)+720)%360;--t;)n.h=(n.h+o)%360,i.push(CA(n));return i}function WA(e,t){t=t||6;for(var r=CA(e).toHsv(),n=r.h,o=r.s,i=r.v,a=[],l=1/t;t--;)a.push(CA({h:n,s:o,v:i})),i=(i+l)%1;return a}CA.prototype={isDark:function(){return this.getBrightness()<128},isLight:function(){return!this.isDark()},isValid:function(){return this._ok},getOriginalInput:function(){return this._originalInput},getFormat:function(){return this._format},getAlpha:function(){return this._a},getBrightness:function(){var e=this.toRgb();return(299*e.r+587*e.g+114*e.b)/1e3},getLuminance:function(){var e,t,r,n=this.toRgb();return e=n.r/255,t=n.g/255,r=n.b/255,.2126*(e<=.03928?e/12.92:Math.pow((e+.055)/1.055,2.4))+.7152*(t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4))+.0722*(r<=.03928?r/12.92:Math.pow((r+.055)/1.055,2.4))},setAlpha:function(e){return this._a=GA(e),this._roundA=Math.round(100*this._a)/100,this},toHsv:function(){var e=IA(this._r,this._g,this._b);return{h:360*e.h,s:e.s,v:e.v,a:this._a}},toHsvString:function(){var e=IA(this._r,this._g,this._b),t=Math.round(360*e.h),r=Math.round(100*e.s),n=Math.round(100*e.v);return 1==this._a?"hsv("+t+", "+r+"%, "+n+"%)":"hsva("+t+", "+r+"%, "+n+"%, "+this._roundA+")"},toHsl:function(){var e=RA(this._r,this._g,this._b);return{h:360*e.h,s:e.s,l:e.l,a:this._a}},toHslString:function(){var e=RA(this._r,this._g,this._b),t=Math.round(360*e.h),r=Math.round(100*e.s),n=Math.round(100*e.l);return 1==this._a?"hsl("+t+", "+r+"%, "+n+"%)":"hsla("+t+", "+r+"%, "+n+"%, "+this._roundA+")"},toHex:function(e){return AA(this._r,this._g,this._b,e)},toHexString:function(e){return"#"+this.toHex(e)},toHex8:function(e){return function(e,t,r,n,o){var i=[XA(Math.round(e).toString(16)),XA(Math.round(t).toString(16)),XA(Math.round(r).toString(16)),XA(JA(n))];return o&&i[0].charAt(0)==i[0].charAt(1)&&i[1].charAt(0)==i[1].charAt(1)&&i[2].charAt(0)==i[2].charAt(1)&&i[3].charAt(0)==i[3].charAt(1)?i[0].charAt(0)+i[1].charAt(0)+i[2].charAt(0)+i[3].charAt(0):i.join("")}(this._r,this._g,this._b,this._a,e)},toHex8String:function(e){return"#"+this.toHex8(e)},toRgb:function(){return{r:Math.round(this._r),g:Math.round(this._g),b:Math.round(this._b),a:this._a}},toRgbString:function(){return 1==this._a?"rgb("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+")":"rgba("+Math.round(this._r)+", "+Math.round(this._g)+", "+Math.round(this._b)+", "+this._roundA+")"},toPercentageRgb:function(){return{r:Math.round(100*$A(this._r,255))+"%",g:Math.round(100*$A(this._g,255))+"%",b:Math.round(100*$A(this._b,255))+"%",a:this._a}},toPercentageRgbString:function(){return 1==this._a?"rgb("+Math.round(100*$A(this._r,255))+"%, "+Math.round(100*$A(this._g,255))+"%, "+Math.round(100*$A(this._b,255))+"%)":"rgba("+Math.round(100*$A(this._r,255))+"%, "+Math.round(100*$A(this._g,255))+"%, "+Math.round(100*$A(this._b,255))+"%, "+this._roundA+")"},toName:function(){return 0===this._a?"transparent":!(this._a<1)&&(qA[AA(this._r,this._g,this._b,!0)]||!1)},toFilter:function(e){var t="#"+jA(this._r,this._g,this._b,this._a),r=t,n=this._gradientType?"GradientType = 1, ":"";if(e){var o=CA(e);r="#"+jA(o._r,o._g,o._b,o._a)}return"progid:DXImageTransform.Microsoft.gradient("+n+"startColorstr="+t+",endColorstr="+r+")"},toString:function(e){var t=!!e;e=e||this._format;var r=!1,n=this._a<1&&this._a>=0;return t||!n||"hex"!==e&&"hex6"!==e&&"hex3"!==e&&"hex4"!==e&&"hex8"!==e&&"name"!==e?("rgb"===e&&(r=this.toRgbString()),"prgb"===e&&(r=this.toPercentageRgbString()),"hex"!==e&&"hex6"!==e||(r=this.toHexString()),"hex3"===e&&(r=this.toHexString(!0)),"hex4"===e&&(r=this.toHex8String(!0)),"hex8"===e&&(r=this.toHex8String()),"name"===e&&(r=this.toName()),"hsl"===e&&(r=this.toHslString()),"hsv"===e&&(r=this.toHsvString()),r||this.toHexString()):"name"===e&&0===this._a?this.toName():this.toRgbString()},clone:function(){return CA(this.toString())},_applyModification:function(e,t){var r=e.apply(null,[this].concat([].slice.call(t)));return this._r=r._r,this._g=r._g,this._b=r._b,this.setAlpha(r._a),this},lighten:function(){return this._applyModification(NA,arguments)},brighten:function(){return this._applyModification(FA,arguments)},darken:function(){return this._applyModification(DA,arguments)},desaturate:function(){return this._applyModification(kA,arguments)},saturate:function(){return this._applyModification(PA,arguments)},greyscale:function(){return this._applyModification(LA,arguments)},spin:function(){return this._applyModification(MA,arguments)},_applyCombination:function(e,t){return e.apply(null,[this].concat([].slice.call(t)))},analogous:function(){return this._applyCombination(zA,arguments)},complement:function(){return this._applyCombination(VA,arguments)},monochromatic:function(){return this._applyCombination(WA,arguments)},splitcomplement:function(){return this._applyCombination(BA,arguments)},triad:function(){return this._applyCombination(UA,[3])},tetrad:function(){return this._applyCombination(UA,[4])}},CA.fromRatio=function(e,t){if("object"==TA(e)){var r={};for(var n in e)e.hasOwnProperty(n)&&(r[n]="a"===n?e[n]:QA(e[n]));e=r}return CA(e,t)},CA.equals=function(e,t){return!(!e||!t)&&CA(e).toRgbString()==CA(t).toRgbString()},CA.random=function(){return CA.fromRatio({r:Math.random(),g:Math.random(),b:Math.random()})},CA.mix=function(e,t,r){r=0===r?0:r||50;var n=CA(e).toRgb(),o=CA(t).toRgb(),i=r/100;return CA({r:(o.r-n.r)*i+n.r,g:(o.g-n.g)*i+n.g,b:(o.b-n.b)*i+n.b,a:(o.a-n.a)*i+n.a})},CA.readability=function(e,t){var r=CA(e),n=CA(t);return(Math.max(r.getLuminance(),n.getLuminance())+.05)/(Math.min(r.getLuminance(),n.getLuminance())+.05)},CA.isReadable=function(e,t,r){var n,o,i,a,l,s=CA.readability(e,t);switch(o=!1,"AA"!==(a=((i=(i=r)||{level:"AA",size:"small"}).level||"AA").toUpperCase())&&"AAA"!==a&&(a="AA"),"small"!==(l=(i.size||"small").toLowerCase())&&"large"!==l&&(l="small"),(n={level:a,size:l}).level+n.size){case"AAsmall":case"AAAlarge":o=s>=4.5;break;case"AAlarge":o=s>=3;break;case"AAAsmall":o=s>=7}return o},CA.mostReadable=function(e,t,r){var n,o,i,a,l=null,s=0;o=(r=r||{}).includeFallbackColors,i=r.level,a=r.size;for(var u=0;u<t.length;u++)(n=CA.readability(e,t[u]))>s&&(s=n,l=CA(t[u]));return CA.isReadable(e,l,{level:i,size:a})||!o?l:(r.includeFallbackColors=!1,CA.mostReadable(e,["#fff","#000"],r))};var HA=CA.names={aliceblue:"f0f8ff",antiquewhite:"faebd7",aqua:"0ff",aquamarine:"7fffd4",azure:"f0ffff",beige:"f5f5dc",bisque:"ffe4c4",black:"000",blanchedalmond:"ffebcd",blue:"00f",blueviolet:"8a2be2",brown:"a52a2a",burlywood:"deb887",burntsienna:"ea7e5d",cadetblue:"5f9ea0",chartreuse:"7fff00",chocolate:"d2691e",coral:"ff7f50",cornflowerblue:"6495ed",cornsilk:"fff8dc",crimson:"dc143c",cyan:"0ff",darkblue:"00008b",darkcyan:"008b8b",darkgoldenrod:"b8860b",darkgray:"a9a9a9",darkgreen:"006400",darkgrey:"a9a9a9",darkkhaki:"bdb76b",darkmagenta:"8b008b",darkolivegreen:"556b2f",darkorange:"ff8c00",darkorchid:"9932cc",darkred:"8b0000",darksalmon:"e9967a",darkseagreen:"8fbc8f",darkslateblue:"483d8b",darkslategray:"2f4f4f",darkslategrey:"2f4f4f",darkturquoise:"00ced1",darkviolet:"9400d3",deeppink:"ff1493",deepskyblue:"00bfff",dimgray:"696969",dimgrey:"696969",dodgerblue:"1e90ff",firebrick:"b22222",floralwhite:"fffaf0",forestgreen:"228b22",fuchsia:"f0f",gainsboro:"dcdcdc",ghostwhite:"f8f8ff",gold:"ffd700",goldenrod:"daa520",gray:"808080",green:"008000",greenyellow:"adff2f",grey:"808080",honeydew:"f0fff0",hotpink:"ff69b4",indianred:"cd5c5c",indigo:"4b0082",ivory:"fffff0",khaki:"f0e68c",lavender:"e6e6fa",lavenderblush:"fff0f5",lawngreen:"7cfc00",lemonchiffon:"fffacd",lightblue:"add8e6",lightcoral:"f08080",lightcyan:"e0ffff",lightgoldenrodyellow:"fafad2",lightgray:"d3d3d3",lightgreen:"90ee90",lightgrey:"d3d3d3",lightpink:"ffb6c1",lightsalmon:"ffa07a",lightseagreen:"20b2aa",lightskyblue:"87cefa",lightslategray:"789",lightslategrey:"789",lightsteelblue:"b0c4de",lightyellow:"ffffe0",lime:"0f0",limegreen:"32cd32",linen:"faf0e6",magenta:"f0f",maroon:"800000",mediumaquamarine:"66cdaa",mediumblue:"0000cd",mediumorchid:"ba55d3",mediumpurple:"9370db",mediumseagreen:"3cb371",mediumslateblue:"7b68ee",mediumspringgreen:"00fa9a",mediumturquoise:"48d1cc",mediumvioletred:"c71585",midnightblue:"191970",mintcream:"f5fffa",mistyrose:"ffe4e1",moccasin:"ffe4b5",navajowhite:"ffdead",navy:"000080",oldlace:"fdf5e6",olive:"808000",olivedrab:"6b8e23",orange:"ffa500",orangered:"ff4500",orchid:"da70d6",palegoldenrod:"eee8aa",palegreen:"98fb98",paleturquoise:"afeeee",palevioletred:"db7093",papayawhip:"ffefd5",peachpuff:"ffdab9",peru:"cd853f",pink:"ffc0cb",plum:"dda0dd",powderblue:"b0e0e6",purple:"800080",rebeccapurple:"663399",red:"f00",rosybrown:"bc8f8f",royalblue:"4169e1",saddlebrown:"8b4513",salmon:"fa8072",sandybrown:"f4a460",seagreen:"2e8b57",seashell:"fff5ee",sienna:"a0522d",silver:"c0c0c0",skyblue:"87ceeb",slateblue:"6a5acd",slategray:"708090",slategrey:"708090",snow:"fffafa",springgreen:"00ff7f",steelblue:"4682b4",tan:"d2b48c",teal:"008080",thistle:"d8bfd8",tomato:"ff6347",turquoise:"40e0d0",violet:"ee82ee",wheat:"f5deb3",white:"fff",whitesmoke:"f5f5f5",yellow:"ff0",yellowgreen:"9acd32"},qA=CA.hexNames=function(e){var t={};for(var r in e)e.hasOwnProperty(r)&&(t[e[r]]=r);return t}(HA);function GA(e){return e=parseFloat(e),(isNaN(e)||e<0||e>1)&&(e=1),e}function $A(e,t){(function(e){return"string"==typeof e&&-1!=e.indexOf(".")&&1===parseFloat(e)})(e)&&(e="100%");var r=function(e){return"string"==typeof e&&-1!=e.indexOf("%")}(e);return e=Math.min(t,Math.max(0,parseFloat(e))),r&&(e=parseInt(e*t,10)/100),Math.abs(e-t)<1e-6?1:e%t/parseFloat(t)}function KA(e){return Math.min(1,Math.max(0,e))}function YA(e){return parseInt(e,16)}function XA(e){return 1==e.length?"0"+e:""+e}function QA(e){return e<=1&&(e=100*e+"%"),e}function JA(e){return Math.round(255*parseFloat(e)).toString(16)}function ZA(e){return YA(e)/255}var ej,tj,rj,nj=(tj="[\\s|\\(]+("+(ej="(?:[-\\+]?\\d*\\.\\d+%?)|(?:[-\\+]?\\d+%?)")+")[,|\\s]+("+ej+")[,|\\s]+("+ej+")\\s*\\)?",rj="[\\s|\\(]+("+ej+")[,|\\s]+("+ej+")[,|\\s]+("+ej+")[,|\\s]+("+ej+")\\s*\\)?",{CSS_UNIT:new RegExp(ej),rgb:new RegExp("rgb"+tj),rgba:new RegExp("rgba"+rj),hsl:new RegExp("hsl"+tj),hsla:new RegExp("hsla"+rj),hsv:new RegExp("hsv"+tj),hsva:new RegExp("hsva"+rj),hex3:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex6:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/,hex4:/^#?([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})([0-9a-fA-F]{1})$/,hex8:/^#?([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})([0-9a-fA-F]{2})$/});function oj(e){return!!nj.CSS_UNIT.exec(e)}function ij(e){return{outline:"2px dotted transparent",outlineOffset:"2px",boxShadow:`0 0 0 2px ${e.colors.background.canvas}, 0 0 0px 4px ${e.colors.primary.main}`,transitionTimingFunction:"cubic-bezier(0.19, 1, 0.22, 1)",transitionDuration:"0.2s",transitionProperty:"outline, outline-offset, box-shadow"}}const aj=e=>(0,je.css)({"&:focus":ij(e)}),lj=(e,t=!1)=>{const r=t?e.colors.error.border:e.components.input.borderColor,n=t?e.colors.error.shade:e.components.input.borderHover,o=e.components.input.background,i=e.components.input.text,a=e.isDark?"#2e2f35":"#bab4ca";return(0,je.cx)(sj(e),(0,je.css)({background:o,lineHeight:e.typography.body.lineHeight,fontSize:e.typography.size.md,color:i,border:`1px solid ${r}`,"&:-webkit-autofill, &:-webkit-autofill:hover":{boxShadow:`inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`,borderColor:a},"&:-webkit-autofill:focus":{boxShadow:`0 0 0 2px ${e.colors.background.primary}, 0 0 0px 4px ${e.colors.primary.main}, inset 0 0 0 1px rgba(255, 255, 255, 0), inset 0 0 0 100px ${o}!important`,WebkitTextFillColor:`${i} !important`},"&:hover":{borderColor:n},"&:focus":{outline:"none"},"&:disabled":{backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:hover":{borderColor:r}},"&::placeholder":{color:e.colors.text.disabled,opacity:1}}))},sj=e=>(0,je.css)({padding:e.spacing(0,1,0,1)});function uj(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function cj(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){uj(e,t,r[t])}))}return e}const dj=(0,pe.forwardRef)(((e,t)=>{const{className:r,addonAfter:n,addonBefore:o,prefix:i,suffix:a,invalid:l,loading:s,width:u=0}=e,c=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["className","addonAfter","addonBefore","prefix","suffix","invalid","loading","width"]),[d,p]=(0,SA.A)(),[f,h]=(0,SA.A)(),g=Mx(),v=pj({theme:g,invalid:!!l,width:u});return(0,de.jsxs)("div",{className:(0,je.cx)(v.wrapper,r),"data-testid":"input-wrapper",children:[!!o&&(0,de.jsx)("div",{className:v.addon,children:o}),(0,de.jsxs)("div",{className:v.inputWrapper,children:[i&&(0,de.jsx)("div",{className:v.prefix,ref:d,children:i}),(0,de.jsx)("input",(m=cj({ref:t,className:v.input},c),y={style:{paddingLeft:i?p.width+12:void 0,paddingRight:a||s?h.width+12:void 0}},y=null!=y?y:{},Object.getOwnPropertyDescriptors?Object.defineProperties(m,Object.getOwnPropertyDescriptors(y)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(y)).forEach((function(e){Object.defineProperty(m,e,Object.getOwnPropertyDescriptor(y,e))})),m)),(a||s)&&(0,de.jsxs)("div",{className:v.suffix,ref:f,children:[s&&(0,de.jsx)(vA,{className:v.loadingIndicator,inline:!0}),a]})]}),!!n&&(0,de.jsx)("div",{className:v.addon,children:n})]});var m,y}));dj.displayName="Input";const pj=wA((({theme:e,invalid:t=!1,width:r})=>{const n="28px",o=(0,je.css)({position:"absolute",top:0,zIndex:1,display:"flex",alignItems:"center",justifyContent:"center",flexGrow:0,flexShrink:0,fontSize:e.typography.size.md,height:"100%",minWidth:n,color:e.colors.text.secondary});return{wrapper:(0,je.cx)((0,je.css)({label:"input-wrapper",display:"flex",width:r?e.spacing(r):"100%",height:e.spacing(e.components.height.md),borderRadius:e.shape.radius.default,"&:hover":{"> .prefix, .suffix, .input":{borderColor:t?e.colors.error.border:e.colors.primary.border},"input[type='number']":{appearance:"textfield"},"input[type='number']::-webkit-inner-spin-button, input[type='number']::-webkit-outer-spin-button":{WebkitAppearance:"inner-spin-button !important",opacity:1}}})),inputWrapper:(0,je.css)({label:"input-inputWrapper",position:"relative",flexGrow:1,zIndex:1,"&:not(:first-child):last-child":{"> input":{borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0}},"&:first-child:not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0}},"&:not(:first-child):not(:last-child)":{"> input":{borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0,borderTopLeftRadius:0,borderBottomLeftRadius:0}},input:{"&:not(:first-child)":{paddingLeft:n},"&:not(:last-child)":{paddingRight:n},"&[readonly]":{cursor:"default"}}}),input:(0,je.cx)(aj(e),lj(e,t),(0,je.css)({label:"input-input",position:"relative",zIndex:0,flexGrow:1,borderRadius:e.shape.radius.default,height:"100%",width:"100%"})),inputDisabled:(0,je.css)({backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,border:`1px solid ${e.colors.action.disabledBackground}`,"&:focus":{boxShadow:"none"}}),addon:(0,je.css)({label:"input-addon",display:"flex",justifyContent:"center",alignItems:"center",flexGrow:0,flexShrink:0,position:"relative","&:first-child":{borderTopRightRadius:0,borderBottomRightRadius:0,"> :last-child":{borderTopRightRadius:0,borderBottomRightRadius:0}},"&:last-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0,"> :first-child":{borderTopLeftRadius:0,borderBottomLeftRadius:0}},"> *:focus":{zIndex:2}}),prefix:(0,je.cx)(o,(0,je.css)({label:"input-prefix",paddingLeft:e.spacing(1),paddingRight:e.spacing(.5),borderRight:"none",borderTopRightRadius:0,borderBottomRightRadius:0})),suffix:(0,je.cx)(o,(0,je.css)({label:"input-suffix",paddingLeft:e.spacing(1),paddingRight:e.spacing(1),marginBottom:"-2px",borderLeft:"none",borderTopLeftRadius:0,borderBottomLeftRadius:0,right:0})),loadingIndicator:(0,je.css)({"& + *":{marginLeft:e.spacing(.5)}})}})),fj=(0,pe.forwardRef)(((e,t)=>{const{children:r}=e,n=Mx(),o=pj({theme:n,invalid:!1});return(0,de.jsx)("div",{className:(0,je.cx)(o.suffix,(0,je.css)({position:"relative"})),ref:t,children:r})}));function hj(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}fj.displayName="IndicatorsContainer";const gj=(0,pe.forwardRef)((function(e,t){var{focused:r,invalid:n,disabled:o,children:i,innerProps:a,prefix:l}=e;!function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}}(e,["focused","invalid","disabled","children","innerProps","prefix"]);const s=Vx(vj,n,!!l);return(0,de.jsxs)("div",(u=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){hj(e,t,r[t])}))}return e}({className:s.input},a),c=null!=(c={ref:t,children:[l&&(0,de.jsx)("div",{className:(0,je.cx)(s.prefix),children:l}),i]})?c:{},Object.getOwnPropertyDescriptors?Object.defineProperties(u,Object.getOwnPropertyDescriptors(c)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(c)).forEach((function(e){Object.defineProperty(u,e,Object.getOwnPropertyDescriptor(c,e))})),u));var u,c})),vj=(e,t,r)=>{const n=pj({theme:e,invalid:t});return{input:(0,je.cx)(sj(e),(0,je.css)({width:"100%",maxWidth:"100%",display:"flex",flexDirection:"row",alignItems:"center",flexWrap:"wrap",justifyContent:"space-between",paddingRight:0,position:"relative",boxSizing:"border-box"}),r&&(0,je.css)({paddingLeft:0})),prefix:(0,je.cx)(n.prefix,(0,je.css)({position:"relative"}))}};var mj="undefined"!=typeof document?pe.useLayoutEffect:pe.useEffect;function yj(e,t){if(e===t)return!0;if(typeof e!=typeof t)return!1;if("function"==typeof e&&e.toString()===t.toString())return!0;let r,n,o;if(e&&t&&"object"==typeof e){if(Array.isArray(e)){if(r=e.length,r!==t.length)return!1;for(n=r;0!=n--;)if(!yj(e[n],t[n]))return!1;return!0}if(o=Object.keys(e),r=o.length,r!==Object.keys(t).length)return!1;for(n=r;0!=n--;)if(!{}.hasOwnProperty.call(t,o[n]))return!1;for(n=r;0!=n--;){const r=o[n];if(!("_owner"===r&&e.$$typeof||yj(e[r],t[r])))return!1}return!0}return e!=e&&t!=t}function bj(e){return"undefined"==typeof window?1:(e.ownerDocument.defaultView||window).devicePixelRatio||1}function Oj(e,t){const r=bj(e);return Math.round(t*r)/r}function Ej(e){const t=pe.useRef(e);return mj((()=>{t.current=e})),t}const Sj=e=>({name:"arrow",options:e,fn(t){const{element:r,padding:n}="function"==typeof e?e(t):e;return r&&(o=r,{}.hasOwnProperty.call(o,"current"))?null!=r.current?FC({element:r.current,padding:n}).fn(t):{}:r?FC({element:r,padding:n}).fn(t):{};var o}}),wj=(e,t)=>({...PC(e),options:[e,t]}),Tj=(e,t)=>({...LC(e),options:[e,t]}),xj=(e,t)=>({...NC(e),options:[e,t]}),_j=(e,t)=>({...Sj(e),options:[e,t]});function Cj(e){let t=e.activeElement;for(;null!=(null==(r=t)||null==(r=r.shadowRoot)?void 0:r.activeElement);){var r;t=t.shadowRoot.activeElement}return t}function Rj(e,t){if(!e||!t)return!1;const r=null==t.getRootNode?void 0:t.getRootNode();if(e.contains(t))return!0;if(r&&oC(r)){let r=t;for(;r;){if(e===r)return!0;r=r.parentNode||r.host}}return!1}function Ij(){const e=navigator.userAgentData;return null!=e&&e.platform?e.platform:navigator.platform}function Aj(){const e=navigator.userAgentData;return e&&Array.isArray(e.brands)?e.brands.map((e=>{let{brand:t,version:r}=e;return t+"/"+r})).join(" "):navigator.userAgent}function jj(){const e=/android/i;return e.test(Ij())||e.test(Aj())}function kj(e,t){const r=["mouse","pen"];return t||r.push("",void 0),r.includes(e)}function Pj(e){return(null==e?void 0:e.ownerDocument)||document}function Lj(e,t){if(null==t)return!1;if("composedPath"in e)return e.composedPath().includes(t);const r=e;return null!=r.target&&t.contains(r.target)}function Nj(e){return"composedPath"in e?e.composedPath()[0]:e.target}const Fj="input:not([type='hidden']):not([disabled]),[contenteditable]:not([contenteditable='false']),textarea:not([disabled])";const Dj={...fe},Mj=Dj.useInsertionEffect||(e=>e());function Vj(e){const t=pe.useRef((()=>{}));return Mj((()=>{t.current=e})),pe.useCallback((function(){for(var e=arguments.length,r=new Array(e),n=0;n<e;n++)r[n]=arguments[n];return null==t.current?void 0:t.current(...r)}),[])}var Uj="undefined"!=typeof document?pe.useLayoutEffect:pe.useEffect;function Bj(){return Bj=Object.assign?Object.assign.bind():function(e){for(var t=1;t<arguments.length;t++){var r=arguments[t];for(var n in r)Object.prototype.hasOwnProperty.call(r,n)&&(e[n]=r[n])}return e},Bj.apply(this,arguments)}let zj=!1,Wj=0;const Hj=()=>"floating-ui-"+Math.random().toString(36).slice(2,6)+Wj++,qj=Dj.useId||function(){const[e,t]=pe.useState((()=>zj?Hj():void 0));return Uj((()=>{null==e&&t(Hj())}),[]),pe.useEffect((()=>{zj=!0}),[]),e},Gj=pe.forwardRef((function(e,t){const{context:{placement:r,elements:{floating:n},middlewareData:{arrow:o,shift:i}},width:a=14,height:l=7,tipRadius:s=0,strokeWidth:u=0,staticOffset:c,stroke:d,d:p,style:{transform:f,...h}={},...g}=e,v=qj(),[m,y]=pe.useState(!1);if(Uj((()=>{n&&"rtl"===dC(n).direction&&y(!0)}),[n]),!n)return null;const[b,O]=r.split("-"),E="top"===b||"bottom"===b;let S=c;(E&&null!=i&&i.x||!E&&null!=i&&i.y)&&(S=null);const w=2*u,T=w/2,x=a/2*(s/-8+1),_=l/2*s/4,C=!!p,R=S&&"end"===O?"bottom":"top";let I=S&&"end"===O?"right":"left";S&&m&&(I="end"===O?"left":"right");const A=null!=(null==o?void 0:o.x)?S||o.x:"",j=null!=(null==o?void 0:o.y)?S||o.y:"",k=p||"M0,0 H"+a+" L"+(a-x)+","+(l-_)+" Q"+a/2+","+l+" "+x+","+(l-_)+" Z",P={top:C?"rotate(180deg)":"",left:C?"rotate(90deg)":"rotate(-90deg)",bottom:C?"":"rotate(180deg)",right:C?"rotate(-90deg)":"rotate(90deg)"}[b];return pe.createElement("svg",Bj({},g,{"aria-hidden":!0,ref:t,width:C?a:a+w,height:a,viewBox:"0 0 "+a+" "+(l>a?l:a),style:{position:"absolute",pointerEvents:"none",[I]:A,[R]:j,[b]:E||C?"100%":"calc(100% - "+w/2+"px)",transform:[P,f].filter((e=>!!e)).join(" "),...h}}),w>0&&pe.createElement("path",{clipPath:"url(#"+v+")",fill:"none",stroke:d,strokeWidth:w+(p?0:1),d:k}),pe.createElement("path",{stroke:w&&!p?g.fill:"none",d:k}),pe.createElement("clipPath",{id:v},pe.createElement("rect",{x:-T,y:T*(C?-1:1),width:a+w,height:a})))}));const $j=pe.createContext(null),Kj=pe.createContext(null),Yj=()=>{var e;return(null==(e=pe.useContext($j))?void 0:e.id)||null},Xj=()=>pe.useContext(Kj);function Qj(e){return"data-floating-ui-"+e}function Jj(e){const t=(0,pe.useRef)(e);return Uj((()=>{t.current=e})),t}const Zj=Qj("safe-polygon");function ek(e,t,r){return r&&!kj(r)?0:"number"==typeof e?e:null==e?void 0:e[t]}function tk(e,t){let r=e.filter((e=>{var r;return e.parentId===t&&(null==(r=e.context)?void 0:r.open)})),n=r;for(;n.length;)n=e.filter((e=>{var t;return null==(t=n)?void 0:t.some((t=>{var r;return e.parentId===t.id&&(null==(r=e.context)?void 0:r.open)}))})),r=r.concat(n);return r}const rk={pointerdown:"onPointerDown",mousedown:"onMouseDown",click:"onClick"},nk={pointerdown:"onPointerDownCapture",mousedown:"onMouseDownCapture",click:"onClickCapture"},ok=e=>{var t,r;return{escapeKey:"boolean"==typeof e?e:null!=(t=null==e?void 0:e.escapeKey)&&t,outsidePress:"boolean"==typeof e?e:null==(r=null==e?void 0:e.outsidePress)||r}};function ik(e){void 0===e&&(e={});const{nodeId:t}=e,r=function(e){const{open:t=!1,onOpenChange:r,elements:n}=e,o=qj(),i=pe.useRef({}),[a]=pe.useState((()=>function(){const e=new Map;return{emit(t,r){var n;null==(n=e.get(t))||n.forEach((e=>e(r)))},on(t,r){e.set(t,[...e.get(t)||[],r])},off(t,r){var n;e.set(t,(null==(n=e.get(t))?void 0:n.filter((e=>e!==r)))||[])}}}())),l=null!=Yj(),[s,u]=pe.useState(n.reference),c=Vj(((e,t,n)=>{i.current.openEvent=e?t:void 0,a.emit("openchange",{open:e,event:t,reason:n,nested:l}),null==r||r(e,t,n)})),d=pe.useMemo((()=>({setPositionReference:u})),[]),p=pe.useMemo((()=>({reference:s||n.reference||null,floating:n.floating||null,domReference:n.reference})),[s,n.reference,n.floating]);return pe.useMemo((()=>({dataRef:i,open:t,onOpenChange:c,elements:p,events:a,floatingId:o,refs:d})),[t,c,p,a,o,d])}({...e,elements:{reference:null,floating:null,...e.elements}}),n=e.rootContext||r,o=n.elements,[i,a]=pe.useState(null),[l,s]=pe.useState(null),u=(null==o?void 0:o.reference)||i,c=pe.useRef(null),d=Xj();Uj((()=>{u&&(c.current=u)}),[u]);const p=function(e){void 0===e&&(e={});const{placement:t="bottom",strategy:r="absolute",middleware:n=[],platform:o,elements:{reference:i,floating:a}={},transform:l=!0,whileElementsMounted:s,open:u}=e,[c,d]=pe.useState({x:0,y:0,strategy:r,placement:t,middlewareData:{},isPositioned:!1}),[p,f]=pe.useState(n);yj(p,n)||f(n);const[h,g]=pe.useState(null),[v,m]=pe.useState(null),y=pe.useCallback((e=>{e!==S.current&&(S.current=e,g(e))}),[]),b=pe.useCallback((e=>{e!==w.current&&(w.current=e,m(e))}),[]),O=i||h,E=a||v,S=pe.useRef(null),w=pe.useRef(null),T=pe.useRef(c),x=null!=s,_=Ej(s),C=Ej(o),R=Ej(u),I=pe.useCallback((()=>{if(!S.current||!w.current)return;const e={placement:t,strategy:r,middleware:p};C.current&&(e.platform=C.current),DC(S.current,w.current,e).then((e=>{const t={...e,isPositioned:!1!==R.current};A.current&&!yj(T.current,t)&&(T.current=t,R_.flushSync((()=>{d(t)})))}))}),[p,t,r,C,R]);mj((()=>{!1===u&&T.current.isPositioned&&(T.current.isPositioned=!1,d((e=>({...e,isPositioned:!1}))))}),[u]);const A=pe.useRef(!1);mj((()=>(A.current=!0,()=>{A.current=!1})),[]),mj((()=>{if(O&&(S.current=O),E&&(w.current=E),O&&E){if(_.current)return _.current(O,E,I);I()}}),[O,E,I,_,x]);const j=pe.useMemo((()=>({reference:S,floating:w,setReference:y,setFloating:b})),[y,b]),k=pe.useMemo((()=>({reference:O,floating:E})),[O,E]),P=pe.useMemo((()=>{const e={position:r,left:0,top:0};if(!k.floating)return e;const t=Oj(k.floating,c.x),n=Oj(k.floating,c.y);return l?{...e,transform:"translate("+t+"px, "+n+"px)",...bj(k.floating)>=1.5&&{willChange:"transform"}}:{position:r,left:t,top:n}}),[r,l,k.floating,c.x,c.y]);return pe.useMemo((()=>({...c,update:I,refs:j,elements:k,floatingStyles:P})),[c,I,j,k,P])}({...e,elements:{...o,...l&&{reference:l}}}),f=pe.useCallback((e=>{const t=rC(e)?{getBoundingClientRect:()=>e.getBoundingClientRect(),contextElement:e}:e;s(t),p.refs.setReference(t)}),[p.refs]),h=pe.useCallback((e=>{(rC(e)||null===e)&&(c.current=e,a(e)),(rC(p.refs.reference.current)||null===p.refs.reference.current||null!==e&&!rC(e))&&p.refs.setReference(e)}),[p.refs]),g=pe.useMemo((()=>({...p.refs,setReference:h,setPositionReference:f,domReference:c})),[p.refs,h,f]),v=pe.useMemo((()=>({...p.elements,domReference:u})),[p.elements,u]),m=pe.useMemo((()=>({...p,...n,refs:g,elements:v,nodeId:t})),[p,g,v,t,n]);return Uj((()=>{n.dataRef.current.floatingContext=m;const e=null==d?void 0:d.nodesRef.current.find((e=>e.id===t));e&&(e.context=m)})),pe.useMemo((()=>({...p,context:m,refs:g,elements:v})),[p,g,v,m])}function ak(e,t){void 0===t&&(t={});const{open:r,onOpenChange:n,events:o,dataRef:i,elements:a}=e,{enabled:l=!0,visibleOnly:s=!0}=t,u=pe.useRef(!1),c=pe.useRef(),d=pe.useRef(!0);pe.useEffect((()=>{if(!l)return;const e=Z_(a.domReference);function t(){!r&&nC(a.domReference)&&a.domReference===Cj(Pj(a.domReference))&&(u.current=!0)}function n(){d.current=!0}return e.addEventListener("blur",t),e.addEventListener("keydown",n,!0),()=>{e.removeEventListener("blur",t),e.removeEventListener("keydown",n,!0)}}),[a.domReference,r,l]),pe.useEffect((()=>{if(l)return o.on("openchange",e),()=>{o.off("openchange",e)};function e(e){let{reason:t}=e;"reference-press"!==t&&"escape-key"!==t||(u.current=!0)}}),[o,l]),pe.useEffect((()=>()=>{clearTimeout(c.current)}),[]);const p=pe.useMemo((()=>({onPointerDown(e){(function(e){return!Aj().includes("jsdom/")&&(!jj()&&0===e.width&&0===e.height||jj()&&1===e.width&&1===e.height&&0===e.pressure&&0===e.detail&&"mouse"===e.pointerType||e.width<1&&e.height<1&&0===e.pressure&&0===e.detail&&"touch"===e.pointerType)})(e.nativeEvent)||(d.current=!1)},onMouseLeave(){u.current=!1},onFocus(e){if(u.current)return;const t=Nj(e.nativeEvent);if(s&&rC(t))try{if(/apple/i.test(navigator.vendor)&&Ij().toLowerCase().startsWith("mac")&&!navigator.maxTouchPoints)throw Error();if(!t.matches(":focus-visible"))return}catch(e){if(!d.current&&(!nC(r=t)||!r.matches(Fj)))return}var r;n(!0,e.nativeEvent,"focus")},onBlur(e){u.current=!1;const t=e.relatedTarget,r=e.nativeEvent,o=rC(t)&&t.hasAttribute(Qj("focus-guard"))&&"outside"===t.getAttribute("data-type");c.current=window.setTimeout((()=>{var e;const l=Cj(a.domReference?a.domReference.ownerDocument:document);(t||l!==a.domReference)&&(Rj(null==(e=i.current.floatingContext)?void 0:e.refs.floating.current,l)||Rj(a.domReference,l)||o||n(!1,r,"focus"))}))}})),[i,a.domReference,n,s]);return pe.useMemo((()=>l?{reference:p}:{}),[l,p])}const lk="active",sk="selected";function uk(e,t,r){const n=new Map,o="item"===r;let i=e;if(o&&e){const{[lk]:t,[sk]:r,...n}=e;i=n}return{..."floating"===r&&{tabIndex:-1,"data-floating-ui-focusable":""},...i,...t.map((t=>{const n=t?t[r]:null;return"function"==typeof n?e?n(e):null:n})).concat(e).reduce(((e,t)=>t?(Object.entries(t).forEach((t=>{let[r,i]=t;var a;o&&[lk,sk].includes(r)||(0===r.indexOf("on")?(n.has(r)||n.set(r,[]),"function"==typeof i&&(null==(a=n.get(r))||a.push(i),e[r]=function(){for(var e,t=arguments.length,o=new Array(t),i=0;i<t;i++)o[i]=arguments[i];return null==(e=n.get(r))?void 0:e.map((e=>e(...o))).find((e=>void 0!==e))})):e[r]=i)})),e):e),{})}}function ck(e){switch(e){case"auto":return"bottom";case"auto-start":return"bottom-start";case"auto-end":return"bottom-end";default:return null!=e?e:"bottom"}}function dk(e,t,r,n,o){return{arrow:(0,je.css)({fill:t}),container:(0,je.css)({backgroundColor:t,borderRadius:e.shape.radius.default,border:`1px solid ${r}`,boxShadow:e.shadows.z2,color:n,fontSize:e.typography.bodySmall.fontSize,padding:e.spacing(o.topBottom,o.rightLeft),[e.transitions.handleMotion("no-preference","reduce")]:{transition:"opacity 0.3s"},zIndex:e.zIndex.tooltip,maxWidth:"400px",overflowWrap:"break-word","&[data-popper-interactive='false']":{pointerEvents:"none"}}),headerClose:(0,je.css)({color:e.colors.text.secondary,position:"absolute",right:e.spacing(1),top:e.spacing(1.5),backgroundColor:"transparent",border:0}),header:(0,je.css)({paddingTop:e.spacing(1),paddingBottom:e.spacing(2)}),body:(0,je.css)({paddingTop:e.spacing(1),paddingBottom:e.spacing(1)}),footer:(0,je.css)({paddingTop:e.spacing(2),paddingBottom:e.spacing(1)})}}function pk(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function fk(e){const{children:t,className:r,root:n,forwardedRef:o}=e,i=Mx(),a=(0,pe.useRef)(null),l=null!=n?n:null!==(s=window.document.getElementById("grafana-portal-container"))&&void 0!==s?s:document.body;var s;return a.current||(a.current=document.createElement("div"),r&&(a.current.className=r),a.current.style.position="relative",a.current.style.zIndex=`${i.zIndex.portal}`),(0,pe.useLayoutEffect)((()=>(a.current&&l.appendChild(a.current),()=>{a.current&&l.removeChild(a.current)})),[l]),I_().createPortal((0,de.jsx)("div",{ref:o,children:t}),a.current)}const hk=pe.forwardRef(((e,t)=>{return(0,de.jsx)(fk,(r=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){pk(e,t,r[t])}))}return e}({},e),n=null!=(n={forwardedRef:t})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(r,Object.getOwnPropertyDescriptors(n)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(n)).forEach((function(e){Object.defineProperty(r,e,Object.getOwnPropertyDescriptor(n,e))})),r));var r,n}));function gk(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function vk(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){gk(e,t,r[t])}))}return e}hk.displayName="RefForwardingPortal";const mk=(0,pe.forwardRef)((({children:e,theme:t,interactive:r,show:n,placement:o,content:i},a)=>{const l=(0,pe.useRef)(null),[s,u]=(0,pe.useState)(n),c=null!=n?n:s,d=[wj(8),xj({fallbackAxisSideDirection:"end",crossAxis:!1,boundary:document.body}),Tj(),_j({element:l})],{context:p,refs:f,floatingStyles:h}=ik({open:c,placement:ck(o),onOpenChange:u,middleware:d,whileElementsMounted:kC}),g=(0,pe.useId)(),v=function(e,t){void 0===t&&(t={});const{open:r,onOpenChange:n,dataRef:o,events:i,elements:a}=e,{enabled:l=!0,delay:s=0,handleClose:u=null,mouseOnly:c=!1,restMs:d=0,move:p=!0}=t,f=Xj(),h=Yj(),g=Jj(u),v=Jj(s),m=Jj(r),y=pe.useRef(),b=pe.useRef(-1),O=pe.useRef(),E=pe.useRef(-1),S=pe.useRef(!0),w=pe.useRef(!1),T=pe.useRef((()=>{})),x=pe.useCallback((()=>{var e;const t=null==(e=o.current.openEvent)?void 0:e.type;return(null==t?void 0:t.includes("mouse"))&&"mousedown"!==t}),[o]);pe.useEffect((()=>{if(l)return i.on("openchange",e),()=>{i.off("openchange",e)};function e(e){let{open:t}=e;t||(clearTimeout(b.current),clearTimeout(E.current),S.current=!0)}}),[l,i]),pe.useEffect((()=>{if(!l)return;if(!g.current)return;if(!r)return;function e(e){x()&&n(!1,e,"hover")}const t=Pj(a.floating).documentElement;return t.addEventListener("mouseleave",e),()=>{t.removeEventListener("mouseleave",e)}}),[a.floating,r,n,l,g,x]);const _=pe.useCallback((function(e,t,r){void 0===t&&(t=!0),void 0===r&&(r="hover");const o=ek(v.current,"close",y.current);o&&!O.current?(clearTimeout(b.current),b.current=window.setTimeout((()=>n(!1,e,r)),o)):t&&(clearTimeout(b.current),n(!1,e,r))}),[v,n]),C=Vj((()=>{T.current(),O.current=void 0})),R=Vj((()=>{if(w.current){const e=Pj(a.floating).body;e.style.pointerEvents="",e.removeAttribute(Zj),w.current=!1}}));pe.useEffect((()=>{if(l&&rC(a.domReference)){var e;const t=a.domReference;return r&&t.addEventListener("mouseleave",u),null==(e=a.floating)||e.addEventListener("mouseleave",u),p&&t.addEventListener("mousemove",i,{once:!0}),t.addEventListener("mouseenter",i),t.addEventListener("mouseleave",s),()=>{var e;r&&t.removeEventListener("mouseleave",u),null==(e=a.floating)||e.removeEventListener("mouseleave",u),p&&t.removeEventListener("mousemove",i),t.removeEventListener("mouseenter",i),t.removeEventListener("mouseleave",s)}}function t(){return!!o.current.openEvent&&["click","mousedown"].includes(o.current.openEvent.type)}function i(e){if(clearTimeout(b.current),S.current=!1,c&&!kj(y.current)||d>0&&!ek(v.current,"open"))return;const t=ek(v.current,"open",y.current);t?b.current=window.setTimeout((()=>{m.current||n(!0,e,"hover")}),t):n(!0,e,"hover")}function s(e){if(t())return;T.current();const n=Pj(a.floating);if(clearTimeout(E.current),g.current&&o.current.floatingContext){r||clearTimeout(b.current),O.current=g.current({...o.current.floatingContext,tree:f,x:e.clientX,y:e.clientY,onClose(){R(),C(),_(e,!0,"safe-polygon")}});const t=O.current;return n.addEventListener("mousemove",t),void(T.current=()=>{n.removeEventListener("mousemove",t)})}("touch"!==y.current||!Rj(a.floating,e.relatedTarget))&&_(e)}function u(e){t()||o.current.floatingContext&&(null==g.current||g.current({...o.current.floatingContext,tree:f,x:e.clientX,y:e.clientY,onClose(){R(),C(),_(e)}})(e))}}),[a,l,e,c,d,p,_,C,R,n,r,m,f,v,g,o]),Uj((()=>{var e;if(l&&r&&null!=(e=g.current)&&e.__options.blockPointerEvents&&x()){w.current=!0;const e=a.floating;if(rC(a.domReference)&&e){var t;const r=Pj(a.floating).body;r.setAttribute(Zj,"");const n=a.domReference,o=null==f||null==(t=f.nodesRef.current.find((e=>e.id===h)))||null==(t=t.context)?void 0:t.elements.floating;return o&&(o.style.pointerEvents=""),r.style.pointerEvents="none",n.style.pointerEvents="auto",e.style.pointerEvents="auto",()=>{r.style.pointerEvents="",n.style.pointerEvents="",e.style.pointerEvents=""}}}}),[l,r,h,a,f,g,x]),Uj((()=>{r||(y.current=void 0,C(),R())}),[r,C,R]),pe.useEffect((()=>()=>{C(),clearTimeout(b.current),clearTimeout(E.current),R()}),[l,a.domReference,C,R]);const I=pe.useMemo((()=>{function e(e){y.current=e.pointerType}return{onPointerDown:e,onPointerEnter:e,onMouseMove(e){const{nativeEvent:t}=e;function o(){S.current||m.current||n(!0,t,"hover")}c&&!kj(y.current)||r||0===d||(clearTimeout(E.current),"touch"===y.current?o():E.current=window.setTimeout(o,d))}}}),[c,n,r,m,d]),A=pe.useMemo((()=>({onMouseEnter(){clearTimeout(b.current)},onMouseLeave(e){_(e.nativeEvent,!1)}})),[_]);return pe.useMemo((()=>l?{reference:I,floating:A}:{}),[l,I,A])}(p,{delay:{close:r?100:0},move:!1}),m=ak(p),y=function(e,t){void 0===t&&(t={});const{open:r,onOpenChange:n,elements:o,dataRef:i}=e,{enabled:a=!0,escapeKey:l=!0,outsidePress:s=!0,outsidePressEvent:u="pointerdown",referencePress:c=!1,referencePressEvent:d="pointerdown",ancestorScroll:p=!1,bubbles:f,capture:h}=t,g=Xj(),v=Vj("function"==typeof s?s:()=>!1),m="function"==typeof s?v:s,y=pe.useRef(!1),b=pe.useRef(!1),{escapeKey:O,outsidePress:E}=ok(f),{escapeKey:S,outsidePress:w}=ok(h),T=Vj((e=>{var t;if(!r||!a||!l||"Escape"!==e.key)return;const o=null==(t=i.current.floatingContext)?void 0:t.nodeId,s=g?tk(g.nodesRef.current,o):[];if(!O&&(e.stopPropagation(),s.length>0)){let e=!0;if(s.forEach((t=>{var r;null==(r=t.context)||!r.open||t.context.dataRef.current.__escapeKeyBubbles||(e=!1)})),!e)return}n(!1,function(e){return"nativeEvent"in e}(e)?e.nativeEvent:e,"escape-key")})),x=Vj((e=>{var t;const r=()=>{var t;T(e),null==(t=Nj(e))||t.removeEventListener("keydown",r)};null==(t=Nj(e))||t.addEventListener("keydown",r)})),_=Vj((e=>{var t;const r=y.current;y.current=!1;const a=b.current;if(b.current=!1,"click"===u&&a)return;if(r)return;if("function"==typeof m&&!m(e))return;const l=Nj(e),s="["+Qj("inert")+"]",c=Pj(o.floating).querySelectorAll(s);let d=rC(l)?l:null;for(;d&&!cC(d);){const e=fC(d);if(cC(e)||!rC(e))break;d=e}if(c.length&&rC(l)&&!l.matches("html,body")&&!Rj(l,o.floating)&&Array.from(c).every((e=>!Rj(d,e))))return;if(nC(l)&&I){const t=l.clientWidth>0&&l.scrollWidth>l.clientWidth,r=l.clientHeight>0&&l.scrollHeight>l.clientHeight;let n=r&&e.offsetX>l.clientWidth;if(r&&"rtl"===dC(l).direction&&(n=e.offsetX<=l.offsetWidth-l.clientWidth),n||t&&e.offsetY>l.clientHeight)return}const p=null==(t=i.current.floatingContext)?void 0:t.nodeId,f=g&&tk(g.nodesRef.current,p).some((t=>{var r;return Lj(e,null==(r=t.context)?void 0:r.elements.floating)}));if(Lj(e,o.floating)||Lj(e,o.domReference)||f)return;const h=g?tk(g.nodesRef.current,p):[];if(h.length>0){let e=!0;if(h.forEach((t=>{var r;null==(r=t.context)||!r.open||t.context.dataRef.current.__outsidePressBubbles||(e=!1)})),!e)return}n(!1,e,"outside-press")})),C=Vj((e=>{var t;const r=()=>{var t;_(e),null==(t=Nj(e))||t.removeEventListener(u,r)};null==(t=Nj(e))||t.addEventListener(u,r)}));pe.useEffect((()=>{if(!r||!a)return;function e(e){n(!1,e,"ancestor-scroll")}i.current.__escapeKeyBubbles=O,i.current.__outsidePressBubbles=E;const t=Pj(o.floating);l&&t.addEventListener("keydown",S?x:T,S),m&&t.addEventListener(u,w?C:_,w);let s=[];return p&&(rC(o.domReference)&&(s=gC(o.domReference)),rC(o.floating)&&(s=s.concat(gC(o.floating))),!rC(o.reference)&&o.reference&&o.reference.contextElement&&(s=s.concat(gC(o.reference.contextElement)))),s=s.filter((e=>{var r;return e!==(null==(r=t.defaultView)?void 0:r.visualViewport)})),s.forEach((t=>{t.addEventListener("scroll",e,{passive:!0})})),()=>{l&&t.removeEventListener("keydown",S?x:T,S),m&&t.removeEventListener(u,w?C:_,w),s.forEach((t=>{t.removeEventListener("scroll",e)}))}}),[i,o,l,m,u,r,n,p,a,O,E,T,S,x,_,w,C]),pe.useEffect((()=>{y.current=!1}),[m,u]);const R=pe.useMemo((()=>({onKeyDown:T,[rk[d]]:e=>{c&&n(!1,e.nativeEvent,"reference-press")}})),[T,n,c,d]),I=pe.useMemo((()=>({onKeyDown:T,onMouseDown(){b.current=!0},onMouseUp(){b.current=!0},[nk[u]]:()=>{y.current=!0}})),[T,u]);return pe.useMemo((()=>a?{reference:R,floating:I}:{}),[a,R,I])}(p),{getReferenceProps:b,getFloatingProps:O}=function(e){void 0===e&&(e=[]);const t=e.map((e=>null==e?void 0:e.reference)),r=e.map((e=>null==e?void 0:e.floating)),n=e.map((e=>null==e?void 0:e.item)),o=pe.useCallback((t=>uk(t,e,"reference")),t),i=pe.useCallback((t=>uk(t,e,"floating")),r),a=pe.useCallback((t=>uk(t,e,"item")),n);return pe.useMemo((()=>({getReferenceProps:o,getFloatingProps:i,getItemProps:a})),[o,i,a])}([y,v,m]),E="function"==typeof i,S=Vx(yk)[null!=t?t:"info"],w=(0,pe.useCallback)((e=>{f.setReference(e),"function"==typeof a?a(e):a&&(a.current=e)}),[a,f]),T="aria-label"in e.props&&e.props["aria-label"]===i;return(0,de.jsxs)(de.Fragment,{children:[(0,pe.cloneElement)(e,vk({ref:w,tabIndex:0,"aria-describedby":!T&&c?g:void 0},b())),c&&(0,de.jsx)(fk,{children:(0,de.jsxs)("div",(x=vk({ref:f.setFloating,style:h},O()),_={children:[(0,de.jsx)(Gj,{className:S.arrow,ref:l,context:p}),(0,de.jsxs)("div",{"data-testid":Ae.components.Tooltip.container,id:g,role:"tooltip",className:S.container,children:["string"==typeof i&&i,(0,pe.isValidElement)(i)&&(0,pe.cloneElement)(i),E&&i({})]})]},_=null!=_?_:{},Object.getOwnPropertyDescriptors?Object.defineProperties(x,Object.getOwnPropertyDescriptors(_)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(_)).forEach((function(e){Object.defineProperty(x,e,Object.getOwnPropertyDescriptor(_,e))})),x))})]});var x,_}));mk.displayName="Tooltip";const yk=e=>{const t=dk(e,e.components.tooltip.background,e.components.tooltip.background,e.components.tooltip.text,{topBottom:.5,rightLeft:1});return{info:t,"info-alt":t,error:dk(e,e.colors.error.main,e.colors.error.main,e.colors.error.contrastText,{topBottom:.5,rightLeft:1})}};function bk(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Ok(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){bk(e,t,r[t])}))}return e}function Ek(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function Sk(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}const wk=pe.forwardRef(((e,t)=>{var{variant:r="primary",size:n="md",fill:o="solid",icon:i,fullWidth:a,children:l,className:s,type:u="button",tooltip:c,disabled:d,tooltipPlacement:p,onClick:f}=e,h=Sk(e,["variant","size","fill","icon","fullWidth","children","className","type","tooltip","disabled","tooltipPlacement","onClick"]);const g=Mx(),v=xk({theme:g,size:n,variant:r,fill:o,fullWidth:a,iconOnly:!l}),m=(0,je.cx)(v.button,{[v.disabled]:d},s),y=Boolean(c),b=(0,de.jsxs)("button",Ek(Ok({className:m,type:u,onClick:d?void 0:f},h),{"aria-disabled":y&&d,disabled:!y&&d,ref:c?void 0:t,children:[(0,de.jsx)(Tk,{icon:i,size:n,className:v.icon}),l&&(0,de.jsx)("span",{className:v.content,children:l})]}));return c?(0,de.jsx)(mk,{ref:t,content:c,placement:p,children:b}):b}));wk.displayName="Button";pe.forwardRef(((e,t)=>{var{variant:r="primary",size:n="md",fill:o="solid",icon:i,fullWidth:a,children:l,className:s,onBlur:u,onFocus:c,disabled:d,tooltip:p,tooltipPlacement:f}=e,h=Sk(e,["variant","size","fill","icon","fullWidth","children","className","onBlur","onFocus","disabled","tooltip","tooltipPlacement"]);const g=Mx(),v=xk({theme:g,fullWidth:a,size:n,variant:r,fill:o,iconOnly:!l}),m=(0,je.cx)(v.button,{[(0,je.css)(v.disabled,{pointerEvents:"none"})]:d},s),y=(0,de.jsxs)("a",Ek(Ok({className:m},h),{tabIndex:d?-1:0,"aria-disabled":d,ref:p?void 0:t,children:[(0,de.jsx)(Tk,{icon:i,size:n,className:v.icon}),l&&(0,de.jsx)("span",{className:v.content,children:l})]}));return p?(0,de.jsx)(mk,{ref:t,content:p,placement:f,children:y}):y})).displayName="LinkButton";const Tk=({icon:e,size:t,className:r,iconType:n})=>e?pe.isValidElement(e)?pe.cloneElement(e,{className:r,size:t}):(0,de.jsx)(p_,{name:e,size:t,className:r,type:n}):null,xk=e=>{const{theme:t,variant:r,fill:n="solid",size:o,iconOnly:i,fullWidth:a}=e,{height:l,padding:s,fontSize:u}=function(e,t){switch(e){case"sm":return{padding:1,fontSize:t.typography.size.sm,height:t.components.height.sm};case"lg":return{padding:3,fontSize:t.typography.size.lg,height:t.components.height.lg};default:return{padding:2,fontSize:t.typography.size.md,height:t.components.height.md}}}(o,t),c=function(e,t,r){switch(t){case"secondary":return _k(e,e.colors.secondary,r);case"destructive":return _k(e,e.colors.error,r);case"success":return _k(e,e.colors.success,r);default:return _k(e,e.colors.primary,r)}}(t,r,n),d=function(e,t,r){const n={cursor:"not-allowed",boxShadow:"none",color:e.colors.text.disabled,transition:"none"};return Ek(Ok({},n),"text"===r?{background:"transparent",border:"1px solid transparent"}:"outline"===r?{background:"transparent",border:`1px solid ${e.colors.border.weak}`}:{background:e.colors.action.disabledBackground,border:"1px solid transparent"})}(t,0,n),p=ij(t),f=t.spacing.gridSize*s-1;return{button:(0,je.css)(Ek(Ok({label:"button",display:"inline-flex",alignItems:"center",fontSize:u,fontWeight:t.typography.fontWeightMedium,fontFamily:t.typography.fontFamily,padding:`0 ${f}px`,height:t.spacing(l),lineHeight:t.spacing.gridSize*l-2+"px",verticalAlign:"middle",cursor:"pointer",borderRadius:t.shape.radius.default,"&:focus":p,"&:focus-visible":p,"&:focus:not(:focus-visible)":{outline:"none",boxShadow:"none"}},a&&{flexGrow:1,justifyContent:"center"},c),{":disabled":d,"&[disabled]":d})),disabled:(0,je.css)(d,{"&:hover":(0,je.css)(d)}),img:(0,je.css)({width:"16px",height:"16px",margin:t.spacing(0,1,0,.5)}),icon:i?(0,je.css)({marginRight:t.spacing(-s/2),marginLeft:t.spacing(-s/2)}):(0,je.css)({marginRight:t.spacing(s/2)}),content:(0,je.css)({display:"flex",flexDirection:"row",alignItems:"center",whiteSpace:"nowrap",overflow:"hidden",height:"100%"})}};function _k(e,t,r){let n=t.border,o="transparent",i="transparent";return"secondary"===t.name&&(o=t.border,i=e.colors.emphasize(t.border,.25),n=e.colors.border.strong),"outline"===r?{background:"transparent",color:t.text,border:`1px solid ${n}`,transition:e.transitions.create(["background-color","border-color","color"],{duration:e.transitions.duration.short}),"&:hover":{background:t.transparent,borderColor:e.colors.emphasize(n,.25),color:t.text}}:"text"===r?{background:"transparent",color:t.text,border:"1px solid transparent",transition:e.transitions.create(["background-color","color"],{duration:e.transitions.duration.short}),"&:focus":{outline:"none",textDecoration:"none"},"&:hover":{background:t.transparent,textDecoration:"none"}}:{background:t.main,color:t.contrastText,border:`1px solid ${o}`,transition:e.transitions.create(["background-color","box-shadow","border-color","color"],{duration:e.transitions.duration.short}),"&:hover":{background:t.shade,color:t.contrastText,boxShadow:e.shadows.z1,borderColor:i}}}const Ck=e=>(0,je.css)({background:"transparent",color:e.colors.text.primary,border:"none",padding:0});function Rk(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Ik(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Rk(e,t,r[t])}))}return e}function Ak(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}function jk(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}const kk=pe.forwardRef(((e,t)=>{const{size:r="md",variant:n="secondary"}=e;let o;"xxl"===r||"xxxl"===r?((0,w.deprecationWarning)("IconButton",'size="xxl" and size="xxxl"','size="xl"'),o="xl"):o=r;const i=Vx(Pk,o,n);let a,l;if("tooltip"in e){const{tooltip:t}=e;a="string"==typeof t?t:void 0}else if("ariaLabel"in e||"aria-label"in e){const{ariaLabel:r,"aria-label":n}=e;a=n||r,l=t}if("tooltip"in e){const{name:r,iconType:n,className:s,tooltip:u,tooltipPlacement:c}=e,d=jk(e,["name","iconType","className","tooltip","tooltipPlacement"]);return(0,de.jsx)(mk,{ref:t,content:u,placement:c,children:(0,de.jsx)("button",Ak(Ik({},d),{ref:l,"aria-label":a,className:(0,je.cx)(i.button,s),type:"button",children:(0,de.jsx)(Tk,{icon:r,size:o,className:i.icon,iconType:n})}))})}{const{name:t,iconType:r,className:n}=e,s=jk(e,["name","iconType","className"]);return(0,de.jsx)("button",Ak(Ik({},s),{ref:l,"aria-label":a,className:(0,je.cx)(i.button,n),type:"button",children:(0,de.jsx)(Tk,{icon:t,size:o,className:i.icon,iconType:r})}))}}));kk.displayName="IconButton";const Pk=(e,t,r)=>{const n=l_(t)+e.spacing.gridSize;let o=e.colors.text.primary;return"primary"===r?o=e.colors.primary.text:"destructive"===r&&(o=e.colors.error.text),{button:(0,je.css)({zIndex:0,position:"relative",margin:`0 ${e.spacing.x0_5} 0 0`,boxShadow:"none",border:"none",display:"inline-flex",background:"transparent",justifyContent:"center",alignItems:"center",padding:0,color:o,"&[disabled], &:disabled":{cursor:"not-allowed",color:e.colors.action.disabledText,opacity:.65},"&:before":{zIndex:-1,position:"absolute",opacity:0,width:`${n}px`,height:`${n}px`,borderRadius:e.shape.radius.default,content:'""',[e.transitions.handleMotion("no-preference","reduce")]:{transitionDuration:"0.2s",transitionTimingFunction:"cubic-bezier(0.4, 0, 0.2, 1)",transitionProperty:"opacity"}},"&:focus, &:focus-visible":ij(e),"&:focus:not(:focus-visible)":{outline:"none",boxShadow:"none"},"&:hover":{"&:before":{backgroundColor:"secondary"===r?e.colors.action.hover:w.colorManipulator.alpha(o,.12),opacity:1}}}),icon:(0,je.css)({verticalAlign:"baseline"})}},Lk=wA((e=>({menu:(0,je.css)({label:"grafana-select-menu",background:e.components.dropdown.background,boxShadow:e.shadows.z3,position:"relative",minWidth:"100%",zIndex:1}),option:(0,je.css)({label:"grafana-select-option",padding:"8px",position:"relative",display:"flex",alignItems:"center",flexDirection:"row",flexShrink:0,whiteSpace:"nowrap",cursor:"pointer",borderLeft:"2px solid transparent","&:hover":{background:e.colors.action.hover,"@media (forced-colors: active), (prefers-contrast: more)":{border:`1px solid ${e.colors.primary.border}`}}}),optionIcon:(0,je.css)({marginRight:e.spacing(1)}),optionImage:(0,je.css)({label:"grafana-select-option-image",width:"16px",marginRight:"10px"}),optionDescription:(0,je.css)({label:"grafana-select-option-description",fontWeight:"normal",fontSize:e.typography.size.sm,color:e.colors.text.secondary,whiteSpace:"normal",lineHeight:e.typography.body.lineHeight}),optionBody:(0,je.css)({label:"grafana-select-option-body",display:"flex",fontWeight:e.typography.fontWeightMedium,flexDirection:"column",flexGrow:1}),optionFocused:(0,je.css)({label:"grafana-select-option-focused",background:e.colors.action.focus,"@media (forced-colors: active), (prefers-contrast: more)":{border:`1px solid ${e.colors.primary.border}`}}),optionSelected:(0,je.css)({background:e.colors.action.selected,"&::before":{backgroundImage:e.colors.gradients.brandVertical,borderRadius:e.shape.radius.default,content:'" "',display:"block",height:"100%",position:"absolute",transform:"translateX(-50%)",width:e.spacing(.5),left:0}}),optionDisabled:(0,je.css)({label:"grafana-select-option-disabled",backgroundColor:e.colors.action.disabledBackground,color:e.colors.action.disabledText,cursor:"not-allowed"}),singleValue:(0,je.css)({label:"grafana-select-single-value",color:e.components.input.text,gridArea:"1 / 1 / 2 / 3",whiteSpace:"nowrap",overflow:"hidden",textOverflow:"ellipsis",boxSizing:"border-box",maxWidth:"100%"}),valueContainer:(0,je.css)({label:"grafana-select-value-container",alignItems:"center",display:"grid",position:"relative",boxSizing:"border-box",flex:"1 1 0%",outline:"none",overflow:"hidden"}),valueContainerMulti:(0,je.css)({label:"grafana-select-value-container-multi",flexWrap:"wrap",display:"flex"}),valueContainerMultiNoWrap:(0,je.css)({display:"grid",gridAutoFlow:"column"}),loadingMessage:(0,je.css)({label:"grafana-select-loading-message",padding:e.spacing(1),textAlign:"center",width:"100%"}),multiValueContainer:(0,je.css)({label:"grafana-select-multi-value-container",display:"flex",alignItems:"center",lineHeight:1,background:e.colors.background.secondary,borderRadius:e.shape.radius.default,margin:e.spacing(.25,1,.25,0),padding:e.spacing(.25,0,.25,1),color:e.colors.text.primary,fontSize:e.typography.size.sm,overflow:"hidden",whiteSpace:"nowrap","&:hover":{background:e.colors.emphasize(e.colors.background.secondary)}}),multiValueRemove:(0,je.css)({label:"grafana-select-multi-value-remove",margin:e.spacing(0,.5),cursor:"pointer",svg:{marginBottom:0}}),singleValueRemove:(0,je.css)({cursor:"pointer","&:hover":{color:e.colors.text.primary}}),groupHeader:(0,je.css)({padding:e.spacing(1,1,1,.75),borderLeft:"2px solid transparent"}),group:(0,je.css)({"&:not(:first-child)":{borderTop:`1px solid ${e.colors.border.weak}`},':has(+ [role="option"])':{borderBottom:`1px solid ${e.colors.border.weak}`}}),toggleAllButton:(0,je.css)({width:"100%",border:0,padding:0,textAlign:"left"})})));function Nk(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function Fk(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Nk(e,t,r[t])}))}return e}function Dk(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const Mk=({innerProps:e,children:t})=>{const r=Mx(),n=Lk(r);return(0,de.jsx)("div",Dk(Fk({},e),{className:n.multiValueContainer,children:t}))},Vk=({children:e,innerProps:t})=>{const r=Mx(),n=Lk(r);return(0,de.jsx)(kk,Dk(Fk({},t),{name:"times",size:"sm",className:n.multiValueRemove,tooltip:"Remove"}))};function Uk(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const Bk=e=>{const{isDisabled:t,isFocused:r,children:n,selectProps:{invalid:o=!1}}=e,i=Vx(zk,r,t,o);return(0,de.jsx)(AR.SelectContainer,(a=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Uk(e,t,r[t])}))}return e}({},e),l=null!=(l={className:(0,je.cx)(i.wrapper,e.className),children:n})?l:{},Object.getOwnPropertyDescriptors?Object.defineProperties(a,Object.getOwnPropertyDescriptors(l)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(l)).forEach((function(e){Object.defineProperty(a,e,Object.getOwnPropertyDescriptor(l,e))})),a));var a,l},zk=(e,t,r,n)=>{const o=pj({theme:e,invalid:n});return{wrapper:(0,je.cx)(o.wrapper,lj(e,n),t&&(0,je.css)(ij(e)),r&&o.inputDisabled,(0,je.css)({position:"relative",boxSizing:"border-box",flexDirection:"row",flexWrap:"wrap",alignItems:"stretch",justifyContent:"space-between",minHeight:"32px",height:"auto",maxWidth:"100%",padding:0,cursor:r?"not-allowed":"pointer"}))}};function Wk(e,t){e.prototype=Object.create(t.prototype),e.prototype.constructor=e,Wn(e,t)}var Hk=Number.isNaN||function(e){return"number"==typeof e&&e!=e};function qk(e,t){if(e.length!==t.length)return!1;for(var r=0;r<e.length;r++)if(!((n=e[r])===(o=t[r])||Hk(n)&&Hk(o)))return!1;var n,o;return!0}const Gk=function(e,t){var r;void 0===t&&(t=qk);var n,o=[],i=!1;return function(){for(var a=[],l=0;l<arguments.length;l++)a[l]=arguments[l];return i&&r===this&&t(a,o)||(n=e.apply(this,a),i=!0,r=this,o=a),n}};var $k="object"==typeof performance&&"function"==typeof performance.now?function(){return performance.now()}:function(){return Date.now()};function Kk(e){cancelAnimationFrame(e.id)}var Yk=-1;function Xk(e){if(void 0===e&&(e=!1),-1===Yk||e){var t=document.createElement("div"),r=t.style;r.width="50px",r.height="50px",r.overflow="scroll",document.body.appendChild(t),Yk=t.offsetWidth-t.clientWidth,document.body.removeChild(t)}return Yk}var Qk=null;function Jk(e){if(void 0===e&&(e=!1),null===Qk||e){var t=document.createElement("div"),r=t.style;r.width="50px",r.height="50px",r.overflow="scroll",r.direction="rtl";var n=document.createElement("div"),o=n.style;return o.width="100px",o.height="100px",t.appendChild(n),document.body.appendChild(t),t.scrollLeft>0?Qk="positive-descending":(t.scrollLeft=1,Qk=0===t.scrollLeft?"negative":"positive-ascending"),document.body.removeChild(t),Qk}return Qk}var Zk=function(e,t){return e};function eP(e){var t,r=e.getItemOffset,n=e.getEstimatedTotalSize,o=e.getItemSize,i=e.getOffsetForIndexAndAlignment,a=e.getStartIndexForOffset,l=e.getStopIndexForStartIndex,s=e.initInstanceProps,u=e.shouldResetStyleCacheOnItemSizeChange,c=e.validateProps;return t=function(e){function t(t){var n;return(n=e.call(this,t)||this)._instanceProps=s(n.props,Un(n)),n._outerRef=void 0,n._resetIsScrollingTimeoutId=null,n.state={instance:Un(n),isScrolling:!1,scrollDirection:"forward",scrollOffset:"number"==typeof n.props.initialScrollOffset?n.props.initialScrollOffset:0,scrollUpdateWasRequested:!1},n._callOnItemsRendered=void 0,n._callOnItemsRendered=Gk((function(e,t,r,o){return n.props.onItemsRendered({overscanStartIndex:e,overscanStopIndex:t,visibleStartIndex:r,visibleStopIndex:o})})),n._callOnScroll=void 0,n._callOnScroll=Gk((function(e,t,r){return n.props.onScroll({scrollDirection:e,scrollOffset:t,scrollUpdateWasRequested:r})})),n._getItemStyle=void 0,n._getItemStyle=function(e){var t,i=n.props,a=i.direction,l=i.itemSize,s=i.layout,c=n._getItemStyleCache(u&&l,u&&s,u&&a);if(c.hasOwnProperty(e))t=c[e];else{var d=r(n.props,e,n._instanceProps),p=o(n.props,e,n._instanceProps),f="horizontal"===a||"horizontal"===s,h="rtl"===a,g=f?d:0;c[e]=t={position:"absolute",left:h?void 0:g,right:h?g:void 0,top:f?0:d,height:f?"100%":p,width:f?p:"100%"}}return t},n._getItemStyleCache=void 0,n._getItemStyleCache=Gk((function(e,t,r){return{}})),n._onScrollHorizontal=function(e){var t=e.currentTarget,r=t.clientWidth,o=t.scrollLeft,i=t.scrollWidth;n.setState((function(e){if(e.scrollOffset===o)return null;var t=n.props.direction,a=o;if("rtl"===t)switch(Jk()){case"negative":a=-o;break;case"positive-descending":a=i-r-o}return a=Math.max(0,Math.min(a,i-r)),{isScrolling:!0,scrollDirection:e.scrollOffset<a?"forward":"backward",scrollOffset:a,scrollUpdateWasRequested:!1}}),n._resetIsScrollingDebounced)},n._onScrollVertical=function(e){var t=e.currentTarget,r=t.clientHeight,o=t.scrollHeight,i=t.scrollTop;n.setState((function(e){if(e.scrollOffset===i)return null;var t=Math.max(0,Math.min(i,o-r));return{isScrolling:!0,scrollDirection:e.scrollOffset<t?"forward":"backward",scrollOffset:t,scrollUpdateWasRequested:!1}}),n._resetIsScrollingDebounced)},n._outerRefSetter=function(e){var t=n.props.outerRef;n._outerRef=e,"function"==typeof t?t(e):null!=t&&"object"==typeof t&&t.hasOwnProperty("current")&&(t.current=e)},n._resetIsScrollingDebounced=function(){var e,t,r,o;null!==n._resetIsScrollingTimeoutId&&Kk(n._resetIsScrollingTimeoutId),n._resetIsScrollingTimeoutId=(e=n._resetIsScrolling,t=150,r=$k(),o={id:requestAnimationFrame((function n(){$k()-r>=t?e.call(null):o.id=requestAnimationFrame(n)}))})},n._resetIsScrolling=function(){n._resetIsScrollingTimeoutId=null,n.setState({isScrolling:!1},(function(){n._getItemStyleCache(-1,null)}))},n}Wk(t,e),t.getDerivedStateFromProps=function(e,t){return tP(e,t),c(e),null};var d=t.prototype;return d.scrollTo=function(e){e=Math.max(0,e),this.setState((function(t){return t.scrollOffset===e?null:{scrollDirection:t.scrollOffset<e?"forward":"backward",scrollOffset:e,scrollUpdateWasRequested:!0}}),this._resetIsScrollingDebounced)},d.scrollToItem=function(e,t){void 0===t&&(t="auto");var r=this.props,n=r.itemCount,o=r.layout,a=this.state.scrollOffset;e=Math.max(0,Math.min(e,n-1));var l=0;if(this._outerRef){var s=this._outerRef;l="vertical"===o?s.scrollWidth>s.clientWidth?Xk():0:s.scrollHeight>s.clientHeight?Xk():0}this.scrollTo(i(this.props,e,t,a,this._instanceProps,l))},d.componentDidMount=function(){var e=this.props,t=e.direction,r=e.initialScrollOffset,n=e.layout;if("number"==typeof r&&null!=this._outerRef){var o=this._outerRef;"horizontal"===t||"horizontal"===n?o.scrollLeft=r:o.scrollTop=r}this._callPropsCallbacks()},d.componentDidUpdate=function(){var e=this.props,t=e.direction,r=e.layout,n=this.state,o=n.scrollOffset;if(n.scrollUpdateWasRequested&&null!=this._outerRef){var i=this._outerRef;if("horizontal"===t||"horizontal"===r)if("rtl"===t)switch(Jk()){case"negative":i.scrollLeft=-o;break;case"positive-ascending":i.scrollLeft=o;break;default:var a=i.clientWidth,l=i.scrollWidth;i.scrollLeft=l-a-o}else i.scrollLeft=o;else i.scrollTop=o}this._callPropsCallbacks()},d.componentWillUnmount=function(){null!==this._resetIsScrollingTimeoutId&&Kk(this._resetIsScrollingTimeoutId)},d.render=function(){var e=this.props,t=e.children,r=e.className,o=e.direction,i=e.height,a=e.innerRef,l=e.innerElementType,s=e.innerTagName,u=e.itemCount,c=e.itemData,d=e.itemKey,p=void 0===d?Zk:d,f=e.layout,h=e.outerElementType,g=e.outerTagName,v=e.style,m=e.useIsScrolling,y=e.width,b=this.state.isScrolling,O="horizontal"===o||"horizontal"===f,E=O?this._onScrollHorizontal:this._onScrollVertical,S=this._getRangeToRender(),w=S[0],T=S[1],x=[];if(u>0)for(var _=w;_<=T;_++)x.push((0,pe.createElement)(t,{data:c,key:p(_,c),index:_,isScrolling:m?b:void 0,style:this._getItemStyle(_)}));var C=n(this.props,this._instanceProps);return(0,pe.createElement)(h||g||"div",{className:r,onScroll:E,ref:this._outerRefSetter,style:gb({position:"relative",height:i,width:y,overflow:"auto",WebkitOverflowScrolling:"touch",willChange:"transform",direction:o},v)},(0,pe.createElement)(l||s||"div",{children:x,ref:a,style:{height:O?"100%":C,pointerEvents:b?"none":void 0,width:O?C:"100%"}}))},d._callPropsCallbacks=function(){if("function"==typeof this.props.onItemsRendered&&this.props.itemCount>0){var e=this._getRangeToRender(),t=e[0],r=e[1],n=e[2],o=e[3];this._callOnItemsRendered(t,r,n,o)}if("function"==typeof this.props.onScroll){var i=this.state,a=i.scrollDirection,l=i.scrollOffset,s=i.scrollUpdateWasRequested;this._callOnScroll(a,l,s)}},d._getRangeToRender=function(){var e=this.props,t=e.itemCount,r=e.overscanCount,n=this.state,o=n.isScrolling,i=n.scrollDirection,s=n.scrollOffset;if(0===t)return[0,0,0,0];var u=a(this.props,s,this._instanceProps),c=l(this.props,u,s,this._instanceProps),d=o&&"backward"!==i?1:Math.max(1,r),p=o&&"forward"!==i?1:Math.max(1,r);return[Math.max(0,u-d),Math.max(0,Math.min(t-1,c+p)),u,c]},t}(pe.PureComponent),t.defaultProps={direction:"ltr",itemData:void 0,layout:"vertical",overscanCount:2,useIsScrolling:!1},t}var tP=function(e,t){e.children,e.direction,e.height,e.layout,e.innerTagName,e.outerTagName,e.width,t.instance},rP=eP({getItemOffset:function(e,t){return t*e.itemSize},getItemSize:function(e,t){return e.itemSize},getEstimatedTotalSize:function(e){var t=e.itemCount;return e.itemSize*t},getOffsetForIndexAndAlignment:function(e,t,r,n,o,i){var a=e.direction,l=e.height,s=e.itemCount,u=e.itemSize,c=e.layout,d=e.width,p="horizontal"===a||"horizontal"===c?d:l,f=Math.max(0,s*u-p),h=Math.min(f,t*u),g=Math.max(0,t*u-p+u+i);switch("smart"===r&&(r=n>=g-p&&n<=h+p?"auto":"center"),r){case"start":return h;case"end":return g;case"center":var v=Math.round(g+(h-g)/2);return v<Math.ceil(p/2)?0:v>f+Math.floor(p/2)?f:v;default:return n>=g&&n<=h?n:n<g?g:h}},getStartIndexForOffset:function(e,t){var r=e.itemCount,n=e.itemSize;return Math.max(0,Math.min(r-1,Math.floor(t/n)))},getStopIndexForStartIndex:function(e,t,r){var n=e.direction,o=e.height,i=e.itemCount,a=e.itemSize,l=e.layout,s=e.width,u=t*a,c="horizontal"===n||"horizontal"===l?s:o,d=Math.ceil((c+r-u)/a);return Math.max(0,Math.min(i-1,t+d-1))},initInstanceProps:function(e){},shouldResetStyleCacheOnItemSizeChange:!0,validateProps:function(e){e.itemSize}}),nP=v(1332);const oP=({children:e})=>{const[t,r]=(0,pe.useState)(!1),[n,o]=(0,pe.useState)(!1),i=(0,pe.useRef)(null),a=(0,pe.useRef)(null),l=Vx(iP);return(0,pe.useEffect)((()=>{const e=new IntersectionObserver((e=>{e.forEach((e=>{e.target===i.current?r(!e.isIntersecting):e.target===a.current&&o(!e.isIntersecting)}))}));return[i,a].forEach((t=>{t.current&&e.observe(t.current)})),()=>e.disconnect()}),[]),(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)("div",{className:(0,je.cx)(l.scrollIndicator,l.scrollTopIndicator,{[l.scrollIndicatorVisible]:t})}),(0,de.jsxs)("div",{className:l.scrollContent,children:[(0,de.jsx)("div",{ref:i}),e,(0,de.jsx)("div",{ref:a})]}),(0,de.jsx)("div",{className:(0,je.cx)(l.scrollIndicator,l.scrollBottomIndicator,{[l.scrollIndicatorVisible]:n})})]})},iP=e=>({scrollContent:(0,je.css)({flex:1,position:"relative"}),scrollIndicator:(0,je.css)({height:e.spacing(6),left:0,opacity:0,pointerEvents:"none",position:"absolute",right:0,[e.transitions.handleMotion("no-preference","reduce")]:{transition:e.transitions.create("opacity")},zIndex:1}),scrollTopIndicator:(0,je.css)({background:`linear-gradient(0deg, transparent, ${e.colors.background.canvas})`,top:0}),scrollBottomIndicator:(0,je.css)({background:`linear-gradient(180deg, transparent, ${e.colors.background.canvas})`,bottom:0}),scrollIndicatorVisible:(0,je.css)({opacity:1})});function aP(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function lP(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){aP(e,t,r[t])}))}return e}function sP(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const uP=({autoHide:e=!1,autoHideTimeout:t=200,setScrollTop:r,className:n,testId:o,autoHeightMin:i="0",autoHeightMax:a="100%",hideTracksWhenNotNeeded:l=!1,hideHorizontalTrack:s,hideVerticalTrack:u,scrollRefCallback:c,showScrollIndicators:d=!1,updateAfterMountMs:p,scrollTop:f,onScroll:h,children:g,divId:v})=>{const m=(0,pe.useRef)(null),y=Vx(cP);function b(e,t,r){return r.style&&t&&(r.style.display="none"),(0,de.jsx)("div",sP(lP({},r),{className:e}))}(0,pe.useEffect)((()=>{m.current&&c&&c(m.current.view)}),[m,c]),function(e,t){(0,pe.useEffect)((()=>{e&&null!=t&&e.scrollTop(t)}),[t,e])}(m.current,f),(0,pe.useEffect)((()=>{p&&setTimeout((()=>{const e=m.current;(null==e?void 0:e.update)&&e.update()}),p)}),[p]);const O=(0,pe.useCallback)((e=>b("track-horizontal",s,e)),[s]),E=(0,pe.useCallback)((e=>b("track-vertical",u,e)),[u]),S=(0,pe.useCallback)((e=>(0,de.jsx)("div",sP(lP({},e),{className:"thumb-horizontal"}))),[]),w=(0,pe.useCallback)((e=>(0,de.jsx)("div",sP(lP({},e),{className:"thumb-vertical"}))),[]),T=(0,pe.useCallback)((e=>(e.style&&"touch"===e.style.WebkitOverflowScrolling&&(e.style.WebkitOverflowScrolling="auto"),(0,de.jsx)("div",sP(lP({},e),{className:"scrollbar-view",id:v})))),[v]),x=(0,pe.useCallback)((()=>{m.current&&r&&r(m.current.getValues())}),[r]);return(0,de.jsx)(nP.Ay,{"data-testid":o,ref:m,className:(0,je.cx)(y.customScrollbar,n,{[y.scrollbarWithScrollIndicators]:d}),onScrollStop:x,autoHeight:!0,autoHide:e,autoHideTimeout:t,hideTracksWhenNotNeeded:l,autoHeightMax:a,autoHeightMin:i,renderTrackHorizontal:O,renderTrackVertical:E,renderThumbHorizontal:S,renderThumbVertical:w,renderView:T,onScroll:h,children:d?(0,de.jsx)(oP,{children:g}):g})},cP=e=>({customScrollbar:(0,je.css)({display:"flex",flexGrow:1,".scrollbar-view":{display:"flex",flexGrow:1,flexDirection:"column"},".track-vertical":{borderRadius:e.shape.borderRadius(2),width:`${e.spacing(1)} !important`,right:0,bottom:e.spacing(.25),top:e.spacing(.25)},".track-horizontal":{borderRadius:e.shape.borderRadius(2),height:`${e.spacing(1)} !important`,right:e.spacing(.25),bottom:e.spacing(.25),left:e.spacing(.25)},".thumb-vertical":{background:e.colors.action.focus,borderRadius:e.shape.borderRadius(2),opacity:0},".thumb-horizontal":{background:e.colors.action.focus,borderRadius:e.shape.borderRadius(2),opacity:0},"&:hover":{".thumb-vertical, .thumb-horizontal":{opacity:1,transition:"opacity 0.3s ease-in-out"}}}),scrollbarWithScrollIndicators:(0,je.css)({".scrollbar-view":{position:"static !important"}})});var dP;function pP(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function fP(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){pP(e,t,r[t])}))}return e}function hP(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}!function(e){e.allSelected="allSelected",e.indeterminate="indeterminate",e.noneSelected="noneSelected"}(dP||(dP={}));const gP=({children:e,maxHeight:t,innerRef:r,innerProps:n,selectProps:o})=>{const i=Mx(),a=Lk(i),{toggleAllOptions:l,components:s}=o;var u;const c=null!==(u=null==s?void 0:s.Option)&&void 0!==u?u:bP;return(0,de.jsx)("div",hP(fP({},n),{className:a.menu,style:{maxHeight:t},"aria-label":"Select options menu",children:(0,de.jsxs)(uP,{scrollRefCallback:r,autoHide:!1,autoHeightMax:"inherit",hideHorizontalTrack:!0,children:[l&&(0,de.jsx)(yP,{state:l.state,optionComponent:c,selectedCount:l.selectedCount,onClick:l.selectAllClicked}),e]})}))};gP.displayName="SelectMenu";const vP=({children:e,maxHeight:t,innerRef:r,options:n,selectProps:o,focusedOption:i})=>{const a=Mx(),l=Lk(a),s=(0,pe.useRef)(null),{toggleAllOptions:u,components:c}=o;var d;const p=null!==(d=null==c?void 0:c.Option)&&void 0!==d?d:bP,f=(0,pe.useMemo)((()=>n.flatMap((e=>e.options?[e,...e.options]:[e]))),[n]),h=f.findIndex((e=>e.value===(null==i?void 0:i.value)));if((0,pe.useLayoutEffect)((()=>{var e;null===(e=s.current)||void 0===e||e.scrollToItem(h)}),[h]),!Array.isArray(e))return null;const g=e.flatMap(((e,t)=>mP(e)?[pe.cloneElement(e,{children:null}),...e.props.children.slice(0,-1),pe.cloneElement(e.props.children.at(-1),{innerProps:hP(fP({},e.props.children.at(-1).props.innerProps),{style:{borderBottom:`1px solid ${a.colors.border.weak}`,height:37}})})]:[e]));var v;u&&g.unshift((0,de.jsx)(yP,{optionComponent:p,state:u.state,selectedCount:u.selectedCount,onClick:u.selectAllClicked}));let m=null!==(v=(0,ue.max)(f.map((e=>{var t;return null===(t=e.label)||void 0===t?void 0:t.length}))))&&void 0!==v?v:0;u&&m<12&&(m=12);const y=8*m+16+58,b=Math.min(37*g.length,t);return(0,de.jsx)(rP,{outerRef:r,ref:s,className:l.menu,height:b,width:y,"aria-label":"Select options menu",itemCount:g.length,itemSize:37,children:({index:e,style:t})=>(0,de.jsx)("div",{style:hP(fP({},t),{overflow:"hidden"}),children:g[e]})})},mP=e=>pe.isValidElement(e)&&Array.isArray(e.props.children);vP.displayName="VirtualizedSelectMenu";const yP=({state:e,onClick:t,selectedCount:r,optionComponent:n})=>{const o=Mx(),i=Lk(o);return(0,de.jsx)("button",{"data-testid":Ae.components.Select.toggleAllOptions,className:(0,je.css)(Ck(o),i.toggleAllButton,{height:37}),onClick:t,children:n({isDisabled:!1,isSelected:e===dP.allSelected,isFocused:!1,data:{},indeterminate:e===dP.indeterminate,innerRef:()=>{},innerProps:{},children:(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(hA,{i18nKey:"select.select-menu.selected-count",children:"Selected "}),`(${null!=r?r:0})`]})})})},bP=({children:e,data:t,innerProps:r,innerRef:n,isFocused:o,isSelected:i,renderOptionLabel:a})=>{const l=Mx(),s=Lk(l),u=t.icon?(0,w.toIconName)(t.icon):void 0,{onMouseMove:c,onMouseOver:d}=r,p=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(r,["onMouseMove","onMouseOver"]);return(0,de.jsxs)("div",hP(fP({ref:n,className:(0,je.cx)(s.option,o&&s.optionFocused,i&&s.optionSelected,t.isDisabled&&s.optionDisabled)},p),{"data-testid":Ae.components.Select.option,title:t.title,children:[u&&(0,de.jsx)(p_,{name:u,className:s.optionIcon}),t.imgUrl&&(0,de.jsx)("img",{className:s.optionImage,src:t.imgUrl,alt:t.label||String(t.value)}),(0,de.jsxs)("div",{className:s.optionBody,children:[(0,de.jsx)("span",{children:a?a(t):e}),t.description&&(0,de.jsx)("div",{className:s.optionDescription,children:t.description}),t.component&&(0,de.jsx)(t.component,{})]})]}))};function OP(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function EP(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){OP(e,t,r[t])}))}return e}bP.displayName="SelectMenuOptions";const SP=({children:e,cx:t,getClassNames:r,getStyles:n,Heading:o,headingProps:i,label:a,selectProps:l,theme:s})=>{const u=Vx(Lk);return(0,de.jsxs)("div",{className:u.group,children:[(0,de.jsx)(o,(c=EP({cx:t,getClassNames:r,getStyles:n,selectProps:l,theme:s},i),d={children:a},d=null!=d?d:{},Object.getOwnPropertyDescriptors?Object.defineProperties(c,Object.getOwnPropertyDescriptors(d)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(d)).forEach((function(e){Object.defineProperty(c,e,Object.getOwnPropertyDescriptor(d,e))})),c)),e]});var c,d};var wP=v(952);const TP=pe.forwardRef((({childElement:e,children:t},r)=>{const[n,o]=(0,pe.useState)(!1),i=(0,pe.useRef)(null);(0,pe.useImperativeHandle)(r,(()=>i.current));const a=(0,pe.useMemo)((()=>new ResizeObserver((e=>{for(const t of e)t.target.clientWidth&&t.target.scrollWidth&&(t.target.scrollWidth>t.target.clientWidth&&o(!0),t.target.scrollWidth<=t.target.clientWidth&&o(!1))}))),[]);(0,pe.useEffect)((()=>{const{current:e}=i;return e&&a.observe(e),()=>{a.disconnect()}}),[o,a]);return n?(0,de.jsx)(mk,{ref:i,content:(e=>"string"==typeof e?e:wP.renderToStaticMarkup((0,de.jsx)(de.Fragment,{children:e})).replace(/(<([^>]+)>)/gi,""))(t),children:e(void 0)}):e(i)}));TP.displayName="TruncatedText";const xP=(e,t)=>{switch(e){case"bold":return t.typography.fontWeightBold;case"medium":return t.typography.fontWeightMedium;case"light":return t.typography.fontWeightLight;case"regular":case void 0:return t.typography.fontWeightRegular}},_P=(e,t)=>{switch(e){case"error":return t.colors.error.text;case"success":return t.colors.success.text;case"info":return t.colors.info.text;case"warning":return t.colors.warning.text;default:return e?t.colors.text[e]:void 0}},CP=(e,t,r)=>{if(r)return e.typography[r];switch(t){case"span":return;case"h1":return e.typography.h1;case"h2":return e.typography.h2;case"h3":return e.typography.h3;case"h4":return e.typography.h4;case"h5":return e.typography.h5;case"h6":return e.typography.h6;default:return e.typography.body}};function RP(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function IP(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){RP(e,t,r[t])}))}return e}const AP=pe.forwardRef(((e,t)=>{var{element:r="span",variant:n,weight:o,color:i,truncate:a,italic:l,textAlignment:s,children:u,tabular:c}=e,d=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["element","variant","weight","color","truncate","italic","textAlignment","children","tabular"]);const p=Vx(jP,r,n,i,o,a,l,s,c),f=e=>{return(0,pe.createElement)(r,(t=IP({},d),n=null!=(n={style:void 0,className:p,ref:e})?n:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e))})),t),u);var t,n};return a&&"span"!==r?(0,de.jsx)(TP,{childElement:f,children:u,ref:t}):f(void 0)}));AP.displayName="Text";const jP=(e,t,r,n,o,i,a,l,s)=>(0,je.css)([IP({margin:0,padding:0},CP(e,t,r)),r&&IP({},e.typography[r]),n&&{color:_P(n,e)},o&&{fontWeight:xP(o,e)},i&&{overflow:"hidden",textOverflow:"ellipsis",whiteSpace:"nowrap"},a&&{fontStyle:"italic"},l&&{textAlign:l},s&&{fontFeatureSettings:'"tnum"'}]),kP=e=>{const t=Vx(Lk);var r;return(0,de.jsx)("div",{className:t.groupHeader,children:(0,de.jsx)(AP,{weight:"bold",variant:"bodySmall",color:"secondary",children:null!==(r=e.children)&&void 0!==r?r:""})})};function PP(e,t){return e.replace(new RegExp("(^|\\s)"+t+"(?:\\s|$)","g"),"$1").replace(/\s+/g," ").replace(/^\s*|\s*$/g,"")}const LP=he().createContext(null);var NP=function(e){return e.scrollTop},FP="unmounted",DP="exited",MP="entering",VP="entered",UP="exiting",BP=function(e){function t(t,r){var n;n=e.call(this,t,r)||this;var o,i=r&&!r.isMounting?t.enter:t.appear;return n.appearStatus=null,t.in?i?(o=DP,n.appearStatus=MP):o=VP:o=t.unmountOnExit||t.mountOnEnter?FP:DP,n.state={status:o},n.nextCallback=null,n}Wk(t,e),t.getDerivedStateFromProps=function(e,t){return e.in&&t.status===FP?{status:DP}:null};var r=t.prototype;return r.componentDidMount=function(){this.updateStatus(!0,this.appearStatus)},r.componentDidUpdate=function(e){var t=null;if(e!==this.props){var r=this.state.status;this.props.in?r!==MP&&r!==VP&&(t=MP):r!==MP&&r!==VP||(t=UP)}this.updateStatus(!1,t)},r.componentWillUnmount=function(){this.cancelNextCallback()},r.getTimeouts=function(){var e,t,r,n=this.props.timeout;return e=t=r=n,null!=n&&"number"!=typeof n&&(e=n.exit,t=n.enter,r=void 0!==n.appear?n.appear:t),{exit:e,enter:t,appear:r}},r.updateStatus=function(e,t){if(void 0===e&&(e=!1),null!==t)if(this.cancelNextCallback(),t===MP){if(this.props.unmountOnExit||this.props.mountOnEnter){var r=this.props.nodeRef?this.props.nodeRef.current:I_().findDOMNode(this);r&&NP(r)}this.performEnter(e)}else this.performExit();else this.props.unmountOnExit&&this.state.status===DP&&this.setState({status:FP})},r.performEnter=function(e){var t=this,r=this.props.enter,n=this.context?this.context.isMounting:e,o=this.props.nodeRef?[n]:[I_().findDOMNode(this),n],i=o[0],a=o[1],l=this.getTimeouts(),s=n?l.appear:l.enter;e||r?(this.props.onEnter(i,a),this.safeSetState({status:MP},(function(){t.props.onEntering(i,a),t.onTransitionEnd(s,(function(){t.safeSetState({status:VP},(function(){t.props.onEntered(i,a)}))}))}))):this.safeSetState({status:VP},(function(){t.props.onEntered(i)}))},r.performExit=function(){var e=this,t=this.props.exit,r=this.getTimeouts(),n=this.props.nodeRef?void 0:I_().findDOMNode(this);t?(this.props.onExit(n),this.safeSetState({status:UP},(function(){e.props.onExiting(n),e.onTransitionEnd(r.exit,(function(){e.safeSetState({status:DP},(function(){e.props.onExited(n)}))}))}))):this.safeSetState({status:DP},(function(){e.props.onExited(n)}))},r.cancelNextCallback=function(){null!==this.nextCallback&&(this.nextCallback.cancel(),this.nextCallback=null)},r.safeSetState=function(e,t){t=this.setNextCallback(t),this.setState(e,t)},r.setNextCallback=function(e){var t=this,r=!0;return this.nextCallback=function(n){r&&(r=!1,t.nextCallback=null,e(n))},this.nextCallback.cancel=function(){r=!1},this.nextCallback},r.onTransitionEnd=function(e,t){this.setNextCallback(t);var r=this.props.nodeRef?this.props.nodeRef.current:I_().findDOMNode(this),n=null==e&&!this.props.addEndListener;if(r&&!n){if(this.props.addEndListener){var o=this.props.nodeRef?[this.nextCallback]:[r,this.nextCallback],i=o[0],a=o[1];this.props.addEndListener(i,a)}null!=e&&setTimeout(this.nextCallback,e)}else setTimeout(this.nextCallback,0)},r.render=function(){var e=this.state.status;if(e===FP)return null;var t=this.props,r=t.children,n=(t.in,t.mountOnEnter,t.unmountOnExit,t.appear,t.enter,t.exit,t.timeout,t.addEndListener,t.onEnter,t.onEntering,t.onEntered,t.onExit,t.onExiting,t.onExited,t.nodeRef,Hv(t,["children","in","mountOnEnter","unmountOnExit","appear","enter","exit","timeout","addEndListener","onEnter","onEntering","onEntered","onExit","onExiting","onExited","nodeRef"]));return he().createElement(LP.Provider,{value:null},"function"==typeof r?r(e,n):he().cloneElement(he().Children.only(r),n))},t}(he().Component);function zP(){}BP.contextType=LP,BP.propTypes={},BP.defaultProps={in:!1,mountOnEnter:!1,unmountOnExit:!1,appear:!1,enter:!0,exit:!0,onEnter:zP,onEntering:zP,onEntered:zP,onExit:zP,onExiting:zP,onExited:zP},BP.UNMOUNTED=FP,BP.EXITED=DP,BP.ENTERING=MP,BP.ENTERED=VP,BP.EXITING=UP;const WP=BP;var HP=function(e,t){return e&&t&&t.split(" ").forEach((function(t){return n=t,void((r=e).classList?r.classList.remove(n):"string"==typeof r.className?r.className=PP(r.className,n):r.setAttribute("class",PP(r.className&&r.className.baseVal||"",n)));var r,n}))},qP=function(e){function t(){for(var t,r=arguments.length,n=new Array(r),o=0;o<r;o++)n[o]=arguments[o];return(t=e.call.apply(e,[this].concat(n))||this).appliedClasses={appear:{},enter:{},exit:{}},t.onEnter=function(e,r){var n=t.resolveArguments(e,r),o=n[0],i=n[1];t.removeClasses(o,"exit"),t.addClass(o,i?"appear":"enter","base"),t.props.onEnter&&t.props.onEnter(e,r)},t.onEntering=function(e,r){var n=t.resolveArguments(e,r),o=n[0],i=n[1]?"appear":"enter";t.addClass(o,i,"active"),t.props.onEntering&&t.props.onEntering(e,r)},t.onEntered=function(e,r){var n=t.resolveArguments(e,r),o=n[0],i=n[1]?"appear":"enter";t.removeClasses(o,i),t.addClass(o,i,"done"),t.props.onEntered&&t.props.onEntered(e,r)},t.onExit=function(e){var r=t.resolveArguments(e)[0];t.removeClasses(r,"appear"),t.removeClasses(r,"enter"),t.addClass(r,"exit","base"),t.props.onExit&&t.props.onExit(e)},t.onExiting=function(e){var r=t.resolveArguments(e)[0];t.addClass(r,"exit","active"),t.props.onExiting&&t.props.onExiting(e)},t.onExited=function(e){var r=t.resolveArguments(e)[0];t.removeClasses(r,"exit"),t.addClass(r,"exit","done"),t.props.onExited&&t.props.onExited(e)},t.resolveArguments=function(e,r){return t.props.nodeRef?[t.props.nodeRef.current,e]:[e,r]},t.getClassNames=function(e){var r=t.props.classNames,n="string"==typeof r,o=n?(n&&r?r+"-":"")+e:r[e];return{baseClassName:o,activeClassName:n?o+"-active":r[e+"Active"],doneClassName:n?o+"-done":r[e+"Done"]}},t}Wk(t,e);var r=t.prototype;return r.addClass=function(e,t,r){var n=this.getClassNames(t)[r+"ClassName"],o=this.getClassNames("enter").doneClassName;"appear"===t&&"done"===r&&o&&(n+=" "+o),"active"===r&&e&&NP(e),n&&(this.appliedClasses[t][r]=n,function(e,t){e&&t&&t.split(" ").forEach((function(t){return n=t,void((r=e).classList?r.classList.add(n):function(e,t){return e.classList?!!t&&e.classList.contains(t):-1!==(" "+(e.className.baseVal||e.className)+" ").indexOf(" "+t+" ")}(r,n)||("string"==typeof r.className?r.className=r.className+" "+n:r.setAttribute("class",(r.className&&r.className.baseVal||"")+" "+n)));var r,n}))}(e,n))},r.removeClasses=function(e,t){var r=this.appliedClasses[t],n=r.base,o=r.active,i=r.done;this.appliedClasses[t]={},n&&HP(e,n),o&&HP(e,o),i&&HP(e,i)},r.render=function(){var e=this.props,t=(e.classNames,Hv(e,["classNames"]));return he().createElement(WP,gb({},t,{onEnter:this.onEnter,onEntered:this.onEntered,onEntering:this.onEntering,onExit:this.onExit,onExiting:this.onExiting,onExited:this.onExited}))},t}(he().Component);qP.defaultProps={classNames:""},qP.propTypes={};const GP=qP;function $P(e){const{visible:t,children:r,duration:n=250}=e,o=Vx(KP,n),i=(0,pe.useRef)(null);return(0,de.jsx)(GP,{in:t,mountOnEnter:!0,unmountOnExit:!0,timeout:n,classNames:o,nodeRef:i,children:pe.cloneElement(r,{ref:i})})}const KP=(e,t)=>({enter:(0,je.css)({label:"enter",opacity:0}),enterActive:(0,je.css)({label:"enterActive",opacity:1,[e.transitions.handleMotion("no-preference","reduce")]:{transition:`opacity ${t}ms ease-out`}}),exit:(0,je.css)({label:"exit",opacity:1}),exitActive:(0,je.css)({label:"exitActive",opacity:0,[e.transitions.handleMotion("no-preference","reduce")]:{transition:`opacity ${t}ms ease-out`}})});function YP(e){const{visible:t,children:r,duration:n=250,horizontal:o,size:i}=e,a=Vx(XP,n,o?"width":"height",i),l=(0,pe.useRef)(null);return(0,de.jsx)(GP,{in:t,mountOnEnter:!0,unmountOnExit:!0,timeout:n,classNames:a,nodeRef:l,children:pe.cloneElement(r,{ref:l})})}const XP=(e,t,r,n)=>({enter:(0,je.css)({label:"enter",[`${r}`]:0,opacity:0}),enterActive:(0,je.css)({label:"enterActive",[`${r}`]:`${n}px`,opacity:1,[e.transitions.handleMotion("no-preference")]:{transition:`opacity ${t}ms ease-out, ${r} ${t}ms ease-out`},[e.transitions.handleMotion("reduce")]:{transition:`opacity ${t}ms ease-out`}}),exit:(0,je.css)({label:"exit",[`${r}`]:`${n}px`,opacity:1}),exitActive:(0,je.css)({label:"exitActive",opacity:0,[`${r}`]:0,[e.transitions.handleMotion("no-preference")]:{transition:`opacity ${t}ms ease-out, ${r} ${t}ms ease-out`},[e.transitions.handleMotion("reduce")]:{transition:`opacity ${t}ms ease-out`}})});function QP(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const JP=e=>({singleValue:(0,je.css)({label:"singleValue",whiteSpace:"nowrap",overflow:"hidden",textOverflow:"ellipsis",boxSizing:"border-box",maxWidth:"100%",gridArea:"1 / 1 / 2 / 3"}),spinnerWrapper:(0,je.css)({width:"16px",height:"16px",display:"inline-block",marginRight:"10px",position:"relative",verticalAlign:"middle",overflow:"hidden"}),spinnerIcon:(0,je.css)({width:"100%",height:"100%",position:"absolute"}),optionIcon:(0,je.css)({marginRight:e.spacing(1),color:e.colors.text.secondary}),disabled:(0,je.css)({color:e.colors.text.disabled}),isOpen:(0,je.css)({color:e.colors.text.disabled})}),ZP=e=>{const{children:t,data:r,isDisabled:n}=e,o=Vx(JP),i=function(e,t={}){const{duration:r=250,delay:n=250}=t,[o,i]=(0,pe.useState)(e),a=(0,pe.useRef)();return(0,pe.useEffect)((()=>{let t;if(e)t=setTimeout((()=>{a.current=new Date,i(e)}),n);else{const n=a.current?Date.now()-a.current.valueOf():0,o=()=>{a.current=void 0,i(e)};n>=r?o():t=setTimeout(o,r-n)}return()=>{t&&(clearTimeout(t),t=void 0)}}),[e,r,n]),o}(r.loading||!1,{delay:250,duration:750}),a=r.icon?(0,w.toIconName)(r.icon):void 0;var l,s,u;return(0,de.jsxs)(AR.SingleValue,(s=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){QP(e,t,r[t])}))}return e}({},e),u=null!=(u={className:(0,je.cx)(o.singleValue,n&&o.disabled,e.selectProps.menuIsOpen&&o.isOpen),children:[r.imgUrl?(0,de.jsx)(eL,{loading:i,imgUrl:r.imgUrl,styles:o,alt:String(null!==(l=r.label)&&void 0!==l?l:r.value)}):(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(YP,{horizontal:!0,size:16,visible:i,duration:150,children:(0,de.jsx)("div",{className:o.spinnerWrapper,children:(0,de.jsx)(vA,{className:o.spinnerIcon,inline:!0})})}),a&&(0,de.jsx)(p_,{name:a,role:"img",className:o.optionIcon})]}),!r.hideText&&t]})?u:{},Object.getOwnPropertyDescriptors?Object.defineProperties(s,Object.getOwnPropertyDescriptors(u)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(u)).forEach((function(e){Object.defineProperty(s,e,Object.getOwnPropertyDescriptor(u,e))})),s))},eL=e=>(0,de.jsxs)("div",{className:e.styles.spinnerWrapper,children:[(0,de.jsx)($P,{duration:150,visible:e.loading,children:(0,de.jsx)(vA,{className:e.styles.spinnerIcon,inline:!0})}),(0,de.jsx)($P,{duration:150,visible:!e.loading,children:(0,de.jsx)("img",{className:e.styles.spinnerIcon,src:e.imgUrl,alt:e.alt})})]});class tL extends pe.Component{render(){const{children:e}=this.props,{selectProps:t}=this.props;if(t&&Array.isArray(e)&&Array.isArray(e[0])&&void 0!==t.maxVisibleValues&&(!t.showAllSelectedWhenOpen||!t.menuIsOpen)){const[r,...n]=e,o=r.slice(0,t.maxVisibleValues);return this.renderContainer([o,...n])}return this.renderContainer(e)}renderContainer(e){var t,r;const{isMulti:n,theme:o,selectProps:i}=this.props,a=(null===(t=this.props.selectProps)||void 0===t?void 0:t.noMultiValueWrap)&&!(null===(r=this.props.selectProps)||void 0===r?void 0:r.menuIsOpen),l=Lk(o),s=i["data-testid"],u=(0,je.cx)(l.valueContainer,{[l.valueContainerMulti]:n&&!a,[l.valueContainerMultiNoWrap]:n&&a});return(0,de.jsx)("div",{"data-testid":s,className:u,children:e})}}const rL=(e=>{const t=t=>{const r=Fx||w.ThemeContext;return(0,de.jsx)(r.Consumer,{children:r=>{return(0,de.jsx)(e,(n=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){Nx(e,t,r[t])}))}return e}({},t),o=null!=(o={theme:r})?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(n,Object.getOwnPropertyDescriptors(o)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(o)).forEach((function(e){Object.defineProperty(n,e,Object.getOwnPropertyDescriptor(o,e))})),n));var n,o}})};return t.displayName=`WithTheme(${e.displayName})`,kx()(t,e),t})(tL);function nL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function oL(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){nL(e,t,r[t])}))}return e}function iL(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const aL=(e,t)=>{if(Array.isArray(e)){const t=e.filter(Boolean);return(null==t?void 0:t.length)?t:void 0}if("object"==typeof e)return[e];if("string"==typeof e||"number"==typeof e){const r=lL(e,t);if(r)return[r]}},lL=(e,t)=>{for(const r of t)if("options"in r){let t=lL(e,r.options);if(t)return t}else if("value"in r&&r.value===e)return r;return null},sL=e=>e.map((e=>{var{description:t}=e;return function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["description"])}));function uL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function cL(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){uL(e,t,r[t])}))}return e}function dL(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const pL=e=>{const{children:t,innerProps:r,selectProps:{menuIsOpen:n,onMenuClose:o,onMenuOpen:i},isFocused:a,isMulti:l,getValue:s,innerRef:u}=e,c=e.selectProps;return c.renderControl?pe.createElement(c.renderControl,{isOpen:n,value:l?s():s()[0],ref:u,onClick:n?o:i,onBlur:o,disabled:!!c.disabled,invalid:!!c.invalid}):(0,de.jsx)(gj,{ref:u,innerProps:r,prefix:c.prefix,focused:a,invalid:!!c.invalid,disabled:!!c.disabled,children:t})};function fL(e){var{allowCustomValue:t=!1,allowCreateWhileLoading:r=!1,"aria-label":n,"data-testid":o,autoFocus:i=!1,backspaceRemovesValue:a=!0,blurInputOnSelect:l,cacheOptions:s,className:u,closeMenuOnSelect:c=!0,components:d,createOptionPosition:p="last",defaultOptions:f,defaultValue:h,disabled:g=!1,filterOption:v,formatCreateLabel:m,getOptionLabel:y,getOptionValue:b,inputValue:O,invalid:E,isClearable:S=!1,id:T,isLoading:x=!1,isMulti:_=!1,inputId:C,isOpen:R,isOptionDisabled:I,isSearchable:A=!0,loadOptions:j,loadingMessage:k="Loading options...",maxMenuHeight:P=300,minMenuHeight:L,maxVisibleValues:N,menuPlacement:F="auto",menuPosition:D,menuShouldPortal:M=!0,noOptionsMessage:V=ff("grafana-ui.select.no-options-label","No options found"),onBlur:U,onChange:B,onCloseMenu:z,onCreateOption:W,onInputChange:H,onKeyDown:q,onMenuScrollToBottom:G,onMenuScrollToTop:$,onOpenMenu:K,onFocus:Y,toggleAllOptions:X,openMenuOnFocus:Q=!1,options:J=[],placeholder:Z=ff("grafana-ui.select.placeholder","Choose"),prefix:ee,renderControl:te,showAllSelectedWhenOpen:re=!0,tabSelectsValue:ne=!0,value:oe,virtualized:ie=!1,noMultiValueWrap:ae,width:le,isValidNewOption:se,formatOptionLabel:ce,hideSelectedOptions:fe}=e,he=function(e,t){if(null==e)return{};var r,n,o=function(e,t){if(null==e)return{};var r,n,o={},i=Object.keys(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||(o[r]=e[r]);return o}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(n=0;n<i.length;n++)r=i[n],t.indexOf(r)>=0||Object.prototype.propertyIsEnumerable.call(e,r)&&(o[r]=e[r])}return o}(e,["allowCustomValue","allowCreateWhileLoading","aria-label","data-testid","autoFocus","backspaceRemovesValue","blurInputOnSelect","cacheOptions","className","closeMenuOnSelect","components","createOptionPosition","defaultOptions","defaultValue","disabled","filterOption","formatCreateLabel","getOptionLabel","getOptionValue","inputValue","invalid","isClearable","id","isLoading","isMulti","inputId","isOpen","isOptionDisabled","isSearchable","loadOptions","loadingMessage","maxMenuHeight","minMenuHeight","maxVisibleValues","menuPlacement","menuPosition","menuShouldPortal","noOptionsMessage","onBlur","onChange","onCloseMenu","onCreateOption","onInputChange","onKeyDown","onMenuScrollToBottom","onMenuScrollToTop","onOpenMenu","onFocus","toggleAllOptions","openMenuOnFocus","options","placeholder","prefix","renderControl","showAllSelectedWhenOpen","tabSelectsValue","value","virtualized","noMultiValueWrap","width","isValidNewOption","formatOptionLabel","hideSelectedOptions"]);const ge=Mx(),ve=Lk(ge),me=(0,pe.useRef)(null),[ye,be]=(0,pe.useState)(!1),Oe=function(e,t){return(0,pe.useMemo)((()=>iL(oL({},function(e){return{clearIndicator:()=>({}),container:()=>({}),control:()=>({}),dropdownIndicator:()=>({}),group:()=>({}),groupHeading:()=>({}),indicatorsContainer:()=>({}),indicatorSeparator:()=>({}),input:function(e){return iL(oL({},e),{color:"inherit",margin:0,padding:0,zIndex:1,overflow:"hidden"})},loadingIndicator:()=>({}),loadingMessage:()=>({}),menu:()=>({}),menuList:({maxHeight:e})=>({maxHeight:e}),multiValue:()=>({}),multiValueLabel:()=>({overflow:"hidden",textOverflow:"ellipsis"}),multiValueRemove:()=>({}),noOptionsMessage:()=>({}),option:()=>({}),placeholder:t=>iL(oL({},t),{color:e.colors.text.secondary}),singleValue:()=>({}),valueContainer:()=>({})}}(e)),{menuPortal:t=>iL(oL({},t),{zIndex:e.zIndex.portal}),menu:({top:t,bottom:r,position:n})=>({top:t,bottom:r,position:n,minWidth:"100%",zIndex:e.zIndex.dropdown}),container:()=>({width:t?e.spacing(t):"100%",display:"auto"===t?"inline-flex":"flex"}),option:(e,t)=>iL(oL({},e),{opacity:t.isDisabled?.5:1})})),[e,t])}(ge,le),[Ee,Se]=(0,pe.useState)(!!O);(0,pe.useEffect)((()=>{if(j&&R&&me.current&&me.current.controlRef&&"auto"===F){const e=window.innerHeight-me.current.controlRef.getBoundingClientRect().bottom;be(e<P)}}),[P,F,j,R]);const we=(0,pe.useCallback)(((e,t)=>{if(_&&null==e)return B([],t);B(e,t)}),[_,B]);let Te=AI;const xe={};let _e,Ce={};if(_&&j)_e=oe;else if(_&&oe&&Array.isArray(oe)&&!j)_e=oe.map((e=>{var t;return lL(null!==(t=e.value)&&void 0!==t?t:e,J)||("string"==typeof e?(0,w.toOption)(e):e)}));else if(j){const e=h||oe;_e=e?[e]:[]}else _e=aL(oe,J);const Re={"aria-label":n,"data-testid":o,autoFocus:i,backspaceRemovesValue:a,blurInputOnSelect:l,captureMenuScroll:G||$,closeMenuOnSelect:c,defaultValue:h,disabled:g,filterOption:Ee?v:null,getOptionLabel:y,getOptionValue:b,hideSelectedOptions:fe,inputValue:O,invalid:E,isClearable:S,id:T,isDisabled:g,isLoading:x,isMulti:_,inputId:C,isOptionDisabled:I,isSearchable:A,maxMenuHeight:P,minMenuHeight:L,maxVisibleValues:N,menuIsOpen:R,menuPlacement:"auto"===F&&ye?"top":F,menuPosition:D,menuShouldBlockScroll:!0,menuPortalTarget:M&&"undefined"!=typeof document?document.body:void 0,menuShouldScrollIntoView:!1,onBlur:U,onChange:we,onInputChange:(e,t)=>{var r;const n=null!==(r=null==H?void 0:H(e,t))&&void 0!==r?r:e,o=!!n;return o!==Ee&&Se(o),n},onKeyDown:q,onMenuClose:z,onMenuOpen:K,onMenuScrollToBottom:G,onMenuScrollToTop:$,onFocus:Y,formatOptionLabel:ce,openMenuOnFocus:Q,options:ie?sL(J):J,placeholder:Z,prefix:ee,renderControl:te,showAllSelectedWhenOpen:re,tabSelectsValue:ne,value:_?_e:null==_e?void 0:_e[0],noMultiValueWrap:ae};t&&(Te=VI,xe.allowCreateWhileLoading=r,xe.formatCreateLabel=null!=m?m:hL,xe.onCreateOption=W,xe.createOptionPosition=p,xe.isValidNewOption=se),j&&(Te=t?MI:PI,Ce={loadOptions:j,cacheOptions:s,defaultOptions:f});const Ie=ie?vP:gP;let Ae=dP.noneSelected;(null==X?void 0:X.enabled)&&(0,ue.isArray)(_e)&&(Ae=(null==X?void 0:X.determineToggleAllState)?X.determineToggleAllState(_e,J):function(e,t){return t.length===e.length?dP.allSelected:0===e.length?dP.noneSelected:dP.indeterminate}(_e,J));const je=(0,pe.useCallback)((()=>{let e=Ae===dP.noneSelected?J:[];(null==X?void 0:X.optionsFilter)&&(e=Ae===dP.noneSelected?J.filter(X.optionsFilter):J.filter((0,ue.negate)(X.optionsFilter))),B(e,{action:"select-option",option:{}})}),[J,X,B,Ae]);return(0,de.jsx)(de.Fragment,{children:(0,de.jsx)(Te,cL({ref:me,components:cL({MenuList:Ie,Group:SP,GroupHeading:kP,ValueContainer:rL,IndicatorsContainer:gL,IndicatorSeparator:vL,Control:pL,Option:bP,ClearIndicator(e){const{clearValue:t}=e;return(0,de.jsx)(p_,{name:"times",role:"button","aria-label":"select-clear-value",className:ve.singleValueRemove,onMouseDown:e=>{e.preventDefault(),e.stopPropagation(),t()}})},LoadingIndicator:()=>(0,de.jsx)(vA,{inline:!0}),LoadingMessage:()=>(0,de.jsx)("div",{className:ve.loadingMessage,children:k}),NoOptionsMessage:()=>(0,de.jsx)("div",{className:ve.loadingMessage,"aria-label":"No options provided",children:V}),DropdownIndicator:EA,SingleValue:e=>(0,de.jsx)(ZP,dL(cL({},e),{isDisabled:g})),SelectContainer:Bk,MultiValueContainer:Mk,MultiValueRemove:g?()=>null:Vk,Input:OA},d),toggleAllOptions:(null==X?void 0:X.enabled)&&{state:Ae,selectAllClicked:je,selectedCount:(0,ue.isArray)(_e)?_e.length:void 0},styles:Oe,className:u},Re,xe,Ce,he))})}function hL(e){return(0,de.jsxs)("div",{style:{display:"flex",gap:"8px",alignItems:"center"},children:[(0,de.jsx)("div",{children:e}),(0,de.jsx)("div",{style:{flexGrow:1}}),(0,de.jsx)("div",{className:"muted small",style:{display:"flex",gap:"8px",alignItems:"center"},children:"Hit enter to add"})]})}function gL(e){const{showAllSelectedWhenOpen:t,maxVisibleValues:r,menuIsOpen:n}=e.selectProps,o=e.getValue();if(void 0!==r&&Array.isArray(e.children)){const i=o.length;if(i>r&&(!t||!n)){const t=[...e.children];return t.splice(-1,0,(0,de.jsxs)("span",{id:"excess-values",children:["(+",i-r,")"]},"excess-values")),(0,de.jsx)(fj,dL(cL({},e),{children:t}))}}return(0,de.jsx)(fj,cL({},e))}function vL(){return(0,de.jsx)(de.Fragment,{})}function mL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function yL(e){return(0,de.jsx)(fL,function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){mL(e,t,r[t])}))}return e}({},e))}function bL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function OL(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){bL(e,t,r[t])}))}return e}function EL(e,t){return t=null!=t?t:{},Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(t)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(t)).forEach((function(r){Object.defineProperty(e,r,Object.getOwnPropertyDescriptor(t,r))})),e}const SL=e=>{const{managedIdentityEnabled:t,azureEntraPasswordCredentialsEnabled:r,credentials:n,azureCloudOptions:o,onCredentialsChange:i,disabled:a}=e,l=[{value:wx.CLIENT_SECRET,label:"App Registration"}];t&&l.push({value:wx.MSI,label:"Managed Identity"}),r&&l.push({value:wx.AD_PASSWORD,label:"Azure Entra Password"});const s=({property:e,value:t})=>{if(i){const r=EL(OL({},n),{[e]:t});i(r)}};return(0,de.jsxs)("div",{children:[(0,de.jsx)(O_,{label:"Authentication",description:"Choose the type of authentication to Azure services",htmlFor:"authentication-type",children:(0,de.jsx)(yL,{width:20,value:l.find((e=>e.value===n.authType)),options:l,onChange:e=>{if(i){const t=EL(OL({},n),{authType:e.value||wx.MSI});i(t)}},disabled:a})}),n.authType===wx.CLIENT_SECRET&&(0,de.jsxs)(de.Fragment,{children:[o&&(0,de.jsx)(O_,{label:"Azure Cloud",htmlFor:"azure-cloud-type",disabled:a,children:(0,de.jsx)(yL,{value:o.find((e=>e.value===n.azureCloud)),options:o,onChange:e=>{const t=e.value||"";s({property:"azureCloud",value:t})},isDisabled:a,inputId:"azure-cloud-type","aria-label":"Azure Cloud",width:20})}),(0,de.jsx)(O_,{label:"Directory (tenant) ID",required:!0,htmlFor:"tenant-id",invalid:!n.tenantId,error:"Tenant ID is required",children:(0,de.jsx)(dj,{width:45,placeholder:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",value:n.tenantId||"",onChange:e=>{const t=e.target.value;s({property:"tenantId",value:t})},disabled:a,"aria-label":"Tenant ID"})}),(0,de.jsx)(O_,{label:"Application (client) ID",required:!0,htmlFor:"client-id",invalid:!n.clientId,error:"Client ID is required",children:(0,de.jsx)(dj,{width:45,placeholder:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",value:n.clientId||"",onChange:e=>{const t=e.target.value;s({property:"clientId",value:t})},disabled:a,"aria-label":"Client ID"})}),!a&&("symbol"==typeof n.clientSecret?(0,de.jsx)(O_,{label:"Client Secret",htmlFor:"client-secret",required:!0,children:(0,de.jsxs)("div",{className:"width-30",style:{display:"flex",gap:"4px"},children:[(0,de.jsx)(dj,{"aria-label":"Client Secret",placeholder:"configured",disabled:!0,"data-testid":"client-secret",width:45}),(0,de.jsx)(wk,{variant:"secondary",type:"button",onClick:()=>{s({property:"clientSecret",value:""})},disabled:a,children:"Reset"})]})}):(0,de.jsx)(O_,{label:"Client Secret",required:!0,htmlFor:"client-secret",invalid:!n.clientSecret,error:"Client secret is required",children:(0,de.jsx)(dj,{width:45,"aria-label":"Client Secret",placeholder:"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX",value:n.clientSecret||"",onChange:e=>{const t=e.target.value;s({property:"clientSecret",value:t})},id:"client-secret",disabled:a})}))]}),n.authType===wx.AD_PASSWORD&&r&&(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(O_,{label:"User Id",required:!0,htmlFor:"user-id",invalid:!n.userId,error:"User ID is required",children:(0,de.jsx)(dj,{width:45,value:n.userId||"",onChange:e=>{const t=e.target.value;s({property:"userId",value:t})},disabled:a,"aria-label":"User ID"})}),(0,de.jsx)(O_,{label:"Application Client ID",required:!0,htmlFor:"application-client-id",invalid:!n.clientId,error:"Application Client ID is required",children:(0,de.jsx)(dj,{width:45,value:n.clientId||"",onChange:e=>{const t=e.target.value;s({property:"clientId",value:t})},disabled:a,"aria-label":"Application Client ID"})}),!a&&("symbol"==typeof n.password?(0,de.jsx)(O_,{label:"Password",htmlFor:"password",required:!0,children:(0,de.jsxs)("div",{className:"width-30",style:{display:"flex",gap:"4px"},children:[(0,de.jsx)(dj,{"aria-label":"Password",placeholder:"configured",disabled:!0,"data-testid":"password",width:45}),(0,de.jsx)(wk,{variant:"secondary",type:"button",onClick:()=>{s({property:"password",value:""})},disabled:a,children:"Reset"})]})}):(0,de.jsx)(O_,{label:"Password",required:!0,htmlFor:"password",invalid:!n.password,error:"Password is required",children:(0,de.jsx)(dj,{width:45,"aria-label":"Password",value:n.password||"",onChange:e=>{const t=e.target.value;s({property:"password",value:t})},id:"password",disabled:a})}))]})]})},wL=e=>{const{dataSourceConfig:t,onChange:r}=e,n=se.config.azure.managedIdentityEnabled,o=se.config.azure.azureEntraPasswordCredentialsEnabled,i=(0,pe.useMemo)((()=>((e,t)=>{var r,n,o,i,a,l,s;const u=null===(r=e.jsonData)||void 0===r?void 0:r.azureCredentials,c=null===(n=e.secureJsonFields)||void 0===n?void 0:n.azureClientSecret,d=null===(o=e.secureJsonData)||void 0===o?void 0:o.azureClientSecret,p=null===(i=e.secureJsonFields)||void 0===i?void 0:i.password,f=null===(a=e.secureJsonData)||void 0===a?void 0:a.password,h=!!(null===(l=t.azure)||void 0===l?void 0:l.managedIdentityEnabled),g=(null===(s=t.azure)||void 0===s?void 0:s.cloud)||Sx.Public;if(!u)return((e,t)=>e?{authType:wx.MSI}:{authType:wx.CLIENT_SECRET,azureCloud:t})(h,g);switch(u.authType){case wx.MSI:return h?{authType:wx.MSI}:{authType:wx.CLIENT_SECRET,azureCloud:g};case wx.CLIENT_SECRET:return{authType:wx.CLIENT_SECRET,azureCloud:u.azureCloud||g,tenantId:u.tenantId,clientId:u.clientId,clientSecret:Ax(c,d)};case wx.AD_PASSWORD:return{authType:wx.AD_PASSWORD,userId:u.userId,clientId:u.clientId,password:Ax(p,f)}}})(t,se.config)),[t]),a=e=>{r(((e,t,r)=>{var n,o;const i=!!(null===(n=t.azure)||void 0===n?void 0:n.managedIdentityEnabled),a=(null===(o=t.azure)||void 0===o?void 0:o.cloud)||Sx.Public;switch(r.authType){case wx.MSI:if(!i)throw new Error("Managed Identity authentication is not enabled in Grafana config.");return Ix(Rx({},e),{jsonData:Ix(Rx({},e.jsonData),{azureCredentials:{authType:wx.MSI}})});case wx.CLIENT_SECRET:return Ix(Rx({},e),{jsonData:Ix(Rx({},e.jsonData),{azureCredentials:{authType:wx.CLIENT_SECRET,azureCloud:r.azureCloud||a,tenantId:r.tenantId,clientId:r.clientId}}),secureJsonData:Ix(Rx({},e.secureJsonData),{azureClientSecret:"string"==typeof r.clientSecret&&r.clientSecret.length>0?r.clientSecret:void 0}),secureJsonFields:Ix(Rx({},e.secureJsonFields),{azureClientSecret:"symbol"==typeof r.clientSecret})});case wx.AD_PASSWORD:return Ix(Rx({},e),{jsonData:Ix(Rx({},e.jsonData),{azureCredentials:{authType:wx.AD_PASSWORD,userId:r.userId,clientId:r.clientId}}),secureJsonData:Ix(Rx({},e.secureJsonData),{password:"string"==typeof r.password&&r.password.length>0?r.password:void 0}),secureJsonFields:Ix(Rx({},e.secureJsonFields),{password:"symbol"==typeof r.password})})}})(t,se.config,e))};return l=()=>{t.jsonData.authType||a(i)},(0,pe.useEffect)(l,[]),(0,de.jsx)(SL,{managedIdentityEnabled:n,azureEntraPasswordCredentialsEnabled:o,credentials:i,azureCloudOptions:_x,onCredentialsChange:a,disabled:t.readOnly});var l};function TL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function xL(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){TL(e,t,r[t])}))}return e}const _L=(0,de.jsxs)("span",{children:["Use the format ",(0,de.jsx)("code",{children:"user@EXAMPLE.COM"}),". Realm is derived from the username."]}),CL=e=>{const{options:t,onOptionsChange:r}=e,n=t.jsonData,o=null==n?void 0:n.keytabFilePath,i=null==n?void 0:n.credentialCache,a=null==n?void 0:n.credentialCacheLookupFile;return(0,de.jsxs)(de.Fragment,{children:[n.authenticationType===Ox.kerberosKeytab&&(0,de.jsxs)(Oe.FieldSet,{label:"Windows AD: Keytab",children:[(0,de.jsx)(Oe.Field,{label:"Username",required:!0,invalid:!t.user,error:"Username is required",description:_L,children:(0,de.jsx)(Oe.Input,{value:t.user||"",placeholder:"name@EXAMPLE.COM",onChange:e=>r(xL({},t,{user:e.currentTarget.value})),width:40})}),(0,de.jsx)(Oe.Field,{label:"Keytab file path",required:!0,invalid:!o,error:"Keytab file path is required",children:(0,de.jsx)(Oe.Input,{placeholder:"/home/grot/grot.keytab",onChange:t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"keytabFilePath",t.currentTarget.value)},width:40,required:!0,value:o||""})})]}),n.authenticationType===Ox.kerberosCredentialCache&&(0,de.jsx)(Oe.FieldSet,{label:"Windows AD: Credential cache",children:(0,de.jsx)(Oe.Field,{label:"Credential cache path",required:!0,invalid:!i,error:"Credential cache path is required",children:(0,de.jsx)(Oe.Input,{placeholder:"/tmp/krb5cc_1000",onChange:t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"credentialCache",t.currentTarget.value)},width:40,value:i||"",required:!0})})}),n.authenticationType===Ox.kerberosCredentialCacheLookupFile&&(0,de.jsxs)(Oe.FieldSet,{label:"Windows AD: Credential cache file",children:[(0,de.jsx)(Oe.Field,{label:"Username",required:!0,invalid:!t.user,error:"Username is required",description:_L,children:(0,de.jsx)(Oe.Input,{value:t.user||"",placeholder:"name@EXAMPLE.COM",onChange:e=>r(xL({},t,{user:e.currentTarget.value})),width:40})}),(0,de.jsx)(Oe.Field,{label:"Credential cache file path",required:!0,invalid:!a,error:"Credential cache file path is required",children:(0,de.jsx)(Oe.Input,{placeholder:"/home/grot/cache.json",onChange:t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"credentialCacheLookupFile",t.currentTarget.value)},width:40,value:a||"",required:!0})})]})]})},RL=e=>{const{options:t}=e,r=t.jsonData,n=null==r?void 0:r.configFilePath;return(0,de.jsx)(de.Fragment,{children:(0,de.jsx)(GT,{title:"Windows AD: Advanced Settings",children:(0,de.jsxs)(Oe.FieldSet,{children:[(0,de.jsx)(Oe.Field,{label:"UDP Preference Limit",description:(0,de.jsxs)("span",{children:["The default is ",(0,de.jsx)("code",{children:"1"})," and means always use TCP and is optional."]}),children:(0,de.jsx)(Oe.Input,{type:"text",width:40,placeholder:"0",defaultValue:r.UDPConnectionLimit,onChange:t=>{const r=Number(t.currentTarget.value);Number.isNaN(r)||(t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"UDPConnectionLimit",t)})(r)}})}),(0,de.jsx)(Oe.Field,{label:"DNS Lookup KDC",description:(0,de.jsxs)("span",{children:["Indicate whether DNS `SRV` records should be used to locate the KDCs and other servers for a realm. The default is ",(0,de.jsx)("code",{children:"true"}),"."]}),children:(0,de.jsx)(Oe.Input,{type:"text",width:40,placeholder:"true",defaultValue:r.enableDNSLookupKDC,onChange:t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"enableDNSLookupKDC",t.currentTarget.value)}})}),(0,de.jsx)(Oe.Field,{label:"krb5 config file path",description:(0,de.jsxs)("span",{children:["The path to the configuration file for the"," ",(0,de.jsx)("a",{href:"https://web.mit.edu/kerberos/krb5-1.12/doc/admin/conf_files/krb5_conf.html",children:"MIT krb5 package"}),". The default is ",(0,de.jsx)("code",{children:"/etc/krb5.conf"}),"."]}),children:(0,de.jsx)(Oe.Input,{onChange:t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"configFilePath",t.currentTarget.value)},width:40,required:!0,value:n||"/etc/krb5.conf"})})]})})})};function IL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}function AL(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){IL(e,t,r[t])}))}return e}const jL=40;function kL(e){return{ulPadding:(0,je.css)({margin:e.spacing(1,0),paddingLeft:e.spacing(5)})}}function PL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}class LL{quoteLiteral(e){return"'"+e.replace(/'/g,"''")+"'"}constructor(e,t,r){PL(this,"target",void 0),PL(this,"templateSrv",void 0),PL(this,"scopedVars",void 0),this.target=xe(e||{refId:"A"}),this.templateSrv=t,this.scopedVars=r}}function NL(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function FL(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){NL(i,n,o,a,l,"next",e)}function l(e){NL(i,n,o,a,l,"throw",e)}a(void 0)}))}}function DL(e,t,r){return t in e?Object.defineProperty(e,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):e[t]=r,e}const ML=({getColumns:e,getTables:t})=>(r,n)=>{return o=function(e){for(var t=1;t<arguments.length;t++){var r=null!=arguments[t]?arguments[t]:{},n=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(n=n.concat(Object.getOwnPropertySymbols(r).filter((function(e){return Object.getOwnPropertyDescriptor(r,e).enumerable})))),n.forEach((function(t){DL(e,t,r[t])}))}return e}({},n&&Er(0,n)),i={tables:{resolve:function(){var e=FL((function*(e){return yield t.current(null==e?void 0:e.table)}));return function(t){return e.apply(this,arguments)}}(),parseName:e=>{if(!e)return{table:""};let t=e,r=t.value;for(;t.next&&t.next.type!==te.Whitespace;)r+=t.next.value,t=t.next;return t.value.endsWith(".")&&(r=t.value.slice(0,t.value.length-1)),{table:r}}},columns:{resolve:function(){var t=FL((function*(t){if(!(null==t?void 0:t.table))return[];const[r,n,o]=t.table.split(".");return yield e.current({table:`${n}.${o}`,dataset:r,refId:"A"})}));return function(e){return t.apply(this,arguments)}}()}},i=null!=i?i:{},Object.getOwnPropertyDescriptors?Object.defineProperties(o,Object.getOwnPropertyDescriptors(i)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(i)).forEach((function(e){Object.defineProperty(o,e,Object.getOwnPropertyDescriptor(i,e))})),o;var o,i};function VL(){return VL=FL((function*(e,t){const r=yield e.fields(t);return r.length>0?r.map((e=>({name:e.value,type:e.value,description:e.value}))):[]})),VL.apply(this,arguments)}function UL(){return(UL=FL((function*(e,t){var r;return(yield null===(r=e.lookup)||void 0===r?void 0:r.call(e,t))||[]}))).apply(this,arguments)}function BL(e){switch(e){case"datetimeoffset":case"date":case"datetime2":case"smalldatetime":case"datetime":case"time":return"clock-nine";case"bit":return"toggle-off";case"tinyint":case"smallint":case"int":case"bigint":case"decimal":case"numeric":case"real":case"float":case"money":case"smallmoney":return"calculator-alt";case"char":case"varchar":case"text":case"nchar":case"nvarchar":case"ntext":case"binary":case"varbinary":case"image":return"text";default:return}}function zL(e){switch(e){case"datetimeoffset":case"datetime2":case"smalldatetime":case"datetime":return"datetime";case"time":return"time";case"date":return"date";case"bit":return"boolean";case"tinyint":case"smallint":case"int":case"bigint":case"decimal":case"numeric":case"real":case"float":case"money":case"smallmoney":return"number";default:return"text"}}function WL({sql:e,dataset:t,table:r}){var n,o,i,a;let l="";return e&&Ee(e.columns)?(l+=function(e,t){const r=e.map((e=>{let t="";var r;if(e.name&&e.alias)t+=`${e.name}(${null===(r=e.parameters)||void 0===r?void 0:r.map((e=>`${e.name}`))}) AS ${e.alias}`;else if(e.name){var n;t+=`${e.name}(${null===(n=e.parameters)||void 0===n?void 0:n.map((e=>`${e.name}`))})`}else if(e.alias){var o;t+=`${null===(o=e.parameters)||void 0===o?void 0:o.map((e=>`${e.name}`))} AS ${e.alias}`}else{var i;t+=`${null===(i=e.parameters)||void 0===i?void 0:i.map((e=>`${e.name}`))}`}return t}));return`SELECT ${HL(t)?"TOP("+t+")":""} ${r.join(", ")} `}(e.columns,e.limit),t&&r&&(l+=`FROM ${t}.${r} `),e.whereString&&(l+=`WHERE ${e.whereString} `),(null===(o=e.groupBy)||void 0===o||null===(n=o[0])||void 0===n?void 0:n.property.name)&&(l+=`GROUP BY ${e.groupBy.map((e=>e.property.name)).filter((e=>!(0,ue.isEmpty)(e))).join(", ")} `),(null===(i=e.orderBy)||void 0===i?void 0:i.property.name)&&(l+=`ORDER BY ${e.orderBy.property.name} `),(null===(a=e.orderBy)||void 0===a?void 0:a.property.name)&&e.orderByDirection&&(l+=`${e.orderByDirection} `),l):l}const HL=e=>void 0!==e&&e>=0;function qL(e,t,r,n,o,i,a){try{var l=e[i](a),s=l.value}catch(e){return void r(e)}l.done?t(s):Promise.resolve(s).then(n,o)}function GL(e){return function(){var t=this,r=arguments;return new Promise((function(n,o){var i=e.apply(t,r);function a(e){qL(i,n,o,a,l,"next",e)}function l(e){qL(i,n,o,a,l,"throw",e)}a(void 0)}))}}const $L=new w.DataSourcePlugin(class extends RT{getQueryModel(e,t,r){return new LL(e,t,r)}fetchDatasets(){var e=this;return GL((function*(){var t,r;return null!==(r=null===(t=(yield e.runSql("SELECT name FROM sys.databases WHERE name NOT IN ('master', 'tempdb', 'model', 'msdb');",{refId:"datasets"})).fields.name)||void 0===t?void 0:t.values.flat())&&void 0!==r?r:[]}))()}fetchTables(e){var t=this;return GL((function*(){var r,n,o;return null!==(o=null===(r=(yield t.runSql((n=e,`SELECT TABLE_SCHEMA + '.' + TABLE_NAME as schemaAndName\n    FROM [${n}].INFORMATION_SCHEMA.TABLES`),{refId:"tables"})).fields.schemaAndName)||void 0===r?void 0:r.values.flat())&&void 0!==o?o:[]}))()}fetchFields(e){var t=this;return GL((function*(){if(!e.table)return[];const[r,n]=e.table.split("."),o=yield t.runSql(function(e,t){return`\n   USE ${e}\n   SELECT COLUMN_NAME as 'column',DATA_TYPE as 'type'\n   FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME='${t}';`}(e.dataset,n),{refId:"columns"}),i=[];for(let e=0;e<o.length;e++){const t=o.fields.column.values[e],r=o.fields.type.values[e];i.push({label:t,value:t,type:r,icon:BL(r),raqbFieldType:zL(r)})}return i}))()}getSqlLanguageDefinition(e){if(void 0!==this.sqlLanguageDefinition)return this.sqlLanguageDefinition;const t={getColumns:{current:t=>function(e,t){return VL.apply(this,arguments)}(e,t)},getTables:{current:t=>function(e,t){return UL.apply(this,arguments)}(e,t)}};return this.sqlLanguageDefinition={id:"sql",completionProvider:ML(t),formatter:Yr},this.sqlLanguageDefinition}getDB(){if(void 0!==this.db)return this.db;var e=this,t=this;return{init:()=>Promise.resolve(!0),datasets:()=>this.fetchDatasets(),tables:e=>this.fetchTables(e),getEditorLanguageDefinition:()=>this.getSqlLanguageDefinition(this.db),fields:function(){var t=GL((function*(t){return(null==t?void 0:t.dataset)&&(null==t?void 0:t.table)?e.fetchFields(t):[]}));return function(e){return t.apply(this,arguments)}}(),validateQuery:e=>Promise.resolve({isError:!1,isValid:!0,query:e,error:"",rawSql:e.rawSql}),dsID:()=>this.id,dispose:e=>{},toRawSql:WL,lookup:function(){var e=GL((function*(e){if(e){const r=e.split(".").filter((e=>e));return r.length>2?[]:1===r.length?(yield t.fetchTables(r[0])).map((e=>({name:e,completion:e}))):[]}return(yield t.fetchDatasets()).map((e=>({name:e,completion:`${e}.`})))}));return function(t){return e.apply(this,arguments)}}()}}constructor(e){var t,r;super(e),r=void 0,(t="sqlLanguageDefinition")in this?Object.defineProperty(this,t,{value:r,enumerable:!0,configurable:!0,writable:!0}):this[t]=r}}).setQueryEditor(mT).setQueryEditorHelp((function(){const e=(0,Oe.useStyles2)(tx);return(0,de.jsxs)("div",{children:[(0,de.jsx)("h2",{children:"MSSQL cheat sheet"}),"Time series:",(0,de.jsxs)("ul",{className:e.ulPadding,children:[(0,de.jsx)("li",{children:"return column named time (in UTC), as a unix time stamp or any sql native date data type. You can use the macros below."}),(0,de.jsx)("li",{children:"any other columns returned will be the time point values."})]}),"Optional:",(0,de.jsxs)("ul",{className:e.ulPadding,children:[(0,de.jsxs)("li",{children:["return column named ",(0,de.jsx)("i",{children:"metric"})," to represent the series name."]}),(0,de.jsx)("li",{children:"If multiple value columns are returned the metric column is used as prefix."}),(0,de.jsx)("li",{children:"If no column named metric is found the column name of the value column is used as series name"})]}),(0,de.jsx)("p",{children:"Resultsets of time series queries need to be sorted by time."}),"Table:",(0,de.jsx)("ul",{className:e.ulPadding,children:(0,de.jsx)("li",{children:"return any set of columns"})}),"Macros:",(0,de.jsxs)("ul",{className:e.ulPadding,children:[(0,de.jsx)("li",{children:"$__time(column) -> column AS time"}),(0,de.jsx)("li",{children:"$__timeEpoch(column) -> DATEDIFF(second, '1970-01-01', column) AS time"}),(0,de.jsx)("li",{children:"$__timeFilter(column) -> column BETWEEN '2017-04-21T05:01:17Z' AND '2017-04-21T05:01:17Z'"}),(0,de.jsx)("li",{children:"$__unixEpochFilter(column) -> column >= 1492750877 AND column <= 1492750877"}),(0,de.jsx)("li",{children:"$__unixEpochNanoFilter(column) -> column >= 1494410783152415214 AND column <= 1494497183142514872"}),(0,de.jsx)("li",{children:"$__timeGroup(column, '5m'[, fillvalue]) -> CAST(ROUND(DATEDIFF(second, '1970-01-01', column)/300.0, 0) as bigint)*300 by setting fillvalue grafana will fill in missing values according to the interval fillvalue can be either a literal value, NULL or previous; previous will fill in the previous seen value or NULL if none has been seen yet"}),(0,de.jsx)("li",{children:"$__timeGroupAlias(column, '5m'[, fillvalue]) -> CAST(ROUND(DATEDIFF(second, '1970-01-01', column)/300.0, 0) as bigint)*300 AS [time]"}),(0,de.jsx)("li",{children:"$__unixEpochGroup(column,'5m') -> FLOOR(column/300)*300"}),(0,de.jsx)("li",{children:"$__unixEpochGroupAlias(column,'5m') -> FLOOR(column/300)*300 AS [time]"})]}),(0,de.jsx)("p",{children:"Example of group by and order by with $__timeGroup:"}),(0,de.jsx)("pre",{children:(0,de.jsxs)("code",{children:["SELECT $__timeGroup(date_time_col, '1h') AS time, sum(value) as value ",(0,de.jsx)("br",{}),"FROM yourtable",(0,de.jsx)("br",{}),"GROUP BY $__timeGroup(date_time_col, '1h')",(0,de.jsx)("br",{}),"ORDER BY 1",(0,de.jsx)("br",{})]})}),"Or build your own conditionals using these macros which just return the values:",(0,de.jsxs)("ul",{className:e.ulPadding,children:[(0,de.jsx)("li",{children:"$__timeFrom() -> '2017-04-21T05:01:17Z'"}),(0,de.jsx)("li",{children:"$__timeTo() -> '2017-04-21T05:01:17Z'"}),(0,de.jsx)("li",{children:"$__unixEpochFrom() -> 1492750877"}),(0,de.jsx)("li",{children:"$__unixEpochTo() -> 1492750877"}),(0,de.jsx)("li",{children:"$__unixEpochNanoFrom() -> 1494410783152415214"}),(0,de.jsx)("li",{children:"$__unixEpochNanoTo() -> 1494497183142514872"})]})]})})).setConfigEditor((e=>{var t;!function({onOptionsChange:e,options:t}){(0,pe.useEffect)((()=>{const r=t.jsonData;let n=ZT({},t),o=!1;if(t.database&&(QT.logDebug(`Migrating from options.database with value ${t.database} for ${t.name}`),n.database="",n.jsonData=ex(ZT({},r),{database:t.database}),o=!0),void 0===r.maxOpenConns&&void 0===r.maxIdleConns&&void 0===r.maxIdleConnsAuto){const{maxOpenConns:e,maxIdleConns:t}=se.config.sqlConnectionLimits;QT.logDebug(`Setting default max open connections to ${e} and setting max idle connection to ${t}`),n.jsonData=ex(ZT({},n.jsonData),{maxOpenConns:e,maxIdleConns:t,maxIdleConnsAuto:!0}),o=!0}if(void 0===r.connMaxLifetime){const{connMaxLifetime:e}=se.config.sqlConnectionLimits;n.jsonData=ex(ZT({},n.jsonData),{connMaxLifetime:e}),o=!0}o&&e(n)}),[e,t])}(e);const{options:r,onOptionsChange:n}=e,o=(0,Oe.useStyles2)(kL),i=r.jsonData,a=se.config.azureAuthEnabled,l=wL,s=e=>t=>{n(AL({},r,{[e]:t.currentTarget.value}))},u=[{value:Ex.disable,label:"disable"},{value:Ex.false,label:"false"},{value:Ex.true,label:"true"}];return(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(dx,{dataSourceName:"Microsoft SQL Server",docsLink:"https://grafana.com/docs/grafana/latest/datasources/mssql/",hasRequiredFields:!0}),(0,de.jsxs)(Oe.Alert,{title:"User Permission",severity:"info",children:["The database user should only be granted SELECT permissions on the specified database and tables you want to query. Grafana does not validate that queries are safe so queries can contain any SQL statement. For example, statements like ",(0,de.jsx)("code",{children:"USE otherdb;"})," and ",(0,de.jsx)("code",{children:"DROP TABLE user;"})," would be executed. To protect against this we ",(0,de.jsx)("em",{children:"highly"})," recommend you create a specific MS SQL user with restricted permissions. Check out the"," ",(0,de.jsx)(Oe.Link,{rel:"noreferrer",target:"_blank",href:"http://docs.grafana.org/features/datasources/mssql/",children:"Microsoft SQL Server Data Source Docs"})," ","for more information."]}),(0,de.jsx)(Oe.Divider,{}),(0,de.jsxs)(bx,{title:"Connection",children:[(0,de.jsx)(Oe.Field,{label:"Host",required:!0,invalid:!r.url,error:"Host is required",children:(0,de.jsx)(Oe.Input,{width:jL,name:"host",type:"text",value:r.url||"",placeholder:"localhost:1433",onChange:s("url")})}),(0,de.jsx)(Oe.Field,{label:"Database",required:!0,invalid:!i.database,error:"Database is required",children:(0,de.jsx)(Oe.Input,{width:jL,name:"database",value:i.database||"",placeholder:"database name",onChange:(0,w.onUpdateDatasourceJsonDataOption)(e,"database")})})]}),(0,de.jsxs)(bx,{title:"TLS/SSL Auth",children:[(0,de.jsx)(Oe.Field,{htmlFor:"encrypt",description:(0,de.jsxs)(de.Fragment,{children:["Determines whether or to which extent a secure SSL TCP/IP connection will be negotiated with the server.",(0,de.jsxs)("ul",{className:o.ulPadding,children:[(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"disable"})," - Data sent between client and server is not encrypted."]}),(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"false"})," - Data sent between client and server is not encrypted beyond the login packet. (default)"]}),(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"true"})," - Data sent between client and server is encrypted."]})]}),"If you're using an older version of Microsoft SQL Server like 2008 and 2008R2 you may need to disable encryption to be able to connect."]}),label:"Encrypt",children:(0,de.jsx)(Oe.Select,{options:u,value:i.encrypt||Ex.false,inputId:"encrypt",onChange:t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"encrypt",t.value)},width:jL})}),i.encrypt===Ex.true?(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(Oe.Field,{htmlFor:"skipTlsVerify",label:"Skip TLS Verify",children:(0,de.jsx)(Oe.Switch,{id:"skipTlsVerify",onChange:t=>{(0,w.updateDatasourcePluginJsonDataOption)(e,"tlsSkipVerify",t.currentTarget.checked)},value:i.tlsSkipVerify||!1})}),i.tlsSkipVerify?null:(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(Oe.Field,{description:(0,de.jsx)("span",{children:"Path to file containing the public key certificate of the CA that signed the SQL Server certificate. Needed when the server certificate is self signed."}),label:"TLS/SSL Root Certificate",children:(0,de.jsx)(Oe.Input,{value:i.sslRootCertFile||"",onChange:(0,w.onUpdateDatasourceJsonDataOption)(e,"sslRootCertFile"),placeholder:"TLS/SSL root certificate file path",width:jL})}),(0,de.jsx)(Oe.Field,{label:"Hostname in server certificate",children:(0,de.jsx)(Oe.Input,{placeholder:"Common Name (CN) in server certificate",value:i.serverName||"",onChange:(0,w.onUpdateDatasourceJsonDataOption)(e,"serverName"),width:jL})})]})]}):null]}),(0,de.jsxs)(bx,{title:"Authentication",children:[(0,de.jsx)(Oe.Field,{label:"Authentication Type",htmlFor:"authenticationType",description:(0,de.jsxs)("ul",{className:o.ulPadding,children:[(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"SQL Server Authentication"})," This is the default mechanism to connect to MS SQL Server. Enter the SQL Server Authentication login or the Windows Authentication login in the DOMAIN\\User format."]}),(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"Windows Authentication"})," Windows Integrated Security - single sign on for users who are already logged onto Windows and have enabled this option for MS SQL Server."]}),a&&(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"Azure Authentication"})," Securely authenticate and access Azure resources and applications using Azure AD credentials - Managed Service Identity and Client Secret Credentials are supported."]}),(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"Windows AD: Username + password"})," Windows Active Directory - Sign on for domain user via username/password."]}),(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"Windows AD: Keytab"})," Windows Active Directory - Sign on for domain user via keytab file."]}),(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"Windows AD: Credential cache"})," Windows Active Directory - Sign on for domain user via credential cache."]}),(0,de.jsxs)("li",{children:[(0,de.jsx)("i",{children:"Windows AD: Credential cache file"})," Windows Active Directory - Sign on for domain user via credential cache file."]})]}),children:(0,de.jsx)(Oe.Select,{value:i.authenticationType||Ox.sqlAuth,inputId:"authenticationType",options:(()=>{const e=[{value:Ox.sqlAuth,label:"SQL Server Authentication"},{value:Ox.windowsAuth,label:"Windows Authentication"},{value:Ox.kerberosRaw,label:"Windows AD: Username + password"},{value:Ox.kerberosKeytab,label:"Windows AD: Keytab file"},{value:Ox.kerberosCredentialCache,label:"Windows AD: Credential cache"},{value:Ox.kerberosCredentialCacheLookupFile,label:"Windows AD: Credential cache file"}];return a?[...e,{value:Ox.azureAuth,label:Ox.azureAuth}]:e})(),onChange:e=>{var t,o;n(AL({},r,{jsonData:(t=AL({},i,{authenticationType:e.value}),o={azureCredentials:void 0,keytabFilePath:void 0,credentialCache:void 0,credentialCacheLookupFile:void 0},o=null!=o?o:{},Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(o)):function(e,t){var r=Object.keys(e);if(Object.getOwnPropertySymbols){var n=Object.getOwnPropertySymbols(e);r.push.apply(r,n)}return r}(Object(o)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(o,e))})),t),secureJsonData:AL({},r.secureJsonData,{password:""}),secureJsonFields:AL({},r.secureJsonFields,{password:!1}),user:""}))},width:jL})}),(0,de.jsx)(CL,AL({},e)),(i.authenticationType===Ox.sqlAuth||i.authenticationType===Ox.kerberosRaw||!i.authenticationType)&&(0,de.jsxs)(de.Fragment,{children:[(0,de.jsx)(Oe.Field,{label:"Username",required:!0,invalid:!r.user,error:"Username is required",description:i.authenticationType===Ox.kerberosRaw?_L:"",children:(0,de.jsx)(Oe.Input,{value:r.user||"",placeholder:i.authenticationType===Ox.kerberosRaw?"name@EXAMPLE.COM":"user",onChange:s("user"),width:jL})}),(0,de.jsx)(Oe.Field,{label:"Password",required:!0,invalid:!r.secureJsonFields.password&&!(null===(t=r.secureJsonData)||void 0===t?void 0:t.password),error:"Password is required",children:(0,de.jsx)(Oe.SecretInput,{width:jL,placeholder:"Password",isConfigured:r.secureJsonFields&&r.secureJsonFields.password,onReset:()=>{(0,w.updateDatasourcePluginResetOption)(e,"password")},onChange:(0,w.onUpdateDatasourceSecureJsonDataOption)(e,"password"),required:!0})})]}),a&&i.authenticationType===Ox.azureAuth&&(0,de.jsx)(Oe.FieldSet,{label:"Azure Authentication Settings",children:(0,de.jsx)(l,{dataSourceConfig:r,onChange:n})})]}),(0,de.jsx)(Oe.Divider,{}),(0,de.jsxs)(bx,{title:"Additional settings",description:"Additional settings are optional settings that can be configured for more control over your data source. This includes connection limits, connection timeout, group-by time interval, and Secure Socks Proxy.",isCollapsible:!0,isInitiallyOpen:!0,children:[(0,de.jsx)(XT,{options:r,onOptionsChange:n}),(0,de.jsxs)(GT,{title:"Connection details",children:[(0,de.jsx)(Oe.Field,{description:(0,de.jsxs)("span",{children:["A lower limit for the auto group by time interval. Recommended to be set to write frequency, for example",(0,de.jsx)("code",{children:"1m"})," if your data is written every minute."]}),label:"Min time interval",children:(0,de.jsx)(Oe.Input,{width:jL,placeholder:"1m",value:i.timeInterval||"",onChange:(0,w.onUpdateDatasourceJsonDataOption)(e,"timeInterval")})}),(0,de.jsx)(Oe.Field,{description:(0,de.jsxs)("span",{children:["The number of seconds to wait before canceling the request when connecting to the database. The default is ",(0,de.jsx)("code",{children:"0"}),", meaning no timeout."]}),label:"Connection timeout",children:(0,de.jsx)($T,{width:jL,defaultValue:60,value:i.connectionTimeout||0,onChange:t=>{t&&t<0&&(t=0),(0,w.updateDatasourcePluginJsonDataOption)(e,"connectionTimeout",t)}})})]}),se.config.secureSocksDSProxyEnabled&&(0,de.jsx)(Oe.SecureSocksProxySettings,{options:r,onOptionsChange:n}),(0,de.jsx)(RL,AL({},e))]})]})}))})(),m})()));
//# sourceMappingURL=module.js.map